/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2016, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 254 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTRIBUTE = 296,
    AUTHORIZATION = 297,
    BACKWARD = 298,
    BEFORE = 299,
    BEGIN_P = 300,
    BETWEEN = 301,
    BIGINT = 302,
    BINARY = 303,
    BIT = 304,
    BOOLEAN_P = 305,
    BOTH = 306,
    BY = 307,
    CACHE = 308,
    CALLED = 309,
    CASCADE = 310,
    CASCADED = 311,
    CASE = 312,
    CAST = 313,
    CATALOG_P = 314,
    CHAIN = 315,
    CHAR_P = 316,
    CHARACTER = 317,
    CHARACTERISTICS = 318,
    CHECK = 319,
    CHECKPOINT = 320,
    CLASS = 321,
    CLOSE = 322,
    CLUSTER = 323,
    COALESCE = 324,
    COLLATE = 325,
    COLLATION = 326,
    COLUMN = 327,
    COMMENT = 328,
    COMMENTS = 329,
    COMMIT = 330,
    COMMITTED = 331,
    CONCURRENTLY = 332,
    CONFIGURATION = 333,
    CONFLICT = 334,
    CONNECTION = 335,
    CONSTRAINT = 336,
    CONSTRAINTS = 337,
    CONTENT_P = 338,
    CONTINUE_P = 339,
    CONVERSION_P = 340,
    COPY = 341,
    COST = 342,
    CREATE = 343,
    CROSS = 344,
    CSV = 345,
    CUBE = 346,
    CURRENT_P = 347,
    CURRENT_CATALOG = 348,
    CURRENT_DATE = 349,
    CURRENT_ROLE = 350,
    CURRENT_SCHEMA = 351,
    CURRENT_TIME = 352,
    CURRENT_TIMESTAMP = 353,
    CURRENT_USER = 354,
    CURSOR = 355,
    CYCLE = 356,
    DATA_P = 357,
    DATABASE = 358,
    DAY_P = 359,
    DEALLOCATE = 360,
    DEC = 361,
    DECIMAL_P = 362,
    DECLARE = 363,
    DEFAULT = 364,
    DEFAULTS = 365,
    DEFERRABLE = 366,
    DEFERRED = 367,
    DEFINER = 368,
    DELETE_P = 369,
    DELIMITER = 370,
    DELIMITERS = 371,
    DEPENDS = 372,
    DESC = 373,
    DICTIONARY = 374,
    DISABLE_P = 375,
    DISCARD = 376,
    DISTINCT = 377,
    DO = 378,
    DOCUMENT_P = 379,
    DOMAIN_P = 380,
    DOUBLE_P = 381,
    DROP = 382,
    EACH = 383,
    ELSE = 384,
    ENABLE_P = 385,
    ENCODING = 386,
    ENCRYPTED = 387,
    END_P = 388,
    ENUM_P = 389,
    ESCAPE = 390,
    EVENT = 391,
    EXCEPT = 392,
    EXCLUDE = 393,
    EXCLUDING = 394,
    EXCLUSIVE = 395,
    EXECUTE = 396,
    EXISTS = 397,
    EXPLAIN = 398,
    EXTENSION = 399,
    EXTERNAL = 400,
    EXTRACT = 401,
    FALSE_P = 402,
    FAMILY = 403,
    FETCH = 404,
    FILTER = 405,
    FIRST_P = 406,
    FLOAT_P = 407,
    FOLLOWING = 408,
    FOR = 409,
    FORCE = 410,
    FOREIGN = 411,
    FORWARD = 412,
    FREEZE = 413,
    FROM = 414,
    FULL = 415,
    FUNCTION = 416,
    FUNCTIONS = 417,
    GLOBAL = 418,
    GRANT = 419,
    GRANTED = 420,
    GREATEST = 421,
    GROUP_P = 422,
    GROUPING = 423,
    HANDLER = 424,
    HAVING = 425,
    HEADER_P = 426,
    HOLD = 427,
    HOUR_P = 428,
    IDENTITY_P = 429,
    IF_P = 430,
    ILIKE = 431,
    IMMEDIATE = 432,
    IMMUTABLE = 433,
    IMPLICIT_P = 434,
    IMPORT_P = 435,
    IN_P = 436,
    INCLUDING = 437,
    INCREMENT = 438,
    INDEX = 439,
    INDEXES = 440,
    INHERIT = 441,
    INHERITS = 442,
    INITIALLY = 443,
    INLINE_P = 444,
    INNER_P = 445,
    INOUT = 446,
    INPUT_P = 447,
    INSENSITIVE = 448,
    INSERT = 449,
    INSTEAD = 450,
    INT_P = 451,
    INTEGER = 452,
    INTERSECT = 453,
    INTERVAL = 454,
    INTO = 455,
    INVOKER = 456,
    IS = 457,
    ISNULL = 458,
    ISOLATION = 459,
    JOIN = 460,
    KEY = 461,
    LABEL = 462,
    LANGUAGE = 463,
    LARGE_P = 464,
    LAST_P = 465,
    LATERAL_P = 466,
    LEADING = 467,
    LEAKPROOF = 468,
    LEAST = 469,
    LEFT = 470,
    LEVEL = 471,
    LIKE = 472,
    LIMIT = 473,
    LISTEN = 474,
    LOAD = 475,
    LOCAL = 476,
    LOCALTIME = 477,
    LOCALTIMESTAMP = 478,
    LOCATION = 479,
    LOCK_P = 480,
    LOCKED = 481,
    LOGGED = 482,
    MAPPING = 483,
    MATCH = 484,
    MATERIALIZED = 485,
    MAXVALUE = 486,
    METHOD = 487,
    MINUTE_P = 488,
    MINVALUE = 489,
    MODE = 490,
    MONTH_P = 491,
    MOVE = 492,
    NAME_P = 493,
    NAMES = 494,
    NATIONAL = 495,
    NATURAL = 496,
    NCHAR = 497,
    NEXT = 498,
    NO = 499,
    NONE = 500,
    NOT = 501,
    NOTHING = 502,
    NOTIFY = 503,
    NOTNULL = 504,
    NOWAIT = 505,
    NULL_P = 506,
    NULLIF = 507,
    NULLS_P = 508,
    NUMERIC = 509,
    OBJECT_P = 510,
    OF = 511,
    OFF = 512,
    OFFSET = 513,
    OIDS = 514,
    ON = 515,
    ONLY = 516,
    OPERATOR = 517,
    OPTION = 518,
    OPTIONS = 519,
    OR = 520,
    ORDER = 521,
    ORDINALITY = 522,
    OUT_P = 523,
    OUTER_P = 524,
    OVER = 525,
    OVERLAPS = 526,
    OVERLAY = 527,
    OWNED = 528,
    OWNER = 529,
    PARALLEL = 530,
    PARSER = 531,
    PARTIAL = 532,
    PARTITION = 533,
    PASSING = 534,
    PASSWORD = 535,
    PLACING = 536,
    PLANS = 537,
    POLICY = 538,
    POSITION = 539,
    PRECEDING = 540,
    PRECISION = 541,
    PRESERVE = 542,
    PREPARE = 543,
    PREPARED = 544,
    PRIMARY = 545,
    PRIOR = 546,
    PRIVILEGES = 547,
    PROCEDURAL = 548,
    PROCEDURE = 549,
    PROGRAM = 550,
    QUOTE = 551,
    RANGE = 552,
    READ = 553,
    REAL = 554,
    REASSIGN = 555,
    RECHECK = 556,
    RECURSIVE = 557,
    REF = 558,
    REFERENCES = 559,
    REFRESH = 560,
    REINDEX = 561,
    RELATIVE_P = 562,
    RELEASE = 563,
    RENAME = 564,
    REPEATABLE = 565,
    REPLACE = 566,
    REPLICA = 567,
    RESET = 568,
    RESTART = 569,
    RESTRICT = 570,
    RETURNING = 571,
    RETURNS = 572,
    REVOKE = 573,
    RIGHT = 574,
    ROLE = 575,
    ROLLBACK = 576,
    ROLLUP = 577,
    ROW = 578,
    ROWS = 579,
    RULE = 580,
    SAVEPOINT = 581,
    SCHEMA = 582,
    SCROLL = 583,
    SEARCH = 584,
    SECOND_P = 585,
    SECURITY = 586,
    SELECT = 587,
    SEQUENCE = 588,
    SEQUENCES = 589,
    SERIALIZABLE = 590,
    SERVER = 591,
    SESSION = 592,
    SESSION_USER = 593,
    SET = 594,
    SETS = 595,
    SETOF = 596,
    SHARE = 597,
    SHOW = 598,
    SIMILAR = 599,
    SIMPLE = 600,
    SKIP = 601,
    SMALLINT = 602,
    SNAPSHOT = 603,
    SOME = 604,
    SQL_P = 605,
    STABLE = 606,
    STANDALONE_P = 607,
    START = 608,
    STATEMENT = 609,
    STATISTICS = 610,
    STDIN = 611,
    STDOUT = 612,
    STORAGE = 613,
    STRICT_P = 614,
    STRIP_P = 615,
    SUBSTRING = 616,
    SYMMETRIC = 617,
    SYSID = 618,
    SYSTEM_P = 619,
    TABLE = 620,
    TABLES = 621,
    TABLESAMPLE = 622,
    TABLESPACE = 623,
    TEMP = 624,
    TEMPLATE = 625,
    TEMPORARY = 626,
    TEXT_P = 627,
    THEN = 628,
    TIME = 629,
    TIMESTAMP = 630,
    TO = 631,
    TRAILING = 632,
    TRANSACTION = 633,
    TRANSFORM = 634,
    TREAT = 635,
    TRIGGER = 636,
    TRIM = 637,
    TRUE_P = 638,
    TRUNCATE = 639,
    TRUSTED = 640,
    TYPE_P = 641,
    TYPES_P = 642,
    UNBOUNDED = 643,
    UNCOMMITTED = 644,
    UNENCRYPTED = 645,
    UNION = 646,
    UNIQUE = 647,
    UNKNOWN = 648,
    UNLISTEN = 649,
    UNLOGGED = 650,
    UNTIL = 651,
    UPDATE = 652,
    USER = 653,
    USING = 654,
    VACUUM = 655,
    VALID = 656,
    VALIDATE = 657,
    VALIDATOR = 658,
    VALUE_P = 659,
    VALUES = 660,
    VARCHAR = 661,
    VARIADIC = 662,
    VARYING = 663,
    VERBOSE = 664,
    VERSION_P = 665,
    VIEW = 666,
    VIEWS = 667,
    VOLATILE = 668,
    WHEN = 669,
    WHERE = 670,
    WHITESPACE_P = 671,
    WINDOW = 672,
    WITH = 673,
    WITHIN = 674,
    WITHOUT = 675,
    WORK = 676,
    WRAPPER = 677,
    WRITE = 678,
    XML_P = 679,
    XMLATTRIBUTES = 680,
    XMLCONCAT = 681,
    XMLELEMENT = 682,
    XMLEXISTS = 683,
    XMLFOREST = 684,
    XMLPARSE = 685,
    XMLPI = 686,
    XMLROOT = 687,
    XMLSERIALIZE = 688,
    YEAR_P = 689,
    YES_P = 690,
    ZONE = 691,
    NOT_LA = 692,
    NULLS_LA = 693,
    WITH_LA = 694,
    POSTFIXOP = 695,
    UMINUS = 696
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 192 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 776 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 804 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  763
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   92574

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  459
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  618
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2508
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4981

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   696

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   448,     2,     2,
     453,   454,   446,   444,   457,   445,   455,   447,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   458,   456,
     440,   442,   441,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   451,     2,   452,   449,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   443,   450
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   734,   734,   741,   748,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   798,   799,   800,   801,   802,
     803,   804,   805,   806,   807,   808,   809,   810,   811,   812,
     813,   814,   815,   816,   817,   818,   819,   820,   821,   822,
     823,   824,   825,   826,   827,   828,   829,   830,   831,   832,
     833,   834,   835,   836,   837,   838,   839,   840,   841,   842,
     843,   844,   845,   846,   847,   848,   849,   850,   851,   852,
     853,   854,   855,   856,   857,   858,   859,   860,   861,   862,
     863,   864,   865,   866,   867,   868,   869,   870,   871,   872,
     873,   874,   875,   876,   877,   878,   879,   880,   881,   882,
     884,   894,   905,   906,   907,   916,   917,   921,   922,   926,
     931,   935,   940,   945,   949,   953,   958,   962,  1010,  1012,
    1016,  1020,  1024,  1028,  1042,  1060,  1071,  1072,  1076,  1084,
    1102,  1114,  1135,  1142,  1161,  1168,  1185,  1203,  1214,  1215,
    1227,  1234,  1251,  1261,  1271,  1286,  1304,  1305,  1309,  1316,
    1324,  1325,  1326,  1327,  1328,  1329,  1343,  1349,  1355,  1364,
    1372,  1380,  1384,  1392,  1400,  1407,  1416,  1417,  1425,  1436,
    1444,  1452,  1463,  1471,  1479,  1486,  1495,  1505,  1506,  1510,
    1511,  1514,  1516,  1520,  1521,  1522,  1523,  1527,  1528,  1529,
    1535,  1547,  1551,  1555,  1570,  1577,  1578,  1579,  1583,  1584,
    1585,  1589,  1590,  1594,  1598,  1599,  1606,  1613,  1623,  1630,
    1640,  1641,  1646,  1647,  1652,  1658,  1664,  1670,  1676,  1686,
    1696,  1697,  1701,  1702,  1710,  1725,  1731,  1737,  1743,  1749,
    1768,  1777,  1786,  1797,  1808,  1817,  1826,  1837,  1848,  1857,
    1866,  1875,  1884,  1893,  1902,  1913,  1927,  1928,  1933,  1942,
    1951,  1960,  1969,  1978,  1986,  1994,  2003,  2012,  2021,  2030,
    2040,  2053,  2068,  2077,  2085,  2100,  2108,  2118,  2128,  2135,
    2142,  2150,  2158,  2165,  2172,  2180,  2188,  2196,  2203,  2210,
    2218,  2225,  2232,  2240,  2248,  2256,  2264,  2272,  2280,  2290,
    2297,  2305,  2313,  2321,  2329,  2337,  2344,  2351,  2358,  2364,
    2374,  2375,  2379,  2380,  2381,  2385,  2393,  2397,  2398,  2402,
    2409,  2416,  2423,  2433,  2436,  2437,  2441,  2442,  2447,  2451,
    2455,  2460,  2475,  2488,  2489,  2494,  2503,  2513,  2523,  2549,
    2555,  2588,  2617,  2639,  2640,  2644,  2645,  2654,  2655,  2656,
    2659,  2660,  2665,  2666,  2670,  2674,  2678,  2682,  2686,  2690,
    2694,  2698,  2702,  2706,  2710,  2714,  2718,  2722,  2731,  2735,
    2739,  2743,  2747,  2751,  2755,  2756,  2761,  2765,  2772,  2779,
    2780,  2781,  2782,  2783,  2787,  2791,  2799,  2810,  2826,  2843,
    2860,  2890,  2891,  2892,  2893,  2894,  2901,  2908,  2909,  2913,
    2914,  2918,  2919,  2923,  2927,  2934,  2938,  2945,  2946,  2947,
    2951,  2952,  2955,  2976,  2997,  2998,  3002,  3010,  3011,  3012,
    3043,  3050,  3057,  3068,  3079,  3091,  3100,  3133,  3140,  3147,
    3154,  3165,  3175,  3176,  3177,  3181,  3182,  3183,  3184,  3185,
    3186,  3195,  3203,  3207,  3220,  3235,  3249,  3264,  3278,  3296,
    3317,  3318,  3322,  3323,  3327,  3328,  3331,  3337,  3341,  3349,
    3354,  3360,  3361,  3365,  3370,  3377,  3378,  3388,  3390,  3392,
    3394,  3397,  3400,  3403,  3407,  3408,  3409,  3410,  3411,  3414,
    3415,  3420,  3421,  3422,  3423,  3426,  3427,  3428,  3429,  3432,
    3433,  3436,  3437,  3440,  3455,  3468,  3484,  3498,  3499,  3500,
    3512,  3525,  3541,  3554,  3555,  3567,  3587,  3597,  3610,  3618,
    3629,  3630,  3633,  3634,  3637,  3641,  3645,  3649,  3653,  3657,
    3661,  3665,  3669,  3673,  3677,  3681,  3687,  3688,  3692,  3693,
    3698,  3701,  3702,  3714,  3726,  3741,  3742,  3750,  3751,  3755,
    3756,  3760,  3761,  3765,  3766,  3770,  3781,  3794,  3795,  3805,
    3816,  3817,  3830,  3837,  3854,  3862,  3873,  3876,  3880,  3884,
    3888,  3892,  3904,  3914,  3917,  3921,  3934,  3944,  3954,  3963,
    3972,  3981,  3991,  4000,  4010,  4019,  4028,  4037,  4046,  4055,
    4064,  4073,  4082,  4091,  4100,  4109,  4118,  4127,  4136,  4145,
    4155,  4173,  4184,  4185,  4186,  4187,  4191,  4192,  4196,  4197,
    4207,  4218,  4238,  4246,  4258,  4259,  4263,  4267,  4275,  4279,
    4283,  4290,  4294,  4299,  4304,  4311,  4318,  4323,  4333,  4347,
    4348,  4353,  4354,  4358,  4359,  4369,  4380,  4400,  4409,  4417,
    4434,  4454,  4484,  4493,  4514,  4529,  4530,  4534,  4542,  4557,
    4568,  4569,  4579,  4587,  4604,  4626,  4642,  4656,  4667,  4681,
    4682,  4686,  4687,  4691,  4692,  4696,  4697,  4701,  4702,  4706,
    4707,  4708,  4709,  4710,  4720,  4739,  4759,  4784,  4785,  4786,
    4790,  4792,  4814,  4816,  4818,  4820,  4822,  4827,  4832,  4842,
    4843,  4847,  4848,  4852,  4853,  4857,  4858,  4859,  4863,  4867,
    4868,  4869,  4873,  4874,  4879,  4880,  4907,  4908,  4909,  4910,
    4911,  4912,  4917,  4928,  4951,  4961,  4975,  4977,  4982,  4987,
    4989,  4994,  5004,  5005,  5006,  5007,  5019,  5039,  5062,  5072,
    5083,  5093,  5103,  5114,  5123,  5130,  5137,  5146,  5155,  5164,
    5173,  5182,  5193,  5196,  5197,  5200,  5204,  5211,  5212,  5213,
    5214,  5215,  5218,  5221,  5222,  5230,  5237,  5238,  5241,  5243,
    5254,  5264,  5274,  5286,  5287,  5303,  5318,  5319,  5323,  5333,
    5344,  5353,  5363,  5372,  5373,  5376,  5377,  5380,  5381,  5382,
    5385,  5399,  5404,  5414,  5423,  5435,  5436,  5440,  5448,  5460,
    5470,  5483,  5493,  5515,  5525,  5543,  5554,  5565,  5575,  5585,
    5595,  5605,  5616,  5630,  5631,  5632,  5633,  5634,  5635,  5636,
    5637,  5638,  5639,  5640,  5641,  5642,  5643,  5644,  5645,  5649,
    5650,  5653,  5654,  5657,  5659,  5664,  5665,  5675,  5686,  5687,
    5688,  5721,  5730,  5739,  5748,  5757,  5766,  5775,  5784,  5798,
    5807,  5816,  5826,  5835,  5844,  5852,  5861,  5870,  5879,  5891,
    5892,  5893,  5894,  5895,  5896,  5897,  5898,  5899,  5900,  5901,
    5902,  5903,  5904,  5905,  5906,  5907,  5908,  5909,  5910,  5911,
    5915,  5916,  5930,  5941,  5952,  5963,  5974,  5985,  5996,  6009,
    6010,  6014,  6015,  6016,  6017,  6018,  6019,  6020,  6021,  6022,
    6023,  6024,  6027,  6028,  6038,  6044,  6052,  6060,  6068,  6076,
    6084,  6092,  6100,  6108,  6116,  6124,  6132,  6140,  6148,  6156,
    6164,  6172,  6182,  6183,  6186,  6187,  6197,  6213,  6227,  6253,
    6255,  6257,  6259,  6266,  6275,  6276,  6279,  6286,  6293,  6300,
    6314,  6322,  6330,  6338,  6346,  6354,  6362,  6370,  6378,  6386,
    6394,  6402,  6410,  6418,  6426,  6434,  6446,  6447,  6451,  6452,
    6457,  6458,  6462,  6463,  6468,  6484,  6497,  6507,  6519,  6520,
    6523,  6524,  6534,  6544,  6545,  6549,  6553,  6557,  6568,  6581,
    6595,  6612,  6613,  6614,  6615,  6627,  6653,  6682,  6683,  6687,
    6688,  6692,  6693,  6697,  6698,  6701,  6702,  6710,  6721,  6732,
    6745,  6746,  6749,  6750,  6751,  6754,  6755,  6756,  6759,  6760,
    6761,  6777,  6789,  6802,  6817,  6818,  6821,  6822,  6826,  6827,
    6835,  6836,  6840,  6841,  6856,  6865,  6874,  6883,  6892,  6904,
    6905,  6906,  6907,  6908,  6914,  6918,  6933,  6934,  6940,  6950,
    6954,  6959,  6967,  7008,  7012,  7016,  7020,  7028,  7029,  7034,
    7035,  7042,  7046,  7050,  7054,  7058,  7062,  7066,  7070,  7074,
    7078,  7082,  7086,  7090,  7094,  7098,  7103,  7110,  7114,  7118,
    7122,  7126,  7132,  7133,  7140,  7141,  7145,  7146,  7149,  7161,
    7165,  7180,  7191,  7192,  7197,  7198,  7213,  7224,  7238,  7249,
    7263,  7274,  7288,  7296,  7298,  7300,  7305,  7307,  7320,  7329,
    7330,  7334,  7338,  7350,  7361,  7372,  7385,  7386,  7387,  7391,
    7404,  7405,  7415,  7427,  7431,  7435,  7439,  7446,  7467,  7476,
    7485,  7494,  7505,  7506,  7509,  7510,  7511,  7514,  7515,  7518,
    7528,  7537,  7554,  7564,  7573,  7582,  7591,  7600,  7609,  7618,
    7628,  7637,  7646,  7655,  7664,  7674,  7684,  7693,  7702,  7712,
    7722,  7732,  7742,  7752,  7762,  7772,  7782,  7792,  7802,  7812,
    7822,  7833,  7844,  7855,  7866,  7876,  7886,  7897,  7908,  7918,
    7928,  7936,  7945,  7954,  7963,  7972,  7981,  7990,  7999,  8008,
    8022,  8023,  8026,  8027,  8037,  8047,  8057,  8067,  8086,  8096,
    8105,  8114,  8123,  8132,  8142,  8152,  8161,  8170,  8179,  8188,
    8197,  8206,  8215,  8224,  8233,  8242,  8251,  8260,  8269,  8278,
    8287,  8296,  8314,  8324,  8325,  8328,  8330,  8340,  8349,  8357,
    8365,  8373,  8381,  8390,  8398,  8406,  8415,  8423,  8431,  8439,
    8447,  8455,  8463,  8471,  8479,  8487,  8504,  8521,  8522,  8523,
    8528,  8534,  8543,  8544,  8545,  8546,  8547,  8551,  8552,  8555,
    8556,  8557,  8558,  8562,  8563,  8564,  8569,  8580,  8602,  8612,
    8613,  8616,  8625,  8631,  8650,  8657,  8664,  8671,  8678,  8685,
    8692,  8700,  8708,  8716,  8724,  8732,  8739,  8746,  8755,  8756,
    8757,  8761,  8764,  8767,  8770,  8773,  8780,  8782,  8784,  8789,
    8791,  8803,  8816,  8829,  8847,  8868,  8869,  8870,  8871,  8881,
    8897,  8907,  8908,  8912,  8913,  8917,  8921,  8925,  8943,  8944,
    8945,  8946,  8947,  8948,  8949,  8956,  8957,  8968,  8975,  8982,
    8993,  9010,  9017,  9035,  9041,  9057,  9070,  9079,  9087,  9095,
    9104,  9115,  9126,  9136,  9137,  9148,  9158,  9169,  9180,  9191,
    9202,  9211,  9223,  9224,  9238,  9261,  9269,  9278,  9289,  9290,
    9302,  9316,  9330,  9342,  9350,  9363,  9364,  9368,  9369,  9370,
    9371,  9375,  9385,  9398,  9399,  9403,  9404,  9407,  9408,  9411,
    9412,  9416,  9417,  9430,  9437,  9447,  9454,  9464,  9465,  9466,
    9467,  9468,  9469,  9470,  9471,  9472,  9476,  9480,  9487,  9494,
    9495,  9499,  9500,  9501,  9511,  9521,  9522,  9526,  9527,  9528,
    9529,  9539,  9546,  9564,  9565,  9575,  9581,  9587,  9593,  9609,
    9627,  9631,  9639,  9645,  9651,  9660,  9662,  9667,  9678,  9688,
    9698,  9704,  9713,  9722,  9728,  9729,  9740,  9754,  9755,  9766,
    9777,  9778,  9781,  9782,  9783,  9784,  9785,  9786,  9787,  9788,
    9791,  9792,  9796,  9797,  9798,  9809,  9827,  9828,  9832,  9833,
    9837,  9853,  9879,  9912,  9923,  9924,  9934,  9945,  9948,  9949,
    9950,  9951,  9952,  9955,  9956,  9957, 10005, 10006, 10010, 10011,
   10026, 10027, 10034, 10042, 10050, 10058, 10066, 10074, 10085, 10086,
   10113, 10127, 10142, 10143, 10162, 10166, 10170, 10187, 10194, 10201,
   10211, 10212, 10215, 10227, 10228, 10232, 10244, 10252, 10257, 10262,
   10267, 10272, 10280, 10288, 10293, 10298, 10305, 10306, 10310, 10311,
   10312, 10319, 10320, 10324, 10325, 10329, 10330, 10334, 10338, 10339,
   10342, 10351, 10364, 10365, 10366, 10367, 10371, 10372, 10376, 10378,
   10388, 10393, 10396, 10401, 10402, 10410, 10420, 10421, 10422, 10430,
   10434, 10435, 10438, 10439, 10464, 10465, 10469, 10470, 10474, 10475,
   10476, 10477, 10478, 10482, 10495, 10502, 10509, 10516, 10517, 10521,
   10522, 10526, 10527, 10531, 10532, 10536, 10547, 10548, 10549, 10550,
   10554, 10555, 10560, 10566, 10584, 10585, 10589, 10590, 10596, 10601,
   10609, 10616, 10624, 10659, 10684, 10688, 10714, 10718, 10730, 10743,
   10757, 10768, 10783, 10789, 10794, 10800, 10807, 10808, 10816, 10820,
   10824, 10830, 10837, 10842, 10843, 10844, 10845, 10849, 10850, 10862,
   10863, 10868, 10875, 10882, 10889, 10900, 10901, 10914, 10918, 10925,
   10938, 10951, 10952, 10967, 10977, 10989, 10994, 10995, 10998, 10999,
   11002, 11003, 11008, 11009, 11014, 11015, 11023, 11028, 11029, 11033,
   11037, 11043, 11073, 11078, 11085, 11090, 11096, 11101, 11110, 11112,
   11115, 11119, 11120, 11121, 11122, 11123, 11124, 11129, 11149, 11150,
   11151, 11152, 11163, 11169, 11177, 11178, 11184, 11189, 11194, 11199,
   11204, 11209, 11214, 11219, 11225, 11231, 11237, 11244, 11266, 11275,
   11279, 11287, 11291, 11299, 11311, 11332, 11336, 11342, 11346, 11359,
   11370, 11385, 11387, 11389, 11391, 11393, 11395, 11400, 11401, 11405,
   11406, 11413, 11422, 11430, 11439, 11450, 11458, 11459, 11460, 11464,
   11466, 11468, 11470, 11472, 11474, 11476, 11481, 11486, 11492, 11500,
   11505, 11512, 11519, 11523, 11527, 11563, 11564, 11566, 11574, 11589,
   11591, 11593, 11595, 11597, 11599, 11601, 11603, 11605, 11607, 11609,
   11611, 11613, 11615, 11618, 11620, 11622, 11625, 11627, 11629, 11631,
   11634, 11639, 11647, 11652, 11660, 11665, 11673, 11678, 11687, 11695,
   11703, 11711, 11729, 11737, 11745, 11753, 11761, 11777, 11785, 11793,
   11801, 11809, 11817, 11825, 11829, 11835, 11839, 11843, 11851, 11859,
   11867, 11875, 11895, 11917, 11928, 11935, 11951, 11956, 11973, 11975,
   11977, 11979, 11981, 11983, 11985, 11987, 11989, 11991, 11993, 11995,
   11997, 11999, 12001, 12003, 12005, 12007, 12009, 12011, 12015, 12021,
   12025, 12029, 12034, 12050, 12051, 12052, 12067, 12097, 12099, 12101,
   12112, 12136, 12147, 12158, 12166, 12176, 12186, 12195, 12199, 12205,
   12212, 12219, 12229, 12236, 12264, 12299, 12310, 12311, 12318, 12324,
   12350, 12360, 12373, 12381, 12394, 12404, 12417, 12427, 12440, 12444,
   12448, 12452, 12456, 12460, 12464, 12466, 12470, 12479, 12484, 12491,
   12506, 12513, 12517, 12521, 12525, 12529, 12536, 12544, 12552, 12556,
   12560, 12564, 12568, 12572, 12578, 12582, 12591, 12595, 12599, 12604,
   12618, 12620, 12624, 12626, 12628, 12631, 12634, 12637, 12638, 12641,
   12649, 12659, 12660, 12663, 12664, 12665, 12670, 12674, 12678, 12682,
   12693, 12694, 12698, 12699, 12707, 12708, 12712, 12713, 12718, 12726,
   12728, 12742, 12745, 12772, 12773, 12776, 12777, 12788, 12806, 12813,
   12822, 12839, 12884, 12892, 12900, 12908, 12916, 12937, 12938, 12939,
   12942, 12943, 12946, 12949, 12950, 12951, 12954, 12955, 12958, 12959,
   12960, 12961, 12962, 12963, 12964, 12965, 12966, 12967, 12968, 12969,
   12972, 12974, 12979, 12981, 12986, 12988, 12990, 12992, 12994, 12996,
   13008, 13012, 13019, 13023, 13029, 13033, 13042, 13053, 13054, 13057,
   13061, 13065, 13071, 13072, 13077, 13081, 13088, 13089, 13090, 13091,
   13092, 13093, 13094, 13095, 13105, 13109, 13116, 13123, 13124, 13140,
   13144, 13149, 13153, 13168, 13173, 13177, 13180, 13183, 13184, 13185,
   13188, 13195, 13205, 13219, 13220, 13224, 13235, 13236, 13239, 13240,
   13243, 13247, 13254, 13258, 13262, 13270, 13281, 13282, 13286, 13287,
   13291, 13292, 13295, 13296, 13307, 13308, 13317, 13318, 13326, 13336,
   13337, 13341, 13342, 13345, 13361, 13369, 13377, 13399, 13400, 13411,
   13415, 13442, 13444, 13449, 13452, 13455, 13457, 13459, 13461, 13471,
   13473, 13484, 13488, 13492, 13496, 13500, 13509, 13516, 13548, 13552,
   13558, 13565, 13569, 13573, 13579, 13580, 13582, 13583, 13584, 13588,
   13618, 13645, 13649, 13655, 13657, 13674, 13675, 13676, 13681, 13682,
   13683, 13688, 13689, 13690, 13691, 13697, 13698, 13699, 13700, 13701,
   13721, 13722, 13723, 13724, 13725, 13726, 13727, 13728, 13729, 13730,
   13731, 13732, 13733, 13734, 13735, 13736, 13737, 13738, 13739, 13740,
   13741, 13742, 13743, 13744, 13745, 13746, 13747, 13748, 13749, 13750,
   13751, 13752, 13753, 13754, 13755, 13756, 13757, 13758, 13759, 13760,
   13761, 13762, 13763, 13764, 13765, 13766, 13767, 13768, 13769, 13770,
   13771, 13772, 13773, 13774, 13775, 13776, 13777, 13778, 13779, 13780,
   13781, 13782, 13783, 13784, 13785, 13786, 13787, 13788, 13789, 13790,
   13791, 13792, 13793, 13794, 13795, 13796, 13797, 13798, 13799, 13800,
   13801, 13802, 13803, 13804, 13805, 13806, 13807, 13808, 13809, 13810,
   13811, 13812, 13813, 13814, 13815, 13816, 13817, 13818, 13819, 13820,
   13821, 13822, 13823, 13824, 13825, 13826, 13827, 13828, 13829, 13830,
   13831, 13832, 13833, 13834, 13835, 13836, 13837, 13838, 13839, 13840,
   13841, 13842, 13843, 13844, 13845, 13846, 13847, 13848, 13849, 13850,
   13851, 13852, 13853, 13854, 13855, 13856, 13857, 13858, 13859, 13860,
   13861, 13862, 13863, 13864, 13865, 13866, 13867, 13868, 13869, 13870,
   13871, 13872, 13873, 13874, 13875, 13876, 13877, 13878, 13879, 13880,
   13881, 13882, 13883, 13884, 13885, 13886, 13887, 13888, 13889, 13890,
   13891, 13892, 13893, 13894, 13895, 13896, 13897, 13898, 13899, 13900,
   13901, 13902, 13903, 13904, 13905, 13906, 13907, 13908, 13909, 13910,
   13911, 13912, 13913, 13914, 13915, 13916, 13917, 13918, 13919, 13920,
   13921, 13922, 13923, 13924, 13925, 13926, 13927, 13928, 13929, 13930,
   13931, 13932, 13933, 13934, 13935, 13936, 13937, 13938, 13939, 13940,
   13941, 13942, 13943, 13944, 13945, 13946, 13947, 13948, 13949, 13950,
   13951, 13952, 13953, 13954, 13955, 13956, 13957, 13958, 13959, 13960,
   13961, 13962, 13963, 13964, 13965, 13966, 13967, 13968, 13969, 13970,
   13971, 13972, 13973, 13974, 13975, 13976, 13977, 13978, 13979, 13980,
   13981, 13982, 13983, 13984, 13985, 13986, 13987, 13988, 13989, 13990,
   13991, 14005, 14006, 14007, 14008, 14009, 14010, 14011, 14012, 14013,
   14014, 14015, 14016, 14017, 14018, 14019, 14020, 14021, 14022, 14023,
   14024, 14025, 14026, 14027, 14028, 14029, 14030, 14031, 14032, 14033,
   14034, 14035, 14036, 14037, 14038, 14039, 14040, 14041, 14042, 14043,
   14044, 14045, 14046, 14047, 14048, 14049, 14050, 14051, 14052, 14066,
   14067, 14068, 14069, 14070, 14071, 14072, 14073, 14074, 14075, 14076,
   14077, 14078, 14079, 14080, 14081, 14082, 14083, 14084, 14085, 14086,
   14087, 14088, 14098, 14099, 14100, 14101, 14102, 14103, 14104, 14105,
   14106, 14107, 14108, 14109, 14110, 14111, 14112, 14113, 14114, 14115,
   14116, 14117, 14118, 14119, 14120, 14121, 14122, 14123, 14124, 14125,
   14126, 14127, 14128, 14129, 14130, 14131, 14132, 14133, 14134, 14135,
   14136, 14137, 14138, 14139, 14140, 14141, 14142, 14143, 14144, 14145,
   14146, 14147, 14148, 14149, 14150, 14151, 14152, 14153, 14154, 14155,
   14156, 14157, 14158, 14159, 14160, 14161, 14162, 14163, 14164, 14165,
   14166, 14167, 14168, 14169, 14170, 14171, 14172, 14173, 14174
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE",
  "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "type_name_list",
  "TruncateStmt", "opt_restart_seqs", "CommentStmt", "comment_type",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label_type",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "AlterObjectSchemaStmt",
  "AlterOperatorStmt", "operator_def_list", "operator_def_elem",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "ctext_expr", "ctext_expr_list", "ctext_row", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst", "Sconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
      60,    62,    61,   695,    43,    45,    42,    47,    37,    94,
     696,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -4485

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4485)))

#define YYTABLE_NINF -2415

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2415)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    4992,   923,  9693, -4485, -4485,   923, -4485, 63168,   539,   700,
    1265,   162, 12608, 63602, 70546,   929,   333, 12987,   923, 70546,
    1954, 48412, 60130,   951, 70546,   419,   607, 48412, 70546, 70980,
     925,   972,   823, 71414, 64036, 58828,  1284, 70546,  1099,  1133,
   71848, 64470,   985, 64904,   607, 44950,   101,   946, 72282, 70546,
    1665,  1391,  1052, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,   539,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
    1635, -4485,   887,  2207,  1507,   216,  1007, -4485, -4485, -4485,
   56658, 70546, 70546, 70546,  1278, 70546,  1206, 70546,   180, 56658,
   52318, 65338,  1386,  1264, 41472, 72716, -4485, 51016, 70546, 70546,
   73150, 70546,    90, 61432, 70546,  1453, 70546, 70546, 52752, 73584,
    1584,  1068, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, 70546,
   12606,   419, -4485, -4485,  1665, 70546,  1477, 56658, 70546,  1406,
   70546,  1493, 70546, -4485, 70546,  1530, 74018,   188,    40, 52318,
    1554, 41907,  1556, 70546, 52318, 74452, 70546, 70546, -4485, -4485,
    1559, 70546, 70546, -4485,  1687, 53186,  1425,  1731,  1885,  1796,
     159, -4485, 65772, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, 55790,   333, -4485, -4485,  1734, 57092, 70546,  1814, -4485,
   -4485, 74886, 90028,  1634, -4485,   713, 57526, 53620,  1942,  1616,
   42342,  1981, 75320, 54054, 75754, -4485, -4485, 76188, -4485, 76622,
    1708,  1814, 77056, 90450, 54488, -4485,  1840, 77490, -4485,  1612,
    1580,  2090, 37533, -4485, -4485, -4485,   539, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485,   307,  1316,   283,   205,   299,
   -4485, -4485,   213,   215,   220,   307,  2076,  2076, -4485, 70546,
   -4485, -4485,  1316,    52,  1638,  1638,  1638,  1836,   -10, -4485,
    1638,  1773, -4485, -4485, -4485, -4485, 64904, -4485,  1653,   419,
    1670,  2088,  1718, -4485, -4485, -4485, -4485, -4485,  1738, 70546,
   70546, 70546, -4485, -4485,  2113,  1724,  1960,  1710, -4485, -4485,
   -4485,  1913,  1921,  1925,    86,   419,  1813, -4485,  2041, -4485,
    1939, 27285, 27285,   419, 66206, 77924,   225, 55790,   419, 66640,
    1784,   938,  1971, -4485, -4485, -4485,   595, -4485,  2210,  1855,
    2074,  1710,  1068, 38843, -4485,  1857,  1426, 64904, -4485, -4485,
   -4485,   218,  2146, 27736, -4485, 70546,  1865, -4485,  1856,  1865,
    1869,  1873,  1507, -4485,  4992, 70546,  1253,  1253,  2284,  1253,
    1719,  1805, -4485,  2245, -4485,  2189,  2165, 64904,   946,   221,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485,  1916,  1426, -4485,   237, -4485,  1034,  1935,
    1263,  1576, -4485, -4485,   851, 70546,  2035,   202,    15,  1980,
   67074,  6708,  1951, -4485, -4485, -4485,  2099,   928, -4485, -4485,
   -4485, -4485,  2232,  2277,  4395,   313, 67508, -4485, -4485, -4485,
   -4485, 70546, 70546, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485,  1988, -4485, -4485,  2011,  2329,  2220,  2311,  2187,
    1008,  2240,   131,  2363,  9114,  1242, 67942, 70546,  2331,  2368,
    4915,  1380,   751,  2256,  1141,  2372,  2222,  1306,  2394,  5964,
   70546, -4485,  2324,  2436,   592, -4485,   189, -4485,  2142,  2294,
     686, 56658,  2115, -4485, -4485, 70546, -4485, -4485, 90872,  2181,
   -4485,   774, 56658, -4485,  2314,  2159, 42777, 70546, -4485, 70546,
   -4485, -4485, -4485, -4485, -4485,  2248,  2431, 70546, 90872, -4485,
    2396, 70546, -4485,  2156, -4485, -4485, -4485, -4485,  1638, 70546,
    2174,  2554, 90872,   108, 70546,  1103,  2594, 70546,  2387,  1103,
    2213, 78358, -4485, -4485,  1103, -4485, -4485, -4485, 70546, 70546,
    2192,  2066,  2386,  1103,  2405,  2618,  2629,  2293,  2407,   875,
     317,   181,  2528,  1103,  2276, 78792, 79226, 70546,  2279, 70546,
    2617, 56658, 70546,  2547, -4485,  2419, -4485, -4485,  1423, -4485,
   -4485, -4485, -4485, -4485,  2571,  1916,   755,  2576,  2267,  2579,
   -4485, -4485, -4485,  2315, -4485,  2315,  2315,  2269,  2269,  2438,
    2272,  2584, -4485, -4485, -4485,  1744,  2315,  2269, -4485, 91716,
   -4485,  1344,  1393, -4485,   157, -4485,  2697, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485,   163, -4485,   129,  1523, -4485,
   -4485,  2312, -4485,  2593,  1951,  2596, -4485,  2282, 79660, -4485,
   80094, 80528,  2600,  1988, 52318,  2602,  2476,  2607,  2282,  2610,
    2494,  2613,   755,  2614, -4485,   879,  2605,  2624,  2500,  2625,
     157,  2626,  1668,  2282, 56224,  2627,   166, -4485, 29540, -4485,
    2406, -4485,   946, -4485,  1269, -4485, 47544, -4485,  2090,  1316,
   -4485, 70546,  1316, 70546,  1316, 70546,  1316, 70546,  1316, 70546,
   70546, 70546,  1316, -4485, -4485, -4485, 70546,  2319, 70546, 70546,
   -4485, -4485, -4485, 60564, 52318, 60998, -4485, 70546, -4485,   115,
     419, -4485, -4485, 90872,  2738, 52318,  2617, -4485,  1403, -4485,
   -4485, -4485, -4485, -4485, -4485,  2558, 70546,  2622,  2632, 60564,
   52318, -4485, 80962, 55790,  2518,  2327, -4485, -4485, -4485, -4485,
   -4485,  1560,  2776,   222,  2782, 29540,  2337,   204,   204,  2343,
    2643, -4485, -4485, -4485,   263,  2349,  2350, -4485,   234,   234,
    2351,  2352, -4485,   265,  2355,  2356,  2805,  2809,   266,  2366,
    2369,  2370,  1744,   204, 29540, -4485,  2371,   234,  2375,  2376,
    2377,  2816,  2378, -4485,  2827,  2380,   310,   322,  2381,  2384,
   -4485,  2351, -4485,   201,  2385,  2388,  2389,  2390,  2393,  2398,
    2400,  2402, 29540, 29540, 29540, -4485, 25932,  1426,   419, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485,   267,  3953, -4485,
    2421, -4485, -4485,  2578, -4485, -4485, 29540, -4485, -4485,   121,
   -4485,   269, -4485, -4485, -4485,  1426,  2647,  2399, -4485, -4485,
    1367,  2401, -4485,  1795, -4485, -4485, -4485, -4485, -4485, -4485,
   54922,  2822, -4485,   328,   419,   189,  1526,  2768, 46676, 47110,
   -4485, -4485,  2646, -4485, 70546, -4485, -4485, 29540, 44516, -4485,
    1426,   111, -4485, -4485, -4485,  1547, -4485, -4485, -4485,   539,
   -4485, 11582, -4485,  1563,  1865, 70546, 70546,  2824, -4485, -4485,
   -4485,  1856, -4485, -4485,  1507,  1507, 29540,  1507,   240,  1063,
   28187, 29540,  2707,  2606,  1160,  1196,  2709, -4485,  2611,  1719,
    1805, 64904, 70546, 81396,  2530, -4485, 45384,  1381,  1426,  2497,
    2498,  2543, 49280,  2420,  2501,  2503,  2559, -4485,  2669, -4485,
   -4485,  2512,  2516, 81830, -4485, -4485,   903, -4485, -4485, -4485,
     903, -4485,  2451,  1171,   885,   271,  2520,   242,   717,  2813,
   -4485,  1198,  2568, -4485, -4485, -4485,  5780, 70546,  2755,  6666,
    2639,   313,  2640,  2567, -4485, -4485,  2688,  2526, 70546,  2529,
    2670,   313,  1003, 82264, -4485, -4485, -4485, -4485, -4485, -4485,
    1539, 24637, -4485,  2550,  2531,  2560, 70546, 57960,  1697,  2667,
    2671,    79,  1748,   566,  2609, 70546,  1225,  2674, 70546,  2480,
    2562,  2563,  2761,  2488,  1158,  2863,  2490, -4485, -4485, -4485,
    1732,  2678, -4485,  2764,  2806,  5747,  2555,  2557, 89184,  1293,
   43212, 70546, 70546,  2852,  1452,  2581, -4485, -4485, -4485,  1452,
   70546,  2582,  2588, 70546,   313, -4485,  2914,   313,   313,  1587,
    2915,  2592,   342,  1656,  1103,  2490,  1928, -4485,  2595,  2601,
     268, -4485,  2717, -4485, -4485,  1120,  2615, 64904,   301,  2206,
    2490,  2616,  2619,  2488,  2488, 70546, 70546, 70546, 70546, 70546,
     190,  2948,  2949,  2623,   197,  2666,  2552, -4485, 51450,  2631,
   77924, -4485, -4485, 70546,  2634,  2430,  2490,  1350,  1476, -4485,
   -4485, -4485,  1068, -4485, 70546, -4485, 70546,  1916, 90872,  2751,
    2810, -4485,  2608, -4485,  1951,   313, -4485, 70546, 70546,  1988,
    2754,  1348,   889, 90872,  2757,  2821, 70546,  2825,  2642,  2597,
    2649, 45813, -4485,  2192,  2583,  2989, 70546, 49280, -4485,  3007,
     903, -4485, 90872,  2772,  2895, -4485, 70546,  2792,  2589, -4485,
    2932,  2644, -4485, -4485,   563, 70546, -4485,  2903, 52318,   281,
     419,  2652, 52318,  2829, 70546, 70546, 70546, 70546, -4485, -4485,
    2793,   648,   123, -4485, 51450, -4485, 70546,  2808,  1928,  2811,
    3020,    42,  1638, 82698,  2910, -4485, 83132,  2621,  3032, 90872,
    2862, -4485,  1657, -4485,  2744, -4485, 56658,   755, -4485, -4485,
   -4485, -4485, 90872, 70546, -4485,  2630, -4485, -4485, 29540, -4485,
   -4485, -4485,  2076, -4485, 90872,  2315,  2315, -4485, -4485,  3041,
    2705,  2711,  2076, -4485,  2076, -4485, 90872, -4485,  2635,  2636,
    2749,  2076, -4485,  2716,  2721,  2724, -4485,  2648,  2727,  2076,
   -4485, -4485,  1750, -4485, 83566, 56658,   755, 52318, 52318,  2966,
     166,  2967,  2712,  2970,  2714, 43212,   755,   182, 70546, 70546,
   52318, 70546, 70546, 70546, -4485, 70546, -4485, -4485, -4485, -4485,
   90872, 70546, 70546, 90872, -4485, 52318, 51450,  2972,  2975,   755,
   70546, 70546, -4485, 11582,  1595, 84000,  2090, 55356, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, 70546, -4485, 70546, -4485,
   70546, -4485, 70546, -4485, 70546, -4485, -4485, -4485, 70546, -4485,
   70546,  1596, -4485, -4485,  1602,   800, 70546, 70546,   192, 56658,
   70546,  2865, 70546, 70546, 70546, 70546, 70546,  2745,  2401,   994,
   -4485,   238,   658, 64904,  2872, -4485, -4485,  1659,  1665,   578,
   70546,   948,  1738, -4485, -4485, 60998, 60130,  2964,   113, 70546,
   -4485, -4485,  4771, 29540,  1426, 26834, -4485, -4485, 11582,  2710,
   29540, 29540,  2672,  2076,  2076, -4485,   855, 29540, 29540, 29540,
    2076,  2076,  8826, 29540, 43212, 29540, 32697, 22859, 29540, 29540,
   26383, -4485, 29540,  2888, 34044, 29540,  1526,  2889, 29540,  1526,
    8826,  3120,  3120,  1924,  5016,  2676,  1426, -4485,  2076,   806,
   -4485,   255, 90872, 29540, 29540, 29540, 29540, 49280,  2765,   207,
   70546, 29540,  2682,  2141, -4485, 29540, -4485,  2687, 29540,  2766,
     804, 29540, 29540, 29540, 29540, 29540, 29540, 29540, 29540, 29540,
   -4485, 34916,   258,  2974,  2993,    36,   439, 68376, 27285,  2991,
   21955, -4485,   187,  2991, -4485, -4485, -4485, 70546,  2822, -4485,
   -4485,  2775, -4485, -4485, -4485, -4485, -4485,   270, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485,  2702, -4485, -4485, -4485, -4485,
    2702, -4485,  2701,  9045,  2699, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485,  2986,  2988,   755, 70546,   218, 61866, -4485, 27736, -4485,
    1699, -4485,  2715, -4485,  2965, -4485,  2713, -4485,  9214,  2965,
   -4485, -4485,   303,  2830,  2958,  2908, -4485, -4485, -4485,  2718,
   11582, -4485,  1609, 11582,  1720, -4485, -4485, -4485, -4485, -4485,
   -4485,   968, -4485, 70546,   127,  2707,  1196,  2774,  1024,  3136,
   70546, -4485, 39279,  2909, -4485,  3124, -4485, 91716, -4485,  2725,
   -4485, 91294, 87906, -4485, -4485,   724, -4485,  1183,  2804,  2815,
    2854, 52318, 70546, 70546, -4485, 49280, 52318, 70546, 70546, -4485,
   52318, 70546, 70546, -4485, -4485, -4485, -4485, -4485, 47978,    51,
   60130,  2857, 59262, -4485, -4485,  2732, 70546,  2787,  2983,  2987,
     747, -4485, -4485, 84434, -4485,  2943, 52318, 70546, 70546, 29540,
    2945, 70546, 70546, -4485,   485,  2823,  2826, -4485, 70546,  2828,
   56658,  2748, 70546, 70546, 90872,  2836,   775, 56658,  2794, 43647,
   70546, 70546, 70546, 70546,  2881,  3064, 90872, 70546,  3012,  1041,
   64904,   229,  2638,  2490,  2971, -4485,  3077,  1240, -4485, 52318,
   -4485, 70546,  2963, -4485, -4485, -4485, 68810,  3185,  2890, -4485,
   -4485, 84868, -4485, -4485, -4485,  1712, -4485, 52318, 52318, 70546,
    7160, 85302,  1167,  2994, -4485, -4485, 90872, -4485, 70546, 70546,
   70546,  3093,  3023, 70546, 62300, 85736, 86170,    63,   596,  3025,
   70546, 62734,  3028, -4485,  2922, 70546, -4485, -4485, 49714, 52318,
   70546,   757, 49280, -4485, -4485, 70546, -4485,  2990,   272, -4485,
   70546,  6462, -4485,  2871,  2880, 70546,  2995,   235,  2645,  2490,
   70546, 70546,  2796,  1716,  2883,   914, -4485,  2997,   667, 70546,
   -4485, 52318,   782, -4485,  2952, 52318, 70546, 12472, -4485, -4485,
     313, -4485, -4485, -4485, -4485, -4485, 70546, 70546,   313, 70546,
     313,  1194, -4485, 52318, 70546, -4485, -4485, -4485, 70546,  7301,
   70546, 70546, 70546, 70546, 52318, 70546, -4485, -4485,  1355,    76,
      91,  1382,   722, 70546,  3087, 70546, 86604, 52318, 70546, 70546,
   70546,  1318, -4485,  2927, -4485, 52318,   782,  7602, 70546, 70546,
    2891,  2894,   178,  2968, -4485, -4485, -4485, -4485, -4485, -4485,
    3062,  3230, 87038,   813, -4485,  3066,  3069,  2873,  2875,  3071,
   70546,   813, 70546, -4485, -4485, -4485, -4485,  3068, 70546,   813,
    3076,   813,  2996,  3026,   145,  3102,  2846,  1717, -4485, -4485,
   29540, 90872, -4485,  1723, -4485,  2847,   648, -4485, -4485, 49280,
   70546,   167,   792,  3148, 58394,   893,  3138, 70546,  2887, 70546,
    3140,   893, 70546, -4485,  2077, 60130, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485,  3143, -4485,   419,  2192,  2192,
    2192,  2192, -4485, -4485, -4485, -4485,  3045,  1412, -4485,  2850,
    2192, 70546,  2977,   893,  2853,  3165, -4485,  1928,  3166,  1443,
   70546, 58394,  1808,  2899,  3080,  3293,  1638,   419,  3083,  3070,
   -4485, 25059,  1322,  3073,  3127, 55790,  3164,  3167,  3183, -4485,
    1916, -4485,  3303, -4485, 29540,  1753,  2886,   157, -4485, -4485,
    2893,  2636,  2905,  2906,  2896,  2897, -4485,  2076,   243, 70546,
    2898,  1138,   666,  3013,  2076,  3110,  2900, -4485,  3205,   755,
    1951, -4485,  2282, -4485, 70546, -4485, 70546, 70546, 70546, 70546,
    1988, -4485, -4485,  3088,   755,  2282,  3089,   755,   755, -4485,
    3145,  3096,   755,   157,  2282,  3029,  3207, 55790, -4485,   166,
   -4485, -4485, 29540,  3113,  1638, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485,  1758, -4485, 70546, -4485,  3186,  3187,  3193,
    2918,  2919,  2942, 70546,  2920, -4485,  2918,   313,  2918,  2401,
    2401,  2918,  2919, 51884,  3355,  3214, -4485,  3004,  2928,  3223,
     789, -4485,   812,   585,  3150, -4485, -4485, -4485, -4485, 90872,
   -4485, 52318,  2969, 70546, 70546, -4485,   184,  3123,  2929, 51884,
    3336,   755, -4485, 56658, -4485, -4485, 90872,  3008,  3027, 56658,
    3135,  2992, -4485, -4485, -4485, -4485, -4485, 90872, -4485,  3189,
   70546,  1760, -4485, -4485,  1505, -4485,  1506, 29540,   369, -4485,
   10032,  1764, 29540,  2944,  2946, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485,  2947,  3240, -4485,  1770,  1776,  1781,  2950,  2951,
    2467,  2953, 10101,  2954,  2956, 32697, 32697, 25932,  1905, -4485,
   32697,  2957,  3131,  1782,  9494,  2955,  2959, 10378, 28638, 29540,
   28638, 28638, 10654,  2955,  2960,  1787, 49280,  3137, 10971,  1789,
   -4485, 29540, 49280,  3599, 29540, -4485, 29540,  2961, -4485, -4485,
    4321,  4321,  4321,  8826, -4485,  2984, -4485, 32697, 32697, -4485,
    1112, 25932, -4485, -4485,  3247, -4485, -4485,  1441, -4485,  2978,
   -4485, -4485,  1482, 43212, 11906, 29540,   217, 29540,  2682, 29540,
    3034,  4321,  4321,  4321,   376,   376,   249,   249,   249,  1320,
     439, -4485, -4485, -4485,  2979,  2981,  2982,  3149,  2985, 29540,
   -4485,  1879,  1887, 70546,  2519,  2940,  3334, -4485, -4485, -4485,
   35789,  3015, 29540, 29540, 29540,  2999, -4485,  2092, 11582,   643,
   -4485,   292,  3015, -4485,  1068,  2076,   806, 47544, -4485, -4485,
   29540, -4485, -4485, -4485,  1856, -4485, -4485, -4485, -4485, -4485,
   70546,  1665, 29540, -4485, -4485,  2767,  2998, 29540,  1609, -4485,
   -4485,  3036, -4485, 29540, -4485, -4485, -4485,  2401, -4485,  3197,
   -4485, -4485, -4485, 35789,  3024,  3037, 38406,  3181, -4485, 70546,
   -4485, 70546,   293, -4485, -4485, -4485,  3001, -4485, -4485, 87906,
    1523, -4485, 91294, -4485, 91294, -4485,  1523,  3392, -4485, 87906,
     -41, 52318, 70546, 70546, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, 52318, 52318,  3188,
   70546,  3182,  3194, 29540,   172, 70546,  3002,  3005,  1213,  3262,
   70546, -4485,  3305,   755, -4485, -4485,  3081, -4485, 11582, -4485,
   -4485, -4485, -4485, -4485, 52318, 70546, -4485, 55790, -4485,  1916,
   90872, -4485, -4485, -4485, 70546,  3038, 70546, -4485, 70546, 70546,
   70546,  1988, -4485, -4485, -4485, -4485,   933, 90872, -4485, -4485,
   70546, 70546,   134,  3085,  3086, 70546, -4485,   871,  2717,  8140,
   70546, 70546, 70546,  3271, 70546, -4485, -4485, -4485, -4485,  3216,
   -4485, -4485, 87906, -4485,  2282,  1127,  3094,  2490,  3226, -4485,
    3337,  3218, -4485,  1020, -4485, 70546,  3153, -4485, -4485, -4485,
   -4485,  3343,   755,  3348,   755, 70546, 70546, 70546, 70546,  3160,
   -4485, -4485, -4485, -4485,  3161,  3280, -4485, 49280, 49280, 49280,
    1800, -4485, -4485,   419, -4485, -4485, -4485, -4485, -4485, -4485,
    3315, -4485,  1810, -4485,   -34, -4485, -4485, -4485, -4485, -4485,
   -4485, 52318, 70546, 10464,  3356, 70546, 70546, 70546,  1486, -4485,
     780, 90872, -4485, 89606, 52318, 70546, 49280, 70546,  3126, 52318,
    3104, -4485, -4485, -4485,  3287,  3227, -4485,   910,  3232, 52318,
    3114, -4485,  3130, -4485, -4485,  3139,  2653,  2490,  1928, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485,  1188,   341,  2698,
    2490,  3141, -4485,  3142, -4485, -4485, -4485,  3286,  3288,  3291,
    3144,  3147,  3198,  3151,  3154,  3199, -4485,  3157,  3208,  3158,
    3209,  3261,  3162,   755, 90872,  3278,   419,  3200,  3398,   755,
   -4485,  3168, -4485, -4485,  3500, -4485, 70546, -4485,  3170,  2734,
    2490, -4485, -4485, 52318, 70546, -4485, -4485, -4485,   813, 90872,
   70546,  3340, -4485, -4485, -4485,   813,   813, 70546, 70546,   813,
    3341, -4485,  3345, 70546,  3346, -4485,   813, -4485, -4485,   433,
   -4485, -4485, -4485,  2996,  3382, 41037, -4485,  3550,  5355,  3100,
   -4485, 49280, 41037,  1644,  2138,   389,  1103, -4485, 55790, 70546,
   55790, -4485,   792,  3218, 70546, 70546,  3101,  3099, -4485, -4485,
   -4485, -4485, 52318,   776, 52318,  2076, -4485, -4485,  3171, -4485,
   70546,  1638,   239,  3190,  3516,  2629,   281,  3248,  1497,  3459,
    2899, -4485, -4485, -4485, -4485, 70546, 70546,   648,   419, -4485,
    3108,  3106, -4485, 70546, 70546, 70546, 70546, 70546,  2969,  3111,
    3115, 90872,    46,  3306,  3307,  2488,  3533,  3428,  1665,  2899,
    3195,  3430, 70546, -4485,  1822,    98, -4485,   419, 55790, 88328,
    3419, -4485,  4293, -4485, -4485,   729, 70546,  3405, -4485, -4485,
    1665,   755, 90872,  1823, -4485, -4485, -4485,  2076, -4485, -4485,
    1298,  1298,  3128, -4485,  3129, -4485,  3513, -4485, -4485, -4485,
   -4485, -4485, -4485,  3125, -4485, -4485, 70546, -4485,   755,   166,
    3179,   755,  3184,   755,   755, 70546, -4485, 70546, -4485, -4485,
   70546, 70546, -4485, -4485, 70546, 51450,   755, -4485, 11582,  3440,
   -4485, -4485,  3257,  3258,  3260, 70546,  2918, 56658, -4485,  3133,
   52318,  1017, -4485, -4485,  3325, -4485, -4485, 64904,  3259, -4485,
   -4485, -4485, -4485,  3453,  3456, -4485, -4485, -4485,   256, -4485,
   -4485, -4485, 52318, 60564,   302, 52318, -4485,  1916,  3395, -4485,
   -4485,  1951,   313, -4485,  3396, 70546,  3397, -4485, -4485, -4485,
    3152, 11122, 29540, -4485,  3468, 90872, -4485,  5480, -4485, -4485,
   -4485, 29540, -4485, -4485, -4485, -4485, -4485, 29540, -4485, 29540,
    3443, -4485, 23311,  3593,  3593,  3155, 90872, 32697, 32697, 32697,
   32697,  1354,  2375, 32697, 32697, 32697, 32697, 32697, 32697, 32697,
   32697, 32697, 33599,   456, -4485,  3335, 29540, 29540,  3451,  3443,
   -4485, 90872,  3159,  2955,  3163,  3172, 29540, -4485, -4485,  1835,
   34480,  3174, 49280, -4485, 29540,  9339,  1842,  3201, 11437,  1426,
    5802,   419, 29540,  2258,  2556, 29540,  1843, 29540,  3449, -4485,
   -4485, -4485,  3156, -4485, -4485, 90872, 29540,  3175,  2980, 32697,
   32697,  3410, -4485,  4143, 29540, 25932, -4485,  3352,  3204, 39715,
   -4485, 23763,  3176,   607,   607,   607,   607, -4485, 70546, 70546,
   70546, 36225,  3461, 35352, 69244,  3177,  1991, -4485, 69244, 69678,
   -4485,  3196, -4485,  3202,  1426, 29540,  3465,   739,   739,  3352,
   -4485, 29540, 29540, 29089,  3192, -4485,  3465,   189,  3203, -4485,
   -4485, 11582,  3206, -4485, -4485,  3210, -4485,  3212, -4485,  2998,
     785, -4485,  5844,  3375, -4485, -4485, -4485,  3177, 29991,  3321,
   -4485,  1848, -4485, -4485,  3559,  3321, -4485, -4485,  1854, 39279,
    3024, 27736,  1426,  1860,  1387, -4485, -4485, 87906, -4485,  3254,
   -4485, -4485, -4485,  2282,  2282,   936,  2918,  3488,   936,  6184,
   -4485, -4485, 36661, 70546, 70546, -4485, 70546,  1867,  1430, 70546,
   -4485, 70546, -4485, -4485, -4485, -4485,  3612, -4485, 70546, -4485,
   -4485,  3249,  3250, -4485, 70546, 70546, 70546, 70546,  3444, -4485,
   -4485,  1935, -4485, -4485, 52318, 70546, -4485, -4485, -4485,   246,
    2892,  2490, -4485,  3275, -4485, -4485, -4485,  3462, -4485,  3601,
    3294, 70546,  3514, 70546,  3213, -4485,  1430,   766,  2488,   718,
   -4485, -4485,  3273, -4485, -4485, 70546, -4485, 70546, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485,  3330, -4485, -4485, -4485, -4485,
   49714, -4485, -4485, 70546, -4485, 49280, 41037, 49280, -4485,  1230,
     402,  2907,  2490, 70546, -4485,  3292, -4485,  3298,  3302,  3361,
     174,   868,  3317,  3318,  3364,  3241,  3243,  3244, -4485, -4485,
    1875, -4485,  3221,  3358, 70546,  2282,  3217,  3282,   307,   419,
   -4485, -4485,   419,  2282,   419, 70546, 70546, 70546,  3649,  3338,
   70546, 70546, 70546, 70546, 70546, 70546,  3551,   193,  1690, 52318,
   70546, 70546, 52318, 70546, 70546, 70546, 70546, 70546, 70546,  3564,
   70546, -4485,  3640,  3569,   382,  3610,  3327, 70546, -4485, 70546,
    2717, 70546, 70546, -4485, -4485, -4485,  3263,  3512,   813, -4485,
   -4485,  3517,  3518, -4485,   813,   813,  3519,   813, -4485, -4485,
   -4485,  1103, -4485,   433, 70546,  3212,  2076,  1732, -4485, -4485,
   -4485, -4485, -4485, -4485,  2846, -4485, -4485,  1852, -4485, -4485,
   70546,  3265, 70546, 70546, 32697, -4485,  1471,   259, -4485,  3509,
   70546,  3304, -4485, -4485, -4485,  3422, 70546, -4485, -4485, -4485,
   -4485, -4485,  3274, -4485,  3539, 58394,  2282, 52318, 52318,  2282,
   -4485, 90872,  3279,  2899, -4485, -4485, -4485, -4485, -4485, -4485,
   52318,  3104, 52318,   281,  1392, 87472,  3309, -4485,  3276,  3580,
   -4485,  3281,  3283, -4485, -4485, 70546,  3218,  1880,  1928,  3701,
      80,  1612, -4485, 59696,  1808,  3539, -4485, -4485, -4485,  3662,
    3370, -4485,  1665, 70546,  2969,  3370,   419, 70546,  2787, -4485,
   87906, 29540, 29540, -4485,  3284, -4485,  3290,  4836, -4485,  3353,
    3289,  2192, -4485, -4485, -4485, -4485, -4485, -4485,  3368,  3295,
   70546, -4485, -4485,  3296, -4485,  3301, -4485, -4485, -4485, -4485,
   -4485, -4485,   755, -4485, -4485, 70546, -4485, 70546, -4485, -4485,
     755,   755,   755,   755, -4485,  3409, -4485, 70546, 70546, 70546,
   70546,  2918, -4485,   313, -4485,  3583, 51884, -4485, -4485,  1881,
   70546, -4485, -4485, -4485,  3653,   113,  3597, -4485, -4485,  3555,
     940,  3556,  3557,   940,  3558,   940, -4485, 29540, 11582, -4485,
    3308, -4485, 11582,  6312, 11582,  3451, -4485,  1901, 29540, -4485,
    1494,  1494,  1494,  2104,  3602, -4485,  1092,  3310,  1494,  1494,
    1494,   386,   386,   186,   186,   186,  3593,   456, 11582, 11582,
   -4485, -4485,  3311, -4485, -4485, -4485,  2955, -4485, 30442,  3463,
    3712, -4485, -4485, -4485,  3351,  3354,  3314, -4485, 29540, 30893,
    3312, 91716,  3501, -4485,  1501, 29540, 29540,  2700, -4485, 12142,
   29540, 90872,  1910,  2700,   442, 29540,  2784,  2874, 29540, 29540,
    4281,  6502,  3319, 29540, 88750, -4485, -4485, -4485,  1919, 29540,
   70546, 70546, 70546, 70546, -4485, -4485, -4485, 69244, 69678,  3323,
   24200,  1991,  3320, 70546, -4485, -4485,  3324, 35789,  3566,  3510,
   -4485, 35789,  3510,  1309,  3510,  3573,  3416, 40151, -4485, -4485,
    3331,  3524, -4485, 21955,  1396, 11582,  3734,  3622, 29540,  3339,
    3344,  3349, 11582, 11582, 29540, -4485,   419,  3622,   419, -4485,
   -4485, 43212, -4485, -4485, -4485, -4485, -4485,  3538, 11582, 27285,
   -4485,  1665, 70546,  1426,   691, -4485,  3362, 70546, -4485,  3321,
   -4485, -4485,  3411,  1934, -4485, -4485, -4485, -4485, -4485,  3429,
   60130,  3636, -4485, 29540,  1949, -4485,  3389,  3738,   325,  1957,
    1958,  1430, -4485,  3304, -4485,  1492,  3623,   151, -4485,   755,
   -4485, 90872, -4485, 70546, 70546, -4485, -4485, -4485, -4485, 70546,
    2420, -4485, -4485, 70546, 70546, 70546, 70546, -4485, 52318, 70546,
   -4485, 70546, -4485, 49280,  2138,  3560, -4485, -4485,  3562,   307,
   70546, -4485, 90872,   755,   755, -4485, -4485, -4485, -4485, -4485,
    3372,  3765,  3450, 70546, 70546, 70546, -4485, 70546, 52318, 70546,
   70546,  2076,  2076, 90872,  3363, -4485,  2076,  2076,  3365, -4485,
   52318, 70546, 70546, -4485, -4485, -4485, -4485, 49280, 40590,  3445,
   -4485, 29540,  3755, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, 52318, 70546,  3447, -4485,  3452, -4485, -4485, -4485, 70546,
   70546, 70546, 70546,  3683, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -4485, -4485, 70546, -4485, 70546, -4485, -4485,   419,
     419, 90872,   755,   755, -4485, -4485, -4485,  3624,   813, -4485,
     813,   813, -4485, -4485,   813, -4485,  3374,   406, -4485,  1430,
    1466,  3669,  3673, 29540, -4485,  1287,  2104, -4485, -4485, -4485,
   -4485,  3304,  1638,  3435, 56658,   351, -4485,  3654,   167, 58394,
    1407,  3383,  3502, -4485,  2282,  2282,  3438, 70546,  3804,  2282,
    3282, -4485,  3595,    83, 70546,  3715,  3432, -4485,   419, -4485,
   -4485,  2899, -4485,  1665, 70546, 58394,  2969,  1973, -4485, -4485,
   -4485,  3426,  3307,  1808,   883, 70546, -4485,  3431,  3816, -4485,
   -4485,  3693,  3600,  3400, -4485, 11582, 11582,   419, 92138,  4293,
   90872,  3709, -4485, 70546,   692,  3676,   755, -4485, -4485,   755,
     755, -4485, -4485, -4485, -4485, 70546,  2918,  2918,  2918, -4485,
    3604, -4485, -4485,  3668, -4485,   755, 51884,   940, -4485, -4485,
   -4485,   940,   940, -4485,   940, -4485, 11582, -4485, -4485, -4485,
   -4485,  6811, 32697,  3710, -4485,  3417, 90872, -4485,  3418,  1975,
    1977, 34044,  3571, -4485, -4485, -4485,  7095,  3471, 11582,  3525,
    3424,  3425,  2700,  2700, 12142,  1999, -4485,  2700, 29540, 29540,
    2700,  2700, 29540, -4485, -4485,  7380,  3598, -4485, -4485,  7591,
   -4485, -4485, -4485, -4485, -4485, -4485, 50148, 69244,  3427, 70546,
    1991, 35789, -4485, -4485,  1709, -4485, 35789,  3677, -4485, 35789,
   56658, -4485, 70546,  3433, 70546, -4485,   643, 31344, 29540,  3464,
   -4485, -4485, -4485,  3352, -4485,  3464, -4485,  3434, 70546,  2399,
   -4485, -4485,  3802, 36661,  3761,  3436, -4485, -4485, -4485, -4485,
   51884,  3625, 51884,  1430,  7703,  3304, 36661, 44082, 70546, 70112,
   70112,  3586,  3304,  3435, -4485, -4485, -4485, -4485, -4485, -4485,
    3437, -4485, -4485, -4485, -4485,  3511, -4485, -4485,    28,  2872,
   -4485,  2005, -4485, -4485, -4485, -4485, -4485,  3640, -4485, -4485,
   41037, 52318, 70546, -4485,  3520, -4485, -4485, -4485, -4485, -4485,
   37970, 43212, -4485,   174,  3439,  3441,   868, -4485, -4485, -4485,
   -4485, -4485, -4485, 70546,  7736,  3446,   905,  2872, 70546, 70546,
    1437,  1125,  1427,  2918,  3739, -4485, -4485, -4485, -4485,  3640,
   -4485, -4485,   813, -4485, -4485, -4485, -4485, 49280, -4485,  2788,
   -4485,  1103,  3782, 56658,  3865,  3865, 70546, -4485,  8178,  3651,
   -4485,  3435,  3674,  3720, -4485,  3458, 70546,  3611,  3466,  3455,
     232,   232, 70546, 70546, 70546,  2013,  1665, -4485,   281,  3770,
   58394,  3218, -4485,  1360,  3467,  3774, -4485,  3882,  2969,  3111,
    3470, -4485, -4485, 59696,  3657,  3370,  3307,  3603, -4485,  3605,
   -4485,   304, -4485,  1665, 70546, 70546, 36661, -4485, 91294, -4485,
    2022, -4485, -4485, -4485,  3536,  3015,  3575,  3576,  3474, 70546,
     668, -4485, -4485, -4485, -4485, -4485, 70546, -4485,   302, -4485,
   -4485, -4485, -4485, -4485,  3235, 32697, 90872,  2031, 29540, -4485,
   29540, -4485,  3878, -4485, -4485, -4485,   770, -4485, -4485, -4485,
    2700,  2700,  2700, -4485,  3879,  3352, -4485, -4485,  2032,  3898,
   -4485, 70546,  2033, -4485, 29540,  3481, -4485, -4485, 35789,  1709,
    3483,  2040, 70546,  2052, 90872,  3484,  3486,   866,  3487, 22407,
    3480, -4485, -4485, -4485, -4485, -4485, 11582, 11582, 70546, -4485,
    3490, -4485, -4485, -4485, 70546,  2060, -4485,   609, 25481, -4485,
   -4485,  1017,   936,   302,  3738,  3435, -4485,  3489, -4485, -4485,
   70546, -4485,  1039,  1039, 70546,  3435, -4485, -4485, 70546,  3577,
   -4485, -4485, 49280,  3542, -4485,   915,  2872, 70546, 90872,  1951,
      89, -4485, 90872, 90872, -4485, -4485, -4485, 29540,  3579, -4485,
   -4485, -4485, -4485, -4485, 70546, 70546, 70546, 70546, 70546,   755,
   -4485,  2064, -4485, 37097, -4485, -4485,  2594,   419,  2594,  1419,
   -4485, -4485,  2594, -4485,  2594, -4485,  3374,   419,  3865,   311,
   -4485, -4485, -4485,  1794,  3704, -4485,   841,  3689,  3582,  3498,
   -4485, 56658,  3948,  3539, -4485, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485,  2071,  3218,  3809,  2899,  3431, 70546, -4485, -4485,
   -4485, -4485, 29540,  3664,  1665, -4485,  1808,  3539, -4485, -4485,
   -4485,  3370, -4485, -4485,  3899,  3702,  3902,  2969, -4485,  2787,
    2078, -4485,  4836, 92138, 90872,  3844,  3554,  3561, -4485, -4485,
    3570, 70546, -4485, -4485,  3218, -4485,  3235,  2101, -4485,  2109,
    2121,  3671,  3572, -4485, 29540,  1297,  3196, 50148,  3522, -4485,
    2122, -4485, 11582, 70546, -4485, -4485, 29540, -4485,  2132, -4485,
   -4485, 29540,  3528, 29540, -4485, 31344,  3521, -4485,  3942, -4485,
   -4485,  3015, 36661, -4485,  3643, -4485,  3824, -4485, 70112,  3574,
   43212, -4485,  2998,  2998,  1638, -4485,  1430, -4485, 70546, -4485,
   29540, -4485,  3616, -4485, -4485,  2136, -4485,  1075,  3685,  3833,
    2137,  2148,  8296, 70546,  2919,  1427,  2919, -4485,  2918, -4485,
   -4485, 49280, -4485, 50582, -4485, -4485, -4485,   419, -4485,   419,
    3740, 70546, 46242,   419,   419, -4485, -4485, -4485, -4485, -4485,
    3864,  3808, -4485, -4485, -4485, -4485,   412, -4485,  3735,  3736,
   70546, -4485,  3544, -4485,  2149,  3665, -4485, -4485, 70546,  3963,
    3965, -4485,   593,  8677, 56658,  3431,  3307,  1808,  2138, -4485,
    3743, -4485,  3744, -4485,  3549,  2899,  4293, -4485, -4485,   321,
    3847,  3848, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
    2955, 31795, 31795,  3563, -4485, -4485, 70546, -4485,  2158,  2160,
   -4485,  2171, 31344,  2180, -4485, 70546,  3567, -4485, -4485, 39279,
   51884,  1039,  3568, -4485,  3565, -4485, -4485,  3674,  1430,  2872,
   11582, 70546, 56658,  3958, -4485, -4485, -4485,  3685, -4485, -4485,
   -4485,  2872, 70546, -4485, -4485,  2185, -4485, -4485, -4485, 70546,
    3276, -4485,  3276, -4485, -4485,  3688, -4485,   209,   209,  3908,
   -4485,  3619, -4485, -4485,  3578, -4485,  4008, 70546, -4485,   174,
    1665, 58394, -4485,  3581, -4485,  3370,  3307, -4485, -4485, 36661,
    3370, -4485, -4485, -4485,  2191, 56658, 56658, 33148,  3703,  1070,
    9560, -4485, -4485, -4485, -4485,  2196, -4485,  3714, -4485,  2198,
   -4485, -4485, -4485,   -25,   302,  2998, 29540,  1430, -4485,  3689,
   -4485,  2872,  1951, 70546, -4485, -4485, -4485, -4485, 50582,  3276,
    3432, -4485,  4004, -4485,   835, -4485, -4485, -4485, -4485,  3218,
    3363,  3431, 48846, -4485,  3370,  2204,  3015, -4485,  2309, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485,  3585,  3592,  3995, -4485,
   -4485, -4485, -4485, -4485, -4485,  3584, -4485, -4485, -4485, -4485,
   -4485,  8743, -4485, -4485, -4485, -4485, -4485,  3887, -4485, -4485,
   -4485, -4485, -4485, -4485,  2218, -4485, -4485, -4485, -4485, -4485,
    2899, -4485,  1806, -4485, -4485,  1828,  1873,  3655,  3870, 32246,
   29540, -4485,  1430,  3741, -4485, 48846,  3370, -4485,  2309,  3680,
    3700, -4485,  8762, 56658, -4485,  3015, -4485,  3615,  3620, -4485,
    3606, -4485,  3890,  3891, 48846, 56658, 56658,  2223, -4485, -4485,
   -4485
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1494,  1280,   568,  1364,  1363,  1280,   254,     0,  1366,     0,
    1280,   389,  1015,     0,     0,     0,     0,   568,  1280,     0,
    1494,     0,     0,     0,     0,     0,  1507,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1280,     0,     0,  1514,
       0,     0,     0,     0,  1507,     0,  1368,     0,     0,     0,
       0,     0,     2,     4,    67,    68,    29,    28,    34,    33,
      92,    93,    53,    17,    81,    60,   127,   126,   128,    40,
      36,    75,    25,    27,    37,    41,    62,    43,    54,   105,
      61,    23,    59,    86,    63,    89,    48,    11,    12,    49,
      79,    13,    50,    80,    14,    51,    15,   101,    69,    94,
      32,    58,    22,    85,    42,    65,    91,    66,     5,    44,
      77,    73,    10,    55,    56,    57,    82,    83,    84,   110,
      88,   122,    39,   119,    98,    99,   116,   100,   117,     8,
     102,    52,    16,   113,   112,   114,    76,    45,    78,    64,
      90,   111,    26,   115,    18,    19,    21,    20,   118,    87,
     108,   104,   123,   121,   129,   106,    70,     6,     7,    95,
      24,    47,     9,    31,    30,    46,    38,   125,    35,  1366,
      97,   109,    96,    71,   103,    74,   107,   124,    72,   120,
    1467,  1466,  1516,  1470,  1493,     0,  1482,  1279,  1278,  1264,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   567,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1290,  2075,  2090,  2091,  2092,  2093,  2094,  2095,  2096,
    2097,   360,  2098,  2099,  2100,  2101,  2102,  2103,  2104,  2105,
    2106,  2107,  2361,  2362,  2363,  2364,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2365,  2366,  2115,  2116,  2117,  2118,  2119,
    2367,  2120,  2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,
    2129,  2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,
    2139,  2140,  2141,  2368,  2369,  2142,  2143,  2144,  2145,  2146,
    2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,
    2157,  2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,
    2167,  2370,  2168,  2169,  2170,  2371,  2171,  2172,  2173,  2372,
    2174,  2175,  2176,  2177,  2178,  2179,  2180,  2373,  2374,  2181,
    2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,
    2192,  2193,  2194,  2195,  2196,  2197,  2375,  2198,  2199,  2200,
    2201,  2376,  2377,  2378,  2202,  2203,  2204,  2205,  2206,  2207,
    2208,  2209,  2379,  2210,  2211,  2212,  2213,  2214,  2215,  2216,
    2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,
    2227,  2228,  2229,  2380,  2381,  2230,  2231,  2382,  2232,  2233,
    2234,  2383,  2235,  2384,  2236,  2237,  2238,  2239,  2240,  2241,
    2242,  2243,  2385,  2244,  2386,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,  2253,  2254,  2387,  2255,  2388,  2258,  2256,
    2257,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2389,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,
    2390,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2391,  2302,  2303,  2304,
    2305,  2392,  2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,
    2314,  2315,  2316,  2317,  2393,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2394,  2395,  2326,  2327,  2396,  2328,  2397,
    2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,  2341,  2342,  2343,  2344,  2345,  2398,  2399,  2346,
    2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,
    2357,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,
    2358,  2359,  2360,   359,  1457,  2043,  2076,  2077,  1365,  1346,
     568,     0,  1267,   388,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,   783,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   177,     0,     0,   412,   411,
       0,     0,     0,   987,   417,     0,     0,     0,     0,     0,
     556,  1407,  2256,  1405,  1458,   255,   258,   259,   256,   257,
    2065,     0,  1098,  1099,  1101,     0,     0,     0,  1111,   821,
     822,     0,     0,     0,   824,     0,     0,     0,   817,     0,
       0,     0,     0,     0,     0,   823,   814,     0,   813,     0,
       0,  1111,     0,     0,     0,   815,     0,     0,  1268,  1404,
     418,  1494,     0,  1382,  1383,  1384,  1366,  1373,  1385,  1378,
    1380,  1379,  1381,  1377,  2064,  2091,   925,   925,   925,   925,
     922,   923,   925,   925,   925,  2273,     0,     0,   904,     0,
     906,  2066,   925,   930,   473,   473,   473,     0,   929,   934,
     473,     0,  1261,  1299,  2048,  1506,     0,   905,  1260,  2326,
    1396,     0,     0,  1126,  1122,  1124,  1125,  1123,     0,     0,
       0,  2289,  1272,   239,  2299,  2394,  2326,   238,   233,   234,
     207,  2095,     0,     0,   929,     0,  1269,  1270,   890,  1513,
    1511,     0,  2030,  2113,  2127,  2213,   230,  2284,  2290,  2299,
    2394,  2326,  2357,   186,   196,   191,     0,   248,  2299,  2394,
    2326,   244,  1290,     0,  1483,  1611,  2039,     0,  1263,  1262,
    1367,     0,  1370,     0,  1572,  2269,  1487,  1490,  1372,  1488,
    1479,     0,     0,     1,  1494,  1361,  1510,  1510,     0,  1510,
       0,  1471,  1479,  1474,  1478,     0,     0,     0,     0,  2075,
    2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,
    2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,
    2429,  2430,  2431,     0,     0,  2049,  2076,  2080,     0,   831,
       0,  1302,  2044,   974,     0,     0,     0,     0,  2043,     0,
       0,     0,     0,  2081,  2071,  2072,     0,  2069,  2070,  2082,
    2083,  2084,     0,  2186,     0,     0,     0,  1936,  1947,  1948,
    1949,  2117,  2171,  1944,  1945,  1946,  1938,  1939,  1940,  1941,
    1942,  1943,     0,  1096,  1937,     0,  2186,     0,   156,     0,
     134,     0,     0,  2186,     0,     0,     0,     0,     0,  2186,
       0,     0,     0,     0,     0,  2218,     0,   134,  2186,     0,
       0,  1284,     0,     0,     0,  1286,  1289,  1265,  1349,     0,
    2039,     0,     0,   867,   859,     0,   868,   860,     0,     0,
     870,     0,     0,   862,     0,     0,     0,     0,   871,     0,
     861,   863,   873,   864,   869,     0,     0,     0,     0,   865,
       0,     0,  1276,     0,  1398,  1400,  1399,  1397,   473,     0,
       0,     0,     0,     0,     0,   134,  1334,     0,  2186,   134,
       0,     0,   416,   415,   134,  2069,   414,   413,  2117,  2171,
       0,  1014,     0,   134,  2186,     0,   179,   640,   571,     0,
       0,   742,  2218,   134,     0,     0,     0,     0,     0,     0,
     990,     0,     0,     0,   555,   568,  1408,  1406,     0,  1102,
     232,   231,  1100,   819,  2186,     0,   334,     0,     0,  2186,
    1321,  2078,  1669,  1698,  1676,  1698,  1698,  1665,  1665,  2155,
    1678,  2186,  1666,  1667,  1705,     0,  1698,  1665,  1670,     0,
    1668,  1708,  1708,  1693,   334,   835,  1650,  1651,  1652,  1653,
    1679,  1680,  1654,  1685,  1686,  1700,  1655,  1722,  1665,  2079,
     820,     0,   818,  2186,     0,  2186,  2073,   170,     0,   816,
    2117,  2171,  2186,     0,     0,  2186,     0,  2186,   162,  2186,
       0,  2186,   334,  2186,   572,     0,     0,  2186,     0,  2186,
     334,  2186,  2218,   164,     0,  2186,   334,   829,     0,  1401,
       0,  1375,  2398,  1390,     0,  1386,  1393,  1389,  1494,   925,
     924,     0,   925,     0,   925,     0,   925,     0,   925,     0,
       0,     0,   925,  2067,  2068,   907,     0,   931,     0,     0,
     938,   937,   936,     0,     0,     0,   939,     0,  1615,  1431,
       0,  1258,  1275,     0,     0,     0,   990,  1129,     0,  1127,
    1118,  1119,  1271,   237,   235,     0,     0,     0,     0,     0,
       0,  1277,     0,     0,     0,     0,  2052,  2054,  2055,  1950,
    2020,     0,  2362,  2363,  2364,  2009,     0,  2365,  2366,  2367,
    2411,  1852,  1839,  1848,  1853,  1840,  1842,  1849,  2368,  2369,
    2370,  2371,  2062,  2372,  2373,  2374,  2376,  2377,  2378,  2379,
    1844,  1846,  2380,  2381,     0,  2063,  2383,  2384,  2240,  2386,
    2387,  2389,  2390,  1850,  2392,  2393,  2394,  2395,  2396,  2397,
    2061,     0,  1851,  2399,  2401,  2402,  2403,  2404,  2405,  2406,
    2407,  2408,     0,     0,     0,  2036,     0,  1819,     0,  1658,
    1659,  1681,  1682,  1660,  1687,  1688,  1661,     0,  2035,  1725,
    1901,  1818,  1835,     0,  1824,  1825,     0,  1817,  1813,  1496,
    2031,     0,  1814,  2051,  2053,  2010,  1496,  2029,   199,   250,
       0,   251,  2037,  2299,   187,   229,   201,   228,   202,   200,
       0,  2115,   188,     0,     0,   189,     0,     0,     0,     0,
     247,   245,     0,  1266,     0,  1613,  1612,  2017,     0,  2018,
    2040,   840,  1359,  1360,  1358,     0,  1355,  1357,  1369,  1366,
    2025,  2024,  2026,     0,  1489,     0,     0,     0,  1469,  1468,
       3,  1372,  1508,  1509,     0,     0,     0,     0,     0,     0,
       0,     0,  1562,  1524,  1525,  1527,  1559,  1563,  1571,     0,
    1475,     0,     0,  1617,     0,  1573,     0,     0,  2050,     0,
       0,     0,     0,   832,     0,     0,     0,  1308,     0,  1310,
    1311,  1312,     0,     0,  1313,  1314,  1302,   241,  1320,  1318,
    1301,  1303,  1316,     0,     0,     0,     0,     0,     0,     0,
    1326,     0,     0,   168,   169,   584,   568,     0,  2186,     0,
       0,     0,     0,     0,  1054,  1061,     0,     0,     0,     0,
       0,     0,     0,     0,  1055,  1053,  1056,   243,  1065,  1082,
    1085,     0,   964,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   264,   276,   329,   548,
       0,     0,   550,     0,  2186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,   133,   138,     0,
       0,     0,     0,     0,     0,   535,   547,     0,     0,     0,
       0,     0,   544,     0,   134,   268,   528,   532,     0,     0,
       0,   649,   648,  1324,  1323,     0,     0,     0,  1181,     0,
     260,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   352,   353,     0,     0,
       0,   138,   161,     0,     0,     0,   270,     0,     0,  1285,
    1282,  1283,     0,  1288,     0,  1345,     0,     0,     0,     0,
       0,   875,     0,   872,     0,     0,   866,  2117,  2171,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   391,
       0,     0,   739,     0,     0,     0,     0,     0,   750,     0,
    1302,  1333,     0,     0,     0,   577,     0,  2186,     0,   136,
     784,     0,   740,   417,     0,     0,   136,     0,     0,   173,
       0,   644,     0,     0,     0,     0,     0,     0,   688,   687,
       0,     0,     0,   741,     0,   136,     0,  2186,   531,  2186,
       0,   473,   473,     0,     0,   989,   992,     0,     0,     0,
       0,  1461,  1463,  1462,     0,  1460,     0,   334,   332,   333,
     737,  1110,     0,     0,  1697,  1684,  1692,  1691,     0,  1674,
    1673,  1672,     0,  1671,     0,  1698,  1698,  1696,  1675,  1650,
       0,     0,     0,  1704,     0,  1702,     0,   809,  1646,  1642,
       0,     0,  1690,  1711,  1712,  1713,  1710,  1723,  1709,     0,
    1656,  1714,  1665,  1662,     0,     0,   334,     0,     0,  2186,
     334,  2186,     0,  2186,     0,     0,   334,   334,     0,     0,
       0,     0,     0,     0,   645,     0,   828,   826,   825,   827,
       0,     0,     0,     0,   807,     0,     0,     0,  2186,   334,
       0,     0,   806,  1960,     0,     0,  1494,     0,   218,   219,
     217,  1391,   220,  1392,  1388,  1374,     0,   915,     0,   919,
       0,   910,     0,   916,     0,   911,   908,   909,     0,   914,
       0,     0,   474,   476,     0,     0,  2139,  2154,     0,  2177,
    2206,  2207,  2290,  2295,     0,  2321,  2331,     0,   940,   969,
     935,   658,     0,     0,  1441,  1259,  1967,     0,  1494,     0,
       0,     0,     0,   236,   208,     0,     0,     0,   971,  2289,
    1274,   889,   568,     0,  1815,     0,  1822,  1823,  2008,     0,
       0,     0,     0,     0,     0,  1821,  1975,     0,     0,     0,
       0,     0,  1748,     0,     0,     0,  1988,     0,  1994,     0,
       0,  1785,     0,     0,     0,     0,     0,     0,     0,     0,
    1749,  1729,  1730,  1819,  1960,     0,  1820,  2058,     0,  1722,
    2034,  1950,     0,  1947,  1948,  1949,     0,     0,     0,  2023,
       0,  1958,     0,     0,  1763,  1956,  1765,     0,     0,     0,
       0,  1944,  1945,  1946,  1938,  1939,  1940,  1941,  1942,  1943,
    1954,  1745,     0,     0,  1903,     0,  1744,     0,     0,  1575,
       0,  2056,  2011,  1575,   252,   253,   249,     0,     0,   204,
     203,     0,   222,   226,   227,   198,   225,     0,   221,   206,
    1892,  1891,   205,   197,   194,   192,   209,   211,   212,   195,
     193,   246,     0,  2016,     0,  2085,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,
    2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,
    2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,
    2506,  2507,  2508,  2013,  2012,  2046,  2086,  2087,  2088,  2089,
    2019,     0,     0,   334,  1353,     0,  1350,  2028,     0,  1491,
       0,  2041,     0,  1362,  1486,  1485,  1517,  1518,  1007,  1484,
    1542,  1543,  1538,     0,     0,     0,  1568,  1566,  1534,  1528,
    1533,  1531,     0,  1535,  1725,  1561,  1473,  1522,  1523,  1526,
    1472,     0,  1564,     0,  1444,  1562,  1527,  1428,     0,  1410,
       0,  1618,     0,  1029,  1031,     0,  1030,     0,  1033,     0,
    1042,     0,     0,  1028,  1047,     0,  1036,  1034,     0,     0,
       0,     0,     0,     0,   833,     0,     0,     0,     0,  1309,
       0,     0,  2321,   240,  1312,  1317,  1304,  1315,     0,     0,
       0,     0,     0,   973,   972,     0,     0,   994,     0,     0,
       0,  1329,   462,     0,   331,     0,     0,     0,     0,     0,
       0,     0,     0,   735,   732,     0,     0,   731,     0,   582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   619,
       0,  1181,     0,   652,     0,  1063,     0,     0,  1062,     0,
    1066,     0,     0,  1064,  1059,  1060,  2290,  2299,  2326,   242,
    1084,     0,  1083,  1081,  1017,     0,  1018,     0,     0,     0,
       0,     0,  2164,  2186,   278,   293,     0,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   316,     0,     0,   319,   318,     0,     0,
       0,     0,     0,   323,   302,     0,   303,     0,     0,   322,
       0,     0,   549,     0,     0,     0,     0,  1181,     0,   272,
       0,     0,     0,     0,     0,     0,  1097,     0,   676,     0,
     159,     0,   155,   158,     0,     0,     0,     0,   534,   546,
       0,   538,   539,   536,   540,   541,     0,     0,     0,     0,
       0,     0,   533,     0,     0,   642,   641,   647,     0,     0,
       0,     0,     0,     0,     0,     0,  1131,  1130,     0,     0,
       0,     0,     0,     0,   774,     0,     0,     0,     0,     0,
       0,     0,   661,     0,   660,     0,   160,     0,     0,     0,
       0,     0,     0,     0,   216,  1281,  1287,  1348,  2047,  1347,
       0,     0,     0,     0,   874,     0,     0,     0,     0,     0,
       0,     0,     0,   876,   877,   878,   879,     0,     0,     0,
       0,     0,   366,     0,     0,     0,  2078,     0,   763,   738,
       0,     0,   751,     0,   753,   756,     0,  1300,   435,     0,
       0,   574,   619,     0,   420,   166,     0,     0,     0,     0,
     678,   131,   177,   179,   418,     0,   178,   180,   182,   183,
     184,   181,   185,   639,   643,     0,   570,     0,     0,     0,
       0,     0,   689,   693,   692,   696,   694,     0,   690,     0,
       0,  1638,     0,   154,     0,     0,   526,   530,     0,     0,
       0,   420,   504,   345,  2186,     0,   473,     0,  2186,     0,
     991,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
       0,  1088,     0,  1322,     0,     0,     0,   334,  1695,  1694,
    1647,  1643,     0,     0,     0,     0,   836,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1663,  2186,   334,
       0,  1086,   171,  2074,     0,   811,     0,     0,     0,     0,
       0,  1090,   803,     0,   334,   163,     0,   334,   334,   573,
       0,     0,   334,   334,   165,     0,     0,     0,   565,   334,
     830,  1403,     0,  2186,   473,  1376,  1387,   912,   921,   920,
     918,   917,   913,     0,   932,     0,   472,     0,     0,     0,
     946,   947,     0,     0,   945,   962,   948,     0,   950,   942,
     941,   951,   952,     0,     0,   971,   656,     0,     0,     0,
       0,  1438,     0,  1436,     0,  1616,  1440,  1429,  1395,     0,
    1394,     0,   519,     0,     0,  1128,     0,     0,   929,     0,
       0,   334,  1273,     0,   891,   892,     0,     0,     0,     0,
       0,     0,   898,   895,   896,   897,   899,     0,   900,     0,
       0,     0,  2021,  1971,     0,  1972,     0,     0,  2007,  2003,
       0,     0,     0,     0,     0,  1976,  1979,  1980,  1981,  1978,
    1982,  1977,     0,     0,  1983,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2390,     0,     0,     0,     0,  1788,
       0,     0,  1931,     0,  1960,  1993,     0,     0,     0,     0,
       0,     0,  1960,  1999,     0,     0,     0,     0,  1890,     0,
    1887,     0,     0,     0,     0,  2020,     0,     0,  2059,  1726,
    1740,  1741,  1742,  1746,  2033,     0,  2022,     0,     0,  1727,
    1754,     0,  2000,  1781,     0,  1786,  1769,     0,  1762,     0,
    1767,  1771,  1750,     0,  1747,     0,  2023,  1959,     0,  1957,
       0,  1737,  1738,  1739,  1731,  1732,  1733,  1734,  1735,  1736,
    1743,  1935,  1933,  1934,     0,     0,     0,  1911,     0,     0,
    1766,  2179,  2213,     0,  1507,  1507,  1507,  1495,  1505,  2032,
       0,  1633,     0,     0,     0,     0,  1827,     0,  1964,  1516,
    1962,  1034,  1633,  2038,     0,     0,  1722,     0,  1614,  2014,
    2017,   838,   839,   837,  1372,  1356,  1352,  1351,  2027,  1371,
       0,  1494,     0,  1005,  1006,     0,  1010,     0,     0,  1536,
    1569,     0,  1560,     0,  1540,  1541,  1532,  1570,  1442,     0,
    1565,  1477,  1476,     0,  1636,     0,     0,  1420,  1412,     0,
    1619,     0,  1575,  1446,  1448,  1449,     0,  2020,  1032,     0,
    1665,  1043,     0,  1027,     0,  1026,  1665,     0,  1044,     0,
    1665,     0,     0,     0,  1218,  1133,  1189,   834,  1219,  1134,
    1190,  1220,  1135,  1319,  1307,  1306,  1305,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   714,  2186,   334,  1327,  1221,     0,  1136,   330,  1328,
    1191,  1332,   734,   733,     0,     0,  1192,     0,   583,     0,
       0,   588,   589,   590,     0,     0,     0,   591,     0,  2117,
    2171,     0,   596,   603,   608,   598,     0,     0,   610,   604,
       0,     0,     0,     0,     0,     0,   616,   623,     0,     0,
       0,     0,     0,     0,     0,  1057,  1058,  1222,  1139,     0,
    1193,  1016,     0,  1140,   167,     0,     0,   265,  2186,   280,
       0,   625,   714,  1183,   300,     0,     0,   315,   310,   311,
     309,  2186,   334,  2186,   334,     0,     0,     0,     0,     0,
     312,   307,   308,   304,     0,     0,   317,  2094,  2156,  2300,
       0,   629,   631,     0,   636,   320,  1156,   341,   340,   339,
       0,   324,     0,   346,   349,   321,   298,   301,   299,   295,
     277,     0,     0,     0,     0,     0,     0,     0,     0,  2045,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
     670,   157,  1171,   147,     0,     0,   143,     0,     0,     0,
       0,   137,     0,  1228,  1146,     0,     0,   269,   529,   537,
     542,  1150,   545,  1203,   543,  1234,  1147,     0,  1181,     0,
     261,     0,  1148,     0,  1197,  1230,  1173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1335,     0,     0,     0,
       0,     0,     0,   334,     0,     0,     0,  1183,  2186,   334,
    1229,     0,  1178,  1211,     0,   354,     0,  1172,     0,     0,
     271,  1152,  1205,     0,     0,   214,   213,   215,     0,     0,
    2154,     0,   881,   843,   880,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,   842,     0,   841,   365,     0,
     390,   363,   364,   366,     0,     0,   762,     0,     0,     0,
     752,     0,     0,     0,  1325,     0,   134,   581,     0,     0,
       0,   576,   618,   625,     0,     0,     0,   419,   423,   427,
     428,   429,     0,     0,     0,     0,   148,   135,     0,   792,
       0,   473,     0,   674,     0,   179,   172,     0,     0,     0,
     345,   749,   747,   746,   748,     0,     0,     0,   767,   745,
       0,  1637,  1639,     0,     0,     0,     0,     0,   519,   422,
       0,   476,     0,     0,   508,     0,     0,     0,     0,   345,
       0,     0,     0,  1021,     0,  1039,  1022,     0,     0,     0,
       0,  1070,  1077,  1071,  1049,     0,     0,   553,  1464,  1465,
       0,   334,     0,     0,  1664,  1677,   810,     0,  1707,  1706,
    1708,  1708,     0,  1648,     0,  1699,  1700,  1716,  1717,  1718,
    1719,  1720,  1721,     0,  1715,  1657,     0,   620,   334,   334,
       0,   334,     0,   334,   334,     0,   667,     0,  1256,   646,
       0,     0,   722,   808,     0,     0,   334,   805,  1961,     0,
     933,   475,     0,     0,     0,     0,   944,     0,   551,   949,
       0,   961,   956,   958,     0,   965,   655,     0,     0,  1439,
    1432,  1434,  1433,     0,     0,  1430,  1968,   804,     0,   525,
    1120,  1121,     0,     0,   334,     0,   966,     0,     0,   893,
     894,     0,     0,   901,     0,     0,     0,  1512,  1969,  1970,
       0,     0,     0,  2004,     0,     0,  1865,     0,  1841,  1843,
    1855,     0,  1866,  1826,  1867,  1845,  1847,     0,  1951,     0,
       0,  1856,     0,  1790,  1791,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,  1805,  1857,  1930,     0,     0,  1991,  1992,
    1858,     0,     0,  1998,     0,     0,     0,  1863,  1868,     0,
       0,     0,     0,  1874,     0,  1895,     0,     0,     0,  1816,
    1961,     0,     0,     0,     0,     0,     0,     0,     0,  1787,
    1770,  1764,     0,  1768,  1772,     0,     0,     0,  1758,     0,
       0,  1756,  1782,  1752,     0,     0,  1783,     0,     0,     0,
    1834,     0,     0,  1507,  1507,  1507,  1507,  1504,     0,     0,
       0,     0,  2287,     0,  1597,  1574,  1576,  1584,  1597,  1602,
    1836,  1631,  1837,     0,  2039,     0,  1545,  1516,  1516,  1516,
    1833,     0,     0,     0,     0,  1515,  1545,   190,     0,   223,
     210,  2016,     0,  1354,  2042,     0,  1519,     0,  1952,  1010,
       0,  1521,     0,     0,  1567,  1529,  1443,  1427,     0,  1425,
    1414,     0,  1415,  2020,     0,  1425,  1411,  1454,     0,     0,
    1636,     0,  1453,     0,  1665,  1024,  1025,     0,  1048,     0,
    1217,  1132,  1188,   976,   977,     0,   975,     0,     0,     0,
     461,   993,     0,     0,     0,   714,     0,     0,   465,     0,
    1330,     0,  1235,  1170,   585,   586,     0,   597,     0,   606,
     605,     0,     0,   593,     0,     0,     0,     0,     0,   592,
     612,   557,   613,   615,     0,     0,   614,   617,   622,  1181,
       0,   653,  1158,     0,  1209,  1051,  1184,     0,  1019,     0,
       0,     0,     0,     0,     0,   435,   294,     0,     0,     0,
     282,   292,     0,  1187,   326,     0,   297,     0,   290,   313,
     305,   314,   306,   325,   327,     0,   633,   634,   632,   628,
       0,   635,   637,     0,   343,     0,     0,     0,  1224,     0,
    1181,     0,   273,     0,  1154,     0,  1207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1225,  1194,
       0,  1213,     0,     0,     0,   675,     0,   672,     0,     0,
     140,   139,     0,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   355,   336,     0,   770,     0,     0,     0,   357,     0,
       0,     0,     0,  1223,  1141,   844,     0,     0,     0,   845,
     856,     0,     0,   846,     0,     0,     0,     0,   858,   368,
     369,   134,   367,     0,     0,  2240,  1938,  1939,   760,   765,
     757,   759,   761,   758,     0,   764,   714,     0,   754,   755,
       0,     0,     0,     0,     0,   447,     0,     0,   441,     0,
       0,  1077,   434,   437,   438,     0,     0,   577,   580,   578,
     579,   611,     0,   454,   500,     0,   150,     0,     0,   151,
     149,     0,     0,   345,   679,   683,   681,   680,   682,   677,
       0,   670,     0,   175,   418,     0,     0,   569,   695,   698,
     691,     0,   766,   768,   743,     0,   625,     0,   531,     0,
     473,  1404,   514,     0,   504,   500,   502,   501,   503,     0,
     510,   344,     0,     0,   519,   510,     0,     0,   994,  1020,
       0,     0,     0,  1067,  1072,  1068,     0,     0,  1035,     0,
    1069,     0,  1050,  1013,  1251,  1252,  1249,  1250,     0,     0,
       0,  1456,  1089,     0,  1683,     0,  1703,  1701,  1644,  1649,
    1689,  1724,   334,  1087,   812,     0,   799,     0,   801,  1091,
     334,   334,   334,   334,   662,     0,   566,     0,     0,     0,
       0,   943,   963,     0,   959,     0,     0,   926,   968,     0,
       0,  1437,  1435,   517,     0,   971,     0,   927,   970,     0,
       0,     0,     0,     0,     0,     0,  1973,     0,  2006,  2002,
       0,  1838,  1974,     0,  1986,  1985,  1931,     0,     0,  1789,
    1801,  1802,  1803,  1987,     0,  1811,     0,     0,  1798,  1799,
    1800,  1792,  1793,  1794,  1795,  1796,  1797,  1804,  1996,  1995,
    1989,  1990,     0,  1860,  1861,  1862,  1997,  1869,     0,  2108,
    1896,  1873,  1889,  1888,     0,     0,     0,  1876,     0,     0,
    1885,     0,  1932,  2060,  1728,     0,     0,  1755,  2001,  1773,
       0,     0,     0,  1751,  1951,     0,     0,     0,     0,     0,
    1760,     0,     0,     0,  1914,  1909,  1910,  1928,     0,     0,
       0,     0,     0,     0,  1498,  1497,  1503,  1597,  1602,     0,
    1479,     0,  1584,     0,  1596,  1582,  1595,     0,     0,  1608,
    1606,     0,  1608,     0,  1608,     0,  1578,     0,  1598,  1580,
    1595,     0,  1623,     0,  2040,  1632,     0,  1558,     0,     0,
       0,     0,  1965,  1966,     0,  1963,  1828,  1558,     0,  2015,
    1492,     0,  1520,  1008,  1009,  1537,  1530,  2135,  1634,     0,
    1426,     0,     0,  1417,  1423,  1409,     0,     0,  1447,  1425,
    1450,  1045,     0,     0,  1037,   982,   983,   981,   984,     0,
       0,     0,   714,     0,     0,   481,     0,  1001,  1001,     0,
       0,   467,   513,  1077,   717,     0,     0,     0,   715,   334,
    1137,     0,   607,     0,     0,   602,   600,   599,   601,     0,
     558,  1233,  1138,     0,     0,     0,     0,  1052,     0,     0,
    1157,     0,   279,     0,   432,     0,   287,  1182,     0,     0,
       0,   286,     0,   334,   334,   328,   630,   342,   347,   348,
     351,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,   793,   776,     0,     0,   794,   795,
       0,     0,     0,  1094,  1095,  1093,  1212,     0,     0,     0,
    1144,     0,     0,   666,   144,   141,   142,   145,  1168,  1151,
    1204,     0,     0,     0,  1149,     0,  1198,  1164,  1160,     0,
       0,     0,     0,     0,  1232,  1177,  1202,  1231,  1175,  1200,
    1174,  1199,  1176,  1201,     0,  1169,     0,  1641,   773,     0,
       0,     0,   334,   334,   664,  1153,  1206,     0,     0,   847,
       0,     0,   849,   850,     0,   853,   373,   393,   684,   736,
       0,     0,   713,     0,   439,     0,   445,   449,   450,   448,
     440,  1077,   473,   512,     0,     0,   726,     0,   575,   420,
     451,     0,     0,   424,   153,   152,     0,     0,     0,   673,
     672,   179,  2186,     0,     0,   700,   704,   744,     0,  1640,
     659,   345,   527,     0,     0,   420,   519,     0,   425,   430,
     431,     0,   508,   504,     0,     0,   516,  1298,     0,   520,
     522,     0,     0,     0,  1023,  1040,  1041,     0,     0,  1077,
       0,     0,  1076,     0,     0,   560,   334,  1645,   621,   334,
     334,   668,  1257,  1117,   723,     0,   955,   954,   953,   552,
       0,   957,   657,     0,   518,   334,     0,     0,   903,   884,
     902,     0,     0,   883,     0,   882,  2005,  1854,  1864,  1984,
    1930,  1961,     0,     0,  1812,     0,     0,  1859,  2400,     0,
       0,     0,     0,  1893,  1894,  1875,     0,  2231,  1880,     0,
       0,     0,  1779,  1777,  1774,     0,  1775,  1759,     0,     0,
    1757,  1753,     0,  1784,  1900,     0,  1916,  1913,  1927,  1961,
    1502,  1501,  1500,  1499,  1583,  1581,     0,  1586,  1593,     0,
    1577,     0,  1607,  1603,     0,  1604,     0,     0,  1605,     0,
       0,  1579,     0,  1593,     0,  1630,  1516,     0,     0,  1905,
    1831,  1832,  1829,  1516,  2057,  1905,   224,     0,     0,  1424,
    1413,  1416,     0,     0,     0,     0,  1455,  1445,  1038,  1046,
       0,     0,     0,   463,     0,  1077,     0,     0,     0,  1004,
    1004,     0,  1077,   512,   719,   718,   721,   716,   720,  1331,
       0,   594,   595,   609,  1159,     0,  1210,  1166,     0,  1441,
     281,     0,   626,   283,   284,   285,   288,   336,   296,   289,
       0,     0,     0,  1155,     0,  1208,  1162,  1226,  1142,  1195,
       0,     0,   782,     0,     0,     0,     0,  1227,  1143,  1196,
    1214,  1215,  1216,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,  1340,     0,  1185,   335,   772,   771,   336,
     356,  1179,     0,   848,   854,   855,   852,     0,   362,   370,
     394,   134,     0,     0,  1108,  1108,     0,   714,     0,     0,
     436,   512,   480,     0,   442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   665,   174,     0,
     420,   625,   699,     0,     0,     0,   769,     0,   519,   422,
       0,  1402,   421,     0,     0,   510,   508,     0,   505,     0,
     509,     0,  1291,     0,     0,     0,     0,  1073,     0,  1079,
       0,  1034,  1011,  1074,     0,  1633,     0,     0,     0,     0,
     564,  1109,   800,   802,   663,   960,     0,   967,   334,   885,
     886,   887,   888,  1932,  1807,     0,     0,     0,     0,  1870,
       0,  1871,  1898,  1897,  1877,  1881,     0,  1878,  1879,  1776,
    1780,  1778,  1761,  1902,     0,  1516,  1929,  1626,     0,  1629,
    1585,     0,     0,  1587,     0,     0,  1589,  1591,     0,     0,
       0,     0,     0,     0,  2043,     0,  2134,  2374,  2286,     0,
    1544,  1546,  1549,  1551,  1550,  1552,  1548,  1557,     0,  1481,
       0,  1480,  1953,  1635,     0,     0,   995,     0,     0,  1452,
    1451,   961,     0,   334,  1001,   512,   482,  2240,   483,  1000,
       0,  1002,  1007,  1007,     0,   512,   714,   587,     0,     0,
     266,   624,     0,   338,   350,     0,  1441,     0,     0,     0,
     789,   777,     0,     0,   796,  1145,   669,     0,     0,   262,
    1165,  1161,  1342,  1343,     0,     0,     0,     0,     0,   334,
     857,     0,   396,   403,   374,   379,  1334,     0,  1334,     0,
     376,   380,  1334,   375,  1334,   372,   373,     0,  1108,     0,
    1105,  1104,   712,     0,   471,   443,     0,   491,     0,     0,
     727,     0,     0,   500,   460,   459,   456,   455,   457,   458,
     453,   452,     0,   625,   786,   345,  1298,     0,   638,   701,
     702,   697,     0,     0,     0,   515,   504,   500,   426,   435,
     409,   510,   506,   507,     0,     0,     0,   519,  1344,   994,
       0,  1078,     0,     0,     0,     0,     0,     0,  1112,   559,
       0,     0,   563,   554,   625,   928,  1808,     0,  1809,     0,
       0,     0,  1883,  1882,     0,  1919,  1631,     0,     0,  1625,
       0,  1594,  1610,     0,  1590,  1588,     0,  1599,     0,  1601,
    1828,     0,     0,     0,  1553,     0,  1904,  1906,     0,  1830,
    1422,  1633,     0,  1419,     0,   978,     0,   979,  1004,   486,
       0,  1003,  1010,  1010,   473,   714,   464,  1167,     0,   627,
       0,   291,     0,   274,  1163,     0,   780,     0,   791,   789,
       0,     0,     0,     0,  1336,     0,  1337,  1338,  1341,   358,
     371,     0,   401,     0,   399,   398,   400,     0,   387,     0,
       0,     0,     0,     0,     0,   361,   392,  1103,  1107,  1106,
       0,     0,   444,   477,   478,   479,     0,   446,   487,   488,
       0,   724,     0,   729,     0,     0,   499,   650,     0,     0,
       0,  1292,     0,     0,     0,  1298,   508,   504,   433,   407,
       0,  1295,     0,   521,     0,   345,  1077,  1080,  1075,  1255,
       0,     0,   562,   561,   654,  1810,  1886,  1872,  1899,  1884,
    1915,     0,     0,     0,  1624,  1627,     0,  1592,     0,     0,
    1600,     0,     0,     0,  1547,     0,     0,  1421,   996,     0,
       0,  1007,     0,   714,     0,   998,   997,   480,   466,  1441,
     337,     0,     0,     0,   787,   790,   778,   791,   798,   797,
     671,  1441,     0,   397,   406,     0,   404,   377,   382,     0,
     386,   384,   383,   378,   381,     0,   470,     0,     0,     0,
     489,     0,   490,   511,     0,   728,     0,     0,   785,     0,
       0,   420,   703,     0,  1293,   510,   508,  1296,  1297,     0,
     510,  1012,  1254,  1253,  1494,     0,     0,  2361,  2135,  2333,
       0,  1917,  1920,  1918,  1912,     0,  1609,  1622,  1555,     0,
    1554,  1907,  1908,  1633,   334,  1010,     0,   468,   484,   491,
     267,  1441,     0,     0,   779,   263,  1339,   402,     0,   385,
     704,   496,     0,   495,     0,   493,   492,   725,   730,   625,
     775,  1298,   707,   410,   510,     0,  1633,  1237,  1494,  1236,
    1238,  1246,  1243,  1245,  1244,  1242,  1115,  1116,     0,  1924,
    1923,  1922,  1926,  1925,  1628,     0,  1620,  1556,  1418,   980,
     999,     0,   714,   275,   781,   788,   405,     0,   494,   498,
     497,   651,  1294,   709,     0,   705,   708,   710,   711,   408,
     345,   985,     0,  1247,  1241,  1479,  1466,     0,     0,     0,
       0,   485,   469,     0,   685,     0,   510,  1239,  1494,     0,
       0,  1921,     0,     0,   706,  1633,  1240,     0,     0,  1621,
       0,   986,     0,     0,   707,     0,     0,     0,  1113,  1114,
     686
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4485, -4485, -4485,  3297, -4485,  -842,   231,  2572, -1793, -4485,
   -4485, -4485,  3211, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
    3228, -4485, -4485,  1752, -2230, -4485, -4485,   142,  3191, -1219,
     125,  2798,  1413, -4485, -1068, -4485, -4485,  -546,   116, -4485,
    3215,  -693, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -4485,
    -722,  1906,  1256,  -320, -3885, -4485, -4485, -1327, -2952, -4485,
     618, -4485, -4485,  1845, -4485, -4485, -4485,  1095,   526,  -466,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485,  -609, -4485, -4485,
    -791,   155,    39, -2247,  -280, -4485, -4485,   500,  -276, -1344,
   -4485, -3302, -4485,    55, -4485, -4485, -4485,  -249, -1305,  1370,
   -4485,  -659, -1080,  1674,  -682, -4485,  -136, -4485,  -758,  -607,
    -605,  -704, -3504, -3472, -3925, -3501, -3288,  1377,   158, -2866,
   -2948,   160,   473, -4485,   161,   164, -4485,   489,  -755, -1351,
   -4485,  -752, -4485, -4485, -4485, -2714, -4485, -4485, -4485, -4485,
      81, -4485, -4485, -4485, -4485,   531, -4485, -4485, -4485, -4485,
   -4485, -4485, -2494,  1830,  1831, -4485, -4485, -2902, -4485,  -820,
   -4485,   670, -2734,  1286, -4485, -4485, -4485,  2580, -4485, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -1478, -4485, -4485,
   -4485, -4485, -4485,   516,    62, -4485, -4485, -4485, -4485, -4485,
     168, -4485,  1847,  1100, -4485, -4485, -4485,  -744,  -835,  -817,
   -4485, -2747, -4485, -4485, -4485, -4485,  -205, -4485, -4485, -4485,
   -4485, -4485, -4485,  -897, -4485,  1151, -2872, -4485, -4485,  1157,
   -4485, -4485, -4485, -4485, -4485,  -684,  -147,  2612, -4485,  -532,
    -649, -4485, -4485, -4485,  -143, -4485, -4485, -4485, -4485, -4485,
   -4485, -1015, 10736,  -984,  -495, -4485, -4485, -4485, -4485, -2128,
   -4485, -4485, -4485, -3247, -4485,  4122,  1553,   -66,   170, -4485,
     -28,    53,  3052, -1060, -2423,   444,  -323, -4485, -1679, -4485,
   -4485, -4485, -2345, -4485, -4485, -4485, -4485, -3243,   171, -4485,
    3043, -4485, -3518, -4169, -3257, -3713, -4048, -4206, -3223, -4485,
   -4485, -1022, -4485, -4485, -4485, -1332,  2150, -1788, -4485, -1920,
     510,  1455,  -872, -2521, -3525,  -642, -2998, -4485, -4485, -3388,
    -442, -4485, -4485, -4485, -4485, -4485, -4485, -4485, -1016,  -561,
   -4485, -4485,  3588, -4485, -3456, -4485,  3534, -4485, -4485, -4485,
   -4485,  2435,  2437, -4485,  2439, -4485, -4485, -1312,  1232, -4485,
   -4485, -4485, -4485,   195, -4485, -4485, -4485, -4485,  -677,  -785,
   -4485, -4485, -4485,   173, -4485, -4485, -4485, -4485,  2036,  -836,
    -671,  3442,   175, -4317, -4485, -4485,  -443, -4485,  2834, -4485,
   -4485, -4485, -4485, -4485, -4485, -4485, -4485, -2546, -4485, -4485,
   -4032, -4485, -4485, -4485, -4485, -4485,  2221,  2219,    61,   -13,
   -4485, -4485, -1192, -4485,  -512, -4485,  2502, -4485, -4485, -4485,
   -4485, -1594,   176,   546, -4485,     3, -4485, -4485, -4485,   306,
   -4485, -4485, -3146,     5, -4485, -4485, -4485, -4485, -4075, -4485,
       6,  -599,   833, -4485, -4485, -2573, -4485,   177,    12, -4485,
   -4485,     1,     2,   -39,   -37,   -33,     4,   114,  2901, -4485,
    2962, -4485,    -3,  1614, -4485, -4485,  -748,  -149, -4485,  1529,
    -574,  2197,  2884,  2882, -4485,  1519, -4485, -4485,  1527, -4485,
     878,  -576,  -448, -4485, -4485, -4485, -4485,   343,  -572,  2209,
   -4485,  2904, -4485, -4485, -4485, -1693,  1516, -3143,   908, -3150,
   -3108,   388,   379, -1436,  -235,    27,  -690,  2911, -4485, -4485,
     926,  -411, -4485, -4485,  -407, -2580,   870, -4485, -4025, -2139,
    5083,  2620,  -969, -4485, -4485,  -930, 14118, -4485, -4485, -4485,
   14342, 14929, -4485, -4485, 15466, 15588, -4485,  -792,  1128, 16334,
   13539,  -946, -1637,   314, 13020, -1989, -1083, -2439, -4485, -3258,
   -2430, -4485, -4485, -4485,  -197,   979,   816, -4485, -4485, -4485,
   -4485,     0, -4485,  -549, -4485,  -548, -4485, -4485, -4485,  -535,
   -4484,  2408, -4485, -4485, -4485,  -172, -4485, 17122,  1566, -4485,
    -951, -2506, -2512, -3126, -1641, -4485, -4485, -4485, -4485, -4485,
   -4485, -4485, -1518, -3027,  -543,  1636, -4485, -4485,  1727, -4485,
   -4485, -4485, -1224,  1582,  -766, -2412,  1640, -1850, -4485,  -749,
   -4485,  -691,  2410,  -711, 12897, -1249,  6758,  -483, -2086, -1153,
   -1431, -4485,  -103, -4485,    -7,   -16,     7,   -83,   -35,  -415,
    3873, 13180,  -553, -1232,  9257,  -146, 11537, -2873
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1428,  2295,  2182,  3016,  3017,
      55,    56,  1424,    57,    58,    59,    60,    61,    62,    63,
    1356,    64,    65,   955,  1549,  2306,    66,  2033,   734,   735,
     736,  1855,  1856,  2245,  1857,  1845,  1246,  1682,  1377,   708,
     709,  1338,  1378,    68,    69,  1240,  1836,    70,    71,    72,
    1406,  1407,  1350,  1590,  4017,  4671,  2851,  2159,  3056,  2852,
    2853,    73,  1476,  1477,    74,    75,  2983,  2979,  3551,  4328,
    4329,  4545,   555,  2274,  4331,  4332,  4531,  4532,  4695,  4805,
    4806,  2307,  1544,  3050,  3634,  3007,  4087,  3008,  4088,  3009,
    4089,  2994,  3582,  3583,  3584,  3010,  4060,  4570,  3011,  2052,
    4712,  2342,  1704,  1702,  4557,  3894,  3895,  4783,  4717,  4718,
    4719,  4885,  4062,  3054,  3640,  4096,  4344,  2741,   643,  1570,
    3159,   644,  2345,   587,   645,  2308,    81,  2336,  2337,  1447,
    2190,  3558,  3139,    82,   975,  3400,  4400,  4612,  4613,    83,
     220,    84,  1553,    85,    86,  2291,  3001,    87,  2069,  2758,
      88,    89,  2786,  2787,  2788,    90,    91,  3425,  4271,  1408,
    2840,  2841,  2842,  2843,  3451,    92,  1551,  1452,  2315,    93,
      94,    95,    96,    97,  2458,  2459,    98,  2233,    99,   100,
     101,   102,   103,  3487,  3983,  3611,  2880,  3023,  3609,   104,
    2309,  1561,  2327,  2328,  4076,  4363,  4581,  4365,  4934,  4935,
    4337,  3378,  3908,   106,   107,  4055,  4056,  4724,   108,  2067,
     109,   110,   111,  1528,  2283,  2284,  3559,  1522,  2277,  2278,
    3621,  3622,   112,  2936,   113,  3964,  3965,   588,  4729,  4678,
    4796,   114,   115,  3968,  3969,   116,   117,   118,   119,   120,
     637,  1066,  1067,  1323,  1014,   121,  1953,   122,   921,  2963,
     123,  1134,  2500,  4139,   124,   668,  1080,  1081,  2310,   126,
     677,  2478,   679,  1717,  3141,  3142,  3707,  2444,   821,   127,
     128,  2455,  2481,   129,  1343,  2043,  2044,  3889,  2311,   589,
    1576,  2349,  2736,  4475,  4476,  4249,  4492,  2666,  3331,   131,
     590,  1382,  2115,  2352,  3064,  2010,  2011,  2012,  3657,  2013,
    3066,  2014,  1317,  2015,  3072,  3073,  3074,  3653,  3660,  3663,
    4389,  4390,   132,  1380,  2113,   133,   134,   135,  1419,   852,
     136,   602,   603,   137,  4550,   138,   988,   139,  4398,   140,
     141,   699,   700,  1118,  1119,   142,   143,  2129,  3432,   144,
     145,   146,  3480,  3481,   147,   148,  4899,  4942,  4943,  4944,
    3668,  4844,   149,  4901,  1111,   151,   152,   153,   189,   885,
     886,   887,  2312,  4382,   155,   156,  1339,  1340,  1341,  1342,
    2038,   157,   158,   159,   160,   161,   162,  1532,   163,   164,
    4524,   165,   166,  1495,   167,  1275,  1276,   168,   169,   549,
     752,  1279,  1287,   170,   647,  1074,  1075,  1076,  1684,   171,
    1114,   923,   648,  1069,   173,   649,  1998,  2687,  3341,  3342,
    3345,  4234,  3870,   650,  2684,   176,  1724,  2464,  2467,  2680,
     651,  2692,  2693,  2694,  2695,  2696,  3348,   652,   670,   978,
    2358,   653,  1207,   181,   182,   183,   762,   756,   757,   185,
    1829,  2627,   686,  1294,   721,   722,   770,  3315,  1966,  1967,
    1989,  1990,  1303,  1304,  1979,  1981,  2668,  1982,  2676,  1972,
    3847,  4460,  4461,  4462,  4463,  4464,  4465,  4219,  1985,  1986,
    1306,  1307,  1308,  1994,   186,  2631,  3295,  3296,  3297,  3824,
    3825,  3839,  3835,  4203,  4446,  3298,  1109,  1314,  4211,  4916,
    3299,  4437,  4438,  4629,  3842,  3306,  3339,  3040,  3041,  3042,
    2016,  1619,  1016,  1208,  1017,  1633,  1209,  1603,  1019,  1210,
    1211,  1212,  1022,  1213,  1214,  1215,  1025,  1595,  1622,  1216,
    1217,  1613,  1630,  1631,  1673,  2538,  1219,  1220,  1221,  3301,
    1222,  3780,  4170,  4159,  2559,  2560,  1852,  3776,  3241,  1824,
    2617,  4469,  4646,  4647,  3280,  3805,  4186,  4435,  4763,  4851,
    4852,  1223,  1224,  1225,  2614,  1820,   854,  1226,  3561,  1822,
    2553,  2639,  2640,  1727,  1747,  2506,  2522,  2523,  2533,  3200,
    2541,  2546,  3228,  3229,  2554,  2583,  1227,  2508,  2509,  3184,
    1749,  1228,  1269,  1864,  1270,  1744,  2578,  1282,  1283,   754,
    1236,  1229,  1230,  1718,   745,  4442,   544,   811,  2868,  1944,
     889,   683,  1231,  1232,  1233,  1234,  1412,   826,  1036,  1037,
     545,   805,   828,  2844,   546,   547,   807,  1949
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     604,   179,   180,   174,   184,   175,   177,   713,  1681,   684,
     950,   761,  1636,  1241,   671,  1100,  1101,  1102,  1701,   543,
     671,  1106,   180,  1640,   184,  1309,   594,  1646,   672,  1315,
    2445,  1237,   853,   771,   672,  1481,  1945,  1960,  1318,  2051,
    1609,   747,  2637,  2124,  1632,  1451,  1950,  3006,   981,  2116,
    1493,   586,   760,  1542,   830,   979,  3164,  1271,  1523,  1043,
    1255,   830,  3316,  2247,  1563,  3426,  1615,  1599,  1600,  1737,
     744,  3406,   830,  3026,  3662,   678,  2153,  1608,  3617,   935,
    2136,   646,  2125,  1411,  2933,  2870,  2332,   803,   714,  1077,
    1945,  2703,  2705,  1530,  1950,  2202,   822,  1535,   636,  1963,
    3632,  3591,  1539,  3446,  2505,  3448,  3862,  3645,  2658,  1446,
    3145,  1546,  3563,  1587,  3897,  3896,    67,  1674,  3347,  3563,
    3569,  1565,  3309,  3934,   859,  3891,  3307,  3308,   990,  1071,
    4103,  4093,  4109,  2971,  2470,   876,  2216,  2217,  1060,  3792,
    2642,  2975,  1445,  2977,  4100,  2350,  2212,   773,  1460,  3838,
    3821,   774,  2568,  3249,  2109,    76,   765,  1486,    77,   707,
      78,    79,  4092,   759,    80,   827,   741,  4375,   105,  2024,
     125,   130,   860,   150,   981,   154,   172,   178,  3353,  1379,
    3629,  1248,   733,   877,  1482,  4250,   772,  4451,  2415,  4453,
    3836,  3300, -2050,  4053,  4500,  1951,  1302,  3206,  1305,  3875,
    3302,  3760,  4493,  1596,  1597, -2173, -1693,  3651,  1048, -1698,
     553,  3019,  1588, -2208,  1607, -2230,  1562,  4600,  1984,  1063,
   -2259,  1588,  2997,  2702,  1353,  1620, -2078, -1698,  1599,  1600,
     600,  2223,  4519,  1623, -2078, -2078,  2045,  1588,  2228, -1665,
     870,  1615, -2079,  4677,  3300,  1130,  2576,  1608,     3,     4,
   -2079, -2079,   654,  3302,  2955,  1785,  2576,  2329,  4564,  4731,
    1792,   750,  4257, -1693,  4881,  3604, -1698,  1526, -2414,  1519,
   -1678, -1705,   600,   600,   600,   600, -2414, -2414,  2480,  4526,
    4527, -1936,   819, -2105,  2611,  3352,  4662,  4663, -1936,  1798,
     940,  2612,   654,  3407,  2442,  2285,  1722, -2049,  2340, -2176,
     881,  2127,  1624,  3402,  2981,  3636,  4565,  2127,   654,  1082,
    2047,  3111,   654,  3113,  4566, -1708,   654,  1409,  2127,  1800,
     971,  1827,   654,  2057,  1683,  1086,  2998, -1708,  2048,  1354,
     775,  1842,  1409,   600,  1245,  3961,  4084,   654,   600,  2340,
    2857,  1558,  4567,  3162,  1097,  1509,  -134,  4000,  4842,  4708,
    2923,  -134,  2053,  3605,  -831,  1596,  1597,  1588,  3713,  2618,
    4594,  1559,  1625,  4908,   660,  1626,  1104,  4499,  4595,  2304,
    4049,  2727,   660,  2127,   660,  2456,  1272,  2678,  1273,   660,
    2054,  1607,  2210,  4346, -2229,  2924,   661,  1792,  2825,  2891,
    3305,  1970,  4503,   882,   661,  4248,   661,  3206,  2767,   853,
    2927,   661,  2132,   866,  2133,  1431,  4019,  3359,  3456,   942,
     776,   943,  1598,  2127,  2025,  2925,  1798,  4568,  4834,  1493,
    2330,  3457,  3500,   830,   600,  1952,  4020,  4638,   830,   867,
    2928,  4673,  3349,  3606,  4529,   883,  3962,  1843,   600,   830,
    1432,  1786,   660,  2891,  2826,  2305,  1800,  1105,   853,  2728,
    1792,  4591,  2630,  4882,   930,   830,  2457,  2440,   660,  1627,
    2134,  2446,  2049,  2448,   661,  4961,  2451,  3206, -1955,  1832,
    1322,   830,  1589,  2679,  2127, -1955,  4143,   830,  4145,  1798,
     661,  1589,  2255,  1971,   972,  1638,   944,   884,   830,  2619,
    4709,   953,  4347,  2259,  2999,  2341,   830,  1589,  3182,  2152,
    3714,  1846,   963,   985,  4001,  1098,  1858,  1858,  3407,  1800,
    4050,   981,  1560,  1034,  2752,  4253,  4843,  2055,  1669,  2205,
    2502,  2982,  -395,   981,  4883,  4596,  4817,  1004,  2443,  1527,
    3585,  2858,  3963,  4085,   945,   922,  4360,  3403,   973,   945,
    3652,   601,  1418,  1105,   974,   820,  3203,  3204,  4884,  1844,
     945,  3223,  4258,   941,   751,   927,   180,   924,   184,   925,
     926,  1527,  1950,  1628,  2050,  2574,  1685,  2956,  1723,  2577,
    1638,  3607,  1723,  2229,  4932,  4865,  2331,  3000,  1828,  3269,
     981,   830,  1629,  3563,  3949,   980,   604,  1741,  3253,  3254,
    4569,  1083,  1085,  1087,  2224,  2137,  1089,  1090,  1091,  1355,
    2198, -2229,  2200,   761, -1936,  2790,  1096,  2613,  1950,  2095,
    4781,  2865,  1594,   777,  1616,   554,  1621,  1589,  2058,  2103,
    2433,  4376,  3923,  1671,  1310,  2250,  2279,  1274,  3901,  1647,
    1594,   920,  2207,  1078,  1527,  3221,  3608,  2093,  1267,  1638,
   -2050,  1105,  1268,   180,   760,   184,  1492,  2365,   671,  3371,
     671,  4068,   671,  4802, -1693,  2419,  2246, -1698,   671,  1093,
    1094, -2173,  1079,  4341,  1084,  4175,  1088, -2229,  3838, -2208,
    4895, -2230,  1092,  1112, -2078, -1698, -2259,  2211,  2460,  1070,
   -2229,  1095,  2188,  2539,  4200,  2191,  2192,  1598,  4204,  1719,
   -2079,  2557,  2441,  2169,  1617,  3093,  4099,   981,  1819,  1131,
    1729,  2452,  2387,  1073,  1840,   981,   981,  1238,  4149,  4194,
    1247,   980,  1249,  1108,  4870,  1738, -2414,  3501,  1602, -1705,
    1788,  4392,  1830,  2645,  4080,   773,  4875,   666,   667,   774,
    1610,  2180,  1654,  4237,   853,  1995,  2183,  1996,  2112, -2105,
    1664,  4855,  1610,   666,   667, -2049,  1672,   666,   667,  1611,
    3349,   666,   667,  2256,  1257, -2176,  2667,   666,  1410,  3706,
    1426,  1611,  2323,  1612,   772,   179,   180,   174,   184,   175,
     177,  4658,   666,  1410,  1108,  1614,  1267,  2809,  3953,  2791,
    1268,  1427,  3355,  2507,  3356,  2883,  -134,  -134,  1497,  3549,
    3550, -1955,  2501,  1945,  2504,  3613,  4923,  2753,  2461,  1504,
    2511,  3855,  3470,  3586,  1313,  4330,  2525,  2526,  2527,  4818,
    1588,  4835,  1277,  2368,  2369,  1031,  2543,  2545,   600,  4039,
    3937,  2555,  1816,  1817,  1818,  1819,  2059,  2059,   671,  1465,
    3535,  3629,  3218,  3219,  3220,  3221,  3883,  3539,  3540,  2931,
    4038,  3543,  2324,  3664,  2637,  2637,  2637,  1359,  3548,  4084,
    2596,  4396,  3300,  1490,  3300,  2866,  4653,  4485,  2515,  2176,
     600,  3302,  2884,  3302,  4495,  2298,  2847,  1244,  1577,  1284,
    1466,  1252,  2717,  1344,  4590,  2054,  1502,  2765,  2138,  4551,
      67,  3541,  3542,  1814,  1815,  1816,  1817,  1818,  1819,  2139,
    4409,  2140,  2109,  2035,  4410,  4411,  2883,  4412,   830,  3100,
    3216,  3217,  3218,  3219,  3220,  3221,  1327,  3471,  3153,   768,
    1623,  4894,  4610,  2343,  2885,   600,  3012,  2848,   830,    76,
    2854,  2827,    77,  3665,    78,    79,   693,  1337,    80,  3149,
     830,  3873,   105,  3300,   125,   130,  3863,   150,  4439,   154,
     172,   178,  3302,  3597,  4929,   600, -2047,  2141,   548,  2045,
    1353,  4232,  3151,  1554,  2471,   595,  4115,  1656,   830,  2516,
     550,  2781,  2437,  2060,  3938,  4496,  2046,  2263,  2886,   830,
    2725,  1258,   685,  2884,  2299,  3897,  2878,  2828,  1345,  1624,
    2597,  2462,  3154,  1328,   830,  2598,  2202,   830,  3897,  3896,
    2707,   707,  1455,  1337,  1555,  3864,  1627,  4377,  1657,  3350,
    2463,  4713,  2449,  2450,  2849,   768,  4654,   694,  2264,  3319,
    4378,  3394,  3935,  1686,  4622,  1491,  1688,  1786,  1690,  3065,
    1692,  2599,  1694,  2047,   766,  2885,  1698,  1467,  2517,  3966,
    4417,  2932,  2325,  2710,  1329,  1638,  2782,  1259,  1609,  1625,
    2781,  2048,  1626,  2879,  2061,  2326,  4831,  4440,   980,   881,
    1126,   693,  3395,  4555,  3472,  1354,  1580,  2995,  4443,  4725,
     980,  3666,  2887,  4447,  2962,  3560,  4449,  3325,  4397,   671,
    1589,  4611,  3560,  3939,  3013,  2663,  3940,  4746,  1032,  2886,
     180,  4744,   184,  4737,  2400,   767,  4930,  2287,  2518,  3473,
    4739,  2519,  4707,  1687,  1725,  1689,  3598,  1691,  3885,  1693,
    3313,  1695,  1696,  1697,   830,  3563,  4302,   681,  1699,  2367,
    2363,  3662,   830,   830,  4736,  2782,  2104,   980,  4714,  3474,
    1791,  1468,  1947,  1792,  1077,  1346,  3667,  1330,  3897,  4367,
    3967,  3150,   694,  2685,  2438,  -618,  1627,  1267,  4371,  1503,
    2766,  1268,   882,  1746,  4233,  4243,  2739,  3427,  2600,  3658,
     695,  1556,  1798,   768,  3152,  1658,  2850,  2664, -2415,   719,
    1347,  3490,  1755,  1470,  2425,  2265,  2439,   761,  2413,  1471,
    4379,  2152,  2888,  2887,  1973,  2049,  1947,  2034,  2708,   881,
    2889,  2709,  1800,  2890,   883,  2520,  4715,   696,   697,  1423,
    1348,  4138,  1787,  1771,  3136,  2785,  3848,  4659,   691,  4272,
    2740,  1789,   692,  2531,  2105,  4623,  4642,  4665,  1783,  3396,
    2781,   596,  1974,  3014,  4153,  1831,  4154, -1665,  3740,  3741,
    3742,  3743,  2392,  4910,  3748,  3749,  3750,  3751,  3752,  3753,
    3754,  3755,  3756,  3757,   980,  2405,   884,  1848,  1849,  4656,
    1628,  2875,   980,   980,  4518,  1557,   671,  3255,   853,  1659,
    2414,   671,   671,  1349,  4672,   720,  3015,  1964,  1965,  2266,
    1969,   774,   774,   597,   774,  4836,  1956,  2361,  1472,  1973,
    3886,  1334,   882,  1335,  2785,   695,   698,  2050,   769,  1292,
    3796,  3797,  2677,  2888,  1399,  2782,  1254,  4738, -2415,  2521,
    4617,  2889, -1665, -2415,  2890,  2193,   772,   772,   598,   772,
     599,   187,  3887,  3397,  4236,  4634,   718,  1974,  1319,  1298,
    1976,  3097,   696,   697,   883,  2783,  2391, -2069,  2063,  1758,
    2395,  -156,  2926,  3888,  3239,  2039,  2401,  2402,  2064, -2415,
    3246,  1792,   830,  3428,  4893,  2040,  3855,  4216,  1313,  4896,
    2944,  4793,  4223,  1320,   188,  1298,  1471,  -156,  4155,  2418,
    2784,  3571,  2041,  2795,   671,  4911,    39,  3067,  4841,  3429,
    1798,  1975,  1638,   742,   671,  1977,   884,  2876,  3108,  4439,
    4135,  3098,  1638,  1321,  1807,  1293,  1360,  2917,  1300,  3109,
    2144,  1947,  4675,  2918,  3114,  2154,  4680,  4681,  3300,    43,
    1800,   763,  3300,  4939,  3897,  4778,  3574,  3302,  2807,   753,
    3419,  3302,   830,  1094,  4794,  1976,   830,  3563,  4504,  1361,
    4029,  2145,  2454,  3083,  1300,  1473,  4032,  4033,   830,  4035,
    4585,  3031,  3032,  3033,  3034,  2194,  1426,   671,  2195,    47,
     671,   671,  2898,  3039,  2206,  3705,  4525,  2088,  2899,  4785,
    4786,  2796,    48,  2234,  2785,  1472,  2902,  1427,  2904, -1665,
    1474,  1638,  2539,  2539,  1301,  4965, -2415,  2539,  3702,  4578,
    1977,  3498,  3323,    49,   778,  2897,  3420,  1363,  1627,  3829,
    3418,  1581,  2065,   853,  3706,   660,  3744,  2686,  3745,  1834,
    1475,  3366,  2919,  2360,  2209,   981,  4079,  2910,  3081,  2042,
    1791,   830,   830,  1792,  2539,  2539,  1258,   661,   671,  3830,
    1364,  3880,  1139,  3951,   830,  3206,  1399,  2066,   764, -2415,
   -2415, -2415,  1792,  2303,  4206,  2950,  1448,  2316,  2771,   830,
     830,  1426,  1798,  1582,  3832,  2637,  2155,  3499, -2415,  2234,
    3068,   830,  2390,  4339,  2313,  1365,  3560,  1324,  3578,  3726,
    1337,  3904,  1427,  4522,  1835,  1337,  4350,  2202,  2722, -2415,
    2261,  1449,  1800,  2156,   551,   568,  1814,  1815,  1816,  1817,
    1818,  1819,  1259,  3258,  4523,  3259,  2735,  2174,  1366,  3952,
     813,  1800,  1325,   715,   669,  1126,  2157,  3579,  2158,  1327,
     669,  3897,  2660,  4047,  3047,  4046,  3205,   815,  3260,  4351,
    4553,  3580,   853,  1360,  4761,  2366,  3502,  1368,  3233,  4119,
    3746,  4120,  1326,  2393,  4254,  2374,   822,  2375,  2262,  1850,
    3747,  2152,  2739,   570,  2380, -2069,  1583,  3266,  3905,    34,
    -994,  4762,  2386,  4730,  2240, -1665,  1361,  4333,  3834,  2920,
    3256,  2234,  2175,  2653, -1665,    34,  1598, -1665,  1322,  3069,
   -1665,   835,  4920,   187,  3482,  1480,  1371,  3695,  4048,  4743,
    1851,  1947,  1450,  1372,  1461,  2018,  1328,  4334, -2415,  2241,
    3377,  2111,   187, -2415,  2921,  4700,  3374,  1584,  3282,  4255,
    4701,  4727,  3036,  1374,  3906,   836,  3907,  3037,   180,  3581,
     184,  1375,  3735,  4579,  1363,  4609,   188,  3059,  2193,  1462,
    2019,  2929,  3261,  1463,  2922,  3138,  2881,  3262,  2427, -2415,
    2428,  3070,  2429,  2804,  2430,   188,  2431,  1329,  2477,   929,
    2432,  3761,  4754,  4408,  4580,  4702,  3354,  1364,  1610,  1464,
    2020,  2930,  2710,  1676,  1426,  3637,  1677,   964,  3641,   927,
     180,   924,   184,   925,   926,  1376,  2162,  1611,  1073,  3071,
    2524,   654,  2144,   568,  1807,  1427,  2513,  2514,  3662,  4666,
    2465,  1585,  1365,  2528,  2529,  3393,  3212,  3300,   965,  2285,
    3467,   578,  3300,   579,  1610,    34,  3302,  3300,  4669,  2127,
    3300,  3302, -1479,  2145,  2242,    39,  3302,  2301,  2128,  3302,
    2387,  2567,   872,  1611, -1479,  1366,  2243,  1543,  2476, -1479,
     966,  1480,   880,  4840,  3300,  3468,  2333,  1612,  3828,   964,
    1330,   570,   981,  3302,  2582,  1605,  1606,  3300,    43,  3077,
    -524,  2244,  4349,  1610,  1368,  4605,  3302,  4481,  2194,  4483,
    2127,  2195,  1666,  2499,  3263,  3469, -2415,  4261,  4262,  2135,
     965,  2646,  1611, -1479,  3264,  3882,   967,  1250,  4370,    39,
    1598,  4358,  2025,  1667,  4002,  4522,  1614,  1267,    47, -2050,
    1331,  1268,    34, -1479,  2110,  4522,  1370,  1731,  1838,   932,
    1732,    48,  3615,  1371,   981,  4003,  4523,   951,  1298,  3829,
    1372,  3126,    43,  1299,   934,   830,  4523,  1267,  2111,  1947,
     830,  1268,    49,  2154,   830,  1332,  3701,  3385,   959,    34,
    1374,  3314,   830, -1479,  2660,  1858,    50,  4753,  1375,  3830,
    4323, -1479,  4324,  4325,  3570,  3904,  4326,   853,   967,  3037,
     830,   937,    47,  1139,  3831,  1333,  3206,  -523,  4788, -2415,
    3207,  3208,  3209,   946,  3832,   947,  1814,  1815,  1816,  1817,
    1818,  1819,  2674,  2675, -2415, -2415, -2415,  1300,  3216,  3217,
    3218,  3219,  3220,  3221,  1334,  3902,  1335,  3300,  4710,   578,
    3833,   579,  1376,   830, -1515,  3618,  3302,  3178,  3179, -1515,
      50,   968,  2422,  3180,  3627,   671,   983,  2759,  3408,  4444,
     969,   830,   830,  3317,   822,   584,  1598,  1301,  1322,  2669,
     970,  1434,  3905,  2199,     3,     4,  2714,  4931,  4956,   987,
    4697,  2718,  4699,  3431,  1336,  2721,  4703,    39,  4704,  2688,
     180,  1954,  1947,   830,  1955,  3232,  1947,  3234,  3235,  3300,
    3772,  1745,  2729,    50,  2732,  1030,  1277,  1957,  3302,  1038,
    1958,  2745,   980, -1515,  2155,  2502, -1479,  1039,  3834,  1435,
      43,   671,  3267,  1044,  2803,   830,  4867,  1055,  3906,   830,
    3907,   221,   640, -1539, -1539,  2726,   552,  3086,  1064,  2421,
    2434,  2156,  2422,  2435,   638,  2637,  2436,   830,  3560,  2435,
    2637, -1479,    14, -1515,  2797,  1068,  2637,  3411,   830,  3107,
      47,  4777,   716, -1479,  2157,  2356,  2158,  2357, -1479,  3932,
    3828,   830,   945,    48,  3116,   654,  3210,  3118,  3119,   830,
    1249,  1099,  3122,  3123,   981,    19,  1103,  3924,  2882,  3127,
    1107,  3936,  3941,  3716,    49,  3311,  3312,  3211,  4445,  2152,
    1110,  1436,  1139,  2468,  2845,  3206,  2469,  2789,    50,  3207,
    3208,  3209, -1479,  1113,  2539,  2539,  2539,  2539,  2502,  1116,
    2539,  2539,  2539,  2539,  2539,  2539,  2539,  2539,  2539,  2539,
    1115,  3462, -1479,  1947,  3676,  3677,   945,  1117,  3954,  3721,
    2893,  3829,  2947,  2659,  3587,  1123,  2660,  3770,   561,  1437,
    1124,  3166,  1438,  4414,  1125,  1126,  2801,  3212,  2905,  2802,
    2872,  2986,  2201,  2873,  2987,  4952,  1127,  2990,   640,  2915,
    2991,  3830, -1479,   671,  1128,  1129,  2539,  2539,  3300,  1132,
   -1479,   671,  2940,   671,  4530,  1133,  3831,  3302,    14,  1135,
     945,  1440,  3571,  1598,   981,  2025,  3832,  3084,  3572,   830,
    2422,  3384,  3130,  3300,  3177,  2435,  4102,  2422,  3186,  3573,
    1253,  2422,  3302,  2854,  3192,  3950,  3052,  2422,  3053,   568,
    3193,    19,  3833,  2422,  1256,  3194,  3225,  2964,  2422,  2422,
     568,  3238,  1442,  3243,  2422,  2964,  3244,  3574,  3283,  3575,
    3284,  3737,  1260,  2964,  3449,  2964,  3285,  3450,  3286,    31,
    4957,  -988,  4958,  2584,  3454,  2585,  1139,  3455,  4574,  3206,
    4040,   830,  4041,  3207,  3208,  3209,  3649,  3674,  1262,  3650,
    2422,  1444,  1288,  4918, -1467,  3766,    39,   570,  2586,  3767,
    3785,  1261,  3768,  3899,  3900,  3719,  3777,  3788,   570,  3778,
    2422,  3030,  3871,  1266,  1278,  3872,  3211,   830,  3876,  1286,
    3834,  3877,  3363,  3364,  3881, -1479,  4941,  2709,  3065,    43,
    4388,  3903,  1285,  1288,  2435,   830,  3576,  1289,  4090,  3976,
    3808,  3060,  3977,   830,  4081,  4132,  1296,  2435,  1723,   980,
    3048,   180,  3027,  3028, -1478,  3213,  3214,  3215,  1311,  3216,
    3217,  3218,  3219,  3220,  3221,  4150, -1478,  4864,  2422,    47,
    3560, -1478,  3603,   641,  4176,  1312,  3212,  2469,  -418,  1316,
    3092,  3094,    48,  4188,  1352,  1267,  2422,  3103,  1288,  1268,
    3167,  1295,   766,  1297,  3577,  4971,  3171,  2587,  4239,  3578,
    1322,  2709,  2588,    49, -1516,    31,  4205,  2589,  4208, -1516,
    3300,   980,  1357,  4245,  1381, -1478,  4246,   642,  1383,  3302,
    1947,  4251,  4252,  1385,  2435,  2435,  1947,  3920,  3143,  1386,
    3722,   853,    39,  3380,  2387, -1478,  4616,  4372,  3579,  4419,
    4373,  4421,  4420,  2154,  2422,   578,  3157,   579,  4897,    28,
     671,  1418,  3580,   767,  3143,   981,   578,   981,   579,  4126,
    4127,  4128,  3588,  4429,  3590,    43,  2469,  3709,   581,  4501,
    3211,  1543,  4502, -1516,  3485, -1478,  1420,  4575,  4601,   583,
    2435,  1421,  1543, -1478,  3493,  1791,  4602,  -418,  1792,  4603,
    1422,  1493,  1793,  1794,  1795,  4618,  4626,  4631,  2469,  4627,
    2660,  2539,  1423,  3328,  4637,    47,  1425,  3625,   761,  1796,
    1430,   830,  3436, -1516,  3438,  1433,  4639,  1798,    48,  3625,
    1457,   768,  1456,  1799,  4651,   981,  1469,  4652,  4690, -2322,
    3212,  4691,  3655,    39,  2590,  4726,  1478,  3303,  1837,    49,
    3581,  1479,  4745,  2213,  2591,  4652,  1483,  1800,  3844,  1783,
    1488,  1494,   761,    50,  3213,  3214,  3215,  1489,  3216,  3217,
    3218,  3219,  3220,  3221,  1496,  4755,    43,    28,  2469,  3849,
    3850,  3851,  1501,  4756,  1139,   830,  3244,  3206,  1498,  1505,
    1506,  3207,  3208,  3209,  2155,  4757,  4767,  1512,  2422,  2660,
    3303,   830,   830,  1783,  4370,  1513,  4770,  4270,  3786,  3625,
    4792,  4798,  2561,  2469,  2469,  2564,    47,  3596, -1478,  3599,
    2582,  2156,  4799,  4825,  1516,  2469,  4826, -2322,   830,    48,
    1518,   830,  4856,  3521,  4857,  2660,  3276,  2422,  1524,  3528,
    1950,  3288,  3289,  3290,  2157,  4858,  2158,  1521,  2422,  1531,
      49,   980,  3294,  1534,  4860,  1536,   769,  2422,  3318,  4877,
     671,    39,  4878,  1801,  4898,  1527,  1545,   761,  1802,  2502,
    4914,  1547,  4917,  3625,  4548,  4645, -2322,  2154,  4940,  2152,
    1548,  4652,   927,   180,   924,   184,   925,   926, -2322,  1803,
    1804,  -176,  4954, -2322,    43,  4955,  3360,  4980, -2322,  1550,
    4955,  1552,  1564, -2322,  1805,  3294, -2322,  1566,   760, -2322,
    1573,  1947,  1947,  1947,  1575,  3099,  3101,  3102,  3213,  3214,
    3215,  1579,  3216,  3217,  3218,  3219,  3220,  3221,  1791,  4036,
    4024,  1792,   206,  1586,    47,   830,  1806, -2322,  1591,  3382,
    1592,  1593,  1598,  1594,  1601,  1602,  1604,    48,   830,  1807,
    1947,  1618,  1808,   830,  1634,  1635,  1649, -2322,  1637,  1638,
    1798,   980,  1645,   830,  1648,  3482, -2415,  3715,    49,  1650,
    4310,  4311,  1651,  4313,  1652,  1653,  1655,  2239,  3211,  1660,
    1662,  3672,    50, -1248,  4112, -1248,  1661,  1663,  1665,  1670,
    1800,  1675,  1700,  1728,  1733,   837,  1735, -2322,  1742, -2322,
    1743, -1669,   838,   839,   840, -2322,  1736, -1676,  3683,  3684,
    1750,  3686,  1139,  3688,  3689,  3206,  1751,  1752,  2155,  3207,
    3208,  3209,  1753,  1754,    50,  1756,  3696,   830,  1757,  1758,
   -1666,  1809,  4171,  3328, -1667,  4388,  4178,  4160,  3212,  1759,
    3328, -1670,  1760,  1761,  1763,  2156,  3458,  3452,  1764,  1765,
    1766,  1767, -1668,  1768,  1769, -2322,  4534,  1770,  1772,  3478,
    1823,  1773,  1774,  1775,  3717,  1947,  1776,  1827,  2157,  1825,
    2158,  1777,   830,  1778,   830,  1779,  1828,  1841,  1837,  1962,
    1853,  1299,  1861,  1991,  1301,  2154,   830,  1993,   830,  2002,
    2023,  3491,  2154,  2021,  2022,  2025, -2415,  2026,  4535,  2027,
    2154, -2415,  1139,  2152,   685,  3206,  2028,  2029,  2030,  3207,
    3208,  3209,  2031,  2037,  2062,  2068,  2056,  2090,  2097,  2094,
    2096,  2098,  2099,  4536,  1810,  2101,  4179,  1811,  1812,  1813,
   -2322,  1814,  1815,  1816,  1817,  1818,  1819, -2415,  3533,  4537,
    3524,  2102,   830,  4538,  3197,  2154,  2117,  2130,  2119,  2118,
    2146,  2131,  2142,  2148, -2322,  2151, -2322, -2322,  2149,  2150,
   -2324,  2152,  2964,  4539,  2160,  2164,  4540,  2161,  2165,  2964,
    2964,  4129,  2163,  2964,  2170,  2179,  2171,  2181,  2185,  4541,
    2964,  2154,  1807,  3552,  2186,  2792,  2189,  2196,  2197,  3562,
   -2322,  2203,  2867, -2322, -2322, -2322,  3562,  2204,   671,   830,
    3497,  1399,   980,  2208,   980,   671,  3211,  4355,  1791,  2225,
    2226,  1792,  2214,  2230,   830,  2215,  3213,  3214,  3215,  2227,
    3216,  3217,  3218,  3219,  3220,  3221,  2155,  2235,  3600,  2231,
    2238,  2252,  2253,  2155,  2260,  2273,   830,  2268,  2272,   830,
    1798,  2155,  3623,  2269,  2281,  3503, -2415,  2271, -2324,  3327,
    2254,  2286,  2289,  2156,   822,  2275,  2280,  2290,  2293,  4542,
    2156,   563,  2294,  2297, -2415,  2302,  3212,  4543,  2156,  2322,
    1800,  3654,   980,  2317,  2335,  2339,  2157,  2338,  2158,  3644,
     180,  3532,  1450,  2157,  2347,  2158,  2155,  2353,  4090,  2539,
    2355,  2157,  2359,  2158,  2351,  2370,  3211, -2324,  4422,  2372,
    3675,  3671,   180,  2364,  4544,  2373,  2377,  2378,  2379, -2324,
    2234,  2152,  2381,  2156, -2324,  4533,  1947,  2382,  2152, -2324,
    2383,  2384,  2155,  2385, -2324,  3704,  2152, -2324,  2394,  2396,
   -2324,  2397,  2398,  2399,  2416,  3795,  2157,  2417,  2158,  2154,
    2447,  2453,  2466,  2479,  2507,  2512,  2556,  2562,  3802,  2156,
    3718,  1792,  1318,  2566,  2154,  2581,  3212, -2415, -2324,  2575,
    2593,  2615,  2595,  2616,  1814,  1815,  1816,  1817,  1818,  1819,
    2630,  2152,  2157,  2644,  2158,  2648, -2415,  2650, -2324,  2647,
    2651, -2415,  2652,   767,  2671,   671,  4906,  4907,  2661,  2672,
    2662,  2689,  2670,  2683,  1108,  2673,  2699,  2698,  4229,  2701,
    2711,  2713,  4064,  4065,  2730,  2733,  2735,  2152,  3303,  2737,
    3303,  2712,  4630,  2738,  2744,  4069,  2749, -2415, -2324,  2754,
   -2324,  2760,  2755,  4630,  2757,  2768, -2324,   843,   844,   845,
    2776,   846,   847,   848,   849,   850,   851,  2764,  2777,  3925,
    2780,  2794,  2793,  2799,  3213,  3214,  3215,  1250,  3216,  3217,
    3218,  3219,  3220,  3221,  3955,  3783,   761,  2815,  1254,  2816,
    2810,  2829,  1807,  1139,  2834,  2835,  3206,  2861,  2862,  2856,
    3207,  3208,  3209,  2871,   761,  2864, -2324,  2877,   830,  2874,
    2155,  2892,  2935,  2946,  2958,  2959,  2957,  2953,  2965,  3303,
    2954,  2966,  2967,  2969,  2968,  2155,  2973,  1783,  2976,  4688,
    3810,  3811,  3812,  3813,  3328,  2980,  2984,  2156,  2985,  2992,
    3004,  2978,  3018,  3817,  3022,  3820,  4978,  4979,  3020,  3029,
    4227,  3035,  2156,  3038,  1947,   685,  3044,  3045,  3046,  1947,
    2157,  1947,  2158,  3043,  3213,  3214,  3215,  3055,  3216,  3217,
    3218,  3219,  3220,  3221, -2415,  2157,  3057,  2158,  3058,  3061,
    3062, -2324,  2539,  3075, -2338,  3076,  3078,  3080,  3082,  3079,
    3085,  3088,  3089,  1627,  3087,  2152,  3104,  3106,  3115,  3117,
    3090,  3091,  3096,  3120,  3105, -2324,  3121, -2324, -2324,  3129,
    2152,  3125,  4118,   830,  3135,  3124,   830,  3132,  3133,  3921,
    4121,  4122,  4123,  4124,  3134,  2660,  1671,  3137,  3144,  2480,
    3146,  3147,  3148,  3163,  4768,  3155,  1105,  3158,  3165,  3169,
    3172, -2324,  3170,  4342, -2324, -2324, -2324,  3175,  3188,  3191,
    3189,  3190, -1928,  3173,  3195,  3196,  3257,  3198,  3201,  3202,
    3274,  3224,  2422,  3230,  3237,  3251,  3240, -2415,  1791,  3279,
    3252,  1792, -2338,  3336,  1814,  1815,  1816,  1817,  1818,  1819,
    3305,  3265,  3275,  3334,  3277,  3278,  3330, -2415,  3281,  3338,
    3562,  3344,  3340,  3351,  3357,  3367,  3376,  3379,  3365,   671,
    1798,   830,   830,  3310,  3368,  3372, -2415,  3381,  3373,  4533,
    3388,  3404,  3405,  3415,   830,  4694,   830,  3417,  4455,  4620,
    3421, -2338,  3422,  3985,  4004,  4470,  3986,  4007,  3987,  3423,
    1800,   671,  3424, -2338,  3434,  3435,  4480,  4676, -2338,  4546,
    3437,  3443,  3444, -2338,  4679,  3984,  3445,  3212, -2338,  3453,
    3463, -2338,  3484,  3486, -2338,  3488,  3495,  3489,  1785,  4684,
    3494,  4686,  3492,  4268,  3506,  3496,  3507,  3504,  3505,  3508,
    3509,  3519,  2964,  3510,  3523,  3511,  3514,  3512,  2964,  2964,
    3513,  2964, -2338,  3515,  3517,  3516,  3518,  3552,  3520,  3525,
    3527,  2223,  3538,  3544,  3529,  3798,  3531,  3545,  3547,  1093,
    1094,  3554, -2338,  3564,  3567,  3594,  3595,  3601,  3612,  3614,
     830,  3616,  3624,  3625,  3633,  3638,  3610,  3639,  3642,  3635,
    3643,  3646,  3647,  3659,  3670,  1620,  4306,  4071,  3685,  3681,
    3678,  3679,  3697,  3687,  3698,  3699, -2415,  3700,  3708,  4259,
    3703, -2415, -2338,  3711, -2338,  3710,  3712,  3720,  3723,  3725,
   -2338,  3729,  3227,  1745,  3206,  3226, -1927,  1791,  3790,  3791,
    1792,  3779,  3738,  3763,  1793,  1794,  1795,  3764,   768,  3803,
    3819,  4810,  4812,  4278,  4279,  4804,  3765, -2415,  3771,  3794,
    4101,  1796,  3846,  3809,  3827,  3841,  3866,  3869,  3874,  1798,
    3884,  4572,  3890,  4097,   180,  1799,  3856,  3911,  3913,  3914,
   -2338,  3926,  3919,  3928,  3927,  3843,  3931,  3858,  3859,  3942,
    4938,  3945,  3929,  3978,  3860,  3861,  3933,  3979,  3957,  1800,
    3981,  3143,  1807,  4760,  3958,  3213,  3214,  3215,  3959,  3216,
    3217,  3218,  3219,  3220,  3221,  4769,  4488,  4625,  3960,   853,
    4771,  3972,  4773,  3970,  3971,  3973,   671,  3974,  3975,   685,
    3982,  3991,  4320,  4321,  4140,  3999,  3992,  4140,  4014,  4140,
    4016,  4018,  3937,  4021,  4028,  4051,  4054,  4027,  4043,  4030,
    4031,  4034,  3661,  4938,  3303, -2338,  4061,  4059,  3303,  4879,
    4510,  4074,  4067,  2435,  4075,  4077,  4083,  4094,  4095,  4110,
    4078,  4107,  4938,  4108,  4113,  4125,  4111,  4130,  4114, -2338,
    4116, -2338, -2338,  4117, -2415,  4134,  4136,  4137,  4141,  4142,
    4144,  4152,  4147,  4156,  4162,  4157,  4161,  4163,  4165,  4169,
    4164,  4201, -1929,  4184,  4197,  1801,  4196,  4199,  4209,  4202,
    1802,  4696,   830,  4210,  4214, -2338,  4217,  1947, -2338, -2338,
   -2338,  4215,  4218,  4220,  4228,  4242,  4401,  4238,  4221,  4402,
    4403,  1803,  1804,  4222,  4235,  4240,  3328,  4247,  4248,  4256,
    4804,  4273,   830,  4274,  4280,  4407,  1805,  4281,  4282,  4305,
    4293,  4303,  4296,  4308,   830,  4314,  4322,  4327,  4309,  3294,
    4335,  1947,  4336,  3294,  4343,  4348,  4352,  4354,  4353,  4356,
    4224,  4359,  4226,  4362,  4374,   830,  4364, -2415,  1806,  4381,
    4924,  4383,  4384,  4386,  1814,  1815,  1816,  1817,  1818,  1819,
    4385,  1807,  4241,  4394,  1808,  4399,  4505,  4405,  4406,  4415,
    4416,  4418,  4230,   180,  4423,  4425,  4434,  4426,  4427,  4428,
    4441,  4468,  4448,  4474,  4477,  4482,  4452,  4498,  4472,  4478,
    4494,  4497,  4512,  4528,  4513,   680,  4507,   682,  4547,  4517,
    4549,   688,  4050,  4556,  4558,  4561,   702,   710,   680,  4563,
     717,  4559,  4577,   710,   710,  4583,   746,  4584,   749,  4562,
    4582,  4589,  4604,  4287,  4587,  4606,  4607,  4592,  4608,  4593,
    4621,  4624,   671,  4628,  4633,  4297,  4636,  4645,  4640,  4641,
    4643,  4670,  4660,  1809,  4649,  4668,  4275,  4683,  4711,  4716,
    4720,  4345,  4721,  4723,  4290,  4291,  1790,  4728,  4734,  4294,
    4295,  1791,  3562,  4740,  1792,  4741,  4742,  4749,  1793,  1794,
    1795,   671,  4750,  4752,  4758,  4766,  4759,  4776,  4775,  4751,
     981,  4772,  4779,  4780,  4791,  1796,  4795,  4677,  1797,  4782,
     830,  4809,  4815,  1798,  4816,  4819,  4821,  4824,  4829,  1799,
    4830,  4827,  4839,  4317,  4318,  4787,  4837,  4838,  4845,  4846,
    4873,  4880,  2964,  4888,  2964,  2964,  4818,  4854,  2964,  4868,
    3804,  4866,  4817,  1800,  4915,  4928,  4909,  4949,  4953,  4960,
    4967,  4959,  4887,  4972,  4892,  4963,  1810,  4950,  4973,  1811,
    1812,  1813,  4947,  1814,  1815,  1816,  1817,  1818,  1819,  4948,
    4968,  4975,  4976,  2236,  3024,  1384,  3247,  1860,  1454,  4974,
    3320,  1290,  4366,   804,   809,   809,   812,  2860,   809,  3430,
     818,  1429,   804,  3948,   746,   853,  2945,   855,  3553,  4037,
    4705,  1453,  4803,   746,  4368,   180,   746,  4926,  4615,  4586,
     809,  4387,   746,  3303,   830,  4063,   830,  4588,  3303,  4784,
    4340,  3143,  4571,  3303,  3370,  4869,  3303,  4450,  3328,  3131,
    4486,  4922,  4822,  4820,  4886,  3375,  4098,  4082,  4058,   853,
    3946,  4140,  3002,  3003,  3447,  4140,  4140,  4070,  4140,  1801,
    3303,  2314,  4357,  2993,  1802,   830,  4927,  3620,  4964,  4977,
     981,  4560,  3568,  3303,  3565,  4890,  4511,  4797,  4874,   687,
    4131,  1791,  2296,  4514,  1792,  1803,  1804,  1720,  4655,  1730,
    4104,  4747,  2704,  4657,  3358,  1056,  2473,  4900,  2474,  3526,
    1805,  2475,  4300,  4966,  2036,  2656,  2655,  4086,  4231,  2426,
    4863,  1947,  3878,  1798,  1263,  1987,  1959,  4509,  1988, -2415,
     982,  3326,  3335,  2682,  3857,  3333,  4859,  4774,  1833,  3337,
    4225,  3822,  1806,  3294,  2681,  3143,  4195,  3143,  3294,  4689,
    1992,  3294,  4207,  1800,  4635,  1807,  4765,  3818,  1808,  4764,
    3879,  4619,  1997,  3773,  3680,  4471,  4861,  4853,  4862,  2371,
     822,  3329,  3322,  2620,  3272,  3183,  3270,  4479,  2629,     0,
    4473,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3562,     0,     0,     0,     0,     0,
       0,     0,     0,   671,     0,     0,     0,     0,  3799,     0,
       0,     0,     0,  3303,     0,     0,     0,     0,     0,  1791,
       0,     0,  1792,     0,     0,     0,     0,  1809,     0,     0,
       0,     0,     0,     0,     0,     0,  2964,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2415,
       0,  1798,     0,     0, -2415,   981,     0, -2415,  3067,  1791,
       0,     0,  1792,     0,     0,     0, -2415, -2415, -2415,     0,
       0,     0,     0,     0,     0,  3303,     0,  1360,     0,     0,
       0,  1800,     0,     0,     0,     0,  1947,  4576,   180,     0,
   -2415,  1798,     0,     0,     0,     0,     0,  1799,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,  4597,   180,     0,   830,     0,     0,
    1810,  1800,     0,  1811,  1812,  1813,     0,  1814,  1815,  1816,
    1817,  1818,  1819,     0,     0,  1807,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4182,  1387,     0,     0,
     761,     0,   890,  1388,     0,     0,     0,     0,   746,     0,
     804,     0,     0,   809,     0,   812,     0,   809,  1363,   761,
       0,     0,     0,     0,   855,     0,     0,     0,   956,     0,
    3294,     0,     0,     0,     0,   809,     0, -2415,  4722,     0,
       0,  1783, -2415,  1389,     0,     0,     0,     0,     0,     0,
       0,  1364,     0,     0,     0,     0,     0,     0,     0,   804,
    1783,     0,     0,     0,   812,     0,     0, -2415,   853,   804,
       0,     0,     0,   855,     0,     0,     0,  1801, -2415,     0,
       0,  3068,  1802,     0,     0,     0,  1365,     0,     0,     0,
     809,     0,  1390,     0,     0,  1391,     0,   980,     0,     0,
       0,  4698,  1392,     0,  3303,  1393,   671,     0,     0,     0,
       0,  4706,     0,     0,     0,     0,     0,     0,  1805,  1366,
       0,     0,     0,  1807,  4919,  1947,     0,   830,     0,  3303,
    1394,     0,     0,     0,     0,     0,     0,     0,     0,   746,
       0,     0,     0,     0,     0,     0,     0,     0,  1368,     0,
       0,     0,   746,     0,  1122,     0,     0,     0,     0,     0,
   -2415,  1395,     0,  1807,     0,  4735,   180,  1814,  1815,  1816,
    1817,  1818,  1819,     0,  1235,  1235,     0,   746,   710,     0,
       0,     0,   710,     0,     0,     0,    34,     0,     0,     0,
    1370,     0,     0,     0,     0,     0,   746,  1371,     0,     0,
     746,     0,     0,     0,  1372, -2415,  1235,     0,     0,     0,
       0,  4833,  2111,     0,   830,     0,     0,     0,   746,  1396,
       0,  1397,     0,     0,  1374,     0,     0,     0,     0,     0,
     746,  1398,  1375,     0,     0,     0,     0,     0,     0,  1399,
       0,     0,     0,     0,     0,  1809,     0,     0,     0,  1400,
       0,     0,  3070,     0,     0,     0,     0,   980,     0,     0,
       0,  4807,     0,  4808,     0,     0,     0,  4813,  4814,  4872,
       0,     0,     0,   746,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,  1376,  1402,  1403,   746,
    3071,  3661,     0,     0,   809,   809,     0,     0, -2415,     0,
       0,     0,     0,     0,     0,  1814,  1815,  1816,  1817,  1818,
    1819,     0,   830,     0,  1404,     0,  3303,     0,     0,   710,
     710,     0,   822,   822,     0,  3143,  1947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1810,     0,
       0, -2415, -2415, -2415,   804,  1814,  1815,  1816,  1817,  1818,
    1819,     0,     0,     0,     0,   804,     0,     0,     0,   855,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   809,     0,  2483,  1405,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
       0,     0,     0,     0,   746,     0,     0,     0,     0,     0,
       0,   809,   809,     0,     0,     0,     0,     0,  1947,     0,
       0,  4891,   180,     0,     0,     0,     0,     0,   746,   746,
     746,     0,   809,  2484,   804,  4905,   180,  4902,   184,  4903,
    4904,     0,     0,     0,     0,     0,     0,     0,     0,  4946,
    4970,     0,   980,     0,     0,     0,     0,     0,     0,     0,
       0,  3067,   822,   822,  2485,     0,  4937,     0,     0,     0,
       0,     0,     0,     0,     0,  4936,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,  2486,     0,     0,  4905,
    4945,  4902,   184,  4903,  4904,     0,     0,  2487,     0,     0,
       0,   809,     0,   809,   809,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,     0,     0,     0,  2488,     0,     0,
       0,     0,  2489,     0,     0,     0,     0,  1387,     0,  4937,
       0,  1235,     0,  1388,     0,     0,     0,     0,  4936,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4937,  4905,
     180,  4902,   184,  4903,  4904,     0,     0,  4936,     0,     0,
       0,  1703,  1703,     0,     0,     0,   746,     0,   680,     0,
    2490,  1363,     0,  1389,     0,     0,     0,     0,     0,     0,
       0,     0,  -130,     0,     0,     0,     0,     0,     0,  1734,
       0,  2491,   746,     0,     0,  1740,     0,     0,     0,     0,
       1,     0,     0,     0,  1364,     0,     0,     0,  1235,     0,
       2,     0,     3,     4,  1791,     0,     0,  1792,     0,     0,
       0,  1793,  1794,  1795,     0,  1391,     0,     5,     0,     0,
       0,     0,  1392,     0,  3068,  1393,     0,  1235,  1796,  1365,
       0,     0,     0,     0,     0,     0,  1798,     6,     0,     7,
       8,     0,  1799,     0,   206,     9,     0,    10,     0,     0,
    1394,     0,     0,     0,     0,  1235,  1235,  1235,    11,  1235,
      12,     0,  1366,     0,     0,     0,  1800,     0,     0,     0,
       0,  2492,     0,     0,     0,     0,     0,    13,  2493,  1235,
      14,  1395,     0,     0,  2494,     0,     0,     0,     0,     0,
       0,  1368,     0,    15,     0,    16,     0,     0,     0,    17,
       0,     0,     0,     0,     0,    18,     0,     0,     0,     0,
       0,     0,     0,    19,     0,    20,  2495,   746,     0,  2496,
    1235,    21,     0,     0,     0,     0,     0,     0,     0,    34,
       0,     0,     0,  1370,     0,     0,    22,  2497,     0,  1396,
    1371,  1397,     0,     0,     0,     0,     0,  1372,     0,  1235,
       0,  1398,    23,  1235,  1235,  2111,     0,     0,     0,  1399,
       0,     0,  2498,     0,   746,   746,  2001,  1374,     0,  1400,
       0,     0,  1801,     0,     0,  1375,     0,  1802,     0,     0,
       0,     0,     0,     0,     0,     0,   710,     0,     0,     0,
       0,    24,    25,     0,     0,  3070,     0,    26,  1803,  1804,
       0,     0,     0,     0,  1458,     0,     0,  1402,  1403,    27,
       0,     0,     0,  1805,     0,     0,     0,     0,     0,     0,
      28,  2100,     0,     0,     0,     0,   710,     0,     0,  1376,
       0,     0,     0,  3071,  1459,     0,     0,     0,     0,   746,
    2126,     0,     0,     0,     0,  1806,     0,     0,   746,     0,
       0,   809,     0,     0,     0,     0,     0,     0,  1807,     0,
      29,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    30,   855,     0,   746,     0,    31,    32,     0,
      33,     0,     0,   746,     0,    34,   746,     0,     0,     0,
      35,     0,     0,    36,     0,     0,     0,  1405,    37,     0,
       0,     0,     0,    38,    39,     0,     0,     0,     0,     0,
     746,    40,     0,     0,     0,    41,     0,     0,   809,   809,
     809,   809,   746,     0,     0,    42,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,   746,    43,     0,     0,
    1809,     0,     0,  1791,     0,     0,  1792,  2248,     0,   746,
    1793,  1794,  1795,     0,     0,     0,    44,     0,     0,     0,
     809,   809,     0,     0,     0,     0,    45,  1796,     0,   809,
       0,     0,    46,     0,     0,  1798,     0,    47,     0,   809,
       0,  1799,     0,     0,     0,     0,     0,     0,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,   746,     0,
       0,     0,     0,     0,     0,  1800,     0,   809,   809,   809,
     809,    49,     0,     0,     0,     0,     0,     0,     0,   746,
       0,     0,     0,     0,     0,    50,   746,     0,  -130,  2248,
       0,     0,     0,  1810,     0,     0,  1811,  1812,  1813,   804,
    1814,  1815,  1816,  1817,  1818,  1819,   812,     0,     0,     0,
    2565,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1791,     0,
       0,  1792,     0,     0,     0,  1793,  1794,  1795,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   804,     0,
       0,     0,  1796,     0,     0,     0,     0,     0,   855,     0,
    1798,     0,   809,     0,     0,   809,  1799,     0,     0,     0,
       0,  1801,     0,     0,     0,   809,  1802,     0,     0,     0,
       0,     0,     0,   809,   809,     0,     0,     0,   746,     0,
    1800,     0,     0,     0,     0,     0,     0,  1803,  1804,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1805,  1703,     0,     0,     0,     0,     0,     0,
     809,     0,   804,     0,     0,     0,   746,   746,     0,   809,
       0,     0,     0,     0,     0,     0,   746,     0,     0,     0,
       0,     0,     0,   746,  1806,     0,     0,     0,   680,   680,
       0,     0,  2482,     0,     0,     0,  1235,  1807,  1235,     0,
    1808,     0,     0,  1235,  1235,     0,     0,     0,     0,     0,
    1235,  1235,  1235,     0,     0,     0,  1235,   855,  1235,  1235,
    1235,  1235,  1235,  1235,     0,  1235,     0,  1235,  1235,     0,
       0,  1235,     0,     0,     0,     0,  1801,     0,     0,     0,
       0,  1802,     0,     0,     0,     0,  1235,  1235,  1235,  1235,
       0,     0,     0,   809,  1235,     0,     0,     0,  1235,     0,
       0,  1235,  1803,  1804,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,     0,  1235,  1015,     0,  1805,     0,  1809,
     746,  1235,     0,  1235,     0,     0,     0,     0,     0,     0,
     746,     0,     0,     0,     0,     0,  1015,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1806,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1807,     0,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1387,
       0,     0,     0,     0,     0,  1388,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1810,     0,     0,  1811,  1812,  1813,     0,  1814,
    1815,  1816,  1817,  1818,  1819,  2070,     0,     0,     0,  3566,
    1791,     0,     0,  1792,     0,  1389,     0,  1793,  1794,  1795,
       0,     0,     0,     0,  1809,     0,     0,   746,     0,   746,
       0,  1235,     0,     0,  1796,     0,     0,     0,  2071,     0,
       0,     0,  1798,     0,     0,     0,     0,     0,  1799,     0,
       0,  2072,  1791,     0,     0,  1792,     0,     0,     0,  1793,
    1794,  1795,     0,     0,  2166,  2073,   746,  1391,     0,     0,
       0,     0,  1800,  2690,  1392,  2697,  1796,  1393,     0,     0,
       0,     0,     0,     0,  1798,     0,     0,     0,     0,     0,
    1799,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1394,     0,   812,  2074,     0,     0,     0,     0,
       0,     0,     0,   680,  1800,   680,  2075,  1810,     0,     0,
    1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,  1818,  1819,
       0,     0,  1235,  1395,  3731,     0,  2076,     0,     0,     0,
       0,  2077,     0,   804,     0,   809,   809,     0,     0,     0,
     804,     0,   855,     0,   809,     0,   809,     0,     0,     0,
     809,     0,     0,   746,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,  1500,     0,  1802,   710,     0,  1387,     0,     0,     0,
       0,  1396,  1388,  1397,  2126,     0,     0,     0,     0,     0,
       0,  1515,  2813,  1398,  1803,  1804,     0,     0,     0,  2824,
    2078,  1399,     0,     0,     0,  1525,     0,     0,   746,  1805,
    1801,  1400,     0,     0,     0,  1802,     0,     0,     0,     0,
       0,     0,  1389,     0,     0,     0,     0,     0,   746,     0,
       0,     0,  2079,  2869,  2869,     0,  1803,  1804,     0,     0,
       0,  1806,   812,     0,     0,     0,  2167,     0,     0,  1402,
    1403,  1805,     0,     0,  1807,     0,     0,  1808,     0,   809,
       0,     0,     0,   206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1391,     0,  2168,     0,     0,     0,
       0,  1392,     0,  1806,  1393,     0,  2934,     0,  2937,  2939,
       0,     0,     0,     0,     0,     0,  1807,  2080,     0,  1808,
       0,     0,     0,  2081,     0,     0,  2082,     0,     0,  1394,
       0,     0,     0,     0,     0,   809,     0,     0,     0,     0,
       0,     0,     0,   809,     0,   809,     0,     0,     0,     0,
       0,   809,     0,     0,     0,  2083,  1809,     0,     0,  1405,
    1395,     0,  2084,  1235,     0,     0,     0,     0,     0,  2085,
       0,     0,     0,     0,     0,     0,  2086,  2126,     0,     0,
    2869,     0,   746,     0,     0,  3025,     0,     0,   680,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,     0,
       0,  2087,  1791,     0,     0,  1792,  1726,     0,     0,  1793,
    1794,  1795,     0,     0,  2934,     0,     0,     0,  1396,     0,
    1397,     0,     0,   809,  3051,     0,  1796,     0,     0,     0,
    1398,     0,     0,     0,  1798,     0,     0,     0,  1399,     0,
    1799,     0,     0,     0,     0,     0,     0,  1235,  1400,  1810,
       0,     0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,  3095,     0,  1800,     0,  3782,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   809,     0,   809,
    2869,   809,  2869,  1484,     0,     0,  1402,  1403,     0,     0,
       0,  1810,     0,     0,  1811,  1812,  1813,     0,  1814,  1815,
    1816,  1817,  1818,  1819,     0,  1235,     0,     0,  3865,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,  1703,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,  1792,     0,     0,     0,  1793,  1794,  1795,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1796,     0,   746,     0,     0,     0,
       0,     0,  1798,     0,     0,     0,   804,     0,  1799,     0,
    1801,     0,   804,     0,     0,  1802,  1405,     0,     0,     0,
       0,     0,     0,   809,     0,     0,     0,     0,     0,     0,
    1235,     0,  1800,     0,     0,  1235,  1803,  1804,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1805,     0,     0,     0,     0,     0,     0,  1235,  1235,
    1235,     0,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,  1235,  1235,  1235,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,  1235,     0,     0,  1235,     0,  1235,
       0,     0,     0,     0,     0,     0,  1807,     0,     0,  1808,
    1235,  1235,     0,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   855,     0,  1235,     0,
    1235,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1387,     0,     0,     0,  1801,     0,
    1388,     0,  1235,  1802,     0,     0,   746,     0,     0,     0,
       0,  2173,     0,  3304,     0,  1235,  1235,  1235,     0,     0,
    1791,     0,     0,  1792,  1803,  1804,     0,  1793,  1794,  1795,
       0,     0,     0,  1235,     0,     0,     0,     0,  1809,  1805,
    1389,     0,     0,     0,  1796,  1235,     0,     0,     0,     0,
    1235,     0,  1798,     0,     0,     0,  1235,     0,  1799,     0,
       0,     0,     0,     0,     0,     0,  3304,     0,     0,  3343,
       0,  1806,  3346,     0,  2697,     0,     0,     0,     0,     0,
       0,     0,  1800,     0,  1807,     0,     0,  1808,     0,     0,
       0,  2251,  1391,     0,     0,     0,     0,     0,     0,  1392,
       0,     0,  1393,     0,     0,     0,  2267,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,  2869,     0,
       0,     0,     0,  1703,     0,  2288,     0,  1394,     0,     0,
       0,  1810,     0,     0,  1811,  1812,  1813,     0,  1814,  1815,
    1816,  1817,  1818,  1819,     0,     0,     0,     0,  3892,   809,
       0,   809,   809,   809,     0,     0,     0,     0,  1395,     0,
       0,     0,     0,     0,     0,     0,  1809,     0,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2362,     0,     0,  1801,     0,
       0,     0,     0,  1802,     0,     0,     0,  1015,  1387,     0,
       0,     0,     0,     0,  1388,     0,     0,     0,     0,  2376,
       0,     0,     0,     0,  1803,  1804,  1396,     0,  1397,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,  1805,
       0,     0,     0,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,     0,  1389,     0,  1400,     0,     0,     0,
       0,     0,     0,  2410,     0,     0,  1015,     0,     0,  1810,
     746,  1806,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,  1360,     0,  1807,     0,  4148,  1808,     0,     0,
       0,   593,     0,     0,  1402,  1403,     0,   639,     0,     0,
       0,     0,     0,     0,     0,     0,  1391,   690,     0,     0,
       0,     0,     0,  1392,     0,  1361,  1393,     0,     0,     0,
       0,  1404,     0,     0,     0,     0,   758,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1791,
       0,  1394,  1792,     0,     0,  1362,  1793,  1794,  1795,     0,
       0,     0,     0,   809,     0,     0,     0,     0,     0,     0,
    2869,  2869,     0,  1796,     0,     0,  1809,     0,     0,     0,
       0,  1798,  1395,  1363,     0,     0,     0,  1799,     0,     0,
       0,     0,     0,     0,  1405,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2569,     0,   746,   746,     0,
       0,  1800,     0,     0,     0,     0,  1364,     0,     0,     0,
       0,     0,     0,   746,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1703,   746,
    1396,     0,  1397,     0,     0,     0,     0,  1703,   746,   746,
       0,  1365,  1398,     0,     0,     0,     0,     0,     0,     0,
    1399,     0,     0,     0,     0,   746,     0,     0,     0,  1810,
    1400,     0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,     0,     0,  1366,   817,  4183,     0,     0,     0,
       0,     0,     0,   857,     0,     0,   861,   862,     0,   865,
       0,     0,   871,     0,   873,  2091,     0,     0,  1402,  1403,
       0,     0,  1367,  1368,     0,     0,     0,  1801,   809,     0,
     809,     0,  1802,     0,   809,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2092,     0,     0,     0,     0,
     804,     0,     0,  1803,  1804,     0,     0,  1369,     0,     0,
     746,    34,     0,     0,     0,  1370,     0,     0,  1805,     0,
       0,     0,  1371,     0,     0,     0,   746,     0,     0,  1372,
       0,     0,     0,     0,     0,     0,     0,  1373,   809,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,  1374,
    1806,     0,     0,     0,  1235,     0,     0,  1375,  1405,     0,
    1235,     0,  1235,  1807,     0,  1235,  1808,     0,     0,     0,
    1235,  1235,  1235,  1235,     0,     0,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,  1235,  1235,  1235,     0,     0,     0,  1235,
    1235,     0,     0,  1791,     0,     0,  1792,     0,     0,  1235,
    1793,  1794,  1795,  1235,     0,     0,     0,  1235,     0,     0,
       0,  1376,     0,     0,     0,  1235,     0,  1796,  1235,     0,
    1235,     0,     0,     0,     0,  1798,     0,     0,     0,  1235,
       0,  1799,  1235,  1235,     0,     0,     0,  1235,  1235,     0,
       0,     0,  3806,     0,  1235,  1809,     0,  2763,     0,     0,
       0,   746,   746,   746,   804,  1800,  3304,  3826,     0,  2778,
       0,  3826,  3840,     0,     0,     0,     0,     0,  1235,     0,
       0,     0,  1387,     0,  1235,  1235,  1235,     0,  1388,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2811,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2697,     0,  1235,     0,     0,     0,  1389,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3898,  1703,  1703,  1810,  2248,
       0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,  1818,
    1819,     0,     0,     0,     0,  4413,     0,   809,   809,   809,
     809,  1801,     0,     0,     0,     0,  1802,     0,     0,     0,
    1391,     0,     0,     0,     0,     0,     0,  1392,     0,     0,
    1393,     0,     0,     0,     0,     0,  2126,  1803,  1804,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3944,     0,  1805,     0,     0,  1394,   931,     0,     0,     0,
       0,     0,     0,  1387,   939,     0,     0,     0,     0,  1388,
       0,   952,     0,     0,   957,   958,     0,     0,     0,   960,
       0,     0,     0,     0,  1806,     0,  1395,     0,     0,     0,
     977,     0,     0,     0,     0,     0,     0,  1807,     0,     0,
    1808,     0,     0,     0,  2989,   986,     0,     0,     0,  1389,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1046,     0,  1050,     0,     0,  1052,     0,  1054,  1791,     0,
    1058,  1792,     0,     0,     0,  1793,  1794,  1795,     0,     0,
    4022,     0,     0,     0,  1396,     0,  1397,     0,     0,     0,
       0,     0,  1796,     0,     0,     0,  1398,     0,     0,     0,
    1798,  1391,     0,     0,  1399,     0,  1799,     0,  1392,     0,
       0,  1393,     0,     0,  1400,     0,     0,     0,     0,  1809,
       0,     0,     0,   746,     0,   809,     0,  1235,     0,     0,
    1800,     0,     0,   746,     0,     0,  1394,     0,  1121,  4057,
       0,     0,     0,     0,     0,     0,     0,     0,  2126,  2806,
       0,     0,  1402,  1403,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1395,   746,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2934,  1404,
       0,     0,     0,     0,     0,     0,  4091,     0,     0,     0,
       0,     0,     0,   758,     0,     0,   746,     0,     0,     0,
    2248,     0,     0,     0,  1235,  1235,     0,     0,     0,     0,
       0,     0,  1810,     0,     0,  1811,  1812,  1813,     0,  1814,
    1815,  1816,  1817,  1818,  1819,  1396,     0,  1397,     0,  4424,
       0,     0,  3156,     0,     0,     0,  1801,  1398,  2869,     0,
    2869,  1802,  1405,     0,     0,  1399,     0,     0,     0,  3168,
     746,     0,     0,  1351,     0,  1400,     0,     0,     0,     0,
    3174,     0,  1803,  1804,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1805,     0,  1791,
    1235,     0,  1792,     0,     0,     0,  1793,  1794,  1795,     0,
    2908,  1235,     0,  1402,  1403,     0,     0,     0,     0,     0,
       0,     0,     0,  1796,  1387,     0,     0,     0,     0,  1806,
    1388,  1798,     0,     0,     0,     0,     0,  1799,  1487,     0,
    2909,  1235,  1807,     0,     0,  1808,     0,     0,     0,     0,
       0,  1235,  1235,  1499,     0,     0,     0,     0,  1235,  1235,
       0,  1800,     0,  1235,     0,  1510,     0,  1511,  1235,     0,
    1389,  1235,  1235,     0,     0,  1514,  1235,  4187,     0,     0,
       0,     0,  1235,   746,   746,   746,   746,  1520,     0,     0,
    3826,  3840,  1529,  3826,     0,  1533,  4198,     0,     0,     0,
    3304,     0,     0,  1405,  3304,     0,     0,     0,     0,     0,
    4213,  1791,     0,     0,  1792,     0,  1235,     0,  1793,  1794,
    1795,  1235,  1391,     0,  1809,     0,     0,  1235,     0,  1392,
    1578,     0,  1393,     0,   855,  1796,     0,     0,     0,     0,
       0,     0,  1235,  1798,  1791,  3343,     0,  1792,     0,  1799,
    2697,  1793,  1794,  1795,     0,     0,     0,  1394,     0,     0,
       0,     0,     0,   680,     0,     0,  1235,  1801,  1796,     0,
       0,     0,  1802,  1800,     0,     0,  1798,     0,     0,     0,
       0,     0,  1799,     0,     0,     0,  2869,  2869,  1395,     0,
       0,     0,     0,  1803,  1804,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2126,     0,  1800,     0,  1805,     0,
       0,     0,     0,  4276,     0,     0,     0,  1810,     0,     0,
    1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,  1818,  1819,
       0,     0,     0,     0,  4433,     0,     0,     0,     0,     0,
    1806,     0,     0,  3386,     0,     0,  1396,     0,  1397,     0,
       0,     0,     0,  1807,  1235,     0,  1808,     0,  1398,     0,
    3398,     0,     0,     0,     0,  1721,  1399,     0,     0,     0,
       0,     0,     0,     0,   809,     0,  1400,     0,     0,  1801,
       0,     0,     0,     0,  1802,     0,     0,     0,     0,   809,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1803,  1804,     0,     0,     0,
       0,  2948,  1801,     0,  1402,  1403,  1235,  1802,     0,     0,
    1805,     0,     0,     0,     0,     0,     0,   804,     0,     0,
       0,     0,  2126,     0,     0,  1809,     0,     0,  1803,  1804,
    1703,  2949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,  1805,  3475,     0,  3477,   809,  3051,     0,
       0,     0,     0,     0,     0,  1807,     0,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1806,   746,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1807,     0,
       0,  1808,     0,     0,  1405,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3522,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,  1810,     0,
       0,  1811,  1812,  1813,  1235,  1814,  1815,  1816,  1817,  1818,
    1819,     0,  3536,   758,  1961,  4436,     0,  1809,     0,     0,
       0,  1235,  1235,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   804,
    3826,     0,     0,     0,  3304,     0,     0,     0,     0,  3304,
    1809,     0,  3304,   804,     0,  2934,     0,  4454,     0,     0,
    1235,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3898,     0,     0,     0,
       0,     0,     0,     0,     0,  2089,     0,     0,     0,  3898,
     855,   809,   809,   809,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2811,     0,     0,     0,     0,     0,
    1810,     0,     0,  1811,  1812,  1813,     0,  1814,  1815,  1816,
    1817,  1818,  1819,     0,     0,     0,     0,  4484,     0,     0,
       0,     0,  1387,   804,   855,  3673,     0,     0,  1388,     0,
       0,     0,     0,  1810,     0,     0,  1811,  1812,  1813,  2177,
    1814,  1815,  1816,  1817,  1818,  1819,  1791,     0,     0,  1792,
    4516,     0,     0,  1793,  1794,  1795,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   804,     0,  1389,   746,
    1796,     0,     0,     0,     0,     0,     0,     0,  1798,  4057,
       0,     0,     0,     0,  1799,   746,     0,  2869,     0,     0,
       0,     0,     0,  2126,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4091,     0,  1800,     0,
       0,     0,     0,     0,     0,     0,     0,   809,   746,  3898,
    1391,     0,     0,     0,     0,     0,     0,  1392,  3730,     0,
    1393,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,  3739,
       0,  1235,     0,  1235,  2292,  1394,     0,     0,     0,     0,
       0,     0,     0,     0,  1791,     0,     0,  1792,     0,     0,
       0,  1793,  1794,  1795,  3762,     0,     0,  1235,     0,     0,
       0,  3304,     0,     0,     0,  4454,  1395,     0,  1796,     0,
       0,     0,  1235,     0,     0,     0,  1798,     0,     0,     0,
       0,  4648,  1799,     0,     0,     0,     0,     0,  1726,     0,
       0,  1235,     0,     0,  1801,     0,     0,     0,     0,  1802,
       0,     0,     0,   809,     0,     0,  1800,   746,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1803,  1804,     0,     0,  1396,     0,  1397,     0,     0,     0,
    1235,     0,  2389,     0,     0,  1805,  1398,   809,   809,   809,
     809,     0,     0,     0,  1399,     0,  2403,     0,     0,  2406,
       0,  2408,     0,  2409,  1400,     0,     0,     0,     0,  2411,
       0,     0,     0,     0,     0,     0,     0,  1806,     0,     0,
       0,     0,     0,     0,   804,     0,     0,     0,     0,     0,
    1807,     0,     0,  1808,     0,     0,     0,     0,     0,  3409,
     746,     0,  1402,  1403,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,  1961,     0,     0,     0,  1961,     0,
    1961,     0,  1801,  1961,     0,     0,     0,  1802,     0,  3410,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,  1803,  1804,
     804,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,  1805,  1235,     0,  1235,     0,  1235,     0,
       0,     0,  1809,     0,     0,  3898,     0,     0,     0,     0,
       0,   809,     0,   855,     0,     0,     0,     0,     0,     0,
       0,     0,  1405,  1235,     0,  1806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1807,     0,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1703,  1703,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   809,     0,     0,     0,     0,     0,   804,     0,     0,
       0,     0,     0,     0,     0,  1810,     0,     0,  1811,  1812,
    1813,     0,  1814,  1815,  1816,  1817,  1818,  1819,     0,     0,
       0,     0,  4554,     0,  1235,  1235,     0,     0,     0,  2934,
    1809,     0,     0,     0,     0,  1235,     0,     0,  4648,     0,
       0,     0,  2697,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   804,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   809,     0,     0,     0,     0,
       0,     0,  1703,     0,  4066,  1791,     0,     0,  1792,     0,
       0,     0,  1793,  1794,  1795,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2126,     0,     0,     0,     0,  1796,
       0,     0,  3898,     0,     0,     0,     0,  1798,   804,   804,
    1235,     0,     0,  1799,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1810,     0,     0,  1811,  1812,  1813,  1235,
    1814,  1815,  1816,  1817,  1818,  1819,   809,  1800,     0,     0,
    4800,  1791,     0,     0,  1792,     0,     0,     0,  1793,  1794,
    1795,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,  1792,     0,  1796,     0,  1793,  1794,  1795,
    2715,  2716,     0,  1798,     0,  2719,  2720,     0,     0,  1799,
    2723,     0,     0,     0,  1796,     0,     0,     0,     0,     0,
       0,     0,  1798,     0,  2734,     0,     0,     0,  1799,     0,
       0,  2743,     0,  1800,     0,  2746,  2747,     0,     0,  2750,
    2751,     0,  1235,  1235,     0,     0,  2756,     0,     0,     0,
       0,     0,  1800,     0,  1791,     0,   804,  1792,  2772,     0,
    2774,  1793,  1794,  1795,     0,     0,     0,     0,   804,   804,
       0,     0,     0,  1801,     0,     0,     0,     0,  1802,  2798,
       0,     0,     0,     0,  2800,     0,  1798,     0,     0,     0,
       0,     0,  1799,     0,  1726,     0,     0,  2805,     0,  1803,
    1804,     0,     0,     0,     0,     0,  2812,     0,  2814,     0,
       0,  2817,  2820,  2822,  1805,     0,  1800,     0,  2830,  2833,
       0,     0,     0,     0,     0,     0,     0,     0,  2846,     0,
       0,     0,     0,  2855,     0,     0,     0,     0,  2859,  1801,
       0,     0,     0,     0,  1802,     0,  1806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1801,  1807,
       0,     0,  1808,  1802,  2894,  1803,  1804,     0,     0,     0,
       0,     0,     0,     0,     0,  2901,     0,  2903,     0,     0,
    1805,     0,  2906,     0,  1803,  1804,  2907,     0,  2911,  2912,
    2913,  2914,     0,  2916,     0,     0,     0,     0,     0,  1805,
       0,     0,     0,     0,     0,     0,  2941,  2942,  2943,     0,
       0,     0,  1806,     0,  4260,     0,  2951,  2952,     0,     0,
       0,     0,  1801,     0,     0,  1807,     0,  1802,  1808,     0,
       0,  1806,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,     0,     0,  1807,  4277,     0,  1808,  1803,  1804,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1805,     0,     0,  4292,     0,  2996,     0,
       0,     0,     0,  1791,     0,     0,  1792,     0,     0,     0,
    1793,  1794,  1795,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1806,     0,  1796,     0,     0,
       0,     0,     0,     0,     0,  1798,     0,  1809,  1807,     0,
       0,  1799,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4319,     0,  1809,     0,     0,     0,
       0,     0,     0,     0,  1810,  1800,     0,  1811,  1812,  1813,
       0,  1814,  1815,  1816,  1817,  1818,  1819,     0,     0,     0,
       0,  4832,     0,     0,     0,     0,  1387,     0,     0,     0,
       0,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
    1809,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1810,     0,  1389,  1811,  1812,  1813,     0,  1814,  1815,  1816,
    1817,  1818,  1819,  4393,     0,     0,     0,  4951,     0,  1810,
       0,  1961,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,     0,     0,     0,  1435,  4969,     0,     0,     0,
       0,  1801,  1791,     0,     0,  1792,  1802,     0,     0,  1793,
    1794,  1795,  3161,     0,  1391,     0,     0,     0,     0,  1726,
       0,  1392,     0,     0,  1393,     0,  1796,  1803,  1804,     0,
    2663,     0,     0,     0,  1798,     0,     0,     0,     0,     0,
    1799,     0,  1805,  1810,     0,     0,  1811,  1812,  1813,  1394,
    1814,  1815,  1816,  1817,  1818,  1819,     0,     0,     0,     0,
       0,     0,     0,     0,  1800,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1806,     0,     0,  1436,     0,     0,
    1395,     0,     0,     0,     0,     0,     0,  1807,     0,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2664,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,  1791,  1438,     0,
    1792,     0,     0,     0,  1793,  1794,  1795,     0,  1439,     0,
    1397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1398,  1796,     0,     0,     0,     0,     0,     0,  1399,  1798,
       0,     0,     0,     0,     0,  1799,     0,  1440,  1400,  1809,
    1801,     0,     0,     0,     0,  1802,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1800,
       0,     0,     0,     0,     0,     0,  1803,  1804,  3324,     0,
       0,     0,     0,  1441,     0,     0,  1402,  1403,  1442,     0,
       0,  1805,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,     0,     0,  1443,     0,     0,   806,   829,     0,     0,
       0,     0,     0,  1806,   829,     0,     0,  1444,     0,     0,
    3361,  3362,     0,     0,     0,   829,  1807,     0,     0,  1808,
       0,     0,  1810,     0,     0,  1811,  1812,  1813,  1961,  1814,
    1815,  1816,  1817,  1818,  1819,     0,     0,  2649,     0,  1726,
       0,     0,  1791,     0,     0,  1792,     0,     0,     0,  1793,
    1794,  1795,     0,  3383,     0,  1801,  1405,     0,     0,     0,
    1802,     0,  3387,     0,     0,     0,  1796,     0,     0,     0,
       0,     0,     0,     0,  1798,     0,     0,  3522,  3399,  3401,
    1799,  1803,  1804,  3401,     0,     0,     0,     0,  3412,  3413,
    3414,     0,  3416,     0,     0,     0,  1805,     0,  1809,     0,
       0,     0,     0,     0,  1800,     0,     0,     0,  1791,     0,
       0,  1792,     0,  3433,     0,  1793,  1794,  1795,     0,     0,
       0,     0,     0,  3439,  3440,  3441,  3442,     0,  1806,     0,
       0,  1726,  1796,     0,     0,  1726,  1726,     0,     0,     0,
    1798,  1807,     0,     0,  1808,     0,  1799,     0,     0,     0,
       0,     0,     0,  2665,     0,     0,     0,     0,     0,     0,
    3459,     0,     0,  3464,  3465,  3466,  3774,     0,     0,     0,
    1800,     0,     0,  3479,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3226,     0,
       0,  1810,     0,  3227,  1811,  1812,  1813,     0,  1814,  1815,
    1816,  1817,  1818,  1819,     0,     0,     0,     0,     0,     0,
    1801,     0,     0,     0,     0,  1802,     0,     0,     0,     0,
       0,     0,     0,  1809,     0,     0,     0,  4748,     0,     0,
       0,     0,     0,     0,     0,     0,  1803,  1804,     0,  3775,
       0,     0,     0,     0,  3530,     0,     0,     0,     0,     0,
       0,  1805,  3534,  4912,     0,     0,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3546,     0,     0,     0,     0,  1801,     0,     0,     0,
       0,  1802,     0,  1806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1807,  3589,     0,  1808,
       0,     0,  1803,  1804,   191,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1810,  1805,   192,  1811,
    1812,  1813,     0,  1814,  1815,  1816,  1817,  1818,  1819,     0,
       0,     0,     0,     0,     0,     0,   193,     0,     0,     0,
       0,  3626,   194,     0,     0,  3631,     0,     0,     0,  1806,
       0,     0,     0,     0,   806,     0,     0,     0,   195,     0,
       0,     0,  1807,     0,     0,  1808,   829,     0,     0,   196,
       0,   829,     0,     0,  3669,     0,     0,   197,  1809,     0,
       0,     0,   829,     0,     0,  4913,     0,     0,     0,   198,
       0,     0,     0,     0,   199,     0,     0,     0,   829,     0,
     200,     0,     0,   806,  3682,     0,     0,     0,     0,  1029,
       0,     0,     0,   806,   829,     0,     0,   201,  3692,     0,
     829,     0,  3694,     0,     0,     0,     0,     0,     0,     0,
    1029,   829,     0,  1961,     0,     0,     0,     0,     0,   829,
       0,     0,   202,     0,  1809,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,  1810,     0,     0,  1811,  1812,  1813,     0,  1814,  1815,
    1816,  1817,  1818,  1819,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   205,     0,   806,   806,
       0,     0,     0,     0,   829,     0,   206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1810,     0,     0,
    1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,  1818,  1819,
     806,     0,     0,   207,     0,     0,     0,     0,   208,     0,
     209,     0,     0,     0,     0,     0,   210,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,  1792,     0,     0,     0,  1793,  1794,  1795,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
       0,   214,     0,     0,  1796,   215,     0,  3185,     0,     0,
       0,     0,  1798,     0,   216,     0,     0,     0,  1799,   217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1800,     0,   219,     0,     0,     0,     0,  1791,
       0,     0,  1792,     0,     0,     0,  1793,  1794,  1795,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1796,     0,     0,     0,  3909,     0,  3910,
       0,  1798,     0,     0,     0,     0,  3912,  1799,   806,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,   806,
       0,     0,     0,  3922,     0,     0,     0,     0,     0,     0,
       0,  1800,     0,     0,     0,  1029,     0,     0,     0,  3930,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,  3943,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,  3947,     0,  1802,     0,     0,     0,     0,     0,     0,
       0,  3956,     0,     0,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,  1803,  1804,     0,     0,     0,     0,
       0,     0,  3980,     0,     0,     0,     0,     0,     0,  1805,
       0,     0,     0,  3988,  3989,  3990,     0,     0,  3993,  3994,
    3995,  3996,  3997,  3998,     0,     0,  1029,     0,  4005,  4006,
       0,  4008,  4009,  4010,  4011,  4012,  4013,  1801,  4015,     0,
       0,  1806,  1802,     0,     0,     0,     0,  4023,     0,  4025,
    4026,     0,     0,     0,  1807,     0,     0,  1808,     0,     0,
       0,   829,     0,  1803,  1804,     0,     0,     0,     0,     0,
       0,     0,  3401,     0,     0,     0,     0,     0,  1805,     0,
       0,   829,     0,     0,     0,   806,     0,     0,     0,     0,
       0,  4045,     0,   829,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   829,     0,  1807,     0,     0,  1808,     0,     0,     0,
    1029,     0,   829,     0,     0,     0,  1809,     0,     0,     0,
       0,     0,  3199,     0,     0,     0,  1791,   829,     0,  1792,
     829,     0,     0,  1793,  1794,  1795,     0,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,     0,     0,
    1796,     0,     0,  3231,     0,     0,     0,     0,  1798,     0,
       0,     0,     0,     0,  1799,     0,     0,     0,  3401,     0,
       0,   806,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,     0,     0,  1800,     0,
       0,     0,     0,     0,     0,     0,  1961,  1961,  1961,   806,
     806,   806,     0,   806,     0,     0,     0,     0,  4133,  1810,
       0,     0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,     0,   806,     0,     0,  1387,     0,     0,     0,
       0,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,     0,   829,   829,     0,     0,     0,
       0,     0,     0,     0,   806,  1946,     0,     0,     0,     0,
       0,     0,  1389,     0,     0,     0,     0,     0,  1810,     0,
       0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,  1818,
    1819,     0,     0,   806,  1801,     0,     0,   806,   806,  1802,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1029,     0,     0,     0,     0,     0,  1946,
    1803,  1804,     0,     0,  1391,     0,     0,     0,     0,     0,
       0,  1392,     0,     0,  1393,  1805,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1394,
       0,     0,     0,     0,     0,     0,     0,  1806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
    1807,     0,     0,  1808,     0,     0,     0,     0,     0,     0,
    1395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1791,     0,     0,  1792,     0,     0,     0,  1793,
    1794,  1795,     0,     0,     0,  1029,     0,  4263,     0,     0,
       0,  4264,  4265,  4266,  4267,     0,  1796,  4269,     0,     0,
       0,     0,     0,     0,  1798,     0,     0,     0,     0,     0,
    1799,     0,     0,     0,     0,     0,     0,     0,  1396,     0,
    1397,  4283,  4284,  4285,     0,  4286,     0,  4288,  4289,     0,
    1398,     0,  1809,     0,  1800,     0,     0,     0,  1399,  4298,
    4299,     0,     0,     0,     0,   829,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4307,     0,     0,     0,     0,  1029,     0,  1961,  1961,     0,
    1961,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,     0,  4315,  3460,     0,     0,  1402,  1403,  1029,     0,
       0,     0,     0,     0,  1946,     0,     0,     0,     0,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3461,     0,   829,     0,     0,     0,   829,
       0,     0,     0,  3236,     0,  1810,     0,     0,  1811,  1812,
    1813,   829,  1814,  1815,  1816,  1817,  1818,  1819,     0,     0,
    1801,     0,  4361,     0,     0,  1802,  1029,     0,     0,     0,
       0,     0,     0,   806,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,  4380,     0,   806,  1803,  1804,     0,     0,
       0,  1029,     0,     0,     0,     0,  1405,     0,     0,     0,
       0,  1805,     0,  1029,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4404,     0,     0,     0,     0,     0,     0,
       0,     0,   806,     0,   829,   829,     0,     0,     0,     0,
       0,     0,     0,  1806,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,     0,     0,  1807,  1029,     0,  1808,
    1029,     0,   829,   829,     0,     0,     0,   808,   810,     0,
       0,   814,     0,   816,   829,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   874,     0,     0,     0,  1961,     0,     0,
       0,     0,     0,     0,     0,     0,   806,     0,     0,     0,
       0,     0,  1961,     0,     0,     0,     0,     0,     0,  1791,
       0,     0,  1792,     0,     0,     0,  1793,  1794,  1795,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,     0,
     806,     0,   806,  1796,     0,     0,  3242,   806,   806,     0,
       0,  1798,     0,     0,   806,   806,   806,  1799,     0,     0,
     806,     0,   806,   806,   806,   806,   806,   806,     0,   806,
       0,   806,   806,     0,     0,   806,     0,     0,     0,     0,
    4506,  1800,     0,     0,     0,     0,     0,     0,     0,  1029,
     806,   806,   806,   806,  1946,     0,     0,     0,   806,     0,
       0,  4515,   806,     0,     0,   806,  4520,  4521,   806,   806,
     806,   806,   806,   806,   806,   806,   806,     0,   806,     0,
       0,     0,     0,     0,     0,   806,     0,   806,     0,     0,
       0,  1810,     0,     0,  1811,  1812,  1813,     0,  1814,  1815,
    1816,  1817,  1818,  1819,     0,     0,     0,     0,     0,     0,
       0,  4573,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,  1792,     0,     0,     0,  1793,  1794,  1795,
       0,     0,     0,     0,     0,     0,     0,  1801,     0,     0,
       0,     0,  1802,     0,  1796,     0,     0,  3401,     0,     0,
       0,     0,  1798,     0,  4614,     0,     0,     0,  1799,     0,
       0,     0,     0,  1803,  1804,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1805,     0,
       0,     0,  1800,     0,     0,     0,     0,     0,     0,  1961,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1961,     0,     0,     0,     0,   806,     0,     0,     0,     0,
    1806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4650,  1807,     0,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4667,     0,     0,     0,
       0,     0,     0,     0,  1029,  4674,     0,     0,  1029,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,   829,     0,
       0,     0,  1946,   829,     0,     0,  1961,   829,     0,     0,
       0,     0,     0,     0,     0,   829,   933,     0,  1801,     0,
     936,     0,     0,  1802,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   829,     0,  1809,   806,     0,   961,     0,
       0,     0,     0,     0,  1803,  1804,     0,   806,     0,     0,
       0,  1029,     0,     0,   806,     0,     0,     0,     0,  1805,
       0,     0,     0,  1029,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   829,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3401,
       0,  1806,     0,     0,   829,   829,     0,     0,     0,     0,
       0,     0,     0,  1029,  1807,     0,     0,  1808,     0,     0,
       0,  1961,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1946,   829,     0,  1810,  1946,
       0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,  1818,
    1819,     0,     0,     0,     0,     0,  4789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   829,     0,
       0,  4801,   829,     0,     0,  1791,     0,     0,  1792,     0,
       0,     0,  1793,  1794,  1795,     0,     0,     0,     0,     0,
     829,     0,     0,     0,     0,     0,  1809,     0,     0,  1796,
       0,   829,  3781,     0,     0,     0,     0,  1798,  4823,     0,
       0,     0,     0,  1799,   829,     0,     0,     0,     0,     0,
       0,     0,   829,     0,     0,  3727,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,  1029,     0,
       0,     0,     0,     0,     0,     0,  1946,     0,     0,  4871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1810,
       0,     0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,     0,     0,     0,     0,     0,  1416,  1417,     0,
       0,     0,     0,     0,     0,  4889,     0,     0,     0,     0,
    1791,     0,     0,  1792,     0,     0,     0,  1793,  1794,  1795,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
       0,     0,   829,  1801,  1796,     0,     0,     0,  1802,     0,
       0,   806,  1798,     0,     0,     0,     0,     0,  1799,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1803,
    1804,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1800,     0,  1805,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   829,     0,     0,     0,     0,   806,
       0,     0,     0,     0,  1540,  1541,  1806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1807,
       0,     0,  1808,     0,     0,  1574,     0,     0,     0,     0,
     829,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1029,     0,   829,     0,
       0,     0,     0,     0,     0,     0,   829,   831,     0,     0,
     806,     0,     0,  1029,   831,     0,   806,     0,     0,     0,
       0,     0,     0,     0,  1029,   831,     0,     0,  1801,     0,
       0,     0,     0,  1802,   806,     0,     0,     0,     0,   806,
       0,     0,     0,     0,     0,     0,  1642,  1644,     0,     0,
       0,  1809,     0,     0,  1803,  1804,     0,     0,     0,     0,
       0,     0,   806,   806,   806,     0,     0,   806,     0,  1805,
       0,     0,     0,     0,     0,   806,   806,   806,   806,     0,
       0,     0,     0,  1946,     0,     0,     0,     0,   806,  1946,
       0,   806,     0,   806,     0,     0,     0,     0,     0,     0,
       0,  1806,     0,     0,   806,   806,     0,     0,   806,     0,
       0,     0,     0,     0,  1807,     0,     0,  1808,     0,     0,
       0,     0,   806,     0,   806,     0,   806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1810,     0,   806,  1811,  1812,  1813,
       0,  1814,  1815,  1816,  1817,  1818,  1819,   806,     0,   806,
     806,   806,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   829,     0,     0,   806,     0,     0,
       0,     0,     0,     0,  1791,     0,     0,  1792,     0,   806,
       0,  1793,  1794,  1795,   806,     0,  1809,     0,     0,     0,
     806,     0,     0,     0,     0,     0,     0,     0,  1796,     0,
     806,     0,     0,     0,     0,     0,  1798,     0,     0,     0,
       0,     0,  1799,     0,     0,     0,  1029,     0,     0,  1029,
       0,  1029,     0,     0,     0,     0,  1029,     0,   829,     0,
       0,     0,     0,     0,     0,     0,  1800,     0,     0,     0,
       0,     0,     0,     0,   829,   829,     0,     0,     0,     0,
     806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   829,     0,     0,   829,     0,     0,  1029,     0,  1810,
       0,     0,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,     0,     0,  1029,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1801,     0,     0,     0,     0,  1802,     0,     0,
       0,     0,     0,     0,  1946,  1946,  1946,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   831,     0,  1803,  1804,
       0,   831,     0,     0,     0,     0,     0,     0,   829,     0,
       0,     0,   831,  1805,     0,     0,     0,     0,  1029,     0,
    1029,   829,     0,  1946,  2147,     0,   829,     0,   831,     0,
       0,     0,     0,     0,     0,     0,   829,     0,     0,     0,
    1791,     0,     0,  1792,   831,  1806,     0,  1793,  1794,  1795,
     831,     0,     0,     0,     0,     0,     0,     0,  1807,     0,
       0,   831,     0,     0,     0,     0,     0,     0,     0,   831,
       0,     0,  1798,     0,     0,     0,     0,     0,  1799,     0,
       0,  1029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2218,  2219,  2220,  2221,     0,     0,     0,     0,     0,
     829,     0,  1800,     0,     0,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1029,  2257,  2258,     0,     0,     0,  1946,  1029,
    1809,     0,  2270,     0,     0,   829,     0,   829,     0,     0,
       0,     0,  2282,     0,   831,     0,     0,     0,     0,   829,
       0,   829,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2318,  2319,  2320,  2321,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1801,     0,
       0,     0,     0,  1802,     0,   829,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,  1810, -2415, -2415,  1811,  1812,  1813,     0,
    1814,  1815,  1816,  1817,  1818,  1819,     0,     0,     0,  1805,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   829,     0,     0,  2404,     0,     0,  2407,     0,
       0, -2415,     0,     0,   806,     0,     0,   829,  2412,     0,
       0,     0,     0,     0,  1807,     0,     0,  2420,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   829,
       0,     0,   829,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,  1029,     0,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,   806,     0,   806,     0,     0,   806,
       0,     0,     0,  1029,   806,   806,   806,   806,     0,     0,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
       0,     0,     0,   806,   806,     0,  1809,     0,  1029,     0,
       0,     0,     0,   806,  1387,     0,     0,   806,     0,  1946,
    1388,   806,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,   806,     0,   806,     0,     0,     0,     0,     0,
       0,     0,  1029,   806,     0,  1434,   806,   806,     0,     0,
       0,   806,   806,     0,     0,     0,  2579,     0,   806,     0,
    1389,     0,     0,     0,     0,     0,     0,     0,   806,     0,
     806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,   806,   806,
     806,     0,     0,  1435,     0,     0,     0,     0,     0,  1810,
       0,   831,  1811,  1812,  1813,     0,  1814,  1815,  1816,  1817,
    1818,  1819,  1391,     0,     0,   806,     0,     0,     0,  1392,
       0,   831,  1393,     0,     0,     0,     0,     0,   806,     0,
       0,     0,     0,   831,  1029,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1394,   556,   806,
       0,   891,     0,   557,     0,     0,     0,     0,     0,     0,
       0,   831,     0,     0,     0,   558,     0,     0,     0,     0,
       0,     0,   831,     0,     0,  1436,     0,     0,  1395,     0,
       0,   829,     0,     0,   892,     0,   559,   831,     0,     0,
     831,     0,     0,     0,     0,     0,     0,   893,   894,   560,
       0,     0,     0,     0,     0,     0,     0,   895,     0,   561,
       0,   896,     0,  -784,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,  1438,  1946,     0,   897,
       0,   562,  1946,  1029,  1946,     0,  1439,   563,  1397,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
       0,   898,     0,   564,     0,     0,  1399,     0,     0,     0,
       0,     0,   899,     0,   565,  1440,  1400,     0,     0,     0,
     900,     0,   566,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   901,     0,   567,     0,   829,   902,     0,   829,
       0,   568,     0,     0,     0,   569,     0,     0,     0,     0,
       0,  2895,     0,     0,  1402,  1403,  1442,   831,     0,     0,
     903,     0,  -988,     0,     0,   831,   831,     0,     0,     0,
       0,     0,     0,     0,     0,  1948,     0,     0,  2761,  2762,
       0,  2896,     0,     0,     0,   904,     0,  2773,     0,  2775,
       0,     0,     0,  2779,     0,  1444,     0,     0,     0,   570,
       0,   806,     0,     0,     0,     0,   905,     0,  -524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   829,   829,     0,     0,  1029,  1948,
       0,     0,     0,     0,     0,     0,     0,   829,   906,   829,
     571,     0,     0,   572,  1405,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,   573,     0,     0,     0,     0,     0,     0,     0,   206,
       0,     0,     0,     0,     0,     0,     0,  1029,   806,   806,
    -418,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,   574,     0,
       0,   909,  2900,   910,     0,   575,     0,     0,     0,   911,
       0,  -418,   912,     0,   576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   829,     0,     0,     0,     0,     0,     0,
       0,   913,     0,  -418,   914,     0,   577,   578,   915,   579,
     580,     0,     0,     0,   806,   916,     0,   917,  2961,   581,
       0,     0,   918,     0,   582,   806,  2970,     0,  2972,     0,
     583,     0,     0,   584,  2974,     0,   585,   605,     0,     0,
       0,     0,   606,     0,     0,   831,     0,   919,     0,  -418,
       0,     0,     0,     0,   607,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   806,   806,     0,  1029,     0,
       0,     0,   806,   806,     0,   608,     0,   806,  1029,     0,
       0,     0,   806,     0,     0,   806,   806,     0,   609,     0,
     806,     0,     0,     0,  1948,     0,   806,     0,     0,     0,
       0,     0,   610,     0,     0,     0,  3049,     0,     0,     0,
       0,     0,     0,     0,   806,   831,     0,     0,   806,   831,
     611,     0,     0,     0,     0,     0,     0,     0,   834,     0,
     806,   831,     0,     0,     0,   806,     0,   864,     0,     0,
       0,   806,   612,     0,     0,     0,   879,     0,     0,     0,
       0,     0,     0,   613,     0,     0,   806,     0,     0,     0,
       0,   614,  3110,     0,  3112,     0,     0,     0,     0,     0,
       0,     0,     0,   615,     0,     0,     0,     0,   616,     0,
     806,     0,     0,     0,   617,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
       0,   618,     0,     0,   831,   831,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   829,     0,   831,     0,     0,
    1946,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,   831,   831,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   831,   829,     0,   619,     0,     0,
    1029,     0,     0,     0,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,  1946,  1029,  3176,     0,   806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   829,   620,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     621,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     622,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
     206,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     806,     0,     0,     0,     0,     0,     0,   623,     0,     0,
       0,   806,   624,     0,   625,     0,     0,     0,     0,     0,
     626,     0,     0,   627,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   628,     0,     0,   629,     0,     0,     0,   630,
       0,     0,     0,     0,     0,  1029,   631,  1029,   632,     0,
       0,     0,     0,   633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   634,     0,     0,     0,     0,
       0,     0,     0,   829,     0,     0,     0,     0,   635,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,     0,  1029,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   806,   806,     0,     0,   806,
       0,     0,     0,     0,     0,     0,   888,     0,     0,     0,
       0,     0,   928,   806,     0,     0,     0,     0,   806,     0,
       0,     0,     0,   806,     0,     0,   806,   806,     0,     0,
       0,     0,     0,     0,   806,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     806,     0,     0,     0,     0,     0,     0,   829,     0,   829,
       0,     0,  3389,   806,  3390,  3391,  3392,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1029,   829,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   831,     0,
       0,     0,  1948,   831,     0,     0,     0,   831,     0,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,     0,
       0,     0,     0,     0,  1946,     0,     0,     0,     0,     0,
     806,     0,     0,   831,     0,     0,  1120,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1242,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   831,     0,     0,     0,
    1265,     0,     0,   806,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,   831,   831,     0,     0,     0,     0,
       0,     0,  1291,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   806,  1029,     0,   806,     0,   806,     0,     0,
       0,     0,     0,     0,     0,  1948,   831,     0,     0,  1948,
       0,     0,     0,     0,     0,     0,  3537,     0,     0,     0,
       0,   806,     0,     0,     0,   806,     0,     0,     0,     0,
       0,  1029,     0,     0,     0,     0,   806,     0,   831,     0,
       0,     0,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1415,     0,   806,     0,     0,     0,     0,
     831,  1218,  1218,     0,     0,     0,     0,     0,     0,     0,
       0,   831,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,     0,     0,     0,   831,  1029,     0,     0,     0,  1029,
    1029,     0,   831,  1281,   806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     829,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1028,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,     0,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1538,   806,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3690,     0,  3691,     0,     0,     0,  3693,     0,     0,
    1029,  1029,  1568,  1571,  1572,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,     0,   806,     0,     0,     0,     0,     0,
       0,     0,   831,   806,     0,     0,     0,     0,   806,     0,
     806,     0,   806,     0,     0,     0,     0,     0,     0,   806,
       0,  3724,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1946,     0,
     829,     0,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,   806,     0,     0,     0,     0,     0,     0,     0,     0,
    1242,     0,     0,     0,     0,     0,     0,     0,   831,     0,
       0,     0,     0,     0,     0,     0,   831,     0,   806,   806,
       0,     0,     0,     0,     0,     0,  1242,     0,     0,   806,
       0,     0,     0,     0,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,   806,     0,  1028,  1948,
       0,     0,   806,   806,   806,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   806,     0,     0,     0,     0,     0,     0,
    3915,  3916,  3917,  3918,     0,   829,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,  1748,     0,     0,     0,     0,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   831,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,  1762,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   806,   806,     0,  1999,
       0,     0,  1946,     0,     0,     0,     0,     0,     0,     0,
     806,     0,  1780,  1781,  1782,     0,  1784,     0,     0,     0,
       0,  1946,   806,   806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1826,     0,   831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   831,   831,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2120,     0,     0,     0,  1863,     0,     0,
       0,   831,  2143,  1028,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4044,     0,
       0,     0,     0,     0,     0,     0,  1968,     0,     0,  2178,
    1980,  1983,     0,     0,     0,     0,     0,  2184,     0,     0,
    2187,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2222,     0,     0,     0,
       0,     0,     0,     0,  1948,  1948,  1948,     0,     0,     0,
    2237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2249,     0,     0,     0,     0,   831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   831,     0,  1948,     0,     0,   831,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   831,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
       0,     0,  2300,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
       0,     0,     0,  2334,     0,     0,     0,     0,     0,     0,
    2346,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,  2017,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1948,     0,
       0,     0,     0,     0,     0,   831,     0,   831,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1027,   831,
       0,   831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2017,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2424,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,     0,
    1242,  1242,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   831,  1028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1028,     0,     0,     0,     0,     0,   831,
       0,  2017,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2628,     0,     0,     0,     0,     0,
    1018,     0,     0,     0,  2643,     0,     0,  4312,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1018,  4316,     0,     0,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2510,     0,  1028,     0,     0,     0,     0,     0,     0,  1948,
       0,     0,     0,  2530,  1028,  2532,     0,     0,  2544,  2547,
    2552,     0,  1847,     0,     0,  2558,  1028,     0,  2563,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2570,  2571,  2572,  2573,     0,     0,     0,
    4369,  2580,     0,     0,     0,  2592,     0,     0,  2594,     0,
       0,  2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,
    1028,  2610,     0,  1028,     0,     0,     0,     0,  1218,     0,
    2638,  2654,     0,  2657,     0,  1027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1242,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,     0,  1027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,  1020,     0,     0,  1281,     0,
       0,     0,     0,     0,  4489,  4491,  4491,  1948,     0,     0,
       0,     0,  1948,     0,  1948,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2641,     0,     0,     0,     0,     0,  1018,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1018,  1027,     0,     0,
       0,     0,  2836,     0,     0,     0,   831,     0,     0,   831,
    1018,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,  2863,     0,     0,     0,     0,     0,     0,     0,
       0,  1027,     0,     0,     0,     0,     0,     0,     0,  2748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1027,     0,
    4598,     0,     0,     0,     0,     0,     0,  1018,     0,     0,
       0,  1027,     0,     0,   831,   831,     0,     0,     0,     0,
       0,     0,     0,  1027,     0,     0,     0,   831,     0,   831,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2700,     0,     0,
       0,  2017,  2706,     0,     0,     0,  3021,     0,     0,  1027,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4661,     0,     0,     0,
       0,  1018,     0,     0,     0,     0,     0,     0,     0,     0,
    1020,     0,     0,   831,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
    1020,  4685,     0,  4687,     0,     0,  1028,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2988,     0,     0,     0,     0,     0,  1028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1020,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3160,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1018,     0,     0,     0,     0,     0,
       0,     0,  3128,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1020,     0,     0,     0,     0,
       0,  1028,     0,     0,  4828,   831,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,  1018,
       0,     0,     0,     0,     0,     0,     0,   831,     0,     0,
       0,     0,     0,     0,  1948,     0,     0,     0,     0,     0,
    3287,     0,     0,     0,     0,     0,     0,  3181,   831,     0,
       0,  2017,  3187,     0,     0,     0,  1018,     0,  4876,     0,
       0,  1021,     0,     0,     0,     0,  1027,     0,     0,     0,
    1027,  1027,     0,     0,     0,     0,     0,  1784,     0,     0,
       0,     0,  1021,     0,     0,     0,     0,     0,  2552,     0,
    2552,  2552,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3245,     0,     0,  3248,     0,  3250,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4925,
       0,     0,     0,  1027,     0,  3268,  1018,  3271,     0,  3273,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,  1018,     0,     0,     0,     0,     0,     0,     0,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1028,
    1018,     0,  2638,  2638,  2638,     0,     0,     0,  1020,     0,
       0,     0,     0,     0,     0,  1027,  1028,     0,     0,     0,
    3321,     0,     0,   831,     0,     0,     0,  1028,     0,     0,
       0,     0,  1968,     0,     0,     0,     0,  3332,     0,     0,
       0,     0,     0,  1983,     0,     0,     0,  1018,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1018,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1018,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1018,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3369,     0,     0,     0,     0,     0,     0,
    1020,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3483,     0,     0,   831,  1018,   831,
       0,  1018,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2641,  2641,  2641,     0,     0,     0,   831,     0,
    1027,     0,     0,     0,     0,     0,     0,  1021,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1020,     0,     0,     0,     0,     0,     0,  1021,     0,     0,
       0,     0,     0,     0,     0,  1020,     0,     0,     0,     0,
       0,  1021,     0,  1020,  1948,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,     0,     0,     0,  2017,
       0,     0,  2706,     0,  2706,     0,     0,     0,     0,  2017,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3592,  3593,     0,     0,     0,     0,     0,     0,     0,
    1018,     0,     0,     0,     0,     0,     0,  3602,     0,     0,
       0,  1020,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3619,  1020,     0,     0,     0,  1021,     0,
    1028,     0,  3628,  3630,     0,     0,  1020,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1028,  1020,  3648,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2017,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1020,     0,     0,  1020,     0,     0,  1027,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,     0,  1948,
       0,     0,  1021,     0,     0,     0,     0,     0,     0,     0,
       0,  1028,     0,  1028,     0,     0,     0,     0,     0,     0,
    1242,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,     0,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1018,     0,     0,     0,  1018,
    1018,     0,     0,     0,  1020,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2706,     0,     0,     0,     0,
       0,     0,  2706,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3814,  3815,  3816,     0,     0,
       0,     0,  1018,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,  3728,     0,  1018,     0,     0,     0,     0,     0,
       0,  3732,     0,     0,     0,     0,     0,  3733,     0,  3734,
       0,  1024,     0,     0,     0,     0,     0,     0,  1948,     0,
     831,  1028,     0,     0,     0,     0,     0,     0,  1027,     0,
       0,  1027,     0,  1027,  1018,  1021,  3758,  3759,  1027,  2706,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,  2558,     0,     0,     0,     0,     0,
       0,     0,  3784,     0,     0,  3787,     0,  3789,     0,     0,
       0,     0,     0,     0,     0,     0,  3793,     0,     0,     0,
       0,     0,     0,     0,  3800,  3801,     0,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,  1027,   831,     0,     0,
       0,     0,     0,     0,     0,  3845,     0,     0,     0,     0,
       0,  3852,  3853,  2638,     0,     0,     0,     0,     0,     0,
       0,  1027,     0,     0,     0,     0,     0,  1021,     0,  1020,
       0,     0,     0,  1020,  1020,     0,     0,     0,  3868,     0,
       0,     0,     0,     0,  1023,  1028,     0,     0,     0,     0,
       0,  1281,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,  1028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1023,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,  1028,  1027,     0,     0,   831,  1020,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1021,  1020,  1948,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1021,     0,     0,  1028,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,     0,     0,     0,  4042,  1020,  1018,
       0,     0,     0,  1027,     0,  1023,     0,  4052,     0,     0,
       0,     0,     0,     0,     0,     0,  1024,     0,     0,     0,
       0,     0,  1948,  2641,     0,     0,     0,     0,  1027,     0,
       0,     0,     0,     0,     0,     0,  1024,     0,  1021,     0,
       0,  1948,  4073,     0,     0,     0,     0,     0,     0,     0,
    1024,  1021,     0,     0,  1027,     0,     0,     0,     0,     0,
       0,  1027,     0,  1021,     0,     0,     0,  2017,     0,     0,
    2346,     0,     0,     0,     0,  1021,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,     0,     0,     0,     0,     0,     0,  1018,     0,  1021,
    1027,     0,  1021,     0,  2424,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,  1018,     0,     0,     0,  1027,     0,
       0,     0,     0,     0,     0,  1018,     0,     0,     0,     0,
       0,  1027,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2706,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4105,  4106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,  4190,  4191,  4192,
    4193,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,  1027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,     0,  4146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1028,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4166,  4168,
       0,     0,     0,     0,  1027,  4172,  4173,     0,     0,     0,
    4174,  1020,     0,     0,     0,  4177,     0,  1018,  4180,  4181,
    1018,     0,  1018,  4185,     0,     0,     0,  1018,  1020,  4189,
    2017,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2638,     0,     0,     0,     0,  2638,     0,
       0,     0,     0,     0,  2638,     0,     0,     0,  1018,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,     0,  1218,
       0,     0,     0,     0,     0,  1018,  1027,     0,     0,     0,
       0,     0,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,  4244,     0,     0,     0,     0,     0,     0,
    1018,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1021,     0,     0,     0,
    1021,  1021,     0,     0,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1028,     0,     0,  1023,     0,     0,  1026,     0,  1024,
       0,  1028,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,  1018,
       0,  1018,     0,     0,     0,  1027,     0,     0,  1023,     0,
       0,  4304,     0,  1021,     0,     0,  1024,     0,     0,     0,
    4395,     0,     0,     0,     0,  1021,     0,     0,     0,     0,
       0,     0,     0,  2641,     0,     0,     0,     0,  2641,     0,
       0,     0,     0,     0,  2641,     0,     0,     0,     0,     0,
       0,  1020,     0,     0,  1020,  1023,  1020,     0,     0,     0,
       0,  1020,  1018,     0,     0,  1021,     0,     0,  1023,     0,
       0,     0,     0,  4338,     0,     0,     0,     0,     0,     0,
    1023,     0,     0,     0,     0,     0,     0,  1018,     0,     0,
       0,     0,  1023,     0,     0,     0,  1024,     0,     0,     0,
       0,  1028,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1024,  1020,  1018,     0,     0,     0,     0,     0,  1024,
    1018,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
    1024,     0,  1028,     0,     0,     0,  1023,     0,     0,  1023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,  1028,  1020,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2706,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,     0,     0,     0,     0,     0,  1018,     0,  1027,
       0,     0,  1024,     0,     0,     0,     0,     0,  4430,  4431,
    1018,  1028,  4432,     0,  1024,     0,     0,     0,     0,     0,
    1021,     0,     0,  1020,     0,  1020,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1026,  4552,     0,     0,     0,  4466,  4467,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1024,  1242,
       0,  1024,  1026,     0,     0,     0,     0,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1020,     0,     0,     0,
    1021,     0,  4599,     0,     0,     0,     0,     0,  4391,     0,
    1028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1020,     0,  1018,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,     0,  1018,     0,     0,  1020,     0,     0,
    1027,     0,     0,     0,  1020,     0,  1028,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,     0,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,     0,  1018,     0,     0,     0,     0,     0,     0,
       0,  4664,     0,  1020,     0,     0,     0,     0,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1020,     0,     0,     0,  1021,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,  1021,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2558,     0,
       0,     0,     0,     0,     0,     0,     0,  1026,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2706,     0,     0,     0,  4632,     0,     0,     0,     0,     0,
       0,     0,     0,  1023,  4732,  1018,     0,  1023,  1023,  1784,
       0,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1281,     0,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1020,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4682,     0,     0,
    1023,     0,     0,     0,     0,     0,     0,     0,  1020,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,  2706,     0,
       0,     0,     0,  1020,  1018,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,  1024,  1028,     0,     0,  1024,
    1024,     0,  4733,     0,     0,     0,     0,  1020,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1021,     0,
       0,  1021,     0,  1021,  1028,     0,     0,     0,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1027,
    1026,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,  4466,     0,     0,     0,     0,
       0,     0,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,  1021,
    4790,     0,  1028,  1028,     0,  1027,     0,     0,     0,  1020,
       0,     0,     0,     0,     0,     0,  1021,     0,     0,     0,
       0,     0,     0,     0,  1024,  1026,     0,     0,     0,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,  1026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1018,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4850,  4850,  4391,  1028,     0,     0,     0,     0,     0,
       0,     0,  4466,     0,     0,     0,     0,     0,  1020,     0,
    1021,     0,  1021,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1026,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,  1021,     0,     0,  1026,  4850,     0,  1024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4921,     0,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1018,
       0,     0,     0,  1026,  1021,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,     0,     0,  1026,  1027,     0,     0,
       0,     0,     0,     0,     0,  1023,     0,     0,  1026,  1024,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
    1026,     0,  1023,     0,     0,  1027,     0,     0,     0,     0,
       0,     0,     0,  1023,     0,     0,     0,     0,     0,  4850,
    4962,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1020,  1027,  1026,     0,     0,  1026,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
       0,  1027,  1027,     0,     0,     0,     0,  1024,     0,     0,
    1018,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,  1018,     0,     0,     0,  1024,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1018,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,  1020,     0,  1021,     0,     0,     0,  1018,
       0,     0,     0,  1027,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,  1023,     0,     0,  1023,     0,
    1023,     0,     0,     0,     0,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1023,     0,  1018,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1023,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1023,     0,
       0,     0,     0,     0,  1018,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,  1021,  1024,     0,     0,
    1024,     0,  1024,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,  1020,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1020,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,  1023,
    1821,  1026,     0,     0,     0,  1026,  1026,     0,  1024,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,  1024,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1021,     0,     0,     0,     0,
    1024,     0,     0,     0,     0,     0,     0,     0,  1018,     0,
    1023,     0,     0,  1821,     0,     0,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1023,  1020,     0,     0,     0,     0,     0,  1023,  1024,
    1026,  1024,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1020,     0,
       0,     0,     0,     0,     0,     0,  1018,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,  1018,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1018,  1024,     0,     0,     0,     0,     0,  1021,
    1024,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,  1020,     0,     0,     0,  1018,     0,     0,     0,
    1018,  1018,     0,     0,     0,     0,     0,     0,     0,  1024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1023,     0,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,  1018,     0,     0,     0,     0,     0,     0,     0,
    1020,  1023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1020,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1024,  1821,  1020,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1024,
    1026,     0,     0,  1023,     0,     0,     0,     0,     0,     0,
       0,  1026,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1020,     0,     0,  1024,  1020,  1020,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1821,  1021,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1821,     0,     0,     0,  2540,     0,
       0,     0,  1021,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,  1821,  1821,     0,  1821,  1021,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1024,  1020,     0,  1821,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,  1026,     0,  1026,  1021,
       0,     0,     0,  1026,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1021,     0,     0,     0,     0,
    1821,     0,     0,     0,  1026,     0,     0,     0,     0,     0,
       0,     0,  1821,     0,     0,  1821,     0,     0,     0,     0,
       0,  1026,     0,     0,     0,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,  1026,     0,  1021,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1024,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1021,     0,  1026,
       0,     0,     0,     0,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1021,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1024,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,  1024,
       0,     0,     0,  1021,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1026,     0,     0,     0,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,     0,     0,     0,     0,     0,     0,  1021,     0,     0,
       0,  1021,  1021,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,     0,  1021,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,  1024,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,     0,  1821,     0,     0,  2540,  2540,     0,
    3222,     0,  2540,     0,     0,     0,  1821,     0,     0,  1821,
       0,     0,     0,     0,  1821,     0,     0,     0,     0,     0,
    1821,     0,     0,     0,     0,  1821,     0,     0,     0,     0,
       0,  1026,  1821,  1821,  1821,  1821,     0,     0,  1024,  2540,
    2540,     0,  1821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1821,     0,  1821,     0,     0,     0,
       0,     0,     0,  1821,  1821,  1821,  1821,  1821,  1821,  1821,
    1821,  1821,  1821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1024,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1024,     0,
    1821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1023,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,  1024,     0,  1023,  1023,
       0,     0,     0,     0,  1026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1023,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1024,     0,     0,     0,
    1024,  1024,     0,     0,     0,     0,     0,     0,     0,     0,
    1821,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
    1821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1026,     0,     0,
       0,     0,     0,  1821,     0,     0,     0,     0,     0,  1821,
       0,     0,  1026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3222,  3222,     0,     0,  2540,
    2540,  2540,  2540,     0,     0,  2540,  2540,  2540,  2540,  2540,
    2540,  2540,  2540,  2540,  2540,  3222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,     0,     0,
    1821,     0,  1821,     0,     0,  3222,  3222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1821,  2540,  2540,  1821,     0,  1821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1821,  1026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1026,  1821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2540,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1026,     0,     0,     0,  1026,  1026,     0,     0,
    1821,     0,     0,     0,  1821,  1821,  1821,     0,     0,     0,
       0,     0,  3222,  3222,  3222,  3222,     0,     0,     0,     0,
    3222,  3222,  3222,  3222,  3222,  3222,  3222,  3222,  3222,  3222,
    1821,  1821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1821,     0,     0,  1821,
       0,  1821,     0,     0,     0,  1821,     0,     0,  3222,  3222,
       0,     0,  1821,  1821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,  1821,  1821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,  1821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,     0,
       0,     0,     0,  1821,  2540,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,     0,
    1821,     0,     0,     0,  1821,  1821,  1821,     0,     0,  1821,
       0,     0,  1821,  1821,     0,     0,     0,  1821,     0,     0,
       0,  1821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3222,  2540,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,  1821,  1821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,  1821,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   779,  1136,
     600,  1137,  1138,  1139,   654,  1140,     0,     0,     0,     0,
       0,     0,  1821,   223,   224,   225,   226,   227,   228,   229,
     230,  2632,   232,   233,   234,     0,     0,     0,     0,  1141,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,  1142,   781,  1143,  1144,     0,   246,   247,   248,
     249,   250,  1145,  1146,   251,   252,  1147,  1148,   255,     0,
     256,   257,   258,   259,  1149,     0,  1150,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,  1821,   784,   274,   275,   276,  1151,  1152,
    1153,  1154,  1155,  1156,  1157,   277,   278,   279,   280,   281,
     282,  1158,  1159,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,  2633,     0,   296,
     297,   999,   299,   300,  1821,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1160,   312,   313,
     314,  1161,  1162,   316,     0,   317,   318,  1163,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1164,     0,  1165,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1166,  1167,     0,  1168,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1169,
     793,   363,   794,     0,   364,   365,   366,  1170,  1171,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1172,   795,  1173,   385,   386,
     387,  1174,   388,   389,   796,   390,  1175,  1176,   392,  1177,
     394,   395,   396,     0,   397,     0,     0,  1178,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1179,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1180,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1181,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1182,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1183,   464,   465,   466,   467,   468,   800,
     469,   470,  1184,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1185,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,  1186,
    1187,     0,     0,   495,   496,  1188,   498,  1189,  1190,   500,
     501,   502,   503,   504,   505,   506,     0,  1191,   507,   508,
     509,   510,   511,  1192,     0,   512,   513,   514,   515,   516,
     517,  1193,  2634,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,
     541,   542,  1202,     0,     0,     0,     0,     0,     0,  1203,
    1204,  2635,     0,     0,     0,     0,     0,     0,  1206,  2636,
     779,  1136,   600,  1137,  1138,  1139,   654,  1140,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,  1141,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1142,   781,  1143,  1144,     0,   246,
     247,   248,   249,   250,  1145,  1146,   251,   252,  1147,  1148,
     255,     0,   256,   257,   258,   259,  1149,     0,  1150,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,   278,   279,
     280,   281,   282,  1158,  1159,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   999,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1160,
     312,   313,   314,  1161,  1162,   316,     0,   317,   318,  1163,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,  1164,     0,  1165,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1166,  1167,     0,  1168,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,  1169,   793,   363,   794,     0,   364,   365,   366,  1170,
    1171,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1172,   795,  1173,
     385,   386,   387,  1174,   388,   389,   796,   390,  1175,  1176,
     392,  1177,   394,   395,   396,     0,   397,     0,     0,  1178,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1179,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1180,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1181,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    1182,   451,   452,   453,   454,   455,   456,   457,   458,    39,
     459,   460,   461,   462,   463,  1183,   464,   465,   466,   467,
     468,   800,   469,   470,  1184,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1185,     0,
     485,   486,    43,   487,   801,   488,   489,   490,   491,   492,
       0,  1186,  1187,     0,     0,   495,   496,  1188,   498,  1189,
    1190,   500,   501,   502,   503,   504,   505,   506,     0,  1191,
     507,   508,   509,   510,   511,  1192,     0,   512,   513,   514,
     515,   516,  1072,  1193,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,    48,   525,   526,   527,   528,
     529,   530,   531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,   540,   541,   542,  1202,     0,    49,     0,     0,     0,
       0,  1203,  1204,     0,     0,     0,     0,     0,     0,     0,
    1206,  4644,   779,  1136,   600,  1137,  1138,  1139,   654,  1140,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1141,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1142,   781,  1143,  1144,
       0,   246,   247,   248,   249,   250,  1145,  1146,   251,   252,
    1147,  1148,   255,     0,   256,   257,   258,   259,  1149,     0,
    1150,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,
     278,   279,   280,   281,   282,  1158,  1159,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   999,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1160,   312,   313,   314,  1161,  1162,   316,     0,   317,
     318,  1163,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1164,     0,  1165,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1166,  1167,     0,  1168,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1169,   793,   363,   794,     0,   364,   365,
     366,  1170,  1171,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1172,
     795,  1173,   385,   386,   387,  1174,   388,   389,   796,   390,
    1175,  1176,   392,  1177,   394,   395,   396,     0,   397,     0,
       0,  1178,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1179,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1180,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1181,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  1182,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1183,   464,   465,
     466,   467,   468,   800,   469,   470,  1184,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1185,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1186,  1187,     0,     0,   495,   496,  1188,
     498,  1189,  1190,   500,   501,   502,   503,   504,   505,   506,
       0,  1191,   507,   508,   509,   510,   511,  1192,     0,   512,
     513,   514,   515,   516,   517,  1193,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1194,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,   540,   541,   542,  1202,     0,     0,     0,
       0,     0,     0,  1203,  1204,     0,     0,     0,     0,     0,
       0,     0,  1206,  2542,   779,  1136,   600,  1137,  1138,  1139,
     654,  1140,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,  1141,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1142,   781,
    1143,  1144,     0,   246,   247,   248,   249,   250,  1145,  1146,
     251,   252,  1147,  1148,   255,     0,   256,   257,   258,   259,
    1149,     0,  1150,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1151,  1152,  1153,  1154,  1155,  1156,
    1157,   277,   278,   279,   280,   281,   282,  1158,  1159,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   999,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1160,   312,   313,   314,  1161,  1162,   316,
       0,   317,   318,  1163,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1164,     0,  1165,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1166,  1167,     0,
    1168,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1169,   793,   363,   794,     0,
     364,   365,   366,  1170,  1171,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1172,   795,  1173,   385,   386,   387,  1174,   388,   389,
     796,   390,  1175,  1176,   392,  1177,   394,   395,   396,     0,
     397,     0,     0,  1178,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1179,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1180,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1181,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  1182,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1183,
     464,   465,   466,   467,   468,   800,   469,   470,  1184,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1185,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,  1186,  1187,     0,     0,   495,
     496,  1188,   498,  1189,  1190,   500,   501,   502,   503,   504,
     505,   506,     0,  1191,   507,   508,   509,   510,   511,  1192,
       0,   512,   513,   514,   515,   516,   517,  1193,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1194,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   540,   541,   542,  1202,     0,
       0,     0,     0,     0,     0,  1203,  1204,     0,     0,     0,
       0,     0,     0,     0,  1206,  3736,   779,  1136,   600,  1137,
    1138,  1139,   654,  1140,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1141,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
    1142,   781,  1143,  1144,     0,   246,   247,   248,   249,   250,
    1145,  1146,   251,   252,  1147,  1148,   255,     0,   256,   257,
     258,   259,  1149,     0,  1150,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1151,  1152,  1153,  1154,
    1155,  1156,  1157,   277,   278,   279,   280,   281,   282,  1158,
    1159,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   999,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1160,   312,   313,   314,  1161,
    1162,   316,     0,   317,   318,  1163,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1164,
       0,  1165,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1166,
    1167,     0,  1168,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,  1169,   793,   363,
     794,     0,   364,   365,   366,  1170,  1171,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1172,   795,  1173,   385,   386,   387,  1174,
     388,   389,   796,   390,  1175,  1176,   392,  1177,   394,   395,
     396,     0,   397,     0,     0,  1178,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1179,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1180,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1181,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  1182,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1183,   464,   465,   466,   467,   468,   800,   469,   470,
    1184,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1185,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1186,  1187,     0,
       0,   495,   496,  1188,   498,  1189,  1190,   500,   501,   502,
     503,   504,   505,   506,     0,  1191,   507,   508,   509,   510,
     511,  1192,     0,   512,   513,   514,   515,   516,   517,  1193,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1194,
    1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,   541,   542,
    1202,     0,     0,   222,     0,     0,     0,  1203,  1204,     0,
       0,     0,     0,     0,     0,     0,  1206,  3807,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,  3823,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0, -1597,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
   -1597,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
   -1597,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355, -1597,   356,   357,   358,   359,
     360,     0,     0,   361,   362, -1597,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383, -1597,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446, -1597,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,     0,     0,     0,
     991,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1288,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,     0,   992,   781,   993,   994,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   995,   996,
     255,     0,   256,   257,   258,   259,     0,     0,   782,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
       0,     0,     0,   785,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   997,   998,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   999,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,     0,
     312,   313,   314,     0,     0,   316,     0,   317,   318,  1000,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,     0,     0,     0,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,  2003,   339,
     340,   341,   342,   343,   344,     0,   345,   789,  2004,   347,
     348,   349,   350,  1002,  1003,     0,  1004,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,     0,   793,   363,   794,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1005,   795,  1006,
     385,   386,     0,     0,   388,   389,   796,   390,     0,     0,
     392,  1007,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,  2006,   797,   403,   798,     0,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,     0,   416,     0,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1008,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
       0,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,  2007,   467,
     468,   800,   469,   470,  1010,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     0,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1011,  1012,     0,     0,   495,   496,     0,   498,     0,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,     0,  1013,  2008,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   991,     0,     0,     0,     0,     0,     0,     0,
       0,   540,   541,   542,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,  2114,     0,     0,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,     0,   992,   781,   993,   994,
       0,   246,   247,   248,   249,   250,     0,     0,   251,   252,
     995,   996,   255,     0,   256,   257,   258,   259,     0,     0,
     782,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,     0,     0,     0,   785,     0,     0,     0,   277,
     278,   279,   280,   281,   282,   997,   998,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   999,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,     0,   312,   313,   314,     0,     0,   316,     0,   317,
     318,  1000,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,     0,     0,     0,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
    2003,   339,   340,   341,   342,   343,   344,     0,   345,   789,
    2004,   347,   348,   349,   350,  1002,  1003,     0,  1004,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,     0,   793,   363,   794,     0,   364,   365,
     366,     0,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1005,
     795,  1006,   385,   386,     0,     0,   388,   389,   796,   390,
       0,     0,   392,  1007,   394,   395,   396,     0,   397,     0,
       0,   398,   399,   400,     0,     0,   401,  2006,   797,   403,
     798,     0,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,     0,   416,     0,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1008,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,     0,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,     0,   464,   465,
    2007,   467,   468,   800,   469,   470,  1010,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       0,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1011,  1012,     0,     0,   495,   496,     0,
     498,     0,     0,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,     0,   512,
     513,   514,   515,   516,     0,  1013,  2008,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   779,  1136,   600,  1137,  1138,  1139,
     654,  1140,     0,   540,   541,   542,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,  3063,     0,  1141,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1142,   781,
    1143,  1144,     0,   246,   247,   248,   249,   250,  1145,  1146,
     251,   252,  1147,  1148,   255,     0,   256,   257,   258,   259,
    1149,     0,  1150,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1151,  1152,  1153,  1154,  1155,  1156,
    1157,   277,   278,   279,   280,   281,   282,  1158,  1159,   285,
    1280,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   999,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1160,   312,   313,   314,  1161,  1162,   316,
       0,   317,   318,  1163,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1164,     0,  1165,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1166,  1167,     0,
    1168,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1169,   793,   363,   794,     0,
     364,   365,   366,  1170,  1171,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1172,   795,  1173,   385,   386,   387,  1174,   388,   389,
     796,   390,  1175,  1176,   392,  1177,   394,   395,   396,     0,
     397,     0,     0,  1178,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1179,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1180,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1181,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  1182,   451,   452,   453,   454,   455,
     456,   457,   458,    39,   459,   460,   461,   462,   463,  1183,
     464,   465,   466,   467,   468,   800,   469,   470,  1184,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1185,     0,   485,   486,    43,   487,   801,   488,
     489,   490,   491,   492,     0,  1186,  1187,     0,     0,   495,
     496,  1188,   498,  1189,  1190,   500,   501,   502,   503,   504,
     505,   506,     0,  1191,   507,   508,   509,   510,   511,  1192,
       0,   512,   513,   514,   515,   516,  1072,  1193,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,    48,
     525,   526,   527,   528,   529,   530,   531,  1194,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   540,   541,   542,  1202,     0,
      49,     0,     0,     0,     0,  1203,  1204,     0,     0,     0,
       0,     0,     0,     0,  1206,   779,  1136,   600,  1137,  1138,
    1139,   654,  1140,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,  1141,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,  1142,
     781,  1143,  1144,     0,   246,   247,   248,   249,   250,  1145,
    1146,   251,   252,  1147,  1148,   255,     0,   256,   257,   258,
     259,  1149,     0,  1150,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1151,  1152,  1153,  1154,  1155,
    1156,  1157,   277,   278,   279,   280,   281,   282,  1158,  1159,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   999,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,  1160,   312,   313,   314,  1161,  1162,
     316,     0,   317,   318,  1163,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1164,     0,
    1165,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,  1166,  1167,
       0,  1168,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1169,   793,   363,   794,
       0,   364,   365,   366,  1170,  1171,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1172,   795,  1173,   385,   386,   387,  1174,   388,
     389,   796,   390,  1175,  1176,   392,  1177,   394,   395,   396,
       0,   397,     0,     0,  1178,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1179,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1180,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1181,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,  1182,   451,   452,   453,   454,
     455,   456,   457,   458,    39,   459,   460,   461,   462,   463,
    1183,   464,   465,   466,   467,   468,   800,   469,   470,  1184,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1185,     0,   485,   486,    43,   487,   801,
     488,   489,   490,   491,   492,     0,  1186,  1187,     0,     0,
     495,   496,  1188,   498,  1189,  1190,   500,   501,   502,   503,
     504,   505,   506,     0,  1191,   507,   508,   509,   510,   511,
    1192,     0,   512,   513,   514,   515,   516,  1072,  1193,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
      48,   525,   526,   527,   528,   529,   530,   531,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   540,   541,   542,  1202,
       0,    49,     0,     0,     0,     0,  1203,  1204,     0,     0,
       0,     0,     0,     0,     0,  1206,   779,  1136,   600,  1137,
    1138,  1139,   654,  1140,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1141,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
    1142,   781,  1143,  1144,  2548,   246,   247,   248,   249,   250,
    1145,  1146,   251,   252,  1147,  1148,   255,     0,   256,   257,
     258,   259,  1149,     0,  1150,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1151,  1152,  1153,  1154,
    1155,  1156,  1157,   277,   278,   279,   280,   281,   282,  1158,
    1159,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   999,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1160,   312,   313,   314,  1161,
    1162,   316,     0,   317,   318,  1163,   320,     0,   321,     0,
     322,   786,  2549,   787,   323,   324,   325,     0,   326,  1164,
       0,  1165,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1166,
    1167,     0,  1168,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,  2550,   361,  1169,   793,   363,
     794,     0,   364,   365,   366,  1170,  1171,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1172,   795,  1173,   385,   386,   387,  1174,
     388,   389,   796,   390,  1175,  1176,   392,  1177,   394,   395,
     396,     0,   397,     0,     0,  1178,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1179,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1180,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1181,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  1182,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1183,   464,   465,   466,   467,   468,   800,   469,   470,
    1184,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1185,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1186,  1187,     0,
    2551,   495,   496,  1188,   498,  1189,  1190,   500,   501,   502,
     503,   504,   505,   506,     0,  1191,   507,   508,   509,   510,
     511,  1192,     0,   512,   513,   514,   515,   516,   517,  1193,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1194,
    1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,   541,   542,
    1202,     0,     0,     0,     0,     0,     0,  1203,  1204,     0,
       0,     0,     0,     0,     0,     0,  1206,   779,  1136,   600,
    1137,  1138,  1139,   654,  1140,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1141,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1142,   781,  1143,  1144,     0,   246,   247,   248,   249,
     250,  1145,  1146,   251,   252,  1147,  1148,   255,     0,   256,
     257,   258,   259,  1149,     0,  1150,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1151,  1152,  1153,
    1154,  1155,  1156,  1157,   277,   278,   279,   280,   281,   282,
    1158,  1159,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     999,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1160,   312,   313,   314,
    1161,  1162,   316,     0,   317,   318,  1163,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1164,     0,  1165,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1166,  1167,     0,  1168,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1169,   793,
     363,   794,     0,   364,   365,   366,  1170,  1171,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1172,   795,  1173,   385,   386,   387,
    1174,   388,   389,   796,   390,  1175,  1176,   392,  1177,   394,
     395,   396,     0,   397,     0,     0,  1178,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1179,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1180,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1181,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  1182,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1183,   464,   465,   466,   467,   468,   800,   469,
     470,  1184,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1185,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1186,  1187,
       0,     0,   495,   496,  1188,   498,  1189,  1190,   500,   501,
     502,   503,   504,   505,   506,     0,  1191,   507,   508,   509,
     510,   511,  1192,     0,   512,   513,   514,   515,   516,   517,
    1193,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,   541,
     542,  1202,     0,     0,     0,     0,     0,     0,  1203,  1204,
       0,     0,     0,     0,     0,  1745,  2503,  1206,   779,  1136,
     600,  1137,  1138,  1139,   654,  1140,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,  1141,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,  1142,   781,  1143,  1144,     0,   246,   247,   248,
     249,   250,  1145,  1146,   251,   252,  1147,  1148,   255,     0,
     256,   257,   258,   259,  1149,     0,  1150,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1151,  1152,
    1153,  1154,  1155,  1156,  1157,   277,   278,   279,   280,   281,
     282,  1158,  1159,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   999,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1160,   312,   313,
     314,  1161,  1162,   316,     0,   317,   318,  1163,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1164,     0,  1165,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1166,  1167,     0,  1168,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1169,
     793,   363,   794,     0,   364,   365,   366,  1170,  1171,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1172,   795,  1173,   385,   386,
     387,  1174,   388,   389,   796,   390,  1175,  1176,   392,  1177,
     394,   395,   396,     0,   397,     0,     0,  1178,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1179,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1180,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1181,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1182,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1183,   464,   465,   466,   467,   468,   800,
     469,   470,  1184,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1185,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,  1186,
    1187,     0,     0,   495,   496,  1188,   498,  1189,  1190,   500,
     501,   502,   503,   504,   505,   506,     0,  1191,   507,   508,
     509,   510,   511,  1192,     0,   512,   513,   514,   515,   516,
     517,  1193,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,
     541,   542,  1202,     0,     0,     0,     0,     0,     0,  1203,
    1204,  1205,     0,     0,     0,     0,     0,     0,  1206,   779,
    1136,   600,  1137,  1138,  1139,   654,  1140,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1141,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,  1142,   781,  1143,  1144,     0,   246,   247,
     248,   249,   250,  1145,  1146,   251,   252,  1147,  1148,   255,
       0,   256,   257,   258,   259,  1149,     0,  1150,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1151,
    1152,  1153,  1154,  1155,  1156,  1157,   277,   278,   279,   280,
     281,   282,  1158,  1159,   285,  1280,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   999,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,  1160,   312,
     313,   314,  1161,  1162,   316,     0,   317,   318,  1163,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1164,     0,  1165,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1166,  1167,     0,  1168,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1169,   793,   363,   794,     0,   364,   365,   366,  1170,  1171,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1172,   795,  1173,   385,
     386,   387,  1174,   388,   389,   796,   390,  1175,  1176,   392,
    1177,   394,   395,   396,     0,   397,     0,     0,  1178,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1179,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1180,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1181,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1182,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1183,   464,   465,   466,   467,   468,
     800,   469,   470,  1184,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1185,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1186,  1187,     0,     0,   495,   496,  1188,   498,  1189,  1190,
     500,   501,   502,   503,   504,   505,   506,     0,  1191,   507,
     508,   509,   510,   511,  1192,     0,   512,   513,   514,   515,
     516,   517,  1193,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     540,   541,   542,  1202,     0,     0,     0,     0,     0,     0,
    1203,  1204,     0,     0,     0,     0,     0,     0,     0,  1206,
     779,  1136,   600,  1137,  1138,  1139,   654,  1140,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,  1978,   232,   233,   234,     0,     0,     0,
       0,  1141,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1142,   781,  1143,  1144,     0,   246,
     247,   248,   249,   250,  1145,  1146,   251,   252,  1147,  1148,
     255,     0,   256,   257,   258,   259,  1149,     0,  1150,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,   278,   279,
     280,   281,   282,  1158,  1159,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   999,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1160,
     312,   313,   314,  1161,  1162,   316,     0,   317,   318,  1163,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,  1164,     0,  1165,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1166,  1167,     0,  1168,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,  1169,   793,   363,   794,     0,   364,   365,   366,  1170,
    1171,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1172,   795,  1173,
     385,   386,   387,  1174,   388,   389,   796,   390,  1175,  1176,
     392,  1177,   394,   395,   396,     0,   397,     0,     0,  1178,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1179,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1180,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1181,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    1182,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,  1183,   464,   465,   466,   467,
     468,   800,   469,   470,  1184,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1185,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1186,  1187,     0,     0,   495,   496,  1188,   498,  1189,
    1190,   500,   501,   502,   503,   504,   505,   506,     0,  1191,
     507,   508,   509,   510,   511,  1192,     0,   512,   513,   514,
     515,   516,   517,  1193,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,   540,   541,   542,  1202,     0,     0,     0,     0,     0,
       0,  1203,  1204,     0,     0,     0,     0,     0,     0,     0,
    1206,   779,  1136,   600,  1137,  1138,  1139,   654,  1140,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1141,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1142,   781,  1143,  1144,     0,
     246,   247,   248,   249,   250,  1145,  1146,   251,   252,  1147,
    1148,   255,     0,   256,   257,   258,   259,  1149,     0,  1150,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,   278,
     279,   280,   281,   282,  1158,  1159,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   999,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1160,   312,   313,   314,  1161,  1162,   316,     0,   317,   318,
    1163,   320,     0,   321,     0,   322,   786,  2549,   787,   323,
     324,   325,     0,   326,  1164,     0,  1165,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1166,  1167,     0,  1168,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1169,   793,   363,   794,     0,   364,   365,   366,
    1170,  1171,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1172,   795,
    1173,   385,   386,   387,  1174,   388,   389,   796,   390,  1175,
    1176,   392,  1177,   394,   395,   396,     0,   397,     0,     0,
    1178,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1179,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1180,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1181,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  1182,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1183,   464,   465,   466,
     467,   468,   800,   469,   470,  1184,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1185,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1186,  1187,     0,     0,   495,   496,  1188,   498,
    1189,  1190,   500,   501,   502,   503,   504,   505,   506,     0,
    1191,   507,   508,   509,   510,   511,  1192,     0,   512,   513,
     514,   515,   516,   517,  1193,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   540,   541,   542,  1202,     0,     0,     0,     0,
       0,     0,  1203,  1204,     0,     0,     0,     0,     0,     0,
       0,  1206,   779,  1136,   600,  1137,  1138,  1139,   654,  1140,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1141,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1142,   781,  1143,  1144,
       0,   246,   247,   248,   249,   250,  1145,  1146,   251,   252,
    1147,  1148,   255,     0,   256,   257,   258,   259,  1149,     0,
    1150,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,
     278,   279,   280,   281,   282,  1158,  1159,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   999,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1160,   312,   313,   314,  1161,  1162,   316,     0,   317,
     318,  1163,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1164,     0,  1165,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1166,  1167,     0,  1168,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1169,   793,   363,   794,     0,   364,   365,
     366,  1170,  1171,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1172,
     795,  1173,   385,   386,   387,  1174,   388,   389,   796,   390,
    1175,  1176,   392,  1177,   394,   395,   396,     0,   397,     0,
       0,  1178,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1179,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1180,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1181,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  1182,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1183,   464,   465,
     466,   467,   468,   800,   469,   470,  1184,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1185,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1186,  1187,     0,     0,   495,   496,  1188,
     498,  1189,  1190,   500,   501,   502,   503,   504,   505,   506,
       0,  1191,   507,   508,   509,   510,   511,  1192,     0,   512,
     513,   514,   515,   516,   517,  1193,  3854,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1194,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,   540,   541,   542,  1202,     0,     0,     0,
       0,     0,     0,  1203,  1204,     0,     0,     0,     0,     0,
       0,     0,  1206,   779,  1136,   600,  1137,  1138,  1139,   654,
    1140,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1141,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,  1142,   781,  1143,
    1144,     0,   246,   247,   248,   249,   250,  1145,  1146,   251,
     252,  1147,  1148,   255,     0,   256,   257,   258,   259,  1149,
       0,  1150,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,
     277,   278,   279,   280,   281,   282,  1158,  1159,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   999,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1160,   312,   313,   314,  1161,  1162,   316,     0,
     317,   318,  1163,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1164,     0,  1165,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1166,  1167,     0,  1168,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1169,   793,   363,   794,     0,   364,
     365,   366,  1170,  1171,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1172,   795,  1173,   385,   386,   387,  1174,   388,   389,   796,
     390,  1175,  1176,   392,  1177,   394,   395,   396,     0,   397,
       0,     0,  1178,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1179,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1180,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1181,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  1182,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1183,   464,
     465,   466,   467,   468,   800,   469,   470,  1184,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1185,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1186,  1187,     0,     0,   495,   496,
    1188,   498,  1189,  1190,   500,   501,   502,   503,   504,   505,
     506,     0,  1191,   507,   508,   509,   510,   511,  1192,     0,
     512,   513,   514,   515,   516,   517,  1193,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,   540,   541,   542,  1202,     0,     0,
       0,     0,     0,     0,  1203,  1204,     0,     0,     0,     0,
       0,     0,     0,  1206,   779,  1136,   600,  1137,  1138,  1139,
     654,  1140,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,  1141,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1142,   781,
    1143,  1144,     0,   246,   247,   248,   249,   250,  1145,  1146,
     251,   252,  1147,  1148,   255,     0,   256,   257,   258,   259,
    1149,     0,  1150,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,  3867,  1151,  1152,  1153,  1154,  1155,  1156,
    1157,   277,   278,   279,   280,   281,   282,  1158,  1159,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   999,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1160,   312,   313,   314,  1161,  1162,   316,
       0,   317,   318,  1163,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1164,     0,  1165,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1166,  1167,     0,
    1168,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1169,   793,   363,   794,     0,
     364,   365,   366,  1170,  1171,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1172,   795,  1173,   385,   386,   387,  1174,   388,   389,
     796,   390,  1175,  1176,   392,  1177,   394,   395,   396,     0,
     397,     0,     0,  1178,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1179,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1180,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1181,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  1182,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1183,
     464,   465,   466,   467,   468,   800,   469,   470,  1184,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1185,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,  1186,  1187,     0,     0,   495,
     496,  1188,   498,  1189,  1190,   500,   501,   502,   503,   504,
     505,   506,     0,  1191,   507,   508,   509,   510,   511,  1192,
       0,   512,   513,   514,   515,   516,   517,  1193,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1194,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   540,   541,   542,  1202,     0,
       0,     0,     0,     0,     0,  1203,  1204,     0,     0,     0,
       0,     0,     0,     0,  1206,   779,  1136,   600,  1137,  1138,
    1139,   654,  1140,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,  1141,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,  1142,
     781,  1143,  1144,     0,   246,   247,   248,   249,   250,  1145,
    1146,   251,   252,  1147,  1148,   255,     0,   256,   257,   258,
     259,  1149,     0,  1150,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1151,  1152,  1153,  1154,  1155,
    1156,  1157,   277,   278,   279,   280,   281,   282,  1158,  1159,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   999,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,  1160,   312,   313,   314,  1161,  1162,
     316,     0,   317,   318,  1163,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1164,     0,
    1165,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,  1166,  1167,
       0,  1168,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1169,   793,   363,   794,
       0,   364,   365,   366,  1170,  1171,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1172,   795,  1173,   385,   386,   387,  1174,   388,
     389,   796,   390,  1175,  1176,   392,  1177,   394,   395,   396,
       0,   397,     0,     0,  1178,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1179,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1180,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1181,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,  1182,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
    1183,   464,   465,   466,   467,   468,   800,   469,   470,  1184,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1185,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1186,  1187,     0,     0,
     495,   496,  1188,   498,  1189,  1190,   500,   501,   502,   503,
     504,   505,   506,     0,  1191,   507,   508,   509,   510,   511,
    1192,     0,   512,   513,   514,   515,   516,   517,  1193,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,  4158,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   540,   541,   542,  1202,
       0,     0,     0,     0,     0,     0,  1203,  1204,     0,     0,
       0,     0,     0,     0,     0,  1206,   779,  1136,   600,  1137,
    1138,  1139,   654,  1140,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1141,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
    1142,   781,  1143,  1144,     0,   246,   247,   248,   249,   250,
    1145,  1146,   251,   252,  1147,  1148,   255,     0,   256,   257,
     258,   259,  1149,     0,  1150,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1151,  1152,  1153,  1154,
    1155,  1156,  1157,   277,   278,   279,   280,   281,   282,  1158,
    1159,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   999,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1160,   312,   313,   314,  1161,
    1162,   316,     0,   317,   318,  1163,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1164,
       0,  1165,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1166,
    1167,     0,  1168,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,  1169,   793,   363,
     794,     0,   364,   365,   366,  1170,  1171,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1172,   795,  1173,   385,  4167,   387,  1174,
     388,   389,   796,   390,  1175,  1176,   392,  1177,   394,   395,
     396,     0,   397,     0,     0,  1178,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1179,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1180,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1181,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  1182,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1183,   464,   465,   466,   467,   468,   800,   469,   470,
    1184,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1185,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1186,  1187,     0,
       0,   495,   496,  1188,   498,  1189,  1190,   500,   501,   502,
     503,   504,   505,   506,     0,  1191,   507,   508,   509,   510,
     511,  1192,     0,   512,   513,   514,   515,   516,   517,  1193,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1194,
    1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,   541,   542,
    1202,     0,     0,     0,     0,     0,     0,  1203,  1204,     0,
       0,     0,     0,     0,     0,     0,  1206,   779,  1136,   600,
    1137,  1138,  1139,   654,  1140,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1141,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1142,   781,  1143,  1144,     0,   246,   247,   248,   249,
     250,  1145,  1146,   251,   252,  1147,  1148,   255,     0,   256,
     257,   258,   259,  1149,     0,  1150,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,  4456,   276,  1151,  1152,  1153,
    1154,  1155,  1156,  1157,   277,   278,   279,   280,   281,   282,
    1158,  1159,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     999,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1160,   312,   313,   314,
    1161,  1162,   316,     0,   317,   318,  1163,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1164,     0,  4457,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1166,  1167,     0,  1168,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1169,   793,
     363,   794,     0,   364,   365,   366,  1170,  1171,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1172,   795,  1173,   385,   386,   387,
    1174,   388,   389,   796,   390,  1175,  1176,   392,  1177,   394,
     395,   396,     0,   397,     0,     0,  1178,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1179,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1180,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1181,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,  4458,  1182,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1183,   464,   465,   466,   467,   468,   800,   469,
     470,  1184,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1185,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1186,  1187,
       0,     0,   495,   496,  1188,   498,  1189,  1190,   500,   501,
     502,   503,   504,   505,   506,     0,  1191,   507,   508,   509,
     510,   511,  1192,     0,   512,   513,   514,   515,   516,   517,
    1193,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,   541,
     542,  1202,     0,     0,     0,     0,     0,     0,  1203,  1204,
       0,     0,     0,     0,     0,     0,     0,  4459,   779,  1136,
     600,  1137,  1138,  1139,   654,  1140,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,  1141,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,  4847,  1142,   781,  1143,  1144,     0,   246,   247,   248,
     249,   250,  1145,  1146,   251,   252,  1147,  1148,   255,     0,
     256,   257,   258,   259,  1149,     0,  1150,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,  4848,  1151,  1152,
    1153,  1154,  1155,  1156,  1157,   277,   278,   279,   280,   281,
     282,  1158,  1159,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   999,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1160,   312,   313,
     314,  1161,  1162,   316,     0,   317,   318,  1163,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1164,     0,  1165,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1166,  1167,     0,  1168,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1169,
     793,   363,   794,     0,   364,   365,   366,  1170,  1171,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1172,   795,  1173,   385,   386,
     387,  1174,   388,   389,   796,   390,  1175,  1176,   392,  1177,
     394,   395,   396,     0,   397,     0,     0,  1178,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1179,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1180,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1181,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1182,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1183,   464,   465,   466,   467,   468,   800,
     469,   470,  1184,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1185,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,  1186,
    1187,     0,     0,   495,   496,  1188,   498,  1189,  1190,   500,
     501,   502,   503,  4849,   505,   506,     0,  1191,   507,   508,
     509,   510,   511,  1192,     0,   512,   513,   514,   515,   516,
     517,  1193,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,
     541,   542,  1202,     0,     0,     0,     0,     0,     0,  1203,
    1204,     0,     0,     0,     0,     0,     0,     0,  1206,   779,
    1136,   600,  1137,  1138,  1139,   654,  1140,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1141,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,  1142,   781,  1143,  1144,     0,   246,   247,
     248,   249,   250,  1145,  1146,   251,   252,  1147,  1148,   255,
       0,   256,   257,   258,   259,  1149,     0,  1150,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,  4848,  1151,
    1152,  1153,  1154,  1155,  1156,  1157,   277,   278,   279,   280,
     281,   282,  1158,  1159,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   999,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,  1160,   312,
     313,   314,  1161,  1162,   316,     0,   317,   318,  1163,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1164,     0,  1165,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1166,  1167,     0,  1168,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1169,   793,   363,   794,     0,   364,   365,   366,  1170,  1171,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1172,   795,  1173,   385,
     386,   387,  1174,   388,   389,   796,   390,  1175,  1176,   392,
    1177,   394,   395,   396,     0,   397,     0,     0,  1178,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1179,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1180,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1181,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1182,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1183,   464,   465,   466,   467,   468,
     800,   469,   470,  1184,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1185,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1186,  1187,     0,     0,   495,   496,  1188,   498,  1189,  1190,
     500,   501,   502,   503,  4849,   505,   506,     0,  1191,   507,
     508,   509,   510,   511,  1192,     0,   512,   513,   514,   515,
     516,   517,  1193,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     540,   541,   542,  1202,     0,     0,     0,     0,     0,     0,
    1203,  1204,     0,     0,     0,     0,     0,     0,     0,  1206,
     779,  1136,   600,  1137,  1138,  1139,   654,  1140,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,  1141,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1142,   781,  1143,  1144,     0,   246,
     247,   248,   249,   250,  1145,  1146,   251,   252,  1147,  1148,
     255,     0,   256,   257,   258,   259,  1149,     0,  1150,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,   278,   279,
     280,   281,   282,  1158,  1159,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   999,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1160,
     312,   313,   314,  1161,  1162,   316,     0,   317,   318,  1163,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,  1164,     0,  1165,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1166,  1167,     0,  1168,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,  1169,   793,   363,   794,     0,   364,   365,   366,  1170,
    1171,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1172,   795,  1173,
     385,   386,   387,     0,   388,   389,   796,   390,  1175,  1176,
     392,  1177,   394,   395,   396,     0,   397,     0,     0,  1178,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1179,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1180,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1181,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    2534,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,  1183,   464,   465,   466,   467,
     468,   800,   469,   470,  1184,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1185,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1186,  1187,     0,     0,   495,   496,  1188,   498,  1189,
    1190,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,  1192,     0,   512,   513,   514,
     515,   516,   517,  1193,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,   540,   541,   542,     0,     0,     0,     0,     0,     0,
       0,  2535,  2536,     0,     0,     0,     0,     0,     0,     0,
    2537,   779,  1136,   600,  1137,  1138,  1139,   654,  1140,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1141,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241, -2415,  1142,   781,  1143,  1144,     0,
     246,   247,   248,   249,   250,  1145,  1146,   251,   252,  1147,
    1148,   255,     0,   256,   257,   258,   259,  1149,     0,  1150,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
    4848,  1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,   278,
     279,   280,   281,   282,  1158,  1159,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   999,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1160,   312,   313,   314,  1161,  1162,   316,     0,   317,   318,
    1163,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1164,     0,  1165,   329,     0,   330,
     331,   332,   333,   334, -2415,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1166,  1167,     0,  1168,     0,   354,
       0,     0,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1169,   793,   363, -2415,     0,   364,   365,   366,
    1170,  1171,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1172,   795,
    1173,   385,   386,   387,  1174,   388,   389,     0,   390,  1175,
    1176,   392,  1177,   394,   395,   396,     0,   397,     0,     0,
    1178,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1179,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1180,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1181,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  1182,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1183,   464,   465,   466,
     467,   468, -2415,   469,   470,  1184,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1185,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1186,  1187,     0,     0,   495,   496,  1188,   498,
    1189,  1190,   500,   501,   502,   503,  4849,   505,   506,     0,
    1191,   507,   508,   509,   510,   511,  1192,     0,   512,   513,
     514,   515,   516,   517,  1193,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   540,   541,   542, -2415,     0,     0,     0,     0,
       0,     0,  1203,  1204,     0,     0,     0,     0,     0,     0,
       0,  1206,   779,  1136,   600,  1137,  1138,  1139,   654,  1140,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1141,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1142,   781,  1143,  1144,
       0,   246,   247,   248,   249,   250,  1145,  1146,   251,   252,
    1147,  1148,   255,     0,   256,   257,   258,   259,  1149,     0,
    1150,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,
     278,   279,   280,   281,   282,  1158,  1159,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   999,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1160,   312,   313,   314,  1161,  1162,   316,     0,   317,
     318,  1163,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1164,     0,  1165,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1166,  1167,     0,  1168,     0,
     354,     0,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1169,   793,   363,   794,     0,   364,   365,
     366,  1170,  1171,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1172,
     795,  1173,   385,   386,   387,     0,   388,   389,   796,   390,
    1175,  1176,   392,  1177,   394,   395,   396,     0,   397,     0,
       0,  1178,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1179,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1180,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1181,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  2534,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1183,   464,   465,
     466,   467,   468,   800,   469,   470,  1184,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1185,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1186,  1187,     0,     0,   495,   496,  1188,
     498,  1189,  1190,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,  1192,     0,   512,
     513,   514,   515,   516,   517,  1193,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1194,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,   540,   541,   542,     0,     0,     0,     0,
       0,     0,     0,  2535,  2536,     0,     0,   779,  1136,   600,
    1137,  1138,  2537,   654,  1140,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1141,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1142,   781,  1143,  1144,     0,   246,   247,   248,   249,
     250,  1145,  1146,   251,   252,  1147,  1148,   255,     0,   256,
     257,   258,   259,  1149,     0,  1150,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1151,  1152,  1153,
    1154,  1155,  1156,  1157,   277,   278,   279,   280,   281,   282,
    1158,  1159,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     999,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1160,   312,   313,   314,
    1161,  1162,   316,     0,   317,   318,  1163,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1164,     0,  1165,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1166,  1167,     0,  1168,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1169,   793,
     363,   794,     0,   364,   365,   366,  1170,  1171,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1172,   795,  1173,   385,   386,   387,
       0,   388,   389,   796,   390,  1175,  1176,   392,  1177,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1179,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1180,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1181,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  2534,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1183,   464,   465,   466,   467,   468,   800,   469,
     470,  1184,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1185,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1186,  1187,
       0,     0,   495,   496,  1188,   498,  1189,  1190,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  1192,     0,   512,   513,   514,   515,   516,   517,
    1193,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,   541,
     542,     0,     0,   779,  1136,   600,  1137,  1138,     0,   654,
    1140,     0,     0,     0,     0,     0,     0,  2537,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1141,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,  1142,   781,  1143,
    1144,     0,  3769,   247,   248,   249,   250,  1145,  1146,   251,
     252,  1147,  1148,   255,     0,   256,   257,   258,   259,  1149,
       0,  1150,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,
     277,   278,   279,   280,   281,   282,  1158,  1159,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   999,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1160,   312,   313,   314,  1161,  1162,   316,     0,
     317,   318,  1163,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1164,     0,  1165,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1166,  1167,     0,  1168,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1169,   793,   363,   794,     0,   364,
     365,   366,  1170,  1171,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1172,   795,  1173,   385,   386,   387,     0,   388,   389,   796,
     390,  1175,  1176,   392,  1177,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1179,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1180,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1181,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  2534,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1183,   464,
     465,   466,   467,   468,   800,   469,   470,  1184,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1185,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1186,  1187,     0,     0,   495,   496,
    1188,   498,  1189,  1190,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,  1192,     0,
     512,   513,   514,   515,   516,   517,  1193,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,   540,   541,   542,     0,     0,   779,
    1136,   600,  1137,  1138,  1139,   654,  1140,     0,     0,     0,
       0,     0,     0,  2537,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1141,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,  1142,   781,  1143,  1144,     0,   246,   247,
     248,   249,   250,  1145,  1146,   251,   252,  1147,  1148,   255,
       0,   256,   257,   258,   259,  1149,     0,  1150,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1151,
    1152,  1153,  1154,  1155,  1156,  1157,   277,   278,   279,   280,
     281,   282,  1158,  1159,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   999,   299,   300,     0,   301,   302,   303,     0,
     304,     0,   306,     0,   307,   308,   309,   310,  1160,   312,
     313,   314,  1161,  1162,   316,     0,   317,   318,  1163,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1164,     0,  1165,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1166,  1167,     0,  1168,     0,   354,     0,     0,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1169,   793,   363,     0,     0,   364,   365,   366,  1170,  1171,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1172,   795,  1173,   385,
     386,   387,  1174,   388,   389,     0,   390,  1175,  1176,   392,
    1177,   394,   395,   396,     0,   397,     0,     0,  1178,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1179,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1180,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1181,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1182,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1183,   464,   465,   466,   467,   468,
       0,   469,   470,  1184,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1185,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1186,  1187,     0,     0,   495,   496,  1188,   498,  1189,  1190,
     500,   501,   502,   503,   504,   505,   506,     0,  1191,   507,
     508,   509,   510,   511,  1192,     0,   512,   513,   514,   515,
     516,   517,  1193,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
     540,   541,   542,     0,     0,   779,     0,     0,     0,     0,
    1203,  1204,     0,     0,     0,     0,     0,     0,     0,  1206,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
    1146,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,  1149,     0,  1150,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1151,  1152,  1153,  1154,  1155,
    1156,  1157,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,  1161,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1164,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,  3291,     0,   361,  1169,   793,   363,   794,
       0,   364,   365,   366,  1170,  1171,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,  1176,   392,   393,   394,   395,   396,
       0,   397,     0,   743,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1179,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1180,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,  3292,   452,   453,   454,
     455,   456,   457,   458,    39,   459,   460,   461,   462,   463,
    1183,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1185,     0,   485,   486,    43,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,  1188,   498,  1189,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
    1192,     0,   512,   513,   514,   515,   516,  1072,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
      48,   525,   526,   527,   528,   529,   530,   531,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,   540,   541,   542,     0,
       0,    49,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3293,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,     0,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,   243,   781,   244,   245,
       0,   246,   247,   248,   249,   250,     0,  1146,   251,   252,
     253,   254,   255,     0,   256,   257,   258,   259,  1149,     0,
    1150,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,
     278,   279,   280,   281,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   298,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,   311,   312,   313,   314,  1161,     0,   316,     0,   317,
     318,   319,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1164,     0,   328,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
    3291,     0,   361,  1169,   793,   363,   794,     0,   364,   365,
     366,  1170,  1171,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     795,   384,   385,   386,   387,     0,   388,   389,   796,   390,
       0,  1176,   392,   393,   394,   395,   396,     0,   397,     0,
     743,   398,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1179,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1180,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,   450,  3292,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1183,   464,   465,
     466,   467,   468,   800,   469,   470,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1185,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,   493,   494,     0,     0,   495,   496,  1188,
     498,  1189,     0,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,  1192,     0,   512,
     513,   514,   515,   516,   517,   518,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1194,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,   540,   541,   542,     0,     0,   779,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3293,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,   243,   781,   244,   245,     0,   246,   247,   248,
     249,   250,     0,  1146,   251,   252,   253,   254,   255,     0,
     256,   257,   258,   259,  1149,     0,  1150,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1151,  1152,
    1153,  1154,  1155,  1156,  1157,   277,   278,   279,   280,   281,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   298,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,   311,   312,   313,
     314,  1161,     0,   316,     0,   317,   318,   319,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1164,     0,   328,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1169,
     793,   363,   794,     0,   364,   365,   366,  1170,  1171,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   795,   384,   385,   386,
     387,     0,   388,   389,   796,   390,     0,  1176,   392,   393,
     394,   395,   396,     0,   397,     0,     0,   398,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1179,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1180,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,   450,  3292,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1183,   464,   465,   466,   467,   468,   800,
     469,   470,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1185,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,   493,
     494,     0,     0,   495,   496,  1188,   498,  1189,     0,   500,
     501,   502,   503,   504,   505,   506,     0,     0,   507,   508,
     509,   510,   511,  1192,     0,   512,   513,   514,   515,   516,
     517,   518,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,   540,
     541,   542,     0,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,   243,   781,
     244,   245,     0,   246,   247,   248,   249,   250,     0,  1146,
     251,   252,   253,   254,   255,     0,   256,   257,   258,   259,
    1149,     0,  1150,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1151,  1152,  1153,  1154,  1155,  1156,
    1157,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,  1161,     0,   316,
       0,   317,   318,   319,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1164,     0,   328,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1169,   793,   363,   794,     0,
     364,   365,   366,  1170,  1171,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   795,   384,   385,   386,   387,     0,   388,   389,
     796,   390,     0,  1176,   392,   393,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1179,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1180,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1183,
     464,   465,   466,   467,   468,   800,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1185,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,  1188,   498,  1189,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,  1192,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1194,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,   540,   541,   542,     0,     0,
     823,  1409,   600,     0,     0,     0,   654,     0,     0,     0,
       0,     0,     0,     0,  3893,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,   243,   781,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,   257,   258,   259,   260,     0,   782,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
       0,     0,     0,   785,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,  1678,   316,     0,   317,   318,   319,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,   362,   793,   363,   794,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   795,   384,
     385,   386,   387,     0,   388,   389,   796,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,  1679,     0,   398,
     399,   400,     0,     0,   401,   402,   797,   403,   798,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,   800,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
    1680,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,     0,   823,     0,     0,     0,
       0,   666,  1410,  4692,     0,     0,     0,     0,     0,     0,
    4693,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     3,     4,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
     243,   781,   244,   245,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   253,   254,   255,     0,   256,   257,
     258,   259,   260,     0,   782,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,     0,     0,     0,   785,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   298,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,   327,
       0,   328,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,   362,   793,   363,
     794,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   795,   384,   385,   386,   387,     0,
     388,   389,   796,   390,     0,   391,   392,   393,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,     0,
     401,   402,   797,   403,   798,   404,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    39,   459,   460,   461,   462,
     463,     0,   464,   465,   466,   467,   468,   800,   469,   470,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,     0,   485,   486,    43,   487,
     801,   488,   489,   490,   491,   492,     0,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,  1072,   518,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,    48,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
       0,     0,    49,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4508,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    39,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,    43,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,  1072,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,    48,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,     0,     0,    49,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,     0,   239,   240,   241,   242,
     243,     0,   244,   245,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   253,   254,   255,     0,   256,   257,
     258,   259,   260,     0,     0,     0,   261,   262,   263,   264,
       0,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,     0,   274,   275,   276,     0,     0,     0,     0,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   298,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,     0,   321,     0,
     322,     0,     0,     0,   323,   324,   325,     0,   326,   327,
       0,   328,   329,     0,   330,   331,   332,   333,   334,     0,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,   351,
     352,     0,   353,     0,   354,     0,     0,   355,     0,   356,
     357,   358,   359,   360,     0,     0,   361,   362,     0,   363,
       0,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,     0,
     388,   389,     0,   390,     0,   391,   392,   393,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,     0,
     401,   402,     0,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,     0,   485,   486,     0,   487,
       0,   488,   489,   490,   491,   492,     0,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,   519,     0,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1264,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,     0,     0,     0,   235,   236,     0,   237,
     238,     0,   239,   240,   241,   242,   243,     0,   244,   245,
       0,   246,   247,   248,   249,   250,     0,     0,   251,   252,
     253,   254,   255,     0,   256,   257,   258,   259,   260,     0,
       0,     0,   261,   262,   263,   264,     0,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,     0,   274,
     275,   276,     0,     0,     0,     0,     0,     0,     0,   277,
     278,   279,   280,   281,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   298,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,     0,   321,     0,   322,     0,     0,     0,
     323,   324,   325,     0,   326,   327,     0,   328,   329,     0,
     330,   331,   332,   333,   334,     0,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,   351,   352,     0,   353,     0,
     354,     0,     0,   355,     0,   356,   357,   358,   359,   360,
       0,     0,   361,   362,     0,   363,     0,     0,   364,   365,
     366,     0,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,     0,   388,   389,     0,   390,
       0,   391,   392,   393,   394,   395,   396,     0,   397,     0,
       0,   398,   399,   400,     0,     0,   401,   402,     0,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,     0,   485,   486,     0,   487,     0,   488,   489,   490,
     491,   492,     0,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,   519,     0,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2691,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,   237,   238,     0,   239,   240,
     241,   242,   243,     0,   244,   245,     0,   246,   247,   248,
     249,   250,     0,     0,   251,   252,   253,   254,   255,     0,
     256,   257,   258,   259,   260,     0,     0,     0,   261,   262,
     263,   264,     0,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,     0,   274,   275,   276,     0,     0,
       0,     0,     0,     0,     0,   277,   278,   279,   280,   281,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   298,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,     0,
     321,     0,   322,     0,     0,     0,   323,   324,   325,     0,
     326,   327,     0,   328,   329,     0,   330,   331,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,   351,   352,     0,   353,     0,   354,     0,     0,   355,
       0,   356,   357,   358,   359,   360,     0,     0,   361,   362,
       0,   363,     0,     0,   364,   365,   366,     0,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,     0,   388,   389,     0,   390,     0,   391,   392,   393,
     394,   395,   396,     0,   397,     0,     0,   398,   399,   400,
       0,     0,   401,   402,     0,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,     0,   485,   486,
       0,   487,     0,   488,   489,   490,   491,   492,     0,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,   519,     0,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3804,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,     0,   239,   240,   241,   242,   243,     0,
     244,   245,     0,   246,   247,   248,   249,   250,     0,     0,
     251,   252,   253,   254,   255,     0,   256,   257,   258,   259,
     260,     0,     0,     0,   261,   262,   263,   264,     0,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
       0,   274,   275,   276,     0,     0,     0,     0,     0,     0,
       0,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,     0,   321,     0,   322,     0,
       0,     0,   323,   324,   325,     0,   326,   327,     0,   328,
     329,     0,   330,   331,   332,   333,   334,     0,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,     0,     0,   355,     0,   356,   357,   358,
     359,   360,     0,     0,   361,   362,     0,   363,     0,     0,
     364,   365,   366,     0,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,     0,   388,   389,
       0,   390,     0,   391,   392,   393,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,   402,
       0,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,     0,   485,   486,     0,   487,     0,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
       0,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,     0,     0,
       0,     0,     0,   991,  1409,   600,     0,     0,   837,   654,
       0,     0,     0,     0,  4212,   838,   839,   840,   223,   224,
     225,   226,   227,   228,   229,   230,  1866,   232,   233,   234,
    1867,  1868,  1869,  1870,  1871,  1872,  1873,   235,   236,  1874,
     237,   238,   780,   239,   240,   241,     0,   992,   781,   993,
     994,  1875,   246,   247,   248,   249,   250,  1876,  1877,   251,
     252,   995,   996,   255,  1878,   256,   257,   258,   259,     0,
    1879,   782,  1880,   261,   262,   263,   264,   783,   265,   266,
     267,  1881,   268,   269,   270,   271,   272,   273,  1882,   784,
     274,   275,   276,  1883,  1884,  1885,   785,  1886,  1887,  1888,
     277,   278,   279,   280,   281,   282,   997,   998,   285,  1889,
     286,  1890,   287,   288,   289,   290,   291,   292,  1891,   293,
     294,   295,  1892,  1893,   296,   297,   999,   299,   300,  1894,
     301,   302,   303,  1895,   304,   305,   306,  1896,   307,   308,
     309,   310,     0,   312,   313,   314,     0,  1897,   316,  1898,
     317,   318,  1000,   320,  1899,   321,  1900,   322,   786,  1901,
     787,   323,   324,   325,  1902,   326,     0,  1903,     0,   329,
    1904,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,  1905,   339,   340,   341,   342,   343,   344,  1906,   345,
     789,     0,   347,   348,   349,   350,  1002,  1003,  1907,  1004,
    1908,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,  1909,  1910,   361,     0,   793,   363,   794,  1911,   364,
     365,   366,  1912,  1913,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1005,   795,  1006,   385,   386,  4301,  1914,   388,   389,   796,
     390,  1915,     0,   392,  1007,   394,   395,   396,  1916,   397,
    1917,  1918,  3555,   399,   400,  1919,  1920,   401,     0,   797,
     403,   798,     0,   405,   406,   407,   408,   409,   410,   411,
     412,  1921,   413,   414,     0,   416,     0,   418,   419,   420,
    1922,   421,   422,   423,   424,   425,   426,   427,   428,  1008,
     430,   431,   432,   433,  1923,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,  1924,   445,   446,   799,
     447,   448,   449,     0,   451,   452,   453,   454,   455,   456,
     457,   458,  1925,   459,   460,   461,   462,   463,  1926,   464,
     465,  2007,   467,   468,   800,   469,   470,  1010,   472,  1927,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,  1928,   485,   486,  1929,   487,   801,   488,   489,
     490,   491,   492,  1930,  1011,  1012,  1931,  1932,   495,   496,
       0,   498,     0,  1933,   500,   501,   502,   503,   504,   505,
     506,  1934,  1935,   507,   508,   509,   510,   511,  1936,  1937,
     512,   513,   514,   515,   516,     0,  1013,  1938,   519,   802,
     520,   521,   522,   523,  1939,  1940,   524,  1941,  1942,   525,
     526,   527,   528,   529,   530,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   540,   541,   542,     0,     0,     0,
     843,   844,   845,     0,  3556,  3557,   848,   849,   850,   851,
     991,  1409,   600,     0,     0,   837,   654,     0,     0,     0,
       0,     0,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,  1866,   232,   233,   234,  1867,  1868,  1869,
    1870,  1871,  1872,  1873,   235,   236,  1874,   237,   238,   780,
     239,   240,   241,     0,   992,   781,   993,   994,  1875,   246,
     247,   248,   249,   250,  1876,  1877,   251,   252,   995,   996,
     255,  1878,   256,   257,   258,   259,     0,  1879,   782,  1880,
     261,   262,   263,   264,   783,   265,   266,   267,  1881,   268,
     269,   270,   271,   272,   273,  1882,   784,   274,   275,   276,
    1883,  1884,  1885,   785,  1886,  1887,  1888,   277,   278,   279,
     280,   281,   282,   997,   998,   285,  1889,   286,  1890,   287,
     288,   289,   290,   291,   292,  1891,   293,   294,   295,  1892,
    1893,   296,   297,   999,   299,   300,  1894,   301,   302,   303,
    1895,   304,   305,   306,  1896,   307,   308,   309,   310,     0,
     312,   313,   314,     0,  1897,   316,  1898,   317,   318,  1000,
     320,  1899,   321,  1900,   322,   786,  1901,   787,   323,   324,
     325,  1902,   326,     0,  1903,     0,   329,  1904,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,  1905,   339,
     340,   341,   342,   343,   344,  1906,   345,   789,     0,   347,
     348,   349,   350,  1002,  1003,  1907,  1004,  1908,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,  1909,  1910,
     361,     0,   793,   363,   794,  1911,   364,   365,   366,  1912,
    1913,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1005,   795,  1006,
     385,   386,     0,  1914,   388,   389,   796,   390,  1915,     0,
     392,  1007,   394,   395,   396,  1916,   397,  1917,  1918,  3555,
     399,   400,  1919,  1920,   401,     0,   797,   403,   798,     0,
     405,   406,   407,   408,   409,   410,   411,   412,  1921,   413,
     414,     0,   416,     0,   418,   419,   420,  1922,   421,   422,
     423,   424,   425,   426,   427,   428,  1008,   430,   431,   432,
     433,  1923,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,  1924,   445,   446,   799,   447,   448,   449,
       0,   451,   452,   453,   454,   455,   456,   457,   458,  1925,
     459,   460,   461,   462,   463,  1926,   464,   465,  2007,   467,
     468,   800,   469,   470,  1010,   472,  1927,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     0,  1928,
     485,   486,  1929,   487,   801,   488,   489,   490,   491,   492,
    1930,  1011,  1012,  1931,  1932,   495,   496,     0,   498,     0,
    1933,   500,   501,   502,   503,   504,   505,   506,  1934,  1935,
     507,   508,   509,   510,   511,  1936,  1937,   512,   513,   514,
     515,   516,     0,  1013,  1938,   519,   802,   520,   521,   522,
     523,  1939,  1940,   524,  1941,  1942,   525,   526,   527,   528,
     529,   530,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,  3556,  3557,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   841,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     842,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,     0,
     222,     0,   843,   844,   845,   837,   846,   847,   848,   849,
     850,   851,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,     0,
     239,   240,   241,   242,   243,     0,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,   948,   258,   259,   260,     0,     0,     0,
     261,   262,   263,   264,     0,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,     0,   274,   275,   276,
       0,     0,     0,     0,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,   949,     0,   317,   318,   319,
     320,     0,   321,     0,   322,     0,     0,     0,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,     0,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,     0,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,   362,     0,   363,     0,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,     0,   388,   389,     0,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,     0,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,     0,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,     0,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,   846,   847,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,  1040,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
    1041,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1042,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,     0,
     222,     0,   843,   844,   845,   837,   846,   847,   848,   849,
     850,   851,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,     0,
     239,   240,   241,   242,   243,     0,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,  1507,   258,   259,   260,     0,     0,     0,
     261,   262,   263,   264,     0,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,     0,   274,   275,   276,
       0,     0,     0,     0,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,  1508,     0,   317,   318,   319,
     320,     0,   321,     0,   322,     0,     0,     0,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,     0,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,     0,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,   362,     0,   363,     0,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,     0,   388,   389,     0,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,     0,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,     0,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,     0,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,   846,   847,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,     0,
     222,     0,   843,   844,   845,   837,   846,   847,   848,   849,
     850,   851,   838,   839,   840,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,     0,
     239,   240,   241,   242,   243,     0,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,  2769,   258,   259,   260,     0,     0,     0,
     261,   262,   263,   264,     0,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,     0,   274,   275,   276,
       0,     0,     0,     0,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,  2770,     0,   317,   318,   319,
     320,     0,   321,     0,   322,     0,     0,     0,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,     0,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,     0,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,   362,     0,   363,     0,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,     0,   388,   389,     0,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,     0,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,     0,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,     0,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,   222,     0,   843,   844,   845,
     837,   846,   847,   848,   849,   850,   851,   838,   839,   840,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,  4487,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,  1865,
       0,     0,   843,   844,   845,     0,   846,   847,   848,   849,
     850,   851,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,  1866,   232,   233,   234,  1867,  1868,  1869,  1870,
    1871,  1872,  1873,   235,   236,  1874,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,  1875,   246,   247,
     248,   249,   250,  1876,  1877,   251,   252,   253,   254,   255,
    1878,   256,   257,   258,   259,   260,  1879,   782,  1880,   261,
     262,   263,   264,   783,   265,   266,   267,  1881,   268,   269,
     270,   271,   272,   273,  1882,   784,   274,   275,   276,  1883,
    1884,  1885,   785,  1886,  1887,  1888,   277,   278,   279,   280,
     281,   282,   283,   284,   285,  1889,   286,  1890,   287,   288,
     289,   290,   291,   292,  1891,   293,   294,   295,  1892,  1893,
     296,   297,   298,   299,   300,  1894,   301,   302,   303,  1895,
     304,   305,   306,  1896,   307,   308,   309,   310,   311,   312,
     313,   314,   315,  1897,   316,  1898,   317,   318,   319,   320,
    1899,   321,  1900,   322,   786,  1901,   787,   323,   324,   325,
    1902,   326,   327,  1903,   328,   329,  1904,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,  1905,   339,   340,
     341,   342,   343,   344,  1906,   345,   789,   346,   347,   348,
     349,   350,   351,   352,  1907,   353,  1908,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,  1909,  1910,   361,
     362,   793,   363,   794,  1911,   364,   365,   366,  1912,  1913,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,  1914,   388,   389,   796,   390,  1915,   391,   392,
     393,   394,   395,   396,  1916,   397,  1917,  1918,   398,   399,
     400,  1919,  1920,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,  1921,   413,   414,
     415,   416,   417,   418,   419,   420,  1922,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
    1923,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,  1924,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,  1925,   459,
     460,   461,   462,   463,  1926,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,  1927,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,  1928,   485,
     486,  1929,   487,   801,   488,   489,   490,   491,   492,  1930,
     493,   494,  1931,  1932,   495,   496,   497,   498,   499,  1933,
     500,   501,   502,   503,   504,   505,   506,  1934,  1935,   507,
     508,   509,   510,   511,  1936,  1937,   512,   513,   514,   515,
     516,   517,   518,  1938,   519,   802,   520,   521,   522,   523,
    1939,  1940,   524,  1941,  1942,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,  1943,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   991,     0,     0,
       0,     0,     0,     0,     0,     0,   748,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   992,   781,   993,   994,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   995,   996,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     997,   998,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     999,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1000,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,  2003,   339,   340,   341,   342,
     343,   344,     0,   345,   789,  2004,   347,   348,   349,   350,
    1002,  1003,     0,  1004,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1005,   795,  1006,   385,   386,     0,
       0,   388,   389,   796,   390,     0,     0,   392,  1007,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
    2005,   401,  2006,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1008,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  2007,   467,   468,   800,   469,
     470,  1010,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1011,  1012,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1013,  2008,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,     0,
       0,     0,     0,     0,     0,     0,  2276,     0,   540,   541,
     542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2009,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,     0,
     992,   781,   993,   994,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   995,   996,   255,     0,   256,   257,
     258,   259,     0,     0,   782,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,     0,     0,     0,   785,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   997,
     998,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   999,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,     0,   312,   313,   314,     0,
       0,   316,     0,   317,   318,  1000,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,     0,
       0,     0,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,  2003,   339,   340,   341,   342,   343,
     344,     0,   345,   789,  2004,   347,   348,   349,   350,  1002,
    1003,     0,  1004,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,     0,   793,   363,
     794,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1005,   795,  1006,   385,   386,     0,     0,
     388,   389,   796,   390,     0,     0,   392,  1007,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,  2005,
     401,  2006,   797,   403,   798,     0,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,     0,   416,     0,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1008,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,     0,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,     0,   464,   465,  2007,   467,   468,   800,   469,   470,
    1010,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     0,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1011,  1012,     0,
       0,   495,   496,     0,   498,     0,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,     0,  1013,
    2008,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,     0,     0,
       0,     0,     0,     0,     0,   222,     0,   540,   541,   542,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2009,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
    1409,   600,     0,     0,     0,   654,     0,     0,  4811,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,  1854,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,  1678,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,  1679,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,  1680,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,  1409,   600,     0,     0,     0,   654,
     666,  1410,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,  1859,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,  1678,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
    1679,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,  1680,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,  1409,   600,
       0,     0,     0,   654,   666,  1410,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,  1678,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,  1679,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,  1680,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,   600,     0,     0,     0,   654,   666,  1410,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,  2724,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,  1678,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,  1679,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,  1680,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,   654,   666,   667,     0,     0,     0,     0,     0,     0,
     223,   655,   225,   226,   227,   228,   229,   230,   656,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   657,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   658,   319,   320,     0,   321,     0,   659,
       0,   660,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   661,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   662,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   663,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   664,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   665,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,  1865,
    4933,   600,     0,     0,     0,   654,   666,   667,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,  1866,   232,   233,   234,  1867,  1868,  1869,  1870,
    1871,  1872,  1873,   235,   236,  1874,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,  1875,   246,   247,
     248,   249,   250,  1876,  1877,   251,   252,   253,   254,   255,
    1878,   256,   257,   258,   259,   260,  1879,   782,  1880,   261,
     262,   263,   264,   783,   265,   266,   267,  1881,   268,   269,
     270,   271,   272,   273,  1882,   784,   274,   275,   276,  1883,
    1884,  1885,   785,  1886,  1887,  1888,   277,   278,   279,   280,
     281,   282,   283,   284,   285,  1889,   286,  1890,   287,   288,
     289,   290,   291,   292,  1891,   293,   294,   295,  1892,  1893,
     296,   297,   298,   299,   300,  1894,   301,   302,   303,  1895,
     304,   305,   306,  1896,   307,   308,   309,   310,   311,   312,
     313,   314,   315,  1897,   316,  1898,   317,   318,   319,   320,
    1899,   321,  1900,   322,   786,  1901,   787,   323,   324,   325,
    1902,   326,   327,  1903,   328,   329,  1904,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,  1905,   339,   340,
     341,   342,   343,   344,  1906,   345,   789,   346,   347,   348,
     349,   350,   351,   352,  1907,   353,  1908,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,  1909,  1910,   361,
     362,   793,   363,   794,  1911,   364,   365,   366,  1912,  1913,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,  1914,   388,   389,   796,   390,  1915,   391,   392,
     393,   394,   395,   396,  1916,   397,  1917,  1918,   398,   399,
     400,  1919,  1920,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,  1921,   413,   414,
     415,   416,   417,   418,   419,   420,  1922,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
    1923,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,  1924,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,  1925,   459,
     460,   461,   462,   463,  1926,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,  1927,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,  1928,   485,
     486,  1929,   487,   801,   488,   489,   490,   491,   492,  1930,
     493,   494,  1931,  1932,   495,   496,   497,   498,   499,  1933,
     500,   501,   502,   503,   504,   505,   506,  1934,  1935,   507,
     508,   509,   510,   511,  1936,  1937,   512,   513,   514,   515,
     516,   517,   518,  1938,   519,   802,   520,   521,   522,   523,
    1939,  1940,   524,  1941,  1942,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,  1865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  1866,   232,   233,   234,
    1867,  1868,  1869,  1870,  1871,  1872,  1873,   235,   236,  1874,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,  1875,   246,   247,   248,   249,   250,  1876,  1877,   251,
     252,   253,   254,   255,  1878,   256,   257,   258,   259,   260,
    1879,   782,  1880,   261,   262,   263,   264,   783,   265,   266,
     267,  1881,   268,   269,   270,   271,   272,   273,  1882,   784,
     274,   275,   276,  1883,  1884,  1885,   785,  1886,  1887,  1888,
     277,   278,   279,   280,   281,   282,   283,   284,   285,  1889,
     286,  1890,   287,   288,   289,   290,   291,   292,  1891,   293,
     294,   295,  1892,  1893,   296,   297,   298,   299,   300,  1894,
     301,   302,   303,  1895,   304,   305,   306,  1896,   307,   308,
     309,   310,   311,   312,   313,   314,   315,  1897,   316,  1898,
     317,   318,   319,   320,  1899,   321,  1900,   322,   786,  1901,
     787,   323,   324,   325,  1902,   326,   327,  1903,   328,   329,
    1904,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,  1905,   339,   340,   341,   342,   343,   344,  1906,   345,
     789,   346,   347,   348,   349,   350,   351,   352,  1907,   353,
    1908,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,  1909,  1910,   361,   362,   793,   363,   794,  1911,   364,
     365,   366,  1912,  1913,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,  1914,   388,   389,   796,
     390,  1915,   391,   392,   393,   394,   395,   396,  1916,   397,
    1917,  1918,   398,   399,   400,  1919,  1920,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,  1921,   413,   414,   415,   416,   417,   418,   419,   420,
    1922,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,  1923,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,  1924,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  1925,   459,   460,   461,   462,   463,  1926,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,  1927,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,  1928,   485,   486,  1929,   487,   801,   488,   489,
     490,   491,   492,  1930,   493,   494,  1931,  1932,   495,   496,
     497,   498,   499,  1933,   500,   501,   502,   503,   504,   505,
     506,  1934,  1935,   507,   508,   509,   510,   511,  1936,  1937,
     512,   513,   514,   515,   516,   517,   518,  1938,   519,   802,
     520,   521,   522,   523,  1939,  1940,   524,  1941,  1942,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,  1865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,  2837,   228,   229,   230,
    1866,   232,   233,   234,  1867,  1868,  1869,  1870,  1871,  1872,
    1873,   235,   236,  1874,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,  1875,   246,   247,   248,   249,
     250,  1876,  1877,   251,   252,   253,   254,   255,  1878,   256,
     257,   258,   259,   260,  1879,   782,  1880,   261,   262,   263,
     264,   783,   265,   266,   267,  1881,   268,   269,   270,   271,
     272,   273,  1882,   784,   274,   275,   276,  1883,  1884,  1885,
     785,  1886,  1887,  1888,   277,   278,   279,   280,   281,   282,
     283,   284,   285,  1889,   286,  1890,   287,   288,   289,   290,
     291,   292,  1891,   293,   294,   295,  1892,  1893,   296,   297,
     298,  2838,   300,  1894,   301,   302,   303,  1895,   304,   305,
     306,  1896,   307,   308,   309,   310,   311,   312,   313,   314,
     315,  1897,   316,  1898,   317,   318,   319,   320,  1899,   321,
    1900,   322,   786,  1901,   787,   323,   324,   325,  1902,   326,
     327,  1903,   328,   329,  1904,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,  1905,   339,   340,   341,   342,
     343,   344,  1906,   345,   789,   346,   347,   348,   349,   350,
     351,   352,  1907,   353,  1908,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,  1909,  1910,   361,   362,   793,
     363,   794,  1911,   364,   365,   366,  1912,  1913,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
    1914,   388,   389,   796,   390,  1915,   391,   392,   393,   394,
     395,   396,  1916,   397,  1917,  1918,   398,   399,   400,  1919,
    1920,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,  1921,   413,   414,   415,   416,
     417,   418,   419,   420,  1922,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,  1923,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
    1924,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,  1925,   459,   460,   461,
     462,   463,  1926,  2839,   465,   466,   467,   468,   800,   469,
     470,   471,   472,  1927,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,  1928,   485,   486,  1929,
     487,   801,   488,   489,   490,   491,   492,  1930,   493,   494,
    1931,  1932,   495,   496,   497,   498,   499,  1933,   500,   501,
     502,   503,   504,   505,   506,  1934,  1935,   507,   508,   509,
     510,   511,  1936,  1937,   512,   513,   514,   515,   516,   517,
     518,  1938,   519,   802,   520,   521,   522,   523,  1939,  1940,
     524,  1941,  1942,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,  1146,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,  1149,     0,  1150,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1151,  1152,  1153,  1154,  1155,  1156,  1157,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,  1161,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1164,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1169,   793,   363,   794,     0,   364,   365,   366,
    1170,  1171,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
    1176,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1179,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1180,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1183,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1185,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,  1188,   498,
    1189,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,  1192,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,   540,   541,   542,   823,     0,   600,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,  1678,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,  1679,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,  1680,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   858,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,   824,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,   825,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,   824,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,   825,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,  2232,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,   824,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,  3140,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,   825,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,   824,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,   825,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,   824,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     875,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
     825,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,   824,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   962,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,   825,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,   824,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1035,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,   825,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,   824,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1047,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,   825,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,   824,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1061,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,  1062,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,   825,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   823,     0,   600,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,  1839,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     3,     4,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,   600,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,   600,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1668,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   984,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1033,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,  2045,   256,   257,   258,   259,   260,
       0,     0,  2121,   261,   262,   263,   264,     0,   265,   266,
     267,  2046,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,  2122,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,  2048,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2123,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
    2049,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,  2050,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,  2045,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,  2046,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,  2122,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
    2048,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,  3005,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,  2049,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,  2050,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   711,   229,   230,   673,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,   674,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,   712,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   675,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     676,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   673,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
     674,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,  2731,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   675,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   676,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
    2045,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,  2046,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,  2122,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,  2048,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,  2049,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,  2050,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   673,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,   674,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   675,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   676,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
    1705,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,  1706,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,  1707,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
    1708,   322,     0,     0,     0,  1709,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,  1710,  1711,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,  1712,   455,   456,   457,   458,     0,  1713,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,  1714,
     487,     0,  1715,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
    1716,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,   674,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   675,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     676,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   868,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   869,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,   743,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     3,     4,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  2818,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,  2819,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
    2831,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  2832,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   591,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     592,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   703,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   704,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     705,   494,     0,     0,   706,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   737,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   738,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   739,   494,     0,     0,   740,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,   743,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   832,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   833,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   976,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,  1239,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,  1250,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   723,
     252,   253,   254,  1251,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   726,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     727,   448,   449,   450,   451,   452,   453,   728,   455,   456,
     457,   458,     0,   459,   460,   461,   462,  1243,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   730,   494,     0,     0,   731,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   732,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1358,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,   743,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,  1413,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1414,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   703,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,  2621,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,  2622,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,  2623,   487,     0,   488,  2624,   490,  2625,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,  2626,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,   600,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,  3823,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,  3837,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,  4490,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   689,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     701,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   723,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     724,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   725,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   726,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   727,   448,
     449,   450,   451,   452,   453,   728,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   729,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   730,   494,     0,     0,   731,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   732,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   755,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   856,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   863,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   878,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   938,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   954,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   989,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1045,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1049,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1051,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1053,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1057,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1065,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   723,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   726,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   727,   448,   449,   450,   451,   452,
     453,   728,   455,   456,   457,   458,     0,   459,   460,   461,
     462,  1243,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   730,   494,
       0,     0,   731,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   732,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1537,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1567,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1569,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1639,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1641,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1643,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,  1739,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,  2000,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   723,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   726,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     727,   448,   449,   450,   451,   452,   453,   728,   455,   456,
     457,   458,     0,   459,   460,   461,   462,  1243,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,  2032,   489,
     490,   491,   492,     0,   730,   494,     0,     0,   731,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   732,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   723,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   726,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   727,   448,   449,   450,   451,   452,
     453,  2106,   455,   456,   457,   458,     0,   459,   460,   461,
     462,  2107,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   730,   494,
       0,     0,  2108,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   732,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  2344,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  2348,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  2388,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2423,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  2742,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   723,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   726,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   727,   448,
     449,   450,   451,   452,   453,   728,   455,   456,   457,   458,
       0,   459,   460,   461,   462,  2107,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   730,   494,     0,     0,  2108,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   732,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  2808,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  2821,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2823,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  2938,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,  2960,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  4072,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   991,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,   992,   781,   993,   994,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   995,   996,   255,
       0,   256,   257,   258,   259,     0,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   997,   998,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   999,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,     0,   312,
     313,   314,     0,     0,   316,     0,   317,   318,  1000,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,     0,     0,     0,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,  2003,   339,   340,
     341,   342,   343,   344,     0,   345,   789,  2004,   347,   348,
     349,   350,  1002,  1003,     0,  1004,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
       0,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1005,   795,  1006,   385,
     386,     0,     0,   388,   389,   796,   390,     0,     0,   392,
    1007,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,  2006,   797,   403,   798,     0,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
       0,   416,     0,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1008,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,     0,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,  2007,   467,   468,
     800,   469,   470,  1010,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     0,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1011,  1012,     0,     0,   495,   496,     0,   498,     0,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,     0,  1013,  2008,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   991,     0,     0,     0,     0,     0,     0,     0,     0,
     540,   541,   542,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,   992,   781,   993,   994,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   995,
     996,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   997,   998,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   999,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
    1000,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,     0,
     347,   348,   349,   350,  1002,  1003,     0,  1004,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1005,   795,
    1006,   385,   386,     0,     0,   388,   389,   796,   390,  2102,
       0,   392,  1007,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,     0,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1008,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,  2007,
     467,   468,   800,   469,   470,  1010,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,  3656,   487,   801,   488,   489,   490,   491,
     492,     0,  1011,  1012,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,  1013,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   222,     0,     0,     0,     0,     0,     0,
       0,     0,   540,   541,   542,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,     0,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,     0,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   991,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   992,   781,   993,   994,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   995,   996,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     997,   998,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     999,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1000,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,     0,   347,   348,   349,   350,
    1002,  1003,     0,  1004,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1005,   795,  1006,   385,   386,  2172,
       0,   388,   389,   796,   390,     0,     0,   392,  1007,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1008,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  1009,   467,   468,   800,   469,
     470,  1010,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1011,  1012,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1013,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   991,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,   992,   781,   993,   994,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   995,   996,   255,
       0,   256,   257,   258,   259,     0,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   997,   998,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   999,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,     0,   312,
     313,   314,     0,     0,   316,     0,   317,   318,  1000,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,     0,     0,     0,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,     0,   347,   348,
     349,   350,  1002,  1003,     0,  1004,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
       0,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1005,   795,  1006,   385,
     386,  3476,     0,   388,   389,   796,   390,     0,     0,   392,
    1007,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,     0,   797,   403,   798,     0,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
       0,   416,     0,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1008,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,     0,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,  1009,   467,   468,
     800,   469,   470,  1010,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     0,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1011,  1012,     0,     0,   495,   496,     0,   498,     0,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,     0,  1013,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   991,     0,     0,     0,     0,     0,     0,     0,     0,
     540,   541,   542,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,   992,   781,   993,   994,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   995,
     996,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   997,   998,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   999,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
    1000,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,  1001,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,     0,
     347,   348,   349,   350,  1002,  1003,     0,  1004,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1005,   795,
    1006,   385,   386,     0,     0,   388,   389,   796,   390,     0,
       0,   392,  1007,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,     0,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1008,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,  1009,
     467,   468,   800,   469,   470,  1010,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1011,  1012,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,  1013,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   991,     0,     0,     0,     0,     0,     0,
       0,     0,   540,   541,   542,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,     0,   992,   781,   993,
     994,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   995,   996,   255,     0,   256,   257,   258,   259,     0,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   997,   998,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   999,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,     0,   312,   313,   314,     0,     0,   316,     0,
     317,   318,  1000,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,     0,     0,     0,   329,
       0,   330,   331,   332,   333,  1059,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,     0,   347,   348,   349,   350,  1002,  1003,     0,  1004,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,     0,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1005,   795,  1006,   385,   386,     0,     0,   388,   389,   796,
     390,     0,     0,   392,  1007,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,     0,   797,
     403,   798,     0,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,     0,   416,     0,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1008,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,     0,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,  1009,   467,   468,   800,   469,   470,  1010,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1011,  1012,     0,     0,   495,   496,
       0,   498,     0,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,     0,  1013,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   991,     0,     0,     0,     0,
       0,     0,     0,     0,   540,   541,   542,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,     0,   992,
     781,   993,   994,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   995,   996,   255,     0,   256,   257,   258,
     259,     0,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   997,   998,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   999,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,     0,   312,   313,   314,     0,     0,
     316,     0,   317,   318,  1000,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,     0,     0,
       0,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,     0,   347,   348,   349,   350,  1002,  1003,
       0,  1004,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,     0,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1005,   795,  1006,   385,   386,     0,     0,   388,
     389,   796,   390,     0,     0,   392,  1007,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
       0,   797,   403,   798,     0,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,     0,   416,     0,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1008,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,     0,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,  1009,   467,   468,   800,   469,   470,  1010,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     0,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1011,  1012,     0,     0,
     495,   496,     0,   498,     0,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,     0,  1013,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   991,     0,     0,
       0,     0,     0,     0,     0,     0,   540,   541,   542,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   992,   781,   993,   994,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   995,   996,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     997,   998,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     999,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1000,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,     0,   347,   348,   349,   350,
    1002,  1003,     0,  1004,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1005,   795,  1006,   385,   386,     0,
       0,   388,   389,   796,   390,     0,     0,   392,  1007,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1008,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  2007,   467,   468,   800,   469,
     470,  1010,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1011,  1012,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1013,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   991,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,   992,   781,   993,   994,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   995,   996,   255,
       0,   256,   257,   258,   259,     0,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   997,   998,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   999,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,     0,   312,
     313,   314,     0,     0,   316,     0,   317,   318,  1000,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,     0,     0,     0,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,     0,   347,   348,
     349,   350,  1002,  1003,     0,  1004,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
       0,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1005,   795,  1006,   385,
     386,     0,     0,   388,   389,   796,   390,     0,     0,   392,
    1007,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,     0,   797,   403,   798,     0,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
       0,   416,     0,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1008,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,     0,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,     0,   467,   468,
     800,   469,   470,  1010,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     0,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1011,  1012,     0,     0,   495,   496,     0,   498,     0,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,     0,  1013,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   991,     0,     0,     0,     0,     0,     0,     0,     0,
     540,   541,   542,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,     0,   781,     0,     0,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,     0,     0,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
       0,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,     0,
     347,   348,   349,   350,     0,     0,     0,     0,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   795,
       0,   385,   386,     0,     0,   388,   389,   796,   390,     0,
       0,   392,     0,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,     0,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,     0,
     467,   468,   800,   469,   470,     0,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,     0,     0,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,     0,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   540,   541,   542
};

static const yytype_int16 yycheck[] =
{
      16,     0,     0,     0,     0,     0,     0,    35,  1076,    25,
     571,    50,  1034,   724,    21,   674,   675,   676,  1098,     7,
      27,   680,    20,  1038,    20,   773,    14,  1043,    21,   778,
    1709,   722,   204,   182,    27,   877,  1268,  1286,   804,  1344,
    1009,    44,  1830,  1387,  1028,   865,  1270,  2294,   601,  1381,
     886,    12,    50,   950,   200,   601,  2479,   747,   930,   620,
     731,   207,  2642,  1494,   961,  2812,  1012,   997,   998,  1129,
      43,  2785,   218,  2303,  3072,    22,  1403,  1007,  3030,   562,
    1392,    20,  1387,   835,  2223,  2171,  1564,   190,    35,   642,
    1322,  2011,  2012,   935,  1318,  1446,   199,   939,    17,  1291,
    3048,  3003,   944,  2837,  1745,  2839,  3329,  3059,  1958,   864,
    2455,   953,  2985,   985,  3372,  3372,     0,  1068,  2691,  2992,
    2992,   963,  2634,  3425,   207,  3368,  2632,  2633,   611,   641,
    3648,  3635,  3657,  2261,  1728,   218,  1463,  1464,   633,  3265,
    1833,  2269,   864,  2271,  3645,  1576,  1458,   184,   870,  3299,
    3293,   184,  1789,  2565,  1373,     0,   169,   879,     0,    34,
       0,     0,  3634,    49,     0,   200,    41,  4092,     0,  1322,
       0,     0,   207,     0,   727,     0,     0,     0,  2699,   821,
    3046,   727,    40,   218,   877,  3898,   184,  4212,  1666,  4214,
    3298,  2630,     5,  3581,  4269,    84,   770,    11,   770,  3345,
    2630,  3228,  4250,   995,   996,     0,     5,   109,   623,     5,
      48,  2297,    55,     0,  1006,     0,    35,  4386,  1301,   634,
       0,    55,    55,  2011,    22,    62,     5,     5,  1158,  1159,
       5,    41,  4307,   104,    13,    14,    64,    55,    41,     5,
     213,  1187,     5,   154,  2683,   159,    39,  1177,    30,    31,
      13,    14,     9,  2683,    76,  1206,    39,   134,    26,  4576,
      11,   160,   111,    62,    55,    26,    62,   159,     5,   928,
       5,     5,     5,     5,     5,     5,    13,    14,   165,  4311,
    4312,    26,   102,     0,    26,  2697,  4492,  4493,    33,    40,
     102,    33,     9,  2787,   102,  1527,   181,     5,   256,     0,
     111,    72,   173,   169,   159,   259,    74,    72,     9,    26,
     138,  2397,     9,  2399,    82,     5,     9,     4,    72,    70,
     161,   200,     9,    81,  1076,    26,   159,     5,   156,   127,
     114,     3,     4,     5,   109,   161,   256,     9,     5,   256,
      68,    24,   110,   159,   292,   906,     4,   154,    27,    38,
     274,     9,    81,   114,   339,  1147,  1148,    55,   102,   323,
      56,    44,   233,  4847,   159,   236,   376,   339,    64,    88,
     111,   320,   159,    72,   159,   137,   158,   250,   160,   159,
     109,  1173,    81,    32,   159,   309,   181,    11,   325,  2182,
     415,   151,  4277,   204,   181,    70,   181,    11,  2077,   571,
     309,   181,   323,   313,   325,   274,    24,   448,   442,   369,
     194,   371,   453,    72,   455,   339,    40,   185,  4735,  1255,
     297,   455,    81,   569,     5,   314,    44,  4452,   574,   339,
     339,  4506,   457,   194,  4319,   246,   262,   109,     5,   585,
     309,  1207,   159,  2236,   381,   164,    70,   457,   620,   398,
      11,  4376,   159,   244,   557,   601,   218,  1706,   159,   330,
     381,  1710,   290,  1712,   181,  4949,  1715,    11,    26,  1235,
     455,   617,   315,   346,    72,    33,  3723,   623,  3725,    40,
     181,   315,  1504,   243,   325,   457,   569,   298,   634,   453,
     179,   574,   141,  1509,   327,   453,   642,   315,   129,   453,
     244,  1253,   585,   606,   311,   453,  1258,  1259,  3002,    70,
     251,  1064,   195,   616,    29,  3903,   195,   246,  1064,   251,
    1744,   376,   116,  1076,   315,   221,   114,   199,   336,   453,
     141,   259,   358,   453,   569,   551,   453,   403,   379,   574,
     442,   208,   453,   457,   385,   365,  2535,  2536,   339,   221,
     585,  2540,   401,   365,   453,   554,   554,   554,   554,   554,
     554,   453,  1786,   434,   392,  1797,  1078,   389,   457,   362,
     457,   332,   457,   376,  4891,  4781,   453,   410,   457,   362,
    1133,   727,   453,  3456,  3456,   601,   602,  1133,  2577,  2578,
     358,   657,   658,   659,   404,    29,   662,   663,   664,   397,
    1442,   376,  1444,   642,   349,   376,   672,   349,  1832,  1361,
    4658,   376,   408,   397,   457,   453,   453,   315,   376,  1371,
    1700,  4093,   376,   457,   773,  1497,  1523,   409,  3375,  1044,
     408,   550,  1452,   646,   453,   449,   397,  1359,   451,   457,
     453,   457,   455,   641,   642,   641,   457,  1598,   655,  2735,
     657,  3603,   659,  4685,   453,  1670,  1492,   453,   665,   666,
     667,   456,   655,  4051,   657,  3791,   659,   442,  3818,   456,
    4839,   456,   665,   689,   453,   453,   456,   376,    20,   640,
     455,   669,  1434,  1766,  3827,  1437,  1438,   453,  3831,  1104,
     453,  1774,  1707,  1415,  1014,   452,  3644,  1250,   449,   715,
    1115,  1716,  1632,   642,  1250,  1258,  1259,   723,  3735,  3817,
     726,   727,   728,   686,  4789,  1130,   453,   376,   453,   453,
     453,  4109,   453,   453,  3626,   762,  4801,   444,   445,   762,
     420,  1424,  1052,  3879,   906,  1309,  1429,  1309,  1380,   456,
    1060,  4766,   420,   444,   445,   453,  1066,   444,   445,   439,
     457,   444,   445,  1505,   159,   456,   453,   444,   445,   457,
     418,   439,   114,   453,   762,   764,   764,   764,   764,   764,
     764,  4484,   444,   445,   747,   453,   451,  2121,   376,  2091,
     455,   439,  2702,   414,  2704,     3,   444,   445,   891,   356,
     357,   349,  1743,  2025,  1745,  3025,  4871,   312,   140,   902,
    1751,  3313,    22,   414,   777,   399,  1757,  1758,  1759,   397,
      55,  4736,   751,  1605,  1606,   102,  1767,  1768,     5,  3566,
     102,  1772,   446,   447,   448,   449,   109,   109,   835,    78,
    2958,  3697,   446,   447,   448,   449,  3357,  2965,  2966,   117,
    3554,  2969,   194,   114,  2632,  2633,  2634,   820,  2976,   256,
      46,   159,  3291,   261,  3293,  2167,   247,  4245,     3,  1420,
       5,  3291,    80,  3293,  4252,   302,   109,   725,   971,   755,
     119,   729,  2025,    22,  4375,   109,   102,   102,   312,  4335,
     764,  2967,  2968,   444,   445,   446,   447,   448,   449,   323,
    4137,   325,  2111,  1336,  4141,  4142,     3,  4144,  1044,   233,
     444,   445,   446,   447,   448,   449,     3,   127,   323,   266,
     104,  4836,   244,  1572,   132,     5,    23,   160,  1064,   764,
    2152,   325,   764,   194,   764,   764,   103,   811,   764,   140,
    1076,  3343,   764,  3372,   764,   764,   151,   764,  4196,   764,
     764,   764,  3372,   167,   109,     5,   260,   381,   409,    64,
      22,   260,   140,    78,   376,    26,  3670,    78,  1104,   104,
     260,   169,   162,   246,   246,  4253,    81,    78,   186,  1115,
    2038,   376,   365,    80,   411,  4233,   309,   381,   127,   173,
     176,   323,   397,    80,  1130,   181,  2337,  1133,  4246,  4246,
     266,   866,   867,   877,   119,   210,   330,   114,   119,  2692,
     342,   160,  1713,  1714,   247,   266,   397,   184,   119,  2646,
     127,    78,   246,  1079,   244,   423,  1082,  1783,  1084,  2351,
    1086,   217,  1088,   138,   137,   132,  1092,   276,   173,   161,
    4156,   309,   384,  2017,   131,   457,   244,   442,  2007,   233,
     169,   156,   236,   376,   327,   397,   453,  4197,  1064,   111,
     455,   103,   119,  4341,   274,   127,   975,  2289,  4201,  4563,
    1076,   332,   280,  4206,   251,  2985,  4209,  2661,   376,  1076,
     315,   403,  2992,   355,   181,    36,   358,  4602,   365,   186,
    1078,  4599,  1078,  4587,  1645,   198,   251,  1530,   233,   309,
    4591,   236,  4548,  1081,  1110,  1083,   320,  1085,   162,  1087,
     457,  1089,  1090,  1091,  1250,  3978,  3978,   156,  1096,  1604,
    1593,  4109,  1258,  1259,  4586,   244,   113,  1133,   277,   339,
       8,   370,  1268,    11,  1677,   274,   397,   224,  4386,  4081,
     262,   342,   184,   109,   334,   264,   330,   451,  4086,   365,
     365,   455,   204,  1141,   453,  3892,   399,   127,   344,  3069,
     327,   276,    40,   266,   342,   276,   399,   118,    46,    26,
     309,   251,  1160,    22,  1676,   276,   366,  1206,  1663,    28,
     287,   453,   390,   280,   206,   290,  1322,   274,   454,   111,
     398,   457,    70,   401,   246,   330,   345,   364,   365,   181,
     339,   251,  1208,  1191,  2443,   403,   457,  4485,   273,  3933,
     453,  1217,   230,  1764,   201,   435,   340,  4495,  1206,   276,
     169,   282,   244,   320,   122,  1231,   124,    34,  3207,  3208,
    3209,  3210,  1637,   153,  3213,  3214,  3215,  3216,  3217,  3218,
    3219,  3220,  3221,  3222,  1250,  1650,   298,  1253,  1254,  4482,
     434,   327,  1258,  1259,   339,   370,  1253,   135,  1420,   370,
    1665,  1258,  1259,   402,   339,   122,   363,  1294,  1295,   370,
    1297,  1294,  1295,   334,  1297,  4737,  1279,  1587,   127,   206,
     334,   368,   204,   370,   403,   327,   453,   392,   391,    26,
    3269,  3270,  1993,   390,   264,   244,   348,  4589,   176,   434,
    4416,   398,   109,   181,   401,   101,  1294,  1295,   369,  1297,
     371,   378,   366,   370,  3877,  4448,   207,   244,   274,   149,
     342,   173,   364,   365,   246,   274,  1636,   309,   120,   453,
    1640,   313,  2219,   387,  2556,   154,  1646,  1647,   130,   217,
    2562,    11,  1478,   313,  4835,   164,  3848,  3843,  1311,  4840,
      22,   266,  3854,   309,   421,   149,    28,   339,   256,  1669,
     309,    64,   181,   113,  1361,   285,   332,    35,  4746,   339,
      40,   298,   457,   378,  1371,   397,   298,   453,  2390,  4627,
    3715,   233,   457,   339,   262,   122,    54,    22,   218,  2394,
     155,  1527,  4508,    28,  2400,   227,  4512,  4513,  3827,   365,
      70,     0,  3831,  4894,  4652,  4652,   109,  3827,  2120,   453,
     273,  3831,  1548,  1410,   329,   342,  1552,  4280,  4280,    87,
    3538,   186,   418,  2364,   218,   274,  3544,  3545,  1564,  3547,
    4368,  2318,  2319,  2320,  2321,   231,   418,  1434,   234,   405,
    1437,  1438,  2187,  2330,  1450,   418,   311,  1356,  2190,  4662,
    4663,   201,   418,  1478,   403,   127,  2198,   439,  2200,   266,
     309,   457,  2535,  2536,   258,  4956,   344,  2540,  3137,  4361,
     397,   273,  2654,   439,   457,  2187,   339,   145,   330,   160,
    2802,    48,   274,  1645,   457,   159,   122,   453,   124,   112,
     339,  2730,   127,  1586,  1457,  2038,  3625,  2209,  2360,   318,
       8,  1637,  1638,    11,  2577,  2578,   376,   181,  1505,   190,
     178,  3351,     8,   273,  1650,    11,   264,   309,   456,    15,
      16,    17,    11,  1548,   205,  2237,   274,  1552,  2079,  1665,
    1666,   418,    40,   100,   215,  3313,   368,   339,    46,  1564,
     208,  1677,  1635,   246,  1550,   213,  3456,   274,   251,  3180,
    1424,   111,   439,   418,   177,  1429,   139,  2898,  2031,   437,
     202,   309,    70,   395,   289,   163,   444,   445,   446,   447,
     448,   449,   442,   122,   439,   124,   399,   274,   246,   339,
     292,    70,   309,   289,    21,   455,   418,   290,   420,     3,
      27,  4839,   457,   112,   141,  3574,  2537,   381,   147,   182,
    4337,   304,  1764,    54,   297,  1602,  2908,   275,  2549,  3685,
     246,  3687,   339,  1638,   112,  1612,  1709,  1614,   260,    83,
     256,   453,   399,   221,  1621,   309,   193,   135,   188,   313,
     453,   324,  1629,  4575,   274,   442,    87,   161,   319,   274,
    2581,  1666,   339,  1953,   451,   313,   453,   454,   455,   317,
     457,   255,  4865,   378,  2876,   339,   324,  3125,   177,  4597,
     124,  1797,   410,   331,   274,   274,    80,   191,   176,   309,
    2740,   339,   378,   181,   309,   246,   453,   244,  2619,   177,
     251,  4573,   260,   351,   244,   411,   246,   265,  1676,   392,
    1676,   359,  3200,   323,   145,  4399,   421,  2346,   101,   309,
     309,   309,   251,   313,   339,  2447,  2179,   256,  1686,   217,
    1688,   379,  1690,  2118,  1692,   421,  1694,   131,  1736,   232,
    1698,  3229,  4614,  4136,   354,   296,  2700,   178,   420,   339,
     339,   339,  2706,   454,   418,  3052,   457,   302,  3055,  1728,
    1728,  1728,  1728,  1728,  1728,   413,     4,   439,  1677,   417,
    1756,     9,   155,   163,   262,   439,  1753,  1754,  4746,  4496,
    1723,   328,   213,  1760,  1761,  2771,   262,  4196,   333,  2991,
     274,   369,  4201,   371,   420,   313,  4196,  4206,  4502,    72,
    4209,  4201,   137,   186,   298,   332,  4206,  1546,    81,  4209,
    2710,  1788,   329,   439,   149,   246,   310,   395,  1735,   154,
     365,   339,   208,  4745,  4233,   309,  1565,   453,    89,   302,
     224,   221,  2355,  4233,  1802,    61,    62,  4246,   365,  2355,
     230,   335,  4059,   420,   275,  4395,  4246,  4240,   231,  4242,
      72,   234,   154,  1742,   383,   339,   344,  3913,  3914,    81,
     333,  1847,   439,   198,   393,   448,   411,    42,  4085,   332,
     453,  4071,   455,   175,   154,   418,   453,   451,   405,   453,
     274,   455,   313,   218,   315,   418,   317,   454,    63,   453,
     457,   418,   365,   324,  2417,   175,   439,   311,   149,   160,
     331,  2417,   365,   154,   381,  2021,   439,   451,   339,  2025,
    2026,   455,   439,   227,  2030,   309,  3135,  2759,   329,   313,
     351,  2639,  2038,   258,   457,  2647,   453,  4611,   359,   190,
    4028,   266,  4030,  4031,   260,   111,  4034,  2079,   411,   265,
    2056,   381,   405,     8,   205,   339,    11,   230,  4665,   437,
      15,    16,    17,   369,   215,   371,   444,   445,   446,   447,
     448,   449,   323,   324,   440,   441,   442,   218,   444,   445,
     446,   447,   448,   449,   368,  3376,   370,  4386,   154,   369,
     241,   371,   413,  2099,   149,  3035,  4386,   452,   452,   154,
     453,   230,   457,   457,  3044,  1972,   232,  2070,  2788,   260,
      85,  2117,  2118,  2644,  2077,   395,   453,   258,   455,  1972,
     184,    53,   188,   327,    30,    31,  2021,  4889,  4940,   175,
    4536,  2026,  4538,  2813,   418,  2030,  4542,   332,  4544,  1998,
    1998,   454,  2148,  2149,   457,  2548,  2152,  2550,  2551,  4448,
    3242,   451,  2040,   453,  2042,   381,  1955,   454,  4448,    77,
     457,  2056,  2038,   218,   368,  3249,   391,   411,   319,   101,
     365,  2038,  2593,    52,  2117,  2181,  4783,   329,   244,  2185,
     246,     5,    88,   323,   324,  2038,    10,  2367,   208,   454,
     454,   395,   457,   457,    18,  3843,   454,  2203,  3978,   457,
    3848,   137,   108,   258,  2099,   453,  3854,  2789,  2214,  2389,
     405,  4651,    36,   149,   418,   418,   420,   420,   154,  3423,
      89,  2227,  2117,   418,  2404,     9,   181,  2407,  2408,  2235,
    2106,   453,  2412,  2413,  2647,   141,   260,  3409,  2181,  2419,
     327,  3428,  3429,  3163,   439,    13,    14,   202,   399,   453,
     457,   183,     8,   454,  2149,    11,   457,  2090,   453,    15,
      16,    17,   198,   453,  3207,  3208,  3209,  3210,  3352,   411,
    3213,  3214,  3215,  3216,  3217,  3218,  3219,  3220,  3221,  3222,
      52,  2863,   218,  2289,  3090,  3091,  2181,   409,  3460,  3171,
    2185,   160,  2235,   454,  2996,    42,   457,  3240,    81,   231,
     436,  2481,   234,  4152,   204,   455,   454,   262,  2203,   457,
     454,   454,   244,   457,   457,  4922,   263,   454,    88,  2214,
     457,   190,   258,  2190,   263,   260,  3269,  3270,  4627,   376,
     266,  2198,  2227,  2200,  4322,   154,   205,  4627,   108,   260,
    2235,   273,    64,   453,  2757,   455,   215,   454,    70,  2355,
     457,  2757,   454,  4652,   454,   457,  3647,   457,   454,    81,
     436,   457,  4652,  3455,   454,  3457,   418,   457,   420,   163,
     454,   141,   241,   457,   263,   454,   454,  2253,   457,   457,
     163,   454,   314,   454,   457,  2261,   457,   109,   369,   111,
     371,  3202,    42,  2269,   454,  2271,   369,   457,   371,   305,
     454,   184,   456,   122,   454,   124,     8,   457,  4354,    11,
     418,  2417,   420,    15,    16,    17,   454,   454,   204,   457,
     457,   353,   454,  4863,   456,  3236,   332,   221,   147,   454,
      32,   436,   457,  3373,  3374,  3167,   454,   454,   221,   457,
     457,  2317,   454,   446,   158,   457,   202,  2453,   454,   453,
     319,   457,  2727,  2728,   454,   391,  4896,   457,  3650,   365,
    4108,   454,   457,   454,   457,  2471,   188,   454,  3633,   454,
    3281,  2347,   457,  2479,   454,   454,    52,   457,   457,  2355,
    2339,  2339,   265,  2304,   137,   440,   441,   442,   159,   444,
     445,   446,   447,   448,   449,   454,   149,  4780,   457,   405,
    4280,   154,  3021,   409,   454,   200,   262,   457,   302,   453,
    2377,  2378,   418,   454,   339,   451,   457,  2384,   454,   455,
    2483,   767,   137,   769,   246,  4965,  2489,   246,   454,   251,
     455,   457,   251,   439,   149,   305,  3832,   256,  3834,   154,
    4839,  2417,   422,   454,   453,   198,   457,   453,   309,  4839,
    2556,   454,   454,   181,   457,   457,  2562,  3401,  2453,   142,
    3172,  2593,   332,  2743,  3354,   218,  4415,   454,   290,   454,
     457,   454,   457,   227,   457,   369,  2471,   371,   247,   248,
    2447,   453,   304,   198,  2479,  2998,   369,  3000,   371,  3698,
    3699,  3700,  2998,   454,  3000,   365,   457,  3147,   381,   454,
     202,   395,   457,   218,  2879,   258,   455,   454,  4388,   392,
     457,   142,   395,   266,  2889,     8,   454,   411,    11,   457,
     260,  3317,    15,    16,    17,   454,   454,   454,   457,   457,
     457,  3574,   181,  2665,   454,   405,   309,   457,  2537,    32,
     260,  2647,  2822,   258,  2824,   142,   454,    40,   418,   457,
     142,   266,   181,    46,   454,  3068,   260,   457,   454,     0,
     262,   457,  3068,   332,   383,   454,   154,  2630,   457,   439,
     392,   309,   454,   327,   393,   457,   142,    70,  3304,  2537,
     216,   399,  2581,   453,   440,   441,   442,   111,   444,   445,
     446,   447,   448,   449,   260,   454,   365,   248,   457,  3307,
    3308,  3309,   381,   454,     8,  2711,   457,    11,   453,   255,
     411,    15,    16,    17,   368,   454,   454,   329,   457,   457,
    2683,  2727,  2728,  2581,  4831,   154,   454,  3931,    32,   457,
     454,   454,  1776,   457,   457,  1779,   405,  3012,   391,  3014,
    2598,   395,   454,   454,   208,   457,   457,    88,  2754,   418,
     454,  2757,   454,  2933,   454,   457,  2614,   457,    64,  2939,
    3844,  2624,  2625,  2626,   418,   454,   420,   453,   457,    35,
     439,  2647,  2630,   246,   454,   422,   391,   457,  2645,   454,
    2647,   332,   457,   176,   453,   453,   260,  2686,   181,  3873,
     454,   246,   454,   457,  4333,   457,   137,   227,   454,   453,
      42,   457,  2661,  2661,  2661,  2661,  2661,  2661,   149,   202,
     203,    42,   454,   154,   365,   457,  2711,   454,   159,   386,
     457,   274,   154,   164,   217,  2683,   167,   411,  2686,   170,
     411,  2837,  2838,  2839,    77,  2381,  2382,  2383,   440,   441,
     442,   154,   444,   445,   446,   447,   448,   449,     8,  3551,
    3530,    11,   293,   142,   405,  2861,   249,   198,   142,  2754,
     453,   142,   453,   408,   286,   453,   142,   418,  2874,   262,
    2876,    34,   265,  2879,   422,   142,   260,   218,   142,   457,
      40,  2757,   142,  2889,   142,  3977,    46,  3162,   439,   142,
    3999,  4000,   142,  4002,   260,   142,   142,   327,   202,   154,
     260,  3081,   453,   454,  3661,   456,   142,   142,   142,   142,
      70,   365,   453,    35,   216,     8,   154,   258,   260,   260,
     453,     5,    15,    16,    17,   266,   154,     5,  3108,  3109,
     453,  3111,     8,  3113,  3114,    11,   453,   154,   368,    15,
      16,    17,   453,   453,   453,   453,  3126,  2953,   453,   453,
       5,   344,  3781,  2985,     5,  4603,    32,  3768,   262,   453,
    2992,     5,   453,   453,   453,   395,  2861,  2843,   453,   453,
     453,   453,     5,   453,   453,   316,    48,   453,   453,  2874,
     419,   453,   453,   453,  3164,  2991,   453,   200,   418,   271,
     420,   453,  2998,   453,  3000,   453,   457,    35,   457,    35,
      92,   154,   216,   154,   258,   227,  3012,   256,  3014,   339,
     327,  2887,   227,   376,   376,   455,   176,   376,    90,   376,
     227,   181,     8,   453,   365,    11,   327,   218,   376,    15,
      16,    17,   376,   442,    81,   327,   376,   142,   331,   260,
     260,   213,   376,   115,   437,   376,    32,   440,   441,   442,
     391,   444,   445,   446,   447,   448,   449,   217,  2953,   131,
    2936,   251,  3068,   135,   457,   227,   376,   260,   368,   398,
     256,   260,   323,   453,   415,   174,   417,   418,   376,   376,
       0,   453,  2958,   155,    81,   181,   158,   457,   142,  2965,
    2966,  3703,   274,  2969,   399,   103,   399,   376,   376,   171,
    2976,   227,   262,  2979,   376,   327,    52,    52,   376,  2985,
     451,   376,   327,   454,   455,   456,  2992,   376,  2985,  3125,
     327,   264,  2998,   368,  3000,  2992,   202,  4067,     8,    41,
      41,    11,   376,   327,  3140,   376,   440,   441,   442,   376,
     444,   445,   446,   447,   448,   449,   368,   376,  3015,   457,
     376,   260,   202,   368,   260,   418,  3162,   260,   376,  3165,
      40,   368,  3038,   202,    35,   327,    46,   202,    88,   262,
     422,    24,   260,   395,  3137,   386,   453,   142,   246,   251,
     395,   109,   453,   399,   344,   142,   262,   259,   395,   256,
      70,  3067,  3068,   224,   246,    35,   418,   246,   420,  3058,
    3058,   327,   410,   418,   154,   420,   368,    35,  4373,  4152,
     208,   418,   328,   420,   453,    34,   202,   137,  4161,   374,
    3087,  3080,  3080,   453,   296,   374,   451,   451,   339,   149,
    3125,   453,   376,   395,   154,  4327,  3242,   376,   453,   159,
     376,   453,   368,   376,   164,  3140,   453,   167,   142,   142,
     170,   399,   142,   399,   142,   135,   418,   142,   420,   227,
     255,   376,   250,   159,   414,   453,   238,   238,  3277,   395,
    3165,    11,  3898,   457,   227,   453,   262,   437,   198,   374,
     453,   167,   376,   150,   444,   445,   446,   447,   448,   449,
     159,   453,   418,   378,   420,   454,   176,   458,   218,   457,
     174,   181,   174,   198,   206,  3172,  4845,  4846,   453,   261,
     457,    35,   342,   399,  3147,   457,    52,   268,  3869,   454,
     376,   327,  3597,  3598,   327,   453,   399,   453,  3291,   206,
    3293,   376,  4441,   206,   251,  3610,   251,   217,   258,   376,
     260,   453,   376,  4452,   376,   411,   266,   440,   441,   442,
     329,   444,   445,   446,   447,   448,   449,   381,   154,   327,
     208,   144,   251,   260,   440,   441,   442,    42,   444,   445,
     446,   447,   448,   449,   327,  3251,  3275,   144,   348,   216,
     246,   216,   262,     8,   216,   323,    11,   376,   368,   259,
      15,    16,    17,   457,  3293,   260,   316,   260,  3404,   376,
     368,   309,   175,   336,   202,    35,   298,   376,   202,  3372,
     376,   202,   399,   202,   399,   368,   208,  3275,   202,  4528,
    3283,  3284,  3285,  3286,  3456,   259,   184,   395,   442,   442,
     142,   295,   154,  3291,   154,  3293,  4975,  4976,   411,   156,
    3861,   256,   395,   453,  3450,   365,   453,   142,   142,  3455,
     418,  3457,   420,   336,   440,   441,   442,   418,   444,   445,
     446,   447,   448,   449,   344,   418,   246,   420,    35,   246,
     260,   391,  4415,   260,     0,   208,   172,   154,    35,   172,
     454,   436,   436,   330,   451,   453,   236,   142,   260,   260,
     454,   454,   454,   208,   454,   415,   260,   417,   418,   246,
     453,   154,  3682,  3509,   422,   336,  3512,   181,   181,  3404,
    3690,  3691,  3692,  3693,   181,   457,   457,   457,    23,   165,
     376,   453,   159,   260,  4633,   235,   457,   418,    52,   381,
     255,   451,   365,  4052,   454,   455,   456,   208,   454,   159,
     454,   454,   271,   411,   454,   454,   159,   454,   454,   453,
     376,   454,   457,   454,   454,   454,   279,   437,     8,   270,
     436,    11,    88,   226,   444,   445,   446,   447,   448,   449,
     415,   453,   453,   397,   453,   453,   438,   202,   453,   415,
    3456,   260,   405,   442,    52,   263,   184,   142,   260,  3456,
      40,  3597,  3598,   454,   260,   453,    46,   376,   453,  4691,
     422,   376,   376,   192,  3610,  4533,  3612,   251,  4216,  4420,
     376,   137,   246,  3489,  3509,  4223,  3492,  3512,  3494,   142,
      70,  3488,   264,   149,   331,   142,  4235,  4509,   154,  4331,
     142,   331,   331,   159,  4510,  3488,   216,   262,   164,   184,
     144,   167,   376,   399,   170,   218,   376,   280,  4459,  4524,
     396,  4526,   280,  3928,   228,   376,   228,   376,   376,   228,
     376,   260,  3538,   376,   246,   327,   327,   376,  3544,  3545,
     376,  3547,   198,   376,   376,   327,   327,  3553,   376,   339,
     142,    41,   202,   202,   376,   135,   376,   202,   202,  3556,
    3557,   169,   218,     3,   454,   454,   457,   386,    42,   311,
    3706,   102,   454,   457,   453,   259,   376,   260,    35,   454,
     142,   376,   142,   154,   169,    62,  3991,  3612,   399,   454,
     452,   452,   142,   399,   327,   327,   176,   327,   263,  3909,
     457,   181,   258,   140,   260,   336,   140,   202,   202,   202,
     266,   133,   159,   451,    11,   154,   271,     8,   159,   453,
      11,   410,   457,   454,    15,    16,    17,   454,   266,   415,
     159,  4701,  4702,  3943,  3944,  4693,   454,   217,   454,   454,
    3646,    32,   167,   457,   457,   439,   261,   316,    79,    40,
     386,  4352,   154,  3642,  3642,    46,   454,    35,   399,   399,
     316,   376,   208,    52,   192,   453,   142,   454,   452,   386,
    4892,   331,   368,   442,   454,   453,   453,   309,   376,    70,
     453,  3706,   262,  4624,   376,   440,   441,   442,   376,   444,
     445,   446,   447,   448,   449,  4636,  4247,  4435,   327,  3861,
    4641,   327,  4643,   376,   376,   454,  3703,   454,   454,   365,
     418,    52,  4022,  4023,  3720,   154,   368,  3723,   144,  3725,
      70,   142,   102,   386,   202,   206,   294,   454,   453,   202,
     202,   202,   418,  4955,  3827,   391,   187,   453,  3831,  4809,
    4291,   422,   453,   457,   154,   454,    35,    75,   368,   386,
     457,   457,  4974,   453,   376,   336,   457,   164,   453,   415,
     454,   417,   418,   452,   344,   102,   159,   202,   202,   202,
     202,   159,   454,   453,    52,   454,   303,   416,   454,   457,
     416,   205,   271,   454,   454,   176,   453,   453,   205,   269,
     181,  4533,  3928,   367,   453,   451,    52,  3933,   454,   455,
     456,   267,   170,   454,   256,   159,  4116,   386,   454,  4119,
    4120,   202,   203,   454,   442,   376,  3978,   418,    70,   186,
    4878,   251,  3958,   251,   442,  4135,   217,    52,   368,    64,
     457,   376,   457,   376,  3970,   142,   202,   453,   376,  3827,
     161,  3977,   159,  3831,   399,   181,   453,   399,   336,    35,
    3856,   246,  3858,   128,   418,  3991,   414,   437,   249,   418,
    4872,    35,   159,   453,   444,   445,   446,   447,   448,   449,
     260,   262,  3890,   154,   265,   189,  4281,   263,   200,   159,
     453,   453,  3871,  3871,   303,   404,   278,   352,   454,   454,
     453,   417,   205,    81,   123,   260,   453,   376,   454,   453,
     304,   454,   453,   154,   453,    22,   376,    24,   116,   453,
      35,    28,   251,   229,   184,   294,    33,    34,    35,   454,
      37,   453,   142,    40,    41,   141,    43,    35,    45,   453,
     453,   264,   386,  3958,   454,   350,   350,   324,   454,   324,
      52,    52,  3939,    35,   453,  3970,   453,   457,   454,   453,
     453,   399,   453,   344,   454,   368,  3939,   368,   244,   260,
     368,  4054,   454,     5,  3961,  3962,     3,   148,   294,  3966,
    3967,     8,  3978,    64,    11,   263,    64,   123,    15,    16,
      17,  3978,   418,   403,   303,   453,   404,    35,   457,   418,
    4533,   453,   339,   159,   368,    32,   301,   154,    35,   415,
    4136,   251,   128,    40,   186,   260,   260,   453,    35,    46,
      35,   336,   453,  4019,  4020,  4664,   263,   263,   161,   161,
      52,   323,  4028,     5,  4030,  4031,   397,   454,  4034,   454,
     453,   453,   114,    70,   310,    21,   323,    32,   141,   159,
     350,   376,   454,   418,   453,   294,   437,   453,   418,   440,
     441,   442,   457,   444,   445,   446,   447,   448,   449,   457,
     350,   161,   161,  1481,  2302,   827,   457,  1259,   867,   453,
    2647,   764,  4078,   190,   191,   192,   193,  2161,   195,  2813,
     197,   860,   199,  3455,   201,  4247,  2231,   204,  2983,  3553,
    4546,   866,  4691,   210,  4083,  4083,   213,  4878,  4408,  4369,
     217,  4107,   219,  4196,  4240,  3595,  4242,  4373,  4201,  4660,
    4045,  4136,  4351,  4206,  2734,  4787,  4209,  4210,  4280,  2435,
    4246,  4869,  4719,  4718,  4818,  2738,  3643,  3628,  3587,  4291,
    3450,  4137,  2292,  2292,  2838,  4141,  4142,  3611,  4144,   176,
    4233,  1551,  4070,  2286,   181,  4281,  4880,  3037,  4955,  4974,
    4693,  4346,  2991,  4246,  2987,  4829,  4293,  4679,  4797,    27,
    3706,     8,  1540,  4296,    11,   202,   203,  1105,  4481,  1116,
    3650,  4603,  2012,  4483,  2709,   631,  1731,  4844,  1731,  2937,
     217,  1732,  3977,  4958,  1340,  1956,  1955,  3631,  3872,  1677,
    4779,  4327,  3349,    40,   742,  1303,  1285,  4290,  1304,    46,
     602,  2662,  2673,  1996,  3316,  2668,  4772,  4645,  1236,  2683,
    3857,  3293,   249,  4201,  1995,  4240,  3818,  4242,  4206,  4529,
    1306,  4209,  3833,    70,  4449,   262,  4627,  3291,   265,  4626,
    3350,  4418,  1311,  3244,  3096,  4225,  4775,  4762,  4776,  1609,
    4333,  2665,  2650,  1825,  2598,  2508,  2596,  4235,  1828,    -1,
    4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4280,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,  4386,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
      -1,    40,    -1,    -1,   181,  4878,    -1,    46,    35,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,  4448,    -1,    54,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,  4502,  4356,  4356,    -1,
     217,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    -1,    -1,    -1,  4383,  4383,    -1,  4533,    -1,    -1,
     437,    70,    -1,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,    -1,    -1,   262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    22,    -1,    -1,
    4459,    -1,   549,    28,    -1,    -1,    -1,    -1,   555,    -1,
     557,    -1,    -1,   560,    -1,   562,    -1,   564,   145,  4478,
      -1,    -1,    -1,    -1,   571,    -1,    -1,    -1,   575,    -1,
    4448,    -1,    -1,    -1,    -1,   582,    -1,   176,  4561,    -1,
      -1,  4459,   181,    68,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   606,
    4478,    -1,    -1,    -1,   611,    -1,    -1,   344,  4660,   616,
      -1,    -1,    -1,   620,    -1,    -1,    -1,   176,   217,    -1,
      -1,   208,   181,    -1,    -1,    -1,   213,    -1,    -1,    -1,
     637,    -1,   117,    -1,    -1,   120,    -1,  4533,    -1,    -1,
      -1,  4537,   127,    -1,  4627,   130,  4533,    -1,    -1,    -1,
      -1,  4547,    -1,    -1,    -1,    -1,    -1,    -1,   217,   246,
      -1,    -1,    -1,   262,  4864,  4691,    -1,  4693,    -1,  4652,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   686,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,    -1,
      -1,    -1,   699,    -1,   701,    -1,    -1,    -1,    -1,    -1,
     437,   186,    -1,   262,    -1,  4584,  4584,   444,   445,   446,
     447,   448,   449,    -1,   721,   722,    -1,   724,   725,    -1,
      -1,    -1,   729,    -1,    -1,    -1,   313,    -1,    -1,    -1,
     317,    -1,    -1,    -1,    -1,    -1,   743,   324,    -1,    -1,
     747,    -1,    -1,    -1,   331,   344,   753,    -1,    -1,    -1,
      -1,  4734,   339,    -1,  4780,    -1,    -1,    -1,   765,   244,
      -1,   246,    -1,    -1,   351,    -1,    -1,    -1,    -1,    -1,
     777,   256,   359,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,   274,
      -1,    -1,   379,    -1,    -1,    -1,    -1,  4693,    -1,    -1,
      -1,  4697,    -1,  4699,    -1,    -1,    -1,  4703,  4704,  4792,
      -1,    -1,    -1,   820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,   413,   312,   313,   836,
     417,   418,    -1,    -1,   841,   842,    -1,    -1,   437,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,   446,   447,   448,
     449,    -1,  4878,    -1,   339,    -1,  4839,    -1,    -1,   866,
     867,    -1,  4845,  4846,    -1,  4780,  4892,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,   891,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,   902,    -1,    -1,    -1,   906,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   921,    -1,    25,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4955,
      -1,    -1,    -1,    -1,   941,    -1,    -1,    -1,    -1,    -1,
      -1,   948,   949,    -1,    -1,    -1,    -1,    -1,  4974,    -1,
      -1,  4830,  4830,    -1,    -1,    -1,    -1,    -1,   965,   966,
     967,    -1,   969,    72,   971,  4844,  4844,  4844,  4844,  4844,
    4844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4898,
    4963,    -1,  4878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,  4975,  4976,   103,    -1,  4892,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4892,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,  4898,
    4898,  4898,  4898,  4898,  4898,    -1,    -1,   136,    -1,    -1,
      -1,  1038,    -1,  1040,  1041,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    -1,    -1,    -1,   156,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    22,    -1,  4955,
      -1,  1068,    -1,    28,    -1,    -1,    -1,    -1,  4955,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4974,  4958,
    4958,  4958,  4958,  4958,  4958,    -1,    -1,  4974,    -1,    -1,
      -1,  1098,  1099,    -1,    -1,    -1,  1103,    -1,  1105,    -1,
     209,   145,    -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     0,    -1,    -1,    -1,    -1,    -1,    -1,  1126,
      -1,   230,  1129,    -1,    -1,  1132,    -1,    -1,    -1,    -1,
      18,    -1,    -1,    -1,   178,    -1,    -1,    -1,  1145,    -1,
      28,    -1,    30,    31,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,   120,    -1,    45,    -1,    -1,
      -1,    -1,   127,    -1,   208,   130,    -1,  1174,    32,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    65,    -1,    67,
      68,    -1,    46,    -1,   293,    73,    -1,    75,    -1,    -1,
     155,    -1,    -1,    -1,    -1,  1202,  1203,  1204,    86,  1206,
      88,    -1,   246,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,   320,    -1,    -1,    -1,    -1,    -1,   105,   327,  1226,
     108,   186,    -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,
      -1,   275,    -1,   121,    -1,   123,    -1,    -1,    -1,   127,
      -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,   143,   365,  1264,    -1,   368,
    1267,   149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,    -1,   317,    -1,    -1,   164,   386,    -1,   244,
     324,   246,    -1,    -1,    -1,    -1,    -1,   331,    -1,  1296,
      -1,   256,   180,  1300,  1301,   339,    -1,    -1,    -1,   264,
      -1,    -1,   411,    -1,  1311,  1312,  1313,   351,    -1,   274,
      -1,    -1,   176,    -1,    -1,   359,    -1,   181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,
      -1,   219,   220,    -1,    -1,   379,    -1,   225,   202,   203,
      -1,    -1,    -1,    -1,   309,    -1,    -1,   312,   313,   237,
      -1,    -1,    -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,
     248,  1368,    -1,    -1,    -1,    -1,  1373,    -1,    -1,   413,
      -1,    -1,    -1,   417,   339,    -1,    -1,    -1,    -1,  1386,
    1387,    -1,    -1,    -1,    -1,   249,    -1,    -1,  1395,    -1,
      -1,  1398,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
     288,   265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,  1420,    -1,  1422,    -1,   305,   306,    -1,
     308,    -1,    -1,  1430,    -1,   313,  1433,    -1,    -1,    -1,
     318,    -1,    -1,   321,    -1,    -1,    -1,   402,   326,    -1,
      -1,    -1,    -1,   331,   332,    -1,    -1,    -1,    -1,    -1,
    1457,   339,    -1,    -1,    -1,   343,    -1,    -1,  1465,  1466,
    1467,  1468,  1469,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1480,    -1,    -1,  1483,   365,    -1,    -1,
     344,    -1,    -1,     8,    -1,    -1,    11,  1494,    -1,  1496,
      15,    16,    17,    -1,    -1,    -1,   384,    -1,    -1,    -1,
    1507,  1508,    -1,    -1,    -1,    -1,   394,    32,    -1,  1516,
      -1,    -1,   400,    -1,    -1,    40,    -1,   405,    -1,  1526,
      -1,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1545,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,  1554,  1555,  1556,
    1557,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1566,
      -1,    -1,    -1,    -1,    -1,   453,  1573,    -1,   456,  1576,
      -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,  1586,
     444,   445,   446,   447,   448,   449,  1593,    -1,    -1,    -1,
     454,  1598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1635,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,  1645,    -1,
      40,    -1,  1649,    -1,    -1,  1652,    46,    -1,    -1,    -1,
      -1,   176,    -1,    -1,    -1,  1662,   181,    -1,    -1,    -1,
      -1,    -1,    -1,  1670,  1671,    -1,    -1,    -1,  1675,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,  1700,    -1,    -1,    -1,    -1,    -1,    -1,
    1707,    -1,  1709,    -1,    -1,    -1,  1713,  1714,    -1,  1716,
      -1,    -1,    -1,    -1,    -1,    -1,  1723,    -1,    -1,    -1,
      -1,    -1,    -1,  1730,   249,    -1,    -1,    -1,  1735,  1736,
      -1,    -1,  1739,    -1,    -1,    -1,  1743,   262,  1745,    -1,
     265,    -1,    -1,  1750,  1751,    -1,    -1,    -1,    -1,    -1,
    1757,  1758,  1759,    -1,    -1,    -1,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,    -1,  1772,    -1,  1774,  1775,    -1,
      -1,  1778,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,  1793,  1794,  1795,  1796,
      -1,    -1,    -1,  1800,  1801,    -1,    -1,    -1,  1805,    -1,
      -1,  1808,   202,   203,  1811,  1812,  1813,  1814,  1815,  1816,
    1817,  1818,  1819,    -1,  1821,   612,    -1,   217,    -1,   344,
    1827,  1828,    -1,  1830,    -1,    -1,    -1,    -1,    -1,    -1,
    1837,    -1,    -1,    -1,    -1,    -1,   633,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,   265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,    25,    -1,    -1,    -1,   454,
       8,    -1,    -1,    11,    -1,    68,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,   344,    -1,    -1,  1954,    -1,  1956,
      -1,  1958,    -1,    -1,    32,    -1,    -1,    -1,    58,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,    71,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,   117,    85,  1993,   120,    -1,    -1,
      -1,    -1,    70,  2000,   127,  2002,    32,   130,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   155,    -1,  2031,   125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2040,    70,  2042,   136,   437,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,  2059,   186,   454,    -1,   156,    -1,    -1,    -1,
      -1,   161,    -1,  2070,    -1,  2072,  2073,    -1,    -1,    -1,
    2077,    -1,  2079,    -1,  2081,    -1,  2083,    -1,    -1,    -1,
    2087,    -1,    -1,  2090,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
      -1,   898,    -1,   181,  2111,    -1,    22,    -1,    -1,    -1,
      -1,   244,    28,   246,  2121,    -1,    -1,    -1,    -1,    -1,
      -1,   918,  2129,   256,   202,   203,    -1,    -1,    -1,  2136,
     230,   264,    -1,    -1,    -1,   932,    -1,    -1,  2145,   217,
     176,   274,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,  2165,    -1,
      -1,    -1,   262,  2170,  2171,    -1,   202,   203,    -1,    -1,
      -1,   249,  2179,    -1,    -1,    -1,   309,    -1,    -1,   312,
     313,   217,    -1,    -1,   262,    -1,    -1,   265,    -1,  2196,
      -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   120,    -1,   339,    -1,    -1,    -1,
      -1,   127,    -1,   249,   130,    -1,  2223,    -1,  2225,  2226,
      -1,    -1,    -1,    -1,    -1,    -1,   262,   327,    -1,   265,
      -1,    -1,    -1,   333,    -1,    -1,   336,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,  2252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2260,    -1,  2262,    -1,    -1,    -1,    -1,
      -1,  2268,    -1,    -1,    -1,   365,   344,    -1,    -1,   402,
     186,    -1,   372,  2280,    -1,    -1,    -1,    -1,    -1,   379,
      -1,    -1,    -1,    -1,    -1,    -1,   386,  2294,    -1,    -1,
    2297,    -1,  2299,    -1,    -1,  2302,    -1,    -1,  2305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   411,     8,    -1,    -1,    11,  1113,    -1,    -1,    15,
      16,    17,    -1,    -1,  2331,    -1,    -1,    -1,   244,    -1,
     246,    -1,    -1,  2340,  2341,    -1,    32,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    40,    -1,    -1,    -1,   264,    -1,
      46,    -1,    -1,    -1,    -1,    -1,    -1,  2364,   274,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,  2379,    -1,    70,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2394,    -1,  2396,
    2397,  2398,  2399,   309,    -1,    -1,   312,   313,    -1,    -1,
      -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,  2422,    -1,    -1,   454,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,  2435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,  2473,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,  2483,    -1,    46,    -1,
     176,    -1,  2489,    -1,    -1,   181,   402,    -1,    -1,    -1,
      -1,    -1,    -1,  2500,    -1,    -1,    -1,    -1,    -1,    -1,
    2507,    -1,    70,    -1,    -1,  2512,   202,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,  2535,  2536,
    2537,    -1,    -1,  2540,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2548,  2549,  2550,  2551,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   249,  2561,    -1,    -1,  2564,    -1,  2566,
      -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,   265,
    2577,  2578,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2593,    -1,  2595,    -1,
    2597,    -1,  2599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,   176,    -1,
      28,    -1,  2619,   181,    -1,    -1,  2623,    -1,    -1,    -1,
      -1,  1418,    -1,  2630,    -1,  2632,  2633,  2634,    -1,    -1,
       8,    -1,    -1,    11,   202,   203,    -1,    15,    16,    17,
      -1,    -1,    -1,  2650,    -1,    -1,    -1,    -1,   344,   217,
      68,    -1,    -1,    -1,    32,  2662,    -1,    -1,    -1,    -1,
    2667,    -1,    40,    -1,    -1,    -1,  2673,    -1,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,  2686,
      -1,   249,  2689,    -1,  2691,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,   262,    -1,    -1,   265,    -1,    -1,
      -1,  1498,   120,    -1,    -1,    -1,    -1,    -1,    -1,   127,
      -1,    -1,   130,    -1,    -1,    -1,  1513,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2733,    -1,  2735,    -1,
      -1,    -1,    -1,  2740,    -1,  1532,    -1,   155,    -1,    -1,
      -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,   454,  2766,
      -1,  2768,  2769,  2770,    -1,    -1,    -1,    -1,   186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,
      -1,    -1,  1579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1592,    -1,    -1,   176,    -1,
      -1,    -1,    -1,   181,    -1,    -1,    -1,  1604,    22,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,  1616,
      -1,    -1,    -1,    -1,   202,   203,   244,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   217,
      -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,  1660,    -1,    -1,  1663,    -1,    -1,   437,
    2877,   249,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    54,    -1,   262,    -1,   454,   265,    -1,    -1,
      -1,    13,    -1,    -1,   312,   313,    -1,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   120,    29,    -1,    -1,
      -1,    -1,    -1,   127,    -1,    87,   130,    -1,    -1,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,   155,    11,    -1,    -1,   117,    15,    16,    17,    -1,
      -1,    -1,    -1,  2960,    -1,    -1,    -1,    -1,    -1,    -1,
    2967,  2968,    -1,    32,    -1,    -1,   344,    -1,    -1,    -1,
      -1,    40,   186,   145,    -1,    -1,    -1,    46,    -1,    -1,
      -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1792,    -1,  3004,  3005,    -1,
      -1,    70,    -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,
      -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3035,  3036,
     244,    -1,   246,    -1,    -1,    -1,    -1,  3044,  3045,  3046,
      -1,   213,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,    -1,    -1,  3062,    -1,    -1,    -1,   437,
     274,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,   246,   197,   454,    -1,    -1,    -1,
      -1,    -1,    -1,   205,    -1,    -1,   208,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   309,    -1,    -1,   312,   313,
      -1,    -1,   274,   275,    -1,    -1,    -1,   176,  3115,    -1,
    3117,    -1,   181,    -1,  3121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,
    3137,    -1,    -1,   202,   203,    -1,    -1,   309,    -1,    -1,
    3147,   313,    -1,    -1,    -1,   317,    -1,    -1,   217,    -1,
      -1,    -1,   324,    -1,    -1,    -1,  3163,    -1,    -1,   331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,  3175,    -1,
      -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,   351,
     249,    -1,    -1,    -1,  3191,    -1,    -1,   359,   402,    -1,
    3197,    -1,  3199,   262,    -1,  3202,   265,    -1,    -1,    -1,
    3207,  3208,  3209,  3210,    -1,    -1,  3213,  3214,  3215,  3216,
    3217,  3218,  3219,  3220,  3221,  3222,    -1,    -1,    -1,  3226,
    3227,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,  3236,
      15,    16,    17,  3240,    -1,    -1,    -1,  3244,    -1,    -1,
      -1,   413,    -1,    -1,    -1,  3252,    -1,    32,  3255,    -1,
    3257,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,  3266,
      -1,    46,  3269,  3270,    -1,    -1,    -1,  3274,  3275,    -1,
      -1,    -1,  3279,    -1,  3281,   344,    -1,  2074,    -1,    -1,
      -1,  3288,  3289,  3290,  3291,    70,  3293,  3294,    -1,  2086,
      -1,  3298,  3299,    -1,    -1,    -1,    -1,    -1,  3305,    -1,
      -1,    -1,    22,    -1,  3311,  3312,  3313,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2126,
      -1,  3338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3349,    -1,  3351,    -1,    -1,    -1,    68,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3372,  3373,  3374,   437,  3376,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,   454,    -1,  3394,  3395,  3396,
    3397,   176,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,   127,    -1,    -1,
     130,    -1,    -1,    -1,    -1,    -1,  3423,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3437,    -1,   217,    -1,    -1,   155,   558,    -1,    -1,    -1,
      -1,    -1,    -1,    22,   566,    -1,    -1,    -1,    -1,    28,
      -1,   573,    -1,    -1,   576,   577,    -1,    -1,    -1,   581,
      -1,    -1,    -1,    -1,   249,    -1,   186,    -1,    -1,    -1,
     592,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,
     265,    -1,    -1,    -1,  2281,   607,    -1,    -1,    -1,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     622,    -1,   624,    -1,    -1,   627,    -1,   629,     8,    -1,
     632,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
    3527,    -1,    -1,    -1,   244,    -1,   246,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      40,   120,    -1,    -1,   264,    -1,    46,    -1,   127,    -1,
      -1,   130,    -1,    -1,   274,    -1,    -1,    -1,    -1,   344,
      -1,    -1,    -1,  3570,    -1,  3572,    -1,  3574,    -1,    -1,
      70,    -1,    -1,  3580,    -1,    -1,   155,    -1,   700,  3586,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3595,   309,
      -1,    -1,   312,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,  3615,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3625,   339,
      -1,    -1,    -1,    -1,    -1,    -1,  3633,    -1,    -1,    -1,
      -1,    -1,    -1,   755,    -1,    -1,  3643,    -1,    -1,    -1,
    3647,    -1,    -1,    -1,  3651,  3652,    -1,    -1,    -1,    -1,
      -1,    -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   244,    -1,   246,    -1,   454,
      -1,    -1,  2469,    -1,    -1,    -1,   176,   256,  3685,    -1,
    3687,   181,   402,    -1,    -1,   264,    -1,    -1,    -1,  2486,
    3697,    -1,    -1,   815,    -1,   274,    -1,    -1,    -1,    -1,
    2497,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,     8,
    3727,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
     309,  3738,    -1,   312,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    22,    -1,    -1,    -1,    -1,   249,
      28,    40,    -1,    -1,    -1,    -1,    -1,    46,   880,    -1,
     339,  3768,   262,    -1,    -1,   265,    -1,    -1,    -1,    -1,
      -1,  3778,  3779,   895,    -1,    -1,    -1,    -1,  3785,  3786,
      -1,    70,    -1,  3790,    -1,   907,    -1,   909,  3795,    -1,
      68,  3798,  3799,    -1,    -1,   917,  3803,  3804,    -1,    -1,
      -1,    -1,  3809,  3810,  3811,  3812,  3813,   929,    -1,    -1,
    3817,  3818,   934,  3820,    -1,   937,  3823,    -1,    -1,    -1,
    3827,    -1,    -1,   402,  3831,    -1,    -1,    -1,    -1,    -1,
    3837,     8,    -1,    -1,    11,    -1,  3843,    -1,    15,    16,
      17,  3848,   120,    -1,   344,    -1,    -1,  3854,    -1,   127,
     972,    -1,   130,    -1,  3861,    32,    -1,    -1,    -1,    -1,
      -1,    -1,  3869,    40,     8,  3872,    -1,    11,    -1,    46,
    3877,    15,    16,    17,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,  3890,    -1,    -1,  3893,   176,    32,    -1,
      -1,    -1,   181,    70,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    46,    -1,    -1,    -1,  3913,  3914,   186,    -1,
      -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3931,    -1,    70,    -1,   217,    -1,
      -1,    -1,    -1,  3940,    -1,    -1,    -1,   437,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,
     249,    -1,    -1,  2760,    -1,    -1,   244,    -1,   246,    -1,
      -1,    -1,    -1,   262,  3981,    -1,   265,    -1,   256,    -1,
    2777,    -1,    -1,    -1,    -1,  1107,   264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4001,    -1,   274,    -1,    -1,   176,
      -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,  4016,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   202,   203,    -1,    -1,    -1,
      -1,   309,   176,    -1,   312,   313,  4043,   181,    -1,    -1,
     217,    -1,    -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,
      -1,    -1,  4059,    -1,    -1,   344,    -1,    -1,   202,   203,
    4067,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   249,   217,  2871,    -1,  2873,  4084,  4085,    -1,
      -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,   265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   249,  4113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,   265,    -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4152,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,  4161,   444,   445,   446,   447,   448,
     449,    -1,  2959,  1285,  1286,   454,    -1,   344,    -1,    -1,
      -1,  4178,  4179,    -1,    -1,  4182,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4196,
    4197,    -1,    -1,    -1,  4201,    -1,    -1,    -1,    -1,  4206,
     344,    -1,  4209,  4210,    -1,  4212,    -1,  4214,    -1,    -1,
    4217,  4218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,    -1,  4246,
    4247,  4248,  4249,  4250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    22,  4290,  4291,  3082,    -1,    -1,    28,    -1,
      -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,  1421,
     444,   445,   446,   447,   448,   449,     8,    -1,    -1,    11,
     454,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4333,    -1,    68,  4336,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,  4346,
      -1,    -1,    -1,    -1,    46,  4352,    -1,  4354,    -1,    -1,
      -1,    -1,    -1,  4360,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4373,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4384,  4385,  4386,
     120,    -1,    -1,    -1,    -1,    -1,    -1,   127,  3185,    -1,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4415,  3206,
      -1,  4418,    -1,  4420,  1536,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,  3231,    -1,    -1,  4444,    -1,    -1,
      -1,  4448,    -1,    -1,    -1,  4452,   186,    -1,    32,    -1,
      -1,    -1,  4459,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,  4468,    46,    -1,    -1,    -1,    -1,    -1,  3265,    -1,
      -1,  4478,    -1,    -1,   176,    -1,    -1,    -1,    -1,   181,
      -1,    -1,    -1,  4490,    -1,    -1,    70,  4494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     202,   203,    -1,    -1,   244,    -1,   246,    -1,    -1,    -1,
    4517,    -1,  1634,    -1,    -1,   217,   256,  4524,  4525,  4526,
    4527,    -1,    -1,    -1,   264,    -1,  1648,    -1,    -1,  1651,
      -1,  1653,    -1,  1655,   274,    -1,    -1,    -1,    -1,  1661,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,
      -1,    -1,    -1,    -1,  4561,    -1,    -1,    -1,    -1,    -1,
     262,    -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,   309,
    4577,    -1,   312,   313,    -1,  4582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1706,    -1,    -1,    -1,  1710,    -1,
    1712,    -1,   176,  1715,    -1,    -1,    -1,   181,    -1,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4624,   202,   203,
    4627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4636,
      -1,    -1,    -1,   217,  4641,    -1,  4643,    -1,  4645,    -1,
      -1,    -1,   344,    -1,    -1,  4652,    -1,    -1,    -1,    -1,
      -1,  4658,    -1,  4660,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,  4670,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4701,  4702,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4728,    -1,    -1,    -1,    -1,    -1,  4734,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,    -1,    -1,
      -1,    -1,   454,    -1,  4761,  4762,    -1,    -1,    -1,  4766,
     344,    -1,    -1,    -1,    -1,  4772,    -1,    -1,  4775,    -1,
      -1,    -1,  4779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4792,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4802,    -1,    -1,    -1,    -1,
      -1,    -1,  4809,    -1,  3601,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4831,    -1,    -1,    -1,    -1,    32,
      -1,    -1,  4839,    -1,    -1,    -1,    -1,    40,  4845,  4846,
    4847,    -1,    -1,    46,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,  4866,
     444,   445,   446,   447,   448,   449,  4873,    70,    -1,    -1,
     454,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    32,    -1,    15,    16,    17,
    2022,  2023,    -1,    40,    -1,  2027,  2028,    -1,    -1,    46,
    2032,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,  2046,    -1,    -1,    -1,    46,    -1,
      -1,  2053,    -1,    70,    -1,  2057,  2058,    -1,    -1,  2061,
    2062,    -1,  4949,  4950,    -1,    -1,  2068,    -1,    -1,    -1,
      -1,    -1,    70,    -1,     8,    -1,  4963,    11,  2080,    -1,
    2082,    15,    16,    17,    -1,    -1,    -1,    -1,  4975,  4976,
      -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,   181,  2101,
      -1,    -1,    -1,    -1,  2106,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    46,    -1,  3791,    -1,    -1,  2119,    -1,   202,
     203,    -1,    -1,    -1,    -1,    -1,  2128,    -1,  2130,    -1,
      -1,  2133,  2134,  2135,   217,    -1,    70,    -1,  2140,  2141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2150,    -1,
      -1,    -1,    -1,  2155,    -1,    -1,    -1,    -1,  2160,   176,
      -1,    -1,    -1,    -1,   181,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   262,
      -1,    -1,   265,   181,  2186,   202,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2197,    -1,  2199,    -1,    -1,
     217,    -1,  2204,    -1,   202,   203,  2208,    -1,  2210,  2211,
    2212,  2213,    -1,  2215,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,    -1,    -1,    -1,  2228,  2229,  2230,    -1,
      -1,    -1,   249,    -1,  3911,    -1,  2238,  2239,    -1,    -1,
      -1,    -1,   176,    -1,    -1,   262,    -1,   181,   265,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   262,  3942,    -1,   265,   202,   203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,    -1,  3963,    -1,  2290,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,   344,   262,    -1,
      -1,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4021,    -1,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    70,    -1,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    -1,    -1,
     344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    68,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,  4110,    -1,    -1,    -1,   454,    -1,   437,
      -1,  2443,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,   101,   454,    -1,    -1,    -1,
      -1,   176,     8,    -1,    -1,    11,   181,    -1,    -1,    15,
      16,    17,  2474,    -1,   120,    -1,    -1,    -1,    -1,  4156,
      -1,   127,    -1,    -1,   130,    -1,    32,   202,   203,    -1,
      36,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      46,    -1,   217,   437,    -1,    -1,   440,   441,   442,   155,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,    -1,   183,    -1,    -1,
     186,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,
     265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,     8,   234,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,   244,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    32,    -1,    -1,    -1,    -1,    -1,    -1,   264,    40,
      -1,    -1,    -1,    -1,    -1,    46,    -1,   273,   274,   344,
     176,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,   202,   203,  2660,    -1,
      -1,    -1,    -1,   309,    -1,    -1,   312,   313,   314,    -1,
      -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,    -1,    -1,
      -1,    -1,    -1,   339,    -1,    -1,   199,   200,    -1,    -1,
      -1,    -1,    -1,   249,   207,    -1,    -1,   353,    -1,    -1,
    2712,  2713,    -1,    -1,    -1,   218,   262,    -1,    -1,   265,
      -1,    -1,   437,    -1,    -1,   440,   441,   442,  2730,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,    -1,  4416,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,  2755,    -1,   176,   402,    -1,    -1,    -1,
     181,    -1,  2764,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,  4454,  2780,  2781,
      46,   202,   203,  2785,    -1,    -1,    -1,    -1,  2790,  2791,
    2792,    -1,  2794,    -1,    -1,    -1,   217,    -1,   344,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,  2815,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,  2825,  2826,  2827,  2828,    -1,   249,    -1,
      -1,  4508,    32,    -1,    -1,  4512,  4513,    -1,    -1,    -1,
      40,   262,    -1,    -1,   265,    -1,    46,    -1,    -1,    -1,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
    2862,    -1,    -1,  2865,  2866,  2867,   287,    -1,    -1,    -1,
      70,    -1,    -1,  2875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   154,    -1,
      -1,   437,    -1,   159,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
     176,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,    -1,  4604,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   202,   203,    -1,   360,
      -1,    -1,    -1,    -1,  2946,    -1,    -1,    -1,    -1,    -1,
      -1,   217,  2954,   153,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2973,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,   181,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,  2999,    -1,   265,
      -1,    -1,   202,   203,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   437,   217,    85,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,
      -1,  3043,   109,    -1,    -1,  3047,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,   557,    -1,    -1,    -1,   125,    -1,
      -1,    -1,   262,    -1,    -1,   265,   569,    -1,    -1,   136,
      -1,   574,    -1,    -1,  3076,    -1,    -1,   144,   344,    -1,
      -1,    -1,   585,    -1,    -1,   285,    -1,    -1,    -1,   156,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,   601,    -1,
     167,    -1,    -1,   606,  3106,    -1,    -1,    -1,    -1,   612,
      -1,    -1,    -1,   616,   617,    -1,    -1,   184,  3120,    -1,
     623,    -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     633,   634,    -1,  3135,    -1,    -1,    -1,    -1,    -1,   642,
      -1,    -1,   209,    -1,   344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,   721,   722,
      -1,    -1,    -1,    -1,   727,    -1,   293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     753,    -1,    -1,   320,    -1,    -1,    -1,    -1,   325,    -1,
     327,    -1,    -1,    -1,    -1,    -1,   333,    -1,    -1,   336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,   365,    -1,
      -1,   368,    -1,    -1,    32,   372,    -1,    35,    -1,    -1,
      -1,    -1,    40,    -1,   381,    -1,    -1,    -1,    46,   386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,   411,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,  3379,    -1,  3381,
      -1,    40,    -1,    -1,    -1,    -1,  3388,    46,   891,    -1,
      -1,    -1,    -1,    -1,    -1,   898,    -1,    -1,    -1,   902,
      -1,    -1,    -1,  3405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,   918,    -1,    -1,    -1,  3421,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   932,
      -1,    -1,    -1,  3435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
      -1,  3453,    -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3463,    -1,    -1,    -1,    -1,    -1,    -1,   971,    -1,
      -1,    -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,  3484,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,  3495,  3496,  3497,    -1,    -1,  3500,  3501,
    3502,  3503,  3504,  3505,    -1,    -1,  1009,    -1,  3510,  3511,
      -1,  3513,  3514,  3515,  3516,  3517,  3518,   176,  3520,    -1,
      -1,   249,   181,    -1,    -1,    -1,    -1,  3529,    -1,  3531,
    3532,    -1,    -1,    -1,   262,    -1,    -1,   265,    -1,    -1,
      -1,  1044,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3554,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,  1064,    -1,    -1,    -1,  1068,    -1,    -1,    -1,    -1,
      -1,  3573,    -1,  1076,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1104,    -1,   262,    -1,    -1,   265,    -1,    -1,    -1,
    1113,    -1,  1115,    -1,    -1,    -1,   344,    -1,    -1,    -1,
      -1,    -1,   281,    -1,    -1,    -1,     8,  1130,    -1,    11,
    1133,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,  1145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    35,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    46,    -1,    -1,    -1,  3670,    -1,
      -1,  1174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3698,  3699,  3700,  1202,
    1203,  1204,    -1,  1206,    -1,    -1,    -1,    -1,  3710,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,  1226,    -1,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1258,  1259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1267,  1268,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,  1296,   176,    -1,    -1,  1300,  1301,   181,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1316,    -1,    -1,    -1,    -1,    -1,  1322,
     202,   203,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,   127,    -1,    -1,   130,   217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1381,    -1,
     262,    -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,
     186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,  1418,    -1,  3919,    -1,    -1,
      -1,  3923,  3924,  3925,  3926,    -1,    32,  3929,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
     246,  3953,  3954,  3955,    -1,  3957,    -1,  3959,  3960,    -1,
     256,    -1,   344,    -1,    70,    -1,    -1,    -1,   264,  3971,
    3972,    -1,    -1,    -1,    -1,  1478,    -1,    -1,   274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3992,    -1,    -1,    -1,    -1,  1498,    -1,  3999,  4000,    -1,
    4002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1513,    -1,  4014,   309,    -1,    -1,   312,   313,  1521,    -1,
      -1,    -1,    -1,    -1,  1527,    -1,    -1,    -1,    -1,  1532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,  1548,    -1,    -1,    -1,  1552,
      -1,    -1,    -1,   159,    -1,   437,    -1,    -1,   440,   441,
     442,  1564,   444,   445,   446,   447,   448,   449,    -1,    -1,
     176,    -1,  4074,    -1,    -1,   181,  1579,    -1,    -1,    -1,
      -1,    -1,    -1,  1586,    -1,    -1,    -1,    -1,    -1,  1592,
      -1,    -1,    -1,  4095,    -1,  1598,   202,   203,    -1,    -1,
      -1,  1604,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,
      -1,   217,    -1,  1616,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1635,    -1,  1637,  1638,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   249,    -1,    -1,    -1,  1650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,  1660,    -1,   265,
    1663,    -1,  1665,  1666,    -1,    -1,    -1,   191,   192,    -1,
      -1,   195,    -1,   197,  1677,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,    -1,    -1,  4199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1709,    -1,    -1,    -1,
      -1,    -1,  4214,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
    1743,    -1,  1745,    32,    -1,    -1,    35,  1750,  1751,    -1,
      -1,    40,    -1,    -1,  1757,  1758,  1759,    46,    -1,    -1,
    1763,    -1,  1765,  1766,  1767,  1768,  1769,  1770,    -1,  1772,
      -1,  1774,  1775,    -1,    -1,  1778,    -1,    -1,    -1,    -1,
    4282,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1792,
    1793,  1794,  1795,  1796,  1797,    -1,    -1,    -1,  1801,    -1,
      -1,  4303,  1805,    -1,    -1,  1808,  4308,  4309,  1811,  1812,
    1813,  1814,  1815,  1816,  1817,  1818,  1819,    -1,  1821,    -1,
      -1,    -1,    -1,    -1,    -1,  1828,    -1,  1830,    -1,    -1,
      -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,
      -1,    -1,   181,    -1,    32,    -1,    -1,  4399,    -1,    -1,
      -1,    -1,    40,    -1,  4406,    -1,    -1,    -1,    46,    -1,
      -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,  4441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4452,    -1,    -1,    -1,    -1,  1958,    -1,    -1,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4474,   262,    -1,    -1,   265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2007,  4507,    -1,    -1,  2011,  2012,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2021,    -1,
      -1,    -1,  2025,  2026,    -1,    -1,  4528,  2030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2038,   560,    -1,   176,    -1,
     564,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2056,    -1,   344,  2059,    -1,   582,    -1,
      -1,    -1,    -1,    -1,   202,   203,    -1,  2070,    -1,    -1,
      -1,  2074,    -1,    -1,  2077,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,  2086,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4611,
      -1,   249,    -1,    -1,  2117,  2118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2126,   262,    -1,    -1,   265,    -1,    -1,
      -1,  4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2148,  2149,    -1,   437,  2152,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,    -1,  4668,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,
      -1,  4683,  2185,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
    2203,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    32,
      -1,  2214,    35,    -1,    -1,    -1,    -1,    40,  4720,    -1,
      -1,    -1,    -1,    46,  2227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2235,    -1,    -1,   373,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2280,  2281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2289,    -1,    -1,  4791,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,    -1,   841,   842,    -1,
      -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2351,    -1,
      -1,    -1,  2355,   176,    32,    -1,    -1,    -1,   181,    -1,
      -1,  2364,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,   217,    -1,    -1,   921,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2417,    -1,    -1,    -1,    -1,  2422,
      -1,    -1,    -1,    -1,   948,   949,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
      -1,    -1,   265,    -1,    -1,   969,    -1,    -1,    -1,    -1,
    2453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2469,    -1,  2471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2479,   200,    -1,    -1,
    2483,    -1,    -1,  2486,   207,    -1,  2489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2497,   218,    -1,    -1,   176,    -1,
      -1,    -1,    -1,   181,  2507,    -1,    -1,    -1,    -1,  2512,
      -1,    -1,    -1,    -1,    -1,    -1,  1040,  1041,    -1,    -1,
      -1,   344,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,  2535,  2536,  2537,    -1,    -1,  2540,    -1,   217,
      -1,    -1,    -1,    -1,    -1,  2548,  2549,  2550,  2551,    -1,
      -1,    -1,    -1,  2556,    -1,    -1,    -1,    -1,  2561,  2562,
      -1,  2564,    -1,  2566,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,  2577,  2578,    -1,    -1,  2581,    -1,
      -1,    -1,    -1,    -1,   262,    -1,    -1,   265,    -1,    -1,
      -1,    -1,  2595,    -1,  2597,    -1,  2599,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,  2619,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,  2630,    -1,  2632,
    2633,  2634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2647,    -1,    -1,  2650,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,  2662,
      -1,    15,    16,    17,  2667,    -1,   344,    -1,    -1,    -1,
    2673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
    2683,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    46,    -1,    -1,    -1,  2699,    -1,    -1,  2702,
      -1,  2704,    -1,    -1,    -1,    -1,  2709,    -1,  2711,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2727,  2728,    -1,    -1,    -1,    -1,
    2733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2754,    -1,    -1,  2757,    -1,    -1,  2760,    -1,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,  2777,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    -1,   181,    -1,    -1,
      -1,    -1,    -1,    -1,  2837,  2838,  2839,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   569,    -1,   202,   203,
      -1,   574,    -1,    -1,    -1,    -1,    -1,    -1,  2861,    -1,
      -1,    -1,   585,   217,    -1,    -1,    -1,    -1,  2871,    -1,
    2873,  2874,    -1,  2876,  1398,    -1,  2879,    -1,   601,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,
       8,    -1,    -1,    11,   617,   249,    -1,    15,    16,    17,
     623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,   634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   642,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,  2934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1465,  1466,  1467,  1468,    -1,    -1,    -1,    -1,    -1,
    2953,    -1,    70,    -1,    -1,    -1,  2959,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2985,  1507,  1508,    -1,    -1,    -1,  2991,  2992,
     344,    -1,  1516,    -1,    -1,  2998,    -1,  3000,    -1,    -1,
      -1,    -1,  1526,    -1,   727,    -1,    -1,    -1,    -1,  3012,
      -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1554,  1555,  1556,  1557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
      -1,    -1,    -1,   181,    -1,  3068,  3069,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,
      -1,    -1,    -1,   437,   202,   203,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,   217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3125,    -1,    -1,  1649,    -1,    -1,  1652,    -1,
      -1,   249,    -1,    -1,  3137,    -1,    -1,  3140,  1662,    -1,
      -1,    -1,    -1,    -1,   262,    -1,    -1,  1671,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3162,
      -1,    -1,  3165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3182,
      -1,    -1,  3185,    -1,    -1,    -1,    -1,    -1,  3191,    -1,
      -1,    -1,    -1,    -1,  3197,    -1,  3199,    -1,    -1,  3202,
      -1,    -1,    -1,  3206,  3207,  3208,  3209,  3210,    -1,    -1,
    3213,  3214,  3215,  3216,  3217,  3218,  3219,  3220,  3221,  3222,
      -1,    -1,    -1,  3226,  3227,    -1,   344,    -1,  3231,    -1,
      -1,    -1,    -1,  3236,    22,    -1,    -1,  3240,    -1,  3242,
      28,  3244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,
      -1,    -1,  3255,    -1,  3257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3265,  3266,    -1,    53,  3269,  3270,    -1,    -1,
      -1,  3274,  3275,    -1,    -1,    -1,  1800,    -1,  3281,    -1,
      68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3291,    -1,
    3293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3305,    -1,    -1,    -1,    -1,    -1,  3311,  3312,
    3313,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,   437,
      -1,  1044,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   120,    -1,    -1,  3338,    -1,    -1,    -1,   127,
      -1,  1064,   130,    -1,    -1,    -1,    -1,    -1,  3351,    -1,
      -1,    -1,    -1,  1076,  3357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   155,    20,  3372,
      -1,    25,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1104,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,
      -1,    -1,  1115,    -1,    -1,   183,    -1,    -1,   186,    -1,
      -1,  3404,    -1,    -1,    58,    -1,    58,  1130,    -1,    -1,
    1133,    -1,    -1,    -1,    -1,    -1,    -1,    71,    72,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    81,
      -1,    85,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,   234,  3450,    -1,   103,
      -1,   103,  3455,  3456,  3457,    -1,   244,   109,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,   125,    -1,   125,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,   136,    -1,   136,   273,   274,    -1,    -1,    -1,
     144,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   156,    -1,   156,    -1,  3509,   161,    -1,  3512,
      -1,   163,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,   309,    -1,    -1,   312,   313,   314,  1250,    -1,    -1,
     184,    -1,   184,    -1,    -1,  1258,  1259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1268,    -1,    -1,  2072,  2073,
      -1,   339,    -1,    -1,    -1,   209,    -1,  2081,    -1,  2083,
      -1,    -1,    -1,  2087,    -1,   353,    -1,    -1,    -1,   221,
      -1,  3574,    -1,    -1,    -1,    -1,   230,    -1,   230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3597,  3598,    -1,    -1,  3601,  1322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,   262,  3612,
     262,    -1,    -1,   265,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
      -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,  3651,  3652,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,   320,    -1,
      -1,   325,  2196,   327,    -1,   327,    -1,    -1,    -1,   333,
      -1,   333,   336,    -1,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   365,    -1,   365,   368,    -1,   368,   369,   372,   371,
     372,    -1,    -1,    -1,  3727,   379,    -1,   381,  2252,   381,
      -1,    -1,   386,    -1,   386,  3738,  2260,    -1,  2262,    -1,
     392,    -1,    -1,   395,  2268,    -1,   398,    20,    -1,    -1,
      -1,    -1,    25,    -1,    -1,  1478,    -1,   411,    -1,   411,
      -1,    -1,    -1,    -1,    37,  3768,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3778,  3779,    -1,  3781,    -1,
      -1,    -1,  3785,  3786,    -1,    58,    -1,  3790,  3791,    -1,
      -1,    -1,  3795,    -1,    -1,  3798,  3799,    -1,    71,    -1,
    3803,    -1,    -1,    -1,  1527,    -1,  3809,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,  2340,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3827,  1548,    -1,    -1,  3831,  1552,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,
    3843,  1564,    -1,    -1,    -1,  3848,    -1,   210,    -1,    -1,
      -1,  3854,   125,    -1,    -1,    -1,   219,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,  3869,    -1,    -1,    -1,
      -1,   144,  2396,    -1,  2398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   156,    -1,    -1,    -1,    -1,   161,    -1,
    3893,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3911,    -1,
      -1,   184,    -1,    -1,  1637,  1638,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3928,    -1,  1650,    -1,    -1,
    3933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,
      -1,    -1,  1665,  1666,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1677,  3958,    -1,   230,    -1,    -1,
    3963,    -1,    -1,    -1,    -1,    -1,    -1,  3970,    -1,    -1,
      -1,    -1,    -1,    -1,  3977,  3978,  2500,    -1,  3981,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,   262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4021,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4043,    -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,    -1,
      -1,  4054,   325,    -1,   327,    -1,    -1,    -1,    -1,    -1,
     333,    -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1797,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   365,    -1,    -1,   368,    -1,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,  4108,   379,  4110,   381,    -1,
      -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4136,    -1,    -1,    -1,    -1,   411,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4152,
      -1,    -1,    -1,  4156,    -1,    -1,    -1,    -1,  4161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4178,  4179,    -1,    -1,  4182,
      -1,    -1,    -1,    -1,    -1,    -1,   549,    -1,    -1,    -1,
      -1,    -1,   555,  4196,    -1,    -1,    -1,    -1,  4201,    -1,
      -1,    -1,    -1,  4206,    -1,    -1,  4209,  4210,    -1,    -1,
      -1,    -1,    -1,    -1,  4217,  4218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4233,    -1,    -1,    -1,    -1,    -1,    -1,  4240,    -1,  4242,
      -1,    -1,  2766,  4246,  2768,  2769,  2770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4280,  4281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4290,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2021,    -1,
      -1,    -1,  2025,  2026,    -1,    -1,    -1,  2030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2038,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4327,    -1,    -1,    -1,    -1,    -1,
    4333,    -1,    -1,  2056,    -1,    -1,   699,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2099,    -1,    -1,    -1,
     743,    -1,    -1,  4386,    -1,  4388,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2117,  2118,    -1,    -1,    -1,    -1,
      -1,    -1,   765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4415,  4416,    -1,  4418,    -1,  4420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2148,  2149,    -1,    -1,  2152,
      -1,    -1,    -1,    -1,    -1,    -1,  2960,    -1,    -1,    -1,
      -1,  4444,    -1,    -1,    -1,  4448,    -1,    -1,    -1,    -1,
      -1,  4454,    -1,    -1,    -1,    -1,  4459,    -1,  2181,    -1,
      -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   836,    -1,  4478,    -1,    -1,    -1,    -1,
    2203,   721,   722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4502,
      -1,    -1,    -1,    -1,  2227,  4508,    -1,    -1,    -1,  4512,
    4513,    -1,  2235,   753,  4517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4533,    -1,   612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   633,    -1,    -1,    -1,    -1,  4561,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2289,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   941,  4582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3115,    -1,  3117,    -1,    -1,    -1,  3121,    -1,    -1,
    4603,  4604,   965,   966,   967,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4624,    -1,    -1,  4627,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2355,  4636,    -1,    -1,    -1,    -1,  4641,    -1,
    4643,    -1,  4645,    -1,    -1,    -1,    -1,    -1,    -1,  4652,
      -1,  3175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4691,    -1,
    4693,    -1,    -1,    -1,  2417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2453,  4734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2479,    -1,  4761,  4762,
      -1,    -1,    -1,    -1,    -1,    -1,  1129,    -1,    -1,  4772,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4792,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   898,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2556,    -1,    -1,  4839,    -1,   918,  2562,
      -1,    -1,  4845,  4846,  4847,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4866,    -1,    -1,    -1,    -1,    -1,    -1,
    3394,  3395,  3396,  3397,    -1,  4878,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4892,
      -1,   612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1264,    -1,    -1,    -1,  1145,    -1,    -1,    -1,    -1,
      -1,    -1,   633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2647,    -1,    -1,    -1,    -1,  1009,
      -1,    -1,    -1,    -1,  1174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4949,  4950,    -1,  1312,
      -1,    -1,  4955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4963,    -1,  1202,  1203,  1204,    -1,  1206,    -1,    -1,    -1,
      -1,  4974,  4975,  4976,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1226,    -1,  2711,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2727,  2728,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1386,    -1,    -1,    -1,  1267,    -1,    -1,
      -1,  2754,  1395,  1113,  2757,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3572,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1296,    -1,    -1,  1422,
    1300,  1301,    -1,    -1,    -1,    -1,    -1,  1430,    -1,    -1,
    1433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2837,  2838,  2839,    -1,    -1,    -1,
    1483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1496,    -1,    -1,    -1,    -1,  2861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2874,    -1,  2876,    -1,    -1,  2879,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   898,    -1,    -1,
      -1,    -1,  1545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,    -1,
      -1,    -1,    -1,  1566,    -1,    -1,    -1,    -1,    -1,    -1,
    1573,   932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2953,    -1,    -1,    -1,    -1,    -1,  1316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2991,    -1,
      -1,    -1,    -1,    -1,    -1,  2998,    -1,  3000,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1009,  3012,
      -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1418,    -1,
      -1,    -1,    -1,    -1,    -1,  3068,    -1,    -1,    -1,    -1,
    1713,  1714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1730,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3140,  1498,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1513,    -1,    -1,    -1,    -1,    -1,  3162,
      -1,  1521,  3165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1827,    -1,    -1,    -1,    -1,    -1,
     612,    -1,    -1,    -1,  1837,    -1,    -1,  4001,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   633,  4016,    -1,    -1,    -1,    -1,    -1,    -1,  1579,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1750,    -1,  1592,    -1,    -1,    -1,    -1,    -1,    -1,  3242,
      -1,    -1,    -1,  1763,  1604,  1765,    -1,    -1,  1768,  1769,
    1770,    -1,  1253,    -1,    -1,  1775,  1616,    -1,  1778,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1793,  1794,  1795,  1796,    -1,    -1,    -1,
    4084,  1801,    -1,    -1,    -1,  1805,    -1,    -1,  1808,    -1,
      -1,  1811,  1812,  1813,  1814,  1815,  1816,  1817,  1818,  1819,
    1660,  1821,    -1,  1663,    -1,    -1,    -1,    -1,  1828,    -1,
    1830,  1954,    -1,  1956,    -1,  1316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   612,    -1,    -1,  1418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1792,    -1,    -1,   633,    -1,    -1,  1958,    -1,
      -1,    -1,    -1,    -1,  4248,  4249,  4250,  3450,    -1,    -1,
      -1,    -1,  3455,    -1,  3457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1830,    -1,    -1,    -1,    -1,    -1,   898,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   918,  1498,    -1,    -1,
      -1,    -1,  2145,    -1,    -1,    -1,  3509,    -1,    -1,  3512,
     932,    -1,  1513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1521,    -1,  2165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2059,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1579,    -1,
    4384,    -1,    -1,    -1,    -1,    -1,    -1,  1009,    -1,    -1,
      -1,  1592,    -1,    -1,  3597,  3598,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1604,    -1,    -1,    -1,  3610,    -1,  3612,
      -1,    -1,    -1,    -1,    -1,  1616,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,
      -1,  2011,  2012,    -1,    -1,    -1,  2299,    -1,    -1,  1660,
      -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4490,    -1,    -1,    -1,
      -1,  1113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     898,    -1,    -1,  3706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2074,    -1,    -1,    -1,    -1,    -1,
     918,  4525,    -1,  4527,    -1,    -1,  2086,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   932,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2280,    -1,    -1,    -1,    -1,    -1,  2126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4658,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1113,    -1,    -1,    -1,    -1,
      -1,  2281,    -1,    -1,  4728,  3928,    -1,    -1,    -1,    -1,
    3933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3958,    -1,    -1,    -1,  1381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3970,    -1,    -1,
      -1,    -1,    -1,    -1,  3977,    -1,    -1,    -1,    -1,    -1,
    2623,    -1,    -1,    -1,    -1,    -1,    -1,  2507,  3991,    -1,
      -1,  2351,  2512,    -1,    -1,    -1,  1418,    -1,  4802,    -1,
      -1,   612,    -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,
    2011,  2012,    -1,    -1,    -1,    -1,    -1,  2537,    -1,    -1,
      -1,    -1,   633,    -1,    -1,    -1,    -1,    -1,  2548,    -1,
    2550,  2551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2561,    -1,    -1,  2564,    -1,  2566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4873,
      -1,    -1,    -1,  2074,    -1,  2595,  1498,  2597,    -1,  2599,
      -1,    -1,    -1,    -1,    -1,  2086,    -1,    -1,    -1,    -1,
      -1,  1513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2469,
    1532,    -1,  2632,  2633,  2634,    -1,    -1,    -1,  1316,    -1,
      -1,    -1,    -1,    -1,    -1,  2126,  2486,    -1,    -1,    -1,
    2650,    -1,    -1,  4136,    -1,    -1,    -1,  2497,    -1,    -1,
      -1,    -1,  2662,    -1,    -1,    -1,    -1,  2667,    -1,    -1,
      -1,    -1,    -1,  2673,    -1,    -1,    -1,  1579,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1604,  1381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1616,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2733,    -1,    -1,    -1,    -1,    -1,    -1,
    1418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2877,    -1,    -1,  4240,  1660,  4242,
      -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2632,  2633,  2634,    -1,    -1,    -1,  4281,    -1,
    2281,    -1,    -1,    -1,    -1,    -1,    -1,   898,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1498,    -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1513,    -1,    -1,    -1,    -1,
      -1,   932,    -1,  1521,  4327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1532,    -1,    -1,    -1,    -1,  2699,
      -1,    -1,  2702,    -1,  2704,    -1,    -1,    -1,    -1,  2709,
    2351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3004,  3005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1792,    -1,    -1,    -1,    -1,    -1,    -1,  3020,    -1,    -1,
      -1,  1579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3036,  1592,    -1,    -1,    -1,  1009,    -1,
    2760,    -1,  3045,  3046,    -1,    -1,  1604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,  1616,  3062,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1660,    -1,    -1,  1663,    -1,    -1,  2469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2497,    -1,    -1,  4502,
      -1,    -1,  1113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2871,    -1,  2873,    -1,    -1,    -1,    -1,    -1,    -1,
    3163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   633,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2934,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,  2011,
    2012,    -1,    -1,    -1,  1792,    -1,    -1,    -1,    -1,  2959,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2985,    -1,    -1,    -1,    -1,
      -1,    -1,  2992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3288,  3289,  3290,    -1,    -1,
      -1,    -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     612,    -1,  3182,    -1,  2086,    -1,    -1,    -1,    -1,    -1,
      -1,  3191,    -1,    -1,    -1,    -1,    -1,  3197,    -1,  3199,
      -1,   633,    -1,    -1,    -1,    -1,    -1,    -1,  4691,    -1,
    4693,  3051,    -1,    -1,    -1,    -1,    -1,    -1,  2699,    -1,
      -1,  2702,    -1,  2704,  2126,  1316,  3226,  3227,  2709,  3069,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3082,    -1,  3244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3252,    -1,    -1,  3255,    -1,  3257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3274,  3275,    -1,    -1,    -1,  2760,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1381,    -1,    -1,    -1,    -1,    -1,  2777,  4780,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3305,    -1,    -1,    -1,    -1,
      -1,  3311,  3312,  3313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2802,    -1,    -1,    -1,    -1,    -1,  1418,    -1,  2007,
      -1,    -1,    -1,  2011,  2012,    -1,    -1,    -1,  3338,    -1,
      -1,    -1,    -1,    -1,   898,  3185,    -1,    -1,    -1,    -1,
      -1,  3351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   918,    -1,  3206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   932,  2281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2871,  3231,  2873,    -1,    -1,  4878,  2074,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1498,  2086,  4892,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1513,    -1,    -1,  3265,    -1,    -1,    -1,    -1,
    1521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1532,    -1,    -1,    -1,    -1,    -1,  3570,  2126,  2351,
      -1,    -1,    -1,  2934,    -1,  1009,    -1,  3580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   898,    -1,    -1,    -1,
      -1,    -1,  4955,  3313,    -1,    -1,    -1,    -1,  2959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,  1579,    -1,
      -1,  4974,  3615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     932,  1592,    -1,    -1,  2985,    -1,    -1,    -1,    -1,    -1,
      -1,  2992,    -1,  1604,    -1,    -1,    -1,  3357,    -1,    -1,
    3643,    -1,    -1,    -1,    -1,  1616,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2469,    -1,  1660,
    3051,    -1,  1663,    -1,  3697,    -1,    -1,  1009,    -1,    -1,
      -1,    -1,    -1,    -1,  2486,    -1,    -1,    -1,  3069,    -1,
      -1,    -1,    -1,    -1,    -1,  2497,    -1,    -1,    -1,    -1,
      -1,  3082,    -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3651,  3652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1113,    -1,    -1,    -1,    -1,    -1,  3810,  3811,  3812,
    3813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1792,    -1,    -1,  3185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3206,    -1,  3727,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3738,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3601,  1316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,  3779,
      -1,    -1,    -1,    -1,  3265,  3785,  3786,    -1,    -1,    -1,
    3790,  2469,    -1,    -1,    -1,  3795,    -1,  2699,  3798,  3799,
    2702,    -1,  2704,  3803,    -1,    -1,    -1,  2709,  2486,  3809,
    3650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3843,    -1,    -1,    -1,    -1,  3848,    -1,
      -1,    -1,    -1,    -1,  3854,    -1,    -1,    -1,  2760,    -1,
      -1,    -1,    -1,    -1,  1418,    -1,    -1,    -1,    -1,  3869,
      -1,    -1,    -1,    -1,    -1,  2777,  3357,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3893,    -1,    -1,    -1,    -1,    -1,    -1,
    2802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,
    2011,  2012,    -1,    -1,    -1,    -1,   612,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3781,    -1,    -1,  1498,    -1,    -1,   633,    -1,  1381,
      -1,  3791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1513,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1521,    -1,  2871,
      -1,  2873,    -1,    -1,    -1,  3456,    -1,    -1,  1532,    -1,
      -1,  3981,    -1,  2074,    -1,    -1,  1418,    -1,    -1,    -1,
    4113,    -1,    -1,    -1,    -1,  2086,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3843,    -1,    -1,    -1,    -1,  3848,    -1,
      -1,    -1,    -1,    -1,  3854,    -1,    -1,    -1,    -1,    -1,
      -1,  2699,    -1,    -1,  2702,  1579,  2704,    -1,    -1,    -1,
      -1,  2709,  2934,    -1,    -1,  2126,    -1,    -1,  1592,    -1,
      -1,    -1,    -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,
    1604,    -1,    -1,    -1,    -1,    -1,    -1,  2959,    -1,    -1,
      -1,    -1,  1616,    -1,    -1,    -1,  1498,    -1,    -1,    -1,
      -1,  3911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1513,  2760,  2985,    -1,    -1,    -1,    -1,    -1,  1521,
    2992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,
    1532,    -1,  3942,    -1,    -1,    -1,  1660,    -1,    -1,  1663,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3601,    -1,    -1,  3963,  2802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3978,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1579,    -1,  3051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1592,    -1,    -1,    -1,    -1,    -1,    -1,  3069,    -1,  3650,
      -1,    -1,  1604,    -1,    -1,    -1,    -1,    -1,  4178,  4179,
    3082,  4021,  4182,    -1,  1616,    -1,    -1,    -1,    -1,    -1,
    2281,    -1,    -1,  2871,    -1,  2873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   898,  4336,    -1,    -1,    -1,  4217,  4218,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1660,  4352,
      -1,  1663,   918,    -1,    -1,    -1,    -1,    -1,  1792,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   932,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,    -1,    -1,
    2351,    -1,  4385,    -1,    -1,    -1,    -1,    -1,  4108,    -1,
    4110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2959,    -1,  3185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3781,    -1,    -1,    -1,  3206,    -1,    -1,  2985,    -1,    -1,
    3791,    -1,    -1,    -1,  2992,    -1,  4156,    -1,    -1,    -1,
      -1,    -1,    -1,  1009,    -1,    -1,    -1,    -1,    -1,  3231,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1792,    -1,    -1,  3265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4494,    -1,  3051,    -1,    -1,    -1,    -1,  2469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3069,    -1,    -1,    -1,  2486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3082,    -1,  2497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1113,    -1,    -1,
    3911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4280,    -1,    -1,    -1,  4444,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2007,  4577,  3357,    -1,  2011,  2012,  4459,
      -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4478,    -1,
      -1,    -1,  3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3978,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4517,    -1,    -1,
    2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3206,    -1,
      -1,    -1,  2086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4388,    -1,
      -1,    -1,    -1,  3231,  3456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2126,    -1,    -1,  2007,  4416,    -1,    -1,  2011,
    2012,    -1,  4582,    -1,    -1,    -1,    -1,  3265,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2699,    -1,
      -1,  2702,    -1,  2704,  4454,    -1,    -1,    -1,  2709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4110,
    1316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2074,    -1,    -1,  4645,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2086,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4508,  2760,
    4670,    -1,  4512,  4513,    -1,  4156,    -1,    -1,    -1,  3357,
      -1,    -1,    -1,    -1,    -1,    -1,  2777,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2126,  1381,    -1,    -1,    -1,  3601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,
      -1,    -1,  1418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4761,  4762,  4603,  4604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4772,    -1,    -1,    -1,    -1,    -1,  3456,    -1,
    2871,    -1,  2873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2351,    -1,  4280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1513,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2934,    -1,    -1,  1532,  4847,    -1,  2281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4866,    -1,  2959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3791,
      -1,    -1,    -1,  1579,  2985,    -1,    -1,    -1,    -1,    -1,
      -1,  2992,    -1,    -1,    -1,    -1,  1592,  4388,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2469,    -1,    -1,  1604,  2351,
      -1,    -1,    -1,  3601,    -1,    -1,    -1,    -1,    -1,    -1,
    1616,    -1,  2486,    -1,    -1,  4416,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2497,    -1,    -1,    -1,    -1,    -1,  4949,
    4950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3650,  4454,  1660,    -1,    -1,  1663,  3069,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3911,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4508,    -1,    -1,
      -1,  4512,  4513,    -1,    -1,    -1,    -1,  2469,    -1,    -1,
    3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2486,    -1,    -1,    -1,    -1,    -1,
      -1,  3963,    -1,    -1,    -1,  2497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3978,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3781,    -1,    -1,  1792,    -1,    -1,    -1,
      -1,    -1,    -1,  3791,    -1,  3206,    -1,    -1,    -1,  4021,
      -1,    -1,    -1,  4604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,    -1,  2699,    -1,    -1,  2702,    -1,
    2704,    -1,    -1,    -1,    -1,  2709,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2760,    -1,  4110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2777,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3911,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,
      -1,    -1,    -1,    -1,  4156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3942,    -1,  3357,  2699,    -1,    -1,
    2702,    -1,  2704,    -1,    -1,    -1,    -1,  2709,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2871,    -1,  2873,
    1218,  2007,    -1,    -1,    -1,  2011,  2012,    -1,  2760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4021,    -1,  2777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,    -1,    -1,
    2802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4280,    -1,
    2934,    -1,    -1,  1281,    -1,    -1,    -1,    -1,  2074,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2086,    -1,    -1,    -1,    -1,  2959,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2985,  4110,    -1,    -1,    -1,    -1,    -1,  2992,  2871,
    2126,  2873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4388,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,
      -1,    -1,  2934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3601,    -1,    -1,    -1,  4416,  3069,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2959,  3082,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4454,  2985,    -1,    -1,    -1,    -1,    -1,  3650,
    2992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,
      -1,    -1,  4280,    -1,    -1,    -1,  4508,    -1,    -1,    -1,
    4512,  4513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3185,    -1,    -1,    -1,    -1,    -1,  3069,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3082,    -1,  3206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3791,    -1,  4604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4388,  3265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4416,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3206,  1673,  4454,    -1,    -1,    -1,
      -1,    -1,    -1,  2469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,
    2486,    -1,    -1,  3357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4508,    -1,    -1,  3265,  4512,  4513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1748,  3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1762,    -1,    -1,    -1,  1766,    -1,
      -1,    -1,  3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1780,  1781,  1782,    -1,  1784,  3978,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3357,  4604,    -1,  1826,    -1,
    4021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2699,    -1,    -1,  2702,    -1,  2704,  4110,
      -1,    -1,    -1,  2709,  3456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3601,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4156,    -1,    -1,    -1,    -1,
    1968,    -1,    -1,    -1,  2760,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1980,    -1,    -1,  1983,    -1,    -1,    -1,    -1,
      -1,  2777,    -1,    -1,    -1,    -1,  3650,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2871,    -1,  2873,    -1,  4280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3791,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2959,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4388,    -1,  2985,
      -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4416,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3911,    -1,  3791,
      -1,    -1,    -1,  4454,    -1,  3051,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3069,    -1,    -1,    -1,    -1,  3942,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3082,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4508,    -1,    -1,
      -1,  4512,  4513,    -1,  3978,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4021,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3911,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3942,    -1,    -1,  4604,    -1,    -1,    -1,    -1,    -1,    -1,
    3206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3231,  3978,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3265,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4021,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2530,    -1,  2532,    -1,    -1,  2535,  2536,    -1,
    2538,    -1,  2540,    -1,    -1,    -1,  2544,    -1,    -1,  2547,
      -1,    -1,    -1,    -1,  2552,    -1,    -1,    -1,    -1,    -1,
    2558,    -1,    -1,    -1,    -1,  2563,    -1,    -1,    -1,    -1,
      -1,  3357,  2570,  2571,  2572,  2573,    -1,    -1,  4110,  2577,
    2578,    -1,  2580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2592,    -1,  2594,    -1,    -1,    -1,
      -1,    -1,    -1,  2601,  2602,  2603,  2604,  2605,  2606,  2607,
    2608,  2609,  2610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4156,    -1,  4280,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4388,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4280,    -1,
    2748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3601,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4508,    -1,  4388,    -1,  4512,  4513,
      -1,    -1,    -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4508,    -1,    -1,    -1,
    4512,  4513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2988,    -1,    -1,    -1,    -1,  3781,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3791,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3911,    -1,    -1,    -1,    -1,
    3128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3942,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,
      -1,    -1,    -1,  3181,    -1,    -1,    -1,    -1,    -1,  3187,
      -1,    -1,  3978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3203,  3204,    -1,    -1,  3207,
    3208,  3209,  3210,    -1,    -1,  3213,  3214,  3215,  3216,  3217,
    3218,  3219,  3220,  3221,  3222,  3223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4021,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3245,    -1,    -1,
    3248,    -1,  3250,    -1,    -1,  3253,  3254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3268,  3269,  3270,  3271,    -1,  3273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3321,  4110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4156,  3369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3574,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4508,    -1,    -1,    -1,  4512,  4513,    -1,    -1,
    3728,    -1,    -1,    -1,  3732,  3733,  3734,    -1,    -1,    -1,
      -1,    -1,  3740,  3741,  3742,  3743,    -1,    -1,    -1,    -1,
    3748,  3749,  3750,  3751,  3752,  3753,  3754,  3755,  3756,  3757,
    3758,  3759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,  3787,
      -1,  3789,    -1,    -1,    -1,  3793,    -1,    -1,  3796,  3797,
      -1,    -1,  3800,  3801,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3845,    -1,    -1,
      -1,    -1,    -1,    -1,  3852,  3853,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4046,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4105,  4106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,
      -1,    -1,    -1,  4151,  4152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4166,    -1,
    4168,    -1,    -1,    -1,  4172,  4173,  4174,    -1,    -1,  4177,
      -1,    -1,  4180,  4181,    -1,    -1,    -1,  4185,    -1,    -1,
      -1,  4189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4304,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4414,  4415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4430,  4431,  4432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4466,  4467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4632,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4682,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4733,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,  4850,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,  4921,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,  4962,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,   446,    -1,    -1,    -1,    -1,    -1,    -1,   453,   454,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,   454,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,   454,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,   454,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,    -1,     3,    -1,    -1,    -1,   444,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,   454,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   454,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,    -1,   285,    -1,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,   436,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    -1,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,    -1,    -1,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,    -1,   285,    -1,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,    -1,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,   434,   435,   436,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,   454,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,
      -1,    -1,    -1,    -1,    -1,   451,   452,   453,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,   446,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,    -1,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,    -1,    -1,     3,     4,     5,
       6,     7,   453,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,     3,     4,     5,     6,     7,    -1,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,   453,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,    -1,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,     3,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,   261,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
     261,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,   260,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,     3,    -1,    -1,    -1,
      -1,   444,   445,   446,    -1,    -1,    -1,    -1,    -1,    -1,
     453,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,   439,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,   439,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,    -1,   216,
      -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,    -1,
     247,   248,    -1,   250,    -1,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,    -1,    -1,   204,    -1,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,
     221,    -1,    -1,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,    -1,   247,   248,    -1,   250,
      -1,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,
      -1,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
      -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,    -1,   247,   248,    -1,   250,    -1,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,    -1,
      -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,
     219,   220,   221,    -1,    -1,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,   247,   248,
      -1,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,     9,
      -1,    -1,    -1,    -1,   453,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,    -1,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
       3,     4,     5,    -1,    -1,     8,     9,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    -1,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
       3,    -1,   440,   441,   442,     8,   444,   445,   446,   447,
     448,   449,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,    -1,
      -1,   204,    -1,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
       3,    -1,   440,   441,   442,     8,   444,   445,   446,   447,
     448,   449,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,    -1,
      -1,   204,    -1,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
       3,    -1,   440,   441,   442,     8,   444,   445,   446,   447,
     448,   449,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,    -1,
      -1,   204,    -1,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,     3,    -1,   440,   441,   442,
       8,   444,   445,   446,   447,   448,   449,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   446,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   446,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,   434,   435,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     446,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    -1,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,    -1,
      -1,    -1,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,    -1,   285,    -1,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,   434,   435,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   446,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,    -1,   446,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,   260,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,     4,     5,    -1,    -1,    -1,     9,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
     260,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,     4,     5,
      -1,    -1,    -1,     9,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,   260,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,     5,    -1,    -1,    -1,     9,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,   260,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,     9,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,   159,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
       4,     5,    -1,    -1,    -1,     9,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,   260,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      -1,    -1,    72,    73,    74,    75,    76,    -1,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,   156,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,   156,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    88,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,   261,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,   261,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,   261,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,    -1,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,    -1,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,    -1,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,    -1,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,    -1,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,    -1,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,    -1,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    -1,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,    -1,    -1,    -1,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,    -1,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,   285,    -1,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,    -1,    -1,
      -1,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,    -1,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,   285,    -1,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,    -1,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,    -1,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,    -1,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,    -1,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    -1,    48,    -1,    -1,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    -1,
      -1,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
      -1,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,    -1,
     192,   193,   194,   195,    -1,    -1,    -1,    -1,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,    -1,   241,
      -1,   243,   244,    -1,    -1,   247,   248,   249,   250,    -1,
      -1,   253,    -1,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,    -1,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,    -1,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,    -1,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    45,    65,    67,    68,    73,
      75,    86,    88,   105,   108,   121,   123,   127,   133,   141,
     143,   149,   164,   180,   219,   220,   225,   237,   248,   288,
     300,   305,   306,   308,   313,   318,   321,   326,   331,   332,
     339,   343,   353,   365,   384,   394,   400,   405,   418,   439,
     453,   460,   461,   462,   463,   469,   470,   472,   473,   474,
     475,   476,   477,   478,   480,   481,   485,   497,   502,   503,
     506,   507,   508,   520,   523,   524,   540,   577,   580,   583,
     584,   585,   592,   598,   600,   602,   603,   606,   609,   610,
     614,   615,   624,   628,   629,   630,   631,   632,   635,   637,
     638,   639,   640,   641,   648,   649,   662,   663,   667,   669,
     670,   671,   681,   683,   690,   691,   694,   695,   696,   697,
     698,   704,   706,   709,   713,   717,   718,   728,   729,   732,
     737,   748,   771,   774,   775,   776,   779,   782,   784,   786,
     788,   789,   794,   795,   798,   799,   800,   803,   804,   811,
     812,   814,   815,   816,   821,   823,   824,   830,   831,   832,
     833,   834,   835,   837,   838,   840,   841,   843,   846,   847,
     852,   858,   861,   863,   864,   872,   874,   879,   886,   890,
     891,   892,   893,   894,   895,   898,   933,   378,   421,   817,
      25,    71,    85,   103,   109,   125,   136,   144,   156,   161,
     167,   184,   209,   230,   262,   283,   293,   320,   325,   327,
     333,   336,   364,   365,   368,   372,   381,   386,   398,   411,
     599,   817,     3,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    37,    38,    40,    41,    43,
      44,    45,    46,    47,    49,    50,    52,    53,    54,    55,
      56,    59,    60,    61,    62,    63,    65,    66,    67,    68,
      69,    73,    74,    75,    76,    78,    79,    80,    82,    83,
      84,    85,    86,    87,    90,    91,    92,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   110,   112,   113,   114,
     115,   116,   117,   119,   120,   121,   124,   125,   126,   127,
     128,   130,   131,   132,   134,   135,   136,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   148,   150,   151,   152,
     153,   155,   157,   161,   162,   163,   165,   166,   168,   169,
     171,   172,   173,   174,   175,   177,   178,   179,   180,   182,
     183,   184,   185,   186,   187,   189,   191,   192,   193,   194,
     195,   196,   197,   199,   201,   204,   206,   207,   208,   209,
     210,   213,   214,   216,   219,   220,   221,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   242,   243,   244,   245,   247,   248,
     250,   252,   253,   254,   255,   256,   257,   259,   262,   263,
     264,   267,   268,   270,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   282,   283,   284,   285,   286,   287,   288,
     289,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   317,   318,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   333,
     334,   335,   336,   337,   339,   340,   341,   342,   343,   345,
     346,   347,   348,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   363,   364,   366,   368,   369,
     370,   371,   372,   374,   375,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   388,   389,   390,   393,   394,   395,
     396,   397,   400,   401,   402,   403,   404,   405,   406,   408,
     410,   411,   412,   413,   416,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   887,  1055,  1069,  1073,  1074,   409,   848,
     260,   289,   817,    48,   453,   531,    20,    25,    37,    58,
      71,    81,   103,   109,   125,   136,   144,   156,   163,   167,
     221,   262,   265,   283,   320,   327,   336,   368,   369,   371,
     372,   381,   386,   392,   395,   398,   541,   582,   686,   738,
     749,    26,   288,  1055,   887,    26,   282,   334,   369,   371,
       5,   208,   780,   781,  1064,    20,    25,    37,    58,    71,
      85,   103,   125,   136,   144,   156,   161,   167,   184,   230,
     262,   273,   283,   320,   325,   327,   333,   336,   365,   368,
     372,   379,   381,   386,   398,   411,   599,   699,   817,  1055,
      88,   409,   453,   577,   580,   583,   847,   853,   861,   864,
     872,   879,   886,   890,     9,    19,    26,    43,   151,   157,
     159,   181,   210,   243,   291,   307,   444,   445,   714,   715,
     887,  1063,  1065,    26,    88,   304,   332,   719,   720,   721,
    1069,   156,  1069,  1060,  1064,   365,   901,   714,  1069,   378,
    1055,   273,   230,   103,   184,   327,   364,   365,   453,   790,
     791,   326,  1069,    26,   337,   374,   378,   489,   498,   499,
    1069,    23,   164,   719,   720,   289,   817,  1069,   207,    26,
     122,   903,   904,    59,    82,   221,   239,   320,   327,   337,
     374,   378,   424,   486,   487,   488,   489,    26,   337,   374,
     378,   489,   378,   261,   944,  1053,  1069,   901,   446,  1069,
     160,   453,   849,   453,  1048,   302,   896,   897,  1055,   896,
     891,   892,   895,     0,   456,   848,   137,   198,   266,   391,
     905,   906,   891,   893,   894,   114,   194,   397,   457,     3,
      42,    48,    71,    77,    89,    96,   158,   160,   176,   190,
     202,   203,   205,   215,   217,   241,   249,   269,   271,   319,
     344,   367,   409,  1061,  1069,  1070,  1073,  1075,   701,  1069,
     701,  1056,  1069,   292,   701,   381,   701,  1055,  1069,   102,
     365,   727,  1061,     3,    99,   338,  1066,  1067,  1071,  1073,
    1074,  1075,    26,   175,  1053,   255,   411,     8,    15,    16,
      17,    66,   148,   440,   441,   442,   444,   445,   446,   447,
     448,   449,   778,  1014,  1015,  1069,   175,  1055,    26,  1066,
    1067,  1055,  1055,   175,  1053,  1055,   313,   339,    26,   175,
     944,  1055,   329,  1055,   701,   228,  1066,  1067,   175,  1053,
     208,   111,   204,   246,   298,   818,   819,   820,  1053,  1059,
    1069,    25,    58,    71,    72,    81,    85,   103,   125,   136,
     144,   156,   161,   184,   209,   230,   262,   283,   320,   325,
     327,   333,   336,   365,   368,   372,   379,   381,   386,   411,
     599,   707,  1064,   860,   864,   872,   879,   890,  1053,   232,
    1061,  1055,   453,   701,   381,  1056,   701,   381,   175,  1055,
     102,   365,   369,   371,  1066,  1067,   369,   371,    66,   148,
     778,   311,  1055,  1066,   175,   482,  1069,  1055,  1055,   329,
    1055,   701,   228,  1066,   302,   333,   365,   411,   230,    85,
     184,   161,   325,   379,   385,   593,    26,  1055,   888,   496,
    1064,  1071,   781,   232,   175,  1061,  1055,   175,   785,   175,
    1056,     3,    47,    49,    50,    61,    62,   106,   107,   126,
     152,   175,   196,   197,   199,   240,   242,   254,   299,   341,
     347,   374,   375,   406,   703,   959,   961,   963,   965,   967,
     969,   970,   971,   973,   974,   975,   978,   979,  1070,  1073,
     381,   102,   365,   175,  1061,   175,  1067,  1068,    77,   411,
      66,   148,   175,   778,    52,   175,  1055,   175,  1068,   175,
    1055,   175,  1055,   175,  1055,   329,   785,   175,  1055,   175,
     703,   175,   228,  1068,   208,   175,   700,   701,   453,   862,
     541,   853,   405,   847,   854,   855,   856,  1071,   848,  1065,
     715,   716,    26,   716,  1065,   716,    26,   716,  1065,   716,
     716,   716,  1065,  1063,  1063,   887,   716,   292,   453,   453,
     560,   560,   560,   260,   376,   457,   560,   327,   944,   945,
     457,   813,  1064,   453,   859,    52,   411,   409,   792,   793,
    1053,  1055,  1069,    42,   436,   204,   455,   263,   263,   260,
     159,  1064,   376,   154,   710,   260,     4,     6,     7,     8,
      10,    34,    47,    49,    50,    57,    58,    61,    62,    69,
      71,    93,    94,    95,    96,    97,    98,    99,   106,   107,
     142,   146,   147,   152,   166,   168,   196,   197,   199,   214,
     222,   223,   240,   242,   246,   251,   252,   254,   262,   272,
     284,   299,   323,   338,   347,   361,   374,   375,   380,   382,
     383,   392,   398,   406,   426,   427,   428,   429,   430,   431,
     432,   433,   437,   444,   445,   446,   453,   891,   962,   965,
     968,   969,   970,   972,   973,   974,   978,   979,   983,   985,
     986,   987,   989,  1010,  1011,  1012,  1016,  1035,  1040,  1050,
    1051,  1061,  1062,  1063,  1064,  1069,  1049,  1050,  1064,    26,
     504,  1052,  1053,   337,   486,   109,   495,  1064,   496,  1064,
      42,    63,   486,   436,   348,   819,   263,   159,   376,   442,
      42,   436,   204,   820,   453,  1053,   446,   451,   455,  1041,
    1043,   945,   158,   160,   409,   844,   845,   847,   158,   850,
     109,   983,  1046,  1047,   896,   457,   453,   851,   454,   454,
     462,  1053,    26,   122,   902,   902,    52,   902,   149,   154,
     218,   258,   909,   911,   912,   927,   929,   930,   931,   905,
     906,   159,   200,   944,   946,  1048,   453,   761,  1043,   274,
     309,   339,   455,   702,   274,   309,   339,     3,    80,   131,
     224,   274,   309,   339,   368,   370,   418,   497,   500,   825,
     826,   827,   828,   733,    22,   127,   274,   309,   339,   402,
     511,  1055,   339,    22,   127,   397,   479,   422,   175,   944,
      54,    87,   117,   145,   178,   213,   246,   274,   275,   309,
     317,   324,   331,   339,   351,   359,   413,   497,   501,   764,
     772,   453,   750,   309,   479,   181,   142,    22,    28,    68,
     117,   120,   127,   130,   155,   186,   244,   246,   256,   264,
     274,   309,   312,   313,   339,   402,   509,   510,   618,     4,
     445,   590,  1065,    26,   175,  1053,   701,   701,   453,   777,
     455,   142,   260,   181,   471,   309,   418,   439,   464,   471,
     260,   274,   309,   142,    53,   101,   183,   231,   234,   244,
     273,   309,   314,   339,   353,   509,   587,   588,   274,   309,
     410,   618,   626,   499,   487,   489,   181,   142,   309,   339,
     509,   274,   309,   313,   339,    78,   119,   276,   370,   260,
      22,    28,   127,   274,   309,   339,   521,   522,   154,   309,
     339,   464,   500,   142,   309,   339,   509,  1055,   216,   111,
     261,   423,   457,   818,   399,   842,   260,  1061,   453,  1055,
     959,   381,   102,   365,  1061,   255,   411,    66,   148,   778,
    1055,  1055,   329,   154,  1055,   959,   208,   701,   454,   560,
    1055,   453,   676,   761,    64,   959,   159,   453,   672,  1055,
     464,    35,   836,  1055,   246,   464,   422,   175,  1053,   464,
     701,   701,   672,   395,   541,   260,   464,   246,    42,   483,
     386,   625,   274,   601,    78,   119,   276,   370,    24,    44,
     195,   650,    35,   672,   154,   464,   411,   175,  1053,   175,
     578,  1053,  1053,   411,   701,    77,   739,  1061,  1055,   154,
     599,    48,   100,   193,   244,   328,   142,   761,    55,   315,
     512,   142,   453,   142,   408,   976,   976,   976,   453,   964,
     964,   286,   453,   966,   142,    61,    62,   976,   964,   961,
     420,   439,   453,   980,   453,   980,   457,   512,    34,   960,
      62,   453,   977,   104,   173,   233,   236,   330,   434,   453,
     981,   982,   702,   964,   422,   142,   750,   142,   457,   175,
     700,   175,   701,   175,   701,   142,   777,  1068,   142,   260,
     142,   142,   260,   142,   512,   142,    78,   119,   276,   370,
     154,   142,   260,   142,   512,   142,   154,   175,   175,   496,
     142,   457,   512,   983,  1019,   365,   454,   457,   147,   260,
     383,   493,   496,   590,   857,   853,   716,   887,   716,   887,
     716,   887,   716,   887,   716,   887,   887,   887,   716,   887,
     453,   561,   562,  1069,   561,    26,   103,   125,   156,   161,
     208,   209,   327,   333,   365,   368,   386,   722,  1052,  1068,
     721,  1055,   181,   457,   875,  1064,   959,  1022,    35,  1068,
     739,   454,   457,   216,  1069,   154,   154,   722,  1068,   326,
    1069,   496,   260,   453,  1044,   451,   891,  1023,   983,  1039,
     453,   453,   154,   453,   453,   891,   453,   453,   453,   453,
     453,   453,   983,   453,   453,   453,   453,   453,   453,   453,
     453,   891,   453,   453,   453,   453,   453,   453,   453,   453,
     983,   983,   983,   891,   983,  1019,  1043,  1064,   453,  1064,
       3,     8,    11,    15,    16,    17,    32,    35,    40,    46,
      70,   176,   181,   202,   203,   217,   249,   262,   265,   344,
     437,   440,   441,   442,   444,   445,   446,   447,   448,   449,
    1014,  1016,  1018,   419,   998,   271,   983,   200,   457,   899,
     453,  1064,  1043,   899,   112,   177,   505,   457,    63,   109,
     496,    35,     3,   109,   221,   494,   590,   979,  1064,  1064,
      83,   124,   995,    92,   109,   490,   491,   493,   590,   109,
     490,   216,  1053,   983,  1042,     3,    26,    30,    31,    32,
      33,    34,    35,    36,    39,    51,    57,    58,    64,    70,
      72,    81,    88,    93,    94,    95,    97,    98,    99,   109,
     111,   118,   122,   123,   129,   133,   137,   147,   149,   154,
     156,   159,   164,   167,   170,   181,   188,   198,   200,   211,
     212,   218,   222,   223,   246,   251,   258,   260,   261,   265,
     266,   281,   290,   304,   316,   332,   338,   349,   362,   365,
     373,   376,   377,   383,   391,   392,   398,   399,   407,   414,
     415,   417,   418,   446,  1058,  1072,  1073,  1074,  1075,  1076,
    1041,    84,   314,   705,   454,   457,   848,   454,   457,   897,
    1054,  1055,    35,   851,   893,   893,   907,   908,   983,   893,
     151,   243,   918,   206,   244,   298,   342,   397,    26,   913,
     983,   914,   916,   983,   985,   927,   928,   912,   911,   909,
     910,   154,   930,   256,   932,   909,   927,   946,   865,  1053,
      35,  1069,   339,   181,   191,   266,   268,   341,   407,   446,
     754,   755,   756,   758,   760,   762,   959,  1070,   274,   309,
     339,   376,   376,   327,  1058,   455,   376,   376,   327,   218,
     376,   376,   368,   486,   274,   825,   827,   442,   829,   154,
     164,   181,   318,   734,   735,    64,    81,   138,   156,   290,
     392,   557,   558,    81,   109,   246,   376,    81,   376,   109,
     246,   327,    81,   120,   130,   274,   309,   668,   327,   607,
      25,    58,    71,    85,   125,   136,   156,   161,   230,   262,
     327,   333,   336,   365,   372,   379,   386,   411,   599,  1055,
     142,   309,   339,   509,   260,   590,   260,   331,   213,   376,
    1069,   376,   251,   590,   113,   201,   327,   337,   378,   488,
     315,   339,   764,   773,   454,   751,   754,   376,   398,   368,
    1053,    72,   138,   175,   548,   557,  1069,    72,    81,   796,
     260,   260,   323,   325,   381,    81,   796,    29,   312,   323,
     325,   381,   323,  1053,   155,   186,   256,   701,   453,   376,
     376,   174,   453,   516,   227,   368,   395,   418,   420,   516,
      81,   457,     4,   274,   181,   142,   117,   309,   339,   509,
     399,   399,   245,   959,   274,   339,   778,  1055,  1053,   103,
     500,   376,   466,   500,  1053,   376,   376,  1053,   590,    52,
     589,   590,   590,   101,   231,   234,    52,   376,   464,   327,
     464,   244,   588,   376,   376,   251,  1064,   618,   368,   944,
      81,   376,   796,   327,   376,   376,   516,   516,   701,   701,
     701,   701,  1053,    41,   404,    41,    41,   376,    41,   376,
     327,   457,   398,   636,  1067,   376,   466,  1053,   376,   327,
     274,   309,   298,   310,   335,   492,   818,  1059,  1069,  1053,
     761,   959,   260,   202,   422,   750,   590,   701,   701,   777,
     260,   202,   260,    78,   119,   276,   370,   959,   260,   202,
     701,   202,   376,   418,   532,   386,     3,   677,   678,   672,
     453,    35,   701,   673,   674,  1072,    24,   825,   959,   260,
     142,   604,  1055,   246,   453,   465,   686,   399,   302,   411,
    1053,   465,   142,  1067,    88,   164,   484,   540,   584,   649,
     717,   737,   821,  1064,   626,   627,  1067,   224,   701,   701,
     701,   701,   256,   114,   194,   384,   397,   651,   652,   134,
     297,   453,   636,   465,  1053,   246,   586,   587,   246,    35,
     256,   453,   560,   560,   175,   581,  1053,   154,   175,   740,
    1059,   453,   752,    35,   959,   208,   418,   420,   889,   328,
    1061,   512,   959,  1056,   453,  1019,  1063,   703,   976,   976,
      34,   960,   374,   374,  1063,  1063,   959,   451,   451,   339,
    1063,   376,   376,   376,   453,   376,  1063,   964,   175,  1055,
    1061,   512,  1068,  1067,   142,   512,   142,   399,   142,   399,
     778,   512,   512,  1055,   701,  1068,  1055,   701,  1055,  1055,
     959,  1055,   701,   703,  1068,   636,   142,   142,   512,   700,
     701,   454,   457,   175,  1053,   853,   855,   887,   887,   887,
     887,   887,   887,   561,   454,   457,   454,   162,   334,   366,
    1054,   700,   102,   336,   726,   727,  1054,   255,  1054,  1052,
    1052,  1054,   700,   376,   418,   730,   137,   218,   633,   634,
      20,   140,   323,   342,   876,   944,   250,   877,   454,   457,
     860,   376,  1053,   790,   791,   793,   720,   719,   720,   159,
     165,   731,  1069,    25,    72,   103,   125,   136,   156,   161,
     209,   230,   320,   327,   333,   365,   368,   386,   411,   599,
     711,  1019,  1041,   452,  1019,  1023,  1024,   414,  1036,  1037,
     983,  1019,   453,  1063,  1063,     3,   104,   173,   233,   236,
     330,   434,  1025,  1026,  1064,  1019,  1019,  1019,  1063,  1063,
     983,   778,   983,  1027,   323,   444,   445,   453,   984,   985,
    1016,  1029,   454,  1019,   983,  1019,  1030,   983,    51,   159,
     212,   377,   983,  1019,  1033,  1019,   238,   985,   983,   993,
     994,   995,   238,   983,   995,   454,   457,  1063,   981,   959,
     983,   983,   983,   983,  1072,   374,    39,   362,  1045,   701,
     983,   453,   891,  1034,   122,   124,   147,   246,   251,   256,
     383,   393,   983,   453,   983,   376,    46,   176,   181,   217,
     344,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,    26,    33,   349,  1013,   167,   150,   999,   323,   453,
    1010,   163,   221,   365,   369,   371,   395,   900,  1053,  1051,
     159,   934,    26,   122,   407,   446,   454,   756,   983,  1020,
    1021,  1070,   934,  1053,   378,   453,  1064,   457,   454,   452,
     458,   174,   174,   512,  1053,   845,   846,  1053,  1046,   454,
     457,   453,   457,    36,   118,   399,   746,   453,   915,  1065,
     342,   206,   261,   457,   323,   324,   917,  1052,   250,   346,
     878,   928,   910,   399,   873,   109,   453,   866,   890,    35,
    1069,   453,   880,   881,   882,   883,   884,  1069,   268,    52,
    1070,   454,   756,   758,   755,   758,  1070,   266,   454,   457,
     702,   376,   376,   327,  1067,  1055,  1055,  1058,  1067,  1055,
    1055,  1067,  1056,  1055,   109,   493,  1065,   320,   398,   719,
     327,   164,   719,   453,  1055,   399,   741,   206,   206,   399,
     453,   576,   175,  1055,   251,  1067,  1055,  1055,   983,   251,
    1055,  1055,    29,   312,   376,   376,  1055,   376,   608,  1061,
     453,   701,   701,   959,   381,   102,   365,   727,   411,    66,
     148,   778,  1055,   701,  1055,   701,   329,   154,   959,   701,
     208,   169,   244,   274,   309,   403,   611,   612,   613,   944,
     376,   796,   327,   251,   144,   113,   201,  1067,  1055,   260,
    1055,   454,   457,  1066,  1068,  1055,   309,   509,   175,   548,
     246,   959,  1055,  1069,  1055,   144,   216,  1055,    26,   398,
    1055,   175,  1055,   175,  1069,   325,   381,   325,   381,   216,
    1055,    26,   398,  1055,   216,   323,  1053,    22,   127,   339,
     619,   620,   621,   622,  1072,  1067,  1055,   109,   160,   247,
     399,   515,   518,   519,  1072,  1055,   259,    68,   259,  1055,
     510,   376,   368,  1053,   260,   376,   796,   327,  1057,  1069,
    1057,   457,   454,   457,   376,   327,   453,   260,   309,   376,
     645,  1056,  1066,     3,    80,   132,   186,   280,   390,   398,
     401,   467,   309,  1067,  1055,   309,   339,   509,   587,   590,
     701,  1055,   590,  1055,   590,  1067,  1055,  1055,   309,   339,
     509,  1055,  1055,  1055,  1055,  1067,  1055,    22,    28,   127,
     274,   309,   339,   274,   309,   339,   672,   309,   339,   309,
     339,   117,   309,   958,  1069,   175,   682,  1069,   175,  1069,
    1067,  1055,  1055,  1055,    22,   522,   336,  1066,   309,   339,
     509,  1055,  1055,   376,   376,    76,   389,   298,   202,    35,
     125,   701,   251,   708,  1064,   202,   202,   399,   399,   202,
     701,   708,   701,   208,   701,   708,   202,   708,   295,   526,
     259,   159,   376,   525,   184,   442,   454,   457,   983,   959,
     454,   457,   442,   651,   550,  1072,  1055,    55,   159,   327,
     410,   605,   612,   613,   142,   217,   542,   544,   546,   548,
     554,   557,    23,   181,   320,   363,   467,   468,   154,  1057,
     411,  1053,   154,   646,   482,  1069,   483,   265,   541,   156,
    1064,   672,   672,   672,   672,   256,   260,   265,   453,   672,
     956,   957,   958,   336,   453,   142,   142,   141,   890,   701,
     542,  1069,   418,   420,   572,   418,   517,   246,    35,   560,
    1064,   246,   260,   454,   753,   754,   759,    35,   208,   317,
     379,   417,   763,   764,   765,   260,   208,   496,   172,   172,
     154,   761,    35,  1019,   454,   454,   512,   451,   436,   436,
     454,   454,  1063,   452,  1063,  1069,   454,   173,   233,   982,
     233,   982,   982,  1063,   236,   454,   142,   512,   750,   700,
     701,  1057,   701,  1057,   777,   260,   512,   260,   512,   512,
     208,   260,   512,   512,   336,   154,   496,   512,   983,   246,
     454,   562,   181,   181,   181,   422,  1054,   457,   590,   591,
     167,   723,   724,  1067,    23,   731,   376,   453,   159,   140,
     342,   140,   342,   323,   397,   235,   959,  1067,   418,   579,
    1053,  1055,   159,   260,   723,    52,   512,  1061,   959,   381,
     365,  1061,   255,   411,   959,   208,   701,   454,   452,   452,
     457,   983,   129,  1037,  1038,    35,   454,   983,   454,   454,
     454,   159,   454,   454,   454,   454,   454,   457,   454,   281,
    1028,   454,   453,   984,   984,  1019,    11,    15,    16,    17,
     181,   202,   262,   440,   441,   442,   444,   445,   446,   447,
     448,   449,  1016,   984,   454,   454,   154,   159,  1031,  1032,
     454,    35,  1033,  1019,  1033,  1033,   159,   454,   454,  1072,
     279,   997,    35,   454,   457,   983,  1072,   457,   983,  1044,
     983,   454,   436,   984,   984,   135,  1019,   159,   122,   124,
     147,   251,   256,   383,   393,   453,   135,   778,   983,   362,
    1045,   983,  1034,   983,   376,   453,   891,   453,   453,   270,
    1003,   453,  1019,   369,   371,   369,   371,  1053,   901,   901,
     901,   211,   324,   453,   891,   935,   936,   937,   944,   949,
     986,   988,   989,  1061,  1069,   415,   954,  1020,  1020,  1021,
     454,    13,    14,   457,   905,   906,   954,   819,  1063,   981,
     491,   983,  1042,   851,  1055,   860,   908,   262,  1014,  1017,
     438,   747,   983,   917,   397,   914,   226,   935,   415,   955,
     405,   867,   868,  1069,   260,   869,  1069,   884,   885,   457,
     934,   442,  1044,   762,   702,   758,   758,    52,   760,   448,
    1067,  1055,  1055,  1068,  1068,   260,  1054,   263,   260,   983,
     558,  1057,   453,   453,   453,   576,   184,   561,   660,   142,
     512,   376,  1067,  1055,   496,   761,   959,  1055,   422,   701,
     701,   701,   701,   777,    78,   119,   276,   370,   959,  1055,
     594,  1055,   169,   403,   376,   376,   594,   611,   618,   309,
     339,   509,  1055,  1055,  1055,   192,  1055,   251,   754,   273,
     339,   376,   246,   142,   264,   616,   660,   127,   313,   339,
     511,   618,   797,  1055,   331,   142,   512,   142,   512,  1055,
    1055,  1055,  1055,   331,   331,   216,   621,   622,   621,   454,
     457,   623,  1064,   184,   454,   457,   442,   455,  1067,  1055,
     309,   339,   509,   144,  1055,  1055,  1055,   274,   309,   339,
      22,   127,   274,   309,   339,   959,   245,   959,  1067,  1055,
     801,   802,  1072,  1053,   376,  1068,   399,   642,   218,   280,
     251,  1064,   280,  1068,   396,   376,   376,   327,   273,   339,
      81,   376,   796,   327,   376,   376,   228,   228,   228,   376,
     376,   327,   376,   376,   327,   376,   327,   376,   327,   260,
     376,   512,   959,   246,  1064,   339,   797,   142,   512,   376,
    1055,   376,   327,  1067,  1055,   708,   959,   701,   202,   708,
     708,  1057,  1057,   708,   202,   202,  1055,   202,   708,   356,
     357,   527,  1064,   526,   169,   262,   444,   445,   590,   675,
     758,  1017,  1064,  1076,     3,   678,   454,   454,   674,   675,
     260,    64,    70,    81,   109,   111,   188,   246,   251,   290,
     304,   392,   551,   552,   553,   141,   414,   464,   496,  1055,
     496,   616,  1053,  1053,   454,   457,  1068,   167,   320,  1068,
    1063,   386,  1053,   560,    26,   114,   194,   332,   397,   647,
     376,   644,    42,   483,   311,   365,   102,   517,   561,  1053,
     652,   679,   680,  1064,   454,   457,  1055,   561,  1053,   578,
    1053,  1055,   579,   453,   543,   454,   259,   516,   259,   260,
     573,   516,    35,   142,   890,   517,   376,   142,  1053,   454,
     457,   109,   442,   766,  1064,   496,   365,   757,   758,   154,
     767,   418,   765,   768,   114,   194,   332,   397,   809,  1055,
     169,   890,   512,   959,   454,  1063,   980,   980,   452,   452,
     977,   454,  1055,   512,   512,   399,   512,   399,   512,   512,
     701,   701,  1055,   701,  1055,   636,   512,   142,   327,   327,
     327,  1054,   727,   457,  1067,   418,   457,   725,   263,   945,
     336,   140,   140,   102,   244,  1068,   722,   512,  1067,   761,
     202,   750,   590,   202,   701,   202,  1023,   373,   983,   133,
     959,   454,   983,   983,   983,  1031,   454,  1019,   457,   959,
     984,   984,   984,   984,   122,   124,   246,   256,   984,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   983,   983,
    1032,  1031,   959,   454,   454,   454,  1019,   454,   457,    52,
     985,   454,  1072,   994,   287,   360,   996,   454,   457,   410,
     990,    35,   454,  1064,   983,    32,    32,   983,   454,   983,
     159,   453,  1022,   983,   454,   135,   984,   984,   135,   135,
     983,   983,   906,   415,   453,  1004,  1069,   454,  1019,   457,
     901,   901,   901,   901,  1053,  1053,  1053,   891,   949,   159,
     891,   936,   937,    35,   938,   939,  1069,   457,    89,   160,
     190,   205,   215,   241,   319,   941,   939,    35,   938,   940,
    1069,   439,   953,   453,  1043,   983,   167,   919,   457,   905,
     905,   905,   983,   983,   407,  1021,   454,   919,   454,   452,
     454,   453,   747,   151,   210,   454,   261,    92,   983,   316,
     871,   454,   457,  1044,    79,   871,   454,   457,   881,   955,
    1046,   454,   448,   762,   386,   162,   334,   366,   387,   736,
     154,   736,   454,   453,   564,   565,   743,   988,  1069,   561,
     561,   660,  1059,   454,   111,   188,   244,   246,   661,  1055,
    1055,    35,  1055,   399,   399,   701,   701,   701,   701,   208,
     702,  1067,  1055,   376,   796,   327,   376,   192,    52,   368,
    1055,   142,   548,   453,   550,   246,   516,   102,   246,   355,
     358,   516,   386,  1055,  1069,   331,   620,  1055,   519,   675,
    1072,   273,   339,   376,   796,   327,  1055,   376,   376,   376,
     327,   161,   262,   358,   684,   685,   161,   262,   692,   693,
     376,   376,   327,   454,   454,   454,   454,   457,   442,   309,
    1055,   453,   418,   643,  1065,  1064,  1064,  1064,  1055,  1055,
    1055,    52,   368,  1055,  1055,  1055,  1055,  1055,  1055,   154,
     154,   311,   154,   175,  1067,  1055,  1055,  1067,  1055,  1055,
    1055,  1055,  1055,  1055,   144,  1055,    70,   513,   142,    24,
      44,   386,  1069,  1055,   618,  1055,  1055,   454,   202,   708,
     202,   202,   708,   708,   202,   708,   464,   527,   594,   660,
     418,   420,  1053,   453,   701,  1055,   984,   112,   177,   111,
     251,   206,  1053,   768,   294,   664,   665,  1069,   604,   453,
     555,   187,   571,   546,  1068,  1068,   959,   453,   517,  1068,
     642,  1067,   175,  1053,   422,   154,   653,   454,   457,   958,
     616,   454,   586,    35,   256,   453,   862,   545,   547,   549,
     557,  1069,   572,   571,    75,   368,   574,   890,   581,   579,
     574,  1064,  1059,   741,   759,   983,   983,   457,   453,   763,
     386,   457,   672,   376,   453,   594,   454,   452,   512,  1057,
    1057,   512,   512,   512,   512,   336,  1054,  1054,  1054,   590,
     164,   724,   454,  1055,   102,   731,   159,   202,   251,   712,
    1064,   202,   202,   712,   202,   712,   983,   454,   454,  1032,
     454,   983,   159,   122,   124,   256,   453,   454,   425,   992,
    1019,   303,    52,   416,   416,   454,   983,   244,   983,   457,
     991,   961,   983,   983,   983,  1022,   454,   983,    32,    32,
     983,   983,   135,   454,   454,   983,  1005,  1069,   454,   983,
    1053,  1053,  1053,  1053,   939,   940,   453,   454,  1069,   453,
     936,   205,   269,   942,   936,   942,   205,   941,   942,   205,
     367,   947,   453,  1069,   453,   267,  1020,    52,   170,   926,
     454,   454,   454,  1021,  1064,   926,  1064,   778,   256,  1050,
     890,   868,   260,   453,   870,   442,   884,   871,   386,   454,
     376,   719,   159,   660,   983,   454,   457,   418,    70,   744,
     744,   454,   454,   768,   112,   177,   186,   111,   401,   512,
     959,  1057,  1057,  1055,  1055,  1055,  1055,  1055,  1068,  1055,
     548,   617,   621,   251,   251,  1065,  1069,   959,   512,   512,
     442,    52,   368,  1055,  1055,  1055,  1055,  1067,  1055,  1055,
    1063,  1063,   959,   457,  1063,  1063,   457,  1067,  1055,  1055,
     802,   245,   675,   376,   983,    64,  1068,  1055,   376,   376,
    1054,  1054,   701,  1054,   142,  1055,   701,  1064,  1064,   959,
     512,   512,   202,   708,   708,   708,   708,   453,   528,   529,
     399,   533,   534,   161,   191,   161,   159,   659,   983,   246,
     552,   768,   560,   399,   575,  1061,    32,   141,   181,   542,
     139,   182,   453,   336,   399,   561,    35,   643,   483,   246,
     453,  1055,   128,   654,   414,   656,  1064,   517,   890,   701,
     542,   579,   454,   457,   418,   573,   572,   114,   127,   287,
    1055,   418,   822,    35,   159,   260,   453,  1064,   756,   769,
     770,  1070,   768,   959,   154,  1053,   159,   376,   787,   189,
     595,   512,   512,   512,  1055,   263,   200,   512,   723,   712,
     712,   712,   712,   454,   984,   159,   453,  1022,   453,   454,
     457,   454,   985,   303,   454,   404,   352,   454,   454,   454,
     983,   983,   983,   454,   278,  1006,   454,   950,   951,   988,
     938,   453,  1054,   936,   260,   399,   943,   936,   205,   936,
    1061,   957,   453,   957,  1069,   905,    91,   168,   322,   453,
     920,   921,   922,   923,   924,   925,   983,   983,   417,  1000,
     905,  1000,   454,   887,    81,   742,   743,   123,   453,   891,
    1048,   723,   260,   723,   454,   768,   565,   262,   778,   701,
     399,   701,   745,   745,   304,   768,   575,   454,   376,   339,
     877,   454,   457,   513,   675,  1068,  1055,   376,   453,  1061,
     778,   685,   453,   453,   693,  1055,   454,   453,   339,   877,
    1055,  1055,   418,   439,   839,   311,   839,   839,   154,   513,
     708,   535,   536,  1072,    48,    90,   115,   131,   135,   155,
     158,   171,   251,   259,   296,   530,   464,   116,   727,    35,
     783,   783,  1053,   660,   454,   575,   229,   563,   184,   453,
     665,   294,   453,   454,    26,    74,    82,   110,   185,   358,
     556,   556,  1052,  1055,  1057,   454,   890,   142,   616,   323,
     354,   655,   453,   141,    35,   579,   543,   454,   547,   264,
     574,   573,   324,   324,    56,    64,   221,   890,   701,  1053,
     742,   758,   454,   457,   386,   954,   350,   350,   454,   594,
     244,   403,   596,   597,  1055,   512,   984,  1022,   454,   993,
    1019,    52,   244,   435,    52,   905,   454,   457,    35,   952,
    1054,   454,   983,   453,   936,   943,   453,   454,   957,   454,
     454,   453,   340,   453,   454,   457,  1001,  1002,  1069,   454,
    1055,   454,   457,   247,   397,   725,   736,   512,   744,   575,
     453,   701,   746,   746,  1053,   575,   660,  1055,   368,   621,
     399,   514,   339,   877,  1055,  1022,   750,   154,   688,   777,
    1022,  1022,   983,   368,   700,   701,   700,   701,  1054,   512,
     454,   457,   446,   453,   493,   537,   590,   836,  1064,   836,
     246,   251,   296,   836,   836,   528,  1064,   783,    38,   179,
     154,   244,   559,   160,   277,   345,   260,   567,   568,   569,
     368,   454,  1061,     5,   666,   571,   454,   616,   148,   687,
     517,   822,  1053,   983,   294,   890,   572,   571,   550,   574,
      64,   263,    64,   579,   741,   454,   763,   769,   959,   123,
     418,   418,   403,   594,   616,   454,   454,   454,   303,   404,
    1019,   297,   324,  1007,   953,   950,   453,   454,  1054,  1019,
     454,  1019,   453,  1019,   921,   457,    35,   954,   743,   339,
     159,   745,   415,   566,   778,   747,   747,   560,   660,  1055,
     983,   368,   454,   266,   329,   301,   689,   688,   454,   454,
     454,  1055,   839,   536,   493,   538,   539,  1064,  1064,   251,
     561,   446,   561,  1064,  1064,   128,   186,   114,   397,   260,
     569,   260,   568,  1055,   453,   454,   457,   336,   701,    35,
      35,   453,   454,  1061,   822,   573,   572,   263,   263,   453,
     517,   768,    27,   195,   810,   161,   161,    46,    92,   388,
     983,  1008,  1009,  1008,   454,   957,   454,   454,   454,   920,
     454,  1002,  1004,   880,   723,   746,   453,   660,   454,   563,
     877,  1055,  1061,    52,   689,   877,   701,   454,   457,   561,
     323,    55,   244,   315,   339,   570,   570,   454,     5,  1055,
     684,   890,   453,   574,   573,   742,   574,   247,   453,   805,
     807,   812,   864,   872,   879,   890,   727,   727,  1009,   323,
     153,   285,   153,   285,   454,   310,   948,   454,   954,   512,
     747,   983,   567,   877,   750,   701,   539,   656,    21,   109,
     251,   616,   822,     4,   657,   658,  1063,  1064,  1072,   574,
     454,   954,   806,   807,   808,   891,   892,   457,   457,    32,
     453,   454,   660,   141,   454,   457,   517,   454,   456,   376,
     159,  1009,   983,   294,   658,   574,   808,   350,   350,   454,
    1061,   954,   418,   418,   453,   161,   161,   657,   727,   727,
     454
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   459,   460,   461,   461,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   463,   464,   464,   464,   465,   465,   466,   466,   467,
     467,   467,   467,   467,   467,   467,   467,   467,   468,   468,
     468,   468,   468,   468,   469,   470,   471,   471,   472,   472,
     473,   474,   475,   475,   476,   476,   477,   478,   479,   479,
     480,   480,   481,   481,   481,   481,   482,   482,   483,   483,
     484,   484,   484,   484,   484,   484,   485,   485,   485,   486,
     486,   486,   487,   487,   487,   487,   488,   488,   488,   488,
     488,   488,   488,   488,   488,   488,   488,   489,   489,   490,
     490,   491,   491,   492,   492,   492,   492,   493,   493,   493,
     493,   494,   494,   494,   494,   494,   494,   494,   495,   495,
     495,   496,   496,   497,   498,   498,   498,   498,   499,   499,
     500,   500,   501,   501,   502,   502,   502,   502,   502,   503,
     504,   504,   505,   505,   506,   507,   507,   507,   507,   507,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   509,   509,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     511,   511,   512,   512,   512,   513,   513,   514,   514,   515,
     515,   515,   515,   516,   517,   517,   518,   518,   519,   519,
     519,   519,   520,   521,   521,   522,   522,   522,   522,   523,
     523,   524,   524,   525,   525,   526,   526,   527,   527,   527,
     528,   528,   529,   529,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   531,   531,
     532,   532,   533,   533,   534,   534,   535,   535,   536,   537,
     537,   537,   537,   537,   538,   538,   539,   540,   540,   540,
     540,   541,   541,   541,   541,   541,   541,   541,   541,   542,
     542,   543,   543,   544,   544,   545,   545,   546,   546,   546,
     547,   547,   548,   549,   550,   550,   551,   551,   551,   551,
     552,   552,   552,   552,   552,   552,   552,   553,   553,   553,
     553,   554,   555,   555,   555,   556,   556,   556,   556,   556,
     556,   557,   557,   558,   558,   558,   558,   558,   558,   558,
     559,   559,   560,   560,   561,   561,   562,   563,   563,   563,
     563,   564,   564,   565,   565,   566,   566,   567,   567,   567,
     567,   567,   568,   569,   570,   570,   570,   570,   570,   571,
     571,   572,   572,   572,   572,   573,   573,   573,   573,   574,
     574,   575,   575,   576,   577,   577,   578,   579,   579,   579,
     580,   580,   581,   582,   582,   583,   584,   584,   585,   585,
     586,   586,   587,   587,   588,   588,   588,   588,   588,   588,
     588,   588,   588,   588,   588,   588,   589,   589,   590,   590,
     590,   591,   591,   592,   592,   593,   593,   594,   594,   595,
     595,   596,   596,   597,   597,   598,   598,   599,   599,   600,
     601,   601,   602,   602,   603,   603,   604,   604,   605,   605,
     605,   605,   606,   607,   607,   608,   609,   609,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   610,   611,   611,   611,   611,   612,   612,   613,   613,
     614,   614,   615,   615,   616,   616,   617,   617,   618,   619,
     619,   620,   620,   620,   620,   621,   622,   623,   624,   625,
     625,   626,   626,   627,   627,   628,   628,   629,   629,   629,
     630,   630,   631,   631,   632,   633,   633,   634,   634,   635,
     636,   636,   637,   637,   638,   639,   640,   641,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   647,
     647,   647,   647,   647,   648,   649,   649,   650,   650,   650,
     651,   651,   652,   652,   652,   652,   652,   653,   653,   654,
     654,   655,   655,   656,   656,   657,   657,   657,   658,   658,
     658,   658,   659,   659,   660,   660,   661,   661,   661,   661,
     661,   661,   662,   662,   663,   663,   664,   664,   665,   666,
     666,   667,   668,   668,   668,   668,   669,   670,   671,   671,
     671,   671,   671,   671,   671,   671,   671,   671,   671,   671,
     671,   671,   672,   673,   673,   674,   674,   675,   675,   675,
     675,   675,   676,   677,   677,   678,   679,   679,   680,   680,
     681,   681,   681,   682,   682,   683,   684,   684,   685,   685,
     685,   685,   685,   686,   686,   687,   687,   688,   688,   688,
     689,   689,   690,   691,   691,   692,   692,   693,   693,   694,
     694,   695,   695,   696,   697,   698,   698,   698,   698,   698,
     698,   698,   698,   699,   699,   699,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   699,   699,   699,   699,   700,
     700,   701,   701,   702,   702,   703,   703,   704,   705,   705,
     705,   706,   706,   706,   706,   706,   706,   706,   706,   706,
     706,   706,   706,   706,   706,   706,   706,   706,   706,   707,
     707,   707,   707,   707,   707,   707,   707,   707,   707,   707,
     707,   707,   707,   707,   707,   707,   707,   707,   707,   707,
     708,   708,   709,   709,   709,   709,   709,   709,   709,   710,
     710,   711,   711,   711,   711,   711,   711,   711,   711,   711,
     711,   711,   712,   712,   713,   713,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   715,   715,   716,   716,   717,   718,   718,   719,
     719,   719,   719,   719,   720,   720,   721,   721,   721,   721,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   723,   723,   724,   724,
     725,   725,   726,   726,   727,   728,   729,   729,   730,   730,
     731,   731,   732,   733,   733,   734,   734,   734,   735,   735,
     735,   736,   736,   736,   736,   737,   737,   738,   738,   739,
     739,   740,   740,   741,   741,   742,   742,   743,   743,   743,
     744,   744,   745,   745,   745,   746,   746,   746,   747,   747,
     747,   748,   748,   748,   749,   749,   750,   750,   751,   751,
     752,   752,   753,   753,   754,   754,   754,   754,   754,   755,
     755,   755,   755,   755,   756,   757,   758,   758,   758,   759,
     759,   759,   760,   761,   761,   761,   761,   762,   762,   763,
     763,   764,   764,   764,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   764,   764,   765,   765,   765,
     765,   765,   766,   766,   767,   767,   768,   768,   769,   770,
     770,   771,   772,   772,   773,   773,   774,   774,   775,   775,
     776,   776,   777,   777,   777,   777,   778,   778,   779,   780,
     780,   781,   781,   782,   782,   782,   783,   783,   783,   784,
     785,   785,   786,   787,   787,   787,   787,   788,   789,   789,
     789,   789,   790,   790,   791,   791,   791,   792,   792,   793,
     794,   794,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     796,   796,   797,   797,   798,   798,   798,   798,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   800,   801,   801,   802,   802,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   804,   805,   805,   805,
     806,   806,   807,   807,   807,   807,   807,   808,   808,   809,
     809,   809,   809,   810,   810,   810,   811,   811,   812,   813,
     813,   814,   815,   815,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   817,   817,
     817,   818,   818,   818,   818,   818,   819,   819,   819,   820,
     820,   821,   821,   821,   821,   822,   822,   822,   822,   823,
     824,   825,   825,   826,   826,   827,   827,   827,   828,   828,
     828,   828,   828,   828,   828,   829,   829,   830,   830,   830,
     831,   832,   832,   833,   833,   834,   835,   835,   835,   835,
     835,   835,   835,   836,   836,   837,   838,   838,   838,   838,
     838,   838,   839,   839,   840,   841,   841,   841,   842,   842,
     843,   843,   843,   843,   843,   844,   844,   845,   845,   845,
     845,   846,   846,   847,   847,   848,   848,   849,   849,   850,
     850,   851,   851,   852,   852,   852,   852,   853,   853,   853,
     853,   853,   853,   853,   853,   853,   854,   854,   855,   856,
     856,   857,   857,   857,   858,   859,   859,   860,   860,   860,
     860,   861,   861,   862,   862,   863,   863,   863,   863,   864,
     865,   865,   866,   866,   866,   867,   867,   868,   869,   869,
     869,   870,   870,   870,   871,   871,   872,   873,   873,   874,
     875,   875,   876,   876,   876,   876,   876,   876,   876,   876,
     877,   877,   878,   878,   878,   879,   880,   880,   881,   881,
     882,   883,   883,   884,   885,   885,   886,   887,   888,   888,
     888,   888,   888,   889,   889,   889,   890,   890,   891,   891,
     892,   892,   892,   892,   892,   892,   892,   892,   893,   893,
     894,   894,   894,   894,   894,   894,   894,   895,   895,   895,
     896,   896,   897,   898,   898,   899,   899,   900,   900,   900,
     900,   900,   900,   900,   900,   900,   901,   901,   902,   902,
     902,   903,   903,   904,   904,   905,   905,   906,   907,   907,
     908,   908,   909,   909,   909,   909,   910,   910,   911,   911,
     911,   912,   912,   913,   913,   914,   915,   915,   915,   916,
     917,   917,   918,   918,   919,   919,   920,   920,   921,   921,
     921,   921,   921,   922,   923,   924,   925,   926,   926,   927,
     927,   928,   928,   929,   929,   930,   931,   931,   931,   931,
     932,   932,   933,   933,   934,   934,   935,   935,   936,   936,
     936,   936,   936,   936,   936,   936,   937,   937,   937,   937,
     937,   937,   938,   938,   938,   938,   939,   939,   940,   940,
     940,   940,   940,   941,   941,   941,   941,   942,   942,   943,
     943,   944,   944,   944,   944,   945,   945,   946,   946,   946,
     947,   948,   948,   949,   949,   950,   951,   951,   952,   952,
     953,   953,   954,   954,   955,   955,   955,   956,   956,   957,
     957,   958,   959,   959,   959,   959,   959,   959,   960,   960,
     960,   961,   961,   961,   961,   961,   961,   961,   962,   962,
     962,   962,   963,   963,   964,   964,   965,   965,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   966,   966,   967,
     967,   968,   968,   969,   970,   971,   971,   972,   972,   973,
     974,   975,   975,   975,   975,   975,   975,   976,   976,   977,
     977,   978,   978,   978,   978,   979,   980,   980,   980,   981,
     981,   981,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   982,   982,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   984,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   984,   984,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   985,   985,   985,   985,   986,   986,   986,
     986,   986,   986,   986,   987,   987,   988,   988,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     990,   990,   991,   991,   991,   991,   992,   993,   993,   994,
     994,   995,   995,   996,   996,   996,   997,   997,   997,   997,
     998,   998,   999,   999,  1000,  1000,  1001,  1001,  1002,  1003,
    1003,  1003,  1004,  1005,  1005,  1006,  1006,  1007,  1007,  1007,
    1008,  1008,  1009,  1009,  1009,  1009,  1009,  1010,  1010,  1010,
    1011,  1011,  1012,  1013,  1013,  1013,  1014,  1014,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1016,  1016,  1017,  1017,  1018,  1018,  1018,  1018,  1018,  1018,
    1019,  1019,  1020,  1020,  1021,  1021,  1021,  1022,  1022,  1023,
    1023,  1023,  1024,  1024,  1025,  1025,  1026,  1026,  1026,  1026,
    1026,  1026,  1026,  1026,  1027,  1027,  1028,  1029,  1029,  1030,
    1030,  1030,  1030,  1030,  1030,  1031,  1032,  1033,  1033,  1033,
    1034,  1034,  1035,  1036,  1036,  1037,  1038,  1038,  1039,  1039,
    1040,  1040,  1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,
    1044,  1044,  1045,  1045,  1046,  1046,  1047,  1047,  1048,  1049,
    1049,  1050,  1050,  1051,  1051,  1051,  1051,  1052,  1052,  1053,
    1053,  1054,  1054,  1055,  1056,  1057,  1058,  1059,  1060,  1061,
    1061,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1063,  1064,  1065,  1065,  1065,  1066,
    1067,  1067,  1067,  1068,  1068,  1069,  1069,  1069,  1070,  1070,
    1070,  1071,  1071,  1071,  1071,  1072,  1072,  1072,  1072,  1072,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,
    1075,  1075,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     5,     1,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     5,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     1,     2,     3,     2,     1,     1,
       2,     1,     2,     1,     2,     3,     4,     3,     2,     4,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       4,     6,    10,    13,     4,     6,    10,    13,     4,     6,
       4,     6,     5,     7,    11,    14,     1,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     5,     5,     6,     6,
       4,     8,     4,     2,     4,     3,     6,     4,     3,     3,
       3,     3,     2,     2,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     3,     4,     4,     4,     5,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     9,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     7,    10,     5,     2,     3,     0,
       8,    11,     4,     1,     0,     6,     5,     8,     4,     6,
       1,     0,     1,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     1,     3,     1,     0,     1,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     5,     7,     1,     0,     7,
       2,     0,     3,     5,     5,     8,     2,     0,     2,     2,
       2,     1,     5,     2,     0,     2,     7,    10,     6,     6,
       6,     6,     7,     7,     9,     9,     6,     7,     6,     8,
       8,     8,     8,     6,     6,     7,     7,     8,     6,     9,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       6,     8,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,     2,
       0,     2,     2,     1,     0,     4,     6,     5,     4,     4,
      11,    14,     5,     7,    11,     2,     1,     4,     0,     8,
       1,     1,     7,     9,     8,     9,     8,     6,     8,     4,
       0,     5,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     3,     0,    13,     1,     3,     5,     6,
       4,     7,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     2,
       2,     1,     1,     1,     1,     3,     3,     3,     3,     1,
       3,     1,     2,     2,     3,     1,     3,     5,     2,     2,
       0,     6,     6,     6,     7,     7,     7,     8,     9,     8,
       8,     6,     9,     8,     9,     9,     7,    10,     7,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     1,     3,     2,     3,     3,     3,     3,
       1,     1,     8,     8,     8,     9,     9,     9,     9,     2,
       0,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     2,     2,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     4,     4,     3,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,    14,    17,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     2,     0,     1,     1,     0,     2,     2,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     3,     3,     5,     6,     1,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     3,     5,     2,     0,     2,     1,
       3,     5,     1,     2,     1,     0,     5,     7,     5,     7,
       5,     7,     3,     5,     5,     5,     1,     3,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     3,     3,
       6,     6,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     5,     7,     6,     6,     6,     6,     8,     8,     6,
       6,     7,     9,     9,     8,    10,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     8,     8,     8,     8,     6,     9,
       1,     0,     2,     0,     7,     9,     8,     7,     7,     6,
       6,     6,     6,     6,     7,     9,     9,     6,     8,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     8,     1,     3,     3,     3,     7,     6,     6,
       6,     6,     6,     7,     7,     7,     9,     9,     6,     6,
       6,     8,     8,     8,     6,     7,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     6,     8,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,    12,    14,     3,     4,     4,     0,     2,
       5,     1,     0,     1,     2,     3,     3,     3,     1,     2,
       1,     1,     1,     1,     1,     1,     0,     5,     4,     6,
       4,     3,     5,     4,     4,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,     1,     1,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     3,     0,     1,     1,     1,
       1,     3,     9,     3,     0,     2,     3,     2,     3,     7,
       1,     3,     1,     4,     2,     1,     3,     2,     8,     5,
       0,     4,     3,     0,     2,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     1,     2,     0,     8,     1,     3,     1,     1,
       3,     5,     5,     2,     1,     3,     7,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     6,     1,     0,     2,     0,     3,     3,     4,
       4,     4,     4,     3,     2,     1,     1,     0,     1,     1,
       0,     1,     5,     1,     0,     1,     0,     3,     1,     3,
       4,     3,     2,     2,     1,     1,     1,     0,     2,     4,
       5,     2,     3,     1,     1,     1,     1,     3,     0,     1,
       1,     1,     1,     1,     3,     0,     1,     3,     1,     1,
       1,     1,     1,     2,     4,     4,     5,     2,     0,     1,
       3,     1,     0,     1,     2,     3,     2,     4,     2,     3,
       2,     0,     2,     3,     2,     0,     1,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     1,     4,
       5,     4,     0,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     3,     3,     2,     2,
       3,     5,     4,     6,     3,     5,     4,     6,     4,     6,
       5,     7,     3,     2,     4,     2,     3,     3,     4,     3,
       4,     3,     4,     5,     6,     6,     7,     6,     7,     6,
       7,     3,     4,     4,     6,     2,     3,     4,     1,     3,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     5,     6,     6,
       7,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     1,     4,     3,     5,     6,
       8,     6,     6,     4,     4,     1,     1,     1,     5,     1,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     1,
       1,     1,     1,     1,     6,     4,     4,     4,     4,     6,
       5,     5,     5,     4,     6,     4,     4,     4,     4,     5,
       7,     7,     9,     5,     4,     6,     5,     7,     7,     7,
       2,     3,     3,     3,     4,     0,     4,     1,     3,     3,
       1,     1,     1,     2,     2,     0,     2,     4,     4,     6,
       5,     0,     5,     0,     2,     0,     1,     3,     3,     2,
       2,     0,     6,     1,     0,     3,     0,     2,     2,     0,
       1,     4,     2,     2,     2,     2,     2,     4,     3,     5,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     3,     1,     3,     3,
       3,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     3,     2,     3,     0,     3,
       3,     2,     2,     1,     0,     2,     2,     3,     2,     1,
       1,     3,     5,     1,     2,     4,     2,     0,     1,     0,
       1,     2,     2,     2,     3,     5,     1,     0,     1,     2,
       0,     2,     1,     0,     1,     1,     1,     3,     3,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     6,     2,     3,
       5,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 735 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 23190 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 742 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 23201 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 749 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 23212 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 884 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23218 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 895 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23230 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 905 "gram.y" /* yacc.c:1646  */
    {}
#line 23236 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 906 "gram.y" /* yacc.c:1646  */
    {}
#line 23242 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 907 "gram.y" /* yacc.c:1646  */
    {}
#line 23248 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23254 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23260 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23266 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 922 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23272 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 927 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23281 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 932 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 23289 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23298 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23307 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 23315 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23323 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 954 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 23331 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23339 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 963 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 23388 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1010 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 23394 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23402 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 23410 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23418 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23426 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23434 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1043 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23446 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1061 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23458 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1071 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23464 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1072 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23470 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1077 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].node);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23482 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1085 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23494 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1103 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23506 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1115 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].node);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23518 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1136 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23529 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1143 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23540 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1162 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23551 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1169 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 23562 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1186 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23574 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1204 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].node);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 23587 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1214 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 23593 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1215 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 23599 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1228 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23610 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1235 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23621 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1252 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23635 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1262 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23649 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1272 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23668 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1287 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23687 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1304 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23693 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1305 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23699 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1310 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 23709 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23715 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1344 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23725 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1350 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 23735 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1356 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23745 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1365 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23757 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1373 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23769 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1385 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23781 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1393 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23793 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1401 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23804 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1408 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23815 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1416 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 23821 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1418 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23832 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1426 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23847 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1437 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 23859 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1445 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23871 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1453 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23886 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1464 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23898 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1472 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23910 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1480 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 23921 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1487 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23933 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1496 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23945 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23951 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1507 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 23957 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23963 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1511 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23969 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 23975 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1517 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 23981 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1520 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 23987 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1521 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 23993 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1522 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 23999 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1523 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 24005 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1527 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 24011 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1528 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 24017 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1529 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 24023 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1535 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24029 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1548 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24037 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1552 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24045 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1556 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 24064 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1571 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 24075 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24081 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1578 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24087 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24093 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24099 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1584 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24105 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24111 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1589 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24117 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1590 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24123 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1594 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 24129 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1598 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24135 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1600 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 24146 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1607 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 24157 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1614 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 24168 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1624 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 24179 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1631 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 24189 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1640 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24195 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1641 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24201 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1646 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24207 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1647 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24213 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1653 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 24223 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1659 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 24233 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1665 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 24243 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1671 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 24253 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1677 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 24263 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1687 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 24274 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24280 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24286 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1701 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24292 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1702 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24298 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1711 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 24307 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1726 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 24317 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1732 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24327 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1738 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24337 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1744 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 24347 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1750 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 24357 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1769 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24370 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1778 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24383 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1787 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24398 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1798 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24413 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1809 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24426 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1818 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24439 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1827 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24454 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1838 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24469 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1849 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24482 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1858 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24495 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1867 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24508 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1876 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24521 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1885 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24534 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1894 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24547 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1903 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24562 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1914 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24577 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24583 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24589 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1934 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24601 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1943 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24613 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1952 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24625 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 1961 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24637 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 1970 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24649 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 1979 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24660 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 1987 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24671 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 1995 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 24683 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2004 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24695 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2013 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24707 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2022 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 24719 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2031 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24732 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2041 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24745 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2054 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 24763 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2069 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24775 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2078 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24786 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2086 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 24804 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2101 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24815 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2109 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24828 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2119 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24841 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2129 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 24851 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2136 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 24861 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2143 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24872 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2151 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 24883 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2159 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 24893 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2166 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 24903 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2173 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24914 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2181 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24925 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2189 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24936 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2197 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 24946 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2204 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 24956 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2211 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24967 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2219 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 24977 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2226 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 24987 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2233 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24998 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2241 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25009 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2249 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25020 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2257 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25031 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2265 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 25042 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2273 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 25053 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2281 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 25066 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2291 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 25076 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2298 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25087 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2306 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25098 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2314 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25109 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2322 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25120 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2330 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25131 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2338 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25141 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2345 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25151 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2352 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25161 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2359 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25171 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2365 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25182 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2374 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25188 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2375 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25194 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2379 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 25200 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2380 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 25206 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2381 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 25212 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2386 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 25224 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2393 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25230 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2397 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25236 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2398 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25242 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2403 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25253 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2410 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25264 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2417 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25275 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2424 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25286 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2433 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25292 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25298 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2437 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25304 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2441 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25310 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2442 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25316 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 25324 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 25332 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 25341 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 25349 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2476 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 25363 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25369 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25375 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2495 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25387 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2504 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25400 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2514 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25413 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2524 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25432 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2550 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25442 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2556 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25452 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2590 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 25484 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2618 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 25507 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2639 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25513 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2640 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25519 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2644 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25525 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2645 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25531 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2654 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25537 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2655 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25543 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2656 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25549 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2659 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25555 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25561 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25567 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2666 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25573 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25581 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2675 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25589 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 25597 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25605 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 25613 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 25621 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 25629 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 25637 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2703 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 25645 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2707 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 25653 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 25661 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 25669 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2719 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 25677 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2723 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 25685 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25693 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2735 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 25699 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25707 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2743 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 25713 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25721 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2751 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 25727 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2755 "gram.y" /* yacc.c:1646  */
    {}
#line 25733 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2756 "gram.y" /* yacc.c:1646  */
    {}
#line 25739 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25747 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2766 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25755 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2773 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 25763 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2779 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25769 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2780 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 25775 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2781 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 25781 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2782 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 25787 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2783 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25793 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2788 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25801 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2792 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25809 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2799 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25815 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2812 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25834 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2829 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25853 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2845 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25873 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2862 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25893 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25899 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25905 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2892 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25911 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2893 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25917 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2895 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25928 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2902 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25939 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2908 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 25945 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2909 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 25951 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25957 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25963 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25969 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25975 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25983 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25991 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2935 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25999 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 26007 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2945 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26013 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2946 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26019 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2947 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26025 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26031 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2952 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26037 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2956 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 26060 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2977 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 26082 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 26088 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26094 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3003 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26106 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3010 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26112 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3011 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26118 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3013 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26135 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3044 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26146 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3051 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26157 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3058 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26172 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3069 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26187 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3080 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 26203 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3092 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26216 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3101 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 26235 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3134 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26246 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3141 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26257 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3148 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26268 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3155 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26279 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3166 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 26290 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 26296 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3176 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 26302 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3177 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 26308 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 26314 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 26320 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3183 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 26326 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3184 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 26332 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3185 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 26338 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3186 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 26344 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3196 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26356 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3203 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26362 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3208 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26379 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3222 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26397 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3236 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26415 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3251 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26433 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3265 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26451 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3281 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26471 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3298 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26493 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3317 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 26499 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3318 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 26505 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3322 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26511 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26517 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26523 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26529 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3332 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 26537 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3338 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 26545 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3342 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 26557 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3350 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26565 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3354 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26573 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26579 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26585 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3366 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 26593 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3371 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 26601 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3377 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 26607 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3378 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26613 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3389 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26619 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3391 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26625 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3393 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26631 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3395 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 26637 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3397 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26643 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3400 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26649 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3403 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26655 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3407 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 26661 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3408 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 26667 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3409 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 26673 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3410 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 26679 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3411 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 26685 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3414 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26691 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3415 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26697 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26703 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3421 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 26709 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 26715 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3423 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26721 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3426 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 26727 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3427 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 26733 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3428 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 26739 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3429 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 26745 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3432 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26751 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3433 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26757 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3436 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26763 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3437 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26769 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26775 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3456 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26792 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3469 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26809 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26824 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3498 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26830 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3499 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26836 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3500 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26842 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3513 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26859 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3526 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26876 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3542 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26891 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3554 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 26897 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3555 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 26903 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3568 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 26915 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3588 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26929 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3598 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26943 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3611 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26955 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3619 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26967 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26973 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26979 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3633 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26985 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26991 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3638 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 26999 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 27007 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 27015 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 27023 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 27031 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 27039 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 27047 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3666 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 27055 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3670 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 27063 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3674 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 27071 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 27079 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 27087 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3687 "gram.y" /* yacc.c:1646  */
    {}
#line 27093 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3688 "gram.y" /* yacc.c:1646  */
    {}
#line 27099 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3692 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 27105 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 27114 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3698 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 27120 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3701 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 27126 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 27132 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3715 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 27148 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3728 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 27163 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3741 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27169 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3742 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27175 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27181 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 27187 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3755 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27193 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27199 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27205 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3761 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27211 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27217 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3766 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27223 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3771 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27238 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3782 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27252 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3794 "gram.y" /* yacc.c:1646  */
    {}
#line 27258 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3795 "gram.y" /* yacc.c:1646  */
    {}
#line 27264 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3806 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].node);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27277 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3816 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27283 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3817 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27289 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3831 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 27300 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3838 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 27311 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3855 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27323 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3863 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27335 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27341 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3876 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27347 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3881 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 27355 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3885 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27363 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3889 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27371 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE));
				}
#line 27379 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3905 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27390 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27396 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27402 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3922 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27410 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3935 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 27424 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3945 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 27438 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3955 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27451 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3964 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27464 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3973 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27477 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3982 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 27491 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3992 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27504 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4001 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27518 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4011 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27531 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4020 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27544 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4029 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27557 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4038 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27570 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4047 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27583 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4056 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27596 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4065 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27609 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4074 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27622 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27635 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4092 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27648 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4101 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27661 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4110 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27674 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4119 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27687 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4128 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27700 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4137 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27713 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4146 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27727 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4156 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27740 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4174 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27752 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4184 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 27758 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4185 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 27764 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4186 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 27770 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4187 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 27776 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27782 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27788 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27794 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27800 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4208 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27815 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4219 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27830 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4239 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27842 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4247 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 27854 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27860 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27866 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4264 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27874 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4268 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27882 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27888 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4280 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27896 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4284 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27904 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27912 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4295 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 27921 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 27930 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 27938 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4312 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 27946 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4318 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27952 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4323 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27958 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4335 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27972 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27978 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27984 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4353 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27990 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4354 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27996 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4358 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28002 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4359 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28008 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4370 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28023 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4381 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28038 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4401 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 28051 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4410 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 28063 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4418 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28074 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4437 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28096 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4457 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28118 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4485 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28131 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4494 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28144 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4516 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 28159 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4529 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 28165 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4530 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 28171 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4535 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 28182 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4542 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 28193 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4558 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28205 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4568 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28211 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 28217 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4580 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28229 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4588 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28241 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4605 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28253 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4629 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-6].str);
					n->table = (yyvsp[-4].range);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28268 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4644 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28282 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4657 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28297 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4668 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28312 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4681 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28318 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4682 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28324 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4686 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28330 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4687 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28336 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4691 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28342 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 28348 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28354 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 28360 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4701 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28366 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4702 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 28372 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4706 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 28378 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4707 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 28384 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4708 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 28390 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4709 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 28396 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4710 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 28402 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4721 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 28414 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4742 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28436 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4763 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 28459 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4784 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 28465 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4785 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 28471 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4786 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 28477 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28483 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4793 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 28506 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 28512 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 28518 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 28524 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 28530 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 28536 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 28544 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4832 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 28556 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4842 "gram.y" /* yacc.c:1646  */
    {}
#line 28562 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4843 "gram.y" /* yacc.c:1646  */
    {}
#line 28568 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4847 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28574 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4848 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28580 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4852 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28586 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4853 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28592 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4857 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28598 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28604 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28610 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4864 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 28618 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4867 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28624 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4868 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28630 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4869 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28636 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4873 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 28642 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4874 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 28648 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4879 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 28654 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4881 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 28682 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4907 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 28688 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4908 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 28694 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4909 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 28700 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4910 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 28706 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4911 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 28712 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4912 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 28718 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4918 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28733 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4929 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28748 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4953 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28761 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4964 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28774 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4976 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28780 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28786 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4983 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 28792 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28798 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 28804 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4995 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 28815 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5004 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 28821 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5005 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 28827 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5006 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 28833 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5007 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 28839 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5021 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 28859 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5040 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 28875 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5063 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28889 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5073 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28904 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5084 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28918 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5094 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28932 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5104 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 28947 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5115 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 28960 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5124 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 28971 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5131 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28982 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5138 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28995 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5147 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29008 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5156 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29021 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5165 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29034 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5174 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29047 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5183 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 29060 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29066 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29072 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29078 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 29086 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 29094 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5211 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 29100 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5212 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 29106 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5213 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 29112 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5214 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 29118 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5215 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 29124 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29130 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5221 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29136 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29142 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 29150 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5237 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29156 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29162 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29168 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5244 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29174 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5255 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29188 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5265 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29202 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5275 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29216 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5286 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29222 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5287 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29228 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5305 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29243 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29249 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29255 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5324 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29269 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5335 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29283 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5345 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 29296 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5354 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29310 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5364 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 29321 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5372 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29327 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5373 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29333 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29339 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29345 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29351 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29357 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29363 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5386 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 29381 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5399 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29387 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5405 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29398 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5415 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29411 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5424 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29424 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29430 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29436 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5441 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29448 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5449 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29460 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5461 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29474 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5471 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29488 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5484 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29502 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5494 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29516 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5516 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29527 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5526 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29538 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5544 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29553 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5555 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29568 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5566 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29582 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5576 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29596 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5586 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29610 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5596 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29624 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5606 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29639 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5617 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29654 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5630 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 29660 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5631 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 29666 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5632 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 29672 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5633 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 29678 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5634 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 29684 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5635 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 29690 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5636 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 29696 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5637 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 29702 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5638 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 29708 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5639 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 29714 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5640 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 29720 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5641 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 29726 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5642 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 29732 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5643 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 29738 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5644 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 29744 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5645 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 29750 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29756 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5650 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29762 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5653 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29768 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5654 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 29774 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29780 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29786 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5664 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(list_make1((yyvsp[0].typnam))); }
#line 29792 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), list_make1((yyvsp[0].typnam))); }
#line 29798 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5676 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29810 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5686 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29816 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5687 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29822 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29828 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5722 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29841 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5731 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29854 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5740 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29867 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5749 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29880 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5758 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29893 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5767 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29906 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5776 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29919 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5785 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->objname = list_make1(makeTypeNameFromNameList((yyvsp[-2].list)));
					n->objargs = list_make1(makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29937 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5799 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29950 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5808 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29963 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5817 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29977 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5827 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-4].typnam));
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29990 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5836 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30003 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5845 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30015 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5853 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30028 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5862 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30041 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5871 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30054 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5880 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30067 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5891 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30073 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5892 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30079 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5893 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30085 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5894 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 30091 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5895 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30097 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5896 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30103 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5897 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30109 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5898 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30115 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5899 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 30121 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5900 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 30127 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5901 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30133 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5902 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 30139 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5903 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30145 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5904 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30151 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5905 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 30157 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 30163 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5907 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30169 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5908 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 30175 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5909 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 30181 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5910 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 30187 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 30193 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5915 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30199 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5916 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30205 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5932 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30219 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5943 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30233 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5954 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30247 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5965 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30261 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5976 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30275 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5987 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30289 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5998 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30303 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6009 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30309 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6010 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30315 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6014 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30321 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6015 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30327 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6016 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30333 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6017 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30339 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6018 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30345 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6019 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30351 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6020 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30357 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6021 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30363 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6022 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30369 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6023 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30375 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6024 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30381 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6027 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30387 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6028 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30393 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6039 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 30403 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6045 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 30413 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6053 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30425 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6061 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30437 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6069 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30449 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6077 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30461 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6085 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30473 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6093 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 30485 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6101 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30497 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6109 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30509 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6117 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30521 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6125 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30533 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6133 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30545 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6141 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30557 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6149 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30569 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6157 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30581 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6165 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30593 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6173 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30605 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6182 "gram.y" /* yacc.c:1646  */
    {}
#line 30611 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6183 "gram.y" /* yacc.c:1646  */
    {}
#line 30617 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6186 "gram.y" /* yacc.c:1646  */
    {}
#line 30623 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6187 "gram.y" /* yacc.c:1646  */
    {}
#line 30629 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6199 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30645 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6215 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30662 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6229 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30679 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30685 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30691 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30697 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6260 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30708 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6267 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30719 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 30725 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 30731 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6280 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30742 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6287 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30753 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6294 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30764 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6301 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30775 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6315 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30787 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6323 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30799 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6331 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30811 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6339 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30823 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6347 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30835 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6355 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30847 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6363 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30859 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6371 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30871 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6379 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30883 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6387 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30895 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6395 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30907 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6403 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30919 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6411 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30931 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6419 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30943 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6427 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30955 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6435 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30967 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30973 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6447 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30979 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6451 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30985 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6452 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30991 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6457 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30997 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6458 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31003 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 31009 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6464 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 31015 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6469 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 31026 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6485 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 31040 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6498 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 31054 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6508 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 31068 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6519 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31074 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6520 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31080 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6523 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31086 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6524 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31092 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6535 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 31103 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6544 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31109 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6545 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31115 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 31123 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6554 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31131 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31139 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6570 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31155 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6583 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31172 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6597 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31189 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6612 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 31195 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6613 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 31201 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6614 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 31207 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6615 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 31213 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6630 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 31241 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6656 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31269 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6682 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31275 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6683 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31281 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6687 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31287 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6688 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31293 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6692 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31299 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6693 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31305 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6697 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31311 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6698 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 31317 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6701 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 31323 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 31329 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31344 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6722 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31359 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6733 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31374 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6745 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31380 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6746 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31386 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31392 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31398 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31404 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6754 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 31410 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6755 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 31416 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6756 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 31422 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6759 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 31428 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6760 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 31434 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6761 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 31440 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6779 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31455 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6791 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31471 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6804 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31486 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6817 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31492 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6818 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31498 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31504 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6822 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31510 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6826 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31516 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6827 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31522 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31528 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6836 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31534 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6840 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31540 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6842 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31546 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6857 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31559 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6866 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31572 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6875 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31585 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6884 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31598 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6893 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31611 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6904 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 31617 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6905 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 31623 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6906 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31629 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6907 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31635 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6908 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 31641 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6919 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31653 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6933 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31659 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6935 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31669 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31680 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6951 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31688 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31697 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6960 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31706 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6968 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31720 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 31728 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 31736 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 31744 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7021 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 31753 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31759 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7034 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31771 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31777 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7043 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 31785 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7047 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31793 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7051 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31801 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 31809 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7059 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 31817 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7063 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 31825 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31833 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31841 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31849 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31857 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7083 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 31865 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 31873 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 31881 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 31889 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7099 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 31898 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)));
				}
#line 31906 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7111 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 31914 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7115 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 31922 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7119 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list));
				}
#line 31930 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 31938 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31946 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31952 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7134 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 31960 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31966 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 31972 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7145 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31978 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7146 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31984 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7150 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31997 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 32005 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7166 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 32013 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7181 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32024 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32030 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32036 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7214 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32051 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7225 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32066 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7239 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32081 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7250 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32096 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7264 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32111 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7275 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32126 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7289 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 32138 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7297 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 32144 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 32150 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7301 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 32156 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7306 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32162 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7308 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 32168 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7321 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32178 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32184 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32190 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7335 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 32198 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 32206 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7352 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32220 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7363 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32234 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7374 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 32248 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7385 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 32254 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7386 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 32260 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7387 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 32266 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7392 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32281 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7404 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32287 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7405 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32293 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7416 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 32307 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].funwithargs), (yyvsp[0].funwithargs));
				}
#line 32315 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), (yyvsp[-6].funwithargs));
				}
#line 32323 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), NULL);
				}
#line 32331 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].funwithargs));
				}
#line 32339 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7447 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make1((yyvsp[-3].typnam)));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32353 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7468 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32366 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7477 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32379 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7486 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32392 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7495 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32405 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7505 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 32411 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7506 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 32417 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7509 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 32423 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7510 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 32429 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7511 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 32435 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7514 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 32441 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 32447 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7518 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 32453 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7529 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32466 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7538 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32479 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7555 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32493 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7565 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32506 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7574 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32519 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7583 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32532 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7592 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32545 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7601 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 32558 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7610 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32571 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7619 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32585 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7629 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32598 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7638 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32611 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7647 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32624 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7656 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32637 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7665 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32651 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7675 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32665 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7685 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32678 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7694 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32691 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7703 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32705 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7713 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32719 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7723 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7733 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32747 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7743 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32761 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7753 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32775 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7763 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32789 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7773 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32803 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7783 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32817 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7793 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32831 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7803 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32845 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7813 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32859 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7823 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32874 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7834 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32889 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7845 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32904 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7856 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32919 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7867 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32933 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7877 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32947 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7887 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32962 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7898 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32977 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7909 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32991 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7919 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33005 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7929 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33017 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7937 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33030 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7946 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33043 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7955 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33056 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7964 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33069 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7973 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33082 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7982 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33095 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7991 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33108 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8000 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33121 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8009 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33137 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 33143 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33149 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8026 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 33155 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8027 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33161 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8038 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->relation = NULL;
					n->objname = (yyvsp[-4].funwithargs)->funcname;
					n->objargs = (yyvsp[-4].funwithargs)->funcargs;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33175 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8048 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->objname = list_make1(makeString((yyvsp[-6].str)));
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33189 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8058 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->objname = NIL;
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33203 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8068 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->objname = NIL;
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33217 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8087 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33231 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8097 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33244 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8106 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33257 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8115 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33270 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8124 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33283 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8133 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33297 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8143 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33311 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8153 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33324 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8162 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33337 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8171 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33350 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8180 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33363 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8189 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33376 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8198 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33389 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8207 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33402 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8216 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33415 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8225 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33428 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8234 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33441 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8243 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33454 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8252 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33467 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8261 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33480 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8270 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33493 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8279 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33506 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8288 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33519 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8297 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33532 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8315 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-5].list);
					n->operargs = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 33544 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33550 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33556 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8329 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL); }
#line 33562 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8331 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node)); }
#line 33568 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8341 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33581 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8350 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33593 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8358 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33605 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8366 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33617 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8374 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33629 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8382 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33642 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8391 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33654 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8399 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33666 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8407 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33679 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8416 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33691 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8424 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33703 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8432 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33715 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8440 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33727 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8448 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33739 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8456 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33751 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8464 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33763 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8472 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33775 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8480 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33787 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8488 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33799 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8507 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33815 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8521 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33821 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33827 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33833 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8529 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 33843 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8535 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 33853 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8551 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33859 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8552 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33865 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8555 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 33871 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8556 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 33877 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8557 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 33883 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8558 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 33889 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8562 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33895 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8563 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8564 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33907 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8570 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33922 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8581 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33937 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8603 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33948 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8612 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33954 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8613 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33960 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8617 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33970 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8626 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33980 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8632 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 33990 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8651 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34001 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8658 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34012 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8665 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34023 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8672 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34034 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8679 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34045 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8686 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34056 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8693 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34068 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8701 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34080 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8709 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34092 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8717 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34104 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8725 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34116 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8733 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34127 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8740 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34138 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8747 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34149 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8755 "gram.y" /* yacc.c:1646  */
    {}
#line 34155 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8756 "gram.y" /* yacc.c:1646  */
    {}
#line 34161 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8757 "gram.y" /* yacc.c:1646  */
    {}
#line 34167 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8762 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 34174 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8765 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 34181 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8768 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34188 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8771 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 34195 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8774 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34202 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8781 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34208 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8783 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 34214 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8785 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34220 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34226 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8805 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8818 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34258 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8831 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34279 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8849 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34300 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8868 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34306 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8869 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34312 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8870 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 34318 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8871 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 34324 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8882 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34334 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8898 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34345 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34351 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34357 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34369 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8918 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 34377 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8922 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)));
				}
#line 34385 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL);
				}
#line 34393 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8943 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34399 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8944 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 34405 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8945 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34411 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8946 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34417 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8947 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34423 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8948 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34429 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8949 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34435 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8956 "gram.y" /* yacc.c:1646  */
    {}
#line 34441 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8957 "gram.y" /* yacc.c:1646  */
    {}
#line 34447 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8969 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34458 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8976 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34469 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8983 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 34481 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8994 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34492 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9011 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34503 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9018 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34514 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9036 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34524 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9042 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34534 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9058 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 34547 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9071 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34559 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9080 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34570 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9088 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34581 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9096 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34593 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9105 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34607 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9116 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34621 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9127 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34633 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9136 "gram.y" /* yacc.c:1646  */
    {}
#line 34639 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9137 "gram.y" /* yacc.c:1646  */
    {}
#line 34645 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9149 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34656 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9159 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34671 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9170 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34686 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9181 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34701 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9192 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34716 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9203 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 34729 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9212 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 34742 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9223 "gram.y" /* yacc.c:1646  */
    {}
#line 34748 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9224 "gram.y" /* yacc.c:1646  */
    {}
#line 34754 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9240 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 34768 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9262 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34780 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9270 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34792 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9279 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34804 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9289 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34810 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9290 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34816 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9303 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9317 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34852 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9331 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 34868 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9343 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34880 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9351 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 34894 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9363 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34900 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9364 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34906 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9368 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 34912 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9369 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 34918 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9370 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 34924 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9371 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 34930 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9376 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34944 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9386 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34958 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9398 "gram.y" /* yacc.c:1646  */
    {}
#line 34964 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9399 "gram.y" /* yacc.c:1646  */
    {}
#line 34970 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9403 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34976 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9404 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34982 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9407 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34988 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9408 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34994 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9411 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 35000 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9412 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35006 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9416 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35012 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9417 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35018 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9431 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35029 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9438 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 35043 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9448 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 35054 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9455 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35065 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35073 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35081 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 35089 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9494 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35095 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9495 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 35101 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9499 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35107 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9500 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 35113 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9501 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35119 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9512 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35131 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9521 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35137 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35143 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9540 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35154 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9548 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35173 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9564 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35179 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9565 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35185 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9576 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35195 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9582 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35205 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9588 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35215 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9594 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35225 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9611 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 35237 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 35245 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9632 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 35254 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35264 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35274 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 35284 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9661 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35290 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35296 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35308 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 35321 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 35342 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 35354 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9722 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 35374 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35380 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35386 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9742 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 35400 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35406 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9755 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35412 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9767 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 35425 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9777 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 35431 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9778 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35437 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9781 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 35443 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9782 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 35449 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9783 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 35455 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9784 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 35461 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9785 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 35467 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9786 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 35473 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9787 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 35479 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9788 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35485 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9791 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 35491 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9792 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35497 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9796 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 35503 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9797 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 35509 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9798 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 35515 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9814 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 35530 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9827 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35536 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 35542 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35548 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35554 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 35563 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9854 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  This is semantically
					 * equivalent to, and much cheaper to process than, the
					 * general case.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[0]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35593 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9880 "gram.y" /* yacc.c:1646  */
    {
					SubLink *sl = makeNode(SubLink);
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* First, convert bare SelectStmt into a SubLink */
					sl->subLinkType = MULTIEXPR_SUBLINK;
					sl->subLinkId = 0;		/* will be assigned later */
					sl->testexpr = NULL;
					sl->operName = NIL;
					sl->subselect = (yyvsp[0].node);
					sl->location = (yylsp[0]);

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) sl;
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35627 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9913 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35639 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35645 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 35651 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9935 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 35664 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9945 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35670 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9948 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35676 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9949 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9950 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 35688 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9951 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 35694 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9952 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 35700 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9955 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35706 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9956 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 35712 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9957 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35718 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10010 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35724 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10011 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35730 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10026 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35736 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10028 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35747 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10035 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35759 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10043 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35771 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10051 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 35783 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10059 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35795 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10067 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35807 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10075 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35819 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10085 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35825 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10086 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35831 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10116 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35847 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10130 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35864 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10142 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35870 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10144 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 35893 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35901 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10167 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35909 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35917 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10188 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 35928 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10195 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 35939 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10202 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 35950 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35956 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35962 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10216 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 35975 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10227 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 35981 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10228 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 35987 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 36002 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10244 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 36008 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10253 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36017 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36026 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10263 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36035 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10268 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36044 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10273 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36056 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10281 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10289 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 36077 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10294 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 36086 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 36095 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10305 "gram.y" /* yacc.c:1646  */
    {}
#line 36101 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10306 "gram.y" /* yacc.c:1646  */
    {}
#line 36107 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10310 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36113 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10311 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36119 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10312 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36125 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 36131 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10320 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36137 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 36143 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36149 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 36155 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36161 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36167 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 36173 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10339 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 36179 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10343 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 36192 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 36205 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 36211 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10365 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 36217 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10366 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 36223 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10367 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 36229 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36235 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 36241 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10377 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36247 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 36260 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10389 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 36266 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10394 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36272 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10397 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36278 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10401 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36284 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10403 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 36293 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10410 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36299 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10420 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 36305 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10421 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36311 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10422 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 36317 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10430 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36323 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10434 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36329 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10435 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36335 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10438 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36341 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10439 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36347 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10464 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36353 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10465 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36359 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36365 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10470 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 36371 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10474 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36377 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10475 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36383 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10476 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36389 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10477 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36395 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10478 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36401 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 36409 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36417 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36425 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 36433 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10516 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36439 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10517 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36445 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10521 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36451 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36457 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10526 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36463 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10527 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36469 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10531 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36475 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36481 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10537 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36493 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10547 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 36499 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10548 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 36505 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10549 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 36511 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 36517 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10554 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36523 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10555 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36529 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10561 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36539 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10567 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36549 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36555 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36561 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10589 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36567 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36573 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10597 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 36582 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10602 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 36594 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10610 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36605 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10617 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36617 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10625 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36656 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10660 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same coment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36685 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 36693 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10689 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 36702 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 36710 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10719 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 36726 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10731 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36743 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10744 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36761 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10758 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36776 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10769 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36792 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10784 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36802 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36811 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10795 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36821 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36830 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10807 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 36836 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10808 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 36842 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 36850 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10821 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 36858 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10825 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36868 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10831 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36878 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10837 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 36886 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10842 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 36892 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10843 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 36898 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10844 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 36904 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10845 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 36910 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36916 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10850 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36922 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10862 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 36928 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10863 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36934 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10869 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 36945 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10876 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 36956 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10883 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 36967 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10890 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 36978 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10900 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 36984 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10901 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 36990 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 36998 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10919 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 37009 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10926 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 37020 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10939 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 37034 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 37040 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10952 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37046 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10968 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 37060 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10978 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 37074 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 37080 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37086 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37092 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37098 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37104 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11002 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37110 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11003 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37116 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11008 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37122 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11009 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37128 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11014 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37134 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11016 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 37146 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11023 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37152 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37158 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37164 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11034 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 37172 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11038 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 37180 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11044 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 37202 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 37211 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 37221 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 37230 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 37240 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11097 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 37249 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 37259 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11111 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 37265 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11113 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 37271 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11115 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 37277 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11119 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37283 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11120 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37289 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11121 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37295 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11122 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37301 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11123 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37307 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11125 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 37316 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 37326 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11149 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37332 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11150 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37338 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11151 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37344 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11152 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37350 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11164 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37360 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 37370 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11177 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37376 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37382 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11185 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37391 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11190 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37400 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11195 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37409 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37418 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37427 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37436 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37445 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37455 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37465 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37475 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37484 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11245 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 37509 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 37517 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11276 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37525 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11280 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37533 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11288 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37541 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11292 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37550 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37563 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11312 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37581 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37589 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37597 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11343 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37605 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11347 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37620 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11360 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37633 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11371 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37650 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11386 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37656 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11388 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37662 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11390 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 37668 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11392 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37674 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11394 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37680 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11396 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37686 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11400 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37692 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11401 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37698 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11405 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37704 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11406 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37710 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11414 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37723 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11423 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37735 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11431 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37748 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11440 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37760 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37769 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11458 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37775 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11459 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37781 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11460 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37787 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11465 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 37793 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11467 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 37799 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 37805 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 37811 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11473 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 37817 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11475 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37823 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 37832 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 37841 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37851 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37863 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11501 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37872 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37883 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37893 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11519 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37899 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11524 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 37907 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11528 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 37916 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37922 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 37928 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11567 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 37940 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 37950 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11590 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 37956 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11592 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 37962 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11594 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37968 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11596 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37974 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11598 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37980 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11600 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37986 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11602 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37992 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11604 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37998 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11606 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38004 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11608 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38010 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11610 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38016 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11612 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38022 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11614 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38028 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11616 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38034 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11619 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38040 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11621 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38046 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11623 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 38052 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11626 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38058 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11628 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38064 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11630 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 38070 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11632 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 38076 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38085 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11640 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38097 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 38106 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11653 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38118 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38127 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11666 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38139 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11674 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 38148 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11679 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38160 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11688 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 38172 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11696 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38184 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11704 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38196 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11712 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 38208 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11730 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38220 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11738 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38232 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11746 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38244 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11754 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38256 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11762 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 38276 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11778 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38288 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11786 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38300 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11794 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38312 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11802 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38324 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11810 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38336 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11818 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38348 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38356 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															   "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
									 (yylsp[-4]));
				}
#line 38366 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38374 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11840 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38382 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11844 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38394 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38406 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11860 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38418 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38430 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11876 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 38454 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11896 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 38480 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11918 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38495 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11929 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 38506 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11936 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 38526 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38535 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11957 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38545 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11974 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38551 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11976 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 38557 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38563 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11980 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 38569 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11982 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38575 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11984 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38581 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11986 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38587 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11988 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38593 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11990 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38599 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11992 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38605 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38611 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11996 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38617 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11998 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38623 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38629 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12002 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38635 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12004 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38641 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12006 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38647 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12008 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38653 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12010 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 38659 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38667 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															   "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
									 (yylsp[-4]));
				}
#line 38677 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12022 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38685 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12026 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38693 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12030 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38702 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12035 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38712 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12050 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38718 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12051 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38724 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12053 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 38743 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12068 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL, (yylsp[-3]));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 38777 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12098 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38783 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12100 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38789 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12102 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38804 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12113 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 38832 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12137 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38847 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12148 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38862 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12159 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38874 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12167 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 38888 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12177 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 38902 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12187 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 38913 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 38921 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12200 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38931 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12206 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38942 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12213 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38953 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12220 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 38967 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12230 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 38978 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12237 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 38998 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12265 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 39037 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12300 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39043 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39049 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39055 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12319 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 39065 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12325 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 39095 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12351 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 39109 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12361 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39126 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12374 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 39138 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12382 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39155 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12395 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 39169 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12405 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 39186 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12418 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 39200 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12428 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39217 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39225 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39233 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 39241 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39249 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 39257 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 39265 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 39271 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39279 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12471 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39292 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12480 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39301 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12485 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39312 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12492 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 39331 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12507 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39342 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39350 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12518 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39358 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39366 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12526 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 39374 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12530 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 39385 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12537 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39397 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12545 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39409 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39417 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12557 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 39425 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12561 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 39433 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 39441 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 39449 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12573 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 39459 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12579 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 39467 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12583 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 39480 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 39488 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39496 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39505 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12605 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39518 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12619 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39524 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12621 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 39530 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12625 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 39536 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12627 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 39542 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12629 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 39548 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12631 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 39554 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39560 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12637 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39566 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12638 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39572 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39584 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 39596 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12659 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 39602 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12660 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 39608 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12663 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 39614 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12664 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 39620 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12665 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 39626 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39634 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12675 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39642 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39650 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39658 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39664 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39670 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39676 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39682 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39688 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39694 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12712 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 39700 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12714 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 39706 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12719 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 39716 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12727 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 39722 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12729 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 39739 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12742 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 39745 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12747 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 39763 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12772 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39769 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12773 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 39775 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39781 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12777 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39787 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12789 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 39809 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12807 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 39819 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12813 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39831 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12823 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 39852 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12840 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 39893 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12885 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39905 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12893 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39917 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12901 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39929 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12909 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39941 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12917 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39953 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39959 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12938 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39965 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 39971 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12942 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39977 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39983 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12946 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 39989 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12949 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 39995 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12950 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 40001 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12951 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 40007 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12954 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40013 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12955 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40019 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12958 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 40025 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12959 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 40031 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12960 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 40037 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12961 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 40043 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12962 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 40049 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12963 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 40055 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12964 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 40061 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12965 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 40067 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12966 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 40073 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12967 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 40079 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12968 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 40085 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12969 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 40091 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 12973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40097 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40103 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 12980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40109 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 12982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40115 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 12987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40121 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 12989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40127 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 12991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 40133 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 12993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 40139 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 12995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 40145 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 12997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 40151 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40159 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40167 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40175 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40183 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13030 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40191 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13034 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40204 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13043 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40217 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13053 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40223 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13054 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 40229 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40237 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13062 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40245 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13066 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 40253 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13071 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40259 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13072 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40265 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 40273 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40279 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13088 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40285 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13089 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 40291 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13090 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 40297 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13091 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 40303 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13092 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 40309 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13093 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 40315 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13094 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 40321 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13095 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40327 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40335 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40343 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13117 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40349 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 40355 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13124 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40361 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13141 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40369 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13145 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 40378 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40386 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13154 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 40405 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 40413 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40419 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13177 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40425 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13180 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40431 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 40437 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40443 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40449 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13189 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 40460 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13195 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 40466 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13206 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 40480 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40486 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40492 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13225 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 40504 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13235 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40510 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13236 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40516 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13239 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40522 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13240 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40528 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 40536 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13248 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 40544 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13255 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 40552 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13259 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 40560 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13263 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40572 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13271 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40584 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13281 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40590 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13282 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40596 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40602 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40608 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13291 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40614 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40620 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 40626 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13309 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 40636 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40642 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40648 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40654 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40660 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40666 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40672 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 40678 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 40690 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40702 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 40714 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13378 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 40730 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 40736 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13400 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 40742 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 40750 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13416 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 40779 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13443 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40785 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 40791 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13449 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40797 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13452 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40803 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13455 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40809 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13457 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40815 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13459 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40821 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13461 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40827 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13472 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40833 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13474 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 40842 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 40850 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40858 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40866 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40874 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13501 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40887 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13510 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40898 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13517 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40934 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 40942 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13553 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 40952 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13559 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40963 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 40971 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13570 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 40979 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13574 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40987 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13579 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 40993 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13580 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40999 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13582 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 41005 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13583 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 41011 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13584 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 41017 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13589 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].node);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 41049 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13619 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.node) = (Node *) n;
					}
#line 41080 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13646 "gram.y" /* yacc.c:1646  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 41088 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13650 "gram.y" /* yacc.c:1646  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 41096 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41102 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41108 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13674 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41114 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13675 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41120 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13676 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41126 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13681 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41132 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13682 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41138 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13683 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41144 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41150 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41156 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41162 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13691 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41168 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13697 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41174 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13698 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41180 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13699 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41186 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13700 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41192 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13701 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41198 "gram.c" /* yacc.c:1646  */
    break;


#line 41202 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14177 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static Node *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return (Node *) spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
