/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DEPENDS = 448,
    DESC = 449,
    DICTIONARY = 450,
    DISABLE_P = 451,
    DISCARD = 452,
    DISTINCT = 453,
    DO = 454,
    DOCUMENT_P = 455,
    DOMAIN_P = 456,
    DOUBLE_P = 457,
    DROP = 458,
    EACH = 459,
    ELSE = 460,
    ENABLE_P = 461,
    ENCODING = 462,
    ENCRYPTED = 463,
    END_P = 464,
    ENUM_P = 465,
    ESCAPE = 466,
    EVENT = 467,
    EXCEPT = 468,
    EXCLUDE = 469,
    EXCLUDING = 470,
    EXCLUSIVE = 471,
    EXECUTE = 472,
    EXISTS = 473,
    EXPLAIN = 474,
    EXTENSION = 475,
    EXTERNAL = 476,
    EXTRACT = 477,
    FALSE_P = 478,
    FAMILY = 479,
    FETCH = 480,
    FILTER = 481,
    FIRST_P = 482,
    FLOAT_P = 483,
    FOLLOWING = 484,
    FOR = 485,
    FORCE = 486,
    FOREIGN = 487,
    FORWARD = 488,
    FREEZE = 489,
    FROM = 490,
    FULL = 491,
    FUNCTION = 492,
    FUNCTIONS = 493,
    GLOBAL = 494,
    GRANT = 495,
    GRANTED = 496,
    GREATEST = 497,
    GROUP_P = 498,
    GROUPING = 499,
    HANDLER = 500,
    HAVING = 501,
    HEADER_P = 502,
    HOLD = 503,
    HOUR_P = 504,
    IDENTITY_P = 505,
    IF_P = 506,
    ILIKE = 507,
    IMMEDIATE = 508,
    IMMUTABLE = 509,
    IMPLICIT_P = 510,
    IMPORT_P = 511,
    IN_P = 512,
    INCLUDING = 513,
    INCREMENT = 514,
    INDEX = 515,
    INDEXES = 516,
    INHERIT = 517,
    INHERITS = 518,
    INITIALLY = 519,
    INLINE_P = 520,
    INNER_P = 521,
    INOUT = 522,
    INPUT_P = 523,
    INSENSITIVE = 524,
    INSERT = 525,
    INSTEAD = 526,
    INT_P = 527,
    INTEGER = 528,
    INTERSECT = 529,
    INTERVAL = 530,
    INTO = 531,
    INVOKER = 532,
    IS = 533,
    ISNULL = 534,
    ISOLATION = 535,
    JOIN = 536,
    KEY = 537,
    LABEL = 538,
    LANGUAGE = 539,
    LARGE_P = 540,
    LAST_P = 541,
    LATERAL_P = 542,
    LEADING = 543,
    LEAKPROOF = 544,
    LEAST = 545,
    LEFT = 546,
    LEVEL = 547,
    LIKE = 548,
    LIMIT = 549,
    LISTEN = 550,
    LOAD = 551,
    LOCAL = 552,
    LOCALTIME = 553,
    LOCALTIMESTAMP = 554,
    LOCATION = 555,
    LOCK_P = 556,
    LOCKED = 557,
    LOGGED = 558,
    MAPPING = 559,
    MATCH = 560,
    MATERIALIZED = 561,
    MAXVALUE = 562,
    METHOD = 563,
    MINUTE_P = 564,
    MINVALUE = 565,
    MODE = 566,
    MONTH_P = 567,
    MOVE = 568,
    NAME_P = 569,
    NAMES = 570,
    NATIONAL = 571,
    NATURAL = 572,
    NCHAR = 573,
    NEXT = 574,
    NO = 575,
    NONE = 576,
    NOT = 577,
    NOTHING = 578,
    NOTIFY = 579,
    NOTNULL = 580,
    NOWAIT = 581,
    NULL_P = 582,
    NULLIF = 583,
    NULLS_P = 584,
    NUMERIC = 585,
    OBJECT_P = 586,
    OF = 587,
    OFF = 588,
    OFFSET = 589,
    OIDS = 590,
    ON = 591,
    ONLY = 592,
    OPERATOR = 593,
    OPTION = 594,
    OPTIONS = 595,
    OR = 596,
    ORDER = 597,
    ORDINALITY = 598,
    OUT_P = 599,
    OUTER_P = 600,
    OVER = 601,
    OVERLAPS = 602,
    OVERLAY = 603,
    OWNED = 604,
    OWNER = 605,
    PARALLEL = 606,
    PARSER = 607,
    PARTIAL = 608,
    PARTITION = 609,
    PASSING = 610,
    PASSWORD = 611,
    PLACING = 612,
    PLANS = 613,
    POLICY = 614,
    POSITION = 615,
    PRECEDING = 616,
    PRECISION = 617,
    PRESERVE = 618,
    PREPARE = 619,
    PREPARED = 620,
    PRIMARY = 621,
    PRIOR = 622,
    PRIVILEGES = 623,
    PROCEDURAL = 624,
    PROCEDURE = 625,
    PROGRAM = 626,
    QUOTE = 627,
    RANGE = 628,
    READ = 629,
    REAL = 630,
    REASSIGN = 631,
    RECHECK = 632,
    RECURSIVE = 633,
    REF = 634,
    REFERENCES = 635,
    REFRESH = 636,
    REINDEX = 637,
    RELATIVE_P = 638,
    RELEASE = 639,
    RENAME = 640,
    REPEATABLE = 641,
    REPLACE = 642,
    REPLICA = 643,
    RESET = 644,
    RESTART = 645,
    RESTRICT = 646,
    RETURNING = 647,
    RETURNS = 648,
    REVOKE = 649,
    RIGHT = 650,
    ROLE = 651,
    ROLLBACK = 652,
    ROLLUP = 653,
    ROW = 654,
    ROWS = 655,
    RULE = 656,
    SAVEPOINT = 657,
    SCHEMA = 658,
    SCROLL = 659,
    SEARCH = 660,
    SECOND_P = 661,
    SECURITY = 662,
    SELECT = 663,
    SEQUENCE = 664,
    SEQUENCES = 665,
    SERIALIZABLE = 666,
    SERVER = 667,
    SESSION = 668,
    SESSION_USER = 669,
    SET = 670,
    SETS = 671,
    SETOF = 672,
    SHARE = 673,
    SHOW = 674,
    SIMILAR = 675,
    SIMPLE = 676,
    SKIP = 677,
    SMALLINT = 678,
    SNAPSHOT = 679,
    SOME = 680,
    SQL_P = 681,
    STABLE = 682,
    STANDALONE_P = 683,
    START = 684,
    STATEMENT = 685,
    STATISTICS = 686,
    STDIN = 687,
    STDOUT = 688,
    STORAGE = 689,
    STRICT_P = 690,
    STRIP_P = 691,
    SUBSTRING = 692,
    SYMMETRIC = 693,
    SYSID = 694,
    SYSTEM_P = 695,
    TABLE = 696,
    TABLES = 697,
    TABLESAMPLE = 698,
    TABLESPACE = 699,
    TEMP = 700,
    TEMPLATE = 701,
    TEMPORARY = 702,
    TEXT_P = 703,
    THEN = 704,
    TIME = 705,
    TIMESTAMP = 706,
    TO = 707,
    TRAILING = 708,
    TRANSACTION = 709,
    TRANSFORM = 710,
    TREAT = 711,
    TRIGGER = 712,
    TRIM = 713,
    TRUE_P = 714,
    TRUNCATE = 715,
    TRUSTED = 716,
    TYPE_P = 717,
    TYPES_P = 718,
    UNBOUNDED = 719,
    UNCOMMITTED = 720,
    UNENCRYPTED = 721,
    UNION = 722,
    UNIQUE = 723,
    UNKNOWN = 724,
    UNLISTEN = 725,
    UNLOGGED = 726,
    UNTIL = 727,
    UPDATE = 728,
    USER = 729,
    USING = 730,
    VACUUM = 731,
    VALID = 732,
    VALIDATE = 733,
    VALIDATOR = 734,
    VALUE_P = 735,
    VALUES = 736,
    VARCHAR = 737,
    VARIADIC = 738,
    VARYING = 739,
    VERBOSE = 740,
    VERSION_P = 741,
    VIEW = 742,
    VIEWS = 743,
    VOLATILE = 744,
    WHEN = 745,
    WHERE = 746,
    WHITESPACE_P = 747,
    WINDOW = 748,
    WITH = 749,
    WITHIN = 750,
    WITHOUT = 751,
    WORK = 752,
    WRAPPER = 753,
    WRITE = 754,
    XML_P = 755,
    XMLATTRIBUTES = 756,
    XMLCONCAT = 757,
    XMLELEMENT = 758,
    XMLEXISTS = 759,
    XMLFOREST = 760,
    XMLPARSE = 761,
    XMLPI = 762,
    XMLROOT = 763,
    XMLSERIALIZE = 764,
    YEAR_P = 765,
    YES_P = 766,
    ZONE = 767,
    NOT_LA = 768,
    NULLS_LA = 769,
    WITH_LA = 770,
    POSTFIXOP = 771,
    UMINUS = 772
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1220 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1249 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   127204

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  537
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  760
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2982
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5624

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   772

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   524,     2,     2,
     529,   530,   522,   520,   532,   521,   531,   523,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   534,   533,
     516,   518,   517,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   527,     2,   528,   525,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   535,     2,   536,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   519,   526
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1560,  1560,  1563,  1565,  1567,  1569,  1571,  1573,  1575,
    1577,  1579,  1581,  1583,  1585,  1587,  1589,  1591,  1593,  1595,
    1597,  1599,  1601,  1603,  1605,  1607,  1609,  1611,  1613,  1615,
    1617,  1619,  1621,  1623,  1625,  1627,  1645,  1647,  1649,  1651,
    1653,  1655,  1657,  1659,  1661,  1663,  1665,  1667,  1669,  1671,
    1673,  1675,  1677,  1679,  1681,  1683,  1685,  1687,  1689,  1691,
    1693,  1695,  1697,  1699,  1701,  1703,  1705,  1707,  1709,  1711,
    1715,  1717,  1719,  1721,  1723,  1725,  1727,  1729,  1731,  1733,
    1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,  1751,  1753,
    1755,  1757,  1759,  1761,  1763,  1765,  1767,  1769,  1771,  1773,
    1775,  1777,  1779,  1781,  1783,  1785,  1787,  1789,  1796,  1798,
    1800,  1802,  1804,  1806,  1808,  1810,  1812,  1814,  1816,  1818,
    1824,  1826,  1828,  1830,  1832,  1834,  1836,  1838,  1840,  1846,
    1856,  1860,  1866,  1870,  1880,  1890,  1891,  1905,  1912,  1918,
    1929,  1935,  1944,  1951,  1957,  1966,  1973,  1981,  1986,  1994,
    1998,  2003,  2009,  2014,  2020,  2025,  2031,  2035,  2039,  2043,
    2047,  2051,  2055,  2059,  2063,  2071,  2075,  2079,  2083,  2087,
    2091,  2099,  2107,  2116,  2118,  2126,  2130,  2138,  2146,  2154,
    2158,  2166,  2170,  2178,  2186,  2194,  2198,  2206,  2210,  2218,
    2222,  2226,  2231,  2240,  2245,  2251,  2256,  2262,  2266,  2270,
    2274,  2278,  2282,  2290,  2294,  2298,  2306,  2310,  2314,  2322,
    2326,  2330,  2334,  2335,  2339,  2343,  2347,  2352,  2356,  2360,
    2364,  2368,  2372,  2376,  2384,  2388,  2396,  2400,  2408,  2412,
    2426,  2430,  2434,  2438,  2446,  2450,  2454,  2458,  2466,  2470,
    2474,  2478,  2482,  2486,  2490,  2498,  2502,  2507,  2513,  2517,
    2525,  2533,  2537,  2541,  2545,  2553,  2557,  2565,  2569,  2577,
    2581,  2589,  2593,  2597,  2601,  2605,  2614,  2622,  2626,  2634,
    2638,  2646,  2654,  2658,  2662,  2666,  2670,  2678,  2682,  2686,
    2690,  2694,  2698,  2702,  2706,  2710,  2714,  2718,  2722,  2726,
    2730,  2734,  2738,  2746,  2750,  2758,  2762,  2766,  2770,  2774,
    2778,  2782,  2786,  2790,  2794,  2798,  2802,  2806,  2810,  2814,
    2818,  2822,  2826,  2830,  2834,  2838,  2842,  2846,  2850,  2854,
    2858,  2862,  2866,  2870,  2874,  2878,  2882,  2886,  2890,  2894,
    2898,  2902,  2906,  2910,  2914,  2918,  2922,  2926,  2930,  2934,
    2938,  2942,  2946,  2950,  2954,  2958,  2962,  2970,  2974,  2982,
    2986,  2991,  2997,  3002,  3008,  3013,  3019,  3023,  3027,  3031,
    3039,  3047,  3052,  3058,  3062,  3070,  3074,  3078,  3082,  3090,
    3098,  3102,  3110,  3114,  3118,  3122,  3130,  3135,  3143,  3151,
    3159,  3163,  3171,  3176,  3182,  3186,  3190,  3198,  3202,  3210,
    3215,  3221,  3225,  3229,  3233,  3237,  3241,  3245,  3249,  3253,
    3257,  3261,  3265,  3269,  3273,  3281,  3286,  3292,  3297,  3303,
    3308,  3314,  3319,  3325,  3329,  3337,  3345,  3349,  3353,  3357,
    3362,  3368,  3372,  3380,  3388,  3392,  3396,  3400,  3408,  3412,
    3416,  3420,  3424,  3428,  3432,  3437,  3443,  3448,  3454,  3459,
    3465,  3469,  3477,  3481,  3489,  3493,  3497,  3505,  3509,  3517,
    3525,  3533,  3538,  3544,  3548,  3552,  3556,  3564,  3568,  3572,
    3576,  3580,  3584,  3588,  3596,  3600,  3604,  3608,  3616,  3624,
    3628,  3633,  3639,  3643,  3647,  3651,  3655,  3659,  3667,  3671,
    3679,  3683,  3687,  3691,  3695,  3699,  3703,  3711,  3716,  3722,
    3727,  3733,  3737,  3745,  3753,  3757,  3762,  3767,  3773,  3777,
    3785,  3789,  3797,  3802,  3808,  3812,  3816,  3820,  3825,  3831,
    3839,  3847,  3851,  3855,  3859,  3863,  3871,  3876,  3882,  3886,
    3890,  3895,  3901,  3905,  3909,  3914,  3920,  3925,  3931,  3936,
    3942,  3950,  3958,  3962,  3967,  3973,  3977,  3985,  3993,  3998,
    4004,  4012,  4016,  4024,  4028,  4036,  4041,  4047,  4051,  4059,
    4063,  4067,  4071,  4075,  4079,  4083,  4087,  4091,  4095,  4099,
    4103,  4111,  4116,  4122,  4126,  4130,  4138,  4142,  4150,  4154,
    4162,  4167,  4173,  4177,  4185,  4190,  4196,  4200,  4208,  4213,
    4219,  4223,  4231,  4236,  4242,  4250,  4255,  4261,  4265,  4273,
    4277,  4285,  4290,  4296,  4300,  4304,  4308,  4316,  4324,  4329,
    4335,  4343,  4347,  4351,  4355,  4359,  4363,  4367,  4371,  4375,
    4379,  4383,  4387,  4391,  4395,  4399,  4403,  4407,  4411,  4415,
    4419,  4423,  4427,  4431,  4435,  4439,  4447,  4455,  4459,  4463,
    4467,  4475,  4479,  4487,  4492,  4498,  4502,  4510,  4514,  4522,
    4527,  4533,  4537,  4545,  4553,  4557,  4565,  4569,  4573,  4577,
    4585,  4593,  4601,  4609,  4617,  4622,  4628,  4632,  4640,  4645,
    4651,  4655,  4663,  4667,  4671,  4679,  4683,  4691,  4695,  4703,
    4711,  4715,  4723,  4728,  4734,  4742,  4746,  4754,  4758,  4766,
    4774,  4782,  4790,  4794,  4802,  4807,  4813,  4818,  4824,  4829,
    4835,  4840,  4846,  4851,  4857,  4861,  4865,  4869,  4873,  4881,
    4889,  4893,  4901,  4905,  4909,  4917,  4921,  4929,  4933,  4937,
    4941,  4945,  4953,  4958,  4964,  4969,  4975,  4979,  4987,  4992,
    4998,  5002,  5007,  5013,  5017,  5021,  5025,  5033,  5038,  5045,
    5047,  5055,  5059,  5063,  5067,  5071,  5075,  5083,  5087,  5095,
    5099,  5107,  5111,  5119,  5127,  5131,  5139,  5147,  5151,  5155,
    5159,  5167,  5176,  5185,  5189,  5193,  5197,  5201,  5205,  5209,
    5213,  5217,  5221,  5225,  5229,  5233,  5237,  5245,  5253,  5257,
    5265,  5269,  5277,  5281,  5285,  5289,  5293,  5301,  5309,  5313,
    5321,  5329,  5334,  5340,  5344,  5352,  5356,  5360,  5368,  5373,
    5379,  5387,  5391,  5399,  5403,  5407,  5411,  5415,  5423,  5428,
    5434,  5439,  5445,  5449,  5454,  5460,  5466,  5472,  5480,  5484,
    5492,  5496,  5504,  5508,  5516,  5520,  5528,  5532,  5540,  5548,
    5556,  5560,  5564,  5568,  5572,  5576,  5580,  5584,  5592,  5596,
    5600,  5604,  5608,  5612,  5616,  5620,  5624,  5628,  5632,  5636,
    5640,  5644,  5648,  5652,  5660,  5664,  5672,  5676,  5684,  5688,
    5696,  5700,  5701,  5709,  5713,  5718,  5724,  5728,  5732,  5736,
    5740,  5744,  5748,  5752,  5756,  5760,  5764,  5768,  5772,  5776,
    5780,  5784,  5788,  5792,  5800,  5804,  5808,  5812,  5816,  5820,
    5824,  5828,  5832,  5836,  5840,  5844,  5848,  5852,  5856,  5860,
    5864,  5868,  5872,  5876,  5880,  5888,  5892,  5900,  5904,  5908,
    5912,  5916,  5920,  5924,  5932,  5937,  5943,  5947,  5951,  5955,
    5959,  5963,  5967,  5971,  5975,  5979,  5983,  5991,  5995,  6003,
    6007,  6011,  6015,  6021,  6027,  6033,  6039,  6045,  6051,  6057,
    6067,  6078,  6089,  6100,  6111,  6122,  6133,  6149,  6165,  6181,
    6192,  6208,  6219,  6235,  6250,  6254,  6262,  6267,  6273,  6281,
    6285,  6293,  6297,  6301,  6305,  6309,  6317,  6321,  6329,  6333,
    6337,  6341,  6349,  6353,  6357,  6361,  6365,  6369,  6373,  6377,
    6381,  6385,  6389,  6393,  6397,  6401,  6405,  6409,  6417,  6421,
    6429,  6433,  6441,  6446,  6452,  6456,  6464,  6472,  6480,  6484,
    6492,  6497,  6503,  6508,  6514,  6522,  6527,  6533,  6537,  6541,
    6549,  6553,  6557,  6565,  6569,  6573,  6577,  6585,  6589,  6597,
    6602,  6608,  6613,  6619,  6624,  6630,  6635,  6641,  6645,  6653,
    6657,  6661,  6669,  6674,  6680,  6684,  6689,  6695,  6699,  6704,
    6710,  6714,  6719,  6725,  6729,  6733,  6741,  6746,  6752,  6756,
    6764,  6768,  6776,  6780,  6788,  6792,  6800,  6804,  6808,  6812,
    6816,  6824,  6828,  6832,  6836,  6840,  6848,  6856,  6864,  6868,
    6872,  6880,  6884,  6888,  6896,  6905,  6909,  6913,  6917,  6925,
    6929,  6937,  6941,  6949,  6953,  6957,  6961,  6965,  6969,  6973,
    6977,  6981,  6985,  6989,  6993,  6997,  7001,  7005,  7009,  7017,
    7021,  7025,  7029,  7033,  7041,  7045,  7053,  7057,  7065,  7070,
    7076,  7084,  7088,  7096,  7104,  7108,  7116,  7121,  7127,  7131,
    7139,  7143,  7151,  7155,  7163,  7167,  7171,  7175,  7183,  7187,
    7195,  7203,  7207,  7215,  7219,  7227,  7231,  7235,  7243,  7247,
    7252,  7258,  7266,  7271,  7277,  7285,  7289,  7293,  7297,  7305,
    7313,  7317,  7321,  7325,  7333,  7337,  7345,  7349,  7353,  7361,
    7365,  7373,  7381,  7385,  7393,  7397,  7401,  7405,  7409,  7413,
    7417,  7421,  7425,  7429,  7433,  7437,  7441,  7445,  7449,  7453,
    7457,  7461,  7465,  7469,  7473,  7477,  7481,  7485,  7489,  7493,
    7497,  7501,  7505,  7509,  7513,  7517,  7521,  7525,  7529,  7533,
    7537,  7541,  7545,  7549,  7553,  7557,  7561,  7565,  7569,  7573,
    7577,  7581,  7589,  7594,  7600,  7605,  7611,  7615,  7619,  7623,
    7631,  7635,  7639,  7643,  7647,  7651,  7655,  7659,  7663,  7667,
    7671,  7675,  7679,  7683,  7687,  7691,  7695,  7699,  7703,  7707,
    7711,  7715,  7719,  7723,  7731,  7739,  7743,  7751,  7755,  7763,
    7767,  7771,  7775,  7779,  7783,  7787,  7791,  7795,  7799,  7803,
    7807,  7811,  7815,  7819,  7823,  7827,  7831,  7835,  7843,  7851,
    7855,  7859,  7867,  7871,  7879,  7883,  7887,  7891,  7895,  7903,
    7908,  7914,  7918,  7922,  7926,  7934,  7938,  7943,  7949,  7953,
    7961,  7969,  7974,  7980,  7988,  7992,  8000,  8004,  8008,  8012,
    8016,  8020,  8024,  8028,  8032,  8036,  8040,  8044,  8048,  8052,
    8060,  8064,  8069,  8075,  8079,  8083,  8087,  8091,  8099,  8103,
    8107,  8115,  8120,  8126,  8130,  8134,  8139,  8148,  8152,  8156,
    8161,  8167,  8175,  8183,  8188,  8194,  8198,  8206,  8210,  8214,
    8222,  8226,  8230,  8234,  8238,  8242,  8246,  8254,  8259,  8265,
    8269,  8273,  8281,  8289,  8293,  8301,  8305,  8313,  8321,  8325,
    8329,  8333,  8337,  8341,  8345,  8353,  8358,  8364,  8372,  8376,
    8380,  8384,  8388,  8392,  8400,  8404,  8412,  8420,  8424,  8428,
    8436,  8441,  8447,  8451,  8455,  8459,  8463,  8471,  8475,  8483,
    8487,  8491,  8495,  8503,  8507,  8515,  8519,  8527,  8532,  8538,
    8543,  8549,  8554,  8560,  8565,  8571,  8575,  8579,  8583,  8591,
    8595,  8599,  8603,  8607,  8611,  8615,  8619,  8623,  8631,  8635,
    8643,  8651,  8655,  8663,  8667,  8672,  8678,  8684,  8694,  8699,
    8705,  8709,  8713,  8717,  8725,  8727,  8735,  8740,  8746,  8754,
    8758,  8766,  8770,  8774,  8782,  8786,  8794,  8802,  8806,  8811,
    8817,  8821,  8826,  8832,  8837,  8843,  8851,  8856,  8862,  8870,
    8875,  8881,  8885,  8889,  8893,  8897,  8901,  8905,  8909,  8917,
    8922,  8928,  8932,  8937,  8943,  8951,  8955,  8963,  8967,  8975,
    8983,  8987,  8995,  9003,  9007,  9015,  9068,  9072,  9085,  9087,
    9091,  9095,  9099,  9108,  9114,  9118,  9126,  9130,  9138,  9142,
    9150,  9154,  9158,  9162,  9166,  9170,  9174,  9178,  9186,  9190,
    9198,  9202,  9206,  9210,  9214,  9218,  9222,  9230,  9234,  9238,
    9246,  9250,  9258,  9266,  9271,  9277,  9282,  9284,  9290,  9294,
    9298,  9302,  9306,  9310,  9314,  9318,  9322,  9330,  9335,  9341,
    9345,  9350,  9356,  9360,  9368,  9373,  9379,  9384,  9390,  9398,
    9402,  9410,  9414,  9422,  9426,  9430,  9434,  9442,  9447,  9453,
    9457,  9462,  9470,  9474,  9482,  9486,  9494,  9502,  9506,  9511,
    9517,  9525,  9529,  9537,  9541,  9549,  9554,  9560,  9564,  9572,
    9576,  9580,  9584,  9588,  9596,  9604,  9612,  9620,  9628,  9633,
    9639,  9643,  9651,  9656,  9662,  9666,  9674,  9682,  9686,  9690,
    9694,  9702,  9707,  9713,  9717,  9725,  9730,  9736,  9740,  9748,
    9752,  9756,  9760,  9764,  9771,  9778,  9782,  9790,  9794,  9798,
    9802,  9806,  9810,  9818,  9822,  9826,  9830,  9838,  9843,  9849,
    9853,  9857,  9861,  9866,  9872,  9876,  9880,  9884,  9892,  9897,
    9903,  9907,  9915,  9919,  9923,  9927,  9935,  9939,  9947,  9951,
    9955,  9963,  9971,  9976,  9982,  9986,  9994, 10002, 10006, 10014,
   10019, 10025, 10030, 10036, 10041, 10047, 10051, 10057, 10063, 10068,
   10074, 10078, 10086, 10094, 10096, 10098, 10102, 10106, 10110, 10118,
   10128, 10139, 10148, 10152, 10156, 10160, 10164, 10168, 10172, 10180,
   10184, 10188, 10192, 10200, 10204, 10212, 10217, 10223, 10227, 10231,
   10235, 10239, 10243, 10247, 10251, 10255, 10259, 10263, 10271, 10276,
   10282, 10286, 10294, 10298, 10306, 10314, 10322, 10326, 10334, 10338,
   10346, 10354, 10362, 10366, 10370, 10374, 10378, 10382, 10390, 10395,
   10401, 10406, 10412, 10416, 10420, 10424, 10432, 10440, 10444, 10449,
   10455, 10459, 10463, 10467, 10471, 10475, 10479, 10483, 10487, 10491,
   10495, 10499, 10503, 10508, 10514, 10518, 10526, 10530, 10534, 10538,
   10542, 10546, 10550, 10554, 10558, 10562, 10566, 10570, 10574, 10578,
   10582, 10586, 10590, 10594, 10598, 10602, 10606, 10610, 10614, 10618,
   10622, 10626, 10630, 10634, 10638, 10642, 10646, 10650, 10654, 10658,
   10662, 10666, 10670, 10674, 10678, 10682, 10686, 10690, 10694, 10698,
   10702, 10706, 10710, 10714, 10718, 10722, 10726, 10730, 10734, 10738,
   10742, 10746, 10750, 10754, 10758, 10762, 10766, 10771, 10775, 10783,
   10787, 10791, 10795, 10799, 10803, 10807, 10811, 10815, 10819, 10823,
   10827, 10831, 10835, 10839, 10843, 10847, 10851, 10855, 10859, 10863,
   10867, 10871, 10875, 10879, 10887, 10891, 10895, 10899, 10903, 10907,
   10911, 10915, 10919, 10923, 10927, 10931, 10935, 10939, 10947, 10951,
   10955, 10959, 10963, 10967, 10971, 10979, 10983, 10991, 10995, 11003,
   11007, 11011, 11015, 11019, 11023, 11027, 11031, 11035, 11039, 11043,
   11047, 11051, 11055, 11059, 11063, 11067, 11071, 11075, 11079, 11083,
   11087, 11091, 11095, 11099, 11103, 11107, 11111, 11115, 11119, 11123,
   11127, 11131, 11135, 11139, 11143, 11147, 11151, 11155, 11159, 11163,
   11167, 11175, 11179, 11187, 11191, 11195, 11200, 11206, 11214, 11218,
   11226, 11230, 11238, 11242, 11250, 11254, 11259, 11265, 11269, 11273,
   11277, 11285, 11290, 11296, 11301, 11307, 11312, 11318, 11322, 11330,
   11338, 11342, 11347, 11353, 11361, 11365, 11372, 11377, 11383, 11388,
   11393, 11399, 11403, 11411, 11415, 11419, 11423, 11427, 11435, 11439,
   11443, 11451, 11455, 11463, 11471, 11475, 11479, 11487, 11491, 11499,
   11503, 11507, 11511, 11515, 11519, 11523, 11527, 11531, 11535, 11539,
   11543, 11551, 11555, 11563, 11567, 11575, 11579, 11583, 11587, 11591,
   11595, 11603, 11607, 11615, 11619, 11627, 11631, 11635, 11643, 11647,
   11655, 11659, 11663, 11671, 11675, 11683, 11688, 11694, 11698, 11702,
   11706, 11710, 11714, 11718, 11722, 11730, 11734, 11742, 11750, 11755,
   11761, 11765, 11769, 11773, 11777, 11782, 11788, 11796, 11804, 11808,
   11812, 11820, 11824, 11832, 11840, 11844, 11852, 11860, 11865, 11871,
   11876, 11882, 11886, 11894, 11898, 11902, 11906, 11914, 11919, 11925,
   11929, 11938, 11940, 11948, 11953, 11959, 11963, 11971, 11975, 11983,
   11991, 11996, 12002, 12006, 12014, 12018, 12022, 12026, 12034, 12038,
   12046, 12050, 12058, 12062, 12070, 12078, 12086, 12094, 12102, 12110,
   12118, 12122, 12130, 12134, 12138, 12142, 12146, 12150, 12154, 12158,
   12162, 12166, 12170, 12174, 12178, 12182, 12183, 12188, 12194, 12198,
   12199, 12203, 12211, 12219, 12223, 12227, 12235, 12239, 12247, 12251,
   12255, 12259, 12267, 12271, 12275, 12279, 12283, 12287, 12291, 12295,
   12299, 12303, 12307, 12311, 12315, 12319, 12323, 12327, 12331, 12335,
   12339, 12343, 12347, 12351, 12355, 12359, 12363, 12367, 12371, 12375,
   12379, 12383, 12387, 12391, 12395, 12399, 12403, 12407, 12411, 12415,
   12419, 12423, 12427, 12431, 12435, 12439, 12443, 12447, 12451, 12455,
   12459, 12463, 12467, 12471, 12475, 12479, 12483, 12487, 12491, 12495,
   12499, 12503, 12507, 12511, 12515, 12519, 12523, 12527, 12531, 12535,
   12539, 12543, 12547, 12551, 12555, 12559, 12563, 12567, 12571, 12575,
   12579, 12583, 12587, 12591, 12595, 12599, 12603, 12607, 12611, 12615,
   12619, 12623, 12627, 12631, 12635, 12639, 12643, 12647, 12651, 12655,
   12659, 12663, 12667, 12671, 12675, 12679, 12683, 12687, 12691, 12695,
   12699, 12703, 12707, 12711, 12715, 12719, 12723, 12727, 12731, 12735,
   12739, 12743, 12747, 12751, 12755, 12759, 12763, 12767, 12771, 12775,
   12779, 12783, 12787, 12791, 12795, 12799, 12803, 12807, 12811, 12815,
   12819, 12823, 12827, 12831, 12835, 12839, 12843, 12847, 12851, 12855,
   12859, 12863, 12867, 12871, 12875, 12879, 12883, 12887, 12891, 12895,
   12899, 12903, 12907, 12911, 12915, 12919, 12923, 12927, 12931, 12935,
   12939, 12943, 12947, 12951, 12955, 12959, 12963, 12967, 12971, 12975,
   12979, 12983, 12987, 12991, 12995, 12999, 13003, 13007, 13011, 13015,
   13019, 13023, 13027, 13031, 13035, 13039, 13043, 13047, 13051, 13055,
   13059, 13063, 13067, 13071, 13075, 13079, 13083, 13087, 13091, 13095,
   13099, 13103, 13107, 13111, 13115, 13119, 13123, 13127, 13131, 13135,
   13139, 13143, 13147, 13151, 13155, 13159, 13163, 13167, 13171, 13175,
   13179, 13183, 13187, 13191, 13195, 13199, 13203, 13207, 13211, 13215,
   13219, 13223, 13227, 13231, 13235, 13239, 13243, 13247, 13251, 13255,
   13259, 13263, 13267, 13271, 13275, 13279, 13283, 13287, 13291, 13295,
   13299, 13303, 13307, 13311, 13319, 13323, 13327, 13331, 13335, 13339,
   13343, 13347, 13351, 13355, 13359, 13363, 13367, 13371, 13375, 13379,
   13383, 13387, 13391, 13395, 13399, 13403, 13407, 13411, 13415, 13419,
   13423, 13427, 13431, 13435, 13439, 13443, 13447, 13451, 13455, 13459,
   13463, 13467, 13471, 13475, 13479, 13483, 13487, 13491, 13495, 13503,
   13507, 13511, 13515, 13519, 13523, 13527, 13531, 13535, 13539, 13543,
   13547, 13551, 13555, 13559, 13563, 13567, 13571, 13575, 13579, 13583,
   13587, 13591, 13599, 13603, 13607, 13611, 13615, 13619, 13623, 13627,
   13631, 13635, 13639, 13643, 13647, 13651, 13655, 13659, 13663, 13667,
   13671, 13675, 13679, 13683, 13687, 13691, 13695, 13699, 13703, 13707,
   13711, 13715, 13719, 13723, 13727, 13731, 13735, 13739, 13743, 13747,
   13751, 13755, 13759, 13763, 13767, 13771, 13775, 13779, 13783, 13787,
   13791, 13795, 13799, 13803, 13807, 13811, 13815, 13819, 13823, 13827,
   13831, 13835, 13839, 13843, 13847, 13851, 13855, 13859, 13863, 13867,
   13871, 13875, 13879, 13883, 13887, 13891, 13895, 13905, 13906, 13909,
   13910, 13911, 13917, 13918, 13919, 13920, 13921, 13934, 13934, 13943,
   13958, 13960, 13963, 13965, 13969, 13981, 13997, 14001, 14012, 14013,
   14016, 14028, 14037, 14038, 14041, 14042, 14043, 14046, 14047, 14050,
   14051, 14054, 14055, 14058, 14060, 14062, 14064, 14068, 14075, 14082,
   14098, 14132, 14142, 14145, 14149, 14162, 14163, 14165, 14167, 14171,
   14185, 14192, 14253, 14262, 14264, 14265, 14268, 14270, 14271, 14274,
   14275, 14276, 14277, 14278, 14285, 14284, 14294, 14296, 14298, 14299,
   14302, 14303, 14304, 14305, 14308, 14309, 14313, 14312, 14329, 14327,
   14343, 14342, 14356, 14362, 14363, 14366, 14368, 14369, 14372, 14373,
   14374, 14375, 14378, 14379, 14382, 14390, 14407, 14415, 14438, 14544,
   14578, 14580, 14582, 14586, 14590, 14589, 14640, 14642, 14641, 14656,
   14662, 14669, 14674, 14680, 14681, 14684, 14685, 14686, 14687, 14688,
   14689, 14690, 14698, 14706, 14709, 14710, 14711, 14712, 14713, 14714,
   14722, 14730, 14731, 14732, 14735, 14736, 14739, 14741, 14750, 14838,
   14839, 14846, 14847, 14848, 14854, 14863, 14866, 14867, 14868, 14869,
   14872, 14873, 14874, 14877, 14879, 14887, 14888, 14894, 14902, 14903,
   14906, 14907, 14910, 14915, 14922, 14927, 14934, 14941, 14941, 14943,
   14950, 14951, 14954, 14955, 14956, 14957, 14958, 14959, 14960, 14961,
   14962, 14968, 14975, 14987, 14993, 15000, 15008, 15009, 15021, 15032,
   15043, 15047, 15048, 15051, 15056, 15060, 15061, 15064, 15070, 15078,
   15084, 15091, 15095, 15096, 15099, 15102, 15106, 15107, 15110, 15116,
   15125, 15130, 15140, 15150, 15162, 15163, 15164, 15165, 15166, 15167,
   15168, 15169, 15170, 15171, 15172, 15173, 15174, 15175, 15176, 15183,
   15184, 15187, 15188, 15195, 15196, 15197, 15204, 15203, 15220, 15221,
   15228, 15227, 15297, 15303, 15309, 15317, 15323, 15329, 15335, 15341,
   15347, 15353, 15359, 15365, 15376, 15377, 15380, 15381, 15382, 15383,
   15384, 15385, 15386, 15387, 15388, 15389, 15390, 15391, 15392, 15393,
   15394, 15395, 15396, 15397, 15398, 15399, 15400, 15401, 15402, 15405,
   15406, 15407, 15408, 15409, 15410, 15414, 15415, 15416, 15417, 15418,
   15419, 15420, 15423, 15426, 15427, 15428, 15429, 15430, 15431, 15432,
   15433, 15446, 15447, 15448, 15449, 15450, 15451, 15452, 15457, 15458,
   15459, 15460, 15461, 15462, 15468, 15469, 15470, 15471, 15472, 15473,
   15474, 15475, 15476, 15477, 15478, 15481, 15482, 15483, 15484, 15485,
   15488, 15489, 15490, 15491, 15494, 15495, 15496, 15497, 15498, 15499,
   15500, 15517, 15518, 15519, 15522, 15523, 15524, 15525, 15526, 15527,
   15531, 15531, 15534, 15540, 15541, 15544, 15546, 15551, 15561, 15572,
   15579, 15580, 15581, 15584, 15617, 15619, 15621, 15624, 15634, 15644,
   15654, 15655, 15658, 15660, 15661, 15662, 15665, 15667, 15675, 15676,
   15677, 15681, 15682, 15686, 15687, 15690, 15691, 15694, 15695, 15696,
   15697, 15698, 15701, 15702, 15703, 15704, 15705, 15706, 15707, 15708,
   15709, 15710, 15711, 15712, 15713, 15714, 15715, 15716, 15717, 15718,
   15719, 15720, 15721, 15722, 15723, 15724, 15725, 15726, 15727, 15728,
   15729, 15730, 15731, 15732, 15733, 15734, 15735, 15736, 15737, 15738,
   15739, 15740, 15741, 15742, 15743, 15744, 15745, 15746, 15747, 15748,
   15749, 15750, 15751, 15752, 15753, 15754, 15755, 15756, 15759, 15760,
   15761, 15762, 15765, 15766, 15767, 15768, 15769, 15770, 15771, 15772,
   15773, 15774, 15781, 15782, 15783, 15784, 15785, 15788, 15789, 15792,
   15793, 15804, 15805
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE",
  "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "type_name_list",
  "TruncateStmt", "opt_restart_seqs", "CommentStmt", "comment_type",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label_type",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "AlterObjectSchemaStmt",
  "AlterOperatorStmt", "operator_def_list", "operator_def_elem",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "ctext_expr", "ctext_expr_list", "ctext_row", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,    60,    62,    61,   771,
      43,    45,    42,    47,    37,    94,   772,    91,    93,    40,
      41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4782

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4782)))

#define YYTABLE_NINF -2823

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2823)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4782,   457, 12748, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, 32581, -4782,
   -4782, -4782, -4782, -4782,115462,  1112, -4782, -4782, -4782,120089,
   -4782, -4782, -4782,   805, 79465, -4782, 82507,  1306, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, 86563, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, 66775,  1552, -4782,   943,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782,   531,  6922, -4782,
   -4782, 83014, -4782,   136, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, 83521,   871, -4782, -4782,  1221,    -5, -4782,   126, 18285,
   -4782, -4782, 75916, 80479, -4782, -4782, 87070,   592,  2351,  9265,
     531, 33124, 87577, -4782,  3196, -4782, 63182, -4782, -4782, -4782,
   79972, -4782, -4782, -4782,  1364, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, 93661,  2624,  1247, 63698, -4782,
   -4782, -4782, -4782, 93661, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, 88084, -4782,  1502,  1511,   548, 94168, 94675,
   77437, -4782,   970, -4782, 93661,  1613,   280, 65759, -4782, 95182,
   -4782, -4782,  1539, -4782, 88591, -4782, -4782, -4782, -4782, -4782,
    1247, -4782, 66775, 62166,   261,  1384, -4782, -4782, 95689, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, 93661,  2299,
    1482, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782,   871, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782,   830, -4782,   847,  1028,  1457,
     864,  1510, -4782, -4782, -4782, 16020, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, 30146,  2277, -4782, -4782, -4782,  1520, -4782,
    1703, -4782, -4782, -4782,  1259, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782,  1033, -4782, -4782, -4782, -4782,  2227,115966, 86563,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, 75409, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782,   205, -4782, -4782, -4782, -4782, -4782, 86563,
   86563, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, 86563,  1812, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,   352,
    2061, -4782, -4782, 66775,  2724,  2724,  2366, 30146, -4782, -4782,
   -4782, 68299, 93661, 93661, 93661,  2021, 93661,  1941, 93661,   147,
   68299,124052, 89098,  2090,  1930, 57509, 96196, -4782,122732, 93661,
   93661, 96703, 93661,   632, 84028, 93661,  2083, 93661, 93661,124492,
   97210,  2149, -4782,  2458,  1546, -4782, -4782, -4782, 93661, 14090,
    2624, -4782, -4782,  2299, 93661,  2202, 68299, 93661,  1984, 93661,
    2065, 93661, -4782, 93661,  2073, 97717,   365,  1995,124052,  2086,
   58029,  2151, 93661,124052, 98224, 93661, 93661, -4782, -4782,  2156,
   93661, 93661, -4782,  2236,124932,  1585,  2261,  2412,  2310,  1129,
   -4782, -4782,  2495,  2050, -4782, -4782,  2522, 86563, -4782, 84535,
   -4782, -4782, -4782,  2250, -4782, -4782, -4782, -4782, -4782, -4782,
  121852,  2351, -4782, -4782,  2290, 68807, 93661,  2355, -4782, -4782,
   98731, 71855,  2145, -4782,   392, 69315,125372,  2468,  2138, 58549,
    2500, 99238,125812, 99745, -4782, -4782,100252, -4782,100759,  2232,
    2355,101266, 72363,126252, -4782,  2358,101773, -4782, 13707, -4782,
    2125,  2276,  2150,  1940, 86563, 86563,  1190,117854, -4782, -4782,
     871, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,   230,
    1571, 64214,   930, 64730, -4782, -4782,   941,  1101,  1160,   230,
    2610,  2610,   696, 86563, -4782, -4782,  1571, -4782,  1072,   920,
    2180,  2180,  2180,  2367,  1235, -4782,  2180,  2312, -4782, -4782,
   -4782, -4782, 88591, 64214, 64730, -4782,  2187,  2624,    48,  2604,
    2249, -4782, -4782, -4782, -4782, -4782,  2239, 93661, 93661, 93661,
   -4782, -4782, -4782,  2594,  2230,  2467, -4782,  2220, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782,  2439,  2442,  2464,
      78,  2624,  2343, -4782,  2575, -4782,  2474, 39891, 39891,   -20,
   86563,  2624, 65246, 89605,112420,   266,121852,  2624,102280,  2303,
    1238,  2481, -4782, -4782, -4782,  1024, -4782,  2740,  2356,  2602,
     123,  1546, 54424, -4782,  2352,   -73, 88591,116974, -4782, -4782,
   -4782, -4782,   188,  2651, 40416, -4782, 93661,  2354, -4782,  2378,
    2354,  2364,  2372,  1457, -4782, 93661,  1213,  1213,  2782,  1213,
    1715,  2043, -4782,  1863, -4782,  2684,  2646, 88591,  1384,   531,
    2393, -4782, -4782, -4782,  2407, -4782,  2398,  2404, -4782,   851,
    2668, -4782, -4782, -4782, -4782,  2511,  2515,  2526,  2536,  2423,
    2539,   200, -4782, -4782, -4782, -4782,  2738, -4782, -4782, -4782,
   -4782, -4782, -4782,  2844,  2846,120532,120532,   743,   993,   194,
     293, -4782, -4782, -4782,  2713, -4782, -4782,  2711, 93661,  2543,
   93661, -4782, -4782, -4782,102787, -4782, -4782,  2724,  2407,  2469,
   -4782,   216, -4782,   -73, -4782,   276,   328,   353,  1639,  2478,
    1871,   983, -4782,   460, 93661,  2587,   204,   -22,  2525, 90112,
    5966,  2498,  2658,   822,  2790,  2837,  6263,   200, 90619, -4782,
   -4782, -4782, -4782, 93661, 93661, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782,  2535, -4782, -4782,  2540,  2850,  2744,
    2817,  2696,  1321,  2760,  1810,  2883,  7182,  1276,103294,112927,
    2853,  2899,  7748,  1833,   726,  2800,  1069,  2888,  2755,  1965,
    2925,  8356, 93661,  2615, -4782,  2862,  2972,   588, -4782,   770,
   -4782,  2688,  2834,  1077, 68299,  2648, -4782, -4782, 93661, -4782,
   -4782, 72871,  2723, -4782,   405, 68299, -4782,  2854,  2701, 59069,
   93661, -4782, 93661, -4782, -4782, -4782, -4782, -4782,  2776,  2967,
   93661, 72871, -4782,  2916, 93661, -4782,  2674, -4782, -4782, -4782,
   -4782,  2180, 93661,  2680,  3070, 72871,   184, 93661,   -46,  3103,
   93661,  2897,   -46,  2727,103801, -4782, -4782,   -46, -4782, -4782,
   93661, 93661,  2700,  1824,  2906,   -46,  2913,  3125,  3135,  2792,
    2915,   827,  1481,   133,  3040,   -46,  2787,104308,104815, 93661,
    2798, 93661,  3136, 68299, 93661,  3060, -4782,  2939, 91126, -4782,
    2778,  2495, -4782, -4782, -4782, -4782, -4782,  1252, -4782, -4782,
   -4782, -4782, -4782,  3092,  2469,   304,  3096,  2786,  3104, -4782,
   -4782,  2839, -4782,  2839,  2839,  2797,  2797,  2962,  2799,  3113,
   -4782, -4782, -4782,  2360,  2839,  2797, -4782, 73887, -4782,  1732,
    1770, -4782,   125, -4782,  3225, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782,   119, -4782,  1081, -4782,  2054, -4782, -4782,
   -4782, -4782,  2843, -4782,  3124,  2498,  3126, -4782,  2805,105322,
   -4782,105829,106336,  3127,  2535,124052,  3128,  3011,  3130,  2805,
    3133,  3016,  3138,   304,  3139, -4782,   975,  3123,  3141,  3018,
    3143,   125,  3145,  2030,  2805,122292,  3146,   137, -4782, 16916,
   13707, -4782, 19886,   482, -4782, -4782, -4782, -4782, -4782, -4782,
   44091,  1053,  2924, -4782, -4782, -4782,  2056, -4782,119193, -4782,
    1190,  1571, -4782, 86563,  1571, 86563,   696,  1571, 86563,  1571,
   86563,   696,  1571, 86563, 86563, 86563,  1571, -4782, -4782,   250,
     234, -4782, -4782, -4782, -4782, -4782, 86563,  2838, 93661, 93661,
   -4782, -4782, -4782, 80986,124052, 81493, -4782, 93661, -4782,    27,
   86563, -4782, 86563, -4782,  2624, -4782, -4782,  2276, 72871,  3261,
  124052,  3136, -4782,  2081, -4782, -4782, -4782, -4782, -4782, -4782,
    3081, 93661,  3148,  3149, 80986,124052, -4782,106843,121852,  3046,
    2847, -4782, -4782, -4782, -4782,  2028,  2749,   438,  2795, 44091,
    2855,   389,   389,  2856,  3157, -4782, -4782, -4782,   363,  2859,
    2860, -4782,   480,   480,  2865,  2866, -4782,   520,  2867,  2875,
    2815,   530,  2879,  2880,  2885,  2360,   389, 44091, -4782,  2886,
     480,  2891,  2892,  2893,  2861,  2894, -4782,  2944,  2895,   448,
     463,  2896,  2898, -4782,  2865, -4782,   256,  2900,  2902,  2903,
    2904,  2907,  2908,  2909,  2910, 44091, 44091, 44091, -4782, 38316,
     -73,  2624, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
     540,  4277, -4782,  2922, -4782, -4782,  3043, -4782, -4782, 44091,
   -4782, -4782,   270, -4782,   554, -4782, -4782,   -73, -4782, -4782,
    1766, -4782, -4782, -4782, -4782,  3150,  2911,  1184,  1184,   223,
   -4782, 83014, 83014, -4782, -4782,   237,  2919, -4782,  2154, -4782,
   -4782, -4782, -4782, -4782, -4782,121412,  3317, -4782,  2591,  2624,
     770,  1931,  3272,118297,118745,  3165,  3165,  3153, -4782, -4782,
   93661, -4782, -4782, 44091, 61150, -4782,   -73,   140,  3164, -4782,
   -4782, -4782,  2084, -4782, -4782, -4782,   871, -4782, 17867, -4782,
    2094,  2354, 93661, 93661,  3337, -4782, -4782,  2378, -4782, -4782,
    1457,  1457, 44091,  1457,  1311,  1792, 40941, 44091,  3223,  3120,
    1339,  1662,  3227, -4782,  3131,  1715,  2043, 88591, 93661,107350,
    3044, -4782, -4782,  2407,  2933,  2113, -4782, 74902,116470,116470,
    3186, -4782, -4782,  1083,  1270,  3054,  3152,  2610,  1561,  1945,
   -4782, -4782,  2934, -4782,  3284, 83014,  2995,120532, -4782, -4782,
   93661, -4782, -4782, 91633, -4782, -4782, -4782,   374,  2940, -4782,
    2953, 93661, -4782,  3466,  1945,  1945, -4782, -4782,  2949, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, 30146,  2955, 93661,
   -4782,  2956,  2957, -4782,116974, 61658,  1893,   -73,  3030,  3031,
    3084, 66775,  2959,  3039,  3041,  3089,  3201, -4782, -4782,  3045,
    3047,113434, -4782, -4782,  1196, -4782, -4782, -4782,  1196, -4782,
    2980, -4782,  1523,  1153,  1177,  3049,   167,  1121,  3345, -4782,
    1244,  3100, -4782, -4782, -4782,  1691, 93661,  3286,  8816,  3169,
     200,  3170,  3101, -4782, -4782,  3220,  3058, 93661,  3059,  3185,
     200,  1426,113941, -4782, -4782, -4782, -4782, -4782, -4782,  3673,
   36767, -4782,  3061,  3042,  3071, 93661, 76423,  2233,  3178,  3181,
    1742,  2240,   495,  3121, 93661,  2026,  3187, 93661,  2989,  3069,
    3073,  3277,  2999,  1960,  3372,  2998, -4782, -4782,  3184,  3274,
    3318,  6851,  3065,  3066, 70839,  1446, 59589, 93661, 93661,  3356,
    1412,  3090, -4782, -4782, -4782,  1412, 93661,  3091,  3095, 93661,
     200, -4782,  3416,   200,   200,  2174,  3420,  3097,   889,  2338,
     -46,  2998,  2246, -4782,  3098,  3105,  1591, -4782,  3213, -4782,
   -4782,  1549,  3111, 88591,   141,  2346,  2998,  3106,  3110,  2999,
    2999, 93661, 93661, 93661, 93661, 93661,   152,  3439,  3449,  3116,
     150,  3166,  3048, -4782,123172,  3122,112420, -4782, -4782, 93661,
    3129,  2457,  2998,  1874, -4782,  2044, -4782, -4782, -4782,  1546,
   -4782, 93661, -4782, 93661,  2469, 72871,  3239,  3298, -4782,  3080,
   -4782,  2498,   200, -4782, 93661, 93661,  2535,  3243,  1538,  1056,
   72871,  3247,  3306, 93661,  3308,  3142,  3094,  3134, 61658, -4782,
    2700,  3062,  3479, 93661, 66775, -4782,  3493,  1196, -4782, 72871,
    3259,  3379, -4782, 93661,  3279,  3078, -4782,  3414,  3140, -4782,
   -4782,  1086, 93661, -4782,  3384,124052,   844,  2624,  3132,124052,
    3309, 93661, 93661, 93661, 93661, -4782, -4782,  3276,   845,   206,
   -4782,123172, -4782, 93661,  3289,  2246,  3291,  3503,   672,  2180,
  107857,  3386, -4782,108364,  3088,  3508, 72871,  3336, -4782, -4782,
    3102,  2610, -4782,  2778, -4782,  2137, -4782,  3217, -4782, 68299,
     304, -4782, -4782, -4782, -4782, 72871, 93661, -4782,  3093, -4782,
   -4782, 44091, -4782, -4782, -4782,  2610, -4782, 72871,  2839,  2839,
   -4782, -4782,  3515,  3176,  3179,  2610, -4782,  2610, -4782, 72871,
   -4782,  3109,  3112,  3216,  2610, -4782,  3188, -4782,  3191,  2610,
   -4782,  2109, -4782,108871, 68299,   304,124052,124052,  3426,   137,
    3428,  3163,  3429,  3173, 59589,   304,   143, 93661, 93661,124052,
   93661, 93661, 93661, -4782, 93661, -4782, -4782, -4782, -4782, 72871,
   93661, 93661, 72871, -4782,124052,123172,  3432,  3433,   304, 93661,
   93661, -4782, -4782, 17517,   772, -4782, 13707, -4782, 17867,  2123,
    3165, -4782,  1812, 93661,  1430,  1190,126692, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, 86563, -4782, 86563,   696, -4782,
   -4782, 86563, -4782, 86563,   696, -4782, 86563, -4782, -4782, -4782,
   86563, 93661,  3638,  3137, -4782,  1766, -4782, 93661,  2157, -4782,
   -4782,  2161,  1241, 93661, 93661,   838, 68299, 93661,  3322, 93661,
   93661, 93661, 93661, 93661,  3202,  2919,   -39, -4782,  1479,   393,
   88591,  3329, -4782, -4782, -4782, -4782, -4782,  2178,  2299,  1331,
   93661,  1444,  2239, -4782, -4782, 81493, 79972,  3421,   117, 93661,
   -4782, -4782,  5789, 44091, 39366, -4782, -4782, 17867,  3172, 44091,
   44091,  3144,  2610,  2610, -4782,  1569, 44091, 44091, 44091,  2610,
    2610,  8360, 44091, 59589, 44091, 46716, 35189, 44091, 44091, 38841,
   -4782, 44091,  3350, 47766, 44091,  1931,  3351, 44091,  1931,  8360,
    3579,  3579,  1384,  1714,  6120,  3147,   -73, -4782,  2610,  1163,
     236, 72871, 44091, 44091, 44091, 44091, 66775,  3218,   220, 93661,
   44091,  3151,  1737, -4782, 44091, -4782,  3154, 44091,  3215,  1130,
   44091, 44091, 44091, 44091, 44091, 44091, 44091, 44091, 44091, -4782,
   48788,   254, -4782,  3427,  3446,   972,  1254, 82000, 39891,  3440,
   -4782, 34137, -4782,   185, 86563, -4782, -4782,   -73,  3440, -4782,
   -4782, -4782, -4782, -4782,   374,  3155, -4782,  3156, -4782, -4782,
   -4782, -4782, -4782, 93661,  3317, -4782, -4782,  3222, -4782, -4782,
   -4782, -4782,   570, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782,  3160, -4782, -4782, -4782, -4782,  3160, -4782, -4782,  3165,
    3158,  9208,  3159, -4782, -4782, -4782, -4782,  3436,  3445,   304,
   30146, 93661,   188, 85042, -4782, 40416, -4782,  2188, -4782,  3168,
   -4782,  3408, -4782,  3167, -4782, 14074,  3408, -4782, -4782,   178,
    3260,  3407,  3361, -4782, -4782, -4782,  3174, 17867, -4782,  2007,
   17867,  2274, -4782, -4782, -4782, -4782, -4782, -4782,  1381, -4782,
   93661,  1248,  3223,  1662,  3226,   630,  3589, 93661, -4782, 54935,
    2256, -4782,  2407, -4782, -4782, 19377, -4782, 33631, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3175, -4782, -4782,
   -4782, -4782,   200,  3177,  3668, -4782,120532, -4782, -4782, -4782,
    3638, -4782,  2522, -4782,  2522,  3694, -4782, 86563, -4782, -4782,
   -4782, -4782,   607, -4782, 13707, -4782, 13707, -4782,  3364, -4782,
    3581, -4782, 73887, -4782,  3192, -4782, 73379, 69823, -4782, -4782,
    1207, -4782,  1489,  3262,  3263,  3315,124052, 93661, 93661, -4782,
   66775,124052, 93661, 93661, -4782,124052, 93661, 93661, -4782, -4782,
   -4782, -4782, -4782,119641,    -6, 79972,  3320, 77944, -4782, -4782,
    3197, 93661,  3253,  3447,  3448,  1383, -4782, -4782,109378, -4782,
    3405,124052, 93661, 93661, 44091,  3406, 93661, 93661, -4782,   369,
    3282,  3285, -4782, 93661,  3287, 68299,  3207, 93661, 93661, 72871,
    3283,   411, 68299,  3244, 60109, 93661, 93661, 93661, 93661,  3338,
    3511, 72871, 93661,  3458,  1362, 88591,   124,  2470,  2998,  3417,
   -4782,  3525,  1505, -4782,124052, -4782, 93661,  3410, -4782, -4782,
   -4782, 78451,  3630,  3325, -4782, -4782,114448, -4782, -4782, -4782,
    2218, -4782,124052,124052, 93661,  9184,109885,  1450,  3431, -4782,
   -4782, 72871, -4782, 93661, 93661, 93661,  3530,  3462, 93661, 85549,
  110392,110899,    19,  1432,  3464, 93661, 86056,  3465, -4782,  3360,
   93661, -4782, -4782, 67283,124052, 93661,  1017, 66775, -4782, -4782,
   93661, -4782,  3425,   818, -4782, 93661,  5314,  3310,  3319, 93661,
    3430,   175,  2613,  2998, 93661, 93661,  3229,  2225,  3313,    -3,
   -4782,  3435,   579, 93661, -4782,124052,  2017, -4782,  3382,124052,
   93661,  9651, -4782, -4782,   200, -4782, -4782, -4782, -4782, -4782,
   93661, 93661,   200, 93661,   200,  1459, -4782,124052, 93661, -4782,
   -4782, -4782, 93661,  9666, 93661, 93661, 93661, 93661,124052, 93661,
   -4782, -4782,  1203,  1760,  1406,  1494,   841, 93661,  3517, 93661,
  111406,124052, 93661, 93661, 93661,  1636, -4782,  3357, -4782,124052,
    2017, 10091, 93661, 93661,  3324,  3326,   187,  3400, -4782, -4782,
   -4782, -4782, -4782, -4782,  3499,  3674,111913,  1855, -4782,  3506,
    3518,  3327,  3330,  3519, 93661,  1855, 93661, -4782, -4782, -4782,
   -4782,  3522, 93661,  1855,  3523,  1855,  3437,  3472,   113,  3550,
    2226, -4782,  3293, -4782, 44091, 72871, -4782,  2231, -4782,  3294,
     845, -4782, -4782, 66775, 93661,   340,   820,  3596, 76930,  2655,
    3586, 93661,  3331, 93661,  3590,  2655, 93661, -4782,  1654, 79972,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3587,
   -4782,  2624,  2700,  2700,  2700,  2700, -4782, -4782, -4782, -4782,
    3490,  1756, -4782,  3297,  2700, 93661,  3415,  2655,  3300,  3613,
   -4782,  2246,  3614,  3616, 93661, 76930,  2270,  3340,  3513,  3726,
    2180,  2624,  3524,  3509, -4782, 37279,  6060,  3514,  3560,121852,
   91126, -4782,  3328,  3601,  3604,  3625, -4782,  2469, -4782,  3745,
   -4782, 44091,  2242,  3332,   125, -4782, -4782,  3333,  3112,  3349,
    3353,  3339,  3341, -4782,  2610, 52380, 93661,  3343,   727,  3545,
    3344, -4782,  3645,   304,  2498, -4782,  2805, -4782, 93661, -4782,
   93661, 93661, 93661, 93661,  2535, -4782, -4782,  3531,   304,  2805,
    3532,   304,   304, -4782,  3592,  3534,   304,   125,  2805,  3467,
    3647,121852, -4782,   137, -4782, -4782, -4782, -4782, -4782, 44091,
   -4782, -4782,  2180,  2137, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, 86563,  2522, -4782,  2245, -4782,
   93661, -4782,  3623,  3624,  3631,  3355,  3358,  3394, 93661,  3363,
   -4782,  3355,   200,  3355,  2919,  2919,  3355,  3358,123612,  3783,
    3652, -4782,  3444,  3377,  3672,   207, -4782,   860,    15,  3597,
   -4782, -4782, -4782, -4782, 72871, -4782,124052,  3418, 93661, 93661,
   -4782,   173,  3573,  3381,123612,  3786,   304, -4782, 68299, -4782,
   -4782, 72871,  3459,  3482, 68299,  3594,  3441, -4782, -4782, -4782,
   -4782, -4782, 72871, -4782,  3642, 93661,  2262, -4782,  1657, -4782,
    1752, 44091,   166, -4782, 15146,  2266, 44091,  3399,  3401, -4782,
   -4782, -4782, -4782, -4782, -4782,  3403,  3695, -4782, -4782,  2269,
    2272,  2286,  3409,  3411,  5773,  3419, 15626,  3422,  3424, 46716,
   46716, 38316,  4249, -4782, 46716,  3434,  3588,  2305, 12088,  3412,
    3442, 15934, 41466, 44091, 41466, 41466, 14802,  3412,  3443,  2309,
   66775,  3582, 16612,  2323, -4782, 44091, 66775,  5986, 44091, -4782,
   44091,  3450, -4782, -4782,  2459,  2459,  2459,  8360, -4782,  3463,
   -4782, 46716, 46716, -4782,  2325, 38316, -4782, -4782,  3701, -4782,
   -4782,  2237, -4782,  3452, -4782, -4782,  2878, 59589,  5656, 44091,
     264, 44091,  3151, 44091,  3486,  2459,  2459,  2459,   239,   239,
     183,   183,   183,  1608,  1254, -4782, -4782, -4782,  3453,  3454,
    3461,  3600,  3468, 44091, -4782,  2384,  2409, 93661,  8457,  9544,
   11607, -4782, -4782, -4782, 49824,  3480, 44091, 44091, 44091,  3457,
   -4782,  2754, 17867,   665, -4782,  2788, -4782, -4782, -4782,  3480,
    1197,  3694,   374, -4782,  1546,  2610,  1163,119193, -4782, -4782,
   -4782, 44091, -4782, -4782, -4782, -4782,  2378, -4782, -4782, -4782,
   -4782, -4782, 93661,  2299, 44091, -4782, -4782,  1952,  3460, 44091,
    2007, -4782, -4782,  3481, -4782, 44091, -4782, -4782, -4782,  2919,
   -4782,  3653, -4782, -4782, -4782, 49824,  3487,  3475, 53913,  3622,
   -4782, 93661, -4782, 93661,   201, -4782, -4782, -4782,  3470, -4782,
   -4782, -4782,  1743, -4782, -4782, -4782, -4782, -4782, -4782,  3469,
   -4782,  3471, -4782,  3474, -4782, -4782, -4782, -4782,   215,  3484,
    3473,  3485,  1374, -4782, 69823,  2054, -4782, 73379, -4782, 73379,
   -4782,  2054,  3831, -4782, 69823,  1870,124052, 93661, 93661, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782,124052,124052,  3641, 93661,  3640,  3660, 44091,   169,
   93661,  3491,  3492,  1537,  3738, 93661, -4782,  3791,   304, -4782,
   -4782,  3549, -4782, 17867, -4782, -4782, -4782, -4782, -4782,124052,
   93661, -4782,121852, -4782,  2469, 72871, -4782, -4782, -4782, 93661,
    3527, 93661, -4782, 93661, 93661, 93661,  2535, -4782, -4782, -4782,
   -4782,  1136, 72871, -4782, -4782, 93661, 93661,   685,  3564,  3570,
   93661, -4782,   746,  3213, 11083, 93661, 93661, 93661,  3755, 93661,
   -4782, -4782, -4782, -4782,  3699, -4782, -4782, 69823, -4782,  2805,
     931,  3575,  2998,  3706, -4782,  3811,  3691, -4782,   792, -4782,
   93661,  3626, -4782, -4782, -4782, -4782,  3814,   304,  3816,   304,
   93661, 93661, 93661, 93661,  3628, -4782, -4782, -4782, -4782,  3629,
    3746, -4782, 66775, 66775, 66775,  2329, -4782, -4782,  2624, -4782,
   -4782, -4782, -4782, -4782, -4782,  3779, -4782,  2365, -4782,   492,
   -4782, -4782, -4782, -4782, -4782, -4782,124052, 93661, 11144,  3822,
   93661, 93661, 93661,  1999, -4782,   907, 72871, -4782, 71347,124052,
   93661, 66775, 93661,  3591,124052,  3569, -4782, -4782,  3752,  3693,
   -4782,  1873,  3697,124052,  3578, -4782, -4782,  3603, -4782, -4782,
    3605,  2628,  2998,  2246, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782,   979,   741,  2631,  2998,  3606, -4782,  3618, -4782,
   -4782, -4782,  3764,  3767,  3770,  3627,  3633,  3675,  3634,  3635,
    3686, -4782,  3639,  3687,  3643,  3690,  3720,  3644,   304, 72871,
    3754,  2624,  3679,  3879,   304, -4782,  3646, -4782, -4782,  3982,
   -4782, 93661, -4782,  3649,  2702,  2998, -4782, -4782,124052, 93661,
   -4782, -4782, -4782,  1855, 72871, 93661,  3824, -4782, -4782, -4782,
    1855,  1855, 93661, 93661,  1855,  3825, -4782,  3826, 93661,  3827,
   -4782,  1855, -4782, -4782,   430, -4782, -4782, -4782,  3437,  3862,
   -4782,  2250, 56989,  6440,  3580, -4782, 66775, 56989,  2093,   911,
     301,   -46, -4782,121852, 93661,121852, -4782,   820,  3691, 93661,
   93661,  3584,  3577, -4782, -4782, -4782, -4782,124052,   170,124052,
    2610, -4782, -4782,  3650, -4782, 93661,  2180,   647,  3659,  3999,
    3135,   844,  3728,  1693,  3940,  3340, -4782, -4782, -4782, -4782,
   93661, 93661,   845,  2624, -4782,  3593,  3595, -4782, 93661, 93661,
   93661, 93661, 93661,  2299,  3599,  3602, 72871,    24,  3784,  3785,
    2999,  4009,  3904,  2299,  3340,  3677,  3906, 93661, -4782,  2368,
     118, -4782,  2624,121852, 70331,  3895, -4782,  4718, -4782, -4782,
     913, 93661,  3885, -4782, 93661, -4782, -4782, 53402,   304, 72871,
    2373, -4782, -4782, -4782,  2610, -4782, -4782,  1676,  1676,  3607,
   -4782, 52891, -4782,  3609, -4782,  2263, -4782,  3993, -4782, 93661,
   -4782,   304,   137,  3658,   304,  3661,   304,   304, 93661, -4782,
   93661, -4782, -4782, 93661, 93661, -4782, -4782, 93661,123172,   304,
   -4782, 17867,  3909, -4782, -4782, -4782, -4782,  3731,  3740,  3741,
   93661,  3355, 68299, -4782,  3615,124052,  1509, -4782, -4782,  3809,
   -4782, -4782, 88591,  3739, -4782, -4782, -4782, -4782,  3933,  3934,
   -4782, -4782, -4782,  1111, -4782, -4782, -4782,124052, 80986,   177,
  124052, -4782,  2469,  3874, -4782, -4782,  2498,   200, -4782,  3875,
   93661,  3876, -4782, -4782, -4782,  3632, 16044, 44091, -4782,  3946,
   72871, -4782,  6777, -4782, -4782, -4782, 44091, -4782, -4782, -4782,
   -4782, -4782, 44091, -4782, 44091,  3921, -4782, 35715,  4071,  4071,
    3636, 72871, 46716, 46716, 46716, 46716,  1885,  2891, 46716, 46716,
   46716, 46716, 46716, 46716, 46716, 46716, 46716, 47241,   521, -4782,
    3813, 44091, 44091,  3931,  3921, -4782, 72871,  3637,  3412,  3651,
    3654, 44091, -4782, -4782,  2383, 48277,  3655, 66775, -4782, 44091,
   13010,  2395,  3678, 17586,   -73,  7634,  2624, 44091,  4197,  4514,
   44091,  2400, 44091,  3928, -4782, -4782, -4782,  3648, -4782, -4782,
   72871, 44091,  3656,  2954, 46716, 46716,  3378, -4782,  3737, 44091,
   38316, -4782,  3823,  3680, 55446, -4782, 36241,  3657,  1247,  1247,
    1247,  1247, -4782, 93661, 93661, 93661, 50335,  3937, 49313, 92140,
    3662,  2411, -4782, 92140, 92647, -4782,  3664, -4782,  3663,   -73,
   44091,  3923,   939,   939,  3823, -4782, 44091, 44091, 41991,  3665,
   -4782,  3923, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3666, -4782,  3669,
   -4782, -4782,   770,  3667, -4782, -4782, 17867,  3671,   215, -4782,
   -4782,  3670, -4782,  3681, -4782,  3460,   214, -4782,  7994,  3832,
   -4782, -4782, -4782,  3662, 42516,  3781, -4782,  2413, -4782, -4782,
    4019,  3781, -4782, -4782,  2418, 54935,  3487, 40416,   -73,  2610,
    3685, -4782,  2522,  1197, -4782, -4782, -4782, -4782, -4782,  2424,
    1915, -4782, -4782, 69823, -4782,  3713, -4782, -4782, -4782,  2805,
    2805,  1275,  3355,  3950,  1275,  8412, -4782, -4782, 50846, 93661,
   93661, -4782, 93661,  2428,  1658, 93661, -4782, 93661, -4782, -4782,
   -4782, -4782,  4065, -4782, 93661, -4782, -4782,  3707,  3708, -4782,
   93661, 93661, 93661, 93661,  3907, -4782, -4782,  2478, -4782, -4782,
  124052, 93661, -4782, -4782, -4782,   258,  2750,  2998, -4782,  3736,
   -4782, -4782, -4782,  3922, -4782,  4068,  3749, 93661,  3986, 93661,
    3682, -4782,  1658,  1356,  2999,   780, -4782, -4782,  3744, -4782,
   -4782, 93661, -4782, 93661, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782,  3800, -4782, -4782, -4782, -4782, 67283, -4782, -4782, 93661,
   -4782, 66775, 56989, 66775, -4782,  1435,   308,  2842,  2998, 93661,
   -4782,  3757, -4782,  3760,  3761,  3812,  1114,  1377,  3765,  3766,
    3817,  3689,  3692,  3696, -4782, -4782,  2429, -4782,  3703,  3840,
   93661,  2805,  3702,  3734,   230,  2624, -4782, -4782,  2624,  2805,
    2624, 93661, 93661, 93661,  4102,  3789, 93661, 93661, 93661, 93661,
   93661, 93661,  4004,  1158,  2102,124052, 93661, 93661,124052, 93661,
   93661, 93661, 93661, 93661, 93661,  4015, 93661, -4782,  4090,  4020,
    1913,  4059,  3777, 93661, -4782, 93661,  3213, 93661, 93661, -4782,
   -4782, -4782,  3711,  3964,  1855, -4782, -4782,  3966,  3967, -4782,
    1855,  1855,  3968,  1855, -4782, -4782, -4782,   -46, -4782,   430,
   93661, -4782,  3293,  3681,  2610,  1945, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782,  2477, -4782, -4782, 93661,  3718, 93661, 93661,
   46716, -4782,  1782,   990, -4782,  3969, 93661,  3758, -4782, -4782,
   -4782,  3878, 93661, -4782, -4782, -4782, -4782, -4782,  3727, -4782,
    4000, 76930,  2805,124052,124052,  2805, -4782, 72871,  3735,  3340,
   -4782, -4782, -4782, -4782, -4782, -4782,124052,  3569,124052,   844,
    1637,104815,  3751, -4782,  3733,  4036, -4782,  3742,  3743, -4782,
   -4782, 93661,  3691,  2471,  2246,   809,  2150,  3418, 78958,  2270,
    4000, -4782, -4782, -4782,  4116,  3829, -4782,  2299, 93661,  3418,
    3829,  2624, 93661,  3253, -4782, 69823, 44091, 44091, -4782,  3747,
   -4782,  3748,  6447, -4782,  3807,  3750,  2700, -4782, -4782, -4782,
   -4782, -4782, -4782,  3818,  3762, 93661,  4187, -4782, -4782, -4782,
    3753, -4782,  3768, -4782, -4782, -4782,  2005, 30146, 52891, 52891,
   52891, 52891, 52891, -4782, -4782,   304, -4782, -4782, 93661, -4782,
   93661, -4782, -4782,   304,   304,   304,   304, -4782,  3866, -4782,
    2299, 93661, 93661, 93661,  3355, -4782,   200, -4782,  4034,123612,
   -4782, -4782,  2476, 93661, -4782, -4782, -4782,  4108,   117,  4057,
   -4782, -4782,  4016,  2155,  4017,  4021,  2155,  4022,  2155, -4782,
   44091, 17867, -4782,  3763, -4782, 17867,  8720, 17867,  3931, -4782,
    2485, 44091, -4782,  5176,  5176,  5176,  4799,  4062, -4782,  1570,
    3769,  5176,  5176,  5176,   231,   231,   160,   160,   160,  4071,
     521, 17867, 17867, -4782, -4782,  3772, -4782, -4782, -4782,  3412,
   -4782, 44616,  3924,  4176, -4782, -4782, -4782,  3815,  3828,  3792,
   -4782, 44091, 45141,  3782, 73887,  3971, -4782,  1711, 44091, 44091,
    2735, -4782, 10691, 44091, 72871,  2503,  2735,   286, 44091,  4645,
    4667, 44091, 44091,  3788,  8997,  3796, 44091,114955, -4782, -4782,
   -4782,  2507, 44091, 93661, 93661, 93661, 93661, -4782, -4782, -4782,
   92140, 92647,  3787, 51868,  2411,  3798, 93661, -4782, -4782,  3790,
   49824,  4048,  3970, -4782, 49824,  3970,  1983,  3970,  4049,  3888,
   55957, -4782, -4782,  3803,  3991, -4782, 34137,  1934, 17867,  4207,
    4093, 44091,  3820,  3821,  3830, 17867, 17867, 44091, -4782,  2624,
    4093,  1197,   406,  2624, -4782, -4782, -4782, 59589, -4782, -4782,
   -4782, -4782, -4782,  4011, 17867, 39891, -4782,  2299, 93661,   -73,
     -19, -4782,  3834, 93661, -4782,  3781, -4782, -4782, 13707, -4782,
   -4782, -4782, -4782,  3882,  2512, -4782, -4782, -4782, -4782, -4782,
    3893, 79972,  4111, -4782, 44091,  2516, -4782,  3854,  4208,   107,
    2520,  2528,  1658, -4782,  3758, -4782,  1794,  4091,   193, -4782,
     304, -4782, 72871, -4782, 93661, 93661, -4782, -4782, -4782, -4782,
   93661,  2959, -4782, -4782, 93661, 93661, 93661, 93661, -4782,124052,
   93661, -4782, 93661, -4782, 66775,   911,  4030, -4782, -4782,  4031,
     230, 93661, -4782, 72871,   304,   304, -4782, -4782, -4782, -4782,
   -4782,  3841,  4234,  3919, 93661, 93661, 93661, -4782, 93661,124052,
   93661, 93661,  2610,  2610, 72871,  3833, -4782,  2610,  2610,  3835,
   -4782,124052, 93661, 93661, -4782, -4782, -4782, -4782, 66775, 56468,
    3914, -4782, 44091,  4231, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782,124052, 93661,  3920, -4782,  3925, -4782, -4782, -4782,
   93661, 93661, 93661, 93661,  4155, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, 93661, -4782, 93661, -4782, -4782,
    2624,  2624, 72871,   304,   304, -4782, -4782, -4782,  4096,  1855,
   -4782,  1855,  1855, -4782, -4782,  1855, -4782,  3846,   710, -4782,
    1658,  2089,  4139,  4143, 44091, -4782,  1748,  4799, -4782, -4782,
   -4782, -4782,  3758,  2180,  3905, 68299,   862, -4782,  4124,   340,
   76930,  1911,  3853,  3972, -4782,  2805,  2805,  3908, 93661,  4280,
    2805,  3734, -4782,   828, 93661,  4190,  3910, -4782,  2624, -4782,
   -4782,  3340, -4782, 93661, 76930,  3418, -4782,  2529, -4782, -4782,
   -4782,  3901,  3785,  2270,  1508, 93661, -4782,  3911,  4292, -4782,
   -4782,  4169,  4072,  3884, -4782, 17867, 17867,  2624, 74395,  4718,
   72871,  4177, -4782, 93661,   336,  4146, 93661, -4782,   304, -4782,
   -4782,  3886,  2025,  2025, -4782, -4782, -4782, -4782,   304,   304,
   -4782, -4782, -4782, -4782, 93661,  3355,  3355,  3355, -4782,  4076,
   -4782, -4782,  4141, -4782,   304,123612,  2155, -4782, -4782, -4782,
    2155,  2155, -4782,  2155, -4782, 17867, -4782, -4782, -4782, -4782,
    9504, 46716,  4183, -4782,  3890, 72871, -4782,  3896,  2533,  2537,
   47766,  4043, -4782, -4782, -4782, 10095,  3944, 17867,  3998,  3897,
    3898,  2735,  2735, 10691,  2555, -4782,  2735, 44091, 44091,  2735,
    2735, 44091, -4782, -4782, 10247,  4075, -4782, -4782, 10483, -4782,
   -4782, -4782, -4782, -4782, -4782, 67791, 92140,  3902, 93661,  2411,
   49824, -4782, -4782,  1825, -4782, 49824,  4149, -4782, 49824, 68299,
   -4782, 93661,  3912, 93661, -4782,   665, 45666, 44091,  3941, -4782,
   -4782, -4782,  3823, -4782,  3941, -4782,  1945, -4782, -4782, -4782,
   -4782, -4782,  3916, 86563,   498, -4782, -4782,  4279, 50846,  4240,
    3918, -4782, -4782, -4782, -4782, -4782,123612,  4104,123612,  1658,
   10800,  3758, 50846, 60629, 93661, 93154, 93154,  4069,  3758,  3905,
   -4782, -4782, -4782, -4782, -4782, -4782,  3926, -4782, -4782, -4782,
   -4782,  3996, -4782, -4782,   870,  3329, -4782,  2556, -4782, -4782,
   -4782, -4782, -4782,  4090, -4782, -4782, 56989,124052, 93661, -4782,
    4001, -4782, -4782, -4782, -4782, -4782, 51357, 59589, -4782,  1114,
    3942,  3943,  1377, -4782, -4782, -4782, -4782, -4782, -4782, 93661,
   11182,  3945,   898,  3329, 93661, 93661,  1992,  1468,  1880,  3355,
    4220, -4782, -4782, -4782, -4782,  4090, -4782, -4782,  1855, -4782,
   -4782, -4782, -4782, 66775, -4782,  1780, -4782,   -46,  4259, 68299,
    4341,  4341, 93661, -4782, 11463,  4128, -4782,  3905,  4152,  4200,
   -4782,  3947, 93661,  4092,  3949,  3936,   186,   186, 93661, 93661,
   93661,  2565,  2299, -4782,   844, 76930,  3691, -4782,  1706,  3951,
    4246, -4782,  4358,  3599,  3952, -4782, -4782, 78958,  4130,  3829,
    3785,  4073, -4782,  4079, -4782,  1586, -4782,  2299, 93661, 93661,
   50846, -4782, 73379, -4782,  2583, -4782, -4782, -4782,  4023,  3480,
    4055,  4058,  3956, 93661,    41, -4782,  3973, -4782, -4782, -4782,
   -4782, -4782, -4782, 93661, -4782,   177, -4782, -4782, -4782, -4782,
   -4782,  5165, 46716, 72871,  2584, 44091, -4782, 44091, -4782,  4359,
   -4782, -4782, -4782,   677, -4782, -4782, -4782,  2735,  2735,  2735,
   -4782,  4360,  3823, -4782, -4782,  2596,  4378, -4782, 93661,  2601,
   -4782, 44091,  3961, -4782, -4782, 49824,  1825,  3963,  2619, 93661,
    2626, 72871,  3965,  3975,   -62,  3978, 34663,  3962, -4782, -4782,
   -4782, -4782, -4782, 17867, 17867, 93661, -4782,  3979, -4782, -4782,
   -4782, -4782, -4782, -4782, 93661,  2632, -4782,   781, 37791, -4782,
   -4782,  1509,  1275,   177,  4208,  3905, -4782,  3984, -4782, -4782,
   93661, -4782,  1428,  1428, 93661,  3905, -4782, -4782, 93661,  4053,
   -4782, -4782, 66775,  4018, -4782,  1312,  3329, 93661, 72871,  2498,
      52, -4782, 72871, 72871, -4782, -4782, -4782, 44091,  4054, -4782,
   -4782, -4782, -4782, -4782, 93661, 93661, 93661, 93661, 93661,   304,
   -4782,  2636, -4782,117414, -4782, -4782,  3103,  2624,  3103,  1822,
   -4782, -4782,  3103, -4782,  3103, -4782,  3846,  2624,  4341,   278,
   -4782, -4782, -4782,  2332,  4180, -4782,  1327,  4165,  4064,  3981,
   -4782, 68299,  4433,  4000, -4782, -4782, -4782, -4782, -4782, -4782,
   -4782, -4782,  2637,  3691,  4291,  3340,  3911, -4782, -4782, -4782,
   -4782, 44091,  4147,  2299,  2270,  4000, -4782, -4782, -4782,  3829,
   -4782, -4782,  4376,  4179,  4379,  3418, -4782,  3253,  2671, -4782,
    6447, 74395, 72871,  4321,  4027,  4028, -4782, -4782,  4044, 93661,
   -4782, -4782,  2430,  4440,  3691, -4782,  5165,  2675, -4782,  2683,
    2690,  4153,  4045, -4782, 44091,    73,  3664, 67791,  4002, -4782,
    2694, -4782, 17867, 93661, -4782, -4782, 44091, -4782,  2698, -4782,
   -4782, 44091,  4007, 44091, -4782, 45666,  3994, -4782,  4422, -4782,
   -4782,  3480, 50846, -4782,  4122, -4782,  4303, -4782, 93154,  4050,
   59589, -4782,  3460,  3460,  2180, -4782,  1658, -4782, 93661, -4782,
   44091, -4782,  4095, -4782, -4782,  2708, -4782,  1214,  4163,  4312,
    2709,  2720, 11502, 93661,  3358,  1880,  3358, -4782,  3355, -4782,
   -4782, 66775, -4782,120972, -4782, -4782, -4782,  2624, -4782,  2624,
    4216, 93661, 62674,  2624,  2624, -4782, -4782, -4782, -4782, -4782,
    4340,  4283, -4782, -4782, -4782, -4782,   722, -4782,  4210,  4212,
   93661, -4782,  4024, -4782,  2731,  4137, -4782, -4782, 93661,  4439,
    4446, -4782, 12209, 68299,  3911,  3785,  2270,   911, -4782,  4219,
   -4782,  4221, -4782,  4035,  3340,  4718, -4782, -4782,  1223,  4314,
    4322, -4782, -4782, -4782, -4782, -4782, 93661, -4782, -4782, -4782,
   -4782, -4782, -4782,  3412, 43041, 43041,  4033, -4782, -4782, 93661,
   -4782,  2732,  2736, -4782,  2737, 45666,  2741, -4782, 93661,  4037,
   -4782, -4782, 54935,123612,  1428,  4039, -4782,  4041, -4782, -4782,
    4152,  1658,  3329, 17867, 93661, 68299,  4437, -4782, -4782, -4782,
    4163, -4782, -4782, -4782,  3329, 93661, -4782, -4782,  2748, -4782,
   -4782, -4782, 93661,  3733, -4782,  3733, -4782, -4782,  4173, -4782,
    1027,  1027,  4383, -4782,  4101, -4782, -4782,  4046, -4782,  4497,
   93661, -4782,  1114,  2299, -4782,  4051, -4782,  3829,  3785, -4782,
   -4782, 50846,  3829, -4782, -4782, -4782,  2868, 68299, 68299, -4782,
   46191,  4182,  1209, 14527, -4782, -4782, -4782, -4782,  2751, -4782,
    4193, -4782,  2763, -4782, -4782, -4782,  1751,   177,  3460, 44091,
    1658, -4782,  4165, -4782,  3329,  2498, 93661, -4782, -4782, -4782,
   -4782,120972,  3733,  3910, -4782,  4486, -4782,  1380, -4782, -4782,
   -4782, -4782,  3691,  3833,  3911, 66267, -4782,  3829,  2764,  3480,
   -4782,  2810, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  4052,
    4056,  4477, -4782, -4782, -4782, -4782, -4782, -4782,  4061, -4782,
   -4782, -4782, -4782, -4782, 12399, -4782, -4782, -4782, -4782, -4782,
    4369, -4782, -4782, -4782, -4782, -4782,  2767, -4782, -4782, -4782,
   -4782, -4782, -4782,  3340, -4782,  1919, -4782, -4782,  1969,  2372,
    4140,  4356, 43566, 44091, -4782,  1658,  4223, -4782, 66267,  3829,
   -4782,  2810,  4168,  4185, -4782, 12886, 68299, -4782,  3480, -4782,
    4105,  4109, -4782,  4080, -4782,  4371,  4375, 66267, 68299, 68299,
    2775, -4782, -4782, -4782
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2507,     0,     2,     1,  2936,  2940,  2944,  2945,  2862,  2946,
    2947,  2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,
    2921,  2922,  2923,  2925,  2924,  2926,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2935,  2934,  2884,  2514,  2881,  2878,  2879,
    2880,  2885,  2883,  2876,  2877,  2087,  2949,  2937,  2950,  2938,
    2939,  2941,  2942,  2911,  2943,  2951,  2952,  2953,  2948,  2956,
    2907,  2908,  2906,  2909,  2910,  2954,  2955,  2898,  2899,  2900,
    2901,  2957,  2515,  2516,  2903,  2508,  2512,  2574,  2645,  2904,
    2905,  2902,  2513,  2897,  2645,     0,  2766,  2767,  2768,     0,
    2769,  2770,  2771,  2697,  2659,  2772,     0,     0,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,  2782,  2783,
    2784,  2644,  2785,  2786,  2787,  2788,  2621,  2627,  2750,     0,
    2601,  2602,  2598,  2600,  2599,  2603,  2586,  1302,   583,  1386,
    1385,     0,  2409,  1302,  2364,  2365,  2410,  2366,  2367,  2368,
     271,     0,  1388,  2369,  2411,     0,  1302,  2412,   406,  1037,
    2413,  2414,  2529,     0,  2370,  2371,     0,     0,     0,   583,
    1302,     0,     0,  2372,  1514,  2373,     0,  2374,  2415,  2416,
       0,  2375,  2376,  2417,     0,  2418,  2377,  2378,  2379,  2419,
    2420,  2421,  2380,  2422,  2423,     0,     0,  1528,     0,  2381,
    2424,  2382,  2383,     0,  2425,  2384,  2385,  2386,  2426,  2427,
    2387,  2388,  2389,     0,  2390,     0,     0,     0,     0,     0,
       0,  2428,  1302,  2391,     0,     0,  1535,     0,  2392,     0,
    2429,  2393,     0,  2394,     0,  2430,  2395,  2396,  2397,  2398,
    1528,  2746,  2622,     0,  1390,     0,  2399,  2431,     0,  2400,
    2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,     0,     0,
       0,    65,    66,    27,    26,    32,    31,    90,    91,    51,
      15,    79,    58,   125,   124,   126,    38,    34,    73,    23,
      25,    35,    39,    60,    52,   103,    59,    21,    57,    84,
      61,    87,    46,     9,    10,    47,    77,    11,    48,    78,
      12,    49,    13,    99,    67,    92,    30,    56,    20,    83,
      40,    63,    89,    64,     3,    42,    75,    71,     8,    53,
      54,    55,    80,    81,    82,   108,    86,   120,    37,   117,
      96,    97,   114,    98,   115,     6,   100,    50,    14,   111,
     110,   112,    74,    43,    76,    62,    88,   109,    24,   113,
      16,    17,    19,    18,   116,    85,   106,   102,   121,   119,
     127,   104,    68,     4,     5,    93,    22,    45,     7,    29,
      28,    44,    36,   123,    33,  1388,    95,   107,    94,   101,
      72,   105,   122,    70,   118,  1499,  1486,  1537,  1498,  1513,
       0,  1502,  2841,  2842,    41,  1514,   129,   130,   135,  2511,
    2563,  2564,  2565,  2645,  2596,  2597,  2590,  2606,  2616,  2605,
    2609,  2617,  2604,  2623,     0,   132,   134,   136,   139,   133,
     128,   131,   138,   143,   137,   142,   140,   141,   144,   145,
     146,  2843,  1743,  2840,    69,  2581,  2580,     0,  2645,     0,
    2873,  2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,
    2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,
    2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2094,  2146,  2147,  2148,  2149,
    2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
    2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
    2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,
    2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,
    2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,
    2220,  2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,
    2230,  2231,  2232,  2233,  2234,  2235,  2236,  2237,  2238,  2239,
    2240,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,
    2260,  2263,  2261,  2262,  2264,  2265,  2266,  2267,  2268,  2269,
    2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,
    2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,
    2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2301,  2302,  2303,  2095,  2304,  2305,  2306,  2307,  2308,
    2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,
    2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,
    2329,  2529,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,
    2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,
    2358,  2359,  2360,  2361,  2362,  2363,  2547,  2092,  2093,  2099,
    2100,  2101,  2522,  2543,  2549,  2869,  2548,  2098,  2696,     0,
       0,  2789,  2790,  2791,  2792,  2793,  2794,  2844,  2845,  2846,
    2847,  2848,  2850,  2849,  2658,  2816,  2853,  2657,  2854,  2661,
    2855,  2856,  2857,  2858,  2817,  2859,  2660,  2851,  2813,  2662,
    2655,  2656,  2814,  2764,  2765,  2065,  2815,  2812,  2852,  2550,
    2811,  2666,  2665,  1476,  2868,  2064,  1477,     0,  2668,  2795,
    2796,  2797,  2798,  2800,  2799,  2801,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2826,  2444,
    2445,  2446,  2839,  2447,  2448,  2827,  2449,  2450,  2451,  2452,
    2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,
    2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
    2828,  2829,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,
    2491,  2492,  2493,  2494,  2495,  2496,  2830,  2497,  2498,  2831,
    2499,  2500,  2501,  2832,  2502,  2503,  2504,  2505,  2506,  2836,
    2837,  2838,  2825,  2619,  2802,  2824,  2835,  2833,  2834,  2629,
    2625,  2633,  2628,     0,     0,     0,     0,  2645,  1301,  1300,
    1286,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2519,     0,  1312,   377,   376,  1387,  1368,   583,
       0,  1289,   405,  1514,     0,     0,     0,     0,     0,     0,
       0,     0,   798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   194,     0,     0,   429,   428,     0,
       0,     0,  1009,   434,     0,     0,     0,     0,     0,   571,
    2528,  2523,  2533,     0,  2526,  2527,  2811,     0,  2960,  2261,
    2559,  2560,  2958,  2315,  1478,   272,   275,   276,   273,   274,
       0,  1120,  1121,  1123,     0,     0,     0,  1133,   836,   837,
       0,     0,     0,   839,     0,     0,     0,   832,     0,     0,
       0,     0,     0,     0,   838,   829,     0,   828,     0,     0,
    1133,     0,     0,     0,   830,     0,     0,  1290,     0,  2611,
    2612,  2195,  1427,   435,     0,     0,  1514,     0,  1405,  1406,
    1388,  1395,  1407,  1400,  1402,  1401,  1403,  1399,  1404,  2103,
     947,  2117,   947,  2185,   944,   945,   947,   947,   947,  2278,
       0,     0,   919,     0,   930,  2088,   947,  2089,  2869,   952,
     490,   490,   490,     0,   951,   956,   490,     0,  1283,  1321,
    2069,  1527,     0,  2117,  2185,   920,  1282,  2330,  1419,     0,
       0,  1148,  1144,  1146,  1147,  1145,     0,     0,     0,  2294,
    1294,   256,  2809,  2303,  2395,  2330,  2810,   255,   250,   251,
    2804,  2805,  2807,   224,  2808,  2806,  2803,  2107,     0,     0,
     951,     0,  1291,  1292,   905,  1534,  1532,     0,  2051,     0,
       0,  2125,     0,  2138,  2220,   247,  2289,  2295,  2303,  2395,
    2330,  2361,   203,   213,   208,     0,   265,  2303,  2395,  2330,
       0,  1312,     0,  1503,  1632,  2060,     0,     0,  2620,  1285,
    1284,  1389,     0,  1392,     0,  1593,  2274,  1507,  1510,  1394,
    1508,  1499,     0,     0,  2510,  1383,  1531,  1531,     0,  1531,
       0,  1491,  1499,  1494,  1498,     0,     0,     0,     0,  1302,
       0,  2588,  2616,  2595,  2651,  2592,     0,     0,  2641,  2637,
    2634,  2642,  2643,  2636,  2624,  1732,  1733,  1734,  1731,  1744,
    1730,     0,  2569,  1735,  2608,  2575,     0,  2583,  2582,  2886,
    2887,  2698,  2521,  2540,     0,     0,     0,     0,     0,     0,
       0,  2667,  2669,  2671,  2631,  2630,  2626,     0,     0,     0,
       0,  2756,  2757,  2755,     0,  2752,  2754,     0,  2651,     0,
    2820,  2814,  2823,     0,  2070,  2815,  2812,  2811,     0,   846,
       0,  1324,   996,     0,     0,     0,     0,  2064,     0,     0,
       0,     0,     0,  2092,     0,  2194,     0,     0,     0,  1957,
    1968,  1969,  1970,  2129,  2180,  1965,  1966,  1967,  1959,  1960,
    1961,  1962,  1963,  1964,     0,  1118,  1958,     0,  2194,     0,
     173,     0,   151,     0,     0,  2194,     0,     0,     0,     0,
       0,  2194,     0,     0,     0,     0,     0,  2225,     0,   151,
    2194,     0,     0,     0,  1306,     0,     0,     0,  1308,  1311,
    1287,  1371,     0,  2060,     0,     0,   882,   874,     0,   883,
     875,     0,     0,   885,     0,     0,   877,     0,     0,     0,
       0,   886,     0,   876,   878,   888,   879,   884,     0,     0,
       0,     0,   880,     0,     0,  1298,     0,  1421,  1423,  1422,
    1420,   490,     0,     0,     0,     0,     0,     0,   151,  1356,
       0,  2194,   151,     0,     0,   433,   432,   151,   431,   430,
    2129,  2180,     0,  1036,     0,   151,  2194,     0,   196,   655,
     586,     0,     0,   757,  2225,   151,     0,     0,     0,     0,
       0,     0,  1012,     0,     0,     0,   570,   583,     0,  2532,
    2538,     0,  2530,  2699,  2961,  2959,  2654,     0,  1124,   248,
     249,  1122,   834,  2194,     0,   351,     0,     0,  2194,  1343,
    1690,  1719,  1697,  1719,  1719,  1686,  1686,  2164,  1699,  2194,
    1687,  1688,  1726,     0,  1719,  1686,  1691,     0,  1689,  1729,
    1729,  1714,   351,   850,  1671,  1672,  1673,  1674,  1700,  1701,
    1675,  1706,  1707,  1721,  1676,  1743,  2821,  1686,  2822,  2819,
    2818,   835,     0,   833,  2194,     0,  2194,  2096,   187,     0,
     831,  2129,  2180,  2194,     0,     0,  2194,     0,  2194,   179,
    2194,     0,  2194,   351,  2194,   587,     0,     0,  2194,     0,
    2194,   351,  2194,  2225,   181,     0,  2194,   351,   844,     0,
       0,  2891,  2895,     0,  2893,  2888,  2610,  2664,  2663,  2562,
       0,  2972,     0,  1478,  1397,  1412,     0,  1408,  1415,  1411,
    1514,   947,   946,     0,   947,     0,  2981,   947,     0,   947,
       0,  2981,   947,     0,     0,     0,   947,  2090,  2091,     0,
       0,  2980,  2978,  2979,   921,   931,     0,   953,     0,     0,
     960,   959,   958,     0,     0,     0,   961,     0,  1636,  1450,
       0,   928,     0,   926,     0,  1280,  1297,     0,     0,     0,
       0,  1012,  1151,     0,  1149,  1140,  1141,  1293,   254,   252,
       0,     0,     0,     0,     0,     0,  1299,     0,     0,     0,
       0,  2875,  2076,  1971,  2874,     0,  2365,  2366,  2367,  2030,
       0,  2816,  2368,  2369,  2411,  1873,  1860,  1869,  1874,  1861,
    1863,  1870,  2370,  2371,  2372,  2373,  2083,  2374,  2375,  2376,
    2378,  2379,  2380,  1865,  1867,  2381,  2382,     0,  2084,  2384,
    2385,  2245,  2387,  2388,  2390,  2391,  1871,  2393,  2394,  2395,
    2396,  2397,  2398,  2082,     0,  1872,  2399,  2401,  2402,  2403,
    2404,  2405,  2406,  2407,  2408,     0,     0,     0,  2057,     0,
    1840,     0,  1679,  1680,  1702,  1703,  1681,  1708,  1709,  1682,
       0,  2056,  1746,  1922,  1839,  1856,     0,  1845,  1846,     0,
    1838,  1834,  1517,  2052,     0,  1835,  2072,  2031,  2086,  2085,
    2869,  2041,  2075,  2073,  2074,  1517,  2050,     0,     0,     0,
     216,     0,     0,  2745,   267,     0,   268,  2058,  2303,   204,
     246,   218,   245,   219,   217,     0,  2127,   205,     0,     0,
     206,     0,     0,     0,     0,     0,     0,     0,   261,  1288,
       0,  1634,  1633,  2038,     0,  2039,  2061,   855,     0,  1381,
    1382,  1380,     0,  1377,  1379,  1391,  1388,  2046,  2045,  2047,
       0,  1509,     0,     0,     0,  1489,  1488,  1394,  1529,  1530,
       0,     0,     0,     0,     0,     0,     0,     0,  1583,  1545,
    1546,  1548,  1580,  1584,  1592,     0,  1495,     0,     0,  1638,
       0,  1594,  2509,  2651,  2652,     0,  2646,     0,  2645,  2645,
    2639,  2638,  2635,     0,     0,     0,     0,     0,     0,     0,
    2566,   565,  2568,   563,     0,     0,  2542,     0,  2546,  2544,
       0,  2691,  2694,     0,  2692,  2693,  2695,     0,  2700,  2701,
       0,     0,  2882,     0,     0,     0,  2682,  2670,  2677,  2679,
    2681,  2680,  2689,  2685,  2688,  2690,  2632,  2645,  2763,     0,
    2758,  2761,     0,  2753,     0,     0,     0,  2071,     0,     0,
       0,     0,   847,     0,     0,     0,     0,  1332,  1333,  1334,
       0,     0,  1335,  1336,  1324,   258,  1342,  1340,  1323,  1325,
    1338,  1330,     0,     0,     0,     0,     0,     0,     0,  1348,
       0,     0,   185,   186,   599,   583,     0,  2194,     0,     0,
       0,     0,     0,  1076,  1083,     0,     0,     0,     0,     0,
       0,     0,     0,  1077,  1075,  1078,   260,  1087,  1104,  1107,
       0,   986,     0,     0,     0,     0,     0,  1203,     0,     0,
       0,  1203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   281,   293,   346,     0,     0,
    2194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   149,   150,   155,     0,     0,     0,     0,     0,
       0,   550,   562,     0,     0,     0,     0,     0,   559,     0,
     151,   285,   543,   547,     0,     0,     0,   664,   663,  1346,
    1345,     0,     0,     0,  1203,     0,   277,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   369,   370,     0,     0,     0,   155,   178,     0,
       0,     0,   287,     0,  2576,     0,  1307,  1304,  1305,     0,
    1310,     0,  1367,     0,     0,     0,     0,     0,   890,     0,
     887,     0,     0,   881,  2129,  2180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   408,     0,     0,   754,
       0,     0,     0,     0,     0,   765,     0,  1324,  1355,     0,
       0,     0,   592,     0,  2194,     0,   153,   799,     0,   755,
     434,     0,     0,   153,     0,     0,   190,     0,   659,     0,
       0,     0,     0,     0,     0,   703,   702,     0,     0,     0,
     756,     0,   153,     0,  2194,   546,  2194,     0,   490,   490,
       0,     0,  1011,  1014,     0,     0,     0,     0,  2536,  2531,
    2534,     0,  2524,  2538,  1481,  1483,  1482,     0,  1480,     0,
     351,   349,   350,   752,  1132,     0,     0,  1718,  1705,  1713,
    1712,     0,  1695,  1694,  1693,     0,  1692,     0,  1719,  1719,
    1717,  1696,  1671,     0,     0,     0,  1725,     0,  1723,     0,
     824,  1667,  1663,     0,     0,  1711,  1732,  1731,  1730,     0,
    1677,  1686,  1683,     0,     0,   351,     0,     0,  2194,   351,
    2194,     0,  2194,     0,     0,   351,   351,     0,     0,     0,
       0,     0,     0,   660,     0,   843,   841,   840,   842,     0,
       0,     0,     0,   822,     0,     0,     0,  2194,   351,     0,
       0,   821,  2889,     0,     0,  2892,     0,  2613,  1981,     0,
    2975,  1424,  2976,     0,     0,  1514,     0,   235,   236,   234,
    1413,   237,  1414,  1410,  1396,     0,   939,     0,  2981,  2982,
     924,     0,   934,     0,  2981,   922,     0,   935,   932,   933,
       0,     0,     0,  2977,  2860,  2866,   938,     0,     0,   491,
     493,     0,     0,  2149,  2163,     0,  2186,  2213,  2214,  2295,
    2299,     0,  2325,  2335,     0,   962,   991,   957,   673,     0,
       0,  1460,   929,   927,  1281,  1417,  1988,     0,  1514,     0,
       0,     0,     0,   253,   225,     0,     0,     0,   993,  2294,
    1296,   904,   583,     0,     0,  1843,  1844,  2029,     0,     0,
       0,     0,     0,     0,  1842,  1996,     0,     0,     0,     0,
       0,  1769,     0,     0,     0,  2009,     0,  2015,     0,     0,
    1806,     0,     0,     0,     0,     0,     0,     0,     0,  1770,
    1750,  1751,  2817,  1840,  1981,     0,  1841,  2079,     0,  1743,
    1971,     0,  1968,  1969,  1970,     0,     0,     0,  2044,     0,
    1979,     0,     0,  1784,  1977,  1786,     0,     0,     0,     0,
    1965,  1966,  1967,  1959,  1960,  1961,  1962,  1963,  1964,  1975,
    1766,     0,  2055,     0,  1924,     0,  1765,     0,     0,  1596,
    1516,     0,  2077,  2032,     0,  2867,  2870,  1836,  1596,  2742,
    2741,  2740,  2739,  2710,     0,  2704,  2705,     0,  2743,  2744,
     269,   270,   266,     0,     0,   221,   220,     0,   243,   244,
     215,   242,     0,   238,   239,   223,  1913,  1912,   222,   214,
     211,   209,   226,   228,   229,   212,   210,   264,   262,     0,
       0,  2037,     0,  2034,  2033,  2067,  2040,     0,     0,   351,
    2645,  1375,     0,  1372,  2049,     0,  1511,     0,  2062,     0,
    1384,  1506,  1505,  1538,  1539,  1029,  1504,  1563,  1564,  1559,
       0,     0,     0,  1589,  1587,  1555,  1549,  1554,  1552,     0,
    1556,  1746,  1582,  1493,  1543,  1544,  1547,  1492,     0,  1585,
       0,  1463,  1583,  1548,  1447,     0,  1429,     0,  1639,     0,
       0,  2653,  2651,  2591,  1671,  2645,  2584,  2645,  2640,  2572,
    1737,  1738,  1739,  1740,  1741,  1742,  2573,     0,  2570,  1736,
    2571,   564,     0,     0,     0,  2539,     0,  2520,  2545,  2676,
    2311,  2708,     0,  2709,     0,     0,  2673,     0,  2683,  2686,
    2684,  2687,     0,  1671,  2863,  2759,  2863,  1671,  1051,  1053,
       0,  1052,     0,  1055,     0,  1064,     0,     0,  1050,  1069,
       0,  1058,  1056,     0,     0,     0,     0,     0,     0,   848,
       0,     0,     0,     0,  1331,     0,     0,  2325,   257,  1334,
    1339,  1326,  1337,     0,     0,     0,     0,     0,   995,   994,
       0,     0,  1016,     0,     0,     0,  1351,   479,     0,   348,
       0,     0,     0,     0,     0,     0,     0,     0,   750,   747,
       0,     0,   746,     0,   597,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   634,     0,  1203,     0,   667,     0,
    1085,     0,     0,  1084,     0,  1088,     0,     0,  1086,  1081,
    1082,  2295,  2303,  2330,   259,  1106,     0,  1105,  1103,  1039,
       0,  1040,     0,     0,     0,     0,     0,  2173,  2194,   295,
     310,     0,  1202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   333,     0,
       0,   336,   335,     0,     0,     0,     0,     0,   340,   319,
       0,   320,     0,     0,   339,     0,     0,     0,     0,     0,
       0,  1203,     0,   289,     0,     0,     0,     0,     0,     0,
    1119,     0,   691,     0,   176,     0,   172,   175,     0,     0,
       0,     0,   549,   561,     0,   553,   554,   551,   555,   556,
       0,     0,     0,     0,     0,     0,   548,     0,     0,   657,
     656,   662,     0,     0,     0,     0,     0,     0,     0,     0,
    1153,  1152,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,   676,     0,   675,     0,
     177,     0,     0,     0,     0,     0,     0,     0,   233,  1303,
    1309,  1370,  2068,  1369,     0,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,   891,   892,   893,
     894,     0,     0,     0,     0,     0,   383,     0,     0,     0,
       0,   778,  2818,   753,     0,     0,   766,     0,   768,   771,
       0,  1322,   452,     0,     0,   589,   634,     0,   437,   183,
       0,     0,     0,     0,   693,   148,   194,   196,   435,     0,
     195,   197,   199,   200,   201,   198,   202,   654,   658,     0,
     585,     0,     0,     0,     0,     0,   704,   708,   707,   711,
     709,     0,   705,     0,     0,  1659,     0,   171,     0,     0,
     541,   545,     0,  2517,     0,   437,   521,   362,  2194,     0,
     490,     0,  2194,     0,  1013,     0,     0,     0,     0,     0,
       0,  2537,     0,     0,     0,     0,  1479,     0,  1110,     0,
    1344,     0,     0,     0,   351,  1716,  1715,  1668,  1664,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,     0,
       0,  1684,  2194,   351,     0,  1108,   188,  2097,     0,   826,
       0,     0,     0,     0,     0,  1112,   818,     0,   351,   180,
       0,   351,   351,   588,     0,     0,   351,   351,   182,     0,
       0,     0,   580,   351,   845,  2890,  2896,  2894,  1426,     0,
    2973,  2974,   490,  1483,  1398,  1409,   936,   943,   925,   942,
     941,   923,   940,   937,  2675,     0,     0,  2865,     0,   954,
       0,   489,     0,     0,     0,   968,   969,     0,     0,   967,
     984,   970,     0,   972,   964,   963,   973,   974,     0,     0,
     993,   671,     0,     0,     0,     0,  1457,     0,  1455,     0,
    1637,  1459,  1448,  1418,     0,  1416,     0,   534,     0,     0,
    1150,     0,     0,   951,     0,     0,   351,  1295,     0,   906,
     907,     0,     0,     0,     0,     0,     0,   913,   910,   911,
     912,   914,     0,   915,     0,     0,     0,  1992,     0,  1993,
       0,     0,  2028,  2024,     0,     0,     0,     0,     0,  2000,
    2001,  2002,  1999,  2003,  1998,     0,     0,  2004,  1997,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2391,     0,
       0,     0,     0,  1809,     0,     0,  1952,     0,  1981,  2014,
       0,     0,     0,     0,     0,     0,  1981,  2020,     0,     0,
       0,     0,  1911,     0,  1908,     0,     0,     0,     0,  2041,
       0,     0,  2080,  1747,  1761,  1762,  1763,  1767,  2054,     0,
    2043,     0,     0,  1748,  1775,     0,  2021,  1802,     0,  1807,
    1790,     0,  1783,     0,  1788,  1792,  1771,     0,  1768,     0,
    2044,  1980,     0,  1978,     0,  1758,  1759,  1760,  1752,  1753,
    1754,  1755,  1756,  1757,  1764,  1956,  1954,  1955,     0,     0,
       0,  1932,     0,     0,  1787,  2188,  2220,     0,  1528,  1528,
    1528,  1515,  1526,  2053,     0,  1654,     0,     0,     0,     0,
    1848,     0,  1985,  1537,  1983,  2070,  2872,  2871,  2042,  1654,
       0,     0,     0,  2059,     0,     0,  1743,     0,   263,  1635,
    2035,  2038,   853,   854,   852,  1671,  1394,  1378,  1374,  1373,
    2048,  1393,     0,  1514,     0,  1027,  1028,     0,  1032,     0,
       0,  1557,  1590,     0,  1581,     0,  1561,  1562,  1553,  1591,
    1461,     0,  1586,  1497,  1496,     0,  1657,     0,     0,  1439,
    1431,     0,  1640,     0,  1596,  1465,  1467,  1468,     0,  2041,
    2589,  2647,  2594,  2615,  2585,  2618,  1745,  2567,  2607,     0,
    2541,  2711,  2712,     0,  2702,  2703,  2672,  2678,  2749,     0,
    2864,     0,     0,  1054,     0,  1686,  1065,     0,  1049,     0,
    1048,  1686,     0,  1066,     0,  1686,     0,     0,     0,  1240,
    1155,  1211,   849,  1241,  1156,  1212,  1242,  1157,  1341,  1329,
    1328,  1327,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,  2194,   351,  1349,
    1243,     0,  1158,   347,  1350,  1213,  1354,   749,   748,     0,
       0,  1214,     0,   598,     0,     0,   603,   604,   605,     0,
       0,     0,   606,     0,  2129,  2180,     0,   611,   618,   623,
     613,     0,     0,   625,   619,     0,     0,     0,     0,     0,
       0,   631,   633,     0,     0,     0,     0,     0,     0,     0,
    1079,  1080,  1244,  1161,     0,  1215,  1038,     0,  1162,   184,
       0,     0,   282,  2194,   297,     0,   640,   729,  1205,   317,
       0,     0,   332,   327,   328,   326,  2194,   351,  2194,   351,
       0,     0,     0,     0,     0,   329,   324,   325,   321,     0,
       0,   334,  2106,  2165,  2304,     0,   644,   646,     0,   651,
     337,  1178,   358,   357,   356,     0,   341,     0,   363,   366,
     338,   315,   318,   316,   312,   294,     0,     0,     0,     0,
       0,     0,     0,     0,  2066,     0,     0,  1114,     0,     0,
       0,     0,     0,     0,     0,   685,   174,  1193,     0,     0,
     160,     0,     0,     0,     0,   154,   164,     0,  1250,  1168,
       0,     0,   286,   544,   552,   557,  1172,   560,  1225,   558,
    1256,  1169,     0,  1203,     0,   278,     0,  1170,     0,  1219,
    1252,  1195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1357,     0,     0,     0,     0,     0,     0,   351,     0,
       0,     0,  1205,  2194,   351,  1251,     0,  1200,  1233,     0,
     371,     0,  1194,     0,     0,   288,  1174,  1227,     0,     0,
     231,   230,   232,     0,     0,  2163,     0,   896,   858,   895,
       0,     0,     0,     0,     0,     0,   866,     0,     0,     0,
     857,     0,   856,   382,     0,   407,   380,   381,   383,     0,
     777,     0,     0,     0,     0,   767,     0,     0,     0,  1347,
       0,   151,   596,     0,     0,     0,   591,   633,   640,     0,
       0,     0,   436,   440,   444,   445,   446,     0,     0,     0,
       0,   165,   152,     0,   807,     0,   490,     0,   689,     0,
     196,   189,     0,     0,     0,   362,   764,   762,   761,   763,
       0,     0,     0,   782,   760,     0,  1658,  1660,     0,     0,
       0,     0,     0,     0,   439,     0,   493,     0,     0,   525,
       0,     0,     0,     0,   362,     0,     0,     0,  1043,     0,
    1061,  1044,     0,     0,     0,     0,  1092,  1099,  1093,  1071,
       0,     0,   568,  2535,  2529,  1484,  1485,     0,   351,     0,
       0,  1685,  1698,   825,     0,  1728,  1727,  1729,  1729,     0,
    1669,     0,  2962,  2970,  2969,     0,  1720,  1721,  1678,     0,
     635,   351,   351,     0,   351,     0,   351,   351,     0,   682,
       0,  1278,   661,     0,     0,   737,   823,     0,     0,   351,
     820,  1982,     0,  2674,  2861,   955,   492,     0,     0,     0,
       0,   966,     0,   566,   971,     0,   983,   978,   980,     0,
     987,   670,     0,     0,  1458,  1451,  1453,  1452,     0,     0,
    1449,  1989,   819,     0,   540,  1142,  1143,     0,     0,   351,
       0,   988,     0,     0,   908,   909,     0,     0,   916,     0,
       0,     0,  1533,  1990,  1991,     0,     0,     0,  2025,     0,
       0,  1886,     0,  1862,  1864,  1876,     0,  1887,  1847,  1888,
    1866,  1868,     0,  1972,     0,     0,  1877,     0,  1811,  1812,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1827,  1826,  1878,
    1951,     0,     0,  2012,  2013,  1879,     0,     0,  2019,     0,
       0,     0,  1884,  1889,     0,     0,     0,     0,  1895,     0,
    1916,     0,     0,     0,  1837,  1982,     0,     0,     0,     0,
       0,     0,     0,     0,  1808,  1791,  1785,     0,  1789,  1793,
       0,     0,     0,  1779,     0,     0,  1777,  1803,  1773,     0,
       0,  1804,     0,     0,     0,  1855,     0,     0,  1528,  1528,
    1528,  1528,  1525,     0,     0,     0,     0,  2292,     0,  1618,
    1595,  1597,  1605,  1618,  1623,  1857,  1652,  1858,     0,  2060,
       0,  1566,  1537,  1537,  1537,  1854,     0,     0,     0,     0,
    1536,  1566,  2724,  2726,  2727,  2728,  2729,  2730,  2732,  2733,
    2735,  2736,  2737,  2725,  2731,  2734,  2738,  2715,  2716,     0,
    2706,  2707,   207,     0,   240,   227,  2037,     0,  2749,  1376,
    2063,     0,  1540,     0,  1973,  1032,     0,  1542,     0,     0,
    1588,  1550,  1462,  1446,     0,  1444,  1433,     0,  1434,  2041,
       0,  1444,  1430,  1473,     0,     0,  1657,     0,  1472,     0,
    2649,  2577,     0,     0,  2748,  2751,  2762,  2760,  2587,     0,
    1686,  1046,  1047,     0,  1070,     0,  1239,  1154,  1210,   998,
     999,     0,   997,     0,     0,     0,   478,  1015,     0,     0,
       0,   729,     0,     0,   482,     0,  1352,     0,  1257,  1192,
     600,   601,     0,   612,     0,   621,   620,     0,     0,   608,
       0,     0,     0,     0,     0,   607,   627,   572,   628,   630,
       0,     0,   629,   632,   637,  1203,     0,   668,  1180,     0,
    1231,  1073,  1206,     0,  1041,     0,     0,     0,     0,     0,
       0,   452,   311,     0,     0,     0,   299,   309,     0,  1209,
     343,     0,   314,     0,   307,   330,   322,   331,   323,   342,
     344,     0,   648,   649,   647,   643,     0,   650,   652,     0,
     360,     0,     0,     0,  1246,     0,  1203,     0,   290,     0,
    1176,     0,  1229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1247,  1216,     0,  1235,     0,     0,
       0,   690,     0,   687,     0,     0,   157,   156,     0,   163,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   372,   353,     0,
     785,     0,     0,     0,   374,     0,     0,     0,     0,  1245,
    1163,   859,     0,     0,     0,   860,   871,     0,     0,   861,
       0,     0,     0,     0,   873,   385,   386,   151,   384,     0,
       0,   779,     0,  2245,  1959,  1960,   775,   780,   772,   774,
     773,   776,   729,     0,   769,   770,     0,     0,     0,     0,
       0,   464,     0,     0,   458,     0,     0,  1099,   451,   454,
     455,     0,     0,   592,   595,   593,   594,   626,     0,   471,
     517,     0,   167,     0,     0,   168,   166,     0,     0,   362,
     694,   698,   696,   695,   697,   692,     0,   685,     0,   192,
     435,     0,     0,   584,   710,   713,   706,     0,   781,   783,
     758,     0,   640,     0,   546,     0,  1427,   534,     0,   521,
     517,   519,   518,   520,     0,   527,   361,     0,     0,   534,
     527,     0,     0,  1016,  1042,     0,     0,     0,  1089,  1094,
    1090,     0,     0,  1057,     0,  1091,     0,  1072,  1035,  1273,
    1274,  1271,  1272,     0,     0,     0,  2552,  1475,  2561,  1111,
       0,  1704,     0,  1724,  1722,  1665,     0,  2645,     0,     0,
       0,     0,     0,  1670,  1710,   351,  1109,   827,     0,   814,
       0,   816,  1113,   351,   351,   351,   351,   677,     0,   581,
       0,     0,     0,     0,   965,   985,     0,   981,     0,     0,
     948,   990,     0,     0,  1456,  1454,   532,     0,   993,     0,
     949,   992,     0,     0,     0,     0,     0,     0,     0,  1994,
       0,  2027,  2023,     0,  1859,  1995,     0,  2007,  2006,  1952,
       0,     0,  1810,  1822,  1823,  1824,  2008,     0,  1832,     0,
       0,  1819,  1820,  1821,  1813,  1814,  1815,  1816,  1817,  1818,
    1825,  2017,  2016,  2010,  2011,     0,  1881,  1882,  1883,  2018,
    1890,     0,  2120,  1917,  1894,  1910,  1909,     0,     0,     0,
    1897,     0,     0,  1906,     0,  1953,  2081,  1749,     0,     0,
    1776,  2022,  1794,     0,     0,     0,  1772,  1972,     0,     0,
       0,     0,     0,  1781,     0,     0,     0,  1935,  1930,  1931,
    1949,     0,     0,     0,     0,     0,     0,  1519,  1518,  1524,
    1618,  1623,     0,  1499,     0,  1605,     0,  1617,  1603,  1616,
       0,     0,  1629,  1627,     0,  1629,     0,  1629,     0,  1599,
       0,  1619,  1601,  1616,     0,  1644,     0,  2061,  1653,     0,
    1579,     0,     0,     0,     0,  1986,  1987,     0,  1984,  1849,
    1579,     0,     0,     0,  2036,  2747,  1512,     0,  1541,  1030,
    1031,  1558,  1551,     0,  1655,     0,  1445,     0,     0,  1436,
    1442,  1428,     0,     0,  1466,  1444,  1469,  2593,     0,  2648,
    2713,  2714,  1067,     0,     0,  1059,  1004,  1005,  1003,  1006,
       0,     0,     0,   729,     0,     0,   498,     0,  1023,  1023,
       0,     0,   484,   530,  1099,   732,     0,     0,     0,   730,
     351,  1159,     0,   622,     0,     0,   617,   615,   614,   616,
       0,   573,  1255,  1160,     0,     0,     0,     0,  1074,     0,
       0,  1179,     0,   296,     0,   449,     0,   304,  1204,     0,
       0,     0,   303,     0,   351,   351,   345,   645,   359,   364,
     365,   368,     0,     0,     0,     0,     0,  1208,     0,     0,
       0,     0,     0,     0,     0,   808,   791,     0,     0,   809,
     810,     0,     0,     0,  1116,  1117,  1115,  1234,     0,     0,
       0,  1166,     0,     0,   681,   161,   158,   159,   162,  1190,
    1173,  1226,     0,     0,     0,  1171,     0,  1220,  1186,  1182,
       0,     0,     0,     0,     0,  1254,  1199,  1224,  1253,  1197,
    1222,  1196,  1221,  1198,  1223,     0,  1191,     0,  1662,   788,
       0,     0,     0,   351,   351,   679,  1175,  1228,     0,     0,
     862,     0,     0,   864,   865,     0,   868,   390,   410,   699,
     751,     0,     0,   728,     0,   456,     0,   462,   466,   467,
     465,   457,  1099,   490,   529,     0,     0,   741,     0,   590,
     437,   468,     0,     0,   441,   170,   169,     0,     0,     0,
     688,   687,   196,     0,     0,   715,   719,   759,     0,  1661,
     674,   362,   542,     0,   437,   534,  2518,     0,   442,   447,
     448,     0,   525,   521,     0,     0,   531,  1320,     0,   535,
     537,     0,     0,     0,  1045,  1062,  1063,     0,     0,  1099,
       0,     0,  1098,     0,     0,   575,     0,  2525,   351,  1666,
    2963,     0,  2964,  2965,  2966,  2967,  2968,   636,   351,   351,
     683,  1279,  1139,   738,     0,   977,   976,   975,   567,     0,
     979,   672,     0,   533,   351,     0,     0,   918,   899,   917,
       0,     0,   898,     0,   897,  2026,  1875,  1885,  2005,  1951,
    1982,     0,     0,  1833,     0,     0,  1880,  2400,     0,     0,
       0,     0,  1914,  1915,  1896,     0,  2236,  1901,     0,     0,
       0,  1800,  1798,  1795,     0,  1796,  1780,     0,     0,  1778,
    1774,     0,  1805,  1921,     0,  1937,  1934,  1948,  1982,  1523,
    1522,  1521,  1520,  1604,  1602,     0,  1607,  1614,     0,  1598,
       0,  1628,  1624,     0,  1625,     0,     0,  1626,     0,     0,
    1600,     0,  1614,     0,  1651,  1537,     0,     0,  1926,  1852,
    1853,  1850,  1537,  2078,  1926,  2717,     0,  2720,  2718,  2719,
    2723,   241,     0,     0,     0,  1432,  1435,     0,     0,     0,
       0,  1474,  1464,  2650,  1060,  1068,     0,     0,     0,   480,
       0,  1099,     0,     0,     0,  1026,  1026,     0,  1099,   529,
     734,   733,   736,   731,   735,  1353,     0,   609,   610,   624,
    1181,     0,  1232,  1188,     0,  1460,   298,     0,   641,   300,
     301,   302,   305,   353,   313,   306,     0,     0,     0,  1177,
       0,  1230,  1184,  1248,  1164,  1217,     0,     0,   797,     0,
       0,     0,     0,  1249,  1165,  1218,  1236,  1237,  1238,     0,
       0,     0,     0,  1460,     0,     0,     0,     0,     0,  1362,
       0,  1207,   352,   787,   786,   353,   373,  1201,     0,   863,
     869,   870,   867,     0,   379,   387,   411,   151,     0,     0,
    1130,  1130,     0,   729,     0,     0,   453,   529,   497,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   680,   191,   437,   640,   714,     0,     0,
       0,   784,     0,   439,     0,  1425,   438,     0,     0,   527,
     525,     0,   522,     0,   526,     0,  1313,     0,     0,     0,
       0,  1095,     0,  1101,     0,  1056,  1033,  1096,     0,  1654,
       0,     0,     0,     0,   579,  2551,  2555,  1131,  2971,   815,
     817,   678,   982,     0,   989,   351,   900,   901,   902,   903,
    1953,  1828,     0,     0,     0,     0,  1891,     0,  1892,  1919,
    1918,  1898,  1902,     0,  1899,  1900,  1797,  1801,  1799,  1782,
    1923,     0,  1537,  1950,  1647,     0,  1650,  1606,     0,     0,
    1608,     0,     0,  1610,  1612,     0,     0,     0,     0,     0,
       0,  2064,     0,  2145,  2376,  2291,     0,  1565,  1567,  1570,
    1572,  1571,  1573,  1569,  1578,     0,  1501,     0,  1500,  2722,
    2721,  1974,  1656,  1443,     0,     0,  1017,     0,     0,  1471,
    1470,   983,     0,   351,  1023,   529,   499,  2245,   500,  1022,
       0,  1024,  1029,  1029,     0,   529,   729,   602,     0,     0,
     283,   639,     0,   355,   367,     0,  1460,     0,     0,     0,
     804,   792,     0,     0,   811,  1167,   684,     0,     0,   279,
    1187,  1183,  1364,  1365,     0,     0,     0,     0,     0,   351,
     872,     0,   413,   420,   391,   396,  1356,     0,  1356,     0,
     393,   397,  1356,   392,  1356,   389,   390,     0,  1130,     0,
    1127,  1126,   727,     0,   488,   460,     0,   508,     0,     0,
     742,     0,     0,   517,   477,   476,   473,   472,   474,   475,
     470,   469,     0,   640,   801,   362,  1320,   653,   716,   717,
     712,     0,     0,     0,   521,   517,   443,   452,   426,   527,
     523,   524,     0,     0,     0,   534,  1366,  1016,     0,  1100,
       0,     0,     0,     0,     0,     0,  1134,   574,     0,     0,
     578,   569,     0,  2553,   640,   950,  1829,     0,  1830,     0,
       0,     0,  1904,  1903,     0,  1940,  1652,     0,     0,  1646,
       0,  1615,  1631,     0,  1611,  1609,     0,  1620,     0,  1622,
    1849,     0,     0,     0,  1574,     0,  1925,  1927,     0,  1851,
    1441,  1654,     0,  1438,     0,  1000,     0,  1001,  1026,   503,
       0,  1025,  1032,  1032,   490,   729,   481,  1189,     0,   642,
       0,   308,     0,   291,  1185,     0,   795,     0,   806,   804,
       0,     0,     0,     0,  1358,     0,  1359,  1360,  1363,   375,
     388,     0,   418,     0,   416,   415,   417,     0,   404,     0,
       0,     0,     0,     0,     0,   378,   409,  1125,  1129,  1128,
       0,     0,   461,   494,   495,   496,     0,   463,   504,   505,
       0,   739,     0,   744,     0,     0,   516,   665,     0,     0,
       0,  1314,     0,     0,  1320,   525,   521,   450,   424,     0,
    1317,     0,   536,     0,   362,  1099,  1102,  1097,  1277,     0,
       0,   577,   576,  2556,  2558,  2557,     0,   669,  1831,  1907,
    1893,  1920,  1905,  1936,     0,     0,     0,  1645,  1648,     0,
    1613,     0,     0,  1621,     0,     0,     0,  1568,     0,     0,
    1440,  1018,     0,     0,  1029,     0,   729,     0,  1020,  1019,
     497,   483,  1460,   354,     0,     0,     0,   802,   805,   793,
     806,   813,   812,   686,  1460,     0,   414,   423,     0,   421,
     394,   399,     0,   403,   401,   400,   395,   398,     0,   487,
       0,     0,     0,   506,     0,   507,   528,     0,   743,     0,
       0,   800,     0,     0,   718,     0,  1315,   527,   525,  1318,
    1319,     0,   527,  1034,  1276,  1275,  1514,     0,     0,  2554,
    2364,     0,  2337,     0,  1938,  1941,  1939,  1933,     0,  1630,
    1643,  1576,     0,  1575,  1928,  1929,  1654,   351,  1032,     0,
     485,   501,   508,   284,  1460,     0,     0,   794,   280,  1361,
     419,     0,   402,   719,   513,     0,   512,     0,   510,   509,
     740,   745,   640,   790,  1320,   722,   427,   527,     0,  1654,
    1259,  1514,  1258,  1260,  1268,  1265,  1267,  1266,  1264,  1137,
    1138,     0,  1945,  1944,  1943,  1947,  1946,  1649,     0,  1641,
    1577,  1437,  1002,  1021,     0,   729,   292,   796,   803,   422,
       0,   511,   515,   514,   666,  1316,     0,   720,   723,   726,
     724,   725,   425,   362,  1007,     0,  1269,  1263,  1499,  1486,
       0,     0,     0,     0,   502,   486,     0,   700,     0,   527,
    1261,  1514,     0,     0,  1942,     0,     0,   721,  1654,  1262,
       0,     0,  1642,     0,  1008,     0,     0,   722,     0,     0,
       0,  1135,  1136,   701
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4782, -4782,  4228, -4782, -1264,   202,  2609,  -684, -4782, -4782,
   -4782,  3335, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3366,
   -4782, -4782,  1784, -2740, -4782, -4782,   -32,  3334, -1707,   -33,
    2905,  1424, -4782, -1510, -4782, -4782,  -917,    26, -4782,  3342,
   -1078, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -1046,
    1928,  1239,  6988, -2835, -4782, -4782, -1808, -3485, -4782,   565,
   -4782, -4782,  1866, -4782, -4782, -4782,  1074,   474,  -552, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782,  -696, -4782, -4782,  -885,
     332,  -100, -2727,  -366, -4782, -4782,   437,  -368, -1862, -4782,
   -3877, -4782,   -25, -4782, -4782, -4782,  -345, -1828,  1334, -4782,
   -1024, -1501,  1664,  -781, -4782,  -232, -4782,  -849,  -695,  -693,
    -794, -4051, -4073, -4507, -4093, -3540,  1355, -4782, -4066,   401,
     421, -4782,   416,   418, -4782,   436, -1154, -1845, -4782, -1132,
   -4782, -4782, -4782, -3276, -4782, -4782, -4782, -4782,   -53, -4782,
   -4782, -4782, -4782,   478, -4782, -4782, -4782, -4782, -4782, -4782,
   -2434,  1846,  1848, -4782, -4782, -3493, -4782, -1230, -4782,   619,
   -3296,  1263, -4782, -4782, -4782,  2603, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -1984, -4782, -4782, -4782, -4782,
   -4782,   462,   -11, -4782, -4782, -4782, -4782, -4782,   464, -4782,
    1862,  1071, -4782, -4782, -4782,  -839,  -931,  -913, -4782, -3313,
   -4782, -4782, -4782, -4782,  -295, -4782, -4782, -4782, -4782, -4782,
   -4782, -1320, -4782,  1122, -3436, -4782, -4782,  1128, -4782, -4782,
   -4782, -4782, -4782,  -782,  -238,  2625, -4782,  -626,  -746, -4782,
   -4782, -4782,  -236, -4782, -4782, -4782, -4782, -4782, -4782, -1447,
   14306, -1384,  -837, -4782, -4782, -4782, -4782, -1731, -4782, -4782,
   -4782, -3949, -4782,  4507,    25,  -795,   470, -4782,  -205,   -87,
    3161, -1504, -2957,   379,  -422, -4782, -2200, -4782, -4782, -4782,
   -2858, -4782, -4782, -4782, -4782, -3811,   473, -4782,  3162, -4782,
   -4081, -4781, -3830, -4315, -4632, -4570, -3812, -4782, -4782, -1464,
   -4782, -4782, -4782, -1852,  2153, -2337, -4782, -2413,   446,  1418,
   -1284, -3078, -4085, -1042, -3545, -4782, -4782, -4007,  -538, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782, -1456,  -914, -4782, -4782,
    3759, -4782, -4031, -4782,  3704, -4782, -4782, -4782, -4782,  2425,
    2431, -4782,  2427, -4782, -4782, -1831,  1193, -4782, -4782, -4782,
   -4782,   112, -4782, -4782, -4782, -4782,  -775,  -878, -4782, -4782,
   -4782,   608, -4782, -4782, -4782, -4782,  1839, -1248, -1039,  3608,
     618, -4523, -4782, -4782,  -911, -4782,  2857, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -2498, -4782, -4782, -4672, -4782,
   -4782, -4782, -4782, -4782,  2282,  2288,   -42,  -237, -4782, -4782,
   -1631, -4782,  -856, -4782,  2518, -4782, -4782, -4782, -4782, -2100,
     695,   499,   -69, -4782, -4782, -4782,   252, -4782, -4782, -3714,
     -66, -4782, -4782, -4782, -4782, -4685, -4782,   -63,  -681,   797,
   -4782, -4782, -3092, -4782,   740,   -77,  3230,  1781,   -23,  1791,
    -245,  -234,  -224,   -75,   -55,  2994, -4782,  3052, -4782,  -200,
    1705, -4782, -4782, -1161,  -364, -4782,  1534,  -950,  2267,  2979,
    2983, -4782,  1530, -4782, -4782,  1536, -4782,   866,  -654,  -523,
   -4782, -4782, -4782, -4782,   294,  -932,  2294, -4782,  2996, -4782,
   -4782, -4782, -2204,  1542, -3644,   910, -3695, -3648,   349,   335,
   -1213,  -304,  -119, -1074,  3007, -4782, -4782,   919,  -480, -4782,
   -4782,  -477, -3123,   850, -4782, -4605, -2628,  7286, -1973, -1404,
   -4782, -4782, -1326, 23562, -4782, -4782, -4782, 24984, 25192, -4782,
   -4782, 26275, 26637, -4782, -1205,  1126, 27308, 23513, -1344, -1343,
   -1620, 24608, -2548,   863, -3079, -4782, -3870, -2958, -4782, -4782,
   -4782,  -264,   985,   240, -4782, -4782, -4782, -4782,   -43, -4782,
    -611, -4782,  -609, -4782, -4782, -4782,  -597, -4219,  2437, -4782,
   -4782, -4782,  -879, -4782, 27612,  1596, -4782, -1199, -3009, -3035,
   -3638, -2175, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -3342,
   -3572,  -574,  1672, -4782, -4782,  1763, -4782, -4782, -4782, -1686,
    1615, -1185, -2915,  1677, -2330, -4782, -1158, -4782, -1069,  2440,
   -1099,  3997, -1712, 20064,  -109, -2619, -1651, -1951, -4782,  3352,
   -4782,  3404,  -128,  -741,  3119,  -967,  -946,  6816,  4900,  6541,
   -3421, -4782, -4782,   752, -4782, -4782, -4782,  4158,  1166, -4782,
    3423, -4782,  1932,  2712, -4782, -4782,  2311,  -971,    70, -4782,
    -575, -4782,  -111, -4782, -4782, -4782,   195, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782, -4782, -4782,  3037, -4782, -4782, -1591,
   -4782, -4782, -4782, -4782, -4782,  4436,  -382, -4782,  3836,  -372,
   -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782, -4782,  3055,
    2339, -4782,  3611, -4782, -4782, -4782,     7,  3265, -4782, -4782,
   -4782, -1305,  -623,  3676,  3688,  2308, -4782, -4782, -4782, -4782,
   -4782, -4782, -4782, -4782,  2317, -4782, -4782,  1644, -2301,  2318,
   -4782, -4782,   890, -4782, -4782,   376, -4782,   896, -4782,  3171,
   -4782, -4782, -4782,   932, -4782, -4782, -4782,  -584, 16945,   -44,
     -96,   -93,  1725, -4782, 10276,  6524,   -70,  3067,   -47, 13494,
   22898,   506, -4782,  4426,  2319,  1881, -1073, -4782,  5221,  2611,
   21408, -4782, -1066,     5,  2422, -4782,    -2,  -679, -1288,  3359,
    -756, -2129, -4782,  4857, -4782, -3343, -4782, -1113,  3843, -1341
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1954,  2829,  2716,  3591,  3592,   252,
     253,  1950,   254,   255,   256,   257,   258,   259,   260,  1885,
     261,   262,  1377,  2076,  2840,   263,  2568,  1123,  1124,  1125,
    2421,  2422,  2779,  2423,  2410,  1711,  2221,  1906,  1088,  1089,
    1866,  1907,   265,   266,  1705,  2402,   267,   268,   269,  1935,
    1936,  1879,  2123,  4638,  5311,  3426,  2694,  3631,  3427,  3428,
     270,  2002,  2003,   271,   272,  3558,  3554,  4157,  4964,  4965,
    5185,   914,  2808,  4967,  4968,  5171,  5172,  5335,  5448,  5449,
    2841,  2071,  3625,  4239,  3582,  4707,  3583,  4708,  3584,  4709,
    3569,  4188,  4189,  4190,  3585,  4681,  5210,  3586,  2587,  5352,
    2876,  2251,  2249,  5197,  4515,  4516,  5426,  5357,  5358,  5359,
    5528,  4683,  3629,  4245,  4716,  4980,  3316,  2097,  3734,  1018,
    2879,   946,  1019,  2842,   277,  2870,  2871,  1973,  2724,  4166,
    3714,   278,  1397,  4006,  5034,  5250,  5251,   279,   901,   280,
    2080,   281,   282,  2825,  3576,   283,  2604,  3333,   284,   285,
    3361,  3362,  3363,   286,   287,  4031,  4907,  1937,  3415,  3416,
    3417,  3418,  4057,   288,  2078,  1978,  2849,   289,   290,   291,
     292,   293,  3003,  3004,   294,  2767,   295,   296,   297,   298,
     299,  4093,  4604,  4217,  3455,  3598,  4215,   300,  2843,  2088,
    2861,  2862,  4696,  4998,  5220,  5000,  5576,  5577,  4973,  3984,
    4529,   302,   303,  4676,  4677,  5364,   304,  2602,   305,   306,
     307,  2055,  2817,  2818,  4167,  2049,  2810,  2811,  4227,  4228,
     308,  3511,   309,  4585,  4586,   947,  5369,  5318,  5439,   310,
     311,  4589,  4590,   312,   313,   314,   315,   316,  1006,  1497,
    1498,  1852,  1442,   317,  2439,   318,  1344,  3538,   319,  1589,
    3045,  4768,   320,  1042,  1522,  1523,  2844,   322,  1053,  3023,
    1055,  2264,  3716,  3717,  4320,  2989,  1250,   323,   324,  3000,
    3026,   325,  1872,  2578,  2579,  4510,  2845,   948,  2103,  2883,
    3311,  5115,  5116,  4885,  5132,  3218,  3927,   327,   949,  1911,
    2650,  2886,  3639,  2545,  2546,  2547,  4262,  2548,  3641,  2549,
    1846,  2550,  3647,  3648,  3649,  4258,  4265,  4268,  5023,  5024,
     328,  1909,  2648,   329,   330,   331,  1945,  1274,   332,   971,
     972,   333,  5190,   334,  1417,   335,  5032,   336,   337,  1077,
    1078,  1573,  1574,   338,   339,  2664,  4038,   340,   341,   342,
    4086,  4087,   343,   344,  5542,  5585,  5586,  5587,  4273,  5486,
     345,  5544,  1565,   347,   348,   349,   904,  1308,  1309,  1310,
    2846,  5016,   351,   352,  1867,  1868,  1869,  1870,  2573,   353,
     354,   355,   356,   357,   358,  2059,   359,   360,  5164,   361,
     362,  2022,   363,  1742,  1743,   364,   365,   908,  1143,  1746,
    1754,   366,  1021,  1516,  1517,  1518,  2223,   367,  1569,  1346,
    1022,  1511,  1023,  2485,  3239,  3937,  3938,  3941,  4869,  4486,
    1024,  3236,   371,  2271,  3009,  3012,  3232,  1025,  3244,  3245,
    3246,  3247,  3248,  3944,  1026,  1044,  1407,  2895,  1027,  1660,
     376,   377,   378,  1153,  1147,  1148,   380,  2379,  3171,  1062,
    1760,  1107,  1108,  1160,  3890,  2453,  2454,  2476,  2477,  1769,
    1770,  2466,  2468,  3220,  2469,  3228,  2459,  4460,  5097,  5098,
    5099,  5100,  5101,  5102,  4848,  2472,  2473,  1772,  1773,  1774,
    2481,   381,  3175,  3870,  3871,  3872,  4437,  4438,  4452,  4448,
    4832,  5083,  3873,  1559,  1780,  4840,  5559,  3874,  5074,  5075,
    5269,  4455,  3881,  3935,  3615,  3616,  3617,  2551,  2152,  1444,
    1661,  1445,  2162,  1662,  2136,  1447,  1663,  1664,  1665,  1450,
    1666,  1667,  1668,  1453,  2128,  2155,  1669,  1670,  2146,  1192,
    1193,  2208,  3082,  1672,  1673,  1674,  3876,  1675,  4393,  4799,
    4788,  3103,  3104,  2418,  4389,  3816,  2374,  3161,  5106,  5286,
    5287,  3855,  4418,  4815,  5072,  5406,  5494,  5495,  1676,  1677,
    1678,  3158,  2369,  1276,  1679,  4169,  2371,  3097,  3183,  3184,
    2277,  2296,  3050,  3065,  3066,  3077,  3775,  3085,  3090,  3803,
    3804,  3098,  3127,  1680,  3052,  3053,  3759,  2298,  1681,  1735,
    2432,  1736,  2387,  3122,  1749,  1750,  1145,  1695,  1682,  1683,
    2265,  1134,  5079,   753,   736,  3443,  2434,  1312,  1059,  1684,
    1685,  1686,  1801,   696,  1467,  1468,   698,   737,   738,  1230,
     850,     2,    75,  1028,  3623,   385,   386,   951,   952,   953,
    1399,  1400,  2109,  2112,  1806,  2517,   702,   703,   754,  4737,
    5035,  5253,  1012,   387,   388,   389,   390,  1802,  2513,  1194,
      76,    84,    77,  1195,   427,   428,  2495,   391,   867,   392,
    1783,  1174,  3950,   393,   394,   395,   396,   397,  1009,   398,
    1176,   399,  1177,   400,   401,   402,   403,  1184,   404,  1785,
    1786,  4499,  1787,   405,   406,   740,   741,  1509,   407,   408,
    1211,  1212,  1541,  1542,  1812,  1827,  1828,  1829,   409,   710,
     410,   411,   412,  1818,  1819,   413,  2395,  2396,  2522,  2397,
     414,  3261,  3262,   415,  3907,  3908,  4858,  3909,   416,  2391,
     417,   418,  1137,  3955,   419,   863,   420,  1225,   742,   743,
     744,  1232,   853,  1093,   755,  1234,  3419,   855,   856,   746,
     747,   748,  2243,    78,  3269,  2244,  1688,   756,  1689,  2385,
    1690,  1691,  1692,  1693,  1694,  1835,   750,  1201,  1501,  1502,
    3270,  1504,    82,  1505,   424,  3675,  2211,  1543,  2229,  2230
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  2165,  1775,   379,  1152,  1099,  1275,    79,  2220,   369,
    1781,  1171,   370,  1161,  1706,   372,  1372,  1728,  2175,   752,
     851,  1172,  2169,   852,  1409,  1479,  1550,  1551,  1552,   758,
    1136,   422,  1556,  2142,   421,  2007,  1494,   422,  1046,  1696,
     421,  2447,   962,   950,  3181,  2586,   854,  2248,  1847,   945,
    2436,  1275,  2069,  1408,  2659,   374,  2990,  1977,  2651,  1800,
    1046,  2020,  1737,  2090,   906,   851,  3891,  3739,   852,  2050,
    2781,  1519,   421,  2161,  4032,  1474,   423,  2957,  1209,   964,
    2287,  1720,   423,  1054,  4012,  4197,  3445,   707,  2660,   379,
    2671,   854,  1068,  3190,  2057,  3875,  2148,  3601,  2062,  2132,
    2133,  3581,  4267,  2066,   264,  1133,  1005,  2866,  4518,  2141,
    1275,  2073,  2160,  4478,   423,  3210,  4052,   421,  4054,  3049,
    4223,  2092,  1020,  1100,  2688,  1938,  2450,  2736,  1155,  3508,
    2120,  4175,  1972,  3278,  3280,  1213,   851,  1830,   902,   852,
    1252,  4170,  3720,  3884,  1832,  1163,  4170,  1281,  4517,  4250,
     956,  3943,  2884,  2746,  4555,  1164,  3875,  4720,  1298,   423,
    1514,  2436,   854,  4512,   739,  1491,  4712,  3882,  3883,  2908,
    1409,  4706,  4723,  2502,  2504,  2505,  1087,  4729,  3015,  4451,
    4674,  2750,  2751,  4719,  3189,  1122,  1130,  1367,   421,  4713,
    2235,  1043,  1375,  1150,  3824,  2644,  3959,  2496,  2496,  1713,
    2559,   739,  4405,  1385,  4886,  5009,  2210,  1096,  1908,  3277,
    1768,  2949,  3594,  1043,  2205,  1096,  3877,  1096,  2129,  2130,
    5140,  2008,   954,   961,  4434,  4449,  1204,  4491,  1771,  2140,
     423,  4373,   961,  2393,  1808,  1809,  5088,  1528,  5090,  5238,
    1971,  1533,  1534,  1535,  2089,  3954,  1986,  3781,  1821,   430,
     912,  1546,  1503,  4884,  5133,  2012,  2121,  2153,  5159, -2071,
   -2071, -2071, -2071,    45,  2241,   430, -2071,  2762,  2121,  2757,
    2341,   430,  2662,   961,  2121,  5166,  5167,  3877,  1403,   426,
      43,  1226,  5317,  1567,  2269,    45,  2132,  2133,  5204,  2662,
   -2821, -2821, -2821, -2821,   129,   130,  2148, -2821,  2744,  2347,
    2437,   430,  1882,  4256,  2141, -2821, -2821,  1821,  2121,  2580,
     379,  2209,  3684,  1585,  3686,    45,   369,  4867,  3781,   370,
     903,   430,   372,  2662,  2592,  1248,  2341,  2046,  4286,  2349,
   -1714, -1714, -1714, -1714,  3948,  3120,  5205, -1714, -1957,  3530,
      37,    38,    39,    40,  5206, -1957,   422,    44,  3556,   421,
   -2822, -2822, -2822, -2822,  5282,  2347,  3155, -2822,  3025,  4241,
     910,  5248,   374,  3156,   430, -2822, -2822,    37,    38,    39,
      40,  3757,  5207,    43,    44,  1591,  1822,  1214,    45,  3120,
    4893,   422,  1105,  2582,   421,  2349,  2222,  4772, -1976,  4774,
    3302,   423,  5348,  -846, -1714, -1976,  2129,  2130,  2212,  1539,
    3450,  2583, -2819, -2819, -2819, -2819,  2662,  1883,  3737, -2819,
     273,   264,  3342,  4203,  3728,  2036,  2863, -2819, -2819,  2053,
    3400,  2140,  1739,  3724,  1740,  2400,   423, -2818, -2818, -2818,
   -2818,  1699,  1697,  4348, -2818,  2121,  3174, -2414, -2414, -2414,
   -2414,  4479, -2818, -2818, -2414,   430,  5404,  5208,  1952,   868,
    1275,  1710, -2414, -2414,  1733,  2999,  2662,     3,  1734,    45,
    2335,  5313,  4374, -1719, -1719, -1719, -1719,  2307,  3303,  1953,
   -1719,  3572,  2020,  5405,  3327,  2336,  3401,   430,  1106,   274,
      37,    38,    39,    40,  5278,  1228,    43,    44,  3729,  3005,
    2401,    45,   869,  2167,   275,  1172,   276,  1141,  1698,  1200,
    4480, -2234,  2383,  5229,    37,    38,    39,    40,  2176,  1851,
    4868,    44, -1719, -1719, -1719, -1719,  2122,  4889,  4191, -1719,
    5249,  3252, -1729, -1729, -1729, -1729,  3451, -1719,  2122, -1729,
    2438,  3778,  3779,  5349,  2122,  2584,  3798, -1729, -1729, -1729,
   -1729,  2985,   301,  1363, -1729,  2991,  2377,  2993,   321,  1409,
    2996,   326,   950,  2687, -1686, -1686, -1686, -1686,  1873,  2270,
    3268, -1686,  5302,  5303,  3272,  3557,  4204,  2789,  2122,  2380,
    1462,  5030,  1409,  3828,  3829,  3573,  3365,  1568,  2198,  2864,
    2793,  1944,  2380,  2029,  1811,  1814,  2411,  2266,  1249,  3340,
     868,  2424,  2424,  2745, -1699, -1699, -1699, -1699,  1207,  1208,
    2672, -1699,  2763,  2279, -1726, -1726, -1726, -1726,  3781,  3006,
    1555, -1726,  2427,  2428,    37,    38,    39,    40,  2288,  2593,
    5209,    44,   858,  1198,  1215,  3725,  4570,  3440,    37,    38,
      39,    40,  2758,   869,  1733,    44,  4257,  2585,  1734,  5005,
    5010,  4170,  1409,  1843,    37,    38,    39,    40,  2154,  2167,
    2436,    44,  3531,  5445,  1581,   913,  3051,  2149,  3121,   956,
    1823, -1957,  2054,  1874,  2224,  4977,  5424,   858,  4522,  2200,
    4894,  2291,  2270,  1741,  1817,  2167,  2242,  1884,   430,  3157,
    1205,    37,    38,    39,    40,  3796,   346,    43,    44,  1591,
    1822,  3977,    45,  5371,   965,  2122,   350,  2436,  1040,  1041,
    5538,  3188,  3844,  2394,  2732,  1555,  2734,  3219,  2368,  4319,
    4544, -1976,  1733,  2054, -2071,  1095,  1734,   273, -2234,  1823,
    1040,  1799,  5026,  1095,  4689,  1095,  2225,  1071,  1206,  2227,
    2813,   954,  2231,  3945,  2233,  2865,  4451,  2236,   858,  4700,
    2784,  2240,  2915,  3574,  2204, -2821,  2978,  5513,  2741,  4210,
    1040,  1041,  2953,  3793,  3794,  3795,  3796,  3328,  2630,  5518,
    4574,  2365,  2366,  2367,  2368,  1241,  4804,   851,  2638,  1409,
     852,  2780,  1152,   368,  1539,  1292,  4778,  1409,  1409,   961,
     961,  4872,  4823,  1520, -2234, -1714,   274,  3875,  5031,  3875,
    1142,  4192,  3007,  1217,  3384,  3366,  4829, -2234,  2406,  1776,
    4833,   275,  2378,   276,  5498, -2822,  1364,  2986,  1072,  5298,
    1875,  3008,  1358,  1824,  1825,  3237,  2997,  5046,   373,   421,
     422,  5047,  5048,   421,  5049,  2482,  3575,  1200,  2722,  5566,
     384,  2725,  2726,  1463,   708,  2921,  2518,  4211,   379,  3181,
    3181,  3181,  2628,  2483,  1347,  1876,  2030,  1348,  1405,   301,
    1349,  5476,  3341,  4468,  5508,   321,  1343, -2819,   326,  4660,
    4219,   423,  4155,  4156,  3961,   423,  3962,  2647,  5477,  1237,
    3441,  1419,  2714,  2127,  5125,  1877,  1790,  2717,  1237,   707,
    1991,  5135, -2818,  2673,  4659,  4504,   707,  2968,  1213,  2662,
    1350,  3911, -2414,  2971,  2674,  2703,  2675,   707,  4106,  3875,
    2790,  1521,  -412,  1527,  3254,  1532,  3254,  2961,  3877,  3292,
    3877,  1536,  5460,  1512,  1237,  2205,  5228,  4212, -1719,  1163,
    1882,  1992,  2127,  4147,  4148,  2017,   707,  4856,  4013,  1164,
    4008,   707,  2902,  2905,  2906,  1527,  1532,  1513,  1878,  2644,
    5191,   379,   707,  1558,  2143,  4742,  4743,  4744,  4745,  4746,
     966,  1073,  2676,  2570,  1526,  5076,  1531,  1304,  4558,  2143,
    -151,  1406,  3432,  2144,  3453,  2594,  1545, -1719,   707,  -151,
    4982,  5537,  1539,  1237,  -151,  1515,  2500,  2145,  2144,  1460,
     864,  2081,   865,  1237,   707,   868,  1561,  1563,  1074,  1075,
     707,  3356,  2147,   346, -1487,  4033,  3112,  5262,  4518,  4735,
    1460,   707,   967,   350,  2874,  4076,    81,  1158,  2838,  2131,
    4062,  5575,  4518,    79,  2206,   707,  2987,  1558,  2207,  1810,
    3877,  1288,  2082,  4063,  4489,  1883,  2736,  1200,   869,   961,
    2378,  3454,  2710,  3640,  3506,  2857,  2501,   968,   216,   969,
    3946,  3791,  3792,  3793,  3794,  3795,  3796,  1289,  1779,  2135,
    1305,  4177,  4517,    35,  1165,  4213,  1525,  4178,  1530, -1726,
    1156,    41,    42,  3300,  3546,  3356,  3357,  1275,  4179,  2338,
   -1487,   224,  3550,   709,  3552,  2877,  3726,  1076,  1993,  4983,
     368,  1508,  1709,  2381,  2839,   961,  1717,  2018,  1560,  1562,
    1738,  1751,  1306,   421,  3046,  3048,  4180,  2960,  4181,  3195,
    1744,  3055,  4559,  4269,  5293,  1237,  1237,  3069,  3070,  3071,
    4077,   235,  1096,  3921,   707,  2858,  1096,  3087,  3089,  1703,
    4214,  1157,  3099,  1791,   238,   373,   429,  1824,  1825,  2185,
    1888,  5077,  1928,  1189,  1166,   423,  5378,   384,  2142,  1856,
    3357,  4703,  1237,  4013,  1307,   248,  2821,  5054,  2336,  4168,
    4518,  5375,  5365,  3433,  4168,  5385,  5383,  5347,  5524,  3238,
    2874,  2994,  2995,  4938,  4009,  1034, -1487,  1996,  3285,  5382,
    2186,  1540,  1994,  1997,  5376,  4182,  1034,  4670,  4170,  2083,
    1200,  4034,   739,  4270,  4267,  4966,  5080,  1035,  5263,  1158,
    1857,  5084, -1490,  4107,  5086,  5461,  1803,  3888,  1035,  2926,
    4879,  2875,  3422,   707,   707,  3892, -2182,  4035,  3893,  3894,
    2797,  4560,  2939,  1185,  4561,  1833,  5002, -2215,  1540,  3895,
    3896,  3897, -1487,  3898,  3899,  3360,  3507,  2948,  3900,  3901,
    3902,  4263,  3918,  4183,  4353,  4354,  4355,  4356,  4184,  1871,
    4361,  4362,  4363,  4364,  4365,  4366,  4367,  4368,  4369,  4370,
    2988,  2798,  3140,  3423,  5294,  1087,  1981,  4078,  4908,  1722,
    2934,  2156,  1803,  2499,  1178,   866,    35,  1865, -1490,  1813,
    1519,  5551,  1998,  2084,    41,    42,  3711,  4185,  3727,  -638,
    4025,  1158,  1186,  1858,  1179,  5139,  1096,  1096,  1547,  4326,
    4000,  4186,  4079,  2580,  1180,  1275,  4409,  4410,  2502,  3360,
    2904,  3492,  2019,  5478,  2206,  2859,  2594,  3493,  2956,  2687,
    2581,  5296,  1237,  5158,  1159,  1758,  3198,  4671,  2860,  1460,
     757,  4271,  4080,  1237, -1487,  1865,  5484,  2187,  4104,  1539,
    1186,  4001,  2500,  1859,  2588,  1101,  1034,  1167,  4704,  1460,
    3424,  2341,  1187,  2156,  2107,  1188,  4026,  5525, -2550,  5136,
    5377,  4582,  1856,  1460,  1013,  2947,   907,  4995,  1035,  2964,
   -1487,  3875,  2589, -1487, -1490,  3875,  1393,  2582,  1860,   858,
    2347,  3162,   209,  5604,  1014,  3903,  2114, -2235,  5483,  4187,
    3257,  3229,  3141,  1952,  5536,  2583,  4272,  3142,  4621,  5539,
    1187,  1237,  2501,  2157,  4105,  1034,  1181,  5076,  1861,  3075,
    2349,  4871,  2167,  1857,  1953, -2182,  3494,  1015,  2799,  -151,
    -151,  1759,  1186, -2068,  1152,  5257, -2215,  1035,  5526,  1999,
   -1490,  2188,  4518,  3143,   868,  1304,  4468,  1862,  2115,  1863,
    2167,  4327,  4852,  3501,  1275,  1460, -2264,  5195,  5553,  1189,
    2598,  5274,  5527,  2595,  5582,   379,  2226,  4845,  2228,  1548,
    2599,  2232,  4583,  2234,  2000,  2533,  2237,  2238,  2239,  1830,
    3681,  1182,  5421, -2182,  2832,  1172,  1832,   869,  1540,  2246,
    4764,  4461,  1187,   707, -2215,  2157,  1723,  1864,  3687,  2982,
    5144,  3682,  3877,  2272,  2001,  2273,  3877,  1189,  4002,  1189,
    5428,  5429,  3425,   707,  5485,  4170,  1858,    81,    81,  2590,
      81,  3163,  2800,  5217,    79,    79,  5608,    79,  1237,  2443,
    5315,  3904,  4315,  4506,  5320,  5321,   707,  2389,  1305,  2584,
    2390,  2116, -1490,  1803,  2596,  4024,  2451,  2452,  1210,  2456,
    1394,  1183,  3606,  3607,  3608,  3609,  1164,  1164,  2457,  1164,
    3215,  2589,  1724,  1190,  3614,  4622,  2569, -2550,  4584,  3282,
    3144,  3181,   707,  3495,  2114,  1581,  5436,   909, -1490,  3905,
    1306, -1490,  1191,  5353,  1764,  5572,  1460,  3473,   707,  1189,
    5554,   206,  2117,  2833,  3230,  3919, -2235,   859,  1949,  2503,
    4339,  2085,  4003,   707,  1395,  5299,   707,   860,  3496,  1213,
    1396,  2158,  3474,  3972,  2600,  5305,  1057,  1237,   216, -1686,
    3477,  2086,  3479,  4699,  1733, -2550,  2963,  3356,  1734,  3382,
    2159,  4518,  1307,  3658,  4587,  2639,  1928,  4496,  3497,  5437,
    1095,  2585,  3216,  1071,  1095,  1237,  1974,  1409,  2736,  2601,
    2458,   224,  4667,  1766, -2235, -2264,  2727,  1508,   851,    35,
    1862,   852,  1863,    37,    38,    39,    40,    41,    42,  4168,
      44,  2983,  4108,  1237,  1237,  1237,  2118,  1237,  1779,  3906,
    5193,  1975,  1719,  2460,  2435,    37,    38,    39,    40,  2372,
    3231,   235,    44,  2158, -1686,  3472,  1189,  1237,  4556,  4748,
    5354,  4749,  3357,  2984,   238,  4507,  3379,  1554,  1061,   861,
     421,   851,  3001, -2264,  3370,  2341,  5563,  3485,  5011,  2116,
    3346,  2461,  3660,  2640,  1072,   248, -2092,  5573,  2398,  2399,
    -173,  5012,  3358,   707,  4308,  4588,  2414,  4508,  5232,   249,
    5367,   707,   707,  1803,  2347,  3525,  5233,  5312,  1803,  1803,
    5370,  1237,   423,  1304,  3519,  1275,  -173,  3283,  4509,  3284,
    1997,   422,   422,   421,   421,   421,  3875,  3359,  5355,  3059,
    2117,  3875,  2087,  2574,  2349,   851,  3875,  5247,   852,  3875,
    1237,  5397,  1976,  2575,  1237,  1237,  2728,  1555,  4782,  2729,
    4783,   739,   739,  3002,  2363,  2364,  2365,  2366,  2367,  2368,
    2576,  2435,  3371,  3016,  4572,   423,   423,   423,  2384,  3875,
     422,  3502,  2605,   421,  1095,  1095,  2708,  2537,  2341,  2463,
     421,   209,  4141,  3875,  2511,   707,  1034,   421,  5045,  4145,
    4146,   920,  2515,  4149,  3983,  1952,  2795,  1070,  3060,  4242,
    4154,  3503,  4246,  5306,   862,  2606,  1305,  2006,  1035,  2529,
    2531, -1686,  2623,  3402,  2118,   423,  1953,   430,  2607,  1998,
    4267,  3360,   423,  1460,  2167,  4525,  5309,  1073,  3266,   423,
    4573,  1069,  2608,  3914,  2464,  5165,  3634,  2349,  3314,  1096,
    3713,  2709,  1871,  2167,  2743,   216,  1871,  3877,  1306,   375,
    2508,  5013,  3877,  2509,  2796,   739,   927,  3877,  3061,  3504,
    3877,  3062,  3780,  5234,  1074,  1075,  1010,  1764,  4177,  3403,
    3999,  3960,  2609,   927,  3808,  1803,  1104,  3285,   224,  5482,
    1096,  2915,  4784,  2610,  5174,  1803,  5243,  3958,  1460,  3505,
    3877,  3378,  3315,  1144, -1010,  4897,  4898,  2577,  2739,  5121,
    1307,  5123,  4526,  2611,  3877,  3310,  3831, -1499,  2612,    37,
      38,    39,    40,  4180,   929,  3128,    44,  3129,   235, -1499,
    1764,  3875,  1460,  1409, -1499,  1765,  5175,    37,    38,    39,
      40,   929,  4994,  4985,    44,   375,  1766,  1138,   851,  2921,
    3130,   852,  5162,  1386,  3857,  1803,   870,  2510,  1803,  1803,
    4668,  5176,  3652,  5392,  3457,  3063,  1865,  5004,  4527, -1016,
    4528,  1865,  4890,  5163,  2819,   911,   249,  5177, -1499,  1848,
    4441,  5178,  5431,  1131,  1387,  3602,  1767,  2613,  4314,  1007,
    3212,  1723,   707,  4318,  1096,  1409,  3875, -1686, -1499,  1766,
     421,  5179,  3314,  4640,  5180,  1154, -1686,  2900,  2131, -1686,
    1851, -1686,  3889,  1460,  1849,    43,  1388,  5181,  3522,  2614,
      45,  4523,  3465,  4641,  3699,  4669,  1259,  1803,  1460,  5574,
    1151,  4319,  1168,  1260,  1261,  1262,  2812,  4891, -1499,  1767,
    3991,  1102,   423,  1175,  1850,  1871, -1499,  1460,  3205,  3131,
     887,  4442,  3877,   927,  3132,  2424,  3980,  1724,  1172,  3133,
    4975,  1386,  1389,   707,  2460,  4184,  1156,   707,  5143,  3064,
    1581,  3022,   937,  4357,   938,  4358,  3465,    35, -1537,   707,
    2416,  4443,  3611, -1537,  2615,    41,    42,  3612,  5599,   937,
    2616,   938,  1387,  2617,  1460,  5218,  4444,  5182,  2070,  4224,
    3498,   940,  2461,  5510,  4185,  5183,  4445,  1237,  4233,  3181,
    5169,   929,   942,  1460,  3181,  2070,  4986,  3877,  4186,  1237,
    3181,  2417,  2618,  4014,  4221,  1460,  5219,  1157,  3188,  2619,
     379,  2667,  4446,  2668,  5340,  3499,  2620,  1460,  2966,  5341,
    2967,  3010,  5184,  2621,  2969,  3912,  2970, -1537,  4037,  2972,
    1957,  5081,  1237,  2973,   707,   707,  2462,  4553,  5420,  4987,
    1162,  4857,  2143,  3458,  1515,  3500,   375,   707,  2622,   927,
    1389, -1499,  3537,  1987,  4545,  3753,  4168,  1460,  3875,  2959,
    1460,  2144,   707,   707,  5342,  1958,  3134, -1537,  3021,  2669,
    4096,    81,  -435,   379,    81,  1158,  3135,  4359,    79,  1347,
    2463,    79,  1348,  3875,   707,  1349,  4187,  4360,  1988,  4442,
    4447,  1853,  1989,  3842,  2774,  3459,  4557,  4562,  2143,    37,
      38,    39,    40,  5051,  4329,  4575,    44,   929, -2614,  3044,
     858,  1733,  3880,  2553,  1755,  1734,  -539,  2144,  1990,  4443,
     851,  1409,  5595,   852,  1237,  1350,  1854,  2679,  1275,  2775,
    2195,  2145,  3188,  2689,  4835,  2464,  2143,     8, -1536,   937,
    2915,   938,  1715, -1536,  4445,  2835,  3118,  3949,  2554,  3460,
    3754,  2196,  4334,  3945,  3755,  2144,  1855,  1210,  2680,  2054,
    3923,  1237,  1237,  2404,  2867,  2070,  3703,  1237,  1237,  2147,
    5082,  4722,   421,  3068,  1237,  1237,  1237,  4193,  2555,  3877,
    1237,  -435,  1237,  1237,  1237,  1237,  1237,  1237,  4017,  1237,
      35,  1237,  1237,  4283,  4284,  1237,  4969,   121,    41,    42,
    1159,  3221,  4623,  1216,  3877,  3969,  3970, -1536,  3924,  1460,
    1237,  1237,  1237,  1237,   423,   125,  1507,   430,  1237,  4073,
   -2092,  2727,  1237,  4624,   209,  1237,  4970,   858,  1237,  1237,
    1237,  1237,  1237,  1237,  1237,  1237,  1237,  1095,  1237,  4873,
    3304,  5214,  3307,  3461,  5162,  1960,  1237, -1536,  4447,  1237,
    2006,  2662,  1227,  5561,  4074,   937,  1409,   938,  2662,  1242,
    2663,  5022,  4068,   422,  3965,  5163,   421,  2670,  1244,  2131,
    1744,  2560,  3875,  3640,  2690,  2679,  3226,  3227,  1095,  2340,
    4710,   943,  2341,  4650,  4075,  3990,  5584,  1258,  2776,  4653,
    4654,  1257,  4656,  1961,    80,    37,    38,    39,    40,  4176,
    2777,  2691,    44,  1302,  3612,  3833,  2680,  3834,   423,  4503,
    1365,  2347,  1366,  1237,  2131,  3301,  2560, -2823,   422,  5600,
     422,   421,  5601,   421,  2692,  2778,  2693,  3297,  4332,  1952,
    3835,  1733,  3240, -2071,   851,  1734,  5507,   852,  1265,  1266,
    1267,  2349,  1268,  1269,  1270,  1271,  1272,  1273,  4520,  4521,
    1953,  2728,  4767,  3462,  2729,  5614,  5162,  4091,  1294,  2687,
    2435,  3463,  1303,   423,  3464,   423,  4099,  2138,  2139,  1755,
      35,   430, -1487,  4168,  5256,  1962,  3364,  5163,    41,    42,
    1352,   706,  1095,  1355,   707,    45,   421,  1803,  3807,  4525,
    3809,  3810,  1357,  3877,  3212,  4288,  4289,  4290,  4291,  4292,
    1360,  1368,    81,  1369,    81,  4740,  3830,  1833,  1373,    79,
    1460,    79,  -538,  2340,  1460,  1460,  2341,  4290,  4291,  4292,
   -2823, -2823, -2823,  1963,   707,  2294,  1964,   249,   423,   707,
     858,  1381,  5350,   707,  3836,  3105,  2735,  1390,  3108,  3837,
    1392,   707,  4209,  1391,   955,  2347,  4441, -2823,  4350,  1398,
     973,  2348, -2823,  2131,  1401,  1851,  2215,   851,  2216,   707,
     852,   851,  1237,   430,   852,  1966,  4526,  1200,  1412,  4755,
    4756,  4757,  1461,  1237,  3456,  2349,  1416,  1460,  1060,  5239,
    1237,  2281,  4379,  2282,  2441,  4335,  2442,  3429, -2823,  1460,
    4202,  1469,  4205,  4541,  2444,  1470,  2445,  1409,  1475,  1409,
    2471,  2893,   707,  2894,  2921,   970,  1968,  1486,  2131,   421,
    2560,  2689,  1495,   421,  1096,  2492,  2493,  4442,  4322,  2689,
     707,   707,  4527,  2958,  4528,  2959,  4194,  4421,  4196,  1460,
    1008,    35,   430,  2356,  2020,    37,    38,    39,    40,    41,
      42,    43,    44, -1560, -1560,  1970,    45,  4443,  5337,  1510,
    5339,   423,   707,  3924,  5343,   423,  5344,  2979,  3924,  2980,
    4906,  2981,  4444,  2980,  4457,    45,  3838,  1409,    37,    38,
      39,    40,  4445,  1553,   375,    44,  3839,   216,  3013,  1549,
    3014,  2350,  1578,   707,  3466,  1557,  2351,   707,  3211,  1564,
    3212,  4462,  4463,  4464,  1572,    35,  4260,   851,  4446,  1803,
     852,  1218,  1570,    41,    42,   707,  1571,  1803,  3603,  1803,
     224,  2733,  1579,  1219,  1220, -2823,   707,  1580,  3376,  2747,
    3377,  1581,  2354,  3570,  3587,  3447,  3560,  3448,  3561,   707,
    2689,  3565,  1221,  3566,  3627,  1222,  3628,   707,  3466,  5188,
    4328,  2436,  3661,  2689,  2959,  3705,  2408,  2980,  1582,   421,
     235,  1583,  2690,  4288,  4289,  4290,  4291,  4292,  2492,  3250,
    2690,  4293,  3752,   238,  2959,  1587,  3761,  2356,  2959,  3767,
    1584,  2959,  3768,  3188,  2959,  1588,  4447,   375,  1151,  2691,
    1590,  3458,  1237,  1460,   248,  1718,  3769,  2691,  2959,  2340,
    1721,   423,  2341, -1690, -1690, -1690, -1690,  3466,   249,  3858,
   -1690,  3859,  2692,  3466,  2693,  3800,  1152,  2959, -2823,  3813,
    2692,  2959,  2693,  3886,  3887,  2363,  2364,  2365,  2366,  2367,
    2368,  2347,   858,  3818,  3860,  3819,  3861, -2823,  1725,  4055,
    2773,  4056,  1761,  3459,  1763,  3466,  1432,  2687,  1726, -1697,
   -1697, -1697, -1697,  3367,  1732,  2687, -1697, -1056, -1056,  2358,
    1152,  2349,  1727,  1460,  1223,  1745,  1752,   707,  2409, -1688,
   -1688, -1688, -1688,  4657,  1755,  4060, -1688,  4061,  4254,  1237,
    4255,  2690,  1756,  4281,  5022,  2959,  4645,  1753,  4946,  4947,
    1762,  4949,  3588,  4380,  2690,  4381,  2689,  3460,  4959,  1777,
    4960,  4961,  1778,  1224,  4962,  4390,  1782,  4391,  2691,  1784,
    4401,  2689,  2959,  1788,  2689, -1691, -1691, -1691, -1691,  1789,
    1792,  2691, -1691,  4487,  1162,  4488,  4732,  1804,  4492,   707,
    4493,  2692,  1797,  2693,  4502,  1805,  3284,  1237,  4524,  4597,
    2980,  4598,  2340,  1793,  2692,  2341,  2693,  1794,  3863,  3864,
    3865,  4661,  2359,  4662,  1807, -2823, -2823, -2823,  1795,  2363,
    2364,  2365,  2366,  2367,  2368,  1836,  2687, -2823,  1796,  1837,
    4800,  1798, -2823,  1152,  2347,  1839,   707,  1803,  1845,  2687,
   -2823,  4701,  1881,  2980,   851,  2689,  4761,   852,  2270,  1851,
     851,  3461,  1460,   852,   707,  4779,  3442,  2959, -1689, -1689,
   -1689, -1689,   707,  1886,  2349, -1689,  1237,  1910, -2823,  1460,
    3814,  4103,  1237,  4805,  4109,  3014,  3821,  4817,  2340,  2959,
    1460,  2341,  4875,  1912,  3284,  1200,  4881,  1914,  4882,  1237,
    4887,  3589,  2980,  2689,  1237,  1915,   421,  2690,  4888,  5006,
    2980,  5007,   421,  5056,  1944,  5057,   858,  5058,  1947,  2959,
    2347,  1946,  2690,  2356,  1949,  2690, -2823,  1237,  1237,  1237,
    1948,  1951,  1237,   955,  2691,  5066,  5141,  3014,  5142,  3841,
    1237,  1237,  1237,  1237,  3590,  5215,  1956,  2980,   423,  2691,
    2349,  1959,  2691,  1237,   423,  4138,  1237,  2692,  1237,  2693,
    1982,  1040,  1799,  5240,  5258,  5241,  3014,  1983,  2004,  1237,
    1237,  3462,  2692,  1237,  2693,  2692,  5266,  2693,  5267,  3463,
   -2823,  5271,  3464,  3212,   193, -2823,  1995,  1237,   379,  1237,
    2005,  1237,  2687,  2009,  1347,  2689,  2690,  1348,  2014,  5277,
    1349,  4231,  1095,  4546,  2015, -2823,  5279,  2687,  4231,  2016,
    2687,  1237,  5291,  2021,  5292,  4408,  5330,  5366,  5331,  2403,
    2023, -2823,  1237,  2691,  1237,  1237,  1237,  2025,  3083,  4710,
    2028,  2039,  4789,  3924,  4758,  2032,  3101,  4991,  2033,   858,
    1350,  5540,   193,   858,  2690,   707,  2692,  2040,  2693,  1237,
    2043,  5384,  1803,  5292,  2045,  5398, -2823,  3014,   697,  2048,
    2051, -2823,  1237,  5399,  2058,  3819,  2356,  1237,   216,  2061,
    5400,  2691,  2959,  1237,  5410,  2063,  3212,  5170,  5413,  2054,
    4231,  2687,  4834,  1237,  4837,  2074,  4685,  4686,  5435,  5441,
    3014,  3014,  2072,  2075,  2692,  4576,  2693, -2823, -2823,  4690,
    5442,   224,  3014,  -193,  2077,  2363,  2364,  2365,  2366,  2367,
    2368,  5468,  5499,  5469,  3212,  2079,  5500,  5501,  2959,  2959,
    2091,  5503,  1460,  2959,  2093,  1460,   216,  1460,  5520,  2687,
    5521,  5557,  1460,  4231,   707,  2100,  2690,  5549,  5550,  2102,
    2106,   235,  2356,  5560,  5583,  5285,  5292,  5597, -2823,  5598,
     707,   707,   129,   130,   238,  5623,  1237,  5598,   887,   224,
    2119,   375,  2111,  2691,  2124,  2125,   851,   851,   851,   852,
     852,   852,  2126,  2127,  2134,   248,  2131,   707,  2135,   858,
     707,  2137,  1345,  1460,  1847,  2151,  2692,  2167,  2693,   249,
   -1270,  2163,  2164, -1270,  2166,  2174,  2177,  2178,  2179,   235,
    1460,  2180,  2181,  2189,  2191,   851,  2182,  2184,   852,  2190,
    1013,  2192,   238,  2194,  2199,  2213,  5270,  2247,   421,   421,
     421,  2687,  2278,  2283, -2823,  1460,  2293,  5270,  2285,  2286,
    1014,  4088,  2292,   248,  2299,  2300,  2295,  2301,  2302,  2303,
    2375, -2823,  1410,   973,   249,  2305,  2306,  5541,  2363,  2364,
    2365,  2366,  2367,  2368,  2307,  2304,    74,   421,  2308,  2309,
     423,   423,   423,  1015,  2310,  2312,  4864,  2373,  5621,  5622,
    2313,  2314,  2315,  2316,  2317,  2318,  2377,  2319,  2407,  2321,
      80,  2322,  2323,  2324,   707,  2320,  2325,  2326,  2327,  2328,
    2419,  1539,  2440,  2378,  1460,  2429,  1460,   707,  2449,   423,
    2333,  2403,   707,  1765,  1767,  2491,  5328,  2478,  2498,  2489,
    1189,   707,  2340,  2480,  2506,  2341,  2512, -2823,  2514,  2516,
     851,  2525,  2524,   852,  2363,  2364,  2365,  2366,  2367,  2368,
    2527,  2532,  2556,  2557,  2534, -2766,  2536,  2558,  4415,  1566,
    2560,  2561,  2563,  2562,  2347,  2564,  2819,  2565,  2572,  2566,
   -2823,  2591,  2597,  2603,  2625,  2629,  2631,  1460,  2632,  2633,
    2634,  2636,  2637,  2652,  2665,  2654,  2653,  2666,  2683,  2681,
    2677,  2684,   421,  1586,  2349,  2685,   707,  2686,  2687,  2695,
    2696,  2698,  1460,  1700,  2697,  2713,  2699,  1712,  1410,  1714,
    2704,  2705,  2715,  2719,  2723,   950,  4278,  2720,  2730,  2731,
    2737,  1162,  1162,  1928,  1162,  2742,  2759,  2738,  2748,  4162,
    1460,  5411,  2749,  4862,   423,  1460,  2760,  1803,  2761,  2764,
    1045,   707,  1803,   707,  2769,  2786,  2787,   206,  2788,  2794,
    2765,  2772,  4904,  2802,  2803,   707,  2805,   707,  2807,  4411,
    2815,  2814,  1045,  2820,  2806,  2823,  2809,  2824,  1275,   922,
    4237,  2827,  2836,  1558,   216,  1152,   858,  2828,  2856,  2851,
    4249,  2869,   858,  2872,  2873,  2831,  2881,  2885,  1976,  2887,
    2889,  2896,  2901,  1152,  1460,  2907,  2909,   706,   706,  2910,
   -2823,  2916,  1834,  2890,  4277, -2823,  2914,   224,  2931,  2915,
    2918,   707,  1460,  2919,  2928,  4942,  2930,  2932,  2933,  4978,
    2950,  2951,  2975,  2992,  2998,  3011,  3024,  1460,  4423,  4424,
    4425,  4426,  3051,  5334,  3100,  3106,  2341,  3139,  3119,  2976,
    3159, -2823,  3160,  3056,  3192,  3174,  3194,   235,  3222,  3110,
    3125,  1016,  1157,  3137,  5092,  5316,  3202,  3191,  3199,  3223,
     238,  5107,  3197,  3201,  5319,  3203,   707,  3213,  3224,  3214,
    3241,  3235,  3259,  5186,  2393,  3256,  3225,  3258,  3273,  3274,
    1237,   248,  5120,   707,  3286,  3287,  2356,  5324,  3288,  5326,
    3924,   851,  3276,  3305,   852,  1017,  3308,   961,  3310,  3312,
    3313,  3343,  3319,  3324,  3329,   707,  3335,  3330,   707,  3332,
    3339,  3352,  3355,  3351,  3368,  3369,  3374,  4385,  1715,  1719,
    3390,  5113,  1803,  3385,  3391,  1237,  3404,  3409,  1460,  3410,
    3431,  3446,  3436,  3437,  1237,  3449,  3439,  3467,  3510,  3521,
    1237,  3452,  1237,   421,  3532,  1237,  3528,  3533,  3529,  1460,
    1237,  1237,  1237,  1237,  3540,  3534,  1237,  1237,  1237,  1237,
    1237,  1237,  1237,  1237,  1237,  1237,  3541,  3544, -2823,  1237,
    1237,  3551,  3542,  1889,  1460,  3543,  3548,  3555,  3553,  1237,
    3559,  3562,  3567,  1237,  3579,   423,  3593,  1237,  3595,  3604,
    3597,  2340,  3610,  5447,  2341,  1237,  3613,  3618,  1237,  3619,
    1237,  3620,  3621,  3622,  3630,  3632,  1890,  3633,  1460,  1237,
    5453,  5455,  1237,  1237,  3651,  3637,  3636,  1237,  1237,  3655,
    3650,  3654,  3656,  2347,  1237,  3657,  3659,  2509,  5260, -2823,
    3664,  3665,  3662,  3679,  1237,  3666,  1237,  3688,  3690,  3667,
    3694,  3668,  2340,  3677,  3678,  2341,  3693,  3698,  1237,  3697,
    3707,  3708,  3719,  2349,  1237,  1237,  1237,  3212,  3709,  5212,
    2200, -2823,  3710,  3025,  1892,  3712,  3721,  2335,  2363,  2364,
    2365,  2366,  2367,  2368,  2347,  4741,  3722,  3723,  3730,  3738,
   -2823,  5265,  3733,  1555,  3740,  1172,  3744,  1410,   858,   858,
     858,    80,    80,  3745,    80,  3747,  3750,  1893,  3748,  3763,
    3766,  3764,  1237,  3765,  2349, -1949,  3832,  3815,  3849,  3770,
    1410,  3771,  3083,  3083,  2959,  1237,  3854,  3083,  4412,  3773,
    5145,  5522,  3776,  3777,  3930,  3932,  3936,   858,  3940,  3963,
     851,  1460,  1894,   852,  3799,   851,  4605,   851,   852,  5128,
     852,  3880,  3805,  3812,  3926,  3827,  1237,  3971,  3934,  3973,
    3826,  3840,  3850,  3852,  3083,  3083,  2274,  3885,  3947, -2823,
    3853,  3429,  3953,  4571, -2823,  1895,  3974,  3856,  3982,  4811,
    1253,  3987,  3951,  3952,  1275,  2206,   375,  1282,   707,  3985,
    1410,  5447,   421,  5150,  3956,  3957,  4010,   421,  1299,   421,
    3978,  3979,  4011,  4021,  1897,  3994,  4023,  4027,  4028,  4029,
   -2823,  4030,  4041,  4040,  4043,  4049,  4050,  3924,  4051,  4059,
   -2823,  5336,  4069,  4090,  4092, -2823,  4094,   697,  1275,  4095,
    4100,  5567,   697,  4098,   423,  4101,  4125,  4102,  4110,   423,
    1460,   423,   209,   697,  2645,  5403,  1899,  1803,  4112,   375,
    4111,  4113,   858,  1900,  4114,  2356,  4129,  5412,  4117,  4115,
    1901, -2823,  5414,  2337,  5416,  4116,  4118,  4119,  2646,  4120,
    4122,  4121,  2339,  4124,  4131,  4123,  4126,  4133,  4135,  2757,
    1903,  4137,  4144,  4150,  4151,  4153,  2382,  4160,  1904,  4201,
    4173,  4216,  4207,   707,  4200,  4220,   707,  4218,  4222,  4243,
    4247,  4244,  4248,  4230,  4252,  4264,  2356,  4231,  4238,  4251,
    4275,  2153,  4240,  4298,  4311,  4285,  4300,  1410,  4287,  4310,
    2413,  2415,  3126,  4312,  4313,  1410,  1410,  4316,  4321,  4324,
    4325,  4323,  4333,  4336,  4338,  4342,  3802, -2823,  3781,  2294,
   -1948,  3801,  1905,  4403,  4392,  1158,  4459,  4376,  4351,  4482,
    2511,  4416,  4432,  4485,  4490,  4505,  4532,  4404,  1237,  4454,
    4511,  4377,  4534,  4535,  4378,  4384,  4407,  4472,  4547,  4422,
    4548,  4540,  4456,  4550,  4440,  4469,  4549,  4473,  4471,  4474,
    4476,   707,   707,  4498,  4552,  1460,  4563,  4566, -2823,  4578,
    4477,  4554,  4579,  4580,   707,  4581,   707,  4591,  4592,  4594,
    4593,  4599,  4595,  1229,  4717,  4600,  4596,  1409,  4603,   706,
    4612,  4602,  1251,  4613,  4620,  4635,  4637,  4558,  4639,  4642,
     422,  4648,  4649,   421,  4651,  4652,  4655,  4664,  4675,  4694,
   -2823,  4672,  4266,  1460,  1237,  1237,  4680,  2363,  2364,  2365,
    2366,  2367,  2368,  4682,  4688,  2980,  4695,  4714,  1353,  4730,
    4733,  4736,  4697,  4715,  4759,  4698,   375,  4728,  4754,  4727,
    5430,  1593,  4731,  4738,  3781,   423,  4763,  4277,  3782,  3783,
    3784,  4734,  4765,  4776,  4766,  4770,  4739,  4781,  4785,  4771,
    4773, -2823,  4786,  4790,  4791,  4398,  4877,  4792,  2363,  2364,
    2365,  2366,  2367,  2368,  4798,  4831,  4825,   707, -1950,  4828,
    4793,  1803,  4794,   858,   697,   697,  4813,  1414,  4826,  4830,
    4838,  4839,  4843,  1593,  4844,  4846,  3781,  1465,  1237,  4847,
    3782,  3783,  3784,  4863,  4874,  4876,  4878,    35,  4883,  1237,
    4849,  4850,  4870,  4892,  4884,    41,    42,  4909,  4910,  4916,
    4851,  2340,  4917,  4918,  2341,  4929,  4939,  4932,  2342,  2343,
    2344,  4941,  4944,  4950,  4958,  4963,  4971,  4945,  4972,  1237,
    4979,  4984,  4988,  4990,  4989,  2345,  5427,  1409,  2346,  1237,
    1237,  4992,  1460,  2347,  4997,  5008,  1237,  1237,  2740,  2348,
    4999,  1237,  1460,  5017,  5018,  5015,  1237,  5028,  5019,  1237,
    1237,  5033,    74,  5020,  1237,  5042,  5038,  5043,  5052,  5053,
    1237,  1275,  5060,  2349,  5062,  5055,  5063,  5064,  5065,  5071,
    5085,  5078,  4911,  1045,  5105,  1045,  5114,  1045,  1237,  5117,
    5122,  5089,  1237,  1045,  1537,  1538,  5111,  5118,  5138,  5134,
    5168,  5187,  5189,  5147,  1237,  4671,  5137,  5196,   851,  1237,
    5198,   852,  5201,  5222,  4865,  1237,  5203,  1045,  1045,  5223,
    5227,  5152,  5153,  5230,  5157,  3786,  5199,  4859,  5202,  5231,
    5221,  5244,  5225,  1237,  5245,  5242,  5246,  5261,  5264,  5268,
    5273,  5252,  5276,  5310,  5285,  5280,    81,  5308,  5323,  2847,
    5351,  5356,   851,    79,  5281,   852,  3785,  5283,  5360,  5289,
     421,  5361,  1237,  5300,  5363,  5368,  5379,  5373,  5380,  5381,
    5388,  5389,  5390,  5391,  5396,  5402,  5418,  3786,  4088,  2350,
    1460,  5409,  5401,  5419,  2351,  3787,  5415,  5422,  5423,  5434,
    5438,  5425,  5317,  5452,  5458,  5459,  5462,   707,  5464,  5470,
    5472,  5487,   423,  5467,   421,  2352,  2353,  5473,  5479,  5488,
    5480,  1460,   858,  5497,  5481,  5516,  4417,   858,  5509,   858,
    2354,  5511,  5523,  5460,  5461,  1409,  5530,   707,  5531,  5558,
    5535,  5552,  1460,  5571,  5590,  5592,  5596,  3787,  5591,   707,
    5593,  5603,  5602,  5606,  5610,  1045,   423,  1460,  1593,  5615,
    1237,  3781,  2355,  5616,  1803,  3782,  3783,  3784,  5618,  5617,
     707,  5611,  5619,  1170,  1826,  2356,  2770,  1955,  2357,  1913,
    3599,  3915,  4399,  1980,  3435,    80,  4569,  4036,    80,  2426,
    1979,  3520,  4159,  4658,  5345,  5446,  5569,  5224,  4684,  5226,
    1460,  4976,  5211,  3976,  3706,  3083,  3083,  3083,  3083,  5512,
    5126,  3083,  3083,  3083,  3083,  3083,  3083,  3083,  3083,  3083,
    3083,  1045,  1237,  5565,  5465,  5463,  2024,  5529,  3981,  4718,
    4702,  4679,  3577,  1237,  3578,  4567,  4053,  2031,  4383,  4691,
    4993,  2848,  3568,  4226,  5570,  5607,  5620,  5200,  4174,  4161,
    5533,  5151,  2830,  5440,  5517,  1065,  5154,  2358,  4760,  5295,
    3279,  4724,  3964,  5386,  1487,  4132,  3018,  3083,  3083,  3020,
    4936,  5543,  3019,  3788,  3789,  3790,  2267,  3791,  3792,  3793,
    3794,  3795,  3796,  5609,  3207,  2571,  1460,  3067,  1460,  1593,
    1411,  3208,  3781,  2280,  2965,  4705,  3782,  3783,  3784,  1729,
    4866,  5506,  4494,  2214,  3702,  2104,  2446,  2388,  3922,  2475,
    3234,  1593,  2474,  4807,  3781,  3931,  3929,  4470,  3782,  3783,
    3784,  5502,  5417,   707,  4854,  3788,  3789,  3790,  2479,  3791,
    3792,  3793,  3794,  3795,  3796,  4808,  3233,  3933,  4435,  1237,
    4824,  4836,  5275,  1460,  2484,  4431,  5112,  5408,  1237,  5407,
    2359,  5259,  3786,  2360,  2361,  2362,  4495,  2363,  2364,  2365,
    2366,  2367,  2368,  4294,  4386,  1237,  1237,  5504,  5496,  1237,
    5505,  5108,  3164,  3925,  3847,  3758,  3917,  3845,  3173,  1203,
    4276,  5489,  3653,  1237,  2113,  2892,  2497,  3260,  1237,  3642,
    1173,  3251,  2275,  1237,  3196,  3910,  1237,  1237,  2490,  1844,
    3267,  3264,  4500,  3265,  1237,  1237,  1506,  4855,  1889,  4501,
    4475,  1152,  3787,  1196,  2494,  3271,  2977,  3704,  2203,    83,
       0,  5110,     0,     0,     0,     0,  1237,   851,     0,  2392,
     852,     0,  2333,  1152,   707,     0,   707,     0,     0,  1256,
    1237,  1890,     0,  1593,  1815,  1544,  3781,     0,  1286,     0,
    3782,  3783,  3784,  5173,     0,     0,  1816,  1301,     0,     0,
       0,     0,     0,    74,    74,  1311,    74,     0,     0,     0,
       0,  1351,     0,     0,  1460,   707,  2333,     0,     0,   421,
       0,  1803,  1045,  3786,  1237,     0,   697,     0,     0,     0,
       0,     0,     0,  3126,     0,     0,     0,     0,   706,  1892,
       0,     0,     0,     0,     0,  3786,     0,     0,     0,  3851,
       0,     0,     0,     0,  1834,     0,    80,     0,    80,     0,
       0,   423,     0,     0,     0,  3869,     0,  1237,     0,  5216,
       0,     0,  1893,     0,     0,     0,     0,     0,   382,     0,
       0,     0,     0,  3787,   382,     0,     0,     0,     0,   700,
       0,     0,     0,     0,  5235,  1410,     0,     0,     0,     0,
       0,     0,  3643,     0,   375,  3787,     0,  1894,     0,     0,
       0,     0,     0,     0,     0,     0,   382,     0,  1237,     0,
    1460,     0,     0,     0,     0,     0,  3869,     0,     0,  1151,
    3788,  3789,  3790,     0,  3791,  3792,  3793,  3794,  3795,  3796,
    1895,     0,     0,  3083,     0,     0,   851,     0,     0,   852,
    1237,  1460,     0,  1237,     0,  1237,     0,     0,     0,     0,
     858,   382,     0,  1714,     0,     0,     0,     0,     0,  1897,
       0,     0,     0,     0,  1575,     0,     0,  3786,     0,  1237,
       0,     0,     0,  1237,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,     0,  1237,     0,     0,     0,   421,     0,
       0,     0,     0,     0,   858,     0,     0,   209,     0,  1091,
    1707,  1899,     0,     0,     0,     0,  1237,  1091,  1900,  1091,
       0,     0,  1045,  2768,     0,  1901,     0,  1045,  1045,  1731,
       0,     0,   382,  2646,     0,     0,     0,  3787,     0,     0,
     423,     0,     0,     0,     0,  1903,  1460,     0,     0,     0,
    1460,  1460,  1757,  1904,     0,  1237,     0,     0,     0,     0,
       0,  3788,  3789,  3790,     0,  3791,  3792,  3793,  3794,  3795,
    3796,   707,     0,  3645,     0,     0,     0,     0,  1803,     0,
       0,     0,     0,  3788,  3789,  3790,     0,  3791,  3792,  3793,
    3794,  3795,  3796,     0,  2837,     0,     0,     0,  2850,  1237,
    5374,  2507,     0,  1538,     0,     0,     0,  1905,     0,  3539,
    2768,  3646,  4266,     0,     0,     0,     0,  3539,     0,  1237,
       0,  2521,     0,     0,     0,  3539,     0,  3539,  2528,  2530,
       0,     0,     0,     0,     0,   851,     0,     0,   852,  1460,
    1460,     0,     0,     0,     0,     0,     0,     0,     0,  1593,
    5395,     0,  3781,     0,     0,  1941,  3782,  3783,  3784,     0,
    1593,  5173,  1237,  3781,     0,  1237,     0, -2823, -2823, -2823,
       0,     0,     0,  3605,  1237,     0,     0,     0,     0,  1237,
       0,  1237,     0,  1237,     0,     0,  2927,   421,     0,     0,
    1237,     0,     0,   382,  1045,     0,  5589,     0,     0,     0,
       0,     0,     0,  3635,  1045,     0,     0,     0,  1237,     0,
     704,  1410,     0,     0,  2768,  3788,  3789,  3790,     0,  3791,
    3792,  3793,  3794,  3795,  3796,     0,     0,     0,   382,   423,
       0,   707,     0,     0,     0,     0,     0,  3674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2065,     0,     0,  1045,     0,     0,  1045,  1045,     0,
       0,  1237,     0,  1410,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2095,  2098,  2099,  1047,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1237,  1237,     0,     0,     0,     0,     0,  1047,
       0,   379,  1916,  1237,   375,     0,     0,  5545,  1917,     0,
    5546,   707,     0,  5547,   375,     0,     0,     0,     0,     0,
       0,     0,     0,  1237,     0,     0,  1045,     0,     0,   851,
       0,     0,   852, -2823,     0,     0,     0,     0,   375,     0,
    5534,     0,     0,     0,     0,     0,     0,     0,  1918,     0,
       0,     0,     0,  5548,     0,  5579,   379,     0,     0,   858,
       0,  2897,  5545,     0,     0,  5546,     0,     0,  5547,  1237,
       0,     0,     0,     0,     0,  1237,  1237,     0,  1237,     0,
       0,   421,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   851,  3787,     0,   852,     0,  1237,     0,     0,
    1920,     0,     0,     0,  3787,  2891,  2924,  1921,  5548,   707,
    1922,   851,     0,     0,   852,     0,   379,     0,  5579,     0,
       0,     0,  5545,   423,     0,  5546,     0,     0,  5547,  2903,
    5580,     0,     0,     0,     0,  1923,     0,  5579,     0,  2911,
    1707,  2912,     0,     0,   421,     0,     0,     0,  2917,     0,
       0,     0,     0,  2920,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,     0,  1924,     0,  5548,     0,
       0,  1707,     0,     0,     0,     0,     0,     0,     0,     0,
    1237,  1237,     0,     0,     0,     0,   423,     0,     0,     0,
       0,     0,     0,  5580,  1237,     0,     0,    74,  1251,     0,
      74,     0,     0,     0,     0,   423,  1237,  1237,     0,  1410,
       0,     0,  5580,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,   697,  1926,     0,     0,     0,
       0,  2333,     0,     0,  3083,     0,  1927,     0,   858,     0,
       0,     0,     0,  5059,  1928,     0,     0,  4430,     0,  4433,
       0,     0,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3289,     0,     0,     0,     0,
    3293,  3788,  3789,  3790,  3296,  3791,  3792,  3793,  3794,  3795,
    3796,     0, -2823, -2823, -2823,     0,  3791,  3792,  3793,  3794,
    3795,  3796,  1931,  1932,     0,     0,  3057,  3058,     0,     0,
    3320,     0,     0,  3072,  3073,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2430,     0,  1933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2340,     0,  3111,  2341,     0,     0,     0,  2342,  2343,  2344,
       0,     0,     0,  3372,  1410,     0,     0,     0,     0,     0,
       0,     0,     0,   382,  2345,     0,     0,   382,     0,     0,
       0,   697,  2347,     0,     0,  2486,     0,     0,  2348,     0,
       0,   700,     0,     0,     0,     0,     0,     0,   700,     0,
       0,     0,  1934,     0,     0,     0,     0,     0,  2521,   700,
       0,     0,  2349,  3420,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   700,     0,
       0,     0,     0,   700,   697,     0,     0,   858,  3468,     0,
    4058,     0,     0,     0,   700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3480,  2340,     0,     0,
    2341,     0,     0,  1045,  2342,  2343,  2344,  3490,     0,     0,
     700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3515,  2345,     0,  4097,     0,     0,   700,     0,   697,  2347,
    3028,     0,   700,     0,     0,  2348,     0,     0,     0,     0,
       0,     0,     0,   700,     0,     0,     0,     0,  2350,     0,
       0,     0,  2655,  2351,     0,  3083,  1045,   700,     0,  2349,
       0,  2678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4130,  2352,  2353,  1826,  3029,    74,     0,
      74,     0,     0,     0,     0,  2712,     0,     0,     0,  2354,
       0,     0,     0,  2718,     0,  3539,  2721,  3334,     0,     0,
       0,     0,  3539,  3539,  1251,     0,  3539,     0,  3030,     0,
       0,     0,     0,  3539,     0,     0,  4158,  1045,     0,     0,
       0,  2355,     0,     0,  4171,     0,     0,     0,     0,  4171,
    3031,     0,  2756,     0,  2356,  1410,     0,  1410,     0,     0,
       0,  3032,     0,     0,     0,     0,  2771,     0,     0,     0,
       0,     0,     0,     0,  1091,     0,   700,     0,  1091,     0,
    2783,  3033,     0,     0,     0,  2350,  3034,     0,     0,     0,
    2351,     0,     0,     0,     0,  4229,     0,   382,   375,     0,
       0,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,  2353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4259,  1410,  2354,     0,     0,  2834,
    2340,     0,     0,  2341,  3035,     0,  2358,  2342,  2343,  2344,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2868,     0,     0,  3674,  2345,  3036,  1889,  2880,  2355,     0,
       0,   375,  2347,     0,   858,   700,   700,     0,  2348,     0,
       0,  2356,     0,     0,  2357,     0,     0,  3718,     0,     0,
       0,     0,     0,   858,     0,     0,     0,     0,  1045,  1890,
       0,     0,  2349,     0,     0,  3732,  1045,     0,  1045,     0,
       0,     0,     0,  3718,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   887,  1891,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2359,
       0,  3642,  2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,
    2367,  2368,     0,     0,     0,  3037,     0,  1892,  1091,  1091,
    1889,     0,  3038,  2358,     0,     0,     0,     0,  3039,     0,
       0,     0,     0,     0,  2340,     0,     0,  2341,     0,     0,
    2962,  2342,  2343,  2344,     0,     0,     0,     0,     0,     0,
    1893,     0,     0,  1890,     0,     0,     0,     0,  2345,     0,
    3040,  3869,     0,  3041,     0,  3869,  2347,     0,  2350,     0,
       0,     0,  2348,  2351,     0,     0,     0,     0,  4396,     0,
    1047,  3042,  1047,     0,  1047,  1894,     0,  1707,  1707,     0,
    1047,     0,     0,     0,  2352,  2353,  2349,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3043,  3017,   375,  2354,
       0,  1892,     0,     0,  1047,  1047,  2359,     0,  1895,  2360,
    2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,     0,
       0,     0,     0,     0,     0,  3772,     0,     0,     0,     0,
       0,  2355,     0,     0,  1893,     0,  1896,  1897,  3669,  3672,
       0,     0,     0,     0,  2356,     0,     0,  2357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3643,     0,     0,     0,     0,  1894,
       0,  1898,     0,     0,     0,   209,     0,     0,     0,  1899,
       0,  1916,     0,     0,     0,     0,  1900,  1917,     0,     0,
       0,     0,  2350,  1901,  3172,   700,     0,  2351,     0,     0,
    3742,  1902,  1895,     0,     0,     0,  3746,     0,     0,     0,
       0,     0,     0,  1903,     0,   700,  1045,     0,  2352,  2353,
    3193,  1904,     0,     0,     0,  3966,  2358,  1918,     0,     0,
       0,  1897,  1047,  2354,     0,     0,     0,     0,   700,     0,
       0,     0,     0,     0,     0,     0,   704,   704,     0,     0,
       0,  1831,     0,     0,     0,     0,     0,     0,  3206,     0,
    3209,     0,     0,     0,     0,  2355,     0,     0,  3988,   209,
       0,     0,     0,  3644,   700,  1905,  1919,     0,  2356,  1920,
    1900,  2357,     0,     0,     0,     0,  1921,  1901,     0,  1922,
     700,     0,     0,     0,     0,  2646,     0,  1707,  1047,     0,
       0,     0,     0,     0,  4171,   700,     0,  1903,   700,     0,
       0,     0,     0,     0,  1923,  1904,     0,     0,     0,  2359,
       0,     0,  2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,
    2367,  2368,     0,     0,     0,  3645,     0,  4606,  3822,     0,
    4607,     0,  4608,     0,  2340,  1924,  3878,  2341,     0,     0,
       0,  2342,  2343,  2344,     0,     0,     0,     0,     0,     0,
    2358,     0,     0,     0,     0,     0,     0,     0,  2345,  1905,
       0,     0,     0,  3646,     0,  4064,  2347,     0,  3642,     0,
       0,     0,  2348,     0,     0,     0,  3539,     0,  4084,     0,
       0,     0,  3539,  3539,     0,  3539,     0,  1889,     0,     0,
       0,  4158,     0,  1925,     0,  1926,  2349,  3878,     0,     0,
       0,     0,     0,     0,     0,  1927,  2521,     0,     0,  3913,
       0,  1045,     0,  1928,     0,     0,     0,     0,     0,     0,
    1890,     0,     0,  1929,     0,   700,     0,     0,     0,   383,
       0,  3869,     0,   700,   700,   383,  3869,     0,     0,  3869,
     701,     0,     0,  2359,   382,     0,  2360,  2361,  2362,     0,
    2363,  2364,  2365,  2366,  2367,  2368,     0,  4139,  1930,     0,
    3109,  1931,  1932,     0,     0,     0,     0,   383,     0,     0,
       0,  5119,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,  4721,     0,     0,     0,  3411,  1933,     0,
       0,     0,     0,     0,     0,     0,     0,   382,   382,   382,
       0,     0,  2350,     0,     0,     0,  3438,  2351,     0,     0,
       0,  1893,   383,     0,     0,     0,     0,   700,     0,     0,
    3674,  3674,  3674,  3674,  3674,     0,     0,     0,  2352,  2353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3643,     0,  2354,     0,     0,  1894,   382,     0,  1047,
       0,  1934,     0,     0,   382,     0,     0,     0,     0,     0,
       0,   382,     0,     0,     0,  4769,     0,     0,  4769,     0,
    4769,  1091,     0,     0,     0,  2355,     0,     0,     0,  1895,
       0,     0,     0,   383,     0,     0,     0,     0,  2356,     0,
       0,  2357,     0,   375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1897,     0,
       0,     0,  1091,     0,     0,     0,     0,     0,   375,     0,
       0,     0,     0,     0,     0,     0,     0,  2768,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3596,     0,     0,     0,  4317,     0,   209,     0,     0,     0,
    1899,     0,     0,     0,     0,     0,     0,  1900,     0,     0,
       0,     0,     0,     0,  1901,     0,     0,     0,     0,  4331,
    2358,  2340,  2646,     0,  2341,     0,     0,     0,  2342,  2343,
    2344,     0,     0,     0,  1903,     0,  3869,     0,     0,     0,
       0,     0,  1904,     0,     0,  2345,     0,  2333,     0,     0,
       0,  4853,     0,  2347,  4860,  4861,     0,     0,     0,  2348,
       0,     0,  3645,     0,   700,   699,  1091,     0,     0,  2333,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      80,     0,     0,  2349,     0,     0,     0,     0,     0,     0,
       0,     0,   849,     0,   383,     0,  1905,     0,     0,  1047,
    3646,     0,     0,     0,  1047,  1047,     0,     0,     0,  1916,
       0,     0,     0,  2359,   382,  1917,  2360,  2361,  2362,     0,
    2363,  2364,  2365,  2366,  2367,  2368,  1045,     0,     0,   383,
    4172,  1045,     0,     0,     0,   700,     0,   849,     0,   700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   700,     0,     0,  4206,  1918,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   375,  3735,     0,     0,     0,     0,
       0,  4171,     0,   871,     0,  1090,     0,     0,   704,  2350,
       0,     0,     0,  1090,  2351,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,  2700,     0,     0,  1920,   849,     0,
       0,     0,     0,     0,  1921,  2352,  2353,  1922,     0,     0,
       0,     0,  4953,  4954,  1251,     0,   700,   700,  4282,   872,
    2354,  3539,     0,  3539,  3539,  3672,     0,  3539,     0,   700,
       0,     0,  1923,   873,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   700,   700,     0,     0,     0,     0,
       0,   874,  2355,     0,     0,     0,     0,   875,     0,     0,
       0,  1047,     0,  1924,     0,  2356,   700,     0,  2357,     0,
    5001,  1047,     0,   876,     0,     0,     0,     0,     0,  4542,
       0,     0,     0,     0,   877,     0,     0,     0,     0,     0,
       0,     0,   878,     0,     0,     0,     0,     0,     0,  5021,
       0,  1045,     0,     0,   879,     0,     0,     0,     0,   880,
       0,     0,     0,     0,  3862,   881,     0,     0,     0,     0,
       0,  1925,     0,  1926,     0,     0,     0,     0,     0,     0,
       0,  1047,   882,  1927,  1047,  1047,     0,     0,  4769,     0,
       0,  1928,  4769,  4769,     0,  4769,     0,  2358,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,   883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3878,     0,
    3878,     0,     0,     0,     0,     0,     0,     0,   884,     0,
       0,     0,     0,     0,  4625,     0,  2701,  4628,     0,  1931,
    1932,     0,     0,     0,     0,     0,   382,     0,     0,     0,
       0,     0,     0,  1047,     0,     0,     0,     0,     0,     0,
     885,     0,     0,     0,   375,     0,  2702,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   375,     0,     0,
    1916,   886,     0,     0,     0,     0,  1917,     0,     0,     0,
    2359,   887,     0,  2360,  2361,  2362,     0,  2363,  2364,  2365,
    2366,  2367,  2368,     0,     0,     0,     0,  4344,     0,     0,
       0,  1960,     0,     0,     0,     0,     0,     0,   888,     0,
       0,     0,     0,   889,     0,   890,  1918,     0,     0,  1934,
    3878,   891,  5588,     0,   892,     0,     0,  4692,  4171,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4497,     0,     0,     0,     0,     0,  1961,
       0,     0,   893,   894,     0,     0,   895,     0,     0,     0,
     896,     0,     0,     0,     0,     0,     0,     0,  1920,   897,
    3539,     0,     0,     0,   898,  1921,     0,     0,  1922,     0,
       0,     0,   375,     0,     0,   382,   899,   382,     0,     0,
       0,     0,     0,     0,   383,     0,     0,     0,   383,   900,
       0,     0,     0,  1923,     0,     0,   700,     0,     0,     0,
       0,     0,   701,     0,     0,     0,     0,     0,     0,   701,
       0,     0,     0,     0,     0,     0,     0,     0,  3718,     0,
     701,  1962,     0,     0,  1924,     0,     0,     0,     0,  4089,
       0,     0,     0,     0,     0,     0,   700,     0,     0,     0,
     382,   700,     0,     0,     0,   700,  1045,     0,     0,   701,
       0,     0,     0,   700,   701,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,     0,     0,  1963,
       0,   700,  1964,     0,     0,     0,     0,     0,  1045,     0,
       0,     0,  1965,     0,  1926,  1457,     0,     0,     0,     0,
       0,   701,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,     0,  1457,   701,     0,     0,
       0,  1966,  1929,   701,   700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   701,     0,  1091,     0,     0,     0,
       0,     0,   700,   700,     0,     0,     0,     0,   701,     0,
       0,     0,     0,     0,     0,     0,     0,  1967,  1537,  1538,
    1931,  1932,  1968,     0,     0,     0,  4198,  4199,     0,     0,
       0,     0,     0,   382,   700,     0,     0,   382,     0,     0,
       0,     0,  4208,     0,     0,  1410,     0,  1969,     0,  5338,
       0,     0,     0,     0,     0,     0,     0,     0,  4225,  5346,
       0,  1970,     0,     0,     0,   700,     0,  4234,  4235,   700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4253,     0,     0,   700,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   700,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,     0,
    1934,   700,     0,     0,     0,     0,     0,     0,     0,   700,
       0,     0,     0,     0,     0,     0,     0,     0,   383,   849,
    1047,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3672,  3672,  3672,  3672,  3672,   699,  4923,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
    4933,     0,     0,     0,     0,   699,     0,     0,  2340,     0,
    1045,  2341,     0,   382,     0,  2342,  2343,  2344,     0,     0,
       0,     0,     0,  1047,     0,  1707,     0,   704,     0,     0,
       0,     0,  2345,     0,   699,     0,   701,   701,     0,   699,
    2347,     0,     0,  1831,     0,  1410,  2348,     0,     0,  5450,
     699,  5451,     0,     0,     0,  5456,  5457,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2349,     0,     0,     0,     0,     0,   699,     0,     0,   700,
       0,     0,  3878,     0,  1047,     0,  3878,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,   699,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1457,  1916,     0,     0,     0,
       0,   700,  1917,     0,     0,     0,     0,     0,     0,     0,
    4427,  4428,  4429,     0,     0,  1457,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2521,     0,     0,  1457,
       0,     0,     0,     0,  3718,     0,  2350,     0,     0,     0,
       0,  2351,  1918,     0,     0,     0,     0,     0,   700,     0,
       0,     0,    74,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2352,  2353,     0,     0,   700,     0,     0,     0,
       0,     0,     0,     0,   700,     0,     0,  2354,     0,     0,
    1090,     0,   699,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,  1410,  1920,  1047,     0,     0,     0,     0,
       0,  1921,     0,  1047,  1922,  1047,     0,  5581,     0,  2355,
       0,  1457,     0,     0,  1045,     0,     0,     0,     0,     0,
       0,     0,  2356,     0,     0,  2357,     0,     0,     0,  1923,
       0,     0,     0,     0,     0,     0,  4926,  4927,     0,     0,
       0,  4930,  4931,     0,     0,  3718,     0,  3718,     0,     0,
     382,     0,     0,  1045,     0,     0,   382,     0,     0,     0,
    1924,     0,     0,     0,     0,     0,   701,     0,     0,     0,
    5581,   699,   699,     0,     0,     0,     0,  4981,     0,     0,
       0,     0,     0,     0,     0,     0,   701,     0,     0,  5581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2358,     0,     0,     0,     0,   701,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
    1926,     0,     0,     0,     0,     0,     0,     0,  2340,     0,
    1927,  2341,     0,     0,     0,  2342,  2343,  2344,  1928,     0,
       0,     0,  1457,     0,     0,   701,     0,   700,  1929,     0,
       0,     0,  2345,     0,  1090,  1090,     0,     0,     0,     0,
    2347,   701,     0,     0,     0,     0,  2348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   701,     0,     0,   701,
       0,     0,     0,  1984,     0,     0,  1931,  1932,     0,     0,
    2349,     0,     0,     0,     0,     0,     0,  2359,     0,     0,
    2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,
       0,     0,     0,  1985,  4395,     0,     0,     0,     0,     0,
       0,     0,     0,  4663,     0,     0,     0,  3878,     0,     0,
       0,     0,  3878,  4673,     0,     0,   700,  3878,     0,     0,
    3878,  5087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   700,   700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1047,     0,     0,     0,     0,  4693,     0,
    3878,     0,     0,     0,     0,     0,  1934,     0,     0,   700,
       0,     0,   700,     0,  3878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2880,  2350,     0,     0,     0,
       0,  2351,     0,     0,     0,     0,   701,     0,     0,     0,
    5109,     0,     0,     0,   701,   701,     0,  1443,     0,     0,
       0,     0,  2352,  2353,     0,   383,     0,     0,  5149,     0,
       0,     0,     0,     0,     0,     0,     0,  2354,  1443,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,   382,   382,   382,     0,     0,     0,     0,  2355,
    1045,  1251,     0,     0,     0,     0,     0,     0,   383,   383,
     383,     0,  2356,     0,   699,  2357,   700,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,   700,
       0,   382,     0,     0,   700,     0,     0,     0,     0,     0,
       0,     0,     0,   700,     0,     0,     0,     0,     0,  2552,
     699,     0,  3878,     0,     0,     0,     0,     0,   383,     0,
       0,     0,     0,     0,     0,   383,   699,     0,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2358,     0,     0,     0,  1047,     0,
    4819,  4820,  4821,  4822,     0,     0,     0,     0,   700,     0,
    2150,     0,     0,     0,  2552,     0,     0,  3878,     0,     0,
       0,     0,     0,     0,  2340,     0,     0,  2341,     0,     0,
       0,  2342,  2343,  2344,  1916,     0,     0,     0,     0,     0,
    1917,     0,     0,     0,     0,     0,   382,     0,  1457,     0,
       0,  2183,     0,   700,     0,   700,  2347,     0,     0,  2193,
       0,     0,  2348,     0,     0,  2201,     0,   700,     0,   700,
       0,     0,     0,     0,     0,     0,  2340,     0,     0,  2341,
    1918,     0,     0,  2342,  2343,  2344,  2349,  2359,     0,     0,
    2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,
    2345,     0,     0,     0,  4481,     0,     0,     0,  2347,     0,
       0,   699,     0,     0,  2348,     0,     0,     0,     0,   699,
     699,     0,  3718,   700,     0,   701,     0,     0,     0,  1457,
     849,     0,  1920,  5362,     0,     0,     0,     0,  2349,  1921,
       0,     0,  1922,     0,  1457,     0,     0,     0,     0,     0,
       0,     0,  2552,     0,     0,     0,     0,  1045,     0,     0,
       0,     0,     0,  1457,     0,     0,     0,  1923,     0,     0,
       0,     0,     0,     0,     0,   383,     0,     0,   700,     0,
       0,     0,     0,   849,     0,     0,     0,  2027,     0,     0,
       0,     0,  2350,     0,     0,   700,   701,  2351,  1924,  3878,
     701, -2326,     0,   699,     0,     0,     0,  2042,     0,     0,
    1457,     0,   701,     0,     0,     0,     0,   700,  2352,  2353,
     700,  2052,     0,     0,  3878,     0,     0,     0,     0,  1457,
       0,     0,     0,  2354,     0,     0,  5393,     0,     0,     0,
       0,  1457,     0,     0,  2350,     0,     0,   849,     0,  2351,
   -2326,     0,     0,  1457,     0,     0,  1925,  1090,  1926,     0,
       0,     0, -2326,     0,     0,  2355,     0, -2326,  1927,     0,
    2352,  2353, -2326,     0,     0,     0,  1928, -2326,  2356,     0,
   -2326,     0,     0, -2326,     0,  2354,  1929,   701,   701,     0,
       0,     0,     0,  1457,     0,     0,  1457,   382,  1090,     0,
     701,     0,     0,     0,     0,  5475,     0,     0,     0,     0,
    5029, -2326,     0,     0,     0,   701,   701,  2355,     0,     0,
       0,  2010,     0,     0,  1931,  1932,     0,     0,     0,     0,
    2356, -2326,     0,  2357,     0,     0,     0,   701,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2011,     0,     0,     0,     0,     0,     0,     0,     0,
    2358,     0,     0,  1047,     0,     0,     0,  5515,  1047,     0,
       0, -2326,     0, -2326,     0,     0,     0,     0,     0, -2326,
       0,     0,     0,     0,  2340,     0,     0,  2341,     0,     0,
       0,  2342,  2343,  2344,     0,     0,     0,     0,     0,     0,
     699,     0,  1090,     0,     0,     0,     0,     0,  2345,     0,
       0,     0,  2358,  3878,  1934,     0,  2347,     0,     0,  1251,
    1251,     0,  2348,     0,     0,     0,     0,     0,     0, -2326,
       0,     0,     0,     0,  2276,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1457,  2349,     0,     0,     0,
     849,     0,     0,  2359,     0,     0,  2360,  2361,  2362,     0,
    2363,  2364,  2365,  2366,  2367,  2368,     0,   383,     0,     0,
       0,   699,     0,     0,     0,   699,     0,     0,  1061,     0,
       0,     0,     0,     0,     0,  3185,     0,   699,     0,     0,
     700,     0,     0,     0,  1916,     0,     0,     0,     0,     0,
    1917,     0,     0,     0, -2326,  2359,     0,     0,  2360,  2361,
    2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,     0,  5578,
       0,     0,  4513,     0,     0,     0,     0,     0, -2326,     0,
   -2326, -2326,     0,     0,     0,     0,   382,     0,  5613,     0,
    1918,   382,     0,   382,     0,     0,     0,     0,  1047,  5192,
    1251,  1251,  2350,     0,     0,     0,     0,  2351,     0,     0,
       0,   383,   699,   699, -2326,  1707,     0, -2326, -2326,     0,
   -2326,     0,     0,     0,     0,   699,     0,     0,  2352,  2353,
       0,     0,  5578,     0,     0,     0,     0,     0,     0,     0,
     699,   699,  1920,  2354,     0,   700,  5237,     0,   700,  1921,
       0,  5578,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,   383,     0,   383,     0,
       0,     0,     0,     0,     0,  2355,     0,  1923,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,  2356,     0,
       0,  2357,     0,     0,     0,     0,  3275,     0,     0,     0,
    2552,  3281,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,  2340,     0,     0,  2341,     0,     0,     0,  2342,  2343,
    2344,     0,     0,     0,     0,     0,     0,   701,     0,     0,
       0,   383,   701,   700,   700,  2345,   701,     0,  2898,     0,
       0,     0,     0,  2347,   701,     0,   700,     0,   700,  2348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5304,   701,  1457,     0,     0,  1925,     0,  1926,     0,
    2358,     0,     0,  2349,     0,  1457,     0,     0,  1927,     0,
       0,     0,     0,  2925,     0,     0,  1928,  2929,     0,     0,
       0,     0,   849,  2935,  2936,     0,  1929,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1457,  2952,   382,     0,     0,
       0,     0,     0,   701,   701,     0,     0,     0,     0,     0,
       0,  2626,     0,     0,  1931,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   700,
       0,     0,     0,     0,   383,   701,     0,     0,   383,     0,
    2707,  2627,     0,  2359,     0,     0,  2360,  2361,  2362,     0,
    2363,  2364,  2365,  2366,  2367,  2368,     0,     0,     0,  2350,
    4777,     0,     0,     0,  2351,     0,   701,     0,     0,     0,
     701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,  2353,     0,   701,     0,
       0,     0,  1916,  1047,     0,     0,     0,     0,  1917,   701,
    2354,     0,  2340,     0,  1934,  2341,     0,     0,     0,  2342,
    2343,  2344,   701,     0,     0,     0,     0,     0,     0,     0,
     701,  2785,     0,     0,     0,  1047,  2345,     0,     0,     0,
       0,     0,  2355,     0,  2347,     0,  2801,     0,  1918,     0,
    2348,     0,   699,     0,     0,  2356,     0,     0,  2357,  1457,
       0,     0,     0,     0,     0,  2822,     0,     0,     0,     0,
       0,     0,     0,     0,  2349,     0,     0,     0,     0,     0,
       0,   974,     0,     0,   383,     0,   975,     0,     0,     0,
       0,     0,   699,     0,     0,     0,   849,   699,   976,     0,
    1920,   699,     0,     0,     0,     0,     0,  1921,     0,   699,
    1922,     0,  2888,     0,     0,     0,     0,     0,     0,   977,
       0,     0,     0,     0,     0,     0,     0,   699,     0,  2552,
       0,  2899,   978,     0,     0,  1923,     0,  2358,     0,     0,
       0,     0,     0,  1443,     0,     0,   979,  3204,     0,     0,
     701,     0,     0,     0,     0,  2913,     0,     0,     0,     0,
       0,     0,     0,     0,   980,     0,  1924,     0,     0,   700,
     699,     0,     0,     0,   382,     0,     0,     0,     0,     0,
    2350,     0,  1090,     0,     0,  2351,   981,     0,   699,   699,
       0,     0,     0,     0,     0,  2944,     0,   982,  1443,   700,
       0,     0,     0,     0,     0,   983,  2352,  2353,     0,     0,
       0,   700,   701,     0,     0,     0,     0,   984,   382,   849,
     699,  2354,   985,   849,  1925,     0,  1926,     0,   986,     0,
    2359,     0,   700,  2360,  2361,  2362,  1927,  2363,  2364,  2365,
    2366,  2367,  2368,     0,  1928,   987,     0,  4812,     0,     0,
       0,   699,     0,  2355,  1929,   699,     0,  1047,  1457,   701,
       0,     0,     0,     0,     0,     0,  2356,     0,     0,  2357,
       0,     0,     0,   699,     0,  1457,     0,   701,     0,     0,
       0,     0,     0,     0,   699,   701,  1457,     0,     0,  3381,
       0,   988,  1931,  1932,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,  2340,     0,
       0,  2341,     0,     0,     0,  2342,  2343,  2344,     0,  1933,
       0,     0,     0,   989,     0,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,   990,     0,     0,     0,     0,     0,
    2347,     0,     0,     0,   991,     0,  2348,  3113,  2358,     0,
       0,     0,     0,     0,   887,     0,     0,     0,     0,   849,
       0,   383,     0,     0,     0,     0,     0,   383,     0,     0,
    2349,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   992,  1934,     0,     0,   700,   993,     0,   994,     0,
       0,     0,     0,     0,   995,     0,     0,   996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3185,  3185,  3185,     0,     0,   699,   997,     0, -2328,   998,
       0,     0,     0,   999,     0,     0,     0,     0,     0,     0,
    1000,  2359,  1001,     0,  2360,  2361,  2362,  1002,  2363,  2364,
    2365,  2366,  2367,  2368,     0,     0,  3200,     0,   701,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1916,
       0,     0,  1004,     0,     0,  1917,  2350, -2328,     0,     0,
       0,  2351,     0,     0,  1916,     0,     0,   699,     0, -2328,
    1917,     0,     0,     0, -2328,     0,   700,     0,   700, -2328,
    1960,  1047,  2352,  2353, -2328,     0,     0, -2328,     0,     0,
   -2328,     0,     0,     0,     0,  1918,     0,  2354,  2552,     0,
       0,  3281,     0,  3281,     0,     0,     0,     0,  2552,     0,
    1918,     0,     0,     0,   699,     0,     0,   700, -2328,     0,
    1047,     0,     0,     0,     0,     0,     0,   701,  1961,  2355,
       0,     0,   699,     0,     0,     0,     0,     0, -2328,     0,
     699,     0,  2356,   701,   701,  2357,     0,  1920,     0,     0,
       0,     0,     0,     0,  1921,     0,     0,  1922,     0,  1457,
       0,     0,  1920,   382,     0,     0,     0,     0,     0,  1921,
     701,     0,  1922,   701,     0,     0,  1457,     0, -2328,     0,
   -2328,     0,  1923,     0,     0,     0, -2328,     0,     0,     0,
       0,     0,  3663,     0,     0,  3338,     0,  1923,     0,     0,
       0,  2552,     0,     0,     0,     0,     0,  3353,     0,     0,
    1962,  3680,     0,  1924,     0,     0,   849,     0,     0,     0,
       0,     0,   849,     0,  2358,     0,  3689,     0,  1924,  3691,
    3692,     0,     0,     0,  3695,  3696, -2328,     0,     0,     0,
       0,  3700,     0,     0,     0,     0,     0,  3386,     0,     0,
       0,     0,     0,   383,   383,   383,     0,     0,  1963,     0,
       0,  1964,     0,     0,     0,     0,     0,     0,     0,     0,
    1457,  1965,  1457,  1926,     0,     0,     0,   701,     0,     0,
       0,     0,     0,  1927,     0,  1061,  1925,     0,  1926,     0,
     701,  1928,   383,     0,     0,   701,     0,     0,  1927,     0,
    1966,  1929,     0,     0,   701,     0,  1928,     0,     0,     0,
       0, -2328,     0,   699,  3741,     0,  1929,  2359,     0,     0,
    2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,
       0,     0,     0,  1457,  5050, -2328,  3470, -2328, -2328,  1931,
    1932,  1968,   382,     0,     0,     0,     0,     0,     0,     0,
       0,  3483,     0,     0,  1931,  1932,     0,     0,  1457,     0,
       0,     0,     0,     0,     0,     0,  3471,     0,     0,   701,
       0, -2328,     0,   700, -2328, -2328,     0, -2328,     0,     0,
    1970,  3484,     0,     0,     0,     0,  3281,     0,     0,     0,
       0,  3281,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3564,   699,     0,     0,     0,     0,   383,     0,     0,
       0,     0,     0,     0,   701,     0,   701,     0,   699,   699,
       0,     0,     0,     0,     0,     0,     0,     0,   701,  1934,
     701,     0,     0,     0,     0,     0,     0,  1047,     0,     0,
       0,     0,     0,     0,  1934,   699,     0,     0,   699,     0,
    1457,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3281,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2340,
       0,     0,  2341,  1457,   701,     0,  2342,  2343,  2344,  1916,
       0,     0,     0,     0,     0,  1917,     0,     0,     0,     0,
       0,     0,     0,  2345,     0,     0,     0,     0,     0,     0,
       0,  2347,     0,     0,     0,     0,     0,  2348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   849,   849,
     849,   382,     0,   700,     0,  1918,     0,     0,     0,   701,
       0,  2349,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,   701,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,   849,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,   701,   699,
       0,   701,     0,     0,  1457,     0,     0,  1920,     0,     0,
       0,     0,     0,     0,  1921,     0,     0,  1922,     0,     0,
    3731,     0,     0,     0,     0,  1457,  3986,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3743,     0,     0,
       0,     0,  1923,   700,     0,     0,     0,     0,  3749,     0,
    1457,  2340,     0,     0,  2341,     0,     0,     0,  2342,  2343,
    2344,     0,     0,     0,   699,     0,     0,  2350,     0,     0,
       0,     0,  2351,  1924,     0,  2345,     0,     0,   383,     0,
       0,     0,     0,  2347,  1457,     0,     0,     0,     0,  2348,
     745,     0,     0,  2352,  2353,     0,     0,     0,     0,     0,
       0,     0,   849,     0,     0,  4042,     0,  4044,  2354,   699,
       0,   699,     0,  2349,  1047,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,   699,     0,   745,     0,     0,
       0,  1925,  3185,  1926,     0,     0,     0,     0,     0,     0,
    2355,   700,     0,  1927,     0,     0,     0,     0,   745,     0,
       0,  1928,     0,  2356,     0,   382,  2357,     0,     0,     0,
       0,  1929,     0,     0,     0,     0,  1056,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,  1058,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,  5394,     0,     0,  3523,     0,     0,  1931,
    1932,     0,     0,     0,  1080,     0,  1056,  2552,     0,     0,
    1103,     0,     0,     0,     0,     0,  4127,     0,   382,  2350,
    1135,     0,  4134,     0,  2351,     0,  3524,     0,     0,  1140,
       0,     0,     0,     0,   699,  2358,     0,   382,     0,     0,
       0,     0,     0,     0,     0,  2352,  2353,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
    2354,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   701,     0,   699,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2340,     0,  1934,
    2341,     0,  2355,     0,  2342,  2343,  2344,     0,     0,     0,
       0,     0,     0,     0,     0,  2356,  3281,     0,  2357,     0,
       0,  2345,     0,     0,     0,     0,     0,   383,     0,  2347,
       0,     0,   383,     0,   383,  2348,     0,     0,  2359,     0,
       0,  2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,
    2368,  3992,     0,     0,     0,  5061,     0,     0,     0,  2349,
       0,     0,     0,   849,     0,     0,     0,     0,  4004,     0,
       0,     0,     0,     0,     0,     0,  4279,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   701,     0,     0,   701,
       0,     0,     0,     0,     0,     0,     0,  2358,     0,  4296,
    4297,     0,  4299,     0,  4301,  4302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4309,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4330,     0,     0,
       0,  1457,  4081,     0,  4083,  2350,     0,     0,     0,     0,
    2351,     0,     0,     0,   701,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,   701,
    2359,  2352,  2353,  2360,  2361,  2362,     0,  2363,  2364,  2365,
    2366,  2367,  2368,     0,     0,  2340,  2354,  5070,  2341,  2552,
       0,     0,  2342,  2343,  2344,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2347,  2355,     0,
       0,     0,     0,  2348,     0,     0,     0,     0,     0,     0,
    4142,  2356,     0,     0,  2357,     0,   699,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,  2349,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   849,     0,     0,     0,     0,   849,     0,   849,
       0,     0,     0,     0,  2340,     0,     0,  2341,     0,     0,
       0,  2342,  2343,  2344,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2358,     0,     0,     0,     0,  2345,     0,
       0,     0,  3386,     0,     0,     0,  2347,     0,  1457,     0,
       0,     0,  2348,     0,     0,     0,     0,     0,  1457,     0,
       0,   699,     0,     0,   699,     0,     0,   745,     0,     0,
       0,     0,     0,  2350,     0,  4280,  2349,     0,  2351,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2823,
   -2823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3185,     0,     0,     0,  2354,  3185,     0,     0,     0,     0,
       0,  3185,     0,     0,     0,     0,  2359,     0,     0,  2360,
    2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,     0,
       0,     0,     0,  5073,     0,     0, -2823,     0,     0,   699,
     699,     0,     0,     0,     0,     0,     0,     0,     0,  2356,
       0,     0,   699,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4343,     0,     0,     0,
       0,     0,  2350,     0,     0,     0,  1457,  2351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4352,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2352,  2353,
       0,     0,     0,     0,     0,     0,     0,  1457,     0,     0,
     701,     0,  4375,  2354,     0,   383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1457,     0,
       0,  2358,     0,     0,     0,     0,     0,     0,     0,     0,
     701,     0,     0,  3281,     0,  2355,  2276,     0,     0,     0,
       0,     0,   701,     0,     0,   699,     0,     0,  2356,   383,
       0,  2357,     0,     0,     0,     0,     0,  1233,  1239,  1239,
     745,     0,  1239,   701,  1247,     0,  1233,     0,  1135,     0,
       0,  1277,     0,     0,     0,     0,  1457,  1135,     0,     0,
    1135,     0,     0,     0,  1239,     0,  1135,     0,     0,     0,
       0,  1916,     0,     0,  1313,     0,     0,  1917,     0,     0,
    1135,     0,  1233,     0,     0,  1239,     0,   745,     0,  1239,
       0,     0,     0,     0,  2359,     0,  1277,  2360,  2361,  2362,
    1378,  2363,  2364,  2365,  2366,  2367,  2368,  1239,     0,     0,
    2358,     0,     0,     0,     0,     0,     0,  1918,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1916,     0,     0,     0,     0,     0,  1917,     0,
       0,  1233,  5025,     0,  1457,     0,   745,     0,     0,     0,
       0,  1233,     0,     0,     0,  1277,  2340,     0,     0,  2341,
       0,     0,     0,  2342,  2343,  2344,     0,     0,     0,  1920,
       0,     0,  1239,  4747,     0,     0,  1921,     0,  1918,  1922,
    2345,  4750,  4751,  4752,  4753,     0,     0,     0,  2347,     0,
       0,     0,     0,     0,  2348,     0,   701,     0,     0,  1457,
       0,     0,     0,  2359,  1923,     0,  2360,  2361,  2362,     0,
    2363,  2364,  2365,  2366,  2367,  2368,     0,     0,  2349,     0,
    5124,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
    1920,     0,     0,     0,     0,  1924,     0,  1921,     0,     0,
    1922,     0,     0,  1135,     0,  1577,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
     849,     0,     0,     0,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,  1687,  1687,     0,     0,     0,   745,  1135,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,  1926,  1924,   699,  1135,     0,
       0,     0,  1135,     0,   849,  1927,     0,   701,     0,   701,
    1687,     0,     0,  1928,     0,     0,     0,     0,   699,     0,
       0,  1135,     0,  1929,  2350,     0,     0,     0,     0,  2351,
    3281,     0,     0,  1135,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,     0,
    2352,  2353,     0,     0,  1925,     0,  1926,     0,  4015,     0,
       0,  1931,  1932,     0,     0,  2354,  1927,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
       0,     0,     0,  4687,  1929,     0,     0,     0,  4016,     0,
       0,     0,     0,     0,   383,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4895,     0,
    2356,     0,     0,  2357,     0,  1135,     0,     0,     0,  4066,
       0,     0,  1931,  1932,  1135,     0,     0,     0,     0,  1239,
    1239,     0,     0,     0,     0,     0,  3281,  2340,     0,     0,
    2341,     0,  4914,  4915,  2342,  2343,  2344,     0,     0,  4067,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2345,     0,     0,     0,     0,     0,  1457,     0,  2347,
       0,   699,     0,     0,     0,  2348,  2340,     0,     0,  2341,
    1233,     0,     0,  2342,  2343,  2344,     0,     0,     0,     0,
       0,  1233,  2358,     0,     0,  1277,     0,     0,     0,  2349,
    2345,     0,     0,     0,     0,  1457,     0,     0,  2347,     0,
    1239,     0,  1934,     0,  2348,     0,     0,     0,     0,     0,
       0,  4956,  4957,     0,     0,     0,     0,     0,     0,     0,
    1135,     0,     0,     0,     0,     0,  1239,  1239,  2349,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1135,  1135,  1135,     0,  1239,     0,  1233,
       0,     0,  1457,     0,  2110,     0,  1457,  1457,     0,     0,
       0,     0,     0,   383,     0,     0,     0,     0,     0,     0,
    2276,     0,   699,     0,   699,  2359,     0,     0,  2360,  2361,
    2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,     0,     0,
       0,     0,  5156,     0,   701,  2350,     0,     0,     0,     0,
    2351,     0,     0,     0,     0,     0,  5037,     0,     0,     0,
       0,     0,     0,   699,     0,     0,  5039,  5040,     0,     0,
       0,  2352,  2353,     0,     0,  1239,     0,  1239,  1239,     0,
       0,     0,  5044,     0,  2350,     0,  2354,     0,     0,  2351,
       0,     0,     0,     0,     0,  5025,  1457,     0,     0,     0,
       0, -2342,     0,     0,     0,     0,     0,     0,     0,   849,
    2352,  2353,     0,     0,     0,     0,  1687,     0,  2355,     0,
       0,     0,     0,     0,     0,  2354,     0,     0,     0,     0,
       0,  2356,     0,     0,  2357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4896,     0,
   -2342,     0,     0,     0,  2250,  2250,     0,  2355,     0,  1135,
       0,  1056, -2342,     0,     0,     0,     0, -2342,     0,     0,
    2356,     0, -2342,  2357,     0,     0,     0, -2342,     0,  4913,
   -2342,     0,     0, -2342,     0,     0,     0,  2284,     0,     0,
    1135,     0,     0,  2290,     0,     0,     0,     0,     0,     0,
    4928,     0,   383,     0,   701,  1687,     0,     0,     0,     0,
       0, -2342,     0,  2358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2342,     0,  1687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2358,     0,     0,     0,     0,     0,  4955,     0,
       0,  1687,  1687,  1687,     0,  1687,     0,     0,     0,     0,
       0, -2342,     0, -2342,     0,     0,     0,     0,     0, -2342,
       0,     0,     0,     0,     0,  1687,     0,     0,   849,     0,
       0,     0,     0,     0,   701,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2359,   745,   745,  2360,
    2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,   699,
       0,     0,     0,  5194,     0,     0,     0,     0,     0, -2342,
       0,     0,     0,     0,     0,     0,  1135,     0,     0,  1687,
       0,     0,     0,     0,     0,  2359,  5027,     0,  2360,  2361,
    2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,     0,     0,
       0,     0,  5443,  5255,     0,     0,     0,     0,  1687,     0,
       0,     0,  1687,  1687,     0,     0,     0,     0,  1061,     0,
       0,     0,     0,  1135,  1135,  2488,     0,     0,     0,     0,
       0,     0,   701,     0,     0,     0,     0,     0,     0,     0,
       0,  2276,     0,     0, -2342,     0,   383,     0,     0,     0,
       0,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2342,     0,
   -2342, -2342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2342,     0,     0, -2342, -2342,   383,
   -2342,     0,     0,     0,     0,     0,     0,   849,     0,   699,
       0,     0,     0,     0,     0,     0,     0,  5329,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2340,  2635,     0,  2341,     0,     0,     0,  2342,
    2343,  2344,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1135,  2661,     0,     0,     0,  2345,     0,     0,     0,
    1135,     0,     0,  1239,  2347,     0,     0,     0,     0,     0,
    2348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,     0,  1135,     0,     0,     0,     0,     0,
       0,     0,  1135,     0,  2349,  1135,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1135,
       0,     0,     0,     0,     0,     0,     0,  1239,  1239,  1239,
    1239,  1135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1135,     0,     0,     0,     0,
       0,     0,     0,  2340,     0,     0,  2341,  2782,     0,  1135,
    2342,  2343,  2344,     0,     0,     0,     0,     0,     0,     0,
    1239,  1239,     0,     0,     0,     0,     0,  2345,  3801,  1239,
       0,     0,     0,  3802,     0,  2347,     0,     0,     0,  1239,
       0,  2348,     0,     0,     0,     0,     0,   699,     0,  2276,
    2350,     0,     0,     0,     0,  2351,     0,     0,  1135,     0,
       0,   849,     0,     0,     0,  2349,     0,  1239,  1239,  1239,
    1239,     0,     0,     0,     0,     0,  2352,  2353,     0,  1135,
       0,     0,     0,     0,     0,     0,  1135,  4128,     0,  2782,
       0,  2354,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1233,     0,     0,     0,     0,
       0,     0,   745,     0,     0,     0,     0,  1687,     0,     0,
       0,     0,     0,  2355,   849,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2356,     0,     0,  2357,
       0,     0,     0,   849,  2276,     0,     0,     0,  2276,  2276,
    1233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1277,     0,     0,     0,  1239,     0,     0,  1239,     0,     0,
       0,  2350,     0,     0,     0,     0,  2351,  1239,     0,     0,
       0,     0,     0,     0,     0,  1239,  1239,     0,     0,     0,
       0,     0,     0,  2340,     0,     0,  2341,  2352,  2353,  1135,
    2342,  2343,  2344,     0,     0,  5562,     0,     0,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,  2345,  2358,     0,
       0,     0,     0,     0,     0,  2347,     0,     0,     0,     0,
       0,  2348,     0,  2250,     0,     0,     0,     0,  5387,     0,
    1239,     0,  1233,     0,  2355,     0,  1135,  1135,     0,  1239,
       0,     0,     0,     0,     0,  2349,  1135,  2356,     0,     0,
    2357,     0,     0,     0,     0,     0,  1135,     0,     0,     0,
       0,  1056,  1056,     0,     0,  3027,     0,     0,     0,  1687,
    1687,     0,     0,     0,     0,  1687,  1687,     0,     0,     0,
       0,     0,  1687,  1687,  1687,     0,     0,     0,  1687,  1277,
    1687,  1687,  1687,  1687,  1687,  1687,     0,  1687,     0,  1687,
    1687,  2359,     0,  1687,  2360,  2361,  2362,     0,  2363,  2364,
    2365,  2366,  2367,  2368,     0,     0,     0,     0,  1687,  1687,
    1687,  1687,     0,     0,     0,  1239,  1687,     0,     0,  2358,
    1687,     0,     0,  1687,     0,     0,  1687,  1687,  1687,  1687,
    1687,  1687,  1687,  1687,  1687,     0,  1687,     0,     0,     0,
       0,  2350,     0,  1135,  1687,     0,  2351,  1687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2352,  2353,  1135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1135,     0,  1135,
       0,  1687,  2359,     0,  2355,  2360,  2361,  2362,     0,  2363,
    2364,  2365,  2366,  2367,  2368,     0,     0,  2356,     0,  5474,
    2357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,  1135,     0,     0,     0,
       0,     0,     0,  3242,     0,  3249,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     8,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,  2358,
      36,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   745,     0,     0,     0,     0,     0,     0,     0,
       0,  1056,     0,  1056,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1687,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1233,     0,  1239,  1239,    46,     0,     0,  1233,     0,
    1277,     0,  1239,     0,  1239,     0,     0,     0,  1239,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2359,     0,     0,  2360,  2361,  2362,     0,  2363,
    2364,  2365,  2366,  2367,  2368,     0,     0,     0,     0,  5594,
       0,     0,  2661,     0,     0,     0,     0,     0,     0,     0,
    3388,     0,     0,     0,     0,     0,     0,  3399,     0,     0,
       0,     0,     0,     0,     0,     0,  1135,     0,    47,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2340,     0,     0,  2341,     0,  1135,    48,  2342,  2343,  2344,
    3444,  3444,     0,     0,     0,     0,     0,     0,     0,   745,
       0,     0,     0,     0,  2345,     0,     0,    49,     0,     0,
       0,     0,  2347,     0,     0,     0,  1239,     0,  2348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2349,  3509,     0,  3512,  3514,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,     0,  1239,     0,     0,     0,     0,     0,     0,     0,
    1239,     0,  1239,     0,     0,    53,     0,     0,  1239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1687,     0,     0,     0,  2340,     0,     0,  2341,     0,     0,
       0,  2342,  2343,  2344,  2661,     0,     0,  3444,     0,  1135,
       0,     0,  3600,     0,     0,  1056,     0,     0,  2345,     0,
       0,     0,     0,     0,     0,     0,  2347,     0,     0,     0,
       0,     0,  2348,     0,     0,     0,     0,     0,  2350,     0,
       0,  3509,     0,  2351,     0,     0,     0,     0,     0,     0,
    1239,  3626,     0,     0,    54,     0,  2349,     0,     0,     0,
       0,     0,     0,     0,  2352,  2353,  2110,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1687,     0,  2354,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3673,  3676,     0,     0,     0,     0,     0,     0,     0,
      55,     0,     0,     0,  1239,     0,  1239,  3444,  1239,  3444,
       0,  2355,     0,     0,     0,    56,     0,     0,     0,     0,
       0,     0,     0,     0,  2356,     0,     0,  2357,     0,     0,
      57,     0,     0,     0,     0,  1687,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2250,     0,    58,     0,
       0,     0,  2350,     0,     0,     0,    59,  2351,    60,    61,
      62,    63,    64,     0,     0,    65,    66,    67,    68,     0,
      69,    70,    71,    72,    73,     0,     0,     0,  2352,  2353,
       0,     0,     0,     0,  1135,     0,     0,     0,     0,     0,
       0,     0,     0,  2354,  1233,     0,  2358,     0,     0,     0,
    1233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,     0,     0,     0,     0,  1687,     0,     0,
       0,     0,  1687,     0,     0,  2355,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2356,     0,
       0,  2357,     0,     0,     0,  1687,  1687,  1687,     0,     0,
    1687,     0,     0,     0,     0,     0,     0,     0,  1687,  1687,
    1687,  1687,     0,  4387,     0,     0,     0,     0,     0,     0,
       0,  1687,     0,     0,  1687,     0,  1687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1687,  1687,  2359,
       0,  1687,  2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,
    2367,  2368,     0,  1277,     0,  1687,  5612,  1687,     0,  1687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2358,     0,     0,     0,     0,     0,     0,     0,     0,  1687,
       0,     0,     0,  1135,     0,     0,  4388,     0,     0,     0,
    3879,     0,  1687,  1687,  1687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1687,     0,     0,     0,     0,  1687,     0,     0,     0,     0,
       0,  1687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3879,     0,     0,  3939,     0,     0,  3942,     0,  3249,
       0,     0,     0,  2359,     0,     0,  2360,  2361,  2362,     0,
    2363,  2364,  2365,  2366,  2367,  2368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1687,     0,  3444,     0,     0,     0,
       0,  2250,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,     0,     0,  1239,     0,  1239,
    1239,  1239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,     0,     0,     0,     0,     0,     0,
       0,  1094,     4,  1094,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   857,     0,  1135,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,     0,     0,     0,     0,     0,  3444,  3444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1135,  1135,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2250,  1135,     0,     0,
       0,     0,     0,     0,     0,  2250,  1135,  1135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1135,     0,     0,     0,    47,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     745,     0,     0,     0,     0,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3673,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,  1239,     0,  1239,     0,     0,     0,
    1239,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,  1233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1135,     0,    51,     0,     0,    52,
       0,     0,     0,     0,     0,     0,  1239,     0,     0,     0,
       0,     0,     0,  1687,    53,     0,     0,     0,     0,     0,
       0,     0,  1687,     0,     0,     0,     0,     0,  1687,     0,
    1687,     0,     0,  1687,     0,     0,     0,     0,  1687,  1687,
    1687,  1687,     0,     0,  1687,  1687,  1687,  1687,  1687,  1687,
    1687,  1687,  1687,  1687,     0,     0,     0,  1687,  1687,     0,
       0,     0,     0,     0,     0,     0,     0,  1687,     0,     0,
       0,  1687,     0,     0,     0,  1687,     0,     0,     0,     0,
       0,     0,     0,  1687,     0,     0,  1687,     0,  1687,     0,
       0,     0,     0,    54,     0,     0,     0,  1687,     0,     0,
    1687,  1687,     0,     0,     0,  1687,  1687,     0,     0,     0,
    4419,     0,  1687,     0,     0,     0,     0,     0,     0,  1135,
    1135,  1135,  1233,     0,  3879,  4439,     0,     0,     0,  4439,
    4453,     0,     0,     0,     0,     0,  1687,     0,  2340,    55,
       0,  2341,  1687,  1687,  1687,  2342,  2343,  2344,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,     0,     0,  3215,     0,     0,    57,
    2347,  1314,     0,     0,     0,     0,  2348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1687,     0,     0,     0,     0,     0,     0,    58,     0,     0,
    2349,  3249,     0,  1687,  1315,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1499,  1316,  1317,     0,
       0,    71,  1500,     0,     0,     0,     0,  1318,     0,     0,
       0,  1319,     0,     0,  4519,  2250,  2250,     0,  2782,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3216,  1320,
       0,     0,     0,     0,     0,     0,  1239,  1239,  1239,  1239,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1321,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1322,     0,     0,  2661,     0,     0,     0,     0,
    1323,     0,     0,     0,     0,     0,     0,     0,     0,  4565,
       0,     0,  1324,     0,     0,     0,  2350,  1325,     0,     0,
       0,  2351,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1326,     0,  2352,  2353,     0,     0,     0,   857,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,  2354,     0,     0,
       0,     0,     0,     0,  1235,  1327,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1328,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4643,
    1235,     0,  2356,     0,     0,  2357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1329,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1330,
       0,     0,  1135,     0,  1239,     0,  1687,     0,     0,   887,
       0,     0,  1135,     0,     0,     0,     0,     0,  4678,  1235,
       0,     0,     0,     0,     0,  1458,     0,  2661,     0,  1235,
       0,     0,     0,     0,     0,     0,  1331,     0,     0,     0,
       0,  1332,     0,  1333,  2358,     0,  1458,  1135,     0,  1334,
       0,     0,  1335,     0,     0,     0,     0,  3509,     0,     0,
       0,     0,     0,     0,  4711,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1135,     0,     0,     0,  2782,     0,
       0,  1336,  1687,  1687,  1337,     0,     0,     0,  1338,     0,
       0,     0,     0,     0,     0,  1339,     0,  1340,     0,  3217,
       0,     0,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3673,  3673,  3673,  3673,  3673,     0,
       0,     0,     0,     0,  3444,     0,  3444,  1342,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2359,     0,     0,
    2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,
       0,  1235,  1235,     0,     0,     0,     0,     0,  1094,     0,
       0,  2340,  1094,     0,  2341,     0,  1687,     0,  2342,  2343,
    2344,     0,     0,     0,     0,     0,     0,  1687,     0,     0,
       0,     0,     0,     0,     0,  2345,     0,     0,  1235,     0,
       0,     0,     0,  2347,     0,     0,     0,     0,     0,  2348,
       0,     0,     0,     0,     0,     0,     0,  1687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1687,  1687,     0,
       0,     0,     0,  2349,  1687,  1687,     0,     0,     0,  1687,
       0,     0,     0,     0,  1687,     0,     0,  1687,  1687,     0,
       0,     0,  1687,  4816,     0,     0,     0,     0,  1687,  1135,
    1135,  1135,  1135,     0,     0,     0,  4439,  4453,     0,  4439,
       0,     0,  4827,     0,     0,     0,  3879,     0,     0,     0,
    3879,     0,     0,     0,     0,     0,  4842,     0,     0,     0,
       0,     0,  1687,     0,     0,     0,     0,  1687,     0,     0,
       0,     0,     0,  1687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1277,     0,     0,  5555,     0,     0,     0,
       0,  1687,     0,     0,  3939,     0,     0,     0,     0,  3249,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2350,
       0,     0,  1094,  1094,  2351,     0,     0,  1056,     0,     0,
    1687,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,  2353,     0,  1235,     0,
    3444,  3444,     0,     0,     0,  1458,     0,     0,     0,  1235,
    2354,     0,     0,     0,     0,     0,     0,     0,  2661,     0,
       0,     0,     0,     0,     0,  1458,     0,  4912,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2356,     0,     0,  2357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1687,     0,
       0,     0,     0,     0,     0,     0,  2340,  1235,  5556,  2341,
       0,     0,     0,  2342,  2343,  2344,     0,     0,  1239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2345,     0,     0,  1239,     0,     0,     0,     0,  2347,     0,
       0,     0,     0,     0,  2348,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
    1687,     0,     0,     0,     0,     0,     0,  2358,  2349,     0,
       0,  1233,     0,     0,     0,     0,  2661,     0,     0,     0,
       0,     0,     0,     0,  2250,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1239,
    2661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,  1135,
       0,     0,  5036,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3811,     0,     0,
    2359,     0,     0,  2360,  2361,  2362,     0,  2363,  2364,  2365,
    2366,  2367,  2368,     0,  2350,     0,     0,  1687,     0,  2351,
       0,     0,  1458,     0,     0,     0,  1687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2352,  2353,     0,  1687,  1687,     0,     0,  1687,     0,     0,
       0,     0,     0,  1235,     0,  2354,     0,     0,     0,     0,
       0,  1233,  4439,     0,     0,     0,  3879,     0,     0,     0,
       0,  3879,     0,     0,  3879,  1233,     0,  3509,     0,  5091,
       0,  1235,  1687,  1687,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2356,     0,     0,  2357,  4519,     0,     0,     0,     0,  1235,
    1235,  1235,     0,  1235,     0,     0,     0,     0,  4519,  1277,
    1239,  1239,  1239,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,  1238,  1240,
       0,     0,  1243,     0,  1245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1233,  1277,  1296,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2358,     0,     0,  1356,     0,  1235,   857,  1359,
    2340,     0,     0,  2341,     0,     0,     0,  2342,  2343,  2344,
       0,     0,     0,     0,     0,  1233,     0,  1383,  1135,     0,
       0,     0,     0,     0,  2345,     0,  1235,  3760,  4678,     0,
    1235,  1235,  2347,     0,  1135,     0,  3444,     0,  2348,     0,
       0,  2661,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4711,     0,     0,     0,     0,     0,     0,
       0,     0,  2349,     0,  1239,  1135,  4519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2359,     0,     0,  2360,  2361,
    2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,  1687,     0,
       0,  1687,     0,  1687,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1094,     0,  1687,     0,     0,
       0,  3879,     0,     0,     0,  5091,     0,     0,     0,     0,
       0,     0,  1687,     0,     0,     0,     0,     0,     0,     0,
       0,  5288,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1687,     0,  1094,     0,  2350,     0,
       0,     0,     0,  2351,  1458,     0,  1239,     0,     0,     0,
    1135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,  2353,     0,     0,     0,     0,
       0,     0,     0,  1687,     0,     0,     0,     0,  1458,  2354,
    1239,  1239,  1239,  1239,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,  1233,     0,     0,
       0,     0,     0,     0,  2356,     0,     0,  2357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1687,     0,     0,
    1094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,     0,     0,     0,     0,     0,
    1687,     0,  1458,  1233,     0,     0,     0,     0,   857,     0,
       0,     0,  1687,  1458,     0,     0,     0,  1687,     0,  1687,
       0,  1687,     0,     0,     0,     0,  2358,     0,  4519,  1942,
    1943,     0,     0,     0,  1239,     0,  1277,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,  2250,  2250,  1458,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,  1239,     0,     0,     0,     0,  1233,
    2044,     0,     0,     0,     0,     0,     0,     0,  1235,  2359,
       0,     0,  2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,
    2367,  2368,  5036,     0,     0,     0,  2067,  2068,     0,     0,
    1687,  1687,     0,  1458,     0,  3509,  1458,     0,     0,     0,
       0,  1687,     0,     0,  5288,     0,     0,  2101,  3249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2340,  1233,     0,  2341,     0,     0,     0,  2342,  2343,  2344,
       0,  1239,     0,     0,     0,     0,     0,     0,  2250,     0,
       0,     0,     0,     0,  2345,     0,     0,     0,     0,     0,
       0,     0,  2347,     0,     0,     0,     0,     0,  2348,     0,
    1235,     0,     0,     0,     0,     0,     0,  4519,     0,     0,
       0,     0,     0,  1233,  1233,     0,  1687,     0,     0,     0,
       0,     0,  2349,     0,     0,     0,     0,  2171,  2173,     0,
       0,     0,     0,     0,     0,  1687,     0,  1235,  1235,     0,
       0,     0,  1239,  1235,  1235,     0,     0,     0,     0,     0,
    1235,  1235,  1235,     0,     0,     0,  1235,     0,  1235,  1235,
    1235,  1235,  1235,  1235,     0,  1235,     0,  1235,  1235,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,  1235,  1235,  1235,  1235,
     857,     0,     0,     0,  1235,     0,     0,     0,  1235,     0,
       0,  1235,     0,     0,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,     0,  1235,     0,     0,     0,  1687,  1687,
       0,     0,  1235,     0,     0,  1235,     0,     0,  2350,     0,
       0,     0,  1233,  2351,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1233,  1233,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,  2353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2354,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2356,     0,     0,  2357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3774,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2340,     0,
       0,  2341,     0,    85,     0,  2342,  2343,  2344,     0,    89,
       0,     0,     0,    93,     0,    94,  1458,    96,    97,     0,
    1458,  1458,  2345,     0,     0,  3806,  2358,     0,   106,     0,
    2347,     0,     0,     0,   857,     0,  2348,     0,     0,     0,
       0,     0,     0,     0,   118,   119,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2349,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,  1458,     0,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,   127,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,   128,     0,   129,   130,  2340,     0,
       0,  2341,     0,     0,     0,  2342,  2343,  2344,     0,  2359,
    1094,  1169,  2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,
    2367,  2368,  2345,     0,     0,  1458,     0,     0,     0,     0,
    2347,   140,     0,   141,   142,     0,  2348,     0,     0,   145,
       0,   146,     0,     0,     0,     0,     0,   857,     0,     0,
       0,   857,   148,     0,   149,     0,  2350,     0,     0,     0,
    2349,  2351,     0,     0,     0,     0,     0,     0,     0,   152,
       0,   153,     0,     0,   156,     0,     0,     0,     0,     0,
       0,     0,  2352,  2353,     0,     0,     0,   157,     0,   158,
       0,     0,     0,   159,     0,     0,     0,  2354,     0,   160,
       0,     0,     0,  2682,     0,     0,     0,   162,     0,   164,
       0,     0,     0,     0,     0,   166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
     170,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2356,     0,     0,  2357,   174,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2350,  2752,  2753,  2754,
    2755,  2351,     0,     0,     0,     0,     0,     0,  1235,  1458,
       0,     0,     0,     0,     0,   185,   186,   857,     0,     0,
       0,   187,  2352,  2353,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,     0,     0,     0,  2354,     0,     0,
    2791,  2792,     0,     0,   193,     0,     0,     0,     0,  2804,
       0,     0,     0,     0,  2358,     0,     0,     0,     0,  2816,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,  2356,     0,   203,  2357,     0,  2852,  2853,  2854,
    2855,     0,     0,     0,     0,  1235,   205,     0,     0,     0,
       0,   206,   207,     0,   208,     0,     0,     0,     0,   209,
       0,     0,     0,     0,   210,     0,     0,   212,     0,     0,
       0,     0,   214,     0,     0,     0,     0,   215,   216,     0,
       0,     0,     0,     0,     0,   217,     0,     0,     0,   219,
       0,     0,     0,     0,     0,     0,     0,  2359,     0,   222,
    2360,  2361,  2362,  1235,  2363,  2364,  2365,  2366,  2367,  2368,
       0,   224,     0,     0,  2358,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     230,     0,   231,     0,  2938,     0,     0,  2941,     0,     0,
     233,     0,     0,  4340,     0,     0,   234,  2946,     0,     0,
       0,   235,     0,     0,     0,     0,  2954,     0,  1458,     0,
       0,     0,     0,     0,   238,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,  1458,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,   248,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,   249,
    1235,     0,     0,  -147,     0,     0,     0,  2359,     0,     0,
    2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,
       0,     0,     0,  1235,  1235,  1235,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,  1235,  1235,  1235,  1235,
       0,     0,     0,     0,   857,     0,     0,     0,     0,  1235,
     857,     0,  1235,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,  1235,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,  1235,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3123,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
    1235,  1235,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,  2340,     0,     0,  2341,
       0,     0,     0,  2342,  2343,  2344,     0,     0,  1235,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,  1235,
    2345,     0,     0,  3817,     0,     0,     0,     0,  2347,  1235,
       0,     0,     0,     0,  2348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2349,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,  1458,     0,  1458,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2350,     0,     0,     0,     0,  2351,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2352,  2353,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2354,   857,   857,   857,     0,
       0,     0,     0,  3336,  3337,     0,     0,     0,     0,     0,
       0,     4,  3348,     0,  3350,     0,     0,     0,  3354,     0,
       0,     0,     0,     0,     0,     0,     0,  2355,     0,     0,
    1458,     5,  1458,     0,     0,   857,     0,     0,     0,     0,
    2356,     6,     7,  2357,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,  1458,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,  2358,     0,     0,     0,  3475,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,  1458,     0,     0,     0,
     857,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3536,     0,     0,     0,     0,     0,     0,     0,
    3545,     0,  3547,     0,     0,     0,     0,     0,  3549,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,  2359,    47,     0,  2360,  2361,
    2362,     0,  2363,  2364,  2365,  2366,  2367,  2368,  1458,     0,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,  1092,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,  1092,    49,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3624,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,  3683,     0,  3685,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,  1458,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,     0,     0,  1235,     0,  1235,     0,
       0,  1235,     0,     0,     0,  1458,  1235,  1235,  1235,  1235,
       0,     0,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,     0,     0,     0,  1235,  1235,     0,     0,     0,
    1458,     0,     0,     0,     0,  1235,     0,     0,     0,  1235,
       0,   857,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,  1235,    54,     0,  1235,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,  1458,  1235,     0,     0,  1235,  1235,
       0,     0,     0,  1235,  1235,     0,     0,     0,     0,     0,
    1235,  3751,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,  1235,     0,     0,     0,     0,     0,    55,     0,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,     0,
    1235,  1235,  1235,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,  1235,     0,
       0,     0,     0,     0,    59,     0,    60,    61,    62,    63,
      64,  1235,     0,    65,    66,  1499,  2202,     0,     0,     0,
      71,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
     857,     0,     6,     7,     0,   857,  1458,   857,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3995,     0,  3996,
    3997,  3998,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2340,     0,     0,  2341,  1235,     0,     0,  2342,  2343,  2344,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2345,     0,     0,  4394,     0,     0,
       0,  1458,  2347,     0,     0,     0,     0,     0,  2348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,     0,  2349,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,     0,     0,     0,  1458,
    1235,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,    51,     0,     0,    52,
       0,     0,     0,     0,  1235,     0,     0,     0,  2350,     0,
       0,  4143,     0,  2351,    53,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,  2352,  2353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,  2354,
       0,     0,     0,     0,     0,  1235,  1235,     0,  1458,     0,
       0,     0,  1235,  1235,     0,     0,     0,  1235,  1458,     0,
       0,     0,  1235,     0,     0,  1235,  1235,     0,     0,     0,
    1235,  2355,     0,     0,     0,     0,  1235,     0,     0,     0,
    1231,     0,     0,    54,  2356,     0,  1456,  2357,     0,     0,
    1231,     0,     0,     0,  1235,     0,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
    1235,  2340,     0,     0,  2341,  1235,     0,     0,  2342,  2343,
    2344,  1235,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,  2345,     0,     0,     0,  1235,
       0,     0,     0,  2347,    56,     0,     0,     0,     0,  2348,
       0,     0,     0,     0,  4303,     0,  4304,     0,     0,    57,
    4306,     0,     0,     0,     0,     0,  2358,     0,  1235,     0,
       0,     0,     0,  2349,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1458,    58,     0,     0,
       0,     0,     0,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1499,  2955,   857,     0,
       0,    71,  1231,  1231,     0,     0,  4337,  1458,     0,  1092,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,   857,  1458,     0,     0,  1235,     0,     0,  2359,
       0,     0,  2360,  2361,  2362,     0,  2363,  2364,  2365,  2366,
    2367,  2368,     0,     0,     0,     0,     0,     0,     0,  2350,
       0,     0,     0,     0,  2351,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
    2354,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2356,     0,     0,  2357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,  1458,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
    1231,     0,     0,     0,     0,  1235,     0,     0,     0,  1458,
       0,     0,     0,     0,  1235,     0,  1456,  2358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,  1235,  1235,     0,     0,  1235,  4536,  4537,  4538,  4539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,  1235,
       0,     0,  1235,  1235,     0,     0,     0,     0,  1231,     0,
    1235,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
    2359,   915,  1456,  2360,  2361,  2362,   916,  2363,  2364,  2365,
    2366,  2367,  2368,     0,     0,     0,     0,     0,   917,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,   918,
    1235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   919,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   920,     0,     0,     0,  -799,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,   857,     0,     0,
       0,     0,     0,  1235,   921,     0,     0,     0,     0,     0,
     922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4665,     0,   923,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   924,     0,     0,
       0,     0,     0,     0,     0,   925,     0,     0,     0,     0,
       0,     0,     0,  1456,  1235,     0,  1458,   926,     0,     0,
       0,     0,     0,     0,   927,     0,     0,     0,   928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231, -1010,  1235,  1458,     0,  1235,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,  1235,     0,     0,     0,  1235,
       0,     0,   929,     0,     0,  1458,     0,     0,     0,     0,
    1235,  -539,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,  1231,  1231,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   930,  1231,     0,   931,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   857,     0,     0,     0,
       0,     0,  1458,     0,   932,     0,  1458,  1458,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,   933,     0,     0,     0,     0,     0,     0,   934,     0,
       0,     0,     0,     0,  -435,  1235,     0,   935,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,  1231,  1231,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -435,     0,     0,   936,
     937,     0,   938,   939,     0,  1458,  1458,     0,     0,     0,
       0,     0,   940,     0,     0,     0,     0,   941,     0,     0,
       0,     0,     0,   942,     0,     0,   943,     0,  1235,   944,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,  -435,     0,     0,  1235,     0,  1235,     0,  1235,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4948,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4952,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,  1235,  1235,     0,  1235,  1456,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,  1456,     0,     0,     0,     0,  5003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,  1235,  1235,     0,     0,
       0,     0,   857,     0,  1456,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,   857,  1235,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5129,  5131,  5131,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,  1231,
       0,     0,     0,     0,  1231,  1231,     0,     0,     0,     0,
       0,  1231,  1231,  1231,     0,     0,     0,  1231,     0,  1231,
    1231,  1231,  1231,  1231,  1231,     0,  1231,     0,  1231,  1231,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,  1231,  1231,  1231,
    1231,     0,     0,     0,     0,  1231,     0,     0,     0,  1231,
       0,     0,  1231,     0,     0,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,  1231,  5236,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    86,    87,    88,     0,    90,    91,    92,
    1231,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,     0,   115,   116,
     117,     0,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,   122,     0,     0,     0,  5301,     0,     0,     0,
       0,   123,     0,   124,     0,   125,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5325,     0,  5327,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,  1456,  1456,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
    1231,     0,     0,     0,  1456,     0,     0,  1231,     0,   154,
     155,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,  1092,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,  5131,   167,  1456,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,  5471,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5519,   204,     0,     0,     0,     0,     0,     0,  1231,
    1456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,  5568,     0,     0,     0,     0,   226,   227,     0,
    1456,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     5,     0,  3253,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,  1456,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,  1231,     0,     0,  1456,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,  1231,  1231,  1231,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,  1231,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,  1231,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,  1231,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,  1231,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,     0,    48,     0,     0,     0,     0,  1231,
       0,  1231,  1231,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    49,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,  1231,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,   960,     0,  1456,
       0,     0,  1456,     0,  1456,     0,   960,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   960,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,  1456,     0,     0,    58,     0,     0,     0,
       0,     0,     0,     0,    59,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1499,     0,     0,     0,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,  1456,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,  1231,     0,  1231,
       0,     0,  1231,     0,     0,     0,  1456,  1231,  1231,  1231,
    1231,     0,     0,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,     0,     0,     0,  1231,  1231,     0,     0,
       0,  1456,     0,     0,     0,     0,  1231,     0,     0,     0,
    1231,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,  1231,   960,   960,  1231,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,  1456,  1231,     0,     0,  1231,
    1231,     0,     0,     0,  1231,  1231,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,  1199,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,  1231,  1231,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1246,     0,     0,     0,     0,     0,     0,     0,
    1279,     0,     0,  1283,  1284,     0,  1287,     0,     0,  1293,
       0,  1295,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1354,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,     0,     0,     0,  1374,     0,     0,  1379,
    1380,     0,     0,     0,  1382,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1199,     0,   960,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1477,     0,  1481,     0,     0,
    1483,     0,  1485,     0,     0,  1489,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1576,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1838,     0,  1840,  1231,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1880,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,  1231,     0,  1456,
       0,     0,     0,  1231,  1231,     0,     0,     0,  1231,  1456,
       0,     0,     0,  1231,     0,     0,  1231,  1231,     0,     0,
       0,  1231,     0,     0,     0,     0,  2013,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2026,     0,     0,  1231,     0,     0,     0,  1231,
       0,     0,     0,     0,  2037,     0,  2038,     0,     0,     0,
       0,  1231,     0,     0,  2041,     0,  1231,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,  2047,     0,     0,     0,
       0,  2056,     0,     0,  2060,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2105,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   705,     0,     0,
       0,     0,   749,     0,   749,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,   749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,     0,     0,  1456,     0,     0,  1231,     0,   749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     749,   749,     0,     0,   749,     0,     0,     0,     0,     0,
     749,     0,     0,     0,  1048,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,  1048,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,   749,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,  2268,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
    1456,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  1231,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
    1231,     0,     0,  1231,  1231,     0,     0,     0,     0,     0,
       0,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,  1149,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,  2519,     0,     0,  2519,     0,     0,
       0,     0,     0,     0,     0,  2526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2535,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2624,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1456,     0,
    1231,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,  2711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,   749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,  1456,  1456,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,   749,     0,
       0,     0,     0,     0,     0,     0,     0,  2826,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,  1231,  2923,  1231,     0,
    1231,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,  2937,     0,     0,  2940,     0,  2942,     0,  2943,     0,
       0,     0,     0,     0,  2945,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2974,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,  1231,     0,
       0,  2448,     0,  2448,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,  1402,   749,     0,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,   749,   749,     0,     0,  1231,     0,     0,     0,
       0,     0,  1231,  1231,     0,  1231,     0,   705,     0,  1048,
       0,  1048,     0,     0,     0,     0,     0,   705,  3186,     0,
       0,   749,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1048,  1048,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   749,     0,
     749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1199,     0,     0,     0,     0,     0,     0,     0,   705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   705,   705,     0,     0,  1820,     0,     0,
       0,  3290,  3291,     0,     0,     0,  3294,  3295,     0,     0,
       0,  3298,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3309,     0,     0,     0,     0,
       0,     0,  3318,     0,     0,     0,  3321,  3322,     0,     0,
    3325,  3326,     0,     0,     0,   705,     0,  3331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3347,
       0,  3349,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3373,     0,     0,     0,     0,  3375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3380,     0,
       0,     0,     0,     0,     0,     0,     0,  3387,     0,  3389,
       0,     0,  3392,  3395,  3397,     0,     0,     0,     0,  3405,
    3408,     0,     0,     0,     0,     0,     0,     0,     0,  3421,
       0,     0,     0,     0,  3430,     0,     0,     0,     0,  3434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3469,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3476,     0,  3478,     0,     0,
       0,     0,  3481,     0,     0,     0,  3482,     0,  3486,  3487,
    3488,  3489,     0,  3491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3516,  3517,  3518,     0,
       0,     0,     0,     0,     0,     0,  3526,  3527,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3571,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   705,     0,     0,     0,
       0,   749,     0,   749,     0,     0,   749,     0,   749,     0,
       0,   749,   749,   749,     0,     0,     0,  2245,     0,     0,
       0,     0,     0,     0,   749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   749,     0,
     749,     0,     0,     0,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3736,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2386,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
     749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   705,     0,     0,     0,
       0,   705,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3920,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3967,  3968,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,  2448,
       0,   705,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3989,     0,     0,     0,     0,     0,
       0,     0,     0,  3993,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4005,
    4007,     0,     0,     0,  4007,     0,     0,     0,     0,  4018,
    4019,  4020,     0,  4022,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4045,  4046,  4047,  4048,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4065,     0,     0,  4070,  4071,  4072,     0,     0,     0,
       0,     0,     0,     0,  4085,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4136,     0,     0,     0,     0,
       0,     0,     0,  4140,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,   749,     0,     0,  4195,   749,
       0,   749,     0,     0,   749,     0,     0,     0,   749,     0,
       0,     0,     0,  2386,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4232,     0,     0,     0,  4236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4274,     0,     0,     0,     0,
       0,   960,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4295,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4305,     0,     0,
       0,  4307,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,  2448,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,  2245,     0,     0,     0,     0,
       0,     0,  3187,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   705,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,  1459,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,   705,     0,     0,     0,     0,     0,
    3263,     0,  1820,     0,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,  4530,
       0,  4531,     0,     0,     0,     0,     0,     0,  4533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4543,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4551,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4568,     0,     0,     0,     0,     0,     0,
       0,     0,   705,  4577,     0,     0,     0,     0,     0,     0,
     705,     0,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4601,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4609,  4610,  4611,     0,     0,
    4614,  4615,  4616,  4617,  4618,  4619,     0,     0,     0,     0,
    4626,  4627,     0,  4629,  4630,  4631,  4632,  4633,  4634,     0,
    4636,     0,     0,     0,     0,     0,     0,     0,     0,  4644,
       0,  4646,  4647,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,  1459,
       0,     0,     0,  1236,  4007,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
       0,     0,     0,  4666,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,  4007,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,  2448,  2448,     0,     0,
       0,     0,     0,   749,  2245,     0,     0,  4762,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1459,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1455,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,  1236,  1236,     0,  1236,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2523,     0,     0,     0,  4899,   705,     0,     0,  4900,  4901,
    4902,  4903,     0,     0,  4905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,  4919,  4920,
    4921,     0,  4922,     0,  4924,  4925,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4934,  4935,     0,     0,
    1236,     0,     0,     0,  1236,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4943,     0,     0,
       0,     0,     0,     0,  2448,  2448,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4996,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5014,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5041,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,  1459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,     0,  1459,     0,     0,     0,
    1455,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,   705,     0,     0,     0,     0,
       0,     0,  5146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1446,
       0,     0,     0,  5155,  1459,     0,     0,     0,  5160,  5161,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,  1459,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,  5213,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1455,     0,     0,     0,     0,     0,  1459,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,  4007,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5254,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,  1236,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,  1236,     0,     0,     0,     0,  1236,  1236,     0,
       0,     0,  5307,     0,  1236,  1236,  1236,     0,     0,     0,
    1236,  5314,  1236,  1236,  1236,  1236,  1236,  1236,     0,  1236,
       0,  1236,  1236,     0,     0,  1236,     0,     0,     0,     0,
       0,  2412,  2448,     0,     0,     0,     0,     0,     0,  1459,
    1236,  1236,  1236,  1236,     0,     0,     0,     0,  1236,     0,
       0,     0,  1236,     0,     0,  1236,     0,     0,  1236,  1236,
    1236,  1236,  1236,  1236,  1236,  1236,  1236,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4007,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
    3263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,  5466,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,  1459,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     705,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,  5514,     0,
       0,     0,   705,  1236,     0,     0,  1446,  1459,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5532,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,     0,     0,  1459,
       0,  1455,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,  1455,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1455,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1446,
       0,     0,  1455,     0,     0,  1455,     0,     0,     0,     0,
       0,  1446,  1236,  1459,     0,  1671,  1671,     0,     0,     0,
       0,     0,     0,     0,   705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,  1748,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2523,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,  1459,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,   705,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,  1236,  1236,
       0,     0,  1236,     0,     0,     0,  1448,     0,     0,     0,
    1236,  1236,  1236,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,  1236,   705,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
    1236,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,  1236,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1455,     0,     0,     0,  1455,
    1455,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,  1236,  1236,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,  1446,     0,     0,     0,  1446,  1446,
       0,     0,  1236,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,  1455,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,  1455,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,  1459,  1449,  1455,  1459,     0,  1459,     0,     0,
       0,     0,  1459,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,  2297,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1459,     0,  2311,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2329,  2330,  2331,     0,  2334,     0,     0,
       0,   749,     0,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2376,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   705,  1448,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,  2431,     0,     0,  1459,     0,  1459,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2455,     0,     0,     0,  2467,  2470,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,  1455,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,  1455,     0,     0,  1449,     0,     0,
       0,     0,  1448,     0,     0,  1455,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,   705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,  1459,     0,
     705,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    1236,     0,  1236,     0,     0,  1236,     0,     0,     0,  1459,
    1236,  1236,  1236,  1236,     0,     0,  1236,  1236,  1236,  1236,
    1236,  1236,  1236,  1236,  1236,  1236,     0,     0,     0,  1236,
    1236,     0,     0,     0,  1459,     0,     0,     0,     0,  1236,
       0,     0,     0,  1236,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,  1236,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,  1459,  1236,
       0,     0,  1236,  1236,     0,     0,     0,  1236,  1236,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    1449,     0,     0,     0,  1236,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,  1236,  1236,  1236,  1455,     0,     0,
    1455,     0,  1455,     0,     0,     0,     0,  1455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,  1236,     0,     0,     0,  1446,     0,     0,  1446,
       0,  1446,     0,     0,     0,  1236,  1446,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1459,     0,     0,     0,  1455,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1455,     0,     0,     0,  1448,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3054,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
    3074,     0,  3076,     0,     0,  3088,  3091,  3096,  1448,     0,
       0,     0,  3102,     0,     0,  3107,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3114,  3115,  3116,  3117,     0,     0,     0,     0,  3124,  1455,
    1459,  1455,  3136,     0,     0,  3138,     0,     0,  3145,  3146,
    3147,  3148,  3149,  3150,  3151,  3152,  3153,     0,  3154,     0,
       0,     0,     0,     0,     0,     0,  1671,     0,     0,  3182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,  1448,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,  1448,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,  1449,     0,     0,
       0,     0,     0,  1448,     0,     0,     0,  1455,     0,     0,
       0,     0,     0,  1748,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,  1455,     0,     0,  1236,     0,
    1455,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1448,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,  1449,     0,     0,  1459,     0,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,  1446,     0,     0,     0,     0,  1446,
       0,     0,     0,  1448,     0,     0,  1449,     0,     0,  1455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1459,  1236,  1236,     0,  1455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,  1448,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3323,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1449,     0,     0,     0,     0,     0,  1236,     0,
    1449,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,  1449,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,  1451,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
    1236,     0,  1459,     0,  1455,     0,  1236,  1236,  1449,     0,
       0,  1236,  1459,     0,     0,     0,  1236,     0,     0,  1236,
    1236,     0,     0,     0,  1236,     0,     0,  1449,     0,  1455,
    1236,     0,  1446,     0,     0,  1448,     0,     0,     0,  1449,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,  1449,  1236,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,  1236,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,  1236,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1449,     0,  1236,  1449,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3563,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1459,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,  1448,     0,     0,     0,
    1448,  1448,     0,  1449,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,  3701,     0,     0,
       0,     0,     0,  1236,     0,  1455,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,  1452,     0,
       0,     0,     0,     0,  1446,     0,  1459,     0,  1459,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3756,
       0,     0,     0,     0,  3762,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,  1459,     0,     0,     0,     0,  1236,  2334,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3096,     0,  3096,  3096,     0,  1236,  1236,     0,     0,  1236,
       0,     0,  1451,  3820,     0,     0,  3823,     0,  3825,     0,
    1455,     0,     0,  1236,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,  1236,  1449,     0,  1236,  1236,  1449,  1449,
       0,     0,     0,     0,  1236,  1236,     0,  3843,     0,  3846,
       0,  3848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,  1455,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,  3182,  3182,  3182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,  1449,     0,     0,     0,     0,     0,     0,     0,  3916,
       0,     0,     0,  1449,  1459,     0,     0,  1446,     0,     0,
       0,     0,  2455,     0,  1236,     0,     0,  3928,     0,     0,
       0,     0,     0,  2470,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1455,     0,     0,
       0,     0,     0,     0,     0,     0,  3975,  1455,  1236,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,  1459,     0,  1236,     0,  1236,  1446,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,  1236,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,  1459,
       0,     0,  1452,     0,  1236,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
       0,     0,     0,     0,     0,  1448,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1455,  1459,     0,     0,     0,
    1459,  1459,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1452,     0,  1455,  1449,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,  1455,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,     0,  1236,
    1451,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
    1459,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,  1455,     0,     0,     0,     0,
       0,  1446,  1236,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,  1236,
       0,  1236,     0,  1236,     0,  1451,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,  1452,  1449,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,  1448,     0,  1448,     0,     0,     0,     0,  1448,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,     0,  1446,     0,     0,     0,     0,     0,  1455,     0,
    1451,     0,  1236,  1236,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,  1236,     0,  1451,     0,     0,     0,  1448,
       0,     0,     0,  1451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,  1451,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,     0,  4341,     0,     0,     0,     0,
       0,     0,     0,     0,  4345,     0,     0,     0,     0,  1236,
    4346,  1451,  4347,     0,     0,  1236,  1236,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,  1236,     0,  4371,
    4372,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,  3102,     0,  1455,
    1448,     0,  1448,     0,     0,  4397,     0,     0,  4400,     0,
    4402,     0,     0,     0,     0,     0,     0,     0,     0,  4406,
       0,     0,     0,     0,     0,     0,     0,  4413,  4414,     0,
       0,     0,     0,     0,  1451,     0,  1449,  1451,     0,  1449,
       0,  1449,     0,     0,     0,     0,  1449,     0,  1446,     0,
       0,     0,  1452,     0,     0,     0,     0,     0,  4458,     0,
    1236,  1236,     0,  1448,  4465,  4466,  3182,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,  1236,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
       0,     0,     0,     0,     0,  1455,     0,     0,     0,     0,
       0,     0,  4484,     0,  1449,     0,  1448,  1452,     0,     0,
       0,  1448,     0,     0,     0,  1748,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,  1449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1452,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,     0,     0,     0,
    1448,     0,     0,     0,     0,  1446,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,  1449,     0,
    1449,     0,     0,  1448,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,  1455,  1452,  1454,     0,  1455,  1455,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1452,     0,     0,
       0,     0,     0,     0,     0,  1452,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1452,     0,     0,     0,
       0,  1449,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,  1446,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,  1448,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,  1455,     0,     0,     0,  1449,
       0,     0,  1452,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1452,     0,     0,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,  1449,     0,
       0,  1451,  1451,     0,  1448,     0,  1452,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,  1449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1449,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4725,  4726,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1448,  4775,     0,
       0,     0,  1449,     0,     0,     0,     0,     0,     0,  4780,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1449,  4795,
    4797,     0,     0,     0,     0,     0,  4801,  4802,     0,     0,
       0,  4803,     0,     0,     0,     0,  4806,     0,     0,  4809,
    4810,     0,     0,     0,  4814,     0,     0,     0,     0,     0,
    4818,     0,  1449,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3182,     0,     0,     0,     0,  3182,
       0,     0,     0,     0,     0,  3182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,  1671,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4880,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,     0,  1449,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,  1452,  1452,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4940,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,  1452,     0,     0,     0,
       0,     0,  1454,     0,  1449,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4974,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2370,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
    2370,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,  5067,  5068,     0,     0,  5069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,  1449,     0,     0,
       0,     0,  1452,     0,  5103,  5104,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
    1454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,  1452,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1448,     0,  1451,
       0,     0,  1451,     0,  1451,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0,  1449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1449,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,  1452,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3102,     0,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5272,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2334,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,  1451,     0,  1451,  1449,     0,  1748,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5322,     0,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,  1449,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,  1449,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2370,     0,     0,     0,     0,     0,     0,     0,     0,  5372,
       0,     0,     0,     0,  1449,     0,     0,  1451,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,  1454,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5103,     0,     0,     0,     0,     0,     0,
    1448,  1451,     0,     0,     0,     0,     0,     0,     0,  2370,
       0,  1452,     0,     0,  1452,     0,  1452,  1454,  5433,  1451,
       0,  1452,  1449,  2370,     0,     0,     0,  3084,     0,  1454,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,  2370,  2370,  2370,     0,     0,  2370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,     0,  1452,     0,     0,     0,     0,  1449,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2370,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,  5493,  5493,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,  5103,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1451,     0,  1448,     0,     0,
       0,     0,     0,  2370,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2370,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,  2370,
       0,  1451,  2370,  1452,     0,  1452,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1449,     0,
       0,     0,     0,     0,     0,  1451,     0,  5564,     0,     0,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,  1448,  1448,     0,     0,
       0,     0,     0,     0,     0,     0,  1452,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,  1452,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,  1452,
    5493,  5605,     0,     0,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,  1452,     0,  1449,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,  1452,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,  1454,
    1449,     0,     0,     0,  1449,  1449,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,  1452,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,  1452,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,  1449,     0,   182,   183,     0,   184,
       0,     0,     0,  1452,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,  1452,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,   223,     0,  1454,     0,  1454,     0,   225,
       0,     0,  1454,     0,     0,     0,   226,   227,     0,     0,
    1452,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,     0,  2370,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,  1454,  2370,     0,  2370,     0,
       0,  3084,  3084,     0,  3797,     0,  3084,     0,     0,  1452,
    2370,     0,     0,  2370,     0,     0,     0,     0,  2370,     0,
       0,     0,     0,     0,  2370,     0,     0,     0,     0,  2370,
       0,     0,     0,     0,     0,     0,  2370,  2370,  2370,  2370,
       0,     0,     0,  3084,  3084,     0,  2370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2370,     0,
    2370,     0,     0,     0,  1454,     0,  1454,  2370,  2370,  2370,
    2370,  2370,  2370,  2370,  2370,  2370,  2370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,  1454,     0,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,  1451,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1452,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,  2370,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1452,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1452,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,  2370,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
    1452,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1452,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2370,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,  1452,  2370,     0,
    1454,     0,     0,     0,  2370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3797,  3797,     0,     0,  3084,  3084,  3084,  3084,     0,     0,
    3084,  3084,  3084,  3084,  3084,  3084,  3084,  3084,  3084,  3084,
    3797,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1452,  1451,     0,     0,     0,  1451,  1451,     0,
       0,     0,  2370,     0,     0,  2370,     0,  2370,     0,     0,
    3797,  3797,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2370,  3084,  3084,  2370,     0,
    2370,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2370,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2370,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2370,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1452,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1452,     0,     0,     0,  1452,
    1452,     0,  3084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,  2370,     0,     0,     0,  2370,  2370,  2370,
       0,     0,     0,     0,     0,  3797,  3797,  3797,  3797,     0,
       0,     0,     0,  3797,  3797,  3797,  3797,  3797,  3797,  3797,
    3797,  3797,  3797,  2370,  2370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2370,
       0,     0,  2370,     0,  2370,     0,     0,     0,  2370,     0,
       0,  3797,  3797,     0,     0,  2370,  2370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2370,     0,     0,     0,     0,     0,     0,  2370,  2370,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,     0,     0,  2370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3797,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,     0,     0,  2370,  2370,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2370,     0,     0,
       0,     0,  2370,  3084,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,     0,     0,     0,     0,  2370,     0,  2370,
       0,     0,     0,  2370,  2370,  2370,     0,     0,  2370,     0,
       0,  2370,  2370,     0,     0,     0,  2370,     0,     0,     0,
    2370,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
    1454,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2370,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,  2370,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    85,     0,  2370,    86,    87,    88,
      89,    90,    91,    92,    93,     0,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   106,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,   118,   119,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
     126,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,  3797,  3084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   127,     0,     0,     0,  2370,
    2370,  2370,     0,     0,     0,   128,     0,   129,   130,     0,
       0,     0,     0,     0,     0,     0,     0,   131,     0,   132,
       0,     0,   133,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,  2370,  2370,     0,     0,   139,
       0,     0,   140,     0,   141,   142,   143,     0,   144,     0,
     145,     0,   146,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,   148,     0,   149,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
     152,     0,   153,   154,   155,   156,     0,     0,     0,     0,
       0, -1514,     0,     0,     0,     0,     0,     0,   157,     0,
     158,     0,     0,     0,   159,     0,     0,     0,     0,     0,
     160,   161,     0,     0,     0,     0,     0,     0,   162,   163,
     164,     0,     0,   165,     0,     0,   166,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,   170,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,   174,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0, -1514,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,  3797,     0,
       0,   182,   183,     0,   184,     0,   185,   186,     0,     0,
       0,     0,   187,     0,  2370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,     0,     0,   189,   190,   191,
       0,     0,   192,     0,     0,   193,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,  2370,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,   205,     0,     0,
       0,     0,   206,   207,     0,   208,     0,     0,     0,     0,
     209,     0,     0,     0,     0,   210,   211,     0,   212,     0,
     213,     0,     0,   214,  2370,     0,     0,     0,   215,   216,
       0,     0,     0,     0,     0,     0,   217,     0,   218,     0,
     219,   220,     0,     0,   221,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,   224,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,   230,     0,   231,     0,  2370,     0,     0,   232,     0,
       0,   233,     0,     0, -1514,     0,     0,   234,     0,     0,
       0,     0,   235,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,   238,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,     0,     0,     0,     0,   248,     0,     0,     0,
       0,     0,     0,     0,     0,  2370,     0,     0,     0,     0,
     249,     0,     0,     0,  -147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,  2370,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2370,   431,   432,
     433,   434,   435,   436,   437,   438,   766,   439,   440,   441,
     767,   768,   769,   770,   771,   772,   773,   442,   443,   774,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,   775,   449,   450,   451,   452,   453,   776,   777,   454,
     455,   778,   139,   456,   779,   457,   458,   459,   460,   143,
     780,   144,   781,   461,   462,   463,   464,   147,   465,   466,
     782,   783,   467,   468,   469,   470,   471,   472,   784,   150,
     473,   474,   785,   786,   787,   788,   151,   789,   790,   791,
     476,   477,   478,   479,   728,   480,   154,   155,   481,   792,
     482,   793,   483,   484,   485,   486,   487,   488,   794,   489,
     490,   491,   795,   796,   492,   493,   494,   495,   496,   797,
     497,   498,   499,   798,   500,   501,   502,   799,   503,   504,
     505,   506,   163,   507,   508,   509,   165,   800,   510,   801,
     511,   512,   167,   513,   802,   514,   803,   515,   168,   804,
     169,   516,   517,   518,   805,   519,   171,   806,   172,   520,
     807,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,   808,   529,   530,   531,   532,   533,   534,   809,   535,
     175,   176,   810,   536,   537,   538,   811,   177,   812,   178,
     813,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,   814,   815,   546,   182,   183,   547,   184,   816,   548,
     549,   550,   817,   818,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,   190,   191,   565,   566,   192,   819,   567,   568,   194,
     569,   820,   195,   570,   196,   571,   572,   573,   821,   574,
     822,   823,   575,   576,   577,   824,   825,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,   826,   588,   589,   201,   590,   202,   591,   592,   593,
     827,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,   828,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   829,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,   830,   629,   630,   631,   632,   633,   831,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,   832,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,   833,   653,   654,   834,   655,   225,   656,   657,
     658,   659,   660,   835,   226,   227,   836,   837,   662,   663,
     228,   664,   229,   838,   665,   666,   667,   668,   669,   670,
     671,   839,   840,   672,   673,   674,   675,   676,   841,   842,
     677,   678,   679,   680,   681,   843,   236,   844,   682,   237,
     683,   684,   685,   686,   845,   846,   687,   847,   848,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,  1008,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,     0,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,  3255,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1591,
    1592,  1593,    45,  1594,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  3176,
     439,   440,   441,     0,     0,     0,     0,  1595,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
    1596,   136,  1597,  1598,     0,   449,   450,   451,   452,   453,
    1599,  1600,   454,   455,  1601,  1602,   456,     0,   457,   458,
     459,   460,  1603,     0,  1604,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,
    1609,  1610,  1611,   476,   477,   478,   479,   728,   480,  1612,
    1613,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,  3177,     0,   492,   493,  1427,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,  1614,   507,   508,   509,  1615,
    1616,   510,     0,   511,   512,  1617,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,  1618,
       0,  1619,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,  1430,
    1620,     0,  1621,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,  1622,   183,   547,
     184,     0,   548,   549,   550,  1623,  1624,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1625,   190,  1626,   565,   566,   192,  1627,
     567,   568,   194,   569,  1628,  1629,   570,  1630,   571,   572,
     573,     0,   574,     0,     0,  1631,   576,   577,     0,     0,
     578,   197,   198,   579,   199,  1632,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,  1633,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1634,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,  1635,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,  1636,   635,   636,   218,   637,   638,   220,   639,   640,
    1637,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,  1638,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1639,  1640,     0,
       0,   662,   663,  1641,   664,  1642,  1643,   665,   666,   667,
     668,   669,   670,   671,     0,  1644,   672,   673,   674,   675,
     676,  1645,     0,   677,   678,   679,   680,   681,   734,  1646,
    3178,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,  1647,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,
    1655,     0,     0,     0,     0,     0,     0,  1656,  1657,  3179,
       0,     0,     0,     0,     0,     0,  1659,  3180,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1591,  1592,  1593,    45,  1594,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1595,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,   134,  1596,   136,  1597,  1598,
       0,   449,   450,   451,   452,   453,  1599,  1600,   454,   455,
    1601,  1602,   456,     0,   457,   458,   459,   460,  1603,     0,
    1604,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,  1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,
     477,   478,   479,   728,   480,  1612,  1613,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1427,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,  1614,   507,   508,   509,  1615,  1616,   510,     0,   511,
     512,  1617,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,  1618,     0,  1619,   520,     0,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,  1430,  1620,     0,  1621,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,  1622,   183,   547,   184,     0,   548,   549,
     550,  1623,  1624,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1625,
     190,  1626,   565,   566,   192,  1627,   567,   568,   194,   569,
    1628,  1629,   570,  1630,   571,   572,   573,     0,   574,     0,
       0,  1631,   576,   577,     0,     0,   578,   197,   198,   579,
     199,  1632,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,  1633,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1634,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,  1635,   622,   623,   624,   625,   626,   627,   733,
     628,   216,   629,   630,   631,   632,   633,  1636,   635,   636,
     218,   637,   638,   220,   639,   640,  1637,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
    1638,     0,   653,   654,   224,   655,   225,   656,   657,   658,
     659,   660,     0,  1639,  1640,     0,     0,   662,   663,  1641,
     664,  1642,  1643,   665,   666,   667,   668,   669,   670,   671,
       0,  1644,   672,   673,   674,   675,   676,  1645,     0,   677,
     678,   679,   680,   681,  2332,  1646,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,   238,   688,   689,
     690,   691,   692,   693,   239,  1647,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   735,   694,   695,  1655,     0,   248,     0,
       0,     0,     0,  1656,  1657,     0,     0,     0,     0,     0,
       0,     0,  1659,  5284,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1591,  1592,  1593,    45,  1594,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1595,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1596,   136,  1597,  1598,     0,   449,   450,   451,
     452,   453,  1599,  1600,   454,   455,  1601,  1602,   456,     0,
     457,   458,   459,   460,  1603,     0,  1604,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1605,  1606,
    1607,  1608,  1609,  1610,  1611,   476,   477,   478,   479,   728,
     480,  1612,  1613,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1427,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1614,   507,   508,
     509,  1615,  1616,   510,     0,   511,   512,  1617,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1618,     0,  1619,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1430,  1620,     0,  1621,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1622,
     183,   547,   184,     0,   548,   549,   550,  1623,  1624,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1625,   190,  1626,   565,   566,
     192,  1627,   567,   568,   194,   569,  1628,  1629,   570,  1630,
     571,   572,   573,     0,   574,     0,     0,  1631,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1632,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1633,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1634,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1635,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1636,   635,   636,   218,   637,   638,   220,
     639,   640,  1637,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1638,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1639,
    1640,     0,     0,   662,   663,  1641,   664,  1642,  1643,   665,
     666,   667,   668,   669,   670,   671,     0,  1644,   672,   673,
     674,   675,   676,  1645,     0,   677,   678,   679,   680,   681,
     734,  1646,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,  1654,   735,
     694,   695,  1655,     0,     0,     0,     0,     0,     0,  1656,
    1657,     0,     0,     0,     0,     0,     0,     0,  1659,  3086,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1591,  1592,  1593,
      45,  1594,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1595,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,  1596,   136,
    1597,  1598,     0,   449,   450,   451,   452,   453,  1599,  1600,
     454,   455,  1601,  1602,   456,     0,   457,   458,   459,   460,
    1603,     0,  1604,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,  1610,
    1611,   476,   477,   478,   479,   728,   480,  1612,  1613,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,  1427,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,  1614,   507,   508,   509,  1615,  1616,   510,
       0,   511,   512,  1617,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,  1618,     0,  1619,
     520,     0,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,  1430,  1620,     0,
    1621,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,  1622,   183,   547,   184,     0,
     548,   549,   550,  1623,  1624,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,  1625,   190,  1626,   565,   566,   192,  1627,   567,   568,
     194,   569,  1628,  1629,   570,  1630,   571,   572,   573,     0,
     574,     0,     0,  1631,   576,   577,     0,     0,   578,   197,
     198,   579,   199,  1632,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,  1633,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
    1634,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,  1635,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,  1636,
     635,   636,   218,   637,   638,   220,   639,   640,  1637,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,  1638,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,  1639,  1640,     0,     0,   662,
     663,  1641,   664,  1642,  1643,   665,   666,   667,   668,   669,
     670,   671,     0,  1644,   672,   673,   674,   675,   676,  1645,
       0,   677,   678,   679,   680,   681,   734,  1646,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,  1647,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,     0,
       0,     0,     0,     0,     0,  1656,  1657,     0,     0,     0,
       0,     0,     0,     0,  1659,  4349,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,  4420,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,     0,
    1420,   136,  1421,  1422,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1423,  1424,   456,     0,   457,   458,
     459,   460,     0,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,  1425,
    1426,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1427,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,     0,   507,   508,   509,     0,
       0,   510,     0,   511,   512,  1428,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,     0,
       0,     0,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,  2538,   529,   530,   531,   532,   533,
     534,     0,   535,   175,  2539,     0,   536,   537,   538,  1430,
    1431,     0,  1432,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,     0,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1433,   190,  1434,   565,   566,     0,     0,
     567,   568,   194,   569,     0,     0,   570,  1435,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,  2541,   198,   579,   199,     0,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,     0,   590,     0,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1436,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,     0,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,  2542,   637,   638,   220,   639,   640,
    1438,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1439,  1440,     0,
       0,   662,   663,     0,   664,     0,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,  1441,
    2543,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,   694,   695,
       0,     0,     0,     0,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,  2649,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,     0,  1420,   136,  1421,  1422,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,  1423,  1424,   456,     0,
     457,   458,   459,   460,     0,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,  1425,  1426,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1427,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,     0,   507,   508,
     509,     0,     0,   510,     0,   511,   512,  1428,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,     0,     0,     0,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,  2538,   529,   530,   531,
     532,   533,   534,     0,   535,   175,  2539,     0,   536,   537,
     538,  1430,  1431,     0,  1432,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,     0,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1433,   190,  1434,   565,   566,
       0,     0,   567,   568,   194,   569,     0,     0,   570,  1435,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,  2541,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,     0,
     590,     0,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1436,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,  2542,   637,   638,   220,
     639,   640,  1438,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1439,
    1440,     0,     0,   662,   663,     0,   664,     0,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,  1441,  2543,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,     0,     0,     0,     0,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,  3638,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,  1747,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,   216,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,   224,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,  2332,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,   238,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,   248,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,   216,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,   224,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,  2332,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
     238,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,   248,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,  1659,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,  3092,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,  3093,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,  3094,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,  3095,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,  2294,  3047,  1659,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,  1658,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,  1747,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,  1659,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  2465,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,  3093,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,  1659,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,  4467,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,  4483,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,  1659,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,  5490,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,  5491,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,  5492,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,  5491,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
    5492,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,  1659,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,  4787,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,  1659,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,  4796,   192,  1627,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,  1655,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,  5093,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    5094,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,  1627,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,  5095,  1635,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,  1644,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,  1655,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,  5096,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448, -2823,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,  5491,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524, -2823,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,     0,
       0,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547, -2823,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,  1627,   567,   568,     0,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1635,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638, -2823,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,  5492,   670,   671,     0,  1644,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695, -2823,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
    1659,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
    1593,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,     0,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,  1631,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  3078,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,     0,
       0,     0,     0,     0,     0,     0,  3079,  3080,     0,     0,
       0,     0,     0,     0,     0,  3081,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1591,  1592,  1593,    45,  1594,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1595,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1596,   136,  1597,  1598,     0,   449,
     450,   451,   452,   453,  1599,  1600,   454,   455,  1601,  1602,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,  1612,  1613,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1614,
     507,   508,   509,  1615,  1616,   510,     0,   511,   512,  1617,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,  1619,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1430,  1620,     0,  1621,     0,   539,     0,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1625,   190,  1626,
     565,   566,   192,     0,   567,   568,   194,   569,  1628,  1629,
     570,  1630,   571,   572,   573,     0,   574,     0,     0,  1631,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1634,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    3078,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,  1637,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1639,  1640,     0,     0,   662,   663,  1641,   664,  1642,
    1643,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,  1646,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,     0,     0,     0,     0,     0,     0,
       0,  3079,  3080,     0,     0,     0,     0,     0,     0,     0,
    3081,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1591,  1592,
       0,    45,  1594,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1595,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1596,
     136,  1597,  1598,     0,   449,   450,   451,   452,   453,  1599,
    1600,   454,   455,  1601,  1602,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,  1612,  1613,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1427,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1614,   507,   508,   509,  1615,  1616,
     510,     0,   511,   512,  1617,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
    1619,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1430,  1620,
       0,  1621,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1625,   190,  1626,   565,   566,   192,     0,   567,
     568,   194,   569,  1628,  1629,   570,  1630,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1634,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  3078,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,  1637,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1639,  1640,     0,     0,
     662,   663,  1641,   664,  1642,  1643,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,  1646,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,     0,
       0,     0,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  3081,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1591,
    1592,     0,    45,  1594,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1595,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
    1596,   136,  1597,  1598,     0,  4382,   450,   451,   452,   453,
    1599,  1600,   454,   455,  1601,  1602,   456,     0,   457,   458,
     459,   460,  1603,     0,  1604,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,
    1609,  1610,  1611,   476,   477,   478,   479,   728,   480,  1612,
    1613,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1427,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,  1614,   507,   508,   509,  1615,
    1616,   510,     0,   511,   512,  1617,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,  1618,
       0,  1619,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,  1430,
    1620,     0,  1621,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,  1622,   183,   547,
     184,     0,   548,   549,   550,  1623,  1624,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1625,   190,  1626,   565,   566,   192,     0,
     567,   568,   194,   569,  1628,  1629,   570,  1630,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,  1632,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,  1633,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1634,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,  3078,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,  1636,   635,   636,   218,   637,   638,   220,   639,   640,
    1637,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,  1638,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1639,  1640,     0,
       0,   662,   663,  1641,   664,  1642,  1643,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,  1645,     0,   677,   678,   679,   680,   681,   734,  1646,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,  1647,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,
       0,     0,     0,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  3081,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1591,  1592,  1593,    45,  1594,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1595,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,  1596,   136,  1597,  1598,     0,   449,   450,   451,   452,
     453,  1599,  1600,   454,   455,  1601,  1602,   456,     0,   457,
     458,   459,   460,  1603,     0,  1604,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,  1605,  1606,  1607,
    1608,  1609,  1610,  1611,   476,   477,   478,   479,   728,   480,
    1612,  1613,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1427,   495,   496,     0,   497,   498,   499,     0,   500,     0,
     502,     0,   503,   504,   505,   506,  1614,   507,   508,   509,
    1615,  1616,   510,     0,   511,   512,  1617,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
    1618,     0,  1619,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
    1430,  1620,     0,  1621,     0,   539,     0,     0,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,  1622,   183,
     547,     0,     0,   548,   549,   550,  1623,  1624,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1625,   190,  1626,   565,   566,   192,
    1627,   567,   568,     0,   569,  1628,  1629,   570,  1630,   571,
     572,   573,     0,   574,     0,     0,  1631,   576,   577,     0,
       0,   578,   197,   198,   579,   199,  1632,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,  1633,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1634,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,  1635,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,  1636,   635,   636,   218,   637,   638,     0,   639,
     640,  1637,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,  1638,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1639,  1640,
       0,     0,   662,   663,  1641,   664,  1642,  1643,   665,   666,
     667,   668,   669,   670,   671,     0,  1644,   672,   673,   674,
     675,   676,  1645,     0,   677,   678,   679,   680,   681,   734,
    1646,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
    1647,  1648,  1649,  1650,  1651,  1652,  1653,  1654,   735,   694,
     695,     0,     0,     0,     0,     0,     0,     0,  1656,  1657,
       0,     0,     0,     0,     0,     0,     0,  1659,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
       0,   449,   450,   451,   452,   453,     0,  1600,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,  1603,     0,
    1604,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,  1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,  1615,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,  1618,     0,   172,   520,     0,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
    3866,     0,   546,  1622,   183,   547,   184,     0,   548,   549,
     550,  1623,  1624,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
     190,   191,   565,   566,   192,     0,   567,   568,   194,   569,
       0,  1629,   570,   196,   571,   572,   573,     0,   574,     0,
    1132,   575,   576,   577,     0,     0,   578,   197,   198,   579,
     199,  1632,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,  1633,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,   213,  3867,   623,   624,   625,   626,   627,   733,
     628,   216,   629,   630,   631,   632,   633,  1636,   635,   636,
     218,   637,   638,   220,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
    1638,     0,   653,   654,   224,   655,   225,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,  1641,
     664,  1642,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,  1645,     0,   677,
     678,   679,   680,   681,  2332,   236,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,   238,   688,   689,
     690,   691,   692,   693,   239,  1647,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   735,   694,   695,     0,     0,   248,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,  3868,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,  1600,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,  1603,
       0,  1604,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1605,  1606,  1607,  1608,  1609,  1610,  1611,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,  1615,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1618,     0,   172,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,  3866,     0,   546,  1622,   183,   547,   184,     0,   548,
     549,   550,  1623,  1624,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,  1629,   570,   196,   571,   572,   573,     0,   574,
       0,  1132,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1632,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1633,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,  3867,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1636,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1638,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
    1641,   664,  1642,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,  1645,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1647,  1648,  1649,  1650,
    1651,  1652,  1653,  1654,   735,   694,   695,     0,     0,     0,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,  3868,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,  1600,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
    1603,     0,  1604,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,  1610,
    1611,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,  1615,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,  1618,     0,   172,
     520,     0,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,  1622,   183,   547,   184,     0,
     548,   549,   550,  1623,  1624,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,  1629,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,  1632,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,  1633,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,  3867,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,  1636,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,  1638,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,  1641,   664,  1642,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,  1645,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,  1647,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   735,   694,   695,     0,     0,
       0,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,   249,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,     0,   449,   450,   451,   452,   453,     0,
    1600,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,  1603,     0,  1604,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,  1615,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1618,     0,
     172,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1622,   183,   547,   184,
       0,   548,   549,   550,  1623,  1624,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,   190,   191,   565,   566,   192,     0,   567,
     568,   194,   569,     0,  1629,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1632,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1633,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1636,   635,   636,   218,   637,   638,   220,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1638,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,  1641,   664,  1642,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1645,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,   735,   694,   695,     0,
       0,     0,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  4514,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,     0,     0,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  5148,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  4436,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0, -1618,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0, -1618,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535, -1618,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540, -1618,
     541,   542,   543,   544,   545,     0,     0,   546,   182, -1618,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189, -1618,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618, -1618,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,     0,     0,     0,     0,     0,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,  1755,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,     0,     0,     0,     0,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,  3670,  3671,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,     0,     0,     0,     0,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
    3671,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
     216,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,   224,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,  2332,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,   238,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,   248,     0,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,   249,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,   216,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,   224,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,  2332,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,   238,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,     0,     0,   248,     0,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,   249,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
       0,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,  1730,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,     0,     0,
       0,     0,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,  3243,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
       0,     0,     0,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  4417,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,     0,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  4841,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,  1259,    45,     0,     0,     0,     0,     0,  1260,
    1261,  1262,   431,   432,   433,   434,   435,   436,   437,   438,
     766,   439,   440,   441,   767,   768,   769,   770,   771,   772,
     773,   442,   443,   774,   444,   445,   132,   446,   447,   448,
       0,  1420,   136,  1421,  1422,   775,   449,   450,   451,   452,
     453,   776,   777,   454,   455,  1423,  1424,   456,   779,   457,
     458,   459,   460,     0,   780,   144,   781,   461,   462,   463,
     464,   147,   465,   466,   726,   783,   467,   468,   469,   470,
     471,   472,   784,   150,   473,   474,     0,   786,   787,   788,
     151,   789,   790,   791,   476,   477,   478,   479,   728,   480,
    1425,  1426,   481,   792,   482,   793,   483,   484,   485,   486,
     487,   488,   794,   489,   490,   491,   795,   796,   492,   493,
    1427,   495,   496,   797,   497,   498,   499,   798,   500,   501,
     502,   799,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   800,   510,   801,   511,   512,  1428,   513,   802,   514,
     803,   515,   168,   804,   169,   516,   517,   518,   805,   519,
       0,   806,     0,   520,   807,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,   808,   529,   530,   531,   532,
     533,   534,   809,   535,   175,     0,     0,   536,   537,   538,
    1430,  1431,   812,  1432,   813,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,   814,   815,   546,     0,   183,
     547,   184,   816,   548,   549,   550,   817,   818,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1433,   190,  1434,   565,   566,  4937,
     819,   567,   568,   194,   569,   820,     0,   570,  1435,   571,
     572,   573,   821,   574,   822,   823,  4163,   576,   577,   824,
     825,   578,     0,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   826,   588,   589,     0,   590,
       0,   591,   592,   593,   827,   594,   595,   596,   597,   598,
     599,   600,   601,  1436,   602,   603,   604,   605,   828,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     829,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,   830,   629,   630,   631,
     632,   633,   831,   635,   636,  2542,   637,   638,   220,   639,
     640,  1438,   641,   832,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,   833,   653,   654,   834,
     655,   225,   656,   657,   658,   659,   660,   835,  1439,  1440,
       0,   837,   662,   663,     0,   664,     0,   838,   665,   666,
     667,   668,   669,   670,   671,     0,   840,   672,   673,   674,
     675,   676,   841,   842,   677,   678,   679,   680,   681,     0,
    1441,   844,   682,   237,   683,   684,   685,   686,   845,   846,
     687,   847,   848,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,     0,     0,     0,  1265,  1266,  1267,     0,  4164,  4165,
    1270,  1271,  1272,  1273,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1259,    45,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,   766,   439,   440,   441,   767,   768,   769,   770,   771,
     772,   773,   442,   443,   774,   444,   445,   132,   446,   447,
     448,     0,  1420,   136,  1421,  1422,   775,   449,   450,   451,
     452,   453,   776,   777,   454,   455,  1423,  1424,   456,   779,
     457,   458,   459,   460,     0,   780,   144,   781,   461,   462,
     463,   464,   147,   465,   466,   726,   783,   467,   468,   469,
     470,   471,   472,   784,   150,   473,   474,     0,   786,   787,
     788,   151,   789,   790,   791,   476,   477,   478,   479,   728,
     480,  1425,  1426,   481,   792,   482,   793,   483,   484,   485,
     486,   487,   488,   794,   489,   490,   491,   795,   796,   492,
     493,  1427,   495,   496,   797,   497,   498,   499,   798,   500,
     501,   502,   799,   503,   504,   505,   506,     0,   507,   508,
     509,     0,   800,   510,   801,   511,   512,  1428,   513,   802,
     514,   803,   515,   168,   804,   169,   516,   517,   518,   805,
     519,     0,   806,     0,   520,   807,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,   808,   529,   530,   531,
     532,   533,   534,   809,   535,   175,     0,     0,   536,   537,
     538,  1430,  1431,   812,  1432,   813,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,   814,   815,   546,     0,
     183,   547,   184,   816,   548,   549,   550,   817,   818,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1433,   190,  1434,   565,   566,
       0,   819,   567,   568,   194,   569,   820,     0,   570,  1435,
     571,   572,   573,   821,   574,   822,   823,  4163,   576,   577,
     824,   825,   578,     0,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   826,   588,   589,     0,
     590,     0,   591,   592,   593,   827,   594,   595,   596,   597,
     598,   599,   600,   601,  1436,   602,   603,   604,   605,   828,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   829,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,   830,   629,   630,
     631,   632,   633,   831,   635,   636,  2542,   637,   638,   220,
     639,   640,  1438,   641,   832,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,   833,   653,   654,
     834,   655,   225,   656,   657,   658,   659,   660,   835,  1439,
    1440,     0,   837,   662,   663,     0,   664,     0,   838,   665,
     666,   667,   668,   669,   670,   671,     0,   840,   672,   673,
     674,   675,   676,   841,   842,   677,   678,   679,   680,   681,
       0,  1441,   844,   682,   237,   683,   684,   685,   686,   845,
     846,   687,   847,   848,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  4164,
    4165,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  1263,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  1264,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  1370,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  1371,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  1471,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  1472,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1473,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  2034,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  2035,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  3344,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  3345,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,  5127,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   766,   439,   440,   441,   767,   768,   769,   770,
     771,   772,   773,   442,   443,   774,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,   775,   449,   450,
     451,   452,   453,   776,   777,   454,   455,   778,   139,   456,
     779,   457,   458,   459,   460,   143,   780,   144,   781,   461,
     462,   463,   464,   147,   465,   466,   782,   783,   467,   468,
     469,   470,   471,   472,   784,   150,   473,   474,   785,   786,
     787,   788,   151,   789,   790,   791,   476,   477,   478,   479,
     728,   480,   154,   155,   481,   792,   482,   793,   483,   484,
     485,   486,   487,   488,   794,   489,   490,   491,   795,   796,
     492,   493,   494,   495,   496,   797,   497,   498,   499,   798,
     500,   501,   502,   799,   503,   504,   505,   506,   163,   507,
     508,   509,   165,   800,   510,   801,   511,   512,   167,   513,
     802,   514,   803,   515,   168,   804,   169,   516,   517,   518,
     805,   519,   171,   806,   172,   520,   807,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,   808,   529,   530,
     531,   532,   533,   534,   809,   535,   175,   176,   810,   536,
     537,   538,   811,   177,   812,   178,   813,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,   814,   815,   546,
     182,   183,   547,   184,   816,   548,   549,   550,   817,   818,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,   819,   567,   568,   194,   569,   820,   195,   570,
     196,   571,   572,   573,   821,   574,   822,   823,   575,   576,
     577,   824,   825,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,   826,   588,   589,
     201,   590,   202,   591,   592,   593,   827,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
     828,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   829,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,   830,   629,
     630,   631,   632,   633,   831,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,   832,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,   833,   653,
     654,   834,   655,   225,   656,   657,   658,   659,   660,   835,
     226,   227,   836,   837,   662,   663,   228,   664,   229,   838,
     665,   666,   667,   668,   669,   670,   671,   839,   840,   672,
     673,   674,   675,   676,   841,   842,   677,   678,   679,   680,
     681,   843,   236,   844,   682,   237,   683,   684,   685,   686,
     845,   846,   687,   847,   848,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,  2433,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,  1420,   136,  1421,  1422,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1423,  1424,   456,     0,   457,
     458,   459,   460,     0,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,   728,   480,
    1425,  1426,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1427,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,     0,   507,   508,   509,
       0,     0,   510,     0,   511,   512,  1428,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
       0,     0,     0,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,  2538,   529,   530,   531,   532,
     533,   534,     0,   535,   175,  2539,     0,   536,   537,   538,
    1430,  1431,     0,  1432,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,     0,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1433,   190,  1434,   565,   566,     0,
       0,   567,   568,   194,   569,     0,     0,   570,  1435,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
    2540,   578,  2541,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,     0,   590,
       0,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1436,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,  2542,   637,   638,   220,   639,
     640,  1438,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1439,  1440,
       0,     0,   662,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
    1441,  2543,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,     0,    86,    87,    88,   711,    90,    91,    92,   712,
    2544,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
      86,    87,    88,   711,    90,    91,    92,   712,  1139,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,    86,    87,
      88,   711,    90,    91,    92,   712,  5454,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,  1029,   433,   434,
     435,   436,   437,   438,  1030,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,  1031,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,  1032,
     167,   513,     0,   514,     0,  1033,     0,  1034,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,  1035,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,  1036,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,  1037,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,  1038,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,  1039,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,     0,     0,
       0,     0,  1040,  1041,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,  1029,   433,   434,   435,   436,   437,   438,
    1030,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,  1063,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,  1032,   167,   513,     0,   514,
       0,  1064,     0,  1034,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,  1035,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,  1036,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,  1037,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,  1038,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,  1039,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,     0,     0,     0,     0,     0,     0,     0,  1040,  1041,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1524,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,  1034,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,  1035,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
       0,     0,     0,     0,  1040,  1041,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1529,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,  1034,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,  1035,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,     0,     0,     0,     0,     0,     0,     0,
    1040,  1041,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,   729,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,  1701,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
       0,     0,     0,  1109,  1702,    86,    87,    88,   711,    90,
      91,    92,   712,  1110,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,  1111,   455,  1082,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,  1112,     0,  1113,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,  1114,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,  1115,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,  1116,   620,   621,   213,   622,
     623,   624,  1117,   626,   627,   733,   628,     0,   629,   630,
     631,   632,  1118,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,  1119,
     227,     0,     0,  1120,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
    1086,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,  1121,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   766,
     439,   440,   441,   767,   768,   769,   770,   771,   772,   773,
     442,   443,   774,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,   775,   449,   450,   451,   452,   453,
     776,   777,   454,   455,   778,   139,   456,   779,   457,   458,
     459,   460,   143,   780,   144,   781,   461,   462,   463,   464,
     147,   465,   466,   782,   783,   467,   468,   469,   470,   471,
     472,   784,   150,   473,   474,   785,   786,   787,   788,   151,
     789,   790,   791,   476,   477,   478,   479,   728,   480,   154,
     155,   481,   792,   482,   793,   483,   484,   485,   486,   487,
     488,   794,   489,   490,   491,   795,   796,   492,   493,   494,
     495,   496,   797,   497,   498,   499,   798,   500,   501,   502,
     799,   503,   504,   505,   506,   163,   507,   508,   509,   165,
     800,   510,   801,   511,   512,   167,   513,   802,   514,   803,
     515,   168,   804,   169,   516,   517,   518,   805,   519,   171,
     806,   172,   520,   807,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,   808,   529,   530,   531,   532,   533,
     534,   809,   535,   175,   176,   810,   536,   537,   538,   811,
     177,   812,   178,   813,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,   814,   815,   546,   182,   183,   547,
     184,   816,   548,   549,   550,   817,   818,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,   190,   191,   565,   566,   192,   819,
     567,   568,   194,   569,   820,   195,   570,   196,   571,   572,
     573,   821,   574,   822,   823,   575,   576,   577,   824,   825,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,   826,   588,   589,   201,   590,   202,
     591,   592,   593,   827,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,   828,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   829,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,   830,   629,   630,   631,   632,
     633,   831,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,   832,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,   833,   653,   654,   834,   655,
     225,   656,   657,   658,   659,   660,   835,   226,   227,   836,
     837,   662,   663,   228,   664,   229,   838,   665,   666,   667,
     668,   669,   670,   671,   839,   840,   672,   673,   674,   675,
     676,   841,   842,   677,   678,   679,   680,   681,   843,   236,
     844,   682,   237,   683,   684,   685,   686,   845,   846,   687,
     847,   848,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   766,   439,   440,
     441,   767,   768,   769,   770,   771,   772,   773,   442,   443,
     774,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,   775,   449,   450,   451,   452,   453,   776,   777,
     454,   455,   778,   139,   456,   779,   457,   458,   459,   460,
     143,   780,   144,   781,   461,   462,   463,   464,   147,   465,
     466,   782,   783,   467,   468,   469,   470,   471,   472,   784,
     150,   473,   474,   785,   786,   787,   788,   151,   789,   790,
     791,   476,   477,   478,   479,   728,   480,   154,   155,   481,
     792,   482,   793,   483,   484,   485,   486,   487,   488,   794,
     489,   490,   491,   795,   796,   492,   493,   494,   495,   496,
     797,   497,   498,   499,   798,   500,   501,   502,   799,   503,
     504,   505,   506,   163,   507,   508,   509,   165,   800,   510,
     801,   511,   512,   167,   513,   802,   514,   803,   515,   168,
     804,   169,   516,   517,   518,   805,   519,   171,   806,   172,
     520,   807,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,   808,   529,   530,   531,   532,   533,   534,   809,
     535,   175,   176,   810,   536,   537,   538,   811,   177,   812,
     178,   813,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,   814,   815,   546,   182,   183,   547,   184,   816,
     548,   549,   550,   817,   818,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,   819,   567,   568,
     194,   569,   820,   195,   570,   196,   571,   572,   573,   821,
     574,   822,   823,   575,   576,   577,   824,   825,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,   826,   588,   589,   201,   590,   202,   591,   592,
     593,   827,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,   828,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   829,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,   830,   629,   630,   631,   632,   633,   831,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
     832,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,   833,   653,   654,   834,   655,   225,   656,
     657,   658,   659,   660,   835,   226,   227,   836,   837,   662,
     663,   228,   664,   229,   838,   665,   666,   667,   668,   669,
     670,   671,   839,   840,   672,   673,   674,   675,   676,   841,
     842,   677,   678,   679,   680,   681,   843,   236,   844,   682,
     237,   683,   684,   685,   686,   845,   846,   687,   847,   848,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,  3412,   436,   437,   438,   766,   439,   440,   441,   767,
     768,   769,   770,   771,   772,   773,   442,   443,   774,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
     775,   449,   450,   451,   452,   453,   776,   777,   454,   455,
     778,   139,   456,   779,   457,   458,   459,   460,   143,   780,
     144,   781,   461,   462,   463,   464,   147,   465,   466,   782,
     783,   467,   468,   469,   470,   471,   472,   784,   150,   473,
     474,   785,   786,   787,   788,   151,   789,   790,   791,   476,
     477,   478,   479,   728,   480,   154,   155,   481,   792,   482,
     793,   483,   484,   485,   486,   487,   488,   794,   489,   490,
     491,   795,   796,   492,   493,   494,  3413,   496,   797,   497,
     498,   499,   798,   500,   501,   502,   799,   503,   504,   505,
     506,   163,   507,   508,   509,   165,   800,   510,   801,   511,
     512,   167,   513,   802,   514,   803,   515,   168,   804,   169,
     516,   517,   518,   805,   519,   171,   806,   172,   520,   807,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
     808,   529,   530,   531,   532,   533,   534,   809,   535,   175,
     176,   810,   536,   537,   538,   811,   177,   812,   178,   813,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
     814,   815,   546,   182,   183,   547,   184,   816,   548,   549,
     550,   817,   818,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
     190,   191,   565,   566,   192,   819,   567,   568,   194,   569,
     820,   195,   570,   196,   571,   572,   573,   821,   574,   822,
     823,   575,   576,   577,   824,   825,   578,   197,   198,   579,
     199,   200,   580,   581,   582,   583,   584,   585,   586,   587,
     826,   588,   589,   201,   590,   202,   591,   592,   593,   827,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,   828,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   829,   617,   618,   211,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,   830,   629,   630,   631,   632,   633,   831,  3414,   636,
     218,   637,   638,   220,   639,   640,   221,   641,   832,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,   833,   653,   654,   834,   655,   225,   656,   657,   658,
     659,   660,   835,   226,   227,   836,   837,   662,   663,   228,
     664,   229,   838,   665,   666,   667,   668,   669,   670,   671,
     839,   840,   672,   673,   674,   675,   676,   841,   842,   677,
     678,   679,   680,   681,   843,   236,   844,   682,   237,   683,
     684,   685,   686,   845,   846,   687,   847,   848,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,   135,   136,   137,   138,     0,   449,
     450,   451,   452,   453,     0,  1600,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,  1603,     0,  1604,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1605,  1606,  1607,  1608,  1609,  1610,  1611,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,  1615,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1618,     0,   172,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1622,   183,   547,   184,     0,   548,   549,   550,  1623,
    1624,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,   190,   191,
     565,   566,   192,     0,   567,   568,   194,   569,     0,  1629,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1632,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1633,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1636,   635,   636,   218,   637,
     638,   220,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1638,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,  1641,   664,  1642,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  1645,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   735,   694,   695,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,   135,   136,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,   182,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,   190,   191,   565,   566,
     192,     0,   567,   568,   194,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,   220,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  1413,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  1464,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,     0,  1420,   136,  1421,  1422,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
    1423,  1424,   456,     0,   457,   458,   459,   460,     0,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,   728,   480,  1425,  1426,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1427,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,     0,   507,   508,   509,     0,     0,   510,     0,   511,
     512,  1428,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,     0,     0,     0,   520,     0,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
    2538,   529,   530,   531,   532,   533,   534,     0,   535,   175,
    2539,     0,   536,   537,   538,  1430,  1431,     0,  1432,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,     0,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1433,
     190,  1434,   565,   566,     0,     0,   567,   568,   194,   569,
       0,     0,   570,  1435,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,  2541,   198,   579,
     199,     0,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,     0,   590,     0,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1436,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,     0,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
    2542,   637,   638,   220,   639,   640,  1438,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,  1439,  1440,     0,     0,   662,   663,     0,
     664,     0,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,  1441,  2543,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,   694,   695,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,     0,  1420,   136,  1421,  1422,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,  1423,  1424,
     456,     0,   457,   458,   459,   460,     0,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,     0,   476,   477,   478,
     479,   728,   480,  1425,  1426,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,     0,
     507,   508,   509,     0,     0,   510,     0,   511,   512,  1428,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,     0,     0,     0,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,     0,     0,
     536,   537,   538,  1430,  1431,     0,  1432,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,     0,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1433,   190,  1434,
     565,   566,     0,     0,   567,   568,   194,   569,  2637,     0,
     570,  1435,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,     0,   198,   579,   199,     0,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,     0,   590,     0,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1436,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
       0,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,  2542,   637,
     638,   220,   639,   640,  1438,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,  4261,   655,   225,   656,   657,   658,   659,   660,
       0,  1439,  1440,     0,     0,   662,   663,     0,   664,     0,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,  1441,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,   694,   695,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,     0,  1420,   136,  1421,  1422,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,  1423,  1424,   456,     0,
     457,   458,   459,   460,     0,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,  1425,  1426,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1427,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,     0,   507,   508,
     509,     0,     0,   510,     0,   511,   512,  1428,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,     0,     0,     0,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,     0,     0,   536,   537,
     538,  1430,  1431,     0,  1432,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,     0,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1433,   190,  1434,   565,   566,
    2706,     0,   567,   568,   194,   569,     0,     0,   570,  1435,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,     0,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,     0,
     590,     0,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1436,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,  1437,   637,   638,   220,
     639,   640,  1438,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1439,
    1440,     0,     0,   662,   663,     0,   664,     0,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,  1441,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,     0,
    1420,   136,  1421,  1422,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1423,  1424,   456,     0,   457,   458,
     459,   460,     0,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,  1425,
    1426,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1427,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,     0,   507,   508,   509,     0,
       0,   510,     0,   511,   512,  1428,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,     0,
       0,     0,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,     0,     0,   536,   537,   538,  1430,
    1431,     0,  1432,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,     0,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1433,   190,  1434,   565,   566,  4082,     0,
     567,   568,   194,   569,     0,     0,   570,  1435,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,     0,   198,   579,   199,     0,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,     0,   590,     0,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1436,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,     0,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,  1437,   637,   638,   220,   639,   640,
    1438,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1439,  1440,     0,
       0,   662,   663,     0,   664,     0,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,  1441,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,     0,  1420,   136,
    1421,  1422,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,  1423,  1424,   456,     0,   457,   458,   459,   460,
       0,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,   728,   480,  1425,  1426,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,  1427,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,     0,     0,   510,
       0,   511,   512,  1428,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,     0,     0,     0,
     520,     0,   521,   522,   730,   523,  1429,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,     0,     0,   536,   537,   538,  1430,  1431,     0,
    1432,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,     0,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,  1433,   190,  1434,   565,   566,     0,     0,   567,   568,
     194,   569,     0,     0,   570,  1435,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,     0,
     198,   579,   199,     0,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,     0,   590,     0,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
    1436,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,     0,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,  1437,   637,   638,   220,   639,   640,  1438,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,  1439,  1440,     0,     0,   662,
     663,     0,   664,     0,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,  1441,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   735,   694,   695,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,     0,  1420,   136,  1421,  1422,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
    1423,  1424,   456,     0,   457,   458,   459,   460,     0,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,   728,   480,  1425,  1426,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1427,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,     0,   507,   508,   509,     0,     0,   510,     0,   511,
     512,  1428,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,     0,     0,     0,   520,     0,
     521,   522,   730,   523,  1490,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
       0,     0,   536,   537,   538,  1430,  1431,     0,  1432,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,     0,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1433,
     190,  1434,   565,   566,     0,     0,   567,   568,   194,   569,
       0,     0,   570,  1435,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,     0,   198,   579,
     199,     0,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,     0,   590,     0,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1436,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,     0,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
    1437,   637,   638,   220,   639,   640,  1438,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,  1439,  1440,     0,     0,   662,   663,     0,
     664,     0,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,  1441,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,   694,   695,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,     0,  1420,   136,  1421,  1422,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,  1423,  1424,
     456,     0,   457,   458,   459,   460,     0,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,     0,   476,   477,   478,
     479,   728,   480,  1425,  1426,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1427,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,     0,
     507,   508,   509,     0,     0,   510,     0,   511,   512,  1428,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,     0,     0,     0,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,     0,     0,
     536,   537,   538,  1430,  1431,     0,  1432,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,     0,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1433,   190,  1434,
     565,   566,     0,     0,   567,   568,   194,   569,     0,     0,
     570,  1435,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,     0,   198,   579,   199,     0,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,     0,   590,     0,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1436,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
       0,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,  1437,   637,
     638,   220,   639,   640,  1438,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1439,  1440,     0,     0,   662,   663,     0,   664,     0,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,  1441,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,   694,   695,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,     0,  1420,   136,  1421,  1422,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,  1423,  1424,   456,     0,
     457,   458,   459,   460,     0,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,  1425,  1426,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1427,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,     0,   507,   508,
     509,     0,     0,   510,     0,   511,   512,  1428,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,     0,     0,     0,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,     0,     0,   536,   537,
     538,  1430,  1431,     0,  1432,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,     0,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1433,   190,  1434,   565,   566,
       0,     0,   567,   568,   194,   569,     0,     0,   570,  1435,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,     0,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,     0,
     590,     0,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1436,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,  2542,   637,   638,   220,
     639,   640,  1438,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1439,
    1440,     0,     0,   662,   663,     0,   664,     0,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,  1441,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,     0,
    1420,   136,  1421,  1422,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1423,  1424,   456,     0,   457,   458,
     459,   460,     0,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,  1425,
    1426,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1427,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,     0,   507,   508,   509,     0,
       0,   510,     0,   511,   512,  1428,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,     0,
       0,     0,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,     0,     0,   536,   537,   538,  1430,
    1431,     0,  1432,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,     0,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1433,   190,  1434,   565,   566,     0,     0,
     567,   568,   194,   569,     0,     0,   570,  1435,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,     0,   198,   579,   199,     0,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,     0,   590,     0,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1436,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,     0,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,     0,   637,   638,   220,   639,   640,
    1438,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1439,  1440,     0,
       0,   662,   663,     0,   664,     0,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,  1441,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,     0,     0,   136,
       0,     0,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,     0,   456,     0,   457,   458,   459,   460,
       0,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,   728,   480,     0,     0,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,     0,     0,   510,
       0,   511,   512,     0,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,     0,     0,     0,
     520,     0,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,     0,     0,   536,   537,   538,     0,     0,     0,
       0,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,     0,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,     0,   190,     0,   565,   566,     0,     0,   567,   568,
     194,   569,     0,     0,   570,     0,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,     0,
     198,   579,   199,     0,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,     0,   590,     0,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,     0,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,     0,   637,   638,   220,   639,   640,     0,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,     0,     0,     0,     0,   662,
     663,     0,   664,     0,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,     0,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   766,   439,   440,   441,   767,   768,
     769,   770,   771,   772,   773,   442,   443,   774,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,   775,
     449,   450,   451,   452,   453,   776,   777,   454,   455,     0,
     139,   456,   779,   457,   458,   459,   460,   143,   780,   144,
     781,   461,   462,   463,   464,   147,   465,   466,   782,   783,
     467,   468,   469,   470,   471,   472,   784,   150,   473,   474,
       0,   786,   787,   788,   151,   789,   790,   791,   476,   477,
     478,   479,     0,   480,   154,   155,   481,   792,   482,   793,
     483,   484,   485,   486,   487,   488,   794,   489,   490,   491,
     795,   796,   492,   493,   494,   495,   496,   797,   497,   498,
     499,   798,   500,   501,   502,   799,   503,   504,   505,   506,
     163,   507,   508,   509,   165,   800,   510,   801,   511,   512,
     167,   513,   802,   514,   803,   515,   168,   804,   169,   516,
     517,   518,   805,   519,   171,   806,   172,   520,   807,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,   808,
     529,   530,   531,   532,   533,   534,   809,   535,   175,   176,
       0,   536,   537,   538,     0,   177,   812,   178,   813,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,   814,
     815,   546,   182,   183,   547,   184,   816,   548,   549,   550,
     817,   818,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,   819,   567,   568,   194,   569,   820,
     195,   570,   196,   571,   572,   573,   821,   574,   822,   823,
     575,   576,   577,   824,   825,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,   826,
     588,   589,   201,   590,   202,   591,   592,   593,   827,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,   828,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   829,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
     830,   629,   630,   631,   632,   633,   831,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,   832,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
     833,   653,   654,   834,   655,   225,   656,   657,   658,   659,
     660,   835,   226,   227,     0,   837,   662,   663,   228,   664,
     229,   838,   665,   666,   667,   668,   669,   670,   671,     0,
     840,   672,   673,   674,   675,   676,   841,   842,   677,   678,
     679,   680,   681,     0,   236,   844,   682,   237,   683,   684,
     685,   686,   845,   846,   687,   847,   848,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,  1202,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,  2580,   457,   458,   459,   460,   143,     0,
       0,  2656,   461,   462,   463,   464,     0,   465,   466,   726,
    2581,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,  2657,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,  2583,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  2658,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,  2584,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,  2585,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
    2580,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,  2581,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,  2657,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,  2583,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,  3580,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,  2584,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,  2585,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,  1097,   437,   438,  1049,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,  1050,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,  1098,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,  1051,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,  1052,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1049,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,  1050,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,  3306,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,  1051,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,  1052,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,  2580,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,  2581,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,  2657,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
    2583,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,  2584,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,  2585,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   724,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,   727,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
     729,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1049,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,  1050,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,  1051,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
    1052,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,   957,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   958,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   959,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  2252,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,  2253,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,  2254,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,  2255,   515,
       0,     0,     0,  2256,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
    2257,  2258,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,  2259,
     626,   627,   733,   628,     0,  2260,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,  2261,   655,     0,
    2262,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,  2263,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,  1050,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,  1051,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,  1052,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,  2241,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,  3165,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,  3166,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,  2520,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,  3167,   655,     0,   656,  3168,   658,  3169,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,  3170,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   751,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,   729,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   905,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1290,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1291,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,  1132,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1404,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,   129,   130,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  3393,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,  3394,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  3406,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    3407,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     963,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
    1011,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,  1067,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,  1132,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1254,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1255,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1704,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1887,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,  1132,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  1939,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1940,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,  2108,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,  2241,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,  2520,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,  4436,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4450,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,  5130,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
    1079,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1081,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,  1082,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,  1083,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,  1084,   227,     0,     0,  1085,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,  1086,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1126,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1082,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,  1127,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,  1128,   227,     0,     0,  1129,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,  1086,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,  1146,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  1278,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  1285,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  1300,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  1361,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  1376,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  1418,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1476,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  1480,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1482,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1484,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  1488,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  1496,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,  1715,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,  1111,   455,  1082,   139,  1716,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,  1115,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,  1116,   620,   621,   213,
     622,   623,   624,  1117,   626,   627,   733,   628,     0,   629,
     630,   631,   632,  1708,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
    1119,   227,     0,     0,  1120,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,  1086,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
    1121,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,  1841,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1081,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1082,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,  1086,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  2064,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  2094,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  2096,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  2168,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    2170,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  2172,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,  2289,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,  2487,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,     0,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  2878,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  2882,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  2922,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  3317,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  3383,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  3396,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    3398,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  3513,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,  3535,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,  1111,   455,  1082,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,  1115,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,  1116,   620,   621,   213,
     622,   623,   624,  1117,   626,   627,   733,   628,     0,   629,
     630,   631,   632,  1708,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
    1119,   227,     0,     0,  1120,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,  1086,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
    1121,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1082,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,  1086,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,  1111,
     455,  1082,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,  1115,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
    1116,   620,   621,   213,   622,   623,   624,  1117,   626,   627,
     733,   628,     0,   629,   630,   631,   632,  1708,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,  2567,   657,
     658,   659,   660,     0,  1119,   227,     0,     0,  1120,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,  1086,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,  1121,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,  1111,   455,  1082,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,  1115,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,  1116,   620,   621,
     213,   622,   623,   624,  2641,   626,   627,   733,   628,     0,
     629,   630,   631,   632,  2642,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,  1119,   227,     0,     0,  2643,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,  1086,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,  1121,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,  1111,   455,  1082,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,  1115,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,  1116,   620,   621,   213,   622,   623,
     624,  1117,   626,   627,   733,   628,     0,   629,   630,   631,
     632,  2642,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,  1119,   227,
       0,     0,  2643,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,  1086,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,  1121,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,     0,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,     0,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,     0,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114, -2578,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,   425,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114, -2579,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,   126,    35,     0,  1197,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,     0,     0,     0,     0,     0,   120,
     121,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,   125,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,  2217,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
    2218,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,  2219,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,  1040,  1799,  5332,     0,     0,     0,
       0,     0,     0,  5333,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
     129,   130,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,   216,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,   224,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   235,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,   238,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   694,   695,    35,   430,   248,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,   249,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,     0,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,     0,   480,   154,
     155,   481,  2420,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
    2217,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,     0,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,     0,   560,   561,     0,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,  2218,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,     0,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,  2219,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   694,   695,
       0,     0,     0,     0,     0,    35,   430,  1040,  1799,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,     0,   480,   154,   155,   481,
    2425,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,  2217,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,  2218,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,  2219,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,   694,   695,     0,     0,
       0,     0,     0,    35,   430,  1040,  1799,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
       0,   139,   456,     0,   457,   458,   459,   460,   143,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,     0,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,  2217,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,     0,   523,   524,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,   182,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,     0,   560,   561,     0,   562,   563,   564,   189,
     190,   191,   565,   566,   192,     0,   567,   568,   194,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,  2218,
       0,   575,   576,   577,     0,     0,   578,   197,   198,   579,
     199,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,     0,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,   220,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,  2219,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,   236,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,   694,   695,     0,     0,     0,     0,
       0,    35,   430,  1040,  1799,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,   135,   136,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,     0,   139,
     456,     0,   457,   458,   459,   460,   143,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,     0,   476,   477,   478,
     479,     0,   480,   154,   155,   481,  3299,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,  2217,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
       0,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,   182,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
       0,   560,   561,     0,   562,   563,   564,   189,   190,   191,
     565,   566,   192,     0,   567,   568,   194,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,  2218,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,     0,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,   220,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
    2219,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,   236,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   694,   695,     0,     0,     0,     0,     0,    35,
     430,  1040,  1041,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,   135,   136,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,     0,   139,   456,     0,
     457,   458,   459,   460,   143,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,     0,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,   182,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,     0,   560,
     561,     0,   562,   563,   564,   189,   190,   191,   565,   566,
     192,     0,   567,   568,   194,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,     0,   628,     0,   629,   630,
     631,   632,   633,   634,   635,   636,   218,   637,   638,   220,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,   226,
     227,   661,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,   236,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     694,   695,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,  2217,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,  2218,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,  2219,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,     0,   480,   154,   155,   481,  2405,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,  2197,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1280,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,  2766,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,  3715,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,  1297,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,  1384,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,  1466,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,  1478,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,  1492,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,  1493,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   694,   695,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,   129,   130,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   694,   695
};

static const yytype_int16 yycheck[] =
{
       2,  1465,  1163,    78,   249,   210,   885,     2,  1518,    78,
    1168,   393,    78,   377,  1113,    78,   930,  1130,  1474,    96,
     116,   393,  1469,   116,   970,   992,  1050,  1051,  1052,   106,
     230,    78,  1056,  1437,    78,  1299,  1003,    84,   166,  1108,
      84,  1753,   153,   152,  2381,  1873,   116,  1548,  1233,   149,
    1736,   930,  1372,   970,  1916,    78,  2256,  1287,  1910,  1191,
     188,  1309,  1136,  1383,   141,   161,  3189,  3024,   161,  1353,
    2021,  1017,   116,  1457,  3387,   989,    78,  2206,   757,   156,
    1584,  1120,    84,   170,  3360,  3578,  2705,    89,  1916,   164,
    1921,   161,   203,  2394,  1358,  3174,  1440,  2837,  1362,  1425,
    1426,  2828,  3647,  1367,    78,   224,   159,  2091,  3978,  1435,
     989,  1375,  1455,  3925,   116,  2445,  3412,   161,  3414,  2294,
    3605,  1385,   164,   210,  1932,  1257,  1757,  1972,   365,  2757,
    1414,  3567,  1286,  2546,  2547,   758,   232,  1210,   131,   232,
     881,  3562,  3000,  3178,  1210,   379,  3567,   888,  3978,  3634,
     152,  3243,  2103,  1984,  4031,   379,  3235,  4250,   899,   161,
    1016,  1847,   232,  3974,    94,  1002,  4239,  3176,  3177,  2142,
    1116,  4237,  4253,  1793,  1794,  1795,   209,  4262,  2278,  3874,
    4187,  1989,  1990,  4249,  2388,   217,   219,   928,   232,  4240,
    1531,   166,   933,   248,  3109,  1902,  3274,  1788,  1789,  1116,
    1851,   131,  3840,   944,  4519,  4712,  1511,   209,  1250,  2546,
    1160,  2195,  2831,   188,  1502,   217,  3174,   219,  1423,  1424,
    4905,  1299,   152,   153,  3868,  3873,    21,  3941,  1160,  1434,
     232,  3803,   162,    10,  1205,  1206,  4841,  1032,  4843,  5020,
    1286,  1036,  1037,  1038,   111,    30,  1292,    87,    14,    71,
     124,  1046,  1008,   146,  4886,  1301,   131,   138,  4943,    74,
      75,    76,    77,    85,    14,    71,    81,   117,   131,   117,
      87,    71,   148,   203,   131,  4947,  4948,  3235,   957,    84,
      80,   865,   230,   235,   257,    85,  1612,  1613,   102,   148,
      74,    75,    76,    77,   106,   107,  1640,    81,   157,   116,
     160,    71,    98,   185,  1630,    89,    90,    14,   131,   140,
     385,  1510,  2931,   235,  2933,    85,   385,   336,    87,   385,
     184,    71,   385,   148,   157,   178,    87,  1351,  3671,   146,
      74,    75,    76,    77,  3249,   115,   150,    81,   102,   152,
      74,    75,    76,    77,   158,   109,   393,    81,   235,   393,
      74,    75,    76,    77,   416,   116,   102,    81,   241,   335,
     365,   320,   385,   109,    71,    89,    90,    74,    75,    76,
      77,   205,   186,    80,    81,    82,    83,    25,    85,   115,
     187,   428,   102,   214,   428,   146,  1518,  4336,   102,  4338,
     396,   393,   114,   415,   138,   109,  1601,  1602,  1511,   276,
     403,   232,    74,    75,    76,    77,   148,   203,   235,    81,
      78,   385,  2612,   243,   399,  1329,   210,    89,    90,   235,
     401,  1626,   234,   216,   236,   188,   428,    74,    75,    76,
      77,  1110,   452,  3775,    81,   131,   235,    74,    75,    76,
      77,   227,    89,    90,    81,    71,   373,   261,   494,   454,
    1329,   185,    89,    90,   527,   494,   148,     0,   531,    85,
    1659,  5146,  3804,    74,    75,    76,    77,   529,   474,   515,
      81,   131,  1720,   400,   105,  1660,   457,    71,   198,    78,
      74,    75,    76,    77,  5089,   867,    80,    81,   473,    96,
     253,    85,   497,   532,    78,   867,    78,   236,   518,   429,
     286,   235,  1687,  5010,    74,    75,    76,    77,  1475,   531,
     529,    81,    74,    75,    76,    77,   391,  4524,   217,    81,
     479,  2494,    74,    75,    76,    77,   529,   138,   391,    81,
     390,  3079,  3080,   255,   391,   366,  3084,    74,    75,    76,
      77,  2253,    78,   178,    81,  2257,   276,  2259,    78,  1495,
    2262,    78,   661,   529,    74,    75,    76,    77,    98,   532,
    2533,    81,  5132,  5133,  2537,   452,   396,  2031,   391,  1682,
     178,   235,  1518,  3121,  3122,   235,   452,   529,  1495,   373,
    2036,   529,  1695,   178,  1207,  1208,  1718,  1554,   441,   178,
     454,  1723,  1724,   452,    74,    75,    76,    77,   709,   710,
     105,    81,   452,  1570,    74,    75,    76,    77,    87,   216,
     532,    81,  1725,  1726,    74,    75,    76,    77,  1585,   452,
     434,    81,   116,   428,   272,   418,  4062,   452,    74,    75,
      76,    77,   480,   497,   527,    81,   518,   468,   531,  4705,
    4713,  4062,  1588,  1227,    74,    75,    76,    77,   529,   532,
    2336,    81,   465,  5325,   531,   529,   490,   532,   438,   661,
     426,   425,   529,   203,  1520,  4672,  5298,   161,  3981,   532,
     477,  1588,   532,   485,   480,   532,   426,   473,    71,   425,
     475,    74,    75,    76,    77,   525,    78,    80,    81,    82,
      83,  3310,    85,  5216,   102,   391,    78,  2383,   520,   521,
    5481,  2387,   438,   480,  1968,   532,  1970,   529,   525,   532,
     452,   425,   527,   529,   529,   209,   531,   385,   452,   426,
     520,   521,  4729,   217,  4209,   219,  1521,   179,   523,  1524,
    2050,   661,  1527,   532,  1529,   529,  4431,  1532,   232,  4232,
    2024,  1536,   527,   403,  1500,   529,  2247,  5432,  1978,   102,
     520,   521,  2199,   522,   523,   524,   525,   388,  1890,  5444,
     452,   522,   523,   524,   525,   874,  4404,   863,  1900,  1715,
     863,  2019,  1017,    78,   276,   894,  4348,  1723,  1724,   709,
     710,  4495,  4430,  1020,   518,   529,   385,  3866,   452,  3868,
     529,   490,   399,   863,  2656,  2626,  4440,   531,  1715,  1163,
    4444,   385,   532,   385,  5409,   529,   441,  2254,   260,  5124,
     350,   418,   921,   520,   521,   185,  2263,  4766,    78,   863,
     867,  4770,  4771,   867,  4773,  1775,   486,   757,  1960,  5514,
      78,  1963,  1964,   441,    29,  2161,  1807,   190,   913,  3176,
    3177,  3178,  1888,  1775,   913,   385,   441,   913,   959,   385,
     913,  5374,   441,  3888,  5424,   385,   909,   529,   385,  4172,
    3600,   863,   432,   433,  3277,   867,  3279,  1909,  5375,   871,
    2701,   980,  1950,   484,  4881,   415,    25,  1955,   880,   881,
     154,  4888,   529,   388,  4160,  3963,   888,  2228,  1511,   148,
     913,  3192,   529,  2234,   399,  1941,   401,   899,   157,  3978,
    2032,  1029,   192,  1031,  2495,  1033,  2497,  2212,  3866,  2560,
    3868,  1039,   190,  1013,   916,  2203,  5009,   270,   529,  1153,
      98,   195,   484,  3542,  3543,   337,   928,   521,  3362,  1153,
     245,   933,  2131,  2138,  2139,  1063,  1064,  1014,   478,  2646,
    4971,  1016,   944,  1062,   496,  4288,  4289,  4290,  4291,  4292,
     358,   403,   457,  1864,  1031,  4825,  1033,   187,   178,   496,
      71,   963,   144,   515,   385,   185,  1043,   529,   970,    80,
     108,  5478,   276,   975,    85,  1017,   249,   529,   515,   981,
      37,   154,    39,   985,   986,   454,  1063,  1064,   440,   441,
     992,   245,   529,   385,   164,   203,  2339,   320,  4868,  4275,
    1002,  1003,   410,   385,   332,    98,  1008,   342,   164,   529,
     518,  5534,  4882,  1008,   532,  1017,   178,  1136,   536,   276,
    3978,   389,   195,   531,  3939,   203,  2871,   957,   497,   959,
     532,   452,  1946,  2885,   193,   190,   309,   445,   408,   447,
    3244,   520,   521,   522,   523,   524,   525,   415,  1167,   529,
     280,   140,  4882,    70,   190,   408,  1031,   146,  1033,   529,
     213,    78,    79,  2573,  2795,   245,   320,  1946,   157,   529,
     240,   441,  2803,   268,  2805,  2099,   216,   529,   352,   217,
     385,  1011,  1114,   529,   240,  1015,  1118,   499,  1063,  1064,
    1137,  1146,   322,  1137,  2293,  2294,   185,  2210,   187,   529,
    1142,  2300,   322,   190,   323,  1107,  1108,  2306,  2307,  2308,
     203,   481,  1114,  3213,  1116,   270,  1118,  2316,  2317,  1112,
     473,   274,  2321,   272,   494,   385,    14,   520,   521,   154,
    1249,  4826,   340,   406,   270,  1137,  5229,   385,  2542,   156,
     320,   332,  1144,  3577,   374,   515,  2057,  4785,  2333,  3562,
    5020,  5224,  5203,   335,  3567,  5240,  5237,  5188,   131,   529,
     332,  2260,  2261,  4599,   479,   235,   336,    98,  2552,  5235,
     195,   475,   446,   104,  5225,   264,   235,   187,  4599,   352,
    1110,   389,  1112,   270,  4729,   475,  4830,   257,   511,   342,
     207,  4835,   164,   452,  4838,   473,  1191,   532,   257,  2166,
    4513,   529,   185,  1205,  1206,     8,   276,   415,    11,    12,
     154,   431,  2179,   180,   434,  1210,  4701,   276,   475,    22,
      23,    24,   392,    26,    27,   479,   385,  2194,    31,    32,
      33,  3644,  3205,   322,  3782,  3783,  3784,  3785,   327,  1241,
    3788,  3789,  3790,  3791,  3792,  3793,  3794,  3795,  3796,  3797,
     412,   195,   122,   236,   473,  1288,  1289,   350,  4554,   235,
    2174,   180,  1257,   180,     5,   322,    70,  1241,   240,   276,
    2216,  5490,   203,   446,    78,    79,  2988,   366,   418,   533,
     349,   342,   249,   300,    25,   415,  1288,  1289,   368,   178,
     154,   380,   385,   140,    35,  2174,  3844,  3845,  2918,   479,
    2137,    98,   532,  5376,   532,   460,   185,   104,   536,   529,
     157,  5122,  1314,   415,   467,   102,  2429,   327,   473,  1321,
      14,   408,   415,  1325,   494,  1299,   103,   352,   349,   276,
     249,   195,   249,   350,   157,   365,   235,   473,   529,  1341,
     323,    87,   309,   180,  1397,   312,   415,   320,   276,  4889,
    5227,   237,   156,  1355,   164,  2192,   485,   529,   257,  2215,
     530,  4440,   185,   533,   336,  4444,   237,   214,   385,   863,
     116,   399,   389,  5592,   184,   178,   124,   276,  5385,   468,
    2512,  2480,   252,   494,  5477,   232,   473,   257,   230,  5482,
     309,  1393,   309,   312,   415,   235,   137,  5267,   415,  2313,
     146,  4493,   532,   207,   515,   475,   203,   217,   352,   520,
     521,   198,   249,   336,  1659,  5053,   475,   257,   391,   350,
     392,   446,  5292,   293,   454,   187,  4461,   444,   176,   446,
     532,   320,  4467,  2753,  2313,  1437,   276,  4977,   229,   406,
     196,  5085,   415,   322,  5537,  1520,  1523,  4456,  1525,   529,
     206,  1528,   338,  1530,   385,  1837,  1533,  1534,  1535,  2532,
    2924,   202,  5292,   533,   378,  1837,  2532,   497,   475,  1546,
    4328,   532,   309,  1475,   533,   312,   452,   494,  2934,   238,
    4916,  2928,  4440,  1560,   415,  1562,  4444,   406,   352,   406,
    5302,  5303,   475,  1495,   271,  4916,   300,  1499,  1500,   322,
    1502,   529,   446,  4996,  1499,  1500,  5599,  1502,  1510,  1746,
    5148,   314,  3712,   238,  5152,  5153,  1518,   333,   280,   366,
     336,   269,   494,  1518,   403,  3377,  1760,  1761,   475,  1763,
     401,   272,  2852,  2853,  2854,  2855,  1760,  1761,   227,  1763,
     112,   185,   518,   510,  2864,   387,   350,   475,   434,   342,
     420,  3888,  1554,   350,   124,   531,   342,   336,   530,   362,
     322,   533,   529,   236,   225,   185,  1568,  2721,  1570,   406,
     361,   381,   320,   487,   326,  3206,   475,    25,   257,   309,
    3755,   100,   446,  1585,   455,  5125,  1588,    35,   385,  2212,
     461,   510,  2724,  3305,   350,  5135,   232,  1599,   408,   110,
    2732,   120,  2734,  4231,   527,   533,   176,   245,   531,  2655,
     529,  5481,   374,  2897,   237,   189,   340,  3947,   415,   405,
    1114,   468,   194,   179,  1118,  1627,   350,  2573,  3473,   385,
     319,   441,  4180,   294,   533,   475,   177,  1567,  1734,    70,
     444,  1734,   446,    74,    75,    76,    77,    78,    79,  4062,
      81,   410,  3483,  1655,  1656,  1657,   404,  1659,  1777,   462,
    4973,   385,   424,   282,  1734,    74,    75,    76,    77,  1671,
     422,   481,    81,   510,   185,  2721,   406,  1679,   322,  4298,
     353,  4300,   320,   442,   494,   410,  2653,   452,   441,   137,
    1734,  1787,   213,   533,   189,    87,  5508,  2743,   190,   269,
    2614,   320,  2901,   277,   260,   515,   385,   327,  1701,  1702,
     389,   203,   350,  1715,  3698,   338,  1718,   442,   132,   529,
    5213,  1723,  1724,  1718,   116,  2771,   140,   415,  1723,  1724,
    5215,  1733,  1734,   187,    98,  2614,   415,   530,   463,   532,
     104,  1788,  1789,  1787,  1788,  1789,  4825,   385,   421,   180,
     320,  4830,   271,   230,   146,  1851,  4835,  5033,  1851,  4838,
    1762,  5254,   486,   240,  1766,  1767,   307,   532,   198,   310,
     200,  1701,  1702,   294,   520,   521,   522,   523,   524,   525,
     257,  1851,   277,   452,   349,  1787,  1788,  1789,    22,  4868,
    1837,   385,   101,  1837,  1288,  1289,   350,  1844,    87,   418,
    1844,   389,  3533,  4882,  1799,  1807,   235,  1851,  4765,  3540,
    3541,   157,  1805,  3544,  3315,   494,   278,   306,   249,  3627,
    3551,   415,  3630,  5136,   272,   134,   280,   415,   257,  1824,
    1825,   342,  1885,   401,   404,  1837,   515,    71,   147,   203,
    5385,   479,  1844,  1845,   532,   187,  5142,   403,  2527,  1851,
     415,   349,   161,  3196,   473,   387,  2880,   146,   475,  1861,
    2992,   415,  1864,   532,  1983,   408,  1868,  4825,   322,    78,
     309,   363,  4830,   312,   336,  1805,   239,  4835,   309,   385,
    4838,   312,  3081,   297,   440,   441,   161,   225,   140,   457,
    3346,  3275,   201,   239,  3093,  1890,   283,  3281,   441,  5384,
    1902,   527,   332,   212,   124,  1900,  5029,   533,  1910,   415,
    4868,  2652,   529,   529,   260,  4534,  4535,   394,   327,  4876,
     374,  4878,   264,   232,  4882,   475,  3125,   213,   237,    74,
      75,    76,    77,   185,   297,   198,    81,   200,   481,   225,
     225,  5020,  1944,  2889,   230,   230,   166,    74,    75,    76,
      77,   297,  4692,  4680,    81,   164,   294,   232,  2054,  3285,
     223,  2054,   494,   378,  3163,  1960,   127,   406,  1963,  1964,
     188,   191,  2889,  5249,  2715,   406,  1950,  4704,   320,   529,
     322,  1955,   188,   515,  2054,   146,   529,   207,   274,   350,
     165,   211,  5305,   454,   409,   341,   334,   306,  3710,   160,
     532,   452,  2004,   494,  2006,  2951,  5085,   518,   294,   294,
    2054,   231,   475,   100,   234,   533,   527,  2126,   529,   530,
     531,   532,  3183,  2025,   385,    80,   441,   247,  2769,   338,
      85,  3982,  2716,   120,  2951,   253,    84,  2032,  2040,  5532,
     249,   532,   532,    91,    92,    93,  2048,   253,   334,   334,
    3334,   212,  2054,   533,   415,  2057,   342,  2059,  2440,   322,
     369,   236,  5020,   239,   327,  3197,   529,   518,  2440,   332,
     322,   378,   487,  2075,   282,   327,   213,  2079,  4913,   510,
     531,  2286,   445,   198,   447,   200,  2770,    70,   225,  2091,
     159,   266,   336,   230,   403,    78,    79,   341,  5583,   445,
     409,   447,   409,   412,  2106,   399,   281,   327,   471,  3610,
     350,   457,   320,  5426,   366,   335,   291,  2119,  3619,  4456,
    4955,   297,   468,  2125,  4461,   471,   215,  5085,   380,  2131,
    4467,   200,   441,  3363,   441,  2137,   430,   274,  3824,   448,
    2215,   399,   317,   401,   322,   385,   455,  2149,  2225,   327,
    2227,  2270,   372,   462,  2231,  3194,  2233,   294,  3388,  2236,
     350,   336,  2164,  2240,  2166,  2167,   374,  4029,  5291,   258,
     379,  4472,   496,   156,  2216,   415,   385,  2179,   487,   239,
     487,   467,   327,   350,  4015,   528,  4599,  2189,  5267,   532,
    2192,   515,  2194,  2195,   372,   385,   459,   334,  2285,   457,
     327,  2203,   378,  2278,  2206,   342,   469,   322,  2203,  2278,
     418,  2206,  2278,  5292,  2216,  2278,   468,   332,   385,   236,
     395,   350,   389,  3137,   350,   208,  4034,  4035,   496,    74,
      75,    76,    77,  4781,  3738,  4066,    81,   297,   535,  2292,
    1734,   527,   491,   350,   530,   531,   306,   515,   415,   266,
    2346,  3197,  5565,  2346,  2256,  2278,   385,   231,  3137,   385,
     230,   529,  3948,   303,   281,   473,   496,    40,   225,   445,
     527,   447,   118,   230,   291,  2073,  2346,   534,   385,   262,
     528,   251,  3746,   532,   532,   515,   415,   475,   262,   529,
     338,  2293,  2294,   139,  2092,   471,  2975,  2299,  2300,   529,
     475,  4252,  2346,  2305,  2306,  2307,  2308,  3571,   415,  5267,
    2312,   487,  2314,  2315,  2316,  2317,  2318,  2319,  3364,  2321,
      70,  2323,  2324,  3667,  3668,  2327,   237,    50,    78,    79,
     467,  2459,   230,   272,  5292,  3302,  3303,   294,  3217,  2341,
    2342,  2343,  2344,  2345,  2346,    68,    70,    71,  2350,   350,
     385,   177,  2354,   251,   389,  2357,   267,  1851,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,  1861,  2370,  4498,
    2575,  4990,  2577,   356,   494,   129,  2378,   334,   395,  2381,
     415,   148,    16,  5506,   385,   445,  3332,   447,   148,   368,
     157,  4728,  3438,  2440,   524,   515,  2440,   157,   457,   529,
    2442,   531,  5481,  4255,   444,   231,   399,   400,  1902,    84,
    4238,   471,    87,  4144,   415,  3332,  5539,   487,   374,  4150,
    4151,   331,  4153,   177,     2,    74,    75,    76,    77,   336,
     386,   471,    81,   284,   341,   198,   262,   200,  2440,   524,
     445,   116,   447,  2445,   529,  2573,   531,   122,  2495,   530,
    2497,  2495,   533,  2497,   494,   411,   496,  2566,  3742,   494,
     223,   527,  2485,   529,  2560,   531,  5423,  2560,   516,   517,
     518,   146,   520,   521,   522,   523,   524,   525,  3979,  3980,
     515,   307,   327,   466,   310,  5608,   494,  3454,   405,   529,
    2560,   474,    34,  2495,   477,  2497,  3463,   137,   138,   530,
      70,    71,   533,  4916,  5052,   259,  2625,   515,    78,    79,
     308,    89,  2006,   529,  2516,    85,  2560,  2512,  3092,   187,
    3094,  3095,   457,  5481,   532,   520,   521,   522,   523,   524,
     457,   445,  2534,   447,  2536,   530,   211,  2532,   387,  2534,
    2542,  2536,   306,    84,  2546,  2547,    87,   522,   523,   524,
      91,    92,    93,   307,  2556,   527,   310,   529,  2560,  2561,
    2054,   405,   230,  2565,   327,  2325,   320,   306,  2328,   332,
     260,  2573,  3596,   161,   152,   116,   165,   252,  3777,    84,
     158,   122,   257,   529,   534,   531,   530,  2683,   532,  2591,
    2683,  2687,  2594,    71,  2687,   349,   264,  2527,   308,  4311,
    4312,  4313,   457,  2605,  2713,   146,   251,  2609,   186,  5022,
    2612,   530,  3811,   532,   530,  3747,   532,  2687,   293,  2621,
    3587,   153,  3589,  4007,   530,   487,   532,  3573,   128,  3575,
    1767,   494,  2634,   496,  3960,   284,   390,   405,   529,  2683,
     531,   303,   284,  2687,  2646,   532,   533,   236,  3722,   303,
    2652,  2653,   320,   530,   322,   532,  3573,  3856,  3575,  2661,
     535,    70,    71,   338,  3912,    74,    75,    76,    77,    78,
      79,    80,    81,   399,   400,   429,    85,   266,  5176,   529,
    5178,  2683,  2684,  3562,  5182,  2687,  5184,   530,  3567,   532,
    4552,   530,   281,   532,  3879,    85,   459,  3643,    74,    75,
      76,    77,   291,   336,   913,    81,   469,   408,   530,   529,
     532,   252,   118,  2715,  2716,   403,   257,  2719,   530,   532,
     532,  3882,  3883,  3884,   485,    70,  3643,  2823,   317,  2724,
    2823,     7,   128,    78,    79,  2737,   487,  2732,  2838,  2734,
     441,   403,   512,    19,    20,   420,  2748,   280,   530,   403,
     532,   531,   293,  2823,    99,   530,   530,   532,   532,  2761,
     303,   530,    38,   532,   494,    41,   496,  2769,  2770,  4969,
    3737,  4457,   530,   303,   532,   530,   185,   532,   339,  2823,
     481,   339,   444,   520,   521,   522,   523,   524,   532,   533,
     444,   528,   530,   494,   532,   452,   530,   338,   532,   530,
     336,   532,   530,  4489,   532,   230,   395,  1016,  1017,   471,
     336,   156,  2814,  2815,   515,   512,   530,   471,   532,    84,
     339,  2823,    87,    74,    75,    76,    77,  2829,   529,   445,
      81,   447,   494,  2835,   496,   530,  3081,   532,   513,   530,
     494,   532,   496,    89,    90,   520,   521,   522,   523,   524,
     525,   116,  2346,   530,   445,   532,   447,   122,   118,   530,
     403,   532,  1157,   208,  1159,  2867,   275,   529,   512,    74,
      75,    76,    77,   403,   522,   529,    81,    89,    90,   420,
    3125,   146,   280,  2885,   160,   234,   532,  2889,   297,    74,
      75,    76,    77,  4157,   530,   530,    81,   532,   530,  2901,
     532,   444,   530,   530,  5241,   532,  4136,   529,  4620,  4621,
     128,  4623,   257,   530,   444,   532,   303,   262,  4649,   235,
    4651,  4652,   276,   199,  4655,   530,   533,   532,   471,   522,
     530,   303,   532,   535,   303,    74,    75,    76,    77,   535,
     272,   471,    81,   530,  1153,   532,  4266,   209,   530,  2951,
     532,   494,   529,   496,   530,   111,   532,  2959,   530,   530,
     532,   532,    84,   452,   494,    87,   496,   452,  3168,  3169,
    3170,   494,   513,   496,   128,   516,   517,   518,   452,   520,
     521,   522,   523,   524,   525,   272,   529,   252,   452,   278,
    4394,   452,   257,  3238,   116,   452,  2998,  2992,   529,   529,
     122,   530,   415,   532,  3100,   303,   530,  3100,   532,   531,
    3106,   356,  3014,  3106,  3016,   530,   403,   532,    74,    75,
      76,    77,  3024,   498,   146,    81,  3028,   529,   293,  3031,
    3100,   403,  3034,   530,   403,   532,  3106,   530,    84,   532,
    3042,    87,   530,   385,   532,  2975,   530,   257,   532,  3051,
     530,   396,   532,   303,  3056,   218,  3100,   444,   530,   530,
     532,   532,  3106,   530,   529,   532,  2560,   530,   218,   532,
     116,   531,   444,   338,   257,   444,   122,  3079,  3080,  3081,
     336,   385,  3084,   661,   471,   530,   530,   532,   532,   211,
    3092,  3093,  3094,  3095,   439,   530,   336,   532,  3100,   471,
     146,   218,   471,  3105,  3106,   403,  3108,   494,  3110,   496,
     257,   520,   521,   530,   530,   532,   532,   218,   230,  3121,
    3122,   466,   494,  3125,   496,   494,   530,   496,   532,   474,
     252,   530,   477,   532,   324,   257,   336,  3139,  3213,  3141,
     385,  3143,   529,   218,  3213,   303,   444,  3213,   533,   530,
    3213,   532,  2646,   403,   292,   420,   530,   529,   532,   187,
     529,  3163,   530,   475,   532,   211,   530,   530,   532,   532,
     336,   293,  3174,   471,  3176,  3177,  3178,   529,  2315,  5007,
     457,   405,  4381,  4062,  4316,   331,  2323,  4688,   487,  2683,
    3213,   323,   324,  2687,   444,  3197,   494,   230,   496,  3201,
     284,   530,  3197,   532,   530,   530,   252,   532,    89,   529,
     140,   257,  3214,   530,   111,   532,   338,  3219,   408,   322,
     530,   471,   532,  3225,   530,   498,   532,  4958,   530,   529,
     532,   529,  4445,  3235,  4447,   322,  4203,  4204,   530,   530,
     532,   532,   336,   118,   494,   403,   496,   293,   513,  4216,
     530,   441,   532,   118,   462,   520,   521,   522,   523,   524,
     525,   530,   530,   532,   532,   350,   530,   530,   532,   532,
     230,   530,  3274,   532,   487,  3277,   408,  3279,   530,   529,
     532,   530,  3284,   532,  3286,   487,   444,  5487,  5488,   153,
     230,   481,   338,   530,   530,   532,   532,   530,   420,   532,
    3302,  3303,   106,   107,   494,   530,  3308,   532,   369,   441,
     218,  1520,   534,   471,   218,   529,  3412,  3413,  3414,  3412,
    3413,  3414,   218,   484,   362,   515,   529,  3329,   529,  2823,
    3332,   218,   910,  3335,  4519,   110,   494,   532,   496,   529,
     530,   498,   218,   533,   218,   218,   218,   336,   218,   481,
    3352,   218,   336,   230,   336,  3451,   218,   218,  3451,   218,
     164,   218,   494,   218,   218,   441,  5078,   529,  3412,  3413,
    3414,   529,   111,   292,   420,  3377,   529,  5089,   230,   230,
     184,  3451,   336,   515,   529,   529,  1595,   230,   529,   529,
     347,   513,   970,   971,   529,   529,   529,   529,   520,   521,
     522,   523,   524,   525,   529,  1614,     2,  3451,   529,   529,
    3412,  3413,  3414,   217,   529,   529,  4485,   495,  5618,  5619,
     529,   529,   529,   529,   529,   529,   276,   529,   111,   529,
    1008,   529,   529,   529,  3436,  1644,   529,   529,   529,   529,
     168,   276,   278,   532,  3446,   292,  3448,  3449,   111,  3451,
    1659,   532,  3454,   230,   334,   522,  5168,   230,   272,   415,
     406,  3463,    84,   332,   312,    87,   532,   513,   184,   474,
    3566,   518,   532,  3566,   520,   521,   522,   523,   524,   525,
      14,   532,   452,   452,   529,   529,   529,   403,  3852,  1067,
     531,   452,   403,   452,   116,   294,  3566,   452,   518,   452,
     122,   452,   157,   403,   218,   336,   336,  3509,   407,   289,
     452,   452,   327,   452,   336,   444,   474,   336,   529,   332,
     399,   452,  3566,  1101,   146,   452,  3528,   250,   529,   157,
     532,   257,  3534,  1111,   350,   179,   218,  1115,  1116,  1117,
     475,   475,   452,   452,   128,  3654,  3657,   452,   128,   452,
     452,  1760,  1761,   340,  1763,   444,   117,   452,   452,  3561,
    3562,  5273,   452,  4477,  3566,  3567,   117,  3562,   452,   403,
     166,  3573,  3567,  3575,   452,   336,   278,   381,   498,   336,
     532,   452,  4549,   336,   278,  3587,   278,  3589,   494,   211,
     111,   529,   188,   100,   452,   336,   462,   218,  4477,   185,
    3623,   322,   218,  3722,   408,  3850,  3100,   529,   332,   300,
    3633,   322,  3106,   322,   111,   475,   230,   529,   486,   111,
     284,   404,   529,  3868,  3626,   110,   450,  1205,  1206,   450,
     252,   415,  1210,   531,  3657,   257,   527,   441,   475,   527,
     452,  3643,  3644,   452,   218,  4612,   218,   218,   475,  4673,
     218,   218,    14,   331,   452,   326,   235,  3659,  3858,  3859,
    3860,  3861,   490,  5173,   314,   314,    87,   452,   450,   532,
     243,   293,   226,   529,   518,   235,   454,   481,   418,   532,
     529,   485,   274,   529,  4845,  5149,   250,   532,   530,   282,
     494,  4852,   532,   534,  5150,   250,  3698,   529,   337,   532,
     111,   475,    34,  4967,    10,   530,   532,   530,   344,   128,
    3712,   515,  4870,  3715,   452,   452,   338,  5164,   403,  5166,
    4599,  3817,   530,   403,  3817,   529,   529,  3657,   475,   282,
     282,   487,   327,   327,   452,  3737,   529,   452,  3740,   452,
     457,   230,   284,   405,   327,   220,   336,  3817,   118,   424,
     220,  4864,  3747,   322,   292,  3757,   292,   292,  3760,   399,
     335,   532,   452,   444,  3766,   452,   336,   385,   251,   412,
    3772,   336,  3774,  3817,   374,  3777,   452,   278,   452,  3781,
    3782,  3783,  3784,  3785,   278,   111,  3788,  3789,  3790,  3791,
    3792,  3793,  3794,  3795,  3796,  3797,   278,   278,   420,  3801,
    3802,   278,   475,   130,  3806,   475,   284,   335,   371,  3811,
     260,   518,   518,  3815,   218,  3817,   230,  3819,   487,   232,
     230,    84,   332,  5333,    87,  3827,   529,   412,  3830,   529,
    3832,   218,   218,   217,   494,   322,   163,   111,  3840,  3841,
    5341,  5342,  3844,  3845,   284,   336,   322,  3849,  3850,   248,
     336,   523,   248,   116,  3856,   230,   111,   312,  5057,   122,
     527,   512,   530,   218,  3866,   512,  3868,   336,   336,   530,
     336,   530,    84,   530,   530,    87,   284,   230,  3880,   412,
     257,   257,    99,   146,  3886,  3887,  3888,   532,   257,  4988,
     532,   513,   498,   241,   221,   532,   452,  5096,   520,   521,
     522,   523,   524,   525,   116,  4287,   529,   235,   311,   336,
     122,  5072,   494,   532,   128,  4287,   457,  1495,  3412,  3413,
    3414,  1499,  1500,   441,  1502,   331,   284,   254,   487,   530,
     235,   530,  3934,   530,   146,   347,   235,   355,   452,   530,
    1518,   530,  3079,  3080,   532,  3947,   346,  3084,   211,   530,
    4917,  5452,   530,   529,   473,   302,   481,  3451,   336,   128,
    4056,  3963,   289,  4056,   530,  4061,  4094,  4063,  4061,  4883,
    4063,   491,   530,   530,   514,   512,  3978,   336,   491,   339,
     530,   529,   529,   529,  3121,  3122,  1564,   530,   518,   252,
     529,  4061,   518,  4063,   257,   322,   336,   529,   260,   211,
     881,   452,   533,   532,  4883,   532,  2215,   888,  4010,   218,
    1588,  5521,  4056,  4927,   530,   530,   452,  4061,   899,  4063,
     529,   529,   452,   268,   351,   498,   327,   452,   322,   218,
     293,   340,   218,   407,   218,   407,   407,  4916,   292,   260,
     252,  5173,   220,   452,   475,   257,   294,   928,  4927,   356,
     472,  5515,   933,   356,  4056,   452,   336,   452,   452,  4061,
    4062,  4063,   389,   944,   391,  5264,   393,  4062,   304,  2278,
     452,   304,  3566,   400,   304,   338,   322,  5276,   403,   452,
     407,   293,  5281,  1661,  5283,   452,   452,   452,   415,   403,
     403,   452,  1670,   403,   415,   452,   452,   218,   452,   117,
     427,   452,   278,   278,   278,   278,  1684,   245,   435,   532,
     530,   452,   462,  4115,   530,   387,  4118,   118,   178,   335,
     111,   336,   218,   530,   218,   230,   338,   532,   529,   452,
     245,   138,   530,   475,   403,   528,   475,  1715,   529,   230,
    1718,  1719,  2351,   403,   403,  1723,  1724,   532,   339,   216,
     216,   412,   278,   278,   278,   209,   235,   420,    87,   527,
     347,   230,   489,   235,   486,   342,   243,   530,   532,   337,
    4165,   491,   235,   392,   155,   462,   111,   529,  4180,   515,
     230,   530,   475,   475,   530,   530,   530,   518,   452,   532,
     268,   284,   529,   444,   532,   530,   128,   530,   532,   528,
     530,  4203,  4204,   518,   218,  4207,   462,   407,   420,   452,
     529,   529,   452,   452,  4216,   403,  4218,   452,   452,   530,
     403,   518,   530,   871,  4247,   385,   530,  5173,   494,  1807,
     128,   529,   880,   444,   230,   220,   146,   178,   218,   462,
    4287,   530,   278,  4287,   278,   278,   278,   529,   370,   498,
     513,   282,   494,  4255,  4256,  4257,   529,   520,   521,   522,
     523,   524,   525,   263,   529,   532,   230,   151,   916,   462,
     452,    84,   530,   444,   240,   532,  2485,   529,   412,   532,
    5304,    84,   532,   530,    87,  4287,   178,  4310,    91,    92,
      93,   529,   235,   530,   278,   278,   528,   235,   529,   278,
     278,   513,   530,   379,   128,   108,  4511,   492,   520,   521,
     522,   523,   524,   525,   532,   345,   529,  4319,   347,   529,
     492,  4316,   530,  3817,  1205,  1206,   530,   975,   530,   281,
     281,   443,   529,    84,   343,   128,    87,   985,  4340,   246,
      91,    92,    93,   332,   462,   452,   235,    70,   494,  4351,
     530,   530,   518,   262,   146,    78,    79,   327,   327,   518,
     530,    84,   128,   444,    87,   532,   452,   532,    91,    92,
      93,   140,   452,   218,   278,   529,   237,   452,   235,  4381,
     475,   257,   529,   475,   412,   108,  5300,  5333,   111,  4391,
    4392,   111,  4394,   116,   204,   494,  4398,  4399,  1976,   122,
     490,  4403,  4404,   111,   235,   494,  4408,   230,   336,  4411,
    4412,   265,  1008,   529,  4416,   339,   530,   276,   235,   529,
    4422,  5300,   379,   146,   480,   529,   428,   530,   530,   354,
     281,   529,  4560,  1029,   493,  1031,   157,  1033,  4440,   199,
     336,   529,  4444,  1039,  1040,  1041,   530,   529,   452,   380,
     230,   192,   111,   452,  4456,   327,   530,   305,  4554,  4461,
     260,  4554,   370,   217,  4487,  4467,   530,  1063,  1064,   111,
     340,   529,   529,   400,   529,   278,   529,  4472,   529,   400,
     529,   426,   530,  4485,   426,   462,   530,   128,   128,   111,
     529,   518,   529,   475,   532,   530,  4498,   444,   444,  2077,
     320,   336,  4598,  4498,   529,  4598,   257,   529,   444,   530,
    4554,   530,  4514,   529,    81,   224,   140,   370,   339,   140,
     199,   494,   494,   479,    84,   480,   532,   278,  4598,   252,
    4532,   529,   379,   111,   257,   338,   529,   415,   235,   444,
     377,   491,   230,   327,   204,   262,   336,  4549,   336,   412,
     111,   237,  4554,   529,  4598,   278,   279,   111,   339,   237,
     339,  4563,  4056,   530,   529,   128,   529,  4061,   529,  4063,
     293,   530,   399,   190,   473,  5521,   530,  4579,    81,   386,
     529,   399,  4584,    97,   532,   108,   217,   338,   532,  4591,
     529,   235,   452,   370,   426,  1191,  4598,  4599,    84,   494,
    4602,    87,   325,   494,  4599,    91,    92,    93,   237,   529,
    4612,   426,   237,   385,  1210,   338,  2007,  1282,   341,  1253,
    2836,  3197,   108,  1289,  2696,  2203,  4061,  3388,  2206,  1724,
    1288,  2765,  3558,  4159,  5186,  5331,  5521,  5003,  4201,  5007,
    4642,  4666,  4987,  3309,  2980,  3782,  3783,  3784,  3785,  5430,
    4882,  3788,  3789,  3790,  3791,  3792,  3793,  3794,  3795,  3796,
    3797,  1257,  4664,  5512,  5359,  5358,  1314,  5461,  3313,  4248,
    4234,  4193,  2826,  4675,  2826,  4056,  3413,  1325,  3815,  4217,
    4691,  2078,  2820,  3612,  5523,  5598,  5617,  4982,  3566,  3561,
    5472,  4929,  2067,  5319,  5440,   188,  4932,   420,  4319,  5121,
    2547,  4255,  3284,  5241,  1000,  3512,  2281,  3844,  3845,  2282,
    4598,  5486,  2281,   516,   517,   518,  1555,   520,   521,   522,
     523,   524,   525,  5601,  2442,  1868,  4728,  2305,  4730,    84,
     971,  2443,    87,  1571,  2216,  4236,    91,    92,    93,  1131,
    4488,  5422,  3945,  1513,  2963,  1393,  1752,  1695,  3214,  1770,
    2483,    84,  1769,   108,    87,  3225,  3220,  3891,    91,    92,
      93,  5415,  5285,  4765,  4470,   516,   517,   518,  1772,   520,
     521,   522,   523,   524,   525,   108,  2482,  3235,  3868,  4781,
    4431,  4446,  5086,  4785,  1777,  3866,  4863,  5267,  4790,  5266,
     513,  5055,   278,   516,   517,   518,  3946,   520,   521,   522,
     523,   524,   525,  3677,  3819,  4807,  4808,  5418,  5405,  4811,
    5419,  4854,  2375,  3217,  3142,  3052,  3201,  3140,  2378,   661,
    3654,  5396,  2890,  4825,  1401,  2113,  1789,  2516,  4830,   111,
     394,  2492,  1567,  4835,  2412,  3191,  4838,  4839,  1783,  1228,
    2532,  2524,  3952,  2525,  4846,  4847,  1010,  4471,   130,  3953,
    3918,  5096,   338,   427,  1787,  2536,  2245,  2976,  1499,     2,
      -1,  4856,    -1,    -1,    -1,    -1,  4868,  4963,    -1,  1698,
    4963,    -1,  3081,  5118,  4876,    -1,  4878,    -1,    -1,   882,
    4882,   163,    -1,    84,  1208,  1042,    87,    -1,   891,    -1,
      91,    92,    93,  4963,    -1,    -1,  1208,   900,    -1,    -1,
      -1,    -1,    -1,  1499,  1500,   908,  1502,    -1,    -1,    -1,
      -1,   914,    -1,    -1,  4916,  4917,  3125,    -1,    -1,  4963,
      -1,  4916,  1518,   278,  4926,    -1,  1807,    -1,    -1,    -1,
      -1,    -1,    -1,  3142,    -1,    -1,    -1,    -1,  2516,   221,
      -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,  3158,
      -1,    -1,    -1,    -1,  2532,    -1,  2534,    -1,  2536,    -1,
      -1,  4963,    -1,    -1,    -1,  3174,    -1,  4969,    -1,  4992,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,   338,    84,    -1,    -1,    -1,    -1,    89,
      -1,    -1,    -1,    -1,  5017,  2573,    -1,    -1,    -1,    -1,
      -1,    -1,   284,    -1,  3213,   338,    -1,   289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,  5020,    -1,
    5022,    -1,    -1,    -1,    -1,    -1,  3235,    -1,    -1,  3238,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
     322,    -1,    -1,  4180,    -1,    -1,  5142,    -1,    -1,  5142,
    5052,  5053,    -1,  5055,    -1,  5057,    -1,    -1,    -1,    -1,
    4554,   161,    -1,  2641,    -1,    -1,    -1,    -1,    -1,   351,
      -1,    -1,    -1,    -1,  1077,    -1,    -1,   278,    -1,  5081,
      -1,    -1,    -1,  5085,    -1,    -1,    -1,    -1,    -1,  5091,
      -1,    -1,    -1,    -1,  5096,    -1,    -1,    -1,  5142,    -1,
      -1,    -1,    -1,    -1,  4598,    -1,    -1,   389,    -1,   209,
    1113,   393,    -1,    -1,    -1,    -1,  5118,   217,   400,   219,
      -1,    -1,  1718,  2004,    -1,   407,    -1,  1723,  1724,  1132,
      -1,    -1,   232,   415,    -1,    -1,    -1,   338,    -1,    -1,
    5142,    -1,    -1,    -1,    -1,   427,  5148,    -1,    -1,    -1,
    5152,  5153,  1155,   435,    -1,  5157,    -1,    -1,    -1,    -1,
      -1,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,  5173,    -1,   455,    -1,    -1,    -1,    -1,  5173,    -1,
      -1,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,  2075,    -1,    -1,    -1,  2079,  5201,
    5223,  1797,    -1,  1799,    -1,    -1,    -1,   489,    -1,  2787,
    2091,   493,   494,    -1,    -1,    -1,    -1,  2795,    -1,  5221,
      -1,  1817,    -1,    -1,    -1,  2803,    -1,  2805,  1824,  1825,
      -1,    -1,    -1,    -1,    -1,  5331,    -1,    -1,  5331,  5241,
    5242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
    5252,    -1,    87,    -1,    -1,  1258,    91,    92,    93,    -1,
      84,  5331,  5264,    87,    -1,  5267,    -1,    91,    92,    93,
      -1,    -1,    -1,  2851,  5276,    -1,    -1,    -1,    -1,  5281,
      -1,  5283,    -1,  5285,    -1,    -1,  2167,  5331,    -1,    -1,
    5292,    -1,    -1,   393,  1890,    -1,  5541,    -1,    -1,    -1,
      -1,    -1,    -1,  2881,  1900,    -1,    -1,    -1,  5310,    -1,
      89,  2889,    -1,    -1,  2195,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   428,  5331,
      -1,  5333,    -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1364,    -1,    -1,  1960,    -1,    -1,  1963,  1964,    -1,
      -1,  5373,    -1,  2951,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1387,  1388,  1389,   166,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5404,  5405,    -1,    -1,    -1,    -1,    -1,   188,
      -1,  5486,    98,  5415,  3623,    -1,    -1,  5486,   104,    -1,
    5486,  5423,    -1,  5486,  3633,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5435,    -1,    -1,  2032,    -1,    -1,  5535,
      -1,    -1,  5535,   278,    -1,    -1,    -1,    -1,  3657,    -1,
    5473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,    -1,    -1,  5486,    -1,  5535,  5541,    -1,    -1,  4963,
      -1,  2119,  5541,    -1,    -1,  5541,    -1,    -1,  5541,  5481,
      -1,    -1,    -1,    -1,    -1,  5487,  5488,    -1,  5490,    -1,
      -1,  5535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5598,   338,    -1,  5598,    -1,  5509,    -1,    -1,
     196,    -1,    -1,    -1,   338,  2111,  2164,   203,  5541,  5521,
     206,  5617,    -1,    -1,  5617,    -1,  5601,    -1,  5598,    -1,
      -1,    -1,  5601,  5535,    -1,  5601,    -1,    -1,  5601,  2135,
    5535,    -1,    -1,    -1,    -1,   231,    -1,  5617,    -1,  2145,
    1553,  2147,    -1,    -1,  5598,    -1,    -1,    -1,  2154,    -1,
      -1,    -1,    -1,  2159,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5617,    -1,    -1,   262,    -1,  5601,    -1,
      -1,  1584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5592,  5593,    -1,    -1,    -1,    -1,  5598,    -1,    -1,    -1,
      -1,    -1,    -1,  5598,  5606,    -1,    -1,  2203,  2256,    -1,
    2206,    -1,    -1,    -1,    -1,  5617,  5618,  5619,    -1,  3197,
      -1,    -1,  5617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,  2516,   322,    -1,    -1,    -1,
      -1,  3850,    -1,    -1,  4781,    -1,   332,    -1,  5142,    -1,
      -1,    -1,    -1,  4790,   340,    -1,    -1,  3866,    -1,  3868,
      -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2556,    -1,    -1,    -1,    -1,
    2561,   516,   517,   518,  2565,   520,   521,   522,   523,   524,
     525,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,   388,   389,    -1,    -1,  2302,  2303,    -1,    -1,
    2591,    -1,    -1,  2309,  2310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1730,    -1,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,  2338,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,  2634,  3332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   863,   108,    -1,    -1,   867,    -1,    -1,
      -1,  2652,   116,    -1,    -1,  1778,    -1,    -1,   122,    -1,
      -1,   881,    -1,    -1,    -1,    -1,    -1,    -1,   888,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,  2394,   899,
      -1,    -1,   146,  2684,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   928,    -1,
      -1,    -1,    -1,   933,  2715,    -1,    -1,  5331,  2719,    -1,
    3418,    -1,    -1,    -1,   944,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2737,    84,    -1,    -1,
      87,    -1,    -1,  2459,    91,    92,    93,  2748,    -1,    -1,
     970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2761,   108,    -1,  3461,    -1,    -1,   986,    -1,  2769,   116,
     101,    -1,   992,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1003,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,  1915,   257,    -1,  5052,  2512,  1017,    -1,   146,
      -1,  1924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3511,   278,   279,  2532,   148,  2534,    -1,
    2536,    -1,    -1,    -1,    -1,  1948,    -1,    -1,    -1,   293,
      -1,    -1,    -1,  1956,    -1,  3533,  1959,  2605,    -1,    -1,
      -1,    -1,  3540,  3541,  2612,    -1,  3544,    -1,   179,    -1,
      -1,    -1,    -1,  3551,    -1,    -1,  3554,  2573,    -1,    -1,
      -1,   325,    -1,    -1,  3562,    -1,    -1,    -1,    -1,  3567,
     201,    -1,  1995,    -1,   338,  3573,    -1,  3575,    -1,    -1,
      -1,   212,    -1,    -1,    -1,    -1,  2009,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1114,    -1,  1116,    -1,  1118,    -1,
    2023,   232,    -1,    -1,    -1,   252,   237,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,  3613,    -1,  1137,  4247,    -1,
      -1,  5535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3642,  3643,   293,    -1,    -1,  2072,
      84,    -1,    -1,    87,   285,    -1,   420,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2093,    -1,    -1,  3671,   108,   306,   130,  2100,   325,    -1,
      -1,  4310,   116,    -1,  5598,  1205,  1206,    -1,   122,    -1,
      -1,   338,    -1,    -1,   341,    -1,    -1,  2998,    -1,    -1,
      -1,    -1,    -1,  5617,    -1,    -1,    -1,    -1,  2724,   163,
      -1,    -1,   146,    -1,    -1,  3016,  2732,    -1,  2734,    -1,
      -1,    -1,    -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,   193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
      -1,   111,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   396,    -1,   221,  1288,  1289,
     130,    -1,   403,   420,    -1,    -1,    -1,    -1,   409,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
    2213,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
     254,    -1,    -1,   163,    -1,    -1,    -1,    -1,   108,    -1,
     441,  4440,    -1,   444,    -1,  4444,   116,    -1,   252,    -1,
      -1,    -1,   122,   257,    -1,    -1,    -1,    -1,  3826,    -1,
    1029,   462,  1031,    -1,  1033,   289,    -1,  2260,  2261,    -1,
    1039,    -1,    -1,    -1,   278,   279,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   487,  2280,  4487,   293,
      -1,   221,    -1,    -1,  1063,  1064,   513,    -1,   322,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,   532,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,   254,    -1,   350,   351,  2914,  2915,
      -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,   289,
      -1,   385,    -1,    -1,    -1,   389,    -1,    -1,    -1,   393,
      -1,    98,    -1,    -1,    -1,    -1,   400,   104,    -1,    -1,
      -1,    -1,   252,   407,  2377,  1475,    -1,   257,    -1,    -1,
    3028,   415,   322,    -1,    -1,    -1,  3034,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,  1495,  2992,    -1,   278,   279,
    2403,   435,    -1,    -1,    -1,  3286,   420,   144,    -1,    -1,
      -1,   351,  1191,   293,    -1,    -1,    -1,    -1,  1518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1205,  1206,    -1,    -1,
      -1,  1210,    -1,    -1,    -1,    -1,    -1,    -1,  2441,    -1,
    2443,    -1,    -1,    -1,    -1,   325,    -1,    -1,  3329,   389,
      -1,    -1,    -1,   393,  1554,   489,   193,    -1,   338,   196,
     400,   341,    -1,    -1,    -1,    -1,   203,   407,    -1,   206,
    1570,    -1,    -1,    -1,    -1,   415,    -1,  2480,  1257,    -1,
      -1,    -1,    -1,    -1,  4062,  1585,    -1,   427,  1588,    -1,
      -1,    -1,    -1,    -1,   231,   435,    -1,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   455,    -1,  4095,   532,    -1,
    4098,    -1,  4100,    -1,    84,   262,  3174,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,   489,
      -1,    -1,    -1,   493,    -1,  3436,   116,    -1,   111,    -1,
      -1,    -1,   122,    -1,    -1,    -1,  4144,    -1,  3449,    -1,
      -1,    -1,  4150,  4151,    -1,  4153,    -1,   130,    -1,    -1,
      -1,  4159,    -1,   320,    -1,   322,   146,  3235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   332,  3192,    -1,    -1,  3195,
      -1,  3197,    -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,
     163,    -1,    -1,   350,    -1,  1715,    -1,    -1,    -1,    78,
      -1,  4830,    -1,  1723,  1724,    84,  4835,    -1,    -1,  4838,
      89,    -1,    -1,   513,  1734,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,  3528,   385,    -1,
     530,   388,   389,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,  4870,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,  4251,    -1,    -1,    -1,  2680,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1787,  1788,  1789,
      -1,    -1,   252,    -1,    -1,    -1,  2699,   257,    -1,    -1,
      -1,   254,   161,    -1,    -1,    -1,    -1,  1807,    -1,    -1,
    4288,  4289,  4290,  4291,  4292,    -1,    -1,    -1,   278,   279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,    -1,   293,    -1,    -1,   289,  1837,    -1,  1518,
      -1,   478,    -1,    -1,  1844,    -1,    -1,    -1,    -1,    -1,
      -1,  1851,    -1,    -1,    -1,  4333,    -1,    -1,  4336,    -1,
    4338,  1861,    -1,    -1,    -1,   325,    -1,    -1,    -1,   322,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,   338,    -1,
      -1,   341,    -1,  4992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,
      -1,    -1,  1902,    -1,    -1,    -1,    -1,    -1,  5017,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3698,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2833,    -1,    -1,    -1,  3715,    -1,   389,    -1,    -1,    -1,
     393,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,  3740,
     420,    84,   415,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,   427,    -1,  5085,    -1,    -1,    -1,
      -1,    -1,   435,    -1,    -1,   108,    -1,  5096,    -1,    -1,
      -1,  4469,    -1,   116,  4472,  4473,    -1,    -1,    -1,   122,
      -1,    -1,   455,    -1,  2004,    89,  2006,    -1,    -1,  5118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4498,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,   393,    -1,   489,    -1,    -1,  1718,
     493,    -1,    -1,    -1,  1723,  1724,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   513,  2054,   104,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,  3562,    -1,    -1,   428,
     530,  3567,    -1,    -1,    -1,  2075,    -1,   161,    -1,  2079,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2091,    -1,    -1,  3590,   144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5223,  3018,    -1,    -1,    -1,    -1,
      -1,  4599,    -1,   101,    -1,   209,    -1,    -1,  1807,   252,
      -1,    -1,    -1,   217,   257,   219,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,    -1,   196,   232,    -1,
      -1,    -1,    -1,    -1,   203,   278,   279,   206,    -1,    -1,
      -1,    -1,  4640,  4641,  3712,    -1,  2166,  2167,  3664,   147,
     293,  4649,    -1,  4651,  4652,  3671,    -1,  4655,    -1,  2179,
      -1,    -1,   231,   161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2194,  2195,    -1,    -1,    -1,    -1,
      -1,   179,   325,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,  1890,    -1,   262,    -1,   338,  2216,    -1,   341,    -1,
    4698,  1900,    -1,   201,    -1,    -1,    -1,    -1,    -1,  4010,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,  4727,
      -1,  3747,    -1,    -1,   232,    -1,    -1,    -1,    -1,   237,
      -1,    -1,    -1,    -1,  3167,   243,    -1,    -1,    -1,    -1,
      -1,   320,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1960,   260,   332,  1963,  1964,    -1,    -1,  4766,    -1,
      -1,   340,  4770,  4771,    -1,  4773,    -1,   420,    -1,    -1,
      -1,   350,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3866,    -1,
    3868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,    -1,
      -1,    -1,    -1,    -1,  4115,    -1,   385,  4118,    -1,   388,
     389,    -1,    -1,    -1,    -1,    -1,  2346,    -1,    -1,    -1,
      -1,    -1,    -1,  2032,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,    -1,  5473,    -1,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5486,    -1,    -1,
      98,   359,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,
     513,   369,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,   530,    -1,    -1,
      -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,   401,    -1,   403,   144,    -1,    -1,   478,
    3978,   409,  5541,    -1,   412,    -1,    -1,  4218,  4916,    -1,
    2440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3949,    -1,    -1,    -1,    -1,    -1,   177,
      -1,    -1,   440,   441,    -1,    -1,   444,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,   457,
    4958,    -1,    -1,    -1,   462,   203,    -1,    -1,   206,    -1,
      -1,    -1,  5601,    -1,    -1,  2495,   474,  2497,    -1,    -1,
      -1,    -1,    -1,    -1,   863,    -1,    -1,    -1,   867,   487,
      -1,    -1,    -1,   231,    -1,    -1,  2516,    -1,    -1,    -1,
      -1,    -1,   881,    -1,    -1,    -1,    -1,    -1,    -1,   888,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
     899,   259,    -1,    -1,   262,    -1,    -1,    -1,    -1,  3452,
      -1,    -1,    -1,    -1,    -1,    -1,  2556,    -1,    -1,    -1,
    2560,  2561,    -1,    -1,    -1,  2565,  4062,    -1,    -1,   928,
      -1,    -1,    -1,  2573,   933,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   944,    -1,    -1,    -1,   307,
      -1,  2591,   310,    -1,    -1,    -1,    -1,    -1,  4094,    -1,
      -1,    -1,   320,    -1,   322,   981,    -1,    -1,    -1,    -1,
      -1,   970,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   340,    -1,    -1,    -1,  1002,   986,    -1,    -1,
      -1,   349,   350,   992,  2634,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1003,    -1,  2646,    -1,    -1,    -1,
      -1,    -1,  2652,  2653,    -1,    -1,    -1,    -1,  1017,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   385,  4164,  4165,
     388,   389,   390,    -1,    -1,    -1,  3579,  3580,    -1,    -1,
      -1,    -1,    -1,  2683,  2684,    -1,    -1,  2687,    -1,    -1,
      -1,    -1,  3595,    -1,    -1,  5173,    -1,   415,    -1,  5177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3611,  5187,
      -1,   429,    -1,    -1,    -1,  2715,    -1,  3620,  3621,  2719,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3637,    -1,    -1,  2737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1116,    -1,    -1,
     478,  2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1137,   863,
    2459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4288,  4289,  4290,  4291,  4292,   881,  4579,    -1,
      -1,    -1,    -1,    -1,   888,    -1,    -1,    -1,    -1,    -1,
    4591,    -1,    -1,    -1,    -1,   899,    -1,    -1,    84,    -1,
    4316,    87,    -1,  2823,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,  2512,    -1,  3738,    -1,  2516,    -1,    -1,
      -1,    -1,   108,    -1,   928,    -1,  1205,  1206,    -1,   933,
     116,    -1,    -1,  2532,    -1,  5333,   122,    -1,    -1,  5337,
     944,  5339,    -1,    -1,    -1,  5343,  5344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,   970,    -1,    -1,  2889,
      -1,    -1,  4440,    -1,  2573,    -1,  4444,    -1,    -1,    -1,
      -1,    -1,   986,    -1,    -1,    -1,    -1,    -1,   992,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1017,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1321,    98,    -1,    -1,    -1,
      -1,  2951,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3863,  3864,  3865,    -1,    -1,  1341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4472,    -1,    -1,  1355,
      -1,    -1,    -1,    -1,  4765,    -1,   252,    -1,    -1,    -1,
      -1,   257,   144,    -1,    -1,    -1,    -1,    -1,  2998,    -1,
      -1,    -1,  4498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,   279,    -1,    -1,  3016,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3024,    -1,    -1,   293,    -1,    -1,
    1114,    -1,  1116,    -1,  1118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5521,   196,  2724,    -1,    -1,    -1,    -1,
      -1,   203,    -1,  2732,   206,  2734,    -1,  5535,    -1,   325,
      -1,  1437,    -1,    -1,  4560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   338,    -1,    -1,   341,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,    -1,    -1,  4582,  4583,    -1,    -1,
      -1,  4587,  4588,    -1,    -1,  4876,    -1,  4878,    -1,    -1,
    3100,    -1,    -1,  4599,    -1,    -1,  3106,    -1,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    -1,  1475,    -1,    -1,    -1,
    5598,  1205,  1206,    -1,    -1,    -1,    -1,  4675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1495,    -1,    -1,  5617,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,  1518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
     332,    87,    -1,    -1,    -1,    91,    92,    93,   340,    -1,
      -1,    -1,  1568,    -1,    -1,  1554,    -1,  3197,   350,    -1,
      -1,    -1,   108,    -1,  1288,  1289,    -1,    -1,    -1,    -1,
     116,  1570,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1585,    -1,    -1,  1588,
      -1,    -1,    -1,   385,    -1,    -1,   388,   389,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,   415,   530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4176,    -1,    -1,    -1,  4825,    -1,    -1,
      -1,    -1,  4830,  4186,    -1,    -1,  3286,  4835,    -1,    -1,
    4838,  4839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3302,  3303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2992,    -1,    -1,    -1,    -1,  4221,    -1,
    4868,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,  3329,
      -1,    -1,  3332,    -1,  4882,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4248,   252,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,  1715,    -1,    -1,    -1,
    4856,    -1,    -1,    -1,  1723,  1724,    -1,   981,    -1,    -1,
      -1,    -1,   278,   279,    -1,  1734,    -1,    -1,  4926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,  1002,    -1,
      -1,  1475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1495,  3412,  3413,  3414,    -1,    -1,    -1,    -1,   325,
    4916,  4969,    -1,    -1,    -1,    -1,    -1,    -1,  1787,  1788,
    1789,    -1,   338,    -1,  1518,   341,  3436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1807,  3449,
      -1,  3451,    -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3463,    -1,    -1,    -1,    -1,    -1,  1845,
    1554,    -1,  5020,    -1,    -1,    -1,    -1,    -1,  1837,    -1,
      -1,    -1,    -1,    -1,    -1,  1844,  1570,    -1,    -1,    -1,
      -1,    -1,  1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1585,    -1,    -1,  1588,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,  3197,    -1,
    4423,  4424,  4425,  4426,    -1,    -1,    -1,    -1,  3528,    -1,
    1442,    -1,    -1,    -1,  1910,    -1,    -1,  5085,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    98,    -1,    -1,    -1,    -1,    -1,
     104,    -1,    -1,    -1,    -1,    -1,  3566,    -1,  1944,    -1,
      -1,  1483,    -1,  3573,    -1,  3575,   116,    -1,    -1,  1491,
      -1,    -1,   122,    -1,    -1,  1497,    -1,  3587,    -1,  3589,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
     144,    -1,    -1,    91,    92,    93,   146,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
     108,    -1,    -1,    -1,   530,    -1,    -1,    -1,   116,    -1,
      -1,  1715,    -1,    -1,   122,    -1,    -1,    -1,    -1,  1723,
    1724,    -1,  5423,  3643,    -1,  2004,    -1,    -1,    -1,  2025,
    1734,    -1,   196,  5201,    -1,    -1,    -1,    -1,   146,   203,
      -1,    -1,   206,    -1,  2040,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2048,    -1,    -1,    -1,    -1,  5173,    -1,    -1,
      -1,    -1,    -1,  2059,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2054,    -1,    -1,  3698,    -1,
      -1,    -1,    -1,  1787,    -1,    -1,    -1,  1321,    -1,    -1,
      -1,    -1,   252,    -1,    -1,  3715,  2075,   257,   262,  5267,
    2079,   164,    -1,  1807,    -1,    -1,    -1,  1341,    -1,    -1,
    2106,    -1,  2091,    -1,    -1,    -1,    -1,  3737,   278,   279,
    3740,  1355,    -1,    -1,  5292,    -1,    -1,    -1,    -1,  2125,
      -1,    -1,    -1,   293,    -1,    -1,  5252,    -1,    -1,    -1,
      -1,  2137,    -1,    -1,   252,    -1,    -1,  1851,    -1,   257,
     213,    -1,    -1,  2149,    -1,    -1,   320,  1861,   322,    -1,
      -1,    -1,   225,    -1,    -1,   325,    -1,   230,   332,    -1,
     278,   279,   235,    -1,    -1,    -1,   340,   240,   338,    -1,
     243,    -1,    -1,   246,    -1,   293,   350,  2166,  2167,    -1,
      -1,    -1,    -1,  2189,    -1,    -1,  2192,  3817,  1902,    -1,
    2179,    -1,    -1,    -1,    -1,  5373,    -1,    -1,    -1,    -1,
    4733,   274,    -1,    -1,    -1,  2194,  2195,   325,    -1,    -1,
      -1,   385,    -1,    -1,   388,   389,    -1,    -1,    -1,    -1,
     338,   294,    -1,   341,    -1,    -1,    -1,  2216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,  3562,    -1,    -1,    -1,  5435,  3567,    -1,
      -1,   334,    -1,   336,    -1,    -1,    -1,    -1,    -1,   342,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
    2004,    -1,  2006,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,   420,  5481,   478,    -1,   116,    -1,    -1,  5487,
    5488,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,  1568,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2341,   146,    -1,    -1,    -1,
    2054,    -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,  2346,    -1,    -1,
      -1,  2075,    -1,    -1,    -1,  2079,    -1,    -1,   441,    -1,
      -1,    -1,    -1,    -1,    -1,  2381,    -1,  2091,    -1,    -1,
    4010,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,
     104,    -1,    -1,    -1,   467,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,  5535,
      -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,   491,    -1,
     493,   494,    -1,    -1,    -1,    -1,  4056,    -1,  5606,    -1,
     144,  4061,    -1,  4063,    -1,    -1,    -1,    -1,  3747,  4972,
    5618,  5619,   252,    -1,    -1,    -1,    -1,   257,    -1,    -1,
      -1,  2440,  2166,  2167,   527,  4988,    -1,   530,   531,    -1,
     533,    -1,    -1,    -1,    -1,  2179,    -1,    -1,   278,   279,
      -1,    -1,  5598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2194,  2195,   196,   293,    -1,  4115,  5019,    -1,  4118,   203,
      -1,  5617,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2216,    -1,    -1,    -1,  2495,    -1,  2497,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2516,   338,    -1,
      -1,   341,    -1,    -1,    -1,    -1,  2542,    -1,    -1,    -1,
    2546,  2547,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,  2556,    -1,    -1,
      -1,  2560,  2561,  4203,  4204,   108,  2565,    -1,  2120,    -1,
      -1,    -1,    -1,   116,  2573,    -1,  4216,    -1,  4218,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5134,  2591,  2609,    -1,    -1,   320,    -1,   322,    -1,
     420,    -1,    -1,   146,    -1,  2621,    -1,    -1,   332,    -1,
      -1,    -1,    -1,  2165,    -1,    -1,   340,  2169,    -1,    -1,
      -1,    -1,  2346,  2175,  2176,    -1,   350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2634,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2661,  2198,  4287,    -1,    -1,
      -1,    -1,    -1,  2652,  2653,    -1,    -1,    -1,    -1,    -1,
      -1,   385,    -1,    -1,   388,   389,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,
      -1,    -1,    -1,    -1,  2683,  2684,    -1,    -1,  2687,    -1,
    1944,   415,    -1,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,   252,
     530,    -1,    -1,    -1,   257,    -1,  2715,    -1,    -1,    -1,
    2719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,   279,    -1,  2737,    -1,
      -1,    -1,    98,  4062,    -1,    -1,    -1,    -1,   104,  2748,
     293,    -1,    84,    -1,   478,    87,    -1,    -1,    -1,    91,
      92,    93,  2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2769,  2025,    -1,    -1,    -1,  4094,   108,    -1,    -1,    -1,
      -1,    -1,   325,    -1,   116,    -1,  2040,    -1,   144,    -1,
     122,    -1,  2516,    -1,    -1,   338,    -1,    -1,   341,  2815,
      -1,    -1,    -1,    -1,    -1,  2059,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    96,    -1,    -1,  2823,    -1,   101,    -1,    -1,    -1,
      -1,    -1,  2556,    -1,    -1,    -1,  2560,  2561,   113,    -1,
     196,  2565,    -1,    -1,    -1,    -1,    -1,   203,    -1,  2573,
     206,    -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2591,    -1,  2885,
      -1,  2125,   147,    -1,    -1,   231,    -1,   420,    -1,    -1,
      -1,    -1,    -1,  2137,    -1,    -1,   161,  2439,    -1,    -1,
    2889,    -1,    -1,    -1,    -1,  2149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,    -1,   262,    -1,    -1,  4549,
    2634,    -1,    -1,    -1,  4554,    -1,    -1,    -1,    -1,    -1,
     252,    -1,  2646,    -1,    -1,   257,   201,    -1,  2652,  2653,
      -1,    -1,    -1,    -1,    -1,  2189,    -1,   212,  2192,  4579,
      -1,    -1,    -1,    -1,    -1,   220,   278,   279,    -1,    -1,
      -1,  4591,  2951,    -1,    -1,    -1,    -1,   232,  4598,  2683,
    2684,   293,   237,  2687,   320,    -1,   322,    -1,   243,    -1,
     513,    -1,  4612,   516,   517,   518,   332,   520,   521,   522,
     523,   524,   525,    -1,   340,   260,    -1,   530,    -1,    -1,
      -1,  2715,    -1,   325,   350,  2719,    -1,  4316,  3014,  2998,
      -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,
      -1,    -1,    -1,  2737,    -1,  3031,    -1,  3016,    -1,    -1,
      -1,    -1,    -1,    -1,  2748,  3024,  3042,    -1,    -1,   385,
      -1,   306,   388,   389,    -1,    -1,    -1,  2761,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2769,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,   415,
      -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   349,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,   359,    -1,   122,  2341,   420,    -1,
      -1,    -1,    -1,    -1,   369,    -1,    -1,    -1,    -1,  2823,
      -1,  3100,    -1,    -1,    -1,    -1,    -1,  3106,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   396,   478,    -1,    -1,  4765,   401,    -1,   403,    -1,
      -1,    -1,    -1,    -1,   409,    -1,    -1,   412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3176,  3177,  3178,    -1,    -1,  2889,   441,    -1,   164,   444,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
     455,   513,   457,    -1,   516,   517,   518,   462,   520,   521,
     522,   523,   524,   525,    -1,    -1,   528,    -1,  3197,   474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,   487,    -1,    -1,   104,   252,   213,    -1,    -1,
      -1,   257,    -1,    -1,    98,    -1,    -1,  2951,    -1,   225,
     104,    -1,    -1,    -1,   230,    -1,  4876,    -1,  4878,   235,
     129,  4560,   278,   279,   240,    -1,    -1,   243,    -1,    -1,
     246,    -1,    -1,    -1,    -1,   144,    -1,   293,  3274,    -1,
      -1,  3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,    -1,
     144,    -1,    -1,    -1,  2998,    -1,    -1,  4917,   274,    -1,
    4599,    -1,    -1,    -1,    -1,    -1,    -1,  3286,   177,   325,
      -1,    -1,  3016,    -1,    -1,    -1,    -1,    -1,   294,    -1,
    3024,    -1,   338,  3302,  3303,   341,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,   206,    -1,  3335,
      -1,    -1,   196,  4963,    -1,    -1,    -1,    -1,    -1,   203,
    3329,    -1,   206,  3332,    -1,    -1,  3352,    -1,   334,    -1,
     336,    -1,   231,    -1,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,  2904,    -1,    -1,  2609,    -1,   231,    -1,    -1,
      -1,  3377,    -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,
     259,  2923,    -1,   262,    -1,    -1,  3100,    -1,    -1,    -1,
      -1,    -1,  3106,    -1,   420,    -1,  2938,    -1,   262,  2941,
    2942,    -1,    -1,    -1,  2946,  2947,   392,    -1,    -1,    -1,
      -1,  2953,    -1,    -1,    -1,    -1,    -1,  2661,    -1,    -1,
      -1,    -1,    -1,  3412,  3413,  3414,    -1,    -1,   307,    -1,
      -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3446,   320,  3448,   322,    -1,    -1,    -1,  3436,    -1,    -1,
      -1,    -1,    -1,   332,    -1,   441,   320,    -1,   322,    -1,
    3449,   340,  3451,    -1,    -1,  3454,    -1,    -1,   332,    -1,
     349,   350,    -1,    -1,  3463,    -1,   340,    -1,    -1,    -1,
      -1,   467,    -1,  3197,  3026,    -1,   350,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,  3509,   530,   491,   385,   493,   494,   388,
     389,   390,  5142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   385,    -1,    -1,   388,   389,    -1,    -1,  3534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,  3528,
      -1,   527,    -1,  5173,   530,   531,    -1,   533,    -1,    -1,
     429,   415,    -1,    -1,    -1,    -1,  3562,    -1,    -1,    -1,
      -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2815,  3286,    -1,    -1,    -1,    -1,  3566,    -1,    -1,
      -1,    -1,    -1,    -1,  3573,    -1,  3575,    -1,  3302,  3303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,   478,
    3589,    -1,    -1,    -1,    -1,    -1,    -1,  4916,    -1,    -1,
      -1,    -1,    -1,    -1,   478,  3329,    -1,    -1,  3332,    -1,
    3626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3644,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,  3659,  3643,    -1,    91,    92,    93,    98,
      -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3412,  3413,
    3414,  5331,    -1,  5333,    -1,   144,    -1,    -1,    -1,  3698,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3436,    -1,    -1,    -1,  3715,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3449,    -1,  3451,    -1,    -1,
    3454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3737,  3463,
      -1,  3740,    -1,    -1,  3760,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,   206,    -1,    -1,
    3014,    -1,    -1,    -1,    -1,  3781,  3318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,
      -1,    -1,   231,  5423,    -1,    -1,    -1,    -1,  3042,    -1,
    3806,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,  3528,    -1,    -1,   252,    -1,    -1,
      -1,    -1,   257,   262,    -1,   108,    -1,    -1,  3817,    -1,
      -1,    -1,    -1,   116,  3840,    -1,    -1,    -1,    -1,   122,
      94,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3566,    -1,    -1,  3397,    -1,  3399,   293,  3573,
      -1,  3575,    -1,   146,  5173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3587,    -1,  3589,    -1,   131,    -1,    -1,
      -1,   320,  3888,   322,    -1,    -1,    -1,    -1,    -1,    -1,
     325,  5521,    -1,   332,    -1,    -1,    -1,    -1,   152,    -1,
      -1,   340,    -1,   338,    -1,  5535,   341,    -1,    -1,    -1,
      -1,   350,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3643,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,  5252,    -1,    -1,   385,    -1,    -1,   388,
     389,    -1,    -1,    -1,   208,    -1,   210,  3963,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,  3508,    -1,  5598,   252,
     224,    -1,  3514,    -1,   257,    -1,   415,    -1,    -1,   233,
      -1,    -1,    -1,    -1,  3698,   420,    -1,  5617,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,
      -1,  3715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4010,    -1,  3737,    -1,    -1,  3740,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,   478,
      87,    -1,   325,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,  4062,    -1,   341,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,  4056,    -1,   116,
      -1,    -1,  4061,    -1,  4063,   122,    -1,    -1,   513,    -1,
      -1,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,  3335,    -1,    -1,    -1,   530,    -1,    -1,    -1,   146,
      -1,    -1,    -1,  3817,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3658,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4115,    -1,    -1,  4118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,  3681,
    3682,    -1,  3684,    -1,  3686,  3687,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3739,    -1,    -1,
      -1,  4207,  3446,    -1,  3448,   252,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,  4203,  4204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4216,    -1,  4218,
     513,   278,   279,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    84,   293,   530,    87,  4255,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,   325,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
    3534,   338,    -1,    -1,   341,    -1,  4010,    -1,  4287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4056,    -1,    -1,    -1,    -1,  4061,    -1,  4063,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,  3626,    -1,    -1,    -1,   116,    -1,  4394,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,  4404,    -1,
      -1,  4115,    -1,    -1,  4118,    -1,    -1,   661,    -1,    -1,
      -1,    -1,    -1,   252,    -1,  3659,   146,    -1,   257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,
     279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4456,    -1,    -1,    -1,   293,  4461,    -1,    -1,    -1,    -1,
      -1,  4467,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,   530,    -1,    -1,   325,    -1,    -1,  4203,
    4204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,
      -1,    -1,  4216,    -1,  4218,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3760,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,  4532,   257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,   279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4563,    -1,    -1,
    4549,    -1,  3806,   293,    -1,  4554,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4579,    -1,    -1,  4599,    -1,   325,  3840,    -1,    -1,    -1,
      -1,    -1,  4591,    -1,    -1,  4319,    -1,    -1,   338,  4598,
      -1,   341,    -1,    -1,    -1,    -1,    -1,   871,   872,   873,
     874,    -1,   876,  4612,   878,    -1,   880,    -1,   882,    -1,
      -1,   885,    -1,    -1,    -1,    -1,  4642,   891,    -1,    -1,
     894,    -1,    -1,    -1,   898,    -1,   900,    -1,    -1,    -1,
      -1,    98,    -1,    -1,   908,    -1,    -1,   104,    -1,    -1,
     914,    -1,   916,    -1,    -1,   919,    -1,   921,    -1,   923,
      -1,    -1,    -1,    -1,   513,    -1,   930,   516,   517,   518,
     934,   520,   521,   522,   523,   524,   525,   941,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,   975,  4728,    -1,  4730,    -1,   980,    -1,    -1,    -1,
      -1,   985,    -1,    -1,    -1,   989,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,   196,
      -1,    -1,  1006,  4295,    -1,    -1,   203,    -1,   144,   206,
     108,  4303,  4304,  4305,  4306,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,  4765,    -1,    -1,  4785,
      -1,    -1,    -1,   513,   231,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,   146,    -1,
     530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1062,    -1,
     196,    -1,    -1,    -1,    -1,   262,    -1,   203,    -1,    -1,
     206,    -1,    -1,  1077,    -1,  1079,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4549,    -1,    -1,    -1,    -1,
    4554,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1107,  1108,    -1,    -1,    -1,  1112,  1113,
      -1,    -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,    -1,   322,   262,  4591,  1132,    -1,
      -1,    -1,  1136,    -1,  4598,   332,    -1,  4876,    -1,  4878,
    1144,    -1,    -1,   340,    -1,    -1,    -1,    -1,  4612,    -1,
      -1,  1155,    -1,   350,   252,    -1,    -1,    -1,    -1,   257,
    4916,    -1,    -1,  1167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4917,    -1,
     278,   279,    -1,    -1,   320,    -1,   322,    -1,   385,    -1,
      -1,   388,   389,    -1,    -1,   293,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4207,   350,    -1,    -1,    -1,   415,    -1,
      -1,    -1,    -1,    -1,  4963,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,    -1,
     338,    -1,    -1,   341,    -1,  1249,    -1,    -1,    -1,   385,
      -1,    -1,   388,   389,  1258,    -1,    -1,    -1,    -1,  1263,
    1264,    -1,    -1,    -1,    -1,    -1,  5022,    84,    -1,    -1,
      87,    -1,  4564,  4565,    91,    92,    93,    -1,    -1,   415,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,  5053,    -1,   116,
      -1,  4765,    -1,    -1,    -1,   122,    84,    -1,    -1,    87,
    1314,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,  1325,   420,    -1,    -1,  1329,    -1,    -1,    -1,   146,
     108,    -1,    -1,    -1,    -1,  5091,    -1,    -1,   116,    -1,
    1344,    -1,   478,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,  4643,  4644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1364,    -1,    -1,    -1,    -1,    -1,  1370,  1371,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1387,  1388,  1389,    -1,  1391,    -1,  1393,
      -1,    -1,  5148,    -1,  1398,    -1,  5152,  5153,    -1,    -1,
      -1,    -1,    -1,  5142,    -1,    -1,    -1,    -1,    -1,    -1,
    4404,    -1,  4876,    -1,  4878,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   530,    -1,  5173,   252,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,  4738,    -1,    -1,    -1,
      -1,    -1,    -1,  4917,    -1,    -1,  4748,  4749,    -1,    -1,
      -1,   278,   279,    -1,    -1,  1469,    -1,  1471,  1472,    -1,
      -1,    -1,  4764,    -1,   252,    -1,   293,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,  5241,  5242,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4963,
     278,   279,    -1,    -1,    -1,    -1,  1510,    -1,   325,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,   338,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4532,    -1,
     213,    -1,    -1,    -1,  1548,  1549,    -1,   325,    -1,  1553,
      -1,  1555,   225,    -1,    -1,    -1,    -1,   230,    -1,    -1,
     338,    -1,   235,   341,    -1,    -1,    -1,   240,    -1,  4563,
     243,    -1,    -1,   246,    -1,    -1,    -1,  1581,    -1,    -1,
    1584,    -1,    -1,  1587,    -1,    -1,    -1,    -1,    -1,    -1,
    4584,    -1,  5331,    -1,  5333,  1599,    -1,    -1,    -1,    -1,
      -1,   274,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   294,    -1,  1627,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,  4642,    -1,
      -1,  1655,  1656,  1657,    -1,  1659,    -1,    -1,    -1,    -1,
      -1,   334,    -1,   336,    -1,    -1,    -1,    -1,    -1,   342,
      -1,    -1,    -1,    -1,    -1,  1679,    -1,    -1,  5142,    -1,
      -1,    -1,    -1,    -1,  5423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,  1701,  1702,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,  5173,
      -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,  1730,    -1,    -1,  1733,
      -1,    -1,    -1,    -1,    -1,   513,  4730,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   530,  5045,    -1,    -1,    -1,    -1,  1762,    -1,
      -1,    -1,  1766,  1767,    -1,    -1,    -1,    -1,   441,    -1,
      -1,    -1,    -1,  1777,  1778,  1779,    -1,    -1,    -1,    -1,
      -1,    -1,  5521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4785,    -1,    -1,   467,    -1,  5535,    -1,    -1,    -1,
      -1,  1805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   527,    -1,    -1,   530,   531,  5598,
     533,    -1,    -1,    -1,    -1,    -1,    -1,  5331,    -1,  5333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5169,  5617,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,  1897,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1915,  1916,    -1,    -1,    -1,   108,    -1,    -1,    -1,
    1924,    -1,    -1,  1927,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1946,    -1,  1948,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1956,    -1,   146,  1959,    -1,    -1,    -1,  5423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1983,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1991,  1992,  1993,
    1994,  1995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2009,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,  2021,    -1,  2023,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2034,  2035,    -1,    -1,    -1,    -1,    -1,   108,   230,  2043,
      -1,    -1,    -1,   235,    -1,   116,    -1,    -1,    -1,  2053,
      -1,   122,    -1,    -1,    -1,    -1,    -1,  5521,    -1,  5053,
     252,    -1,    -1,    -1,    -1,   257,    -1,    -1,  2072,    -1,
      -1,  5535,    -1,    -1,    -1,   146,    -1,  2081,  2082,  2083,
    2084,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,  2093,
      -1,    -1,    -1,    -1,    -1,    -1,  2100,  5091,    -1,  2103,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2119,    -1,    -1,    -1,    -1,
      -1,    -1,  2126,    -1,    -1,    -1,    -1,  2131,    -1,    -1,
      -1,    -1,    -1,   325,  5598,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,
      -1,    -1,    -1,  5617,  5148,    -1,    -1,    -1,  5152,  5153,
    2164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2174,    -1,    -1,    -1,  2178,    -1,    -1,  2181,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,   257,  2191,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2199,  2200,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,   278,   279,  2213,
      91,    92,    93,    -1,    -1,  5507,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,   108,   420,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,  2247,    -1,    -1,    -1,    -1,  5242,    -1,
    2254,    -1,  2256,    -1,   325,    -1,  2260,  2261,    -1,  2263,
      -1,    -1,    -1,    -1,    -1,   146,  2270,   338,    -1,    -1,
     341,    -1,    -1,    -1,    -1,    -1,  2280,    -1,    -1,    -1,
      -1,  2285,  2286,    -1,    -1,  2289,    -1,    -1,    -1,  2293,
    2294,    -1,    -1,    -1,    -1,  2299,  2300,    -1,    -1,    -1,
      -1,    -1,  2306,  2307,  2308,    -1,    -1,    -1,  2312,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,    -1,  2321,    -1,  2323,
    2324,   513,    -1,  2327,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,  2342,  2343,
    2344,  2345,    -1,    -1,    -1,  2349,  2350,    -1,    -1,   420,
    2354,    -1,    -1,  2357,    -1,    -1,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,    -1,  2370,    -1,    -1,    -1,
      -1,   252,    -1,  2377,  2378,    -1,   257,  2381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,   279,  2403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2441,    -1,  2443,
      -1,  2445,   513,    -1,   325,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,   338,    -1,   530,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,  2480,    -1,    -1,    -1,
      -1,    -1,    -1,  2487,    -1,  2489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    40,    -1,
      42,    43,    -1,    -1,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,   420,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2575,    -1,  2577,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2605,    -1,  2607,  2608,   137,    -1,    -1,  2612,    -1,
    2614,    -1,  2616,    -1,  2618,    -1,    -1,    -1,  2622,    -1,
      -1,  2625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,
      -1,    -1,  2656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2664,    -1,    -1,    -1,    -1,    -1,    -1,  2671,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2680,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,  2699,   228,    91,    92,    93,
    2704,  2705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,
      -1,    -1,    -1,    -1,   108,    -1,    -1,   249,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,  2730,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,  2757,    -1,  2759,  2760,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
     312,    -1,  2786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2794,    -1,  2796,    -1,    -1,   327,    -1,    -1,  2802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2814,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,  2828,    -1,    -1,  2831,    -1,  2833,
      -1,    -1,  2836,    -1,    -1,  2839,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,  2865,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
    2874,  2875,    -1,    -1,   406,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,  2890,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2901,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2915,  2916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     452,    -1,    -1,    -1,  2928,    -1,  2930,  2931,  2932,  2933,
      -1,   325,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,
     482,    -1,    -1,    -1,    -1,  2959,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2980,    -1,   510,    -1,
      -1,    -1,   252,    -1,    -1,    -1,   518,   257,   520,   521,
     522,   523,   524,    -1,    -1,   527,   528,   529,   530,    -1,
     532,   533,   534,   535,   536,    -1,    -1,    -1,   278,   279,
      -1,    -1,    -1,    -1,  3018,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   293,  3028,    -1,   420,    -1,    -1,    -1,
    3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3045,    -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,
      -1,    -1,  3056,    -1,    -1,   325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,   341,    -1,    -1,    -1,  3079,  3080,  3081,    -1,    -1,
    3084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3092,  3093,
    3094,  3095,    -1,   363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3105,    -1,    -1,  3108,    -1,  3110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3121,  3122,   513,
      -1,  3125,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,  3137,    -1,  3139,   530,  3141,    -1,  3143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,
      -1,    -1,    -1,  3167,    -1,    -1,   436,    -1,    -1,    -1,
    3174,    -1,  3176,  3177,  3178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3214,    -1,    -1,    -1,    -1,  3219,    -1,    -1,    -1,    -1,
      -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3235,    -1,    -1,  3238,    -1,    -1,  3241,    -1,  3243,
      -1,    -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3308,    -1,  3310,    -1,    -1,    -1,
      -1,  3315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,    -1,  3341,    -1,  3343,
    3344,  3345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,     5,   219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,  3452,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,
      43,    -1,    -1,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3535,    -1,    -1,    -1,    -1,    -1,    -1,  3542,  3543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3579,  3580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3610,  3611,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3619,  3620,  3621,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3637,    -1,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3654,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3688,    -1,  3690,    -1,    -1,    -1,
    3694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3722,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3738,    -1,   309,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,  3750,    -1,    -1,    -1,
      -1,    -1,    -1,  3757,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3766,    -1,    -1,    -1,    -1,    -1,  3772,    -1,
    3774,    -1,    -1,  3777,    -1,    -1,    -1,    -1,  3782,  3783,
    3784,  3785,    -1,    -1,  3788,  3789,  3790,  3791,  3792,  3793,
    3794,  3795,  3796,  3797,    -1,    -1,    -1,  3801,  3802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3811,    -1,    -1,
      -1,  3815,    -1,    -1,    -1,  3819,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3827,    -1,    -1,  3830,    -1,  3832,    -1,
      -1,    -1,    -1,   406,    -1,    -1,    -1,  3841,    -1,    -1,
    3844,  3845,    -1,    -1,    -1,  3849,  3850,    -1,    -1,    -1,
    3854,    -1,  3856,    -1,    -1,    -1,    -1,    -1,    -1,  3863,
    3864,  3865,  3866,    -1,  3868,  3869,    -1,    -1,    -1,  3873,
    3874,    -1,    -1,    -1,    -1,    -1,  3880,    -1,    84,   452,
      -1,    87,  3886,  3887,  3888,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,   112,    -1,    -1,   482,
     116,   101,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3934,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,
     146,  3945,    -1,  3947,   134,   518,    -1,   520,   521,   522,
     523,   524,    -1,    -1,   527,   528,   529,   147,   148,    -1,
      -1,   534,   535,    -1,    -1,    -1,    -1,   157,    -1,    -1,
      -1,   161,    -1,    -1,  3978,  3979,  3980,    -1,  3982,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,   179,
      -1,    -1,    -1,    -1,    -1,    -1,  4000,  4001,  4002,  4003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,  4029,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4043,
      -1,    -1,   232,    -1,    -1,    -1,   252,   237,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     260,    -1,   278,   279,    -1,    -1,    -1,   863,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   871,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,   880,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4133,
     916,    -1,   338,    -1,    -1,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   359,
      -1,    -1,  4176,    -1,  4178,    -1,  4180,    -1,    -1,   369,
      -1,    -1,  4186,    -1,    -1,    -1,    -1,    -1,  4192,   975,
      -1,    -1,    -1,    -1,    -1,   981,    -1,  4201,    -1,   985,
      -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,
      -1,   401,    -1,   403,   420,    -1,  1002,  4221,    -1,   409,
      -1,    -1,   412,    -1,    -1,    -1,    -1,  4231,    -1,    -1,
      -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4248,    -1,    -1,    -1,  4252,    -1,
      -1,   441,  4256,  4257,   444,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,   455,    -1,   457,    -1,   475,
      -1,    -1,   462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4288,  4289,  4290,  4291,  4292,    -1,
      -1,    -1,    -1,    -1,  4298,    -1,  4300,   487,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,  1107,  1108,    -1,    -1,    -1,    -1,    -1,  1114,    -1,
      -1,    84,  1118,    -1,    87,    -1,  4340,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,  4351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,  1144,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4391,  4392,    -1,
      -1,    -1,    -1,   146,  4398,  4399,    -1,    -1,    -1,  4403,
      -1,    -1,    -1,    -1,  4408,    -1,    -1,  4411,  4412,    -1,
      -1,    -1,  4416,  4417,    -1,    -1,    -1,    -1,  4422,  4423,
    4424,  4425,  4426,    -1,    -1,    -1,  4430,  4431,    -1,  4433,
      -1,    -1,  4436,    -1,    -1,    -1,  4440,    -1,    -1,    -1,
    4444,    -1,    -1,    -1,    -1,    -1,  4450,    -1,    -1,    -1,
      -1,    -1,  4456,    -1,    -1,    -1,    -1,  4461,    -1,    -1,
      -1,    -1,    -1,  4467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4477,    -1,    -1,   229,    -1,    -1,    -1,
      -1,  4485,    -1,    -1,  4488,    -1,    -1,    -1,    -1,  4493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,  1288,  1289,   257,    -1,    -1,  4511,    -1,    -1,
    4514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,   279,    -1,  1314,    -1,
    4534,  4535,    -1,    -1,    -1,  1321,    -1,    -1,    -1,  1325,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4552,    -1,
      -1,    -1,    -1,    -1,    -1,  1341,    -1,  4561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1355,
      -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,  1393,   361,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,  4622,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,  4637,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,  1437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4664,    -1,    -1,    -1,    -1,    -1,    -1,   420,   146,    -1,
      -1,  4675,    -1,    -1,    -1,    -1,  4680,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4688,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,
    4704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1510,    -1,    -1,    -1,    -1,  4733,
      -1,    -1,  4736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,   252,    -1,    -1,  4781,    -1,   257,
      -1,    -1,  1568,    -1,    -1,    -1,  4790,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     278,   279,    -1,  4807,  4808,    -1,    -1,  4811,    -1,    -1,
      -1,    -1,    -1,  1599,    -1,   293,    -1,    -1,    -1,    -1,
      -1,  4825,  4826,    -1,    -1,    -1,  4830,    -1,    -1,    -1,
      -1,  4835,    -1,    -1,  4838,  4839,    -1,  4841,    -1,  4843,
      -1,  1627,  4846,  4847,    -1,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,   341,  4868,    -1,    -1,    -1,    -1,  1655,
    1656,  1657,    -1,  1659,    -1,    -1,    -1,    -1,  4882,  4883,
    4884,  4885,  4886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1679,    -1,    -1,    -1,    -1,   872,   873,
      -1,    -1,   876,    -1,   878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4926,  4927,   898,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   420,    -1,    -1,   919,    -1,  1733,  1734,   923,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,  4969,    -1,   941,  4972,    -1,
      -1,    -1,    -1,    -1,   108,    -1,  1762,   111,  4982,    -1,
    1766,  1767,   116,    -1,  4988,    -1,  4990,    -1,   122,    -1,
      -1,  4995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5007,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,  5018,  5019,  5020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,  5052,    -1,
      -1,  5055,    -1,  5057,    -1,    -1,    -1,    -1,    -1,  1845,
      -1,    -1,    -1,    -1,    -1,  1851,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1861,    -1,  5081,    -1,    -1,
      -1,  5085,    -1,    -1,    -1,  5089,    -1,    -1,    -1,    -1,
      -1,    -1,  5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5118,    -1,  1902,    -1,   252,    -1,
      -1,    -1,    -1,   257,  1910,    -1,  5130,    -1,    -1,    -1,
    5134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5157,    -1,    -1,    -1,    -1,  1944,   293,
    5164,  5165,  5166,  5167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,  5201,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5221,    -1,    -1,
    2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2040,    -1,    -1,    -1,    -1,    -1,
    5264,    -1,  2048,  5267,    -1,    -1,    -1,    -1,  2054,    -1,
      -1,    -1,  5276,  2059,    -1,    -1,    -1,  5281,    -1,  5283,
      -1,  5285,    -1,    -1,    -1,    -1,   420,    -1,  5292,  1263,
    1264,    -1,    -1,    -1,  5298,    -1,  5300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2119,    -1,    -1,    -1,  5341,  5342,  2125,
      -1,    -1,    -1,    -1,    -1,  2131,    -1,    -1,    -1,    -1,
      -1,  2137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2149,  5368,    -1,    -1,    -1,    -1,  5373,
    1344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2164,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,  5396,    -1,    -1,    -1,  1370,  1371,    -1,    -1,
    5404,  5405,    -1,  2189,    -1,  5409,  2192,    -1,    -1,    -1,
      -1,  5415,    -1,    -1,  5418,    -1,    -1,  1391,  5422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,  5435,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,  5445,    -1,    -1,    -1,    -1,    -1,    -1,  5452,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
    2256,    -1,    -1,    -1,    -1,    -1,    -1,  5481,    -1,    -1,
      -1,    -1,    -1,  5487,  5488,    -1,  5490,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,  1471,  1472,    -1,
      -1,    -1,    -1,    -1,    -1,  5509,    -1,  2293,  2294,    -1,
      -1,    -1,  5516,  2299,  2300,    -1,    -1,    -1,    -1,    -1,
    2306,  2307,  2308,    -1,    -1,    -1,  2312,    -1,  2314,  2315,
    2316,  2317,  2318,  2319,    -1,  2321,    -1,  2323,  2324,    -1,
      -1,  2327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2341,  2342,  2343,  2344,  2345,
    2346,    -1,    -1,    -1,  2350,    -1,    -1,    -1,  2354,    -1,
      -1,  2357,    -1,    -1,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,    -1,  2370,    -1,    -1,    -1,  5592,  5593,
      -1,    -1,  2378,    -1,    -1,  2381,    -1,    -1,   252,    -1,
      -1,    -1,  5606,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5618,  5619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,     3,    -1,    91,    92,    93,    -1,     9,
      -1,    -1,    -1,    13,    -1,    15,  2542,    17,    18,    -1,
    2546,  2547,   108,    -1,    -1,   111,   420,    -1,    28,    -1,
     116,    -1,    -1,    -1,  2560,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    44,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2594,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2605,
      -1,    -1,    -1,  2609,    -1,    -1,  2612,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,  2621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   104,    -1,   106,   107,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,   513,
    2646,   121,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,   108,    -1,    -1,  2661,    -1,    -1,    -1,    -1,
     116,   141,    -1,   143,   144,    -1,   122,    -1,    -1,   149,
      -1,   151,    -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,
      -1,  2687,   162,    -1,   164,    -1,   252,    -1,    -1,    -1,
     146,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,   181,    -1,    -1,   184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,   279,    -1,    -1,    -1,   197,    -1,   199,
      -1,    -1,    -1,   203,    -1,    -1,    -1,   293,    -1,   209,
      -1,    -1,    -1,  1927,    -1,    -1,    -1,   217,    -1,   219,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
     240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   338,    -1,    -1,   341,   256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,  1991,  1992,  1993,
    1994,   257,    -1,    -1,    -1,    -1,    -1,    -1,  2814,  2815,
      -1,    -1,    -1,    -1,    -1,   295,   296,  2823,    -1,    -1,
      -1,   301,   278,   279,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,    -1,   293,    -1,    -1,
    2034,  2035,    -1,    -1,   324,    -1,    -1,    -1,    -1,  2043,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,  2053,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2885,
      -1,    -1,   338,    -1,   364,   341,    -1,  2081,  2082,  2083,
    2084,    -1,    -1,    -1,    -1,  2901,   376,    -1,    -1,    -1,
      -1,   381,   382,    -1,   384,    -1,    -1,    -1,    -1,   389,
      -1,    -1,    -1,    -1,   394,    -1,    -1,   397,    -1,    -1,
      -1,    -1,   402,    -1,    -1,    -1,    -1,   407,   408,    -1,
      -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,   419,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,   429,
     516,   517,   518,  2959,   520,   521,   522,   523,   524,   525,
      -1,   441,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     460,    -1,   462,    -1,  2178,    -1,    -1,  2181,    -1,    -1,
     470,    -1,    -1,   449,    -1,    -1,   476,  2191,    -1,    -1,
      -1,   481,    -1,    -1,    -1,    -1,  2200,    -1,  3014,    -1,
      -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3028,    -1,    -1,  3031,    -1,    -1,  3034,    -1,
      -1,    -1,    -1,    -1,    -1,   515,  3042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,   529,
    3056,    -1,    -1,   533,    -1,    -1,    -1,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,  3079,  3080,  3081,    -1,    -1,  3084,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3092,  3093,  3094,  3095,
      -1,    -1,    -1,    -1,  3100,    -1,    -1,    -1,    -1,  3105,
    3106,    -1,  3108,    -1,  3110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3121,  3122,    -1,    -1,  3125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3139,    -1,  3141,    -1,  3143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2349,    -1,  3163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3174,    -1,
    3176,  3177,  3178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3201,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,  3214,    -1,
      -1,    -1,    -1,  3219,    -1,    -1,    -1,    -1,    -1,  3225,
     108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,  3235,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,    -1,
      -1,  3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,   257,
      -1,  3377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,  3412,  3413,  3414,    -1,
      -1,    -1,    -1,  2607,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,     5,  2616,    -1,  2618,    -1,    -1,    -1,  2622,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,
    3446,    25,  3448,    -1,    -1,  3451,    -1,    -1,    -1,    -1,
     338,    35,    36,   341,    -1,    -1,    -1,    -1,    42,    43,
      -1,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,  3509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3534,    -1,
      -1,    -1,   420,    -1,    -1,    -1,  2730,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   137,    -1,    -1,  3562,    -1,    -1,    -1,
    3566,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2794,    -1,  2796,    -1,    -1,    -1,    -1,    -1,  2802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3626,    -1,    -1,    -1,    -1,   513,   210,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,  3644,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3659,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,   219,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2930,    -1,  2932,    -1,
      -1,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3757,    -1,    -1,  3760,    -1,    -1,    -1,    -1,    -1,
    3766,    -1,    -1,    -1,    -1,    -1,  3772,    -1,  3774,    -1,
      -1,  3777,    -1,    -1,    -1,  3781,  3782,  3783,  3784,  3785,
      -1,    -1,  3788,  3789,  3790,  3791,  3792,  3793,  3794,  3795,
    3796,  3797,    -1,    -1,    -1,  3801,  3802,    -1,    -1,    -1,
    3806,    -1,    -1,    -1,    -1,  3811,    -1,    -1,    -1,  3815,
      -1,  3817,    -1,  3819,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3827,   406,    -1,  3830,    -1,  3832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3840,  3841,    -1,    -1,  3844,  3845,
      -1,    -1,    -1,  3849,  3850,    -1,    -1,    -1,    -1,    -1,
    3856,  3045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3866,    -1,  3868,    -1,    -1,    -1,    -1,    -1,   452,    -1,
      -1,    -1,    -1,    -1,  3880,    -1,    -1,    -1,    -1,    -1,
    3886,  3887,  3888,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,  3934,    -1,
      -1,    -1,    -1,    -1,   518,    -1,   520,   521,   522,   523,
     524,  3947,    -1,   527,   528,   529,   530,    -1,    -1,    -1,
     534,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4056,    -1,    35,    36,    -1,  4061,  4062,  4063,    -1,    42,
      43,    -1,    -1,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3341,    -1,  3343,
    3344,  3345,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,  4180,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,   111,    -1,    -1,
      -1,  4207,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,  4255,
    4256,  4257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   880,   309,    -1,    -1,   312,
      -1,    -1,    -1,    -1,  4340,    -1,    -1,    -1,   252,    -1,
      -1,  3535,    -1,   257,   327,  4351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   916,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4381,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,  4391,  4392,    -1,  4394,    -1,
      -1,    -1,  4398,  4399,    -1,    -1,    -1,  4403,  4404,    -1,
      -1,    -1,  4408,    -1,    -1,  4411,  4412,    -1,    -1,    -1,
    4416,   325,    -1,    -1,    -1,    -1,  4422,    -1,    -1,    -1,
     975,    -1,    -1,   406,   338,    -1,   981,   341,    -1,    -1,
     985,    -1,    -1,    -1,  4440,    -1,    -1,    -1,  4444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,
    4456,    84,    -1,    -1,    87,  4461,    -1,    -1,    91,    92,
      93,  4467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,  4485,
      -1,    -1,    -1,   116,   467,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,  3688,    -1,  3690,    -1,    -1,   482,
    3694,    -1,    -1,    -1,    -1,    -1,   420,    -1,  4514,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4532,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   518,    -1,   520,   521,   522,
     523,   524,    -1,    -1,   527,   528,   529,   530,  4554,    -1,
      -1,   534,  1107,  1108,    -1,    -1,  3750,  4563,    -1,  1114,
      -1,    -1,    -1,  1118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1144,
      -1,    -1,  4598,  4599,    -1,    -1,  4602,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4642,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4664,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4675,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4728,    -1,  4730,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1288,  1289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,
      -1,    -1,    -1,    -1,    -1,    -1,  1321,    -1,    -1,    -1,
    1325,    -1,    -1,    -1,    -1,  4781,    -1,    -1,    -1,  4785,
      -1,    -1,    -1,    -1,  4790,    -1,  1341,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1355,  4807,  4808,    -1,    -1,  4811,  4000,  4001,  4002,  4003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4825,
      -1,    -1,    -1,    -1,  4830,    -1,    -1,    -1,    -1,  4835,
      -1,    -1,  4838,  4839,    -1,    -1,    -1,    -1,  1393,    -1,
    4846,  4847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,    -1,    -1,
     513,    96,  1437,   516,   517,   518,   101,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
    4926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1510,    -1,  4963,    -1,    -1,
      -1,    -1,    -1,  4969,   179,    -1,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4178,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1568,  5020,    -1,  5022,   232,    -1,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1599,   260,  5052,  5053,    -1,  5055,
      -1,  5057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1627,    -1,    -1,  5081,    -1,    -1,    -1,  5085,
      -1,    -1,   297,    -1,    -1,  5091,    -1,    -1,    -1,    -1,
    5096,   306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1655,  1656,  1657,    -1,  1659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,  1679,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5142,    -1,    -1,    -1,
      -1,    -1,  5148,    -1,   359,    -1,  5152,  5153,    -1,    -1,
      -1,  5157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   378,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1733,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,   409,  5201,    -1,   412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1762,    -1,    -1,
      -1,  1766,  1767,    -1,    -1,  5221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,    -1,   444,
     445,    -1,   447,   448,    -1,  5241,  5242,    -1,    -1,    -1,
      -1,    -1,   457,    -1,    -1,    -1,    -1,   462,    -1,    -1,
      -1,    -1,    -1,   468,    -1,    -1,   471,    -1,  5264,   474,
      -1,  5267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5276,    -1,   487,    -1,    -1,  5281,    -1,  5283,    -1,  5285,
      -1,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,    -1,
    1845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5310,    -1,  1861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1910,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1944,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5404,  5405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4622,  5435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4637,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2025,    -1,    -1,    -1,    -1,  5481,    -1,    -1,    -1,    -1,
      -1,  5487,  5488,    -1,  5490,  2040,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2048,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5509,  2059,    -1,    -1,    -1,    -1,  4703,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2119,    -1,    -1,    -1,    -1,    -1,
    2125,    -1,    -1,    -1,    -1,    -1,  2131,    -1,    -1,    -1,
      -1,    -1,  2137,    -1,    -1,    -1,  5592,  5593,    -1,    -1,
      -1,    -1,  5598,    -1,  2149,    -1,    -1,    -1,    -1,    -1,
    5606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2164,
      -1,  5617,  5618,  5619,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2189,    -1,    -1,  2192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4884,  4885,  4886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,  2294,
      -1,    -1,    -1,    -1,  2299,  2300,    -1,    -1,    -1,    -1,
      -1,  2306,  2307,  2308,    -1,    -1,    -1,  2312,    -1,  2314,
    2315,  2316,  2317,  2318,  2319,    -1,  2321,    -1,  2323,  2324,
      -1,    -1,  2327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2341,  2342,  2343,  2344,
    2345,    -1,    -1,    -1,    -1,  2350,    -1,    -1,    -1,  2354,
      -1,    -1,  2357,    -1,    -1,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,    -1,  2370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2378,  5018,    -1,  2381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
    2445,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    -1,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,  5130,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5165,    -1,  5167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2542,    -1,    -1,
      -1,  2546,  2547,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2594,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,
    2605,    -1,    -1,    -1,  2609,    -1,    -1,  2612,    -1,   182,
     183,    -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,  2646,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,  5298,   228,  2661,    -1,    -1,    -1,
      -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   242,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,   267,    -1,    -1,    -1,    -1,    -1,
     273,    -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,    -1,
     293,    -1,    -1,    -1,  5368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   316,   317,   318,    -1,    -1,   321,    -1,
      -1,    -1,   325,    -1,    -1,   328,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5445,   375,    -1,    -1,    -1,    -1,    -1,    -1,  2814,
    2815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,    -1,   399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,
     443,    -1,  5516,    -1,    -1,    -1,    -1,   450,   451,    -1,
    2885,    -1,    -1,   456,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,  2901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,
      -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2959,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,   536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,
      -1,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,  3014,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,  3028,    -1,    -1,  3031,    -1,    -1,  3034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,
      -1,  3056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   137,  3079,  3080,  3081,    -1,    -1,  3084,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3092,  3093,  3094,
    3095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3105,    -1,    -1,  3108,    -1,  3110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3121,  3122,    -1,    -1,
    3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3139,    -1,  3141,    -1,  3143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,  3174,
      -1,  3176,  3177,  3178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,  3214,
      -1,    -1,    -1,    -1,  3219,    -1,    -1,    -1,    -1,    -1,
    3225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   327,    -1,    -1,    -1,   153,    -1,  3274,
      -1,    -1,  3277,    -1,  3279,    -1,   162,    -1,    -1,  3284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3308,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,  3352,    -1,    -1,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3446,    -1,  3448,    -1,    -1,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,    -1,   520,   521,   522,   523,
     524,    -1,    -1,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3562,    -1,    -1,
      -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3644,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3757,    -1,    -1,  3760,    -1,    -1,    -1,    -1,
      -1,  3766,    -1,    -1,    -1,    -1,    -1,  3772,    -1,  3774,
      -1,    -1,  3777,    -1,    -1,    -1,  3781,  3782,  3783,  3784,
    3785,    -1,    -1,  3788,  3789,  3790,  3791,  3792,  3793,  3794,
    3795,  3796,  3797,    -1,    -1,    -1,  3801,  3802,    -1,    -1,
      -1,  3806,    -1,    -1,    -1,    -1,  3811,    -1,    -1,    -1,
    3815,    -1,    -1,    -1,  3819,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3827,   709,   710,  3830,    -1,  3832,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3840,  3841,    -1,    -1,  3844,
    3845,    -1,    -1,    -1,  3849,  3850,    -1,    -1,    -1,    -1,
      -1,  3856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3866,    -1,  3868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   757,    -1,    -1,    -1,  3880,    -1,    -1,    -1,    -1,
      -1,  3886,  3887,  3888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3934,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3978,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     886,    -1,    -1,   889,   890,    -1,   892,    -1,    -1,   895,
      -1,   897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   925,
      -1,    -1,    -1,    -1,    -1,    -1,   932,    -1,    -1,   935,
     936,    -1,    -1,    -1,   940,    -1,    -1,  4062,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   957,    -1,   959,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   991,    -1,   993,    -1,    -1,
     996,    -1,   998,    -1,    -1,  1001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4180,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4255,  4256,  4257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1218,    -1,  1220,  4340,    -1,    -1,  1224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4391,  4392,    -1,  4394,
      -1,    -1,    -1,  4398,  4399,    -1,    -1,    -1,  4403,  4404,
      -1,    -1,    -1,  4408,    -1,    -1,  4411,  4412,    -1,    -1,
      -1,  4416,    -1,    -1,    -1,    -1,  1302,  4422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1318,    -1,    -1,  4440,    -1,    -1,    -1,  4444,
      -1,    -1,    -1,    -1,  1330,    -1,  1332,    -1,    -1,    -1,
      -1,  4456,    -1,    -1,  1340,    -1,  4461,    -1,    -1,    -1,
      -1,    -1,  4467,    -1,    -1,    -1,  1352,    -1,    -1,    -1,
      -1,  1357,    -1,    -1,  1360,    -1,    -1,    -1,    -1,    -1,
    4485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1394,  4514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,
      -1,    -1,    94,    -1,    96,    -1,    -1,    -1,  4563,    -1,
      -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    -1,  4599,    -1,    -1,  4602,    -1,   141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     152,   153,    -1,    -1,   156,    -1,    -1,    -1,    -1,    -1,
     162,    -1,    -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4642,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4664,
      -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4675,  1557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4728,    -1,  4730,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4781,    -1,    -1,    -1,
    4785,    -1,    -1,    -1,    -1,  4790,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4807,  4808,    -1,    -1,  4811,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4825,    -1,    -1,    -1,    -1,  4830,    -1,    -1,    -1,    -1,
    4835,    -1,    -1,  4838,  4839,    -1,    -1,    -1,    -1,    -1,
      -1,  4846,  4847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4868,    -1,    -1,  1752,  1753,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4926,    -1,    -1,  1810,    -1,    -1,  1813,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1839,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4969,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5020,    -1,  5022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5052,  5053,    -1,
    5055,    -1,  5057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5081,    -1,    -1,    -1,
    5085,    -1,    -1,    -1,    -1,    -1,  5091,    -1,    -1,    -1,
      -1,  5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5118,    -1,    -1,    -1,    -1,    -1,   661,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5148,    -1,    -1,    -1,  5152,  5153,    -1,
      -1,    -1,  5157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   709,   710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2063,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   757,  5221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5241,  5242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5264,
      -1,    -1,  5267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5276,    -1,    -1,    -1,    -1,  5281,  2163,  5283,    -1,
    5285,    -1,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,
      -1,  2177,    -1,    -1,  2180,    -1,  2182,    -1,  2184,    -1,
      -1,    -1,    -1,    -1,  2190,  5310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2253,  5373,    -1,
      -1,  2257,    -1,  2259,    -1,    -1,  2262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5404,
    5405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5415,    -1,    -1,    -1,   956,   957,    -1,   959,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1011,
      -1,    -1,  1014,  1015,    -1,    -1,  5481,    -1,    -1,    -1,
      -1,    -1,  5487,  5488,    -1,  5490,    -1,  1029,    -1,  1031,
      -1,  1033,    -1,    -1,    -1,    -1,    -1,  1039,  2384,    -1,
      -1,  1043,    -1,    -1,  5509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1063,  1064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1110,    -1,
    1112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5592,  5593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5618,  5619,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1205,  1206,    -1,    -1,  1209,    -1,    -1,
      -1,  2557,  2558,    -1,    -1,    -1,  2562,  2563,    -1,    -1,
      -1,  2567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,
      -1,    -1,  2588,    -1,    -1,    -1,  2592,  2593,    -1,    -1,
    2596,  2597,    -1,    -1,    -1,  1257,    -1,  2603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2615,
      -1,  2617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2636,    -1,    -1,    -1,    -1,  2641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2654,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2663,    -1,  2665,
      -1,    -1,  2668,  2669,  2670,    -1,    -1,    -1,    -1,  2675,
    2676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2685,
      -1,    -1,    -1,    -1,  2690,    -1,    -1,    -1,    -1,  2695,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2720,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2731,    -1,  2733,    -1,    -1,
      -1,    -1,  2738,    -1,    -1,    -1,  2742,    -1,  2744,  2745,
    2746,  2747,    -1,  2749,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2762,  2763,  2764,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2772,  2773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2824,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1518,    -1,    -1,    -1,
      -1,  1523,    -1,  1525,    -1,    -1,  1528,    -1,  1530,    -1,
      -1,  1533,  1534,  1535,    -1,    -1,    -1,  1539,    -1,    -1,
      -1,    -1,    -1,    -1,  1546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1560,    -1,
    1562,    -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3019,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1690,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1701,
    1702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1718,    -1,    -1,    -1,
      -1,  1723,  1724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1805,    -1,  1807,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1817,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1890,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1900,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3287,  3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1960,  3305,
      -1,  1963,  1964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3355,
    3356,    -1,    -1,    -1,  3360,    -1,    -1,    -1,    -1,  3365,
    3366,  3367,    -1,  3369,    -1,    -1,    -1,    -1,    -1,    -1,
    2032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3390,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3400,  3401,  3402,  3403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3437,    -1,    -1,  3440,  3441,  3442,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2225,    -1,  2227,    -1,    -1,  3574,  2231,
      -1,  2233,    -1,    -1,  2236,    -1,    -1,    -1,  2240,    -1,
      -1,    -1,    -1,  2245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3618,    -1,    -1,    -1,  3622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3651,    -1,    -1,    -1,    -1,
      -1,  3657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3679,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,
      -1,  3697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   871,
      -1,    -1,    -1,    -1,  3710,    -1,    -1,    -1,   880,    -1,
      -1,    -1,    -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,
      -1,    -1,  2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   916,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,
      -1,    -1,    -1,   975,    -1,    -1,    -1,    -1,    -1,   981,
      -1,    -1,    -1,   985,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2512,    -1,    -1,    -1,  2516,    -1,    -1,    -1,    -1,    -1,
    2522,    -1,  2524,    -1,    -1,  2527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1107,  1108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1144,    -1,    -1,    -1,    -1,    -1,    -1,  3985,
      -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,  3994,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4011,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4041,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4059,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2724,  4069,    -1,    -1,    -1,    -1,    -1,    -1,
    2732,    -1,  2734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4101,  4102,  4103,    -1,    -1,
    4106,  4107,  4108,  4109,  4110,  4111,    -1,    -1,    -1,    -1,
    4116,  4117,    -1,  4119,  4120,  4121,  4122,  4123,  4124,    -1,
    4126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4135,
      -1,  4137,  4138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1314,    -1,    -1,    -1,    -1,    -1,    -1,  1321,
      -1,    -1,    -1,  1325,  4160,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1341,
      -1,    -1,    -1,  4179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1355,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1437,    -1,    -1,    -1,  4275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4311,  4312,  4313,    -1,    -1,
      -1,    -1,    -1,  2975,  2976,    -1,    -1,  4323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1568,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   981,    -1,    -1,  1599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1627,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1655,  1656,  1657,    -1,  1659,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1679,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3192,    -1,    -1,    -1,  4540,  3197,    -1,    -1,  4544,  4545,
    4546,  4547,    -1,    -1,  4550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1733,    -1,    -1,    -1,    -1,    -1,    -1,  4574,  4575,
    4576,    -1,  4578,    -1,  4580,  4581,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4592,  4593,    -1,    -1,
    1762,    -1,    -1,    -1,  1766,  1767,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4613,    -1,    -1,
      -1,    -1,    -1,    -1,  4620,  4621,    -1,  4623,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4635,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1845,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4715,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1910,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1341,    -1,    -1,    -1,  4843,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1355,    -1,    -1,
      -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2040,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2048,    -1,    -1,    -1,
    1437,    -1,    -1,    -1,    -1,    -1,    -1,  2059,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3562,    -1,    -1,    -1,    -1,  3567,    -1,    -1,    -1,    -1,
      -1,    -1,  4918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1437,
      -1,    -1,    -1,  4939,  2106,    -1,    -1,    -1,  4944,  4945,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2119,    -1,    -1,
      -1,    -1,    -1,  2125,    -1,    -1,    -1,    -1,    -1,  2131,
      -1,    -1,    -1,    -1,    -1,  2137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2149,    -1,    -1,
      -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2164,    -1,    -1,  3657,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1568,    -1,    -1,    -1,    -1,    -1,  2189,    -1,    -1,
    2192,    -1,    -1,    -1,    -1,    -1,    -1,  5033,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5043,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5089,  2256,  3747,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5114,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2293,  2294,    -1,    -1,    -1,    -1,  2299,  2300,    -1,
      -1,    -1,  5138,    -1,  2306,  2307,  2308,    -1,    -1,    -1,
    2312,  5147,  2314,  2315,  2316,  2317,  2318,  2319,    -1,  2321,
      -1,  2323,  2324,    -1,    -1,  2327,    -1,    -1,    -1,    -1,
      -1,  1718,  5168,    -1,    -1,    -1,    -1,    -1,    -1,  2341,
    2342,  2343,  2344,  2345,    -1,    -1,    -1,    -1,  2350,    -1,
      -1,    -1,  2354,    -1,    -1,  2357,    -1,    -1,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,    -1,  2370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2378,    -1,    -1,  2381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5273,    -1,    -1,
      -1,    -1,    -1,  2445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1845,    -1,
    3952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1845,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1910,  5360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2542,    -1,    -1,    -1,  2546,  2547,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4062,    -1,  1910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2594,    -1,    -1,    -1,    -1,    -1,  5434,    -1,
      -1,    -1,  4094,  2605,    -1,    -1,  1944,  2609,    -1,    -1,
    2612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5470,    -1,    -1,    -1,  2025,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2040,    -1,    -1,    -1,    -1,    -1,  2661,
      -1,  2048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2106,
      -1,  2059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2149,    -1,    -1,    -1,    -1,    -1,  2106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2125,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2137,
      -1,    -1,  2189,    -1,    -1,  2192,    -1,    -1,    -1,    -1,
      -1,  2149,  2814,  2815,    -1,  1107,  1108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2189,  1144,    -1,  2192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2885,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2341,    -1,    -1,  2959,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3028,    -1,    -1,  3031,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3051,
      -1,    -1,    -1,    -1,  3056,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   981,    -1,    -1,  4560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3079,  3080,  3081,
      -1,    -1,  3084,    -1,    -1,    -1,  1002,    -1,    -1,    -1,
    3092,  3093,  3094,  3095,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3105,    -1,    -1,  3108,  4599,  3110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3121,
    3122,    -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3139,    -1,  3141,
      -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2542,    -1,    -1,    -1,  2546,
    2547,  3163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3174,    -1,  3176,  3177,  3178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3201,
      -1,    -1,    -1,    -1,  2542,    -1,    -1,    -1,  2546,  2547,
      -1,    -1,  3214,    -1,    -1,    -1,    -1,  3219,    -1,    -1,
      -1,    -1,  2609,  3225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3235,  2621,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2609,  3274,   981,  2661,  3277,    -1,  3279,    -1,    -1,
      -1,    -1,  3284,  2621,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3308,  1599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3335,    -1,  1627,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1655,  1656,  1657,    -1,  1659,    -1,    -1,
      -1,  4863,    -1,    -1,    -1,  3377,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1679,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4916,  1341,    -1,    -1,  2815,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1355,
      -1,  1733,    -1,    -1,  3446,    -1,  3448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1762,    -1,    -1,    -1,  1766,  1767,    -1,  2815,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2885,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3562,    -1,    -1,    -1,    -1,  3567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3626,    -1,    -1,  3014,    -1,    -1,
      -1,    -1,    -1,  1341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3644,    -1,  3031,    -1,    -1,  1355,    -1,    -1,
      -1,    -1,  1568,    -1,    -1,  3042,    -1,  3659,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3014,    -1,    -1,    -1,
      -1,  5173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,
    3712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3757,    -1,    -1,  3760,    -1,
    5252,    -1,    -1,    -1,  3766,    -1,    -1,    -1,    -1,    -1,
    3772,    -1,  3774,    -1,    -1,  3777,    -1,    -1,    -1,  3781,
    3782,  3783,  3784,  3785,    -1,    -1,  3788,  3789,  3790,  3791,
    3792,  3793,  3794,  3795,  3796,  3797,    -1,    -1,    -1,  3801,
    3802,    -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,  3811,
      -1,    -1,    -1,  3815,    -1,    -1,    -1,  3819,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3827,    -1,    -1,  3830,    -1,
    3832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3840,  3841,
      -1,    -1,  3844,  3845,    -1,    -1,    -1,  3849,  3850,    -1,
      -1,    -1,    -1,    -1,  3856,    -1,    -1,    -1,    -1,    -1,
    1568,    -1,    -1,    -1,  3866,    -1,  3868,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3880,    -1,
      -1,    -1,    -1,    -1,  3886,  3887,  3888,  3274,    -1,    -1,
    3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1845,
      -1,    -1,  3934,    -1,    -1,    -1,  3274,    -1,    -1,  3277,
      -1,  3279,    -1,    -1,    -1,  3947,  3284,    -1,  3335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3963,    -1,    -1,    -1,  3352,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3978,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3377,    -1,    -1,    -1,  1910,    -1,    -1,  3335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2299,    -1,    -1,
      -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,
    2312,    -1,  2314,    -1,    -1,  2317,  2318,  2319,  1944,    -1,
      -1,    -1,  2324,    -1,    -1,  2327,    -1,    -1,    -1,  3377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2342,  2343,  2344,  2345,    -1,    -1,    -1,    -1,  2350,  3446,
    4062,  3448,  2354,    -1,    -1,  2357,    -1,    -1,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,    -1,  2370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2378,    -1,    -1,  2381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3446,  2025,
    3448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3509,    -1,  2040,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2048,    -1,    -1,    -1,    -1,  1845,    -1,    -1,
      -1,    -1,    -1,  2059,    -1,    -1,    -1,  3534,    -1,    -1,
      -1,    -1,    -1,  2445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3509,    -1,    -1,    -1,  3562,    -1,    -1,  4180,    -1,
    3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2106,    -1,    -1,    -1,    -1,    -1,  3534,    -1,    -1,    -1,
      -1,    -1,  1910,    -1,    -1,  4207,    -1,    -1,    -1,  2125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2137,    -1,    -1,  3562,    -1,    -1,    -1,    -1,  3567,
      -1,    -1,    -1,  2149,    -1,    -1,  1944,    -1,    -1,  3626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4255,  4256,  4257,    -1,  3644,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3659,  2189,    -1,    -1,  2192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3626,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2594,    -1,    -1,    -1,  3644,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,  3659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2040,    -1,    -1,    -1,    -1,    -1,  4340,    -1,
    2048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4351,
      -1,  2059,    -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3760,    -1,    -1,    -1,  1002,    -1,  4381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4391,
    4392,    -1,  4394,    -1,  3781,    -1,  4398,  4399,  2106,    -1,
      -1,  4403,  4404,    -1,    -1,    -1,  4408,    -1,    -1,  4411,
    4412,    -1,    -1,    -1,  4416,    -1,    -1,  2125,    -1,  3806,
    4422,    -1,  3760,    -1,    -1,  2341,    -1,    -1,    -1,  2137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4440,    -1,
      -1,  2149,  4444,  3781,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3840,  4456,    -1,    -1,    -1,    -1,  4461,
      -1,    -1,    -1,    -1,    -1,  4467,    -1,    -1,  3806,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2189,    -1,  4485,  2192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,    -1,
      -1,    -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4599,    -1,    -1,
    4602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3963,  2542,    -1,    -1,    -1,
    2546,  2547,    -1,  2341,    -1,    -1,    -1,    -1,    -1,    -1,
    4642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4664,    -1,    -1,    -1,    -1,  2959,    -1,    -1,
      -1,    -1,    -1,  4675,    -1,  4062,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2609,    -1,    -1,  1321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1341,    -1,   981,    -1,
      -1,    -1,    -1,    -1,  4062,    -1,  4728,    -1,  4730,    -1,
    1355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1002,
      -1,    -1,    -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3051,
      -1,    -1,    -1,    -1,  3056,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4781,
      -1,    -1,    -1,  4785,    -1,    -1,    -1,    -1,  4790,  3081,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3092,    -1,  3094,  3095,    -1,  4807,  4808,    -1,    -1,  4811,
      -1,    -1,  1437,  3105,    -1,    -1,  3108,    -1,  3110,    -1,
    4207,    -1,    -1,  4825,    -1,    -1,    -1,    -1,  4830,    -1,
      -1,    -1,    -1,  4835,  2542,    -1,  4838,  4839,  2546,  2547,
      -1,    -1,    -1,    -1,  4846,  4847,    -1,  3139,    -1,  3141,
      -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4868,    -1,  4255,  4207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4882,    -1,    -1,    -1,  3176,  3177,  3178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,
      -1,  2609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3201,
      -1,    -1,    -1,  2621,  4916,    -1,    -1,  4255,    -1,    -1,
      -1,    -1,  3214,    -1,  4926,    -1,    -1,  3219,    -1,    -1,
      -1,    -1,    -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4969,    -1,  2885,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4394,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3308,  4404,  5020,    -1,
    5022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5052,  5053,    -1,  5055,    -1,  5057,  4394,    -1,  1321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1341,  5081,
      -1,    -1,    -1,  5085,    -1,    -1,    -1,    -1,    -1,  5091,
      -1,    -1,  1355,    -1,  5096,    -1,    -1,    -1,  3014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3031,  5118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4532,  5148,    -1,    -1,    -1,
    5152,  5153,    -1,    -1,    -1,  5157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1437,    -1,  4563,  2885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4532,    -1,    -1,  4584,    -1,  5201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4599,    -1,    -1,    -1,    -1,    -1,    -1,  5221,
    1845,    -1,    -1,    -1,    -1,  4563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5241,
    5242,    -1,    -1,    -1,    -1,    -1,  4584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4642,    -1,    -1,    -1,    -1,
      -1,  4599,  5264,    -1,    -1,  5267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5276,    -1,    -1,    -1,    -1,  5281,
      -1,  5283,    -1,  5285,    -1,  1910,    -1,    -1,    -1,    -1,
    5292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4642,  1568,  3014,    -1,  5310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1944,
      -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,    -1,
      -1,  3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,    -1,
      -1,  5373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   981,
      -1,    -1,  4730,    -1,    -1,    -1,    -1,    -1,  4785,    -1,
    2025,    -1,  5404,  5405,    -1,    -1,    -1,    -1,    -1,    -1,
    1002,    -1,    -1,  5415,    -1,  2040,    -1,    -1,    -1,  3335,
      -1,    -1,    -1,  2048,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5435,  2059,    -1,  3352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3377,    -1,    -1,    -1,  3757,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3766,    -1,    -1,    -1,    -1,  5481,
    3772,  2106,  3774,    -1,    -1,  5487,  5488,    -1,  5490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2125,    -1,    -1,    -1,    -1,    -1,    -1,  5509,    -1,  3801,
    3802,    -1,  2137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2149,    -1,    -1,  3819,    -1,  4916,
    3446,    -1,  3448,    -1,    -1,  3827,    -1,    -1,  3830,    -1,
    3832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3849,  3850,    -1,
      -1,    -1,    -1,    -1,  2189,    -1,  3274,  2192,    -1,  3277,
      -1,  3279,    -1,    -1,    -1,    -1,  3284,    -1,  4916,    -1,
      -1,    -1,  1845,    -1,    -1,    -1,    -1,    -1,  3880,    -1,
    5592,  5593,    -1,  3509,  3886,  3887,  3888,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5618,  5619,  3534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5022,    -1,    -1,    -1,    -1,
      -1,    -1,  3934,    -1,  3352,    -1,  3562,  1910,    -1,    -1,
      -1,  3567,    -1,    -1,    -1,  3947,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5053,    -1,    -1,  3377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1944,    -1,    -1,  5022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5091,    -1,    -1,    -1,    -1,    -1,
    3626,    -1,    -1,    -1,    -1,  5053,  2341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3644,  1321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3446,    -1,
    3448,    -1,    -1,  3659,    -1,    -1,    -1,    -1,    -1,  1341,
      -1,    -1,    -1,  5091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5148,  2025,  1355,    -1,  5152,  5153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2040,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2048,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2059,    -1,    -1,    -1,
      -1,  3509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5148,    -1,    -1,    -1,  5152,  5153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2106,  3760,  1437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3562,  5242,    -1,    -1,    -1,  3567,
      -1,    -1,  2125,    -1,    -1,  3781,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2149,    -1,    -1,    -1,
    3806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2542,  3626,    -1,
      -1,  2546,  2547,    -1,  3840,    -1,  2189,    -1,    -1,  2192,
      -1,    -1,    -1,    -1,    -1,    -1,  3644,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4256,  4257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1568,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2609,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2661,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,  4340,    -1,
      -1,    -1,  3760,    -1,    -1,    -1,    -1,    -1,    -1,  4351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3781,    -1,    -1,    -1,    -1,  2341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3806,  4391,
    4392,    -1,    -1,    -1,    -1,    -1,  4398,  4399,    -1,    -1,
      -1,  4403,    -1,    -1,    -1,    -1,  4408,    -1,    -1,  4411,
    4412,    -1,    -1,    -1,  4416,    -1,    -1,    -1,    -1,    -1,
    4422,    -1,  3840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4062,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4456,    -1,    -1,    -1,    -1,  4461,
      -1,    -1,    -1,    -1,    -1,  4467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2815,    -1,    -1,  4485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1845,    -1,  3963,    -1,    -1,    -1,    -1,
    2885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2542,
      -1,    -1,    -1,  2546,  2547,    -1,    -1,    -1,    -1,    -1,
      -1,  4207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1910,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4255,
      -1,    -1,    -1,    -1,    -1,    -1,  2609,    -1,    -1,    -1,
      -1,    -1,  1944,    -1,  4062,    -1,    -1,    -1,  2621,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1671,    -1,    -1,    -1,    -1,    -1,  3014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2661,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2040,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2048,    -1,    -1,    -1,
    1748,    -1,    -1,    -1,    -1,    -1,    -1,  2059,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2106,  4807,  4808,    -1,    -1,  4811,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2137,    -1,  4255,    -1,    -1,
      -1,    -1,  2815,    -1,  4846,  4847,    -1,  2149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2189,    -1,    -1,
    2192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4532,    -1,    -1,    -1,
      -1,    -1,  2885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4563,    -1,  3274,
      -1,    -1,  3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4599,    -1,    -1,  4394,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4642,  3352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2341,
      -1,  3014,  3377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5055,    -1,    -1,    -1,    -1,  3031,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5081,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5096,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4730,    -1,    -1,    -1,    -1,    -1,
      -1,  3446,    -1,  3448,  4532,    -1,  5118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5157,    -1,    -1,    -1,  4785,
      -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    -1,
      -1,  4599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5221,
      -1,    -1,    -1,    -1,  4642,    -1,    -1,  3562,    -1,    -1,
      -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2542,    -1,    -1,    -1,  2546,  2547,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5285,    -1,    -1,    -1,    -1,    -1,    -1,
    4916,  3626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2297,
      -1,  3274,    -1,    -1,  3277,    -1,  3279,  2609,  5310,  3644,
      -1,  3284,  4730,  2311,    -1,    -1,    -1,  2315,    -1,  2621,
      -1,    -1,    -1,    -1,  3659,    -1,    -1,    -1,    -1,    -1,
      -1,  2329,  2330,  2331,    -1,    -1,  2334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2661,
      -1,    -1,  3335,    -1,    -1,    -1,    -1,  4785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2376,  3352,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5022,    -1,    -1,    -1,
      -1,    -1,  5404,  5405,  3377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3760,    -1,  5053,    -1,    -1,
      -1,    -1,    -1,  2431,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5091,    -1,    -1,    -1,  2467,
      -1,  3806,  2470,  3446,    -1,  3448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4916,    -1,
      -1,    -1,    -1,    -1,    -1,  3840,    -1,  5509,    -1,    -1,
      -1,    -1,    -1,  2815,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5148,    -1,    -1,    -1,  5152,  5153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,  3534,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,  2885,    -1,    -1,    -1,    -1,    -1,  3562,
    5592,  5593,    -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5022,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,  5242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,
      -1,    -1,    -1,    -1,    -1,  5053,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3626,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3644,    -1,  5091,   138,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,   147,    -1,    -1,  3659,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4062,    -1,  3031,
    5148,    -1,    -1,    -1,  5152,  5153,    -1,    -1,    -1,    -1,
    3042,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   242,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,  3760,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,   267,    -1,    -1,    -1,    -1,  3781,   273,
      -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,    -1,
      -1,    -1,    -1,    -1,  5242,    -1,   290,   291,    -1,   293,
      -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,   317,   318,    -1,    -1,   321,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,   330,  3840,    -1,    -1,
      -1,    -1,  4207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   395,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3274,   437,    -1,  3277,    -1,  3279,    -1,   443,
      -1,    -1,  3284,    -1,    -1,    -1,   450,   451,    -1,    -1,
    3963,    -1,   456,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,
      -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3335,    -1,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
    3352,    -1,    -1,    -1,    -1,    -1,  3054,    -1,    -1,  4394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4404,
      -1,    -1,    -1,    -1,    -1,  3377,  3074,    -1,  3076,    -1,
      -1,  3079,  3080,    -1,  3082,    -1,  3084,    -1,    -1,  4062,
    3088,    -1,    -1,  3091,    -1,    -1,    -1,    -1,  3096,    -1,
      -1,    -1,    -1,    -1,  3102,    -1,    -1,    -1,    -1,  3107,
      -1,    -1,    -1,    -1,    -1,    -1,  3114,  3115,  3116,  3117,
      -1,    -1,    -1,  3121,  3122,    -1,  3124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3136,    -1,
    3138,    -1,    -1,    -1,  3446,    -1,  3448,  3145,  3146,  3147,
    3148,  3149,  3150,  3151,  3152,  3153,  3154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4563,    -1,
      -1,    -1,  3534,    -1,  4207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3562,    -1,    -1,    -1,  4599,  3567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4642,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3626,  3323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3659,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4730,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4532,
      -1,    -1,    -1,    -1,    -1,  3563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4599,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4642,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5053,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5091,  4730,  3756,    -1,
    4062,    -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3778,  3779,    -1,    -1,  3782,  3783,  3784,  3785,    -1,    -1,
    3788,  3789,  3790,  3791,  3792,  3793,  3794,  3795,  3796,  3797,
    3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4785,  5148,    -1,    -1,    -1,  5152,  5153,    -1,
      -1,    -1,  3820,    -1,    -1,  3823,    -1,  3825,    -1,    -1,
    3828,  3829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3843,  3844,  3845,  3846,    -1,
    3848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4207,    -1,  5242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3916,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4916,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4255,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3975,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5022,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5091,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5148,    -1,    -1,    -1,  5152,
    5153,    -1,  4180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4642,    -1,    -1,  4341,    -1,    -1,    -1,  4345,  4346,  4347,
      -1,    -1,    -1,    -1,    -1,  4353,  4354,  4355,  4356,    -1,
      -1,    -1,    -1,  4361,  4362,  4363,  4364,  4365,  4366,  4367,
    4368,  4369,  4370,  4371,  4372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4397,
      -1,    -1,  4400,    -1,  4402,    -1,    -1,    -1,  4406,    -1,
      -1,  4409,  4410,    -1,    -1,  4413,  4414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4730,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4458,    -1,    -1,    -1,    -1,    -1,    -1,  4465,  4466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4785,    -1,    -1,  4484,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4916,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4667,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5022,    -1,    -1,    -1,    -1,    -1,    -1,  4725,  4726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4775,    -1,    -1,
      -1,    -1,  4780,  4781,    -1,    -1,    -1,    -1,    -1,  5091,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4795,    -1,  4797,
      -1,    -1,    -1,  4801,  4802,  4803,    -1,    -1,  4806,    -1,
      -1,  4809,  4810,    -1,    -1,    -1,  4814,    -1,    -1,    -1,
    4818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5148,    -1,    -1,    -1,
    5152,  5153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5242,    -1,  4940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,  4974,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,  5051,  5052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,  5067,
    5068,  5069,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,   118,
      -1,    -1,   121,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5103,  5104,    -1,    -1,   138,
      -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   162,    -1,   164,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
     179,    -1,   181,   182,   183,   184,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,
     199,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
     209,   210,    -1,    -1,    -1,    -1,    -1,    -1,   217,   218,
     219,    -1,    -1,   222,    -1,    -1,   225,    -1,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,    -1,   242,    -1,   244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,    -1,
      -1,   270,    -1,    -1,   273,    -1,   275,    -1,    -1,   278,
     279,    -1,   281,    -1,    -1,    -1,    -1,    -1,  5256,    -1,
      -1,   290,   291,    -1,   293,    -1,   295,   296,    -1,    -1,
      -1,    -1,   301,    -1,  5272,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   313,    -1,    -1,   316,   317,   318,
      -1,    -1,   321,    -1,    -1,   324,   325,    -1,    -1,   328,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,   345,    -1,   347,   348,
      -1,    -1,    -1,    -1,  5322,    -1,    -1,    -1,    -1,    -1,
      -1,   360,    -1,   362,    -1,   364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   375,   376,    -1,    -1,
      -1,    -1,   381,   382,    -1,   384,    -1,    -1,    -1,    -1,
     389,    -1,    -1,    -1,    -1,   394,   395,    -1,   397,    -1,
     399,    -1,    -1,   402,  5372,    -1,    -1,    -1,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,   417,    -1,
     419,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,
     429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,    -1,   441,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,   450,   451,    -1,    -1,    -1,    -1,   456,    -1,   458,
      -1,   460,    -1,   462,    -1,  5433,    -1,    -1,   467,    -1,
      -1,   470,    -1,    -1,   473,    -1,    -1,   476,    -1,    -1,
      -1,    -1,   481,   482,    -1,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,    -1,   515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5493,    -1,    -1,    -1,    -1,
     529,    -1,    -1,    -1,   533,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,  5564,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5605,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,   535,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,
      -1,    -1,    -1,   242,    -1,   244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,    -1,
      -1,    -1,    -1,    -1,   273,    -1,   275,    -1,    -1,   278,
     279,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   290,   291,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,
      -1,    -1,   321,    -1,    -1,    -1,   325,    -1,    -1,   328,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,   345,    -1,   347,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   360,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,   450,   451,    -1,    -1,    -1,    -1,   456,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   482,    -1,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,   536,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,   198,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,   474,    -1,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,   529,   530,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,   474,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,    -1,
      -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   529,   530,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,   530,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,   474,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
      -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   529,   530,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,   530,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,    -1,
      -1,    -1,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,    -1,
     323,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,    -1,   361,    -1,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   530,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,    -1,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,    -1,
     361,    -1,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   530,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,   235,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,   527,   528,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,   235,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,   474,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,    -1,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,    -1,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   474,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
     337,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,   474,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,   515,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   529,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,   337,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   529,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,   474,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   529,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   530,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,   528,   529,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     529,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,   515,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   529,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,   515,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   529,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   529,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   529,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,    -1,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,    -1,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,   522,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
      -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
      -1,   323,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,    -1,   361,
      -1,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     522,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   522,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   522,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,   235,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   520,   521,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,   235,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,   235,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,   235,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     520,   521,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,     4,   518,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,    -1,   361,    -1,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,    -1,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,    -1,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,    -1,   323,   324,   325,   326,   327,    -1,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,    -1,   361,    -1,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,   511,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,    -1,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,    -1,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,    -1,
     361,    -1,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,    -1,
      -1,    -1,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,    -1,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,    -1,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,    -1,   361,    -1,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,    -1,    -1,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,    -1,   323,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,    -1,   361,    -1,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,   511,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
      -1,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,    -1,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,    -1,   361,    -1,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,    -1,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,    -1,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,    -1,   323,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,    -1,   361,    -1,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,   511,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,    -1,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,    -1,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,    -1,
     361,    -1,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,    -1,
      -1,    -1,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,    -1,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,    -1,
     323,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,    -1,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,    -1,   361,    -1,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,    -1,   124,
      -1,    -1,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,    -1,   139,    -1,   141,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,    -1,    -1,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,    -1,   224,
      -1,   226,   227,    -1,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,    -1,    -1,   269,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,    -1,   319,   320,    -1,    -1,   323,   324,
     325,   326,    -1,    -1,   329,    -1,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,    -1,   361,    -1,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,    -1,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,    -1,    -1,    -1,    -1,   454,
     455,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,   168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,   337,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,   337,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,   337,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,    -1,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     218,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,   242,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,
      -1,    -1,    -1,    -1,    -1,   273,    -1,   275,    -1,    -1,
     278,   279,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   290,   291,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,
     318,    -1,    -1,   321,    -1,    -1,    -1,   325,    -1,    -1,
     328,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,   345,    -1,   347,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   360,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,   450,   451,    -1,    -1,    -1,    -1,   456,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   482,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   242,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,   267,    -1,    -1,    -1,    -1,    -1,   273,
      -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   290,   291,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,   317,   318,    -1,    -1,   321,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   395,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,   450,   451,    -1,    -1,
      -1,    -1,   456,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,
      -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,
      -1,    -1,   242,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,   267,    -1,    -1,
      -1,    -1,    -1,   273,    -1,   275,    -1,    -1,   278,   279,
      -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     290,   291,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,    -1,
      -1,   321,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,   345,    -1,   347,   348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     360,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
     420,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,
      -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,
     450,   451,    -1,    -1,    -1,    -1,   456,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   482,    -1,    -1,   485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
     236,    -1,    -1,    -1,    -1,    -1,   242,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,   267,    -1,    -1,    -1,    -1,    -1,   273,    -1,   275,
      -1,    -1,   278,   279,    -1,   281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   290,   291,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,    -1,    -1,   321,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   345,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   360,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,   450,   451,    -1,    -1,    -1,    -1,
     456,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,   485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,   529,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
     106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,   511,   512,    70,    71,   515,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,   529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
      -1,    -1,    -1,    -1,    -1,    70,    71,   520,   521,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,    -1,    -1,
      -1,    -1,    -1,    70,    71,   520,   521,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,    -1,    -1,    -1,    -1,
      -1,    70,    71,   520,   521,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,    -1,    -1,    -1,    -1,    -1,    70,
      71,   520,   521,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,   474,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    70,   511,   512,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,   511,   512
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   538,  1148,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   210,   228,   249,
     272,   309,   312,   327,   406,   452,   467,   482,   510,   518,
     520,   521,   522,   523,   524,   527,   528,   529,   530,   532,
     533,   534,   535,   536,  1138,  1149,  1177,  1179,  1270,  1280,
    1281,  1283,  1289,  1290,  1178,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   197,   199,   203,
     209,   210,   217,   218,   219,   222,   225,   228,   234,   236,
     240,   242,   244,   252,   256,   266,   267,   273,   275,   278,
     279,   281,   290,   291,   293,   295,   296,   301,   313,   316,
     317,   318,   321,   324,   325,   328,   330,   344,   345,   347,
     348,   360,   362,   364,   375,   376,   381,   382,   384,   389,
     394,   395,   397,   399,   402,   407,   408,   415,   417,   419,
     420,   423,   429,   437,   441,   443,   450,   451,   456,   458,
     460,   462,   467,   470,   476,   481,   482,   485,   494,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   515,   529,
     539,   540,   546,   547,   549,   550,   551,   552,   553,   554,
     555,   557,   558,   562,   574,   579,   580,   583,   584,   585,
     597,   600,   601,   617,   656,   659,   660,   661,   668,   674,
     676,   678,   679,   682,   685,   686,   690,   691,   700,   704,
     705,   706,   707,   708,   711,   713,   714,   715,   716,   717,
     724,   725,   738,   739,   743,   745,   746,   747,   757,   759,
     766,   767,   770,   771,   772,   773,   774,   780,   782,   785,
     789,   793,   794,   804,   805,   808,   813,   824,   847,   850,
     851,   852,   855,   858,   860,   862,   864,   865,   870,   871,
     874,   875,   876,   879,   880,   887,   888,   890,   891,   892,
     897,   899,   900,   906,   907,   908,   909,   910,   911,   913,
     914,   916,   917,   919,   922,   923,   928,   934,   937,   939,
     947,   949,   954,   961,   965,   966,   967,   968,   969,   970,
     973,  1008,  1145,  1146,  1150,  1152,  1153,  1170,  1171,  1172,
    1173,  1184,  1186,  1190,  1191,  1192,  1193,  1194,  1196,  1198,
    1200,  1201,  1202,  1203,  1205,  1210,  1211,  1215,  1216,  1225,
    1227,  1228,  1229,  1232,  1237,  1240,  1245,  1247,  1248,  1251,
    1253,  1256,  1265,  1283,  1291,    72,  1173,  1181,  1182,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   119,   120,   121,   128,
     129,   130,   131,   132,   135,   136,   139,   141,   142,   143,
     144,   149,   150,   151,   152,   154,   155,   158,   159,   160,
     161,   162,   163,   166,   167,   175,   176,   177,   178,   179,
     181,   184,   186,   188,   189,   190,   191,   192,   193,   195,
     196,   197,   200,   201,   202,   203,   204,   206,   207,   208,
     210,   211,   212,   214,   215,   216,   217,   219,   220,   221,
     224,   226,   227,   229,   231,   233,   237,   238,   239,   241,
     245,   247,   248,   250,   251,   253,   254,   255,   256,   258,
     259,   260,   261,   262,   263,   265,   269,   270,   271,   277,
     280,   282,   283,   284,   285,   286,   289,   292,   295,   296,
     297,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     310,   311,   313,   314,   315,   319,   320,   323,   324,   326,
     329,   331,   332,   333,   335,   338,   339,   340,   343,   346,
     349,   350,   351,   352,   353,   354,   355,   356,   358,   359,
     361,   363,   364,   365,   367,   368,   369,   370,   371,   372,
     373,   374,   376,   377,   378,   379,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   393,   394,   396,
     397,   398,   400,   401,   402,   403,   404,   405,   407,   409,
     410,   411,   412,   413,   414,   415,   416,   418,   419,   421,
     422,   424,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   439,   440,   442,   444,   445,   446,   447,
     448,   452,   454,   455,   457,   460,   461,   462,   463,   464,
     465,   466,   469,   470,   471,   472,   473,   476,   477,   478,
     479,   480,   484,   486,   487,   488,   489,   492,   495,   496,
     497,   498,   499,   500,   511,   512,  1140,  1141,  1143,  1144,
    1145,  1146,  1163,  1164,  1275,  1277,  1281,  1283,    29,   268,
    1226,     9,    13,    15,    28,    44,    45,    49,    50,    55,
      64,    66,    68,    69,   102,   137,   156,   168,   180,   185,
     249,   309,   312,   406,   481,   510,  1131,  1144,  1145,  1165,
    1212,  1213,  1255,  1256,  1257,  1261,  1266,  1267,  1268,  1277,
    1283,   102,   962,  1130,  1165,  1261,  1274,    14,   962,     5,
      25,    29,    35,    36,    42,    43,   102,   106,   107,   108,
     109,   110,   111,   112,   115,   127,   133,   134,   137,   140,
     146,   148,   156,   157,   164,   168,   169,   170,   171,   173,
     174,   175,   185,   187,   194,   198,   199,   205,   209,   213,
     223,   225,   230,   232,   235,   240,   243,   246,   257,   264,
     268,   272,   274,   276,   287,   288,   294,   298,   299,   322,
     327,   334,   336,   337,   341,   342,   357,   366,   380,   392,
     408,   414,   425,   438,   441,   449,   452,   453,   459,   467,
     468,   474,   475,   481,   483,   490,   491,   493,   494,  1144,
    1147,  1257,  1258,  1259,  1263,  1264,  1265,  1266,  1268,    25,
      35,   137,   272,  1252,    37,    39,   322,  1185,   454,   497,
     893,   101,   147,   161,   179,   185,   201,   212,   220,   232,
     237,   243,   260,   285,   306,   338,   359,   369,   396,   401,
     403,   409,   412,   440,   441,   444,   448,   457,   462,   474,
     487,   675,  1213,   184,   893,   102,   962,   485,   924,   336,
     365,   893,   124,   529,   608,    96,   101,   113,   134,   147,
     157,   179,   185,   201,   212,   220,   232,   239,   243,   297,
     338,   341,   359,   396,   403,   412,   444,   445,   447,   448,
     457,   462,   468,   471,   474,   618,   658,   762,   814,   825,
    1131,  1154,  1155,  1156,  1165,  1281,  1283,    14,   102,   364,
    1130,  1165,  1169,   430,   962,   102,   358,   410,   445,   447,
     284,   856,   857,  1281,    96,   101,   113,   134,   147,   161,
     179,   201,   212,   220,   232,   237,   243,   260,   306,   338,
     349,   359,   396,   401,   403,   409,   412,   441,   444,   448,
     455,   457,   462,   474,   487,   675,   775,   893,   535,  1195,
    1259,   253,  1169,   164,   184,   217,   485,   529,   656,   659,
     923,   929,   937,   939,   947,   954,   961,   965,  1150,    95,
     102,   119,   227,   233,   235,   257,   286,   319,   367,   383,
     520,   521,   790,   791,   962,  1138,  1139,  1275,  1277,   102,
     164,   380,   408,   795,   796,   797,  1261,   232,  1261,  1135,
    1281,   441,   976,   119,   233,   790,  1261,   454,  1169,   349,
     306,   179,   260,   403,   440,   441,   529,   866,   867,   402,
    1261,   102,   137,   413,   450,   454,   481,   566,   575,   576,
    1144,  1145,  1255,  1260,  1266,  1268,  1283,    99,   240,   795,
     796,   365,   893,  1261,   283,   102,   198,   978,   979,     4,
      14,   135,   156,   158,   297,   315,   396,   403,   413,   450,
     454,   500,   563,   564,   565,   566,   102,   413,   450,   454,
     566,   454,   337,  1019,  1128,  1261,   976,  1249,  1259,   522,
    1261,   236,   529,   925,   529,  1123,   378,   971,   972,  1130,
     971,   966,   967,   970,   533,   924,   213,   274,   342,   467,
     980,   981,   966,   968,   969,   190,   270,   473,   532,   121,
     539,  1193,  1196,  1192,  1188,   533,  1197,  1199,     5,    25,
      35,   137,   202,   272,  1204,   180,   249,   309,   312,   406,
     510,   529,  1056,  1057,  1176,  1180,  1270,    72,  1173,  1130,
    1165,  1284,   185,  1154,    21,   475,   523,  1169,  1169,  1284,
     475,  1217,  1218,  1219,    25,   272,   272,  1263,     7,    19,
      20,    38,    41,   160,   199,  1254,  1254,    16,  1193,  1136,
    1146,  1255,  1258,  1261,  1262,  1266,  1267,  1283,   777,  1261,
     777,  1131,   368,   777,   457,   777,  1130,  1261,   178,   441,
     803,  1136,  1140,  1141,   102,   251,  1128,   331,   487,    84,
      91,    92,    93,   142,   224,   516,   517,   518,   520,   521,
     522,   523,   524,   525,   854,  1089,  1090,  1261,   251,  1130,
     102,  1140,  1141,  1130,  1130,   251,  1128,  1130,   389,   415,
     102,   251,  1019,  1130,   405,  1130,   777,   304,  1140,  1141,
     251,  1128,   284,    34,   187,   280,   322,   374,   894,   895,
     896,  1128,  1134,  1261,   101,   134,   147,   148,   157,   161,
     179,   201,   212,   220,   232,   237,   260,   285,   306,   338,
     359,   396,   401,   403,   409,   412,   441,   444,   448,   455,
     457,   462,   487,   675,   783,  1281,   936,   939,   947,   954,
     965,  1128,   308,  1136,  1130,   529,   777,   457,  1131,   777,
     457,   251,  1130,   178,   441,   445,   447,  1140,   445,   447,
     142,   224,   854,   387,  1130,  1140,   251,   559,  1261,  1130,
    1130,   405,  1130,   777,   304,  1140,   378,   409,   441,   487,
     306,   161,   260,   237,   401,   455,   461,   669,    84,  1157,
    1158,   534,  1277,  1284,   102,  1169,  1283,   963,   573,  1143,
    1281,   857,   308,   251,  1136,  1130,   251,   861,   251,  1131,
     123,   125,   126,   137,   138,   182,   183,   202,   228,   251,
     272,   273,   275,   316,   318,   330,   375,   417,   423,   450,
     451,   482,   779,  1034,  1036,  1038,  1040,  1042,  1044,  1045,
    1046,  1048,  1049,  1050,  1053,  1054,  1255,  1262,  1266,  1267,
    1283,   457,   178,   441,   251,  1136,   251,  1141,  1142,   153,
     487,   142,   224,   251,   854,   128,   251,  1130,   251,  1142,
     251,  1130,   251,  1130,   251,  1130,   405,   861,   251,  1130,
     251,   779,   251,   304,  1142,   284,   251,   776,   777,   529,
     535,  1285,  1286,  1287,  1288,  1290,  1195,    70,  1165,  1214,
     529,   938,   618,   962,   929,   923,   930,   931,   932,  1143,
     924,  1139,   791,   792,   102,   791,   962,  1139,   792,   102,
     791,   962,  1139,   792,   792,   792,  1139,  1138,  1138,   276,
     475,  1219,  1220,  1294,  1295,   962,   792,   368,   529,   529,
     637,   637,   637,   336,   452,   532,   637,   403,  1019,  1020,
     791,   962,   791,   962,   532,   889,  1281,   235,   529,   935,
     128,   487,   485,   868,   869,  1128,  1130,  1261,   118,   512,
     280,   531,   339,   339,   336,   235,  1281,   452,   230,   786,
     336,    82,    83,    84,    86,   110,   123,   125,   126,   133,
     134,   137,   138,   145,   147,   169,   170,   171,   172,   173,
     174,   175,   182,   183,   218,   222,   223,   228,   242,   244,
     273,   275,   290,   298,   299,   316,   318,   322,   327,   328,
     330,   338,   348,   360,   375,   399,   414,   423,   437,   450,
     451,   456,   458,   459,   468,   474,   482,   502,   503,   504,
     505,   506,   507,   508,   509,   513,   520,   521,   522,   529,
     966,  1037,  1040,  1043,  1044,  1045,  1047,  1048,  1049,  1053,
    1054,  1058,  1060,  1061,  1062,  1064,  1085,  1086,  1087,  1091,
    1110,  1115,  1125,  1126,  1136,  1137,  1138,  1261,  1273,  1275,
    1277,  1278,  1279,  1280,  1281,  1124,  1125,   452,   518,  1284,
    1281,   452,   518,  1213,   102,   581,  1127,  1128,   413,   563,
     185,   572,  1281,   573,  1281,   118,   139,   563,   512,   424,
     895,   339,   235,   452,   518,   118,   512,   280,  1294,   896,
     529,  1128,   522,   527,   531,  1116,  1118,  1020,  1265,   234,
     236,   485,   920,   921,   923,   234,   926,   185,  1058,  1121,
    1122,   971,   532,   529,   927,   530,   530,  1128,   102,   198,
     977,   977,   128,   977,   225,   230,   294,   334,   984,   986,
     987,  1002,  1004,  1005,  1006,   980,   981,   235,   276,  1019,
    1021,  1123,   533,  1187,   522,  1206,  1207,  1209,   535,   535,
      25,   272,   272,   452,   452,   452,   452,   529,   452,   521,
     666,  1139,  1174,  1280,   209,   111,  1161,   128,  1164,  1164,
     276,  1219,  1221,   276,  1219,  1220,  1221,   480,  1230,  1231,
    1277,    14,    83,   426,   520,   521,  1138,  1222,  1223,  1224,
    1273,  1275,  1279,  1280,  1281,  1282,   272,   278,  1130,   452,
    1130,     6,  1130,  1254,  1209,   529,   837,  1118,   350,   385,
     415,   531,   778,   350,   385,   415,   156,   207,   300,   350,
     385,   415,   444,   446,   494,   574,   577,   901,   902,   903,
     904,  1283,   809,    98,   203,   350,   385,   415,   478,   588,
    1130,   415,    98,   203,   473,   556,   498,   251,  1019,   130,
     163,   193,   221,   254,   289,   322,   350,   351,   385,   393,
     400,   407,   415,   427,   435,   489,   574,   578,   840,   848,
     529,   826,   385,   556,   257,   218,    98,   104,   144,   193,
     196,   203,   206,   231,   262,   320,   322,   332,   340,   350,
     385,   388,   389,   415,   478,   586,   587,   694,   666,   102,
     251,  1128,   777,   777,   529,   853,   531,   218,   336,   257,
     548,   385,   494,   515,   541,   548,   336,   350,   385,   218,
     129,   177,   259,   307,   310,   320,   349,   385,   390,   415,
     429,   586,   663,   664,   350,   385,   486,   694,   702,   576,
     564,   566,   257,   218,   385,   415,   586,   350,   385,   389,
     415,   154,   195,   352,   446,   336,    98,   104,   203,   350,
     385,   415,   598,   599,   230,   385,   415,   541,   577,   218,
     385,   415,   586,  1130,   533,   292,   187,   337,   499,   532,
     894,   475,   918,   336,  1136,   529,  1130,  1034,   457,   178,
     441,  1136,   331,   487,   142,   224,   854,  1130,  1130,   405,
     230,  1130,  1034,   284,   777,   530,   637,  1130,   529,   752,
     837,   140,  1034,   235,   529,   748,  1130,   541,   111,   912,
    1130,   322,   541,   498,   251,  1128,   541,   777,   777,   748,
     471,   618,   336,   541,   322,   118,   560,   462,   701,   350,
     677,   154,   195,   352,   446,   100,   120,   271,   726,   111,
     748,   230,   541,   487,   251,  1128,   251,   654,  1128,  1128,
     487,   777,   153,   815,  1136,  1130,   230,   675,    73,  1159,
    1261,   534,  1160,  1157,   124,   176,   269,   320,   404,   218,
     837,   131,   391,   589,   218,   529,   218,   484,  1051,  1051,
    1051,   529,  1039,  1039,   362,   529,  1041,   218,   137,   138,
    1051,  1039,  1036,   496,   515,   529,  1055,   529,  1055,   532,
     589,   110,  1035,   138,   529,  1052,   180,   312,   510,   529,
    1056,   778,  1039,   498,   218,   826,   218,   532,   251,   776,
     251,   777,   251,   777,   218,   853,  1142,   218,   336,   218,
     218,   336,   218,   589,   218,   154,   195,   352,   446,   230,
     218,   336,   218,   589,   218,   230,   251,   251,   573,   218,
     532,   589,   530,  1286,  1287,  1285,   532,   536,  1058,  1094,
    1218,  1293,  1294,   441,   963,   530,   532,   223,   336,   459,
     570,   573,   666,   933,   929,   792,   962,   792,   962,  1295,
    1296,   792,   962,   792,   962,  1296,   792,   962,   962,   962,
     792,    14,   426,  1269,  1272,  1277,   962,   529,   638,   639,
    1261,   638,   102,   179,   201,   232,   237,   284,   285,   403,
     409,   441,   444,   462,   798,  1127,  1142,   797,  1130,   257,
     532,   950,   962,   962,  1281,  1214,  1034,  1097,   111,  1142,
     815,   530,   532,   292,  1261,   230,   230,   798,  1142,   402,
    1261,   573,   336,   529,   527,   966,  1098,  1058,  1114,   529,
     529,   230,   529,   529,   966,   529,   529,   529,   529,   529,
     529,  1058,   529,   529,   529,   529,   529,   529,   529,   529,
     966,   529,   529,   529,   529,   529,   529,   529,   529,  1058,
    1058,  1058,   481,   966,  1058,  1094,  1118,  1281,   529,  1281,
      84,    87,    91,    92,    93,   108,   111,   116,   122,   146,
     252,   257,   278,   279,   293,   325,   338,   341,   420,   513,
     516,   517,   518,   520,   521,   522,   523,   524,   525,  1089,
    1091,  1093,  1283,   495,  1073,   347,  1058,   276,   532,   974,
    1294,   529,  1281,  1118,    22,  1276,  1277,  1119,   974,   333,
     336,  1246,  1246,    10,   480,  1233,  1234,  1236,  1213,  1213,
     188,   253,   582,   532,   139,   185,   573,   111,   185,   297,
     571,   666,  1054,  1281,  1283,  1281,   159,   200,  1070,   168,
     185,   567,   568,   570,   666,   185,   567,  1294,  1294,   292,
    1128,  1058,  1117,   522,  1133,  1263,  1116,   160,   390,   781,
     278,   530,   532,   924,   530,   532,   972,  1129,  1130,   111,
     927,   968,   968,   982,   983,  1058,   968,   227,   319,   993,
     282,   320,   374,   418,   473,   102,   988,  1058,   989,   991,
    1058,  1060,  1002,  1003,   987,   986,   984,   985,   230,  1005,
     332,  1007,   984,  1002,  1021,   940,  1128,   111,  1261,   415,
    1206,   522,   532,   533,  1264,  1183,  1186,  1183,   272,   180,
     249,   309,  1057,   309,  1057,  1057,   312,  1138,   309,   312,
     406,  1280,   532,  1175,   184,  1213,   474,  1162,  1164,  1130,
     426,  1138,  1235,  1277,   532,   518,  1130,    14,  1138,  1280,
    1138,  1280,   532,  1193,   529,  1130,   529,  1265,   257,   267,
     342,   344,   417,   483,   522,   830,   831,   832,   834,   836,
     838,  1034,  1262,   350,   385,   415,   452,   452,   403,  1133,
     531,   452,   452,   403,   294,   452,   452,   444,   563,   350,
     901,   903,   518,   905,   230,   240,   257,   394,   810,   811,
     140,   157,   214,   232,   366,   468,   634,   635,   157,   185,
     322,   452,   157,   452,   185,   322,   403,   157,   196,   206,
     350,   385,   744,   403,   683,   101,   134,   147,   161,   201,
     212,   232,   237,   306,   338,   403,   409,   412,   441,   448,
     455,   462,   487,   675,  1130,   218,   385,   415,   586,   336,
     666,   336,   407,   289,   452,  1261,   452,   327,   666,   189,
     277,   403,   413,   454,   565,   391,   415,   840,   849,   530,
     827,   830,   452,   474,   444,  1128,   148,   214,   251,   625,
     634,  1261,   148,   157,   872,   336,   336,   399,   401,   457,
     157,   872,   105,   388,   399,   401,   457,   399,  1128,   231,
     262,   332,   777,   529,   452,   452,   250,   529,   593,   303,
     444,   471,   494,   496,   593,   157,   532,   350,   257,   218,
     193,   385,   415,   586,   475,   475,   321,  1034,   350,   415,
     854,  1130,  1128,   179,   577,   452,   543,   577,  1128,   452,
     452,  1128,   666,   128,   665,   666,   666,   177,   307,   310,
     128,   452,   541,   403,   541,   320,   664,   452,   452,   327,
    1281,   694,   444,  1019,   157,   452,   872,   403,   452,   452,
     593,   593,   777,   777,   777,   777,  1128,   117,   480,   117,
     117,   452,   117,   452,   403,   532,   474,   712,  1141,   452,
     543,  1128,   452,   403,   350,   385,   374,   386,   411,   569,
     894,  1134,  1261,  1128,   837,  1034,   336,   278,   498,   826,
     666,   777,   777,   853,   336,   278,   336,   154,   195,   352,
     446,  1034,   336,   278,   777,   278,   452,   494,   609,   462,
     753,   754,  1283,   748,   529,   111,   777,   749,   750,  1263,
     100,   901,  1034,   336,   218,   680,  1130,   322,   529,   542,
     762,   475,   378,   487,  1128,   542,   218,  1141,   164,   240,
     561,   617,   660,   725,   793,   813,   897,  1281,   702,   703,
    1141,   300,   777,   777,   777,   777,   332,   190,   270,   460,
     473,   727,   728,   210,   373,   529,   712,   542,  1128,   322,
     662,   663,   322,   111,   332,   529,   637,   637,   251,   657,
    1128,   230,   251,   816,  1134,   529,   828,   111,  1034,   284,
     531,  1138,  1160,   494,   496,   964,   404,  1136,   589,  1034,
    1131,   529,  1094,  1138,   779,  1051,  1051,   110,  1035,   450,
     450,  1138,  1138,  1034,   527,   527,   415,  1138,   452,   452,
    1138,  1039,   251,  1130,  1136,   589,  1142,  1141,   218,   589,
     218,   475,   218,   475,   854,   589,   589,  1130,   777,  1142,
    1130,   777,  1130,  1130,  1034,  1130,   777,   779,  1142,   712,
     218,   218,   589,   776,   777,   530,   536,  1288,   530,   532,
    1294,  1218,  1128,   176,   929,   931,   962,   962,  1296,   962,
     962,  1296,   962,   962,  1130,    14,   532,  1276,   638,   530,
     532,   530,   238,   410,   442,  1129,   776,   178,   412,   802,
     803,  1129,   331,  1129,  1127,  1127,  1129,   776,   452,   494,
     806,   213,   294,   709,   710,    96,   216,   399,   418,   951,
    1019,   326,   952,   530,   532,   936,   452,  1128,   866,   867,
     869,   796,   795,   796,   235,   241,   807,  1261,   101,   148,
     179,   201,   212,   232,   237,   285,   306,   396,   403,   409,
     441,   444,   462,   487,   675,   787,  1094,   528,  1094,  1098,
    1099,   490,  1111,  1112,  1058,  1094,   529,  1138,  1138,   180,
     249,   309,   312,   406,   510,  1100,  1101,  1281,  1283,  1094,
    1094,  1094,  1138,  1138,  1058,   854,  1058,  1102,   399,   520,
     521,   529,  1059,  1060,  1091,  1104,   530,  1094,  1058,  1094,
    1105,  1058,   127,   235,   288,   453,  1058,  1094,  1108,  1094,
     314,  1060,  1058,  1068,  1069,  1070,   314,  1058,  1070,   530,
     532,  1138,  1056,  1034,  1058,  1058,  1058,  1058,  1263,   450,
     115,   438,  1120,   777,  1058,   529,   966,  1109,   198,   200,
     223,   322,   327,   332,   459,   469,  1058,   529,  1058,   452,
     122,   252,   257,   293,   420,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,   102,   109,   425,  1088,   243,
     226,  1074,   399,   529,  1085,   239,   297,   441,   445,   447,
     471,   975,  1128,  1126,   235,  1009,   102,   198,   483,   522,
     530,   832,  1058,  1095,  1096,  1262,  1130,  1277,  1116,  1009,
    1235,   532,   518,  1128,   454,   529,  1281,   532,  1294,   530,
     528,   534,   250,   250,   589,  1193,  1128,   921,   922,  1128,
    1121,   530,   532,   529,   532,   112,   194,   475,   822,   529,
     990,  1139,   418,   282,   337,   532,   399,   400,   992,  1127,
     326,   422,   953,  1003,   985,   475,   948,   185,   529,   941,
     965,   111,  1261,   529,   955,   956,   957,   958,   959,  1261,
     533,  1207,  1035,   536,  1186,   536,   530,   666,   530,    34,
    1163,  1238,  1239,  1277,  1231,  1236,  1284,  1222,  1035,  1271,
    1287,  1271,  1035,   344,   128,  1262,   530,   832,   834,   831,
     834,  1262,   342,   530,   532,   778,   452,   452,   403,  1141,
    1130,  1130,  1133,  1141,  1130,  1130,  1141,  1131,  1130,   185,
     570,  1139,   396,   474,   795,   403,   240,   795,   529,  1130,
     475,   817,   282,   282,   475,   529,   653,   251,  1130,   327,
    1141,  1130,  1130,  1058,   327,  1130,  1130,   105,   388,   452,
     452,  1130,   452,   684,  1136,   529,   777,   777,  1034,   457,
     178,   441,   803,   487,   142,   224,   854,  1130,   777,  1130,
     777,   405,   230,  1034,   777,   284,   245,   320,   350,   385,
     479,   687,   688,   689,  1019,   452,   872,   403,   327,   220,
     189,   277,  1141,  1130,   336,  1130,   530,   532,  1140,  1142,
    1130,   385,   586,   251,   625,   322,  1034,  1130,  1261,  1130,
     220,   292,  1130,   102,   474,  1130,   251,  1130,   251,  1261,
     401,   457,   401,   457,   292,  1130,   102,   474,  1130,   292,
     399,  1128,    98,   203,   415,   695,   696,   697,   698,  1263,
    1141,  1130,   185,   236,   323,   475,   592,   595,   596,  1263,
    1130,   335,   144,   335,  1130,   587,   452,   444,  1128,   336,
     452,   872,   403,  1132,  1261,  1132,   532,   530,   532,   452,
     403,   529,   336,   385,   452,   721,  1131,  1140,   156,   208,
     262,   356,   466,   474,   477,   544,  1283,   385,  1141,  1130,
     385,   415,   586,   663,   666,   777,  1130,   666,  1130,   666,
    1141,  1130,  1130,   385,   415,   586,  1130,  1130,  1130,  1130,
    1141,  1130,    98,   104,   203,   350,   385,   415,   350,   385,
     415,   748,   385,   415,   385,   415,   193,   385,  1033,  1261,
     251,   758,  1261,   251,  1261,  1141,  1130,  1130,  1130,    98,
     599,   412,  1140,   385,   415,   586,  1130,  1130,   452,   452,
     152,   465,   374,   278,   111,   201,   777,   327,   784,  1281,
     278,   278,   475,   475,   278,   777,   784,   777,   284,   777,
     784,   278,   784,   371,   603,   335,   235,   452,   602,   260,
     530,   532,   518,  1058,  1034,   530,   532,   518,   727,   627,
    1263,  1130,   131,   235,   403,   486,   681,   688,   689,   218,
     293,   619,   621,   623,   625,   631,   634,    99,   257,   396,
     439,   544,   545,   230,  1132,   487,  1128,   230,   722,   559,
    1261,   560,   341,   618,   232,  1281,   748,   748,   748,   748,
     332,   336,   341,   529,   748,  1031,  1032,  1033,   412,   529,
     218,   218,   217,  1151,   777,   619,  1261,   494,   496,   649,
     494,   594,   322,   111,   637,  1281,   322,   336,   530,   829,
     830,   835,   111,   284,   393,   455,   493,   839,   840,   841,
     336,   284,   573,  1159,   523,   248,   248,   230,   837,   111,
    1094,   530,   530,   589,   527,   512,   512,   530,   530,  1138,
     528,   529,  1138,  1261,  1281,  1292,  1261,   530,   530,   218,
     589,   826,   776,   777,  1132,   777,  1132,   853,   336,   589,
     336,   589,   589,   284,   336,   589,   589,   412,   230,   573,
     589,  1058,   964,  1284,  1272,   530,   639,   257,   257,   257,
     498,  1129,   532,   666,   667,   243,   799,   800,  1141,    99,
     807,   452,   529,   235,   216,   418,   216,   418,   399,   473,
     311,  1034,  1141,   494,   655,  1128,  1130,   235,   336,   799,
     128,   589,  1136,  1034,   457,   441,  1136,   331,   487,  1034,
     284,   777,   530,   528,   528,   532,  1058,   205,  1112,  1113,
     111,   530,  1058,   530,   530,   530,   235,   530,   530,   530,
     530,   530,   532,   530,   357,  1103,   530,   529,  1059,  1059,
    1094,    87,    91,    92,    93,   257,   278,   338,   516,   517,
     518,   520,   521,   522,   523,   524,   525,  1091,  1059,   530,
     530,   230,   235,  1106,  1107,   530,   111,  1108,  1094,  1108,
    1108,   235,   530,   530,  1263,   355,  1072,   111,   530,   532,
    1058,  1263,   532,  1058,  1119,  1058,   530,   512,  1059,  1059,
     211,  1094,   235,   198,   200,   223,   327,   332,   459,   469,
     529,   211,   854,  1058,   438,  1120,  1058,  1109,  1058,   452,
     529,   966,   529,   529,   346,  1078,   529,  1094,   445,   447,
     445,   447,  1128,   976,   976,   976,   287,   400,   529,   966,
    1010,  1011,  1012,  1019,  1024,  1061,  1063,  1064,  1136,  1261,
     491,  1029,  1095,  1095,  1096,   530,    89,    90,   532,   980,
     981,  1029,     8,    11,    12,    22,    23,    24,    26,    27,
      31,    32,    33,   178,   314,   362,   462,  1241,  1242,  1244,
    1234,  1235,   895,  1138,  1056,   568,  1058,  1117,  1035,   927,
    1130,   936,   983,   338,  1089,  1092,   514,   823,  1058,   992,
     473,   989,   302,  1010,   491,  1030,   481,   942,   943,  1261,
     336,   944,  1261,   959,   960,   532,  1009,   518,  1119,   534,
    1189,   533,   532,   518,    30,  1250,   530,   530,   533,   838,
     778,   834,   834,   128,   836,   524,  1141,  1130,  1130,  1142,
    1142,   336,  1129,   339,   336,  1058,   635,  1132,   529,   529,
     529,   653,   260,   638,   736,   218,   589,   452,  1141,  1130,
     573,   837,  1034,  1130,   498,   777,   777,   777,   777,   853,
     154,   195,   352,   446,  1034,  1130,   670,  1130,   245,   479,
     452,   452,   670,   687,   694,   385,   415,   586,  1130,  1130,
    1130,   268,  1130,   327,   830,   349,   415,   452,   322,   218,
     340,   692,   736,   203,   389,   415,   588,   694,   873,  1130,
     407,   218,   589,   218,   589,  1130,  1130,  1130,  1130,   407,
     407,   292,   697,   698,   697,   530,   532,   699,  1281,   260,
     530,   532,   518,   531,  1141,  1130,   385,   415,   586,   220,
    1130,  1130,  1130,   350,   385,   415,    98,   203,   350,   385,
     415,  1034,   321,  1034,  1141,  1130,   877,   878,  1263,  1128,
     452,  1142,   475,   718,   294,   356,   327,  1281,   356,  1142,
     472,   452,   452,   403,   349,   415,   157,   452,   872,   403,
     452,   452,   304,   304,   304,   452,   452,   403,   452,   452,
     403,   452,   403,   452,   403,   336,   452,   589,  1034,   322,
    1281,   415,   873,   218,   589,   452,  1130,   452,   403,  1141,
    1130,   784,  1034,   777,   278,   784,   784,  1132,  1132,   784,
     278,   278,  1130,   278,   784,   432,   433,   604,  1281,   603,
     245,   754,  1283,   338,   520,   521,   666,   751,   834,  1092,
    1147,  1281,   530,   530,   750,   751,   336,   140,   146,   157,
     185,   187,   264,   322,   327,   366,   380,   468,   628,   629,
     630,   217,   490,   541,   573,  1130,   573,   692,  1128,  1128,
     530,   532,  1142,   243,   396,  1142,  1138,   462,  1128,   637,
     102,   190,   270,   408,   473,   723,   452,   720,   118,   560,
     387,   441,   178,   594,   638,  1128,   728,   755,   756,  1281,
     530,   532,  1130,   638,  1128,  1128,  1130,   965,   529,   620,
     530,   335,   593,   335,   336,   650,   593,   111,   218,   965,
     594,   452,   218,  1128,   530,   532,   185,   518,   842,  1281,
     573,   441,   833,   834,   230,   843,   494,   841,   844,   190,
     270,   408,   473,   885,  1130,   245,  1155,   965,  1169,   589,
    1034,   530,  1138,  1055,  1055,   528,  1292,   529,   520,   521,
     522,   523,   524,   528,  1052,  1130,   589,   589,   475,   589,
     475,   589,   589,   777,   777,  1130,   777,  1130,   712,   589,
     230,   403,   403,   403,  1129,   803,   532,  1141,   494,   532,
     801,   339,  1020,   412,   216,   216,   178,   320,  1142,   798,
     589,  1141,   837,   278,   826,   666,   278,   777,   278,  1098,
     449,  1058,   209,  1034,   530,  1058,  1058,  1058,  1106,   530,
    1094,   532,  1034,  1059,  1059,  1059,  1059,   198,   200,   322,
     332,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1058,  1058,  1107,  1106,  1034,   530,   530,   530,  1094,
     530,   532,   128,  1060,   530,  1263,  1069,   363,   436,  1071,
     530,   532,   486,  1065,   111,   530,  1281,  1058,   108,   108,
    1058,   530,  1058,   235,   529,  1097,  1058,   530,   211,  1059,
    1059,   211,   211,  1058,  1058,   981,   491,   529,  1079,  1261,
     530,  1094,   532,   976,   976,   976,   976,  1128,  1128,  1128,
     966,  1024,   235,   966,  1011,  1012,   111,  1013,  1014,  1261,
     532,   165,   236,   266,   281,   291,   317,   395,  1016,  1014,
     111,  1013,  1015,  1261,   515,  1028,   529,  1118,  1058,   243,
     994,   532,   980,   980,   980,  1058,  1058,   483,  1096,   530,
     994,   532,   518,   530,   528,  1250,   530,   529,   823,   227,
     286,   530,   337,   168,  1058,   392,   946,   530,   532,  1119,
     155,   946,   530,   532,   956,  1030,  1121,  1138,   518,  1208,
    1239,  1244,   530,   524,   838,   462,   238,   410,   442,   463,
     812,   230,   812,   530,   529,   641,   642,   819,  1063,  1261,
     638,   638,   736,  1134,   530,   187,   264,   320,   322,   737,
    1130,  1130,   111,  1130,   475,   475,   777,   777,   777,   777,
     284,   778,  1141,  1130,   452,   872,   403,   452,   268,   128,
     444,  1130,   218,   625,   529,   627,   322,   593,   178,   322,
     431,   434,   593,   462,  1130,  1261,   407,   696,  1130,   596,
     751,  1263,   349,   415,   452,   872,   403,  1130,   452,   452,
     452,   403,   237,   338,   434,   760,   761,   237,   338,   768,
     769,   452,   452,   403,   530,   530,   530,   530,   532,   518,
     385,  1130,   529,   494,   719,  1139,  1281,  1281,  1281,  1130,
    1130,  1130,   128,   444,  1130,  1130,  1130,  1130,  1130,  1130,
     230,   230,   387,   230,   251,  1141,  1130,  1130,  1141,  1130,
    1130,  1130,  1130,  1130,  1130,   220,  1130,   146,   590,   218,
     100,   120,   462,  1261,  1130,   694,  1130,  1130,   530,   278,
     784,   278,   278,   784,   784,   278,   784,   541,   604,   670,
     736,   494,   496,  1128,   529,   777,  1130,  1059,   188,   253,
     187,   327,   282,  1128,   844,   370,   740,   741,  1261,   680,
     529,   632,   263,   648,   623,  1142,  1142,  1034,   529,   594,
    1142,   718,  1141,  1128,   498,   230,   729,   530,   532,  1033,
     692,   530,   662,   332,   529,   938,   655,   622,   624,   626,
     634,  1261,   649,   648,   151,   444,   651,   965,   657,   655,
     651,  1281,  1134,   817,   835,  1058,  1058,   532,   529,   839,
     462,   532,   748,   452,   529,   670,    84,  1166,   530,   528,
     530,  1193,  1292,  1292,  1292,  1292,  1292,   589,  1132,  1132,
     589,   589,   589,   589,   412,  1129,  1129,  1129,   666,   240,
     800,   530,  1130,   178,   807,   235,   278,   327,   788,  1281,
     278,   278,   788,   278,   788,  1058,   530,   530,  1107,   530,
    1058,   235,   198,   200,   332,   529,   530,   501,  1067,  1094,
     379,   128,   492,   492,   530,  1058,   320,  1058,   532,  1066,
    1036,  1058,  1058,  1058,  1097,   530,  1058,   108,   108,  1058,
    1058,   211,   530,   530,  1058,  1080,  1261,   530,  1058,  1128,
    1128,  1128,  1128,  1014,  1015,   529,   530,  1261,   529,  1011,
     281,   345,  1017,  1011,  1017,   281,  1016,  1017,   281,   443,
    1022,   529,  1261,   529,   343,  1095,   128,   246,  1001,   530,
     530,   530,  1096,  1281,  1001,  1242,   521,  1235,  1243,  1280,
    1281,  1281,   854,   332,  1125,   965,   943,   336,   529,   945,
     518,   959,   946,  1288,   462,   530,   452,   795,   235,   736,
    1058,   530,   532,   494,   146,   820,   820,   530,   530,   844,
     188,   253,   262,   187,   477,   589,  1034,  1132,  1132,  1130,
    1130,  1130,  1130,  1130,  1142,  1130,   625,   693,   697,   327,
     327,  1139,  1261,  1034,   589,   589,   518,   128,   444,  1130,
    1130,  1130,  1130,  1141,  1130,  1130,  1138,  1138,  1034,   532,
    1138,  1138,   532,  1141,  1130,  1130,   878,   321,   751,   452,
    1058,   140,  1142,  1130,   452,   452,  1129,  1129,   777,  1129,
     218,  1130,   777,  1281,  1281,  1034,   589,   589,   278,   784,
     784,   784,   784,   529,   605,   606,   475,   610,   611,   237,
     267,   237,   235,   735,  1058,   322,   629,   844,   637,   475,
     652,  1136,   108,   217,   257,   619,   215,   258,   529,   412,
     475,   638,   111,   719,   560,   529,  1130,   204,   730,   490,
     732,  1281,   594,   777,   619,   655,   530,   532,   494,   650,
     649,   190,   203,   363,  1130,   494,   898,   111,   235,   336,
     529,  1281,   832,   845,   846,  1262,   844,  1034,   230,  1128,
     235,   452,   863,   265,   671,  1167,  1261,   589,   530,   589,
     589,  1130,   339,   276,   589,   799,   788,   788,   788,   788,
     530,  1059,   235,   529,  1097,   529,   530,   532,   530,  1060,
     379,   530,   480,   428,   530,   530,   530,  1058,  1058,  1058,
     530,   354,  1081,   530,  1025,  1026,  1063,  1013,   529,  1129,
    1011,   336,   475,  1018,  1011,   281,  1011,  1136,  1032,   529,
    1032,  1261,   980,   167,   244,   398,   529,   995,   996,   997,
     998,   999,  1000,  1058,  1058,   493,  1075,   980,  1075,  1138,
    1280,   530,   962,  1294,   157,   818,   819,   199,   529,   966,
    1123,   799,   336,   799,   530,   844,   642,   338,   854,   777,
     475,   777,   821,   821,   380,   844,   652,   530,   452,   415,
     952,   530,   532,   590,   751,  1142,  1130,   452,   529,  1136,
     854,   761,   529,   529,   769,  1130,   530,   529,   415,   952,
    1130,  1130,   494,   515,   915,   387,   915,   915,   230,   590,
     784,   612,   613,  1263,   124,   166,   191,   207,   211,   231,
     234,   247,   327,   335,   372,   607,   541,   192,   803,   111,
     859,   859,  1128,   736,   530,   652,   305,   640,   260,   529,
     741,   370,   529,   530,   102,   150,   158,   186,   261,   434,
     633,   633,  1127,  1130,  1132,   530,   965,   692,   399,   430,
     731,   529,   217,   111,   620,   530,   624,   340,   651,   650,
     400,   400,   132,   140,   297,   965,   777,  1128,   818,   834,
     530,   532,   462,  1029,   426,   426,   530,   670,   320,   479,
     672,   673,   518,  1168,  1130,   589,  1059,  1097,   530,  1068,
    1094,   128,   320,   511,   128,   980,   530,   532,   111,  1027,
    1129,   530,  1058,   529,  1011,  1018,   529,   530,  1032,   530,
     530,   529,   416,   529,   530,   532,  1076,  1077,  1261,   530,
    1130,   530,   532,   323,   473,   801,   812,   589,   820,   652,
     529,   777,   822,   822,  1128,   652,   736,  1130,   444,   697,
     475,   591,   415,   952,  1130,  1097,   826,   230,   764,   853,
    1097,  1097,  1058,   444,   776,   777,   776,   777,  1129,   589,
     530,   532,   522,   529,   570,   614,   666,   912,  1281,   912,
     322,   327,   372,   912,   912,   605,  1281,   859,   114,   255,
     230,   320,   636,   236,   353,   421,   336,   644,   645,   646,
     444,   530,  1136,    81,   742,   648,   530,   692,   224,   763,
     594,   898,  1058,   370,   965,   649,   648,   627,   651,   140,
     339,   140,   655,   817,   530,   839,   845,  1034,   199,   494,
     494,   479,   670,  1138,  1275,  1283,    84,   692,   530,   530,
     530,   379,   480,  1094,   373,   400,  1082,  1028,  1025,   529,
     530,  1129,  1094,   530,  1094,   529,  1094,   996,   532,   111,
    1029,   819,   415,   235,   821,   491,   643,   854,   823,   823,
     637,   736,  1130,  1058,   444,   530,   342,   405,   377,   765,
     764,   530,   530,   530,  1130,   915,   613,   570,   615,   616,
    1281,  1281,   327,   638,   522,   638,  1281,  1281,   204,   262,
     190,   473,   336,   646,   336,   645,  1130,   529,   530,   532,
     412,   777,   111,   111,   530,  1136,   898,   650,   649,   339,
     339,   529,   594,   844,   103,   271,   886,   237,   237,  1167,
     122,   168,   464,  1058,  1083,  1084,  1083,   530,  1032,   530,
     530,   530,   995,   530,  1077,  1079,   955,   799,   822,   529,
     736,   530,   640,   952,  1130,  1136,   128,   765,   952,   777,
     530,   532,   638,   399,   131,   320,   391,   415,   647,   647,
     530,    81,  1130,   760,   965,   529,   651,   650,   818,   651,
     323,   529,   881,   883,   888,   939,   947,   954,   965,   803,
     803,  1084,   399,   229,   361,   229,   361,   530,   386,  1023,
     530,  1029,   589,   823,  1058,   644,   952,   826,   777,   616,
     732,    97,   185,   327,   692,   898,   733,   734,  1138,  1263,
    1280,  1281,   651,   530,  1029,   882,   883,   884,   966,   967,
     532,   532,   108,   529,   530,   736,   217,   530,   532,   594,
     530,   533,   452,   235,  1084,  1058,   370,   734,   651,   884,
     426,   426,   530,  1136,  1029,   494,   494,   529,   237,   237,
     733,   803,   803,   530
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   537,   538,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   540,   541,
     541,   541,   542,   542,   543,   543,   544,   544,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   545,   545,
     545,   546,   547,   548,   548,   549,   549,   550,   551,   552,
     552,   553,   553,   554,   555,   556,   556,   557,   557,   558,
     558,   558,   558,   559,   559,   560,   560,   561,   561,   561,
     561,   561,   561,   562,   562,   562,   563,   563,   563,   564,
     564,   564,   564,   565,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   566,   566,   567,   567,   568,   568,
     569,   569,   569,   569,   570,   570,   570,   570,   571,   571,
     571,   571,   571,   571,   571,   572,   572,   572,   573,   573,
     574,   575,   575,   575,   575,   576,   576,   577,   577,   578,
     578,   579,   579,   579,   579,   579,   580,   581,   581,   582,
     582,   583,   584,   584,   584,   584,   584,   585,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   586,   586,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   588,   589,
     589,   589,   590,   590,   591,   591,   592,   592,   592,   592,
     593,   594,   594,   595,   595,   596,   596,   596,   596,   597,
     598,   598,   599,   599,   599,   599,   600,   600,   601,   601,
     602,   602,   603,   603,   604,   604,   604,   605,   605,   606,
     606,   607,   607,   607,   607,   607,   607,   607,   607,   607,
     607,   607,   607,   607,   607,   608,   608,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   614,   614,   614,   614,
     614,   615,   615,   616,   617,   617,   617,   617,   618,   618,
     618,   618,   618,   618,   618,   618,   619,   619,   620,   620,
     621,   621,   622,   622,   623,   623,   623,   624,   624,   625,
     626,   627,   627,   628,   628,   628,   628,   629,   629,   629,
     629,   629,   629,   629,   630,   630,   630,   630,   631,   632,
     632,   632,   633,   633,   633,   633,   633,   633,   634,   634,
     635,   635,   635,   635,   635,   635,   635,   636,   636,   637,
     637,   638,   638,   639,   640,   640,   640,   640,   641,   641,
     642,   642,   643,   643,   644,   644,   644,   644,   644,   645,
     646,   647,   647,   647,   647,   647,   648,   648,   649,   649,
     649,   649,   650,   650,   650,   650,   651,   651,   652,   652,
     653,   654,   655,   655,   655,   656,   656,   657,   658,   658,
     659,   660,   660,   661,   661,   662,   662,   663,   663,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   665,   665,   666,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   671,   671,   672,   672,   673,   673,
     674,   674,   675,   675,   676,   677,   677,   678,   678,   679,
     679,   680,   680,   681,   681,   681,   681,   682,   683,   683,
     684,   685,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   686,   687,   687,   687,
     687,   688,   688,   689,   689,   690,   690,   691,   691,   692,
     692,   693,   693,   694,   695,   695,   696,   696,   696,   696,
     697,   698,   699,   700,   701,   701,   702,   702,   703,   703,
     704,   704,   705,   705,   705,   706,   706,   707,   707,   708,
     709,   709,   710,   710,   711,   712,   712,   713,   713,   714,
     715,   716,   717,   717,   718,   718,   719,   719,   720,   720,
     721,   721,   722,   722,   723,   723,   723,   723,   723,   724,
     725,   725,   726,   726,   726,   727,   727,   728,   728,   728,
     728,   728,   729,   729,   730,   730,   731,   731,   732,   732,
     733,   733,   733,   734,   734,   734,   734,   735,   735,   736,
     736,   737,   737,   737,   737,   737,   737,   738,   738,   739,
     739,   740,   740,   741,   742,   742,   743,   744,   744,   744,
     744,   745,   746,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   748,   749,   749,
     750,   750,   751,   751,   751,   751,   751,   752,   753,   753,
     754,   755,   755,   756,   756,   757,   757,   757,   758,   758,
     759,   760,   760,   761,   761,   761,   761,   761,   762,   762,
     763,   763,   764,   764,   764,   765,   765,   766,   767,   767,
     768,   768,   769,   769,   770,   770,   771,   771,   772,   773,
     774,   774,   774,   774,   774,   774,   774,   774,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   776,   776,   777,   777,   778,   778,
     779,   779,   780,   781,   781,   781,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   784,   784,   785,   785,   785,
     785,   785,   785,   785,   786,   786,   787,   787,   787,   787,
     787,   787,   787,   787,   787,   787,   787,   788,   788,   789,
     789,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     790,   790,   790,   790,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   791,   791,   792,   792,   793,   794,
     794,   795,   795,   795,   795,   795,   796,   796,   797,   797,
     797,   797,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   798,   798,   799,   799,
     800,   800,   801,   801,   802,   802,   803,   804,   805,   805,
     806,   806,   807,   807,   808,   809,   809,   810,   810,   810,
     811,   811,   811,   812,   812,   812,   812,   813,   813,   814,
     814,   815,   815,   816,   816,   817,   817,   818,   818,   819,
     819,   819,   820,   820,   821,   821,   821,   822,   822,   822,
     823,   823,   823,   824,   824,   824,   825,   825,   826,   826,
     827,   827,   828,   828,   829,   829,   830,   830,   830,   830,
     830,   831,   831,   831,   831,   831,   832,   833,   834,   834,
     834,   835,   835,   835,   836,   837,   837,   837,   837,   838,
     838,   839,   839,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   841,
     841,   841,   841,   841,   842,   842,   843,   843,   844,   844,
     845,   846,   846,   847,   848,   848,   849,   849,   850,   850,
     851,   851,   852,   852,   853,   853,   853,   853,   854,   854,
     855,   856,   856,   857,   857,   858,   858,   858,   859,   859,
     859,   860,   861,   861,   862,   863,   863,   863,   863,   864,
     865,   865,   865,   865,   866,   866,   867,   867,   867,   868,
     868,   869,   870,   870,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   872,   872,   873,   873,   874,   874,   874,   874,
     875,   875,   875,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   877,   877,   878,   878,   879,
     879,   879,   879,   879,   879,   879,   879,   879,   879,   879,
     879,   879,   879,   879,   879,   879,   879,   879,   880,   881,
     881,   881,   882,   882,   883,   883,   883,   883,   883,   884,
     884,   885,   885,   885,   885,   886,   886,   886,   887,   887,
     888,   889,   889,   890,   891,   891,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     893,   893,   893,   894,   894,   894,   894,   894,   895,   895,
     895,   896,   896,   897,   897,   897,   897,   898,   898,   898,
     898,   899,   900,   901,   901,   902,   902,   903,   903,   903,
     904,   904,   904,   904,   904,   904,   904,   905,   905,   906,
     906,   906,   907,   908,   908,   909,   909,   910,   911,   911,
     911,   911,   911,   911,   911,   912,   912,   913,   914,   914,
     914,   914,   914,   914,   915,   915,   916,   917,   917,   917,
     918,   918,   919,   919,   919,   919,   919,   920,   920,   921,
     921,   921,   921,   922,   922,   923,   923,   924,   924,   925,
     925,   926,   926,   927,   927,   928,   928,   928,   928,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   930,   930,
     931,   932,   932,   933,   933,   933,   934,   934,   935,   935,
     936,   936,   936,   936,   937,   937,   938,   938,   939,   940,
     940,   941,   941,   941,   942,   942,   943,   944,   944,   944,
     945,   945,   945,   946,   946,   947,   948,   948,   949,   950,
     950,   951,   951,   951,   951,   951,   951,   951,   951,   952,
     952,   953,   953,   953,   954,   955,   955,   956,   956,   957,
     958,   958,   959,   960,   960,   961,   962,   962,   963,   963,
     963,   963,   963,   964,   964,   964,   965,   965,   966,   966,
     967,   967,   967,   967,   967,   967,   967,   967,   968,   968,
     969,   969,   969,   969,   969,   969,   969,   970,   970,   970,
     971,   971,   972,   973,   973,   974,   974,   974,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   976,   976,   977,
     977,   977,   978,   978,   979,   979,   980,   980,   981,   982,
     982,   983,   983,   984,   984,   984,   984,   985,   985,   986,
     986,   986,   987,   987,   988,   988,   989,   990,   990,   990,
     991,   992,   992,   993,   993,   994,   994,   995,   995,   996,
     996,   996,   996,   996,   997,   998,   999,  1000,  1001,  1001,
    1002,  1002,  1003,  1003,  1004,  1004,  1005,  1006,  1006,  1006,
    1006,  1007,  1007,  1008,  1008,  1009,  1009,  1010,  1010,  1011,
    1011,  1011,  1011,  1011,  1011,  1011,  1011,  1012,  1012,  1012,
    1012,  1012,  1012,  1013,  1013,  1013,  1013,  1014,  1014,  1015,
    1015,  1015,  1015,  1015,  1016,  1016,  1016,  1016,  1017,  1017,
    1018,  1018,  1019,  1019,  1019,  1019,  1020,  1020,  1021,  1021,
    1021,  1022,  1023,  1023,  1024,  1024,  1025,  1026,  1026,  1027,
    1027,  1028,  1028,  1029,  1029,  1030,  1030,  1030,  1031,  1031,
    1032,  1032,  1033,  1034,  1034,  1034,  1034,  1034,  1034,  1035,
    1035,  1035,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1037,
    1037,  1037,  1037,  1038,  1038,  1039,  1039,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1041,  1041,
    1042,  1042,  1043,  1043,  1044,  1045,  1046,  1046,  1047,  1047,
    1048,  1049,  1050,  1050,  1050,  1050,  1050,  1050,  1051,  1051,
    1052,  1052,  1053,  1053,  1053,  1053,  1054,  1055,  1055,  1055,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1057,  1057,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1062,  1062,  1063,  1063,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1065,  1065,  1066,  1066,  1066,  1066,  1067,  1068,  1068,
    1069,  1069,  1070,  1070,  1071,  1071,  1071,  1072,  1072,  1072,
    1072,  1073,  1073,  1074,  1074,  1075,  1075,  1076,  1076,  1077,
    1078,  1078,  1078,  1079,  1080,  1080,  1081,  1081,  1082,  1082,
    1082,  1083,  1083,  1084,  1084,  1084,  1084,  1084,  1085,  1085,
    1085,  1086,  1086,  1087,  1088,  1088,  1088,  1089,  1089,  1090,
    1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,
    1090,  1091,  1091,  1092,  1092,  1093,  1093,  1093,  1093,  1093,
    1093,  1094,  1094,  1095,  1095,  1096,  1096,  1096,  1097,  1097,
    1098,  1098,  1098,  1099,  1099,  1100,  1100,  1101,  1101,  1101,
    1101,  1101,  1101,  1101,  1101,  1102,  1102,  1103,  1104,  1104,
    1105,  1105,  1105,  1105,  1105,  1105,  1106,  1107,  1108,  1108,
    1108,  1109,  1109,  1110,  1111,  1111,  1112,  1113,  1113,  1114,
    1114,  1115,  1115,  1116,  1116,  1116,  1116,  1117,  1117,  1118,
    1118,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,  1123,
    1124,  1124,  1125,  1125,  1126,  1126,  1126,  1126,  1127,  1127,
    1128,  1128,  1129,  1129,  1130,  1131,  1132,  1133,  1134,  1135,
    1136,  1136,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1138,  1139,  1139,
    1139,  1139,  1140,  1141,  1141,  1141,  1142,  1142,  1143,  1143,
    1143,  1143,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1148,  1148,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1151,  1150,  1152,
    1153,  1153,  1153,  1153,  1154,  1154,  1154,  1154,  1155,  1155,
    1156,  1157,  1158,  1158,  1159,  1159,  1159,  1160,  1160,  1161,
    1161,  1162,  1162,  1163,  1163,  1163,  1163,  1164,  1164,  1164,
    1165,  1166,  1166,  1167,  1167,  1168,  1168,  1168,  1168,  1169,
    1169,  1170,  1171,  1172,  1173,  1173,  1174,  1175,  1175,  1176,
    1176,  1176,  1176,  1176,  1178,  1177,  1179,  1180,  1181,  1181,
    1182,  1182,  1182,  1182,  1183,  1183,  1185,  1184,  1187,  1186,
    1188,  1186,  1186,  1189,  1189,  1190,  1190,  1190,  1191,  1191,
    1191,  1191,  1192,  1192,  1193,  1193,  1193,  1193,  1193,  1193,
    1194,  1194,  1194,  1195,  1197,  1196,  1198,  1199,  1198,  1200,
    1200,  1201,  1201,  1202,  1202,  1203,  1203,  1203,  1203,  1203,
    1203,  1203,  1203,  1203,  1204,  1204,  1204,  1204,  1204,  1204,
    1204,  1204,  1204,  1204,  1205,  1205,  1206,  1206,  1207,  1208,
    1208,  1209,  1209,  1209,  1210,  1211,  1212,  1212,  1212,  1212,
    1213,  1213,  1213,  1214,  1214,  1215,  1215,  1216,  1217,  1217,
    1218,  1218,  1219,  1219,  1220,  1220,  1221,  1222,  1222,  1223,
    1223,  1223,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1225,  1225,  1225,  1225,  1225,  1226,  1226,  1227,  1228,
    1229,  1230,  1230,  1231,  1232,  1233,  1233,  1234,  1235,  1235,
    1236,  1237,  1238,  1238,  1239,  1240,  1241,  1241,  1242,  1243,
    1243,  1243,  1243,  1243,  1244,  1244,  1244,  1244,  1244,  1244,
    1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1245,
    1245,  1246,  1246,  1247,  1247,  1247,  1249,  1248,  1250,  1250,
    1252,  1251,  1253,  1253,  1253,  1254,  1254,  1254,  1254,  1254,
    1254,  1254,  1254,  1254,  1255,  1255,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1257,
    1257,  1257,  1257,  1257,  1257,  1258,  1258,  1258,  1258,  1258,
    1258,  1258,  1259,  1260,  1260,  1260,  1260,  1260,  1260,  1260,
    1260,  1261,  1261,  1261,  1261,  1261,  1261,  1261,  1262,  1262,
    1262,  1262,  1262,  1262,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1264,  1264,  1264,  1264,  1264,
    1265,  1265,  1265,  1265,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1267,  1267,  1267,  1268,  1268,  1268,  1268,  1268,  1268,
    1269,  1269,  1270,  1271,  1271,  1272,  1272,  1273,  1274,  1275,
    1276,  1276,  1276,  1277,  1278,  1279,  1280,  1281,  1281,  1281,
    1281,  1281,  1282,  1283,  1283,  1283,  1284,  1284,  1285,  1285,
    1285,  1286,  1286,  1287,  1287,  1288,  1288,  1289,  1289,  1289,
    1289,  1289,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1291,  1291,
    1291,  1291,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,
    1292,  1292,  1293,  1293,  1293,  1293,  1293,  1294,  1294,  1295,
    1295,  1296,  1296
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     4,     3,
       5,     3,     5,     5,     6,     1,     1,     3,     5,     6,
       4,     9,     7,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     2,     5,     1,     3,
       3,     3,     3,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     5,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     1,     2,     3,     2,     1,     1,     2,     1,     2,
       1,     3,     4,     5,     4,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     4,     6,    10,
      13,     4,     6,    10,    13,     4,     6,     4,     6,     5,
       7,    11,    14,     1,     3,     2,     5,     3,     6,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     4,     4,     4,     5,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     1,     1,     1,     3,
       3,     2,     0,     1,     3,     3,     1,     5,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    11,    14,    10,    13,     1,     1,
       2,     2,     2,     2,     1,     0,     1,     0,     3,     0,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     4,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     1,     2,     2,     2,     3,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     7,     3,     8,     4,     9,    11,     2,     0,     3,
       0,     1,     3,     1,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     5,     2,     3,     0,     8,    11,     4,     1,     0,
       6,     5,     8,     4,     6,     1,     0,     1,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     1,
       3,     1,     0,     1,     2,     1,     1,     3,     6,    10,
       1,     0,     1,     2,     2,     0,     2,     2,     1,     0,
       5,     7,     1,     0,     7,     2,     0,     3,     5,     5,
       8,     2,     0,     2,     2,     2,     1,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,    11,    14,     5,     7,    11,
       2,     1,     4,     0,     8,     1,     1,     7,     9,     8,
       9,     8,     6,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
      15,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,     6,     8,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     5,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     3,     0,
      13,     1,     3,     5,     6,     4,     7,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     4,     6,     4,     6,     5,     7,     1,     1,
       1,     2,     1,     2,     2,     2,     1,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     7,
       7,     7,     8,     9,     8,     8,     6,     9,     8,     9,
       9,     7,    10,     7,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     1,     3,
       2,     3,     3,     3,     3,     1,     1,     8,     8,     8,
       9,     9,     9,     9,     2,     0,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     3,     2,     2,     2,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     1,     3,     2,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,    14,    17,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     3,     3,     5,     6,     1,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       2,     2,     1,     1,     1,     3,     3,     5,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,    10,    11,    11,     5,     5,     8,
       3,     3,     6,     6,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     5,     7,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     8,    10,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     9,     8,     7,
       7,     6,     6,     6,     6,     6,     7,     9,     9,     6,
       8,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     8,     1,     3,     3,     3,     7,
       6,     6,     6,     6,     6,     7,     7,     7,     9,     9,
       6,     6,     6,     8,     8,     8,     6,     7,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,     1,     1,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       2,     1,     1,     1,     1,     0,     5,     4,     3,     0,
       1,     1,     1,     1,     4,     9,     3,     0,     7,     1,
       3,     1,     4,     2,     1,     3,     2,     8,     5,     0,
       4,     3,     0,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     1,     2,     0,     8,     1,     3,     1,     1,     3,
       5,     5,     2,     1,     3,     7,     1,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     6,     1,     0,     2,     1,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     2,     3,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     6,     4,     0,     2,     6,     2,     1,     3,     4,
       0,     2,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     1,     2,     3,     3,     0,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     1,     3,     0,
       1,     1,     1,     1,     5,     2,     1,     1,     1,     1,
       5,     2,     2,     2,     1,     3,     3,     2,     1,     0,
       3,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     1,     4,     3,     5,
       6,     8,     6,     6,     4,     4,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     6,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     4,     4,
       6,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     3,     1,     3,
       3,     3,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     2,     3,     0,
       3,     3,     2,     2,     1,     0,     2,     2,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     0,     1,
       2,     0,     2,     1,     0,     1,     1,     1,     3,     3,
       1,     0,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     6,     2,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     2,     4,
       3,     2,     1,     1,     1,     1,     1,     0,     8,     2,
       5,     3,     2,     2,     3,     7,     1,     1,     1,     0,
       2,     2,     1,     0,     1,     3,     1,     2,     0,     2,
       0,     2,     0,     1,     3,     4,     3,     1,     1,     1,
       1,     2,     0,     2,     4,     0,     2,     2,     2,     1,
       1,     7,     3,     1,     1,     1,     1,     2,     0,     1,
       3,     3,     3,     3,     0,     4,     5,     5,     0,     1,
       1,     1,     2,     2,     1,     2,     0,     7,     0,     5,
       0,     4,     2,     2,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     5,     2,     1,
       3,     2,     2,     3,     0,     5,     1,     0,     5,     2,
       2,     1,     1,     1,     2,     2,     3,     1,     2,     2,
       3,     3,     4,     2,     1,     2,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     0,     1,     3,     5,     0,
       2,     0,     1,     2,     3,     2,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     2,     2,     3,     0,     1,
       2,     1,     4,     3,     4,     3,     2,     1,     3,     1,
       1,     1,     1,     2,     2,     1,     2,     2,     1,     1,
       1,     4,     4,     4,     4,     4,     1,     0,     3,     3,
       4,     1,     3,     3,     4,     1,     3,     3,     1,     1,
       1,     6,     1,     3,     3,     6,     1,     3,     3,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       4,     1,     1,     4,     4,     3,     0,     7,     1,     0,
       0,     7,     3,     4,     3,     1,     1,     1,     2,     3,
       5,     2,     5,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     1,     2,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     1,     2,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       2,     3,     1,     3,     3,     3,     3,     3,     3,     1,
       1,     4,     0,     2,     2,     1,     1,     2,     1,     1,
       1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30983 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30989 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30995 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31001 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31007 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1574 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31013 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1576 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31019 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1578 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31025 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1580 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31031 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1582 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31037 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1584 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31043 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1586 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31049 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1588 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31055 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1590 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31061 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31067 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31073 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31079 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31085 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31091 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31097 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31103 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31109 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31115 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31121 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31127 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31133 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31139 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31145 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31151 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31157 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31163 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31169 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1628 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 31191 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31197 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31203 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31209 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31215 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31221 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31227 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31233 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31239 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31245 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31251 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31257 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31263 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31269 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31275 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31281 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31287 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31293 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31299 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31305 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31311 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31317 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31323 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31329 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31335 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31341 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31347 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31353 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31359 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31365 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31371 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31377 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31383 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31389 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1712 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 31397 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 31403 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31409 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31415 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31421 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31427 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31433 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31439 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31445 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31451 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31457 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31463 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1738 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31469 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1740 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31475 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1742 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31481 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1744 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31487 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1746 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31493 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1748 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31499 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1750 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31505 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1752 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31511 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1754 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31517 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1756 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31523 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1758 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31529 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1760 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31535 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31541 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1764 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 31547 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1766 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31553 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1768 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31559 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31565 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1772 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31571 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1774 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31577 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1776 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31583 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1778 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31589 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1780 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31595 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1782 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31601 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1784 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31607 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31613 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1788 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31619 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1790 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31630 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31636 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31642 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31648 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31654 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31660 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31666 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31672 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31678 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31684 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31690 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31696 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1819 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31706 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1825 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31712 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1827 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31718 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1829 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31724 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31730 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1833 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31736 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1835 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31742 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1837 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31748 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1839 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31754 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1841 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31764 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1847 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31778 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1857 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31786 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1861 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31796 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1867 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31804 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1871 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31818 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1881 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31832 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1890 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31838 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1892 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31856 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1906 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31867 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1913 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31877 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1919 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31892 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1930 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31902 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1936 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31915 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1945 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31926 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1952 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31936 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1958 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31949 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1967 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31960 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1974 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31971 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31977 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31985 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31993 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 32001 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32008 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32016 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32023 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32031 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32038 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 32046 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 32054 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 32062 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 32070 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 32078 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 32086 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 32094 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 32102 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32110 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32118 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 32126 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 32134 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32142 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 32150 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 32158 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32166 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32174 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32181 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 32189 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32197 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32205 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32213 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32221 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 32229 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 32237 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 32245 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 32253 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32261 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 32269 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 32277 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 32285 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 32293 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 32301 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32309 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32317 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2227 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32326 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2232 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32335 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32343 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32350 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32358 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32365 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32373 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32381 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32389 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32397 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32405 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32413 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32421 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 32429 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 32437 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 32445 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 32453 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32461 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32469 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32477 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 32485 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32493 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 32501 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 32509 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2348 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 32518 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32526 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 32534 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32542 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 32550 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 32558 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 32566 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32574 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32582 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32590 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32598 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32606 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32614 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2413 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32628 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32636 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32644 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32652 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32660 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32668 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32676 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32684 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32692 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32700 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32708 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32716 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32724 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32732 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32740 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32748 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32756 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32764 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32771 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32779 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32787 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32795 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32803 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32811 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32819 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32827 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32835 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32843 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32851 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32859 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32867 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32875 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32883 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32891 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32899 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32907 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2606 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32916 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32924 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32932 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32940 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32948 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32956 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32964 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32972 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32980 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32988 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32996 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 33004 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33012 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33020 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33028 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33036 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33044 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33052 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33060 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33068 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33076 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33084 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33092 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33100 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33108 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33116 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33124 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33132 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33140 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33148 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33156 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 33164 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 33172 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 33180 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33188 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 33196 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 33204 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 33212 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 33220 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 33228 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 33236 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33244 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33252 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33260 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33268 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33276 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33284 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 33292 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33300 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33308 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 33316 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 33324 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 33332 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 33340 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 33348 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 33356 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 33364 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 33372 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 33380 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 33388 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 33396 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 33404 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 33412 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 33420 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 33428 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 33436 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 33444 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 33452 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 33460 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 33468 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 33476 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 33484 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33492 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 33500 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33508 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 33516 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 33524 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 33532 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 33540 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 33548 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 33556 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33564 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 33572 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 33580 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33588 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33596 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33603 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33611 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33618 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33626 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33633 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33641 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33649 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33657 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33665 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33673 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33681 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33688 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33704 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33712 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33720 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33728 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33736 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33744 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33752 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33760 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33768 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33776 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33784 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33792 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3131 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33801 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33809 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33821 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33829 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33837 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33845 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33853 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33860 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33868 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33876 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33884 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33892 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33900 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33908 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33915 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33923 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33931 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33939 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33947 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33955 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33963 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33971 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33979 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33987 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33995 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 34003 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 34011 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 34019 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 34027 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 34035 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34042 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34050 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34057 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 34065 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34072 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 34080 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34087 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34095 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34103 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34111 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34119 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34127 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34143 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34150 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34158 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34166 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34174 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34182 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34190 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34198 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34206 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 34214 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 34222 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 34230 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 34238 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 34246 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 34254 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34262 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34269 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34277 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34284 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34292 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34299 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34307 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34315 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34323 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34331 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34339 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34347 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34355 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34363 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34371 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34379 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 34387 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34395 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34402 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34410 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34418 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34426 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34434 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 34442 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34450 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34458 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34466 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34474 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 34482 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34490 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 34498 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 34506 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 34514 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 34522 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34530 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 34538 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 34546 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34553 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 34561 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 34569 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 34577 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34585 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34593 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34601 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34609 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34617 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34625 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34633 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34641 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34649 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34657 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34665 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34673 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34681 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34688 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34696 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34703 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34711 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34719 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34727 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34735 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3758 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34744 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34752 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34759 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34767 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34775 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34783 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34791 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34799 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34806 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34814 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34822 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34830 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34838 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34845 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34853 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34861 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34877 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34885 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34893 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34901 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34909 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34916 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34932 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34940 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34947 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34955 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34963 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34971 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34978 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34986 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34993 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 35001 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35008 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 35016 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35024 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 35032 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 35040 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35047 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35055 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35063 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35071 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 35079 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35086 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35094 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35102 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35110 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35118 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35126 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35134 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35141 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35149 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35157 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 35165 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 35173 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 35181 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35189 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 35197 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 35205 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 35213 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 35221 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 35229 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35237 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35245 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35253 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 35261 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35268 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35276 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 35284 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35292 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35300 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35308 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35316 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35324 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 35332 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35339 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35347 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35355 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 35363 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35370 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35378 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35386 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35394 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35401 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35409 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35417 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 35425 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35432 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35440 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 35448 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35455 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 35463 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 35471 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35479 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35487 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35495 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35502 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35510 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35518 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35526 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 35534 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 35542 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35550 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35557 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35565 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35573 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35581 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 35589 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35597 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35605 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35613 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35621 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35629 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35637 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35645 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35653 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35661 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35669 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35677 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35685 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35693 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35701 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35709 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35717 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35725 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35733 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35741 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35749 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35757 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35765 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35773 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35781 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35789 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35797 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35805 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35813 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35821 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35829 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35836 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35844 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35852 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35860 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35868 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35876 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35883 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35891 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35899 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35907 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35915 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35923 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35931 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35939 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35947 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35955 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35963 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35971 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35979 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35987 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35995 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36002 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 36010 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 36018 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36026 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36033 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36041 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36049 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36057 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36065 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36073 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36081 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36089 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36097 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36105 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36113 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 36121 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 36129 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36137 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36144 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36152 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36160 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 36168 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36176 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36184 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36192 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36200 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36208 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36216 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36224 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36232 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36239 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36247 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36254 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36262 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36269 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36277 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36284 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36299 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36307 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36315 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36323 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36331 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36339 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 36347 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36355 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36363 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 36371 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 36379 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 36387 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36395 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 36403 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36411 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36419 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36427 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 36435 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 36443 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36451 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36458 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 36466 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36473 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 36481 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 36489 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36497 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36504 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36512 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36520 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36527 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36535 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36543 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36551 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36559 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36567 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36574 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36581 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36589 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36597 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36605 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36613 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36621 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36629 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36637 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36645 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36653 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36661 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36669 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36677 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36685 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36693 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36701 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36709 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36717 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36725 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36733 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36741 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36749 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5168 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36758 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5177 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36767 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36775 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36783 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36791 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36799 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36807 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36815 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36823 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36831 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36839 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36847 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36855 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36863 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36871 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36879 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36887 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36895 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36903 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36911 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36919 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36927 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36935 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36943 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36951 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36959 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36967 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36975 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36983 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36991 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36999 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37006 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37014 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37022 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37030 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 37038 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 37046 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 37054 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37061 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 37069 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37077 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37085 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37093 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37101 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37109 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37117 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 37125 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 37133 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37140 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 37148 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37155 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 37163 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 37171 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37178 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 37187 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37194 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37202 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37210 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 37218 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37226 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37234 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37242 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37250 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37258 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37266 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37274 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37282 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37290 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37298 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37306 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37314 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37322 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37330 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37338 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37346 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37354 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37362 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37370 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37378 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37386 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37394 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37402 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37410 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 37418 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37426 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37434 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37442 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37450 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37458 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37466 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37474 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37482 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37490 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37498 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37514 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37522 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 37530 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 37538 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37546 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37554 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 37562 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 37570 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37577 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37585 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37593 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37601 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37609 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37617 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37625 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37633 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37641 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37649 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37657 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37665 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37673 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37681 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37689 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37697 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37705 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37713 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37721 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37729 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37737 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37745 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37753 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37761 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37769 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37777 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37785 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37793 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37801 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37809 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37817 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37825 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37833 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37841 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37849 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37857 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37865 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37873 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37881 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37889 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37897 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37905 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37913 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37921 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37929 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37937 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37945 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37953 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37961 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37969 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37976 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37984 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37992 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 38000 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 38008 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 38016 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 38024 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38032 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 5972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 38040 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 5976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 38048 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 5980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 38056 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 5984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 38064 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 5992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38072 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 5996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 38080 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 38088 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 38096 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6012 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 38104 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6016 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 38114 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6022 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 38124 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6028 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 38134 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6034 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 38144 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6040 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 38154 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6046 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 38164 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6052 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 38174 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6058 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 38184 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6068 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 38199 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6079 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38214 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6090 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38229 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6101 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38244 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6112 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38259 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6123 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38274 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6134 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38294 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6150 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38314 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6166 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38334 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6182 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38349 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6193 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38369 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6209 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38384 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6220 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38404 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6236 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38419 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 38427 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38435 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38443 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38450 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38458 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38466 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38474 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38482 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38490 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 38498 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38506 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38514 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38522 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38530 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 38538 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 38546 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 38554 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38562 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38570 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38578 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38586 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38594 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 38602 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38610 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38618 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38626 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38634 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38642 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38650 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38658 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38666 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38674 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38682 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38690 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38698 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38706 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38714 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38722 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38730 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38737 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38745 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38753 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38761 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38769 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38777 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38785 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38793 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38800 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38808 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38815 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38823 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38831 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38838 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38846 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38854 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 39042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 39065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 39080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 39088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 39103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 39111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 39269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 39277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 39285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 39293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 39301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 39357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6897 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 39374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 39382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 39446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 39454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 39462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 39470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 39478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 39486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 39494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 39502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 39510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 39518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 39526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 39534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 39542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 39550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 39566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 39590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 39598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 40010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 40026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 40034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 40042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 40066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 40074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 40082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 40489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 40752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 41023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 41031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 41039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 41047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 41055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 41063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 41102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 41117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 41125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 41133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 41141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 41157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 41165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 41173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 41181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 41189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 41197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 41205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 41213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 41221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 41229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 41237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 41245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 41253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 41261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 41276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 41284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 41292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 41300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 41308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 41389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 41397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 41405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 41420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 41483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 41499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 41507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 41515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 41523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 41539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 41562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 41594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 41602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 41610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 41618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 42004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 42020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8679 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 42173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8685 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 42183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 42236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 42307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 42347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 42370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 42385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 42431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 42446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 42454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 42462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 42470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 42478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 42486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 42502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 42533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9016 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 42681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9073 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9108 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9278 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 43007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 43013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 43084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 43100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 43123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 43138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 43184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 43271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9458 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 43280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 43288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 43296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 43367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 43399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 43502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 43525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 43572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 43580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 43588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 43596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 43604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 43619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9772 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 44083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 44113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10052 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 44122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10095 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10097 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 44204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 44212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10119 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 44226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10129 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 44240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10139 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 44250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 44377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 44417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 44425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 44433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 44441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 44449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 44520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 44576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 44584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 44600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 44608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 44616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 44639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 44662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 44678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 45020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 45028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 45036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 45044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 45060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 45076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 45092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 45108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 45124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 45140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 45188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 45196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 45204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 45212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 45220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 45292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 45300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10767 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 45357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 45365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 45373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 45381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 45389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 45397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 45405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 45413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 45421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 45429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 45437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 45453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 45461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 45469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 45613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 46085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 46093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 46101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 46109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 46172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 46180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 46188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 46196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 46211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 46227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 46273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 46358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11384 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 46374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 46382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 46405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 46413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 46421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 46429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 46437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 46445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 46541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 46549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 46565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 46573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 46581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 46589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 46597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 46605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 46613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 46621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 46629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 47002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 47010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 47018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 47050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 47074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 47082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 47128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 47136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 47206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 47292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 47316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 47468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 47532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 47668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 47676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 47684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 47692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 47700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 48012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 48028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 48036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 48044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 48060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 48068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 48076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 48084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 48092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 48156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 48164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 48172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 48180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 48196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 48204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 48212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 48220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 48228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 48236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 48244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 48252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 48260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 48268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 48276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 48284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 48292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 48300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 48308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 48316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 48324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 48332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 48340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 48348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 48356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 48364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 48372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 48380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 48388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 48396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 48404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 48412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 48428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 48436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 48444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 48452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 48460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 48468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 48476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 48484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 48492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 48500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 48508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 48516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 48532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 48540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 48588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 48604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 48612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 48628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 48652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 48676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 48684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 48692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 48700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 48708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 48716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 48868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 49124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 49132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 49140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 49148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 49156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 49164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 49172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 49180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 49188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 49196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 49204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 49212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 49220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 49228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 49236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 49244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 49252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 49260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 49268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 49276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 49284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 49292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 49300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 49308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 49316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 49324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 49332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 49340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 49348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 49356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 49364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 49372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 49380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 49388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 49396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 49404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 49412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 49420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 49428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 49444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 49452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 49460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 49468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 49476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 49484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 49492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 49500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 49508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 49516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 49524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 49532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 49540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 49548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 49556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 49564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 49572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 49580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 49588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 49596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 49604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 49612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 49620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 49628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 49636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 49644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 49660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 49668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 49676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 49684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 49692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 49700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 49716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 49724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 50004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 50012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 50020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 50028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 50036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 50044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 50052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 50060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 50068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 50076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 50084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 50092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 50100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 50108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 50116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 50124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 50132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 50140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 50148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 50156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 50172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 50180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 50188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 50196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 50204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 50212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 50220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 50228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 50236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 50244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 50252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 50260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 50268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 50276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 50284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 50292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 50300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 50308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 50316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 50324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 50332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 50340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 50348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 50356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 50364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 50372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 50380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 50388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 50396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 50404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 50412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 50420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 50428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 50436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 50492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 50508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 50516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 50524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 50532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 50540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 50548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 50564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 50572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 50580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 50588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 50596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 50604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 50612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 50620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 50628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 50636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 50644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 50652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 50660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 50668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 50692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 50708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 50716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 50724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13909 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 50906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 13912 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 13919 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13920 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", yyout); }
#line 50934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 13922 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
#line 50949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13934 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 50955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 13935 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 50966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13944 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13966 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 51004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13970 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 51020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13982 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 51040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13998 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 51048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14002 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 51061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14017 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 51087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14029 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 51098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14037 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14041 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 51122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 51128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14046 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 51152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 51164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 51170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14061 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14069 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14076 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14083 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 51228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14099 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 51264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14133 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 51278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14146 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14150 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14172 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 51348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14193 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 51417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14254 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 51427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 51469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14276 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 51475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 51481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 51487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14285 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", yyout); }
#line 51493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14287 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 51503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14294 "preproc.y" /* yacc.c:1646  */
    {}
#line 51509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14296 "preproc.y" /* yacc.c:1646  */
    {}
#line 51515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14298 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14305 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14313 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 51573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14319 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 51585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14329 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14339 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14343 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14353 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14357 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 51637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14363 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14367 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14368 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14369 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14372 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 51673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 51679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 51685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 51691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 51697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 51703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14383 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14391 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14408 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14416 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14439 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14545 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14590 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14597 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 52002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14642 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 52018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14648 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 52029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14657 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 52039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14663 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 52048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14670 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 52057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14675 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 52065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 52071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14681 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 52077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 52083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 52089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 52095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14687 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 52101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 52107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 52113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14691 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 52125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14699 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 52137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 52143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 52149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 52155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 52161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 52167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 52173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14715 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14723 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 52203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 52209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 52215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14742 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 52232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14751 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 52321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14840 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 52336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 52348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 52354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14855 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 52387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14873 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 52405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14874 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14880 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14888 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 52435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14895 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 52445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14902 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14903 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14907 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14911 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14916 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14923 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14928 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14935 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14944 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 52525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14951 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14954 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14955 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14956 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14957 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14969 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14976 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14988 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14994 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 15001 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 15008 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 52655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15022 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15033 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15044 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 52685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15052 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15057 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 52697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15065 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15071 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15079 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15084 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15092 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15099 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15103 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15111 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15117 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15126 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15131 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15141 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15151 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15162 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15163 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15164 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15165 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15166 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15167 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15169 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15170 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15171 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15172 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15173 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15174 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15175 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15176 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 52925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 52931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15195 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15196 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15197 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15204 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15210 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15220 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15228 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15234 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 53056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15298 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 53066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15304 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 53076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15310 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 53086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15318 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 53096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15324 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 53106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15330 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 53116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15336 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 53126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15342 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 53136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15348 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 53146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15354 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 53156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15360 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 53166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15366 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 53176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 53194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 53200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 53206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 53212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 53218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15385 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 53224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15386 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 53230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 53236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 53242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 53248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 53254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 53260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 53266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 53272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 53278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15395 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 53284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 53290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 53296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 53302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 53308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 53314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 53320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 53326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15405 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 53332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15406 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 53338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 53344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 53350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 53356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 53362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15416 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 53380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15423 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15426 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15446 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15447 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15459 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15460 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 53560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 53566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 53578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 53584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15483 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53710 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 53722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15534 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15545 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15547 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15552 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15562 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15573 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15579 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15580 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15581 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15585 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15617 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15619 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15625 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15635 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15645 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 53992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 54022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 54034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 54046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 54052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 15697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 54058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 15698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 54064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 15701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 15702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 15703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 15704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 15705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 54094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 15706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 54100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 15707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 15708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 54112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 15709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 54118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 15710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 54124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 15711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 54130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 15712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 54136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 15713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 54142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 15714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 15715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 54154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 15716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 54160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 15717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 54166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 15718 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 54172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 15719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 54178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 15720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 15721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 54190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 15722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 54196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 15723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 54202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 15724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 54208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 15725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 54214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 15726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 54220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 15727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 54226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 15728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 54232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 15729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 54238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 15730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 54244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 15731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 54250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 54256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 15733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 54262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 15734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 15735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 54274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 54280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 15737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 54286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 15738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 54292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 15739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 54298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 15740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 54304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 15741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 54310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 15742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 54316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 15743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 54322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 54328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 15745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 54334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 15746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 54340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 15747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 54346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 54352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 15749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 54358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 54364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 15751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 54370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 54376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 15753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 54382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 15754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 54388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 15755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 54394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 54400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 15759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 15760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 15761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 15762 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 15765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 15766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 54436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 15767 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 54442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 15768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 54448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 15769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 54454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 15770 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 54460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 15771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 54466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 15772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 15773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 15774 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 54488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 15781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 15782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 15783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 15784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 15785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 15788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 15789 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 15792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 15794 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 54549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 15804 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 15805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54561 "preproc.c" /* yacc.c:1646  */
    break;


#line 54565 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15808 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
